<?php
/*
 *      user.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
			
function zeige_mich($db,&$user_id,&$num_rows)			
{
	global $user_id;
	$db->query("select user_id,db_user,pw,kurz,name,vorname,adresse,plz,ort,krankenkasse,versnummer,steuerklasse,user_chat_color from vs_user where user_id=$user_id");
	$row=$db->fetch_row();  
	$olddata=$db->curr_row_as_string();		
	$db->free_result();
	$t=new vs_form_x("mich_zeigen",5);
	$t->set_cellspacing(2);
	$c=new vs_edit("db_user",15,30,$row[1],"User");
	$c->set_disabled(1);
	$t->add_control(1,$c);
	$c=new vs_edit("kurz",2,2,$row[3]);
	$c->set_disabled(1);
	$t->add_control(1,$c);
	// 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
	$row[2]=$_SESSION['pw'];
	$c=new vs_edit("pw",8,30,$row[2],"PW");
	$c->set_type("password");
	$t->add_control(1,$c);
	$c=new vs_edit("pw2",8,30,$row[2],"PW(Wdh.)");
	$c->set_type("password");
	$t->add_control(1,$c);
	
	$t->add_control(1,new vs_edit("name",15,30,$row[4]));
	$t->add_control(1,new vs_edit("vorname",15,30,$row[5])); 
	$t->add_control(2,new vs_edit("adresse",15,30,$row[6])); 
	$t->add_control(2,new vs_edit("plz",5,5,$row[7],"PLZ")); 
	$t->add_control(2,new vs_edit("ort",15,30,$row[8],"Wohnort")); 
	$t->add_control(2,new vs_edit("krankenkasse",15,30,$row[9])); 
	$t->add_control(3,new vs_edit("versnummer",15,30,$row[10],"Vers.Nr.")); 
	$t->add_control(3,new vs_edit("steuerklasse",1,1,$row[11])); 
	
	$c=new vs_listbox("user_chat_color",15,$row[12]);
	$c->set_label("Chat-Farbe");
	$c->add_item("black","schwarz");
	$c->add_item("blue","blau");
	$c->add_item("aqua","hellblau");
	$c->add_item("green","gr&uuml;n");
	$c->add_item("lime","hellgr&uuml;n");
	$c->add_item("olive","olivegr&uuml;n");
	$c->add_item("purple","violett");
	$c->add_item("red","rot");
	$c->add_item("fuchsia","rosarot");
	$c->add_item("gray","grau"); 
	$c->add_item("orange","orange"); 
	$c->add_item("brown","braun"); 
	$c->add_item("maroon","dunkelbraun"); 
	
	$t->add_control(3,$c);
	
	$t->add_control(5,new vs_hidden("user_id",$row[0]));
	$t->add_control(5,new vs_hidden("action","a_post_mich_edit"));
	$t->add_control(5,new vs_hidden("olddata","$olddata"));
	$t->add_control(5,new vs_submit("submit","&Auml;ndern","true"));
    $t->add_control(5,new vs_reset("reset","Abbruch","true"));
	return $t;
}	
			
function zeige_user($db,&$user_id,&$num_rows)
{
 global $is_sysadmin;	
 if ((!isset($user_id)) or ($user_id==""))
 {
 	 $db->query("Select user_id,db_user,pw,bemerkung,can_insert,can_delete,can_edit,kurz,name,vorname,adresse,plz,ort,".
						"krankenkasse,versnummer,eintritt,austritt,steuerklasse,can_view_umsatz,kk_beh_ins,kk_beh_del,kk_beh_edit,".
						"kk_pos_ins,kk_pos_del,kk_pos_edit,kk_bez_ins,kk_bez_del,kk_bez_edit,can_view_abrechnung,is_tierarzt,aktiv,user_chat_color,is_sysadmin ".
						" from  vs_user");  
 }
 else
 {	
    $db->query("Select  user_id,db_user,pw,bemerkung,can_delete,can_edit,can_insert,kurz,name,vorname,adresse,plz,ort,".
						"krankenkasse,versnummer,eintritt,austritt,steuerklasse,can_view_umsatz,kk_beh_ins,kk_beh_del,kk_beh_edit,".
						"kk_pos_ins,kk_pos_del,kk_pos_edit,kk_bez_ins,kk_bez_del,kk_bez_edit,can_view_abrechnung,is_tierarzt,aktiv,user_chat_color,is_sysadmin ".
						" from  vs_user where user_id= $user_id "); 
 } 
 $row=$db->fetch_row();  
 
 $num_rows=$db->num_rows();
 if ($num_rows>0)
 {
 $user_id=$row[0];	
 $olddata=$db->curr_row_as_string();		
  
 $t=new vs_form_x("user_zeigen",10);
 $t->set_cellspacing(2);
 $t->add_control(1,new vs_edit("db_user",15,30,$row[1],"User"));
 
 // 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
 // $t->add_control(1,new vs_edit("pw",15,30,$row[2],"PW"));
 if ($_SESSION['user'] == $row[1])
 	$row[2]=$_SESSION['pw'];
 else
 	$row[2]="";
 
 $tc=new vs_edit("pw",15,30,$row[2],"PW");
 //$tc->set_type("password");
 $t->add_control(1,$tc); 
 
 $t->add_control(1,new vs_edit("kurz",2,2,$row[7]));
 $t->add_control(1,new vs_edit("name",15,30,$row[8]));
 $t->add_control(1,new vs_edit("vorname",15,30,$row[9])); 
 //2015-11-01 KM: User ID zugefuegt
 $us_id = new vs_edit("user_id",5,5,$row[0],"User ID");
 $us_id->set_readonly("true");
 $t->add_control(1, $us_id);
 
 $t->add_control(2,new vs_edit("adresse",15,30,$row[10])); 
 $t->add_control(2,new vs_edit("plz",5,5,$row[11],"PLZ")); 
 $t->add_control(2,new vs_edit("ort",15,30,$row[12],"Wohnort")); 
 $t->add_control(2,new vs_edit("krankenkasse",15,30,$row[13])); 
 
 $t->add_control(3,new vs_edit("versnummer",15,30,$row[14],"Vers.Nr.")); 
 
 //2015-01-05 KM: Datum Umstellung auf Datepicker
 //$t->add_control(3,new vs_edit("eintritt",10,10,$row[15])); 
 $t->add_control(3,new vs_datepicker("eintritt",$row[15],"multi_today1_Datepicker","Eintritt"));
 //$t->add_control(3,new vs_edit("austritt",10,10,$row[16])); 
 $t->add_control(3,new vs_datepicker("austritt",$row[16],"multi_today2_Datepicker","Austritt"));
 
 $t->add_control(3,new vs_edit("steuerklasse",1,1,$row[17])); 
 //-----------------Berechtigungen------------------------------------- 
 $c=new vs_listbox("can_view_umsatz",4,$row[18]);
 $c->set_label("Umsatz sehen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(3,$c);
 
 $c=new vs_listbox("kk_beh_ins",4,$row[19]);
 $c->set_label("Behandlung neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_beh_del",4,$row[20]);
 $c->set_label("Behandlung l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_beh_edit",4,$row[21]);
 $c->set_label("Behandlung &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_pos_ins",4,$row[22]);
 $c->set_label("Position neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 

 $c=new vs_listbox("kk_pos_del",4,$row[23]);
 $c->set_label("Position l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 

 $c=new vs_listbox("kk_pos_edit",4,$row[24]);
 $c->set_label("Position &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 
 
 $c=new vs_listbox("kk_bez_ins",4,$row[25]);
 $c->set_label("Bezahlung neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("kk_bez_del",4,$row[26]);
 $c->set_label("Bezahlung l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("kk_bez_edit",4,$row[27]);
 $c->set_label("Bezahlung &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("can_insert",4,$row[4]);
 $c->set_label("Stammdaten neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 

 $c=new vs_listbox("can_delete",4,$row[5]);
 $c->set_label("Stammdaten l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 

 $c=new vs_listbox("can_edit",4,$row[6]);
 $c->set_label("Stammdaten &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 
 
 $c=new vs_listbox("can_view_abrechnung",4,$row[28]);
 $c->set_label("Abrechnung sehen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);

 $c=new vs_listbox("is_tierarzt",4,$row[29]);
 $c->set_label("Tierarzt");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);
 
 $c=new vs_listbox("aktiv",4,$row[30]);
 $c->set_label("aktiv");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);

 $c=new vs_listbox("is_sysadmin",4,$row[32]);
 $c->set_label("SYSADMIN");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);
 
 //2015-09-05 KM: Fehler $row[12] ---> $row[31]
 $c=new vs_listbox("user_chat_color",15,$row[31]);
 $c->set_label("Chat-Farbe");
 $c->add_item("black","schwarz");
 $c->add_item("blue","blau");
 $c->add_item("aqua","hellblau");
 $c->add_item("green","gr&uuml;n");
 $c->add_item("lime","hellgr&uuml;n");
 $c->add_item("olive","olivegr&uuml;n");
 $c->add_item("purple","violett");
 $c->add_item("red","rot");
 $c->add_item("fuchsia","rosarot");
 $c->add_item("gray","grau"); 
 $c->add_item("orange","orange"); 
 $c->add_item("brown","braun"); 
 $c->add_item("maroon","dunkelbraun");  
 $t->add_control(8,$c);
 
 $t->add_control(9,new vs_memo("bemerkung",75,10,$row[3]));
 $t->add_control(10,new vs_hidden("user_id",$row[0]));
 $t->add_control(10,new vs_hidden("action","a_post_edit"));
 $t->add_control(10,new vs_hidden("olddata","$olddata"));
 if ($is_sysadmin=="1")
 {
  $t->add_control(10,new vs_submit("submit","&Auml;ndern","true"));
  $t->add_control(10,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 return $t;
 }
 else
 { 
 	return neuer_user($db);
 }
}			
		
		
		
function neuer_user($db)
{
 global $is_sysadmin;	 
 $t=new vs_form_x("user_neu",10);
 $t->set_cellspacing(2);
 $t->add_control(1,new vs_edit("db_user",15,30,"","User"));
 $t->add_control(1,new vs_edit("pw",15,30,"","PW"));
 $t->add_control(1,new vs_edit("kurz",2,2,""));
 $t->add_control(1,new vs_edit("name",15,30,""));
 $t->add_control(1,new vs_edit("vorname",15,30,"")); 
 $t->add_control(2,new vs_edit("adresse",15,30,"")); 
 $t->add_control(2,new vs_edit("plz",5,5,"","PLZ")); 
 $t->add_control(2,new vs_edit("ort",15,30,"","Wohnort")); 
 $t->add_control(2,new vs_edit("krankenkasse",15,30,"")); 
 $t->add_control(3,new vs_edit("versnummer",15,30,"","Vers.Nr.")); 
 
 //2015-01-05 KM: Datum Umstellung auf Datepicker
 //$t->add_control(3,new vs_edit("eintritt",10,10,today())); 
 $t->add_control(3,new vs_datepicker("eintritt","","multi_today3_Datepicker","Eintritt"));
 //$t->add_control(3,new vs_edit("austritt",10,10,today())); 
 $t->add_control(3,new vs_datepicker("austritt","","multi_today4_Datepicker","Austritt"));
 
 $t->add_control(3,new vs_edit("steuerklasse",1,1,"")); 
 //-----------------Berechtigungen------------------------------------- 
 $c=new vs_listbox("can_view_umsatz",4,"0");
 $c->set_label("Umsatz sehen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(3,$c);
 
 $c=new vs_listbox("kk_beh_ins",4,"1");
 $c->set_label("Behandlung neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_beh_del",4,"1");
 $c->set_label("Behandlung l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_beh_edit",4,"1");
 $c->set_label("Behandlung &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(4,$c); 

 $c=new vs_listbox("kk_pos_ins",4,"1");
 $c->set_label("Position neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 

 $c=new vs_listbox("kk_pos_del",4,"1");
 $c->set_label("Position l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 

 $c=new vs_listbox("kk_pos_edit",4,"1");
 $c->set_label("Position &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(5,$c); 
 
 $c=new vs_listbox("kk_bez_ins",4,"1");
 $c->set_label("Bezahlung neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("kk_bez_del",4,"1");
 $c->set_label("Bezahlung l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("kk_bez_edit",4,"1");
 $c->set_label("Bezahlung &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(6,$c); 

 $c=new vs_listbox("can_insert",4,"1");
 $c->set_label("Stammdaten neu");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 

 $c=new vs_listbox("can_delete",4,"1");
 $c->set_label("Stammdaten l&ouml;schen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 

 $c=new vs_listbox("can_edit",4,"1");
 $c->set_label("Stammdaten &auml;ndern");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(7,$c); 
 
 $c=new vs_listbox("can_view_abrechnung",4,"0");
 $c->set_label("Abrechnung sehen");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);

 $c=new vs_listbox("is_tierarzt",4,"0");
 $c->set_label("Tierarzt");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);
 
 $c=new vs_listbox("aktiv",4,"1");
 $c->set_label("aktiv");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);

 $c=new vs_listbox("is_sysadmin",4,"0");
 $c->set_label("SYSADMIN");
 $c->add_item("0","Nein");
 $c->add_item("1","Ja");
 $t->add_control(8,$c);
 
 //2013-12-28 KM: hier fehlten Farben
 $c=new vs_listbox("user_chat_color",15,"black");
 $c->add_item("black","schwarz");
 $c->add_item("blue","blau");
 $c->add_item("aqua","hellblau");
 $c->add_item("green","gr&uuml;n");
 $c->add_item("lime","hellgr&uuml;n");
 $c->add_item("olive","olivegr&uuml;n");
 $c->add_item("purple","violett");
 $c->add_item("red","rot");
 $c->add_item("fuchsia","rosarot");
 $c->add_item("gray","grau");
 $c->add_item("orange","orange");
 $c->add_item("brown","braun");
 $c->add_item("maroon","dunkelbraun");
 $t->add_control(8,$c);
 $t->add_control(9,new vs_memo("bemerkung",75,10,""));
 
 $t->add_control(10,new vs_hidden("action","a_post_ins"));
 if ($is_sysadmin=="1")
 {
   $t->add_control(10,new vs_submit("submit","Speichern","true"));
   $t->add_control(10,new vs_reset("reset","Abbruch","true"));
 }
 return $t;
}			
			
function img_leiste($db,$num_rows,$user_id)
{
  global $can_insert;
  global $can_delete;	
  $il= new vs_div("il","30","left");
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
  if($num_rows>0 ) 
  {  
  	if ($can_delete=="1")
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&user_id=$user_id"));
  }	
  return $il;	
}			

global $user_id;
global $is_sysadmin;

office_login($db);

$b = new vs_page_begin("Benutzerverwaltung", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
{
    echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
}
else 
{
	switch ($vso_action) 
	{
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
       		//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			if ($is_sysadmin =="1")
			{
				$bottom=navliste("Liste der Benutzer");
				$right=zeige_user($db,$vso_user_id,$num_rows);
				$sql="select user_id,kurz,db_user from vs_user";
				$left= new vs_table("lefttable",2,1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
				$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			}
			else
			{
				$bottom=navliste("Benutzerdaten &auml;ndern");
				$right=zeige_mich($db,$user_id,$num_rows);
				$sql="select user_id,kurz,db_user from vs_user where user_id=$user_id";
				$left= new vs_table("lefttable",2,1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$user_id,"user.php?action=a_browse&user_id=",32,"");
			}	
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			seite($top,$bottom,$left,$right);
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		break;
		case "a_del" : //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_user where user_id = $vso_user_id");
			$db->free_result();
			unset($vso_user_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
            $top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			$bottom=navliste("Weblink wurde gel&ouml;scht");
			$right=zeige_user($db,$vso_user_id,$num_rows);
			$sql="select user_id,kurz,db_user from vs_user";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		case "a_ins" : // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			$bottom=navliste("Neuen Benutzer einf&uuml;gen");
			$right=neuer_user($db);
			$sql="select user_id,kurz,db_user from vs_user";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_user_id
			if (!isset ($vso_user_id))
				{$vso_user_id = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $num_rows
			if (!isset ($num_rows))
				{$num_rows = null;}
			$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			seite($top,$bottom,$left,$right);
            //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select  user_id,db_user,pw,bemerkung,can_delete,can_edit,can_insert,kurz,name,vorname,adresse,plz,ort,".
						"krankenkasse,versnummer,eintritt,austritt,steuerklasse,can_view_umsatz,kk_beh_ins,kk_beh_del,kk_beh_edit,".
						"kk_pos_ins,kk_pos_del,kk_pos_edit,kk_bez_ins,kk_bez_del,kk_bez_edit,can_view_abrechnung,is_tierarzt,aktiv,user_chat_color,is_sysadmin ".
						" from  vs_user where user_id= $vso_user_id "); 
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
				// 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
				// Neu hinzugefuegt
				if ( $vso_pw == "" ) {
					$vso_pw = $row[2];
				} else {
					$vso_pw=password_hash($vso_pw, PASSWORD_BCRYPT, ['cost' => 12]);
				}

				d_dis2db($vso_eintritt);	
				d_dis2db($vso_austritt);
				//endlich die neuen Werte eintragen	
				$db->query("update vs_user set" .
								" db_user='$vso_db_user', " .
								" pw='$vso_pw', " .
								" bemerkung='$vso_bemerkung', " .
								" can_delete='$vso_can_delete', " .
								" can_edit='$vso_can_edit', " .
								" can_insert='$vso_can_insert', " .
								" kurz='$vso_kurz', " .
								" name='$vso_name', " .
								" vorname='$vso_vorname', " .
								" adresse='$vso_adresse', " .
								" plz='$vso_plz', " .
								" ort='$vso_ort', " .
								" krankenkasse='$vso_krankenkasse', " .
								" versnummer='$vso_versnummer', " .
								" eintritt='$vso_eintritt', " .
								" austritt='$vso_austritt', " .
								" steuerklasse='$vso_steuerklasse', " .
								" can_view_umsatz='$vso_can_view_umsatz', " .
								" kk_beh_ins='$vso_kk_beh_ins', " .
								" kk_beh_del='$vso_kk_beh_del', " .
								" kk_beh_edit='$vso_kk_beh_edit', " .
								" kk_pos_ins='$vso_kk_pos_ins', " .
								" kk_pos_del='$vso_kk_pos_del', " .
								" kk_pos_edit='$vso_kk_pos_edit', " .
								" kk_bez_ins='$vso_kk_bez_ins', " .
								" kk_bez_del='$vso_kk_bez_del', " .
								" kk_bez_edit='$vso_kk_bez_edit', " .
								" can_view_abrechnung='$vso_can_view_abrechnung', " .
								" is_tierarzt='$vso_is_tierarzt', " .
								" aktiv='$vso_aktiv', " .
								" user_chat_color='$vso_user_chat_color', " .
								" is_sysadmin='$vso_is_sysadmin'  " .
								" where user_id=$vso_user_id");
                       
			  $db->free_result();	
			}	
			
			//Fehlermeldung 
			else error_row(change_warning."(Benutzerverwaltung)");
			
			//----------------Daten anzeigen----------------------------------------------------
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			// 2013-12-26 KM: Variablenname $vso_db_user korrigiert und Text ergaenzt:
			$bottom=navliste("Daten zu User $vso_db_user wurden ge&auml;ndert");
			$right=zeige_user($db,$vso_user_id,$num_rows);
			$sql="select user_id,kurz,db_user from vs_user";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		break;
		case "a_post_mich_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("select user_id,db_user,pw,kurz,name,vorname,adresse,plz,ort,krankenkasse,versnummer,steuerklasse,user_chat_color from vs_user where user_id=$user_id");
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();

			if ($newdata==$vso_olddata)
			{
				//endlich die neuen Werte eintragen	
				if($vso_pw==$vso_pw2)
				{
					// 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
					$vso_pw=password_hash($vso_pw, PASSWORD_BCRYPT, ['cost' => 12]);

					$db->query("update vs_user set" .
								" pw='$vso_pw', " .
								" name='$vso_name', " .
								" vorname='$vso_vorname', " .
								" adresse='$vso_adresse', " .
								" plz='$vso_plz', " .
								" ort='$vso_ort', " .
								" krankenkasse='$vso_krankenkasse', " .
								" user_chat_color='$vso_user_chat_color', " .
								" versnummer='$vso_versnummer'  " .
								" where user_id=$user_id");
				}
				else error_row("Die Passw&ouml;rter sind nicht gleich.<u>Die Daten wurden nicht ge&auml;ndert.</u>");
            }	
			//Fehlermeldung 
			else error_row(change_warning."(Benutzerverwaltung)");
			
            //----------------Daten anzeigen----------------------------------------------------
            //Daten anzeigen
            $top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			$bottom=navliste("Die eigenen Benutzerdaten  wurden ge&auml;ndert");
			$right=zeige_mich($db,$user_id,$num_rows);
			$sql="select user_id,kurz,db_user from vs_user where user_id = $user_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$user_id,"user.php?action=a_browse&user_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		break;
					
		case "a_post_ins" : //nach dem Einfügen
			// 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
			$vso_pw=password_hash($vso_pw, PASSWORD_BCRYPT, ['cost' => 12]);

			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("insert into vs_user" .
					   " ( db_user,pw,bemerkung,can_delete,can_edit,can_insert,kurz,name,vorname,adresse,plz,ort,".
						"krankenkasse,versnummer,eintritt,austritt,steuerklasse,can_view_umsatz,kk_beh_ins,kk_beh_del,kk_beh_edit,".
						"kk_pos_ins,kk_pos_del,kk_pos_edit,kk_bez_ins,kk_bez_del,kk_bez_edit,can_view_abrechnung,is_tierarzt,aktiv,user_chat_color,is_sysadmin)  values(" .
                        " '$vso_db_user','$vso_pw','$vso_bemerkung','$vso_can_delete','$vso_can_edit','$vso_can_insert','$vso_kurz','$vso_name', ".
						" '$vso_vorname','$vso_adresse','$vso_plz','$vso_ort', '$vso_krankenkasse','$vso_versnummer','$vso_eintritt','$vso_austritt', '$vso_steuerklasse', ". 
						" '$vso_can_view_umsatz','$vso_kk_beh_ins','$vso_kk_beh_del','$vso_kk_beh_edit','$vso_kk_pos_ins','$vso_kk_pos_del','$vso_kk_pos_edit', ".
						" '$vso_kk_bez_ins','$vso_kk_bez_del', '$vso_kk_bez_edit','$vso_can_view_abrechnung','$vso_is_tierarzt', '$vso_aktiv','$vso_user_chat_color','$vso_is_sysadmin')" );
					   
	        	$db->free_result();
		    //----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_db_name
			if (!isset ($vso_db_name))
				{$vso_db_name = null;}
			$bottom=navliste($vso_db_name." wurde eingef&uuml;gt");
			$right=zeige_user($db,$vso_user_id,$num_rows);
			$sql="select user_id,kurz,db_user from vs_user";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			seite($top,$bottom,$left,$right);
				
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		break;	
		default:
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BENUTZERVERWALTUNG</h2>");
			if ($is_sysadmin =="1")
			{
				$bottom=navliste("Liste der Benutzer");
				$right=zeige_user($db,$vso_user_id,$num_rows);
				$sql="select user_id,kurz,db_user from vs_user";
				$left= new vs_table("lefttable",2,1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_user_id,"user.php?action=a_browse&user_id=",32,"");
				$left->add(1,1,img_leiste($db,$num_rows,$vso_user_id));
			}
			else
			{
				$bottom=navliste("Benutzerdaten &auml;ndern");
				$right=zeige_mich($db,$user_id,$num_rows);
				$sql="select user_id,kurz,db_user from vs_user where user_id=$user_id";
				$left= new vs_table("lefttable",2,1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$user_id,"user.php?action=a_browse&user_id=",32,"");
			}	
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			seite($top,$bottom,$left,$right);
		break;
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

