<?
/*
 *      SelectBackup.php
 *			Laden einer alten config-inc Datei in DB
 *					config.inc.php-20{YY.MM.DD-hh:mm:ss}
 *
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
	
include_once "../vs_lib/vs_db_objects.php";
include_once "./include/functions.inc.php";
include_once "./include/classes.inc.php";
include_once "../home/login_function.php";

$db = new vs_db();
$db->connect();
	
office_login($db);

global $user_id;
global $is_sysadmin;

// Nur Sysadmins dürfen Backups laden
if (!$is_sysadmin) {
?>
	<div class="row">
		Einstellungen d&uuml;rfen nur von Administratoren ge&auml;ndert werden
	</div>
<?
} else {
?>
	<script src="./SelectBackup.js"></script>

	<div class="container">
  		<h2>Gespeicherte Konfigurationen</h2>
  		<table class="table table-striped">
	    <thead>
    	<tr>
        	<th>Dateiname</th>
        	<th>backup vom</th>
        	<th>erzeugt am</th>
      	</tr>
    	</thead>
    	<tbody>
    		<?
    		// Alle Dateien vom Format config.inc.php-20{YY.MM.DD-hh:mm:ss} in array $DirList
	    	$DirList=glob("../vs_office_inc/config.inc.php-20[0-9][0-9]\.[0-1][0-9]\.[0-3][0-9]-[0-2][0-9]\:[0-5][0-9]\:[0-5][0-9]");
	    	// jüngste Datei zuerst
	    	rsort ($DirList);
    		$ct=1;
			foreach($DirList as $entry) {
				echo "<tr>";
				echo "<td>".basename($entry)."</td>";

				sscanf(basename($entry), "config.inc.php-%d.%d.%d-%d:%d:%d", $byear, $bmonth, $bday, $bhour, $bmin, $bsec);
				printf ("<td>%02d.%02d.%4d %02d:%02d:%02d",$bday,$bmonth,$byear,$bhour,$bmin,$bsec);
				echo "<td>".date ("d.m.Y H:i:s", filemtime($entry))."</td>";
				?>
					<td><div class="col-sm-1">
						<button id="load<?echo $ct++;?>" value="<?echo basename($entry);?>" type="submit" class="btn btn-success btn-sm pull-right">Laden</button>
					</div></td>
				<?
				echo "</tr>";
			}
			?>
    	</tbody>
  		</table>
	</div>
<?}?>


