<?
/*
 *      SelectWorkBench.php
 *			Dynamischer Aufbau der Formulare zum Verändern von Config-Inc Variablen in DB
 *			Aufruf über admin.js
 *
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//

include_once "../vs_lib/vs_db_objects.php";
include_once "./include/functions.inc.php";
include_once "./include/classes.inc.php";
include_once "../home/login_function.php";

//=======================================================================
// = HtmlVarValueVarDefault()
//=======================================================================
function HtmlVarValueVarDefault($config) {
	if ($config->protected == "t") {
		$disabled="disabled";
		$distext="<small>schreibgesch&uuml;tzt</small>";
	} else {
		$disabled="";
		$distext="";
	}
	$validation="";
	switch ($config->var_type) {
		case 0: if (empty ($validation)) $validation="custom[integer]";
		case 1:	if (empty ($validation)) $validation="custom[Kommazahl]";
		case 9: if (empty ($validation)) $validation="custom[number]";
			// Integer, Kommazahl, FloatingPoint
		?>
			<div class="form-group">
			<label class="col-sm-2" for="var_value<?echo $config->id;?>">Variablenwert<br/><? echo $distext; ?></label>
			<div class="col-sm-4">
				<input id="var_value<?echo $config->id;?>" type="text" class="form-control validate[required,<? echo $validation; ?>]" 
						name="var_value" placeholder="Variablenwert" value="<? echo $config->var_value; ?>" />
			</div>
			<label class="col-sm-2">Standardwert bei Reset</label>
			<div class="col-sm-4">
				<div id="var_default_value<?echo $config->id;?>" class="well well-sm"><?echo $config->var_default_value; ?></div>
			</div>
		</div>
		<?
			break;
		case 5: if (empty ($validation)) $validation="custom[email]";
		case 2: 
		case 6: 
		case 7: 
			// string,E-Mail,Pfad, File
		?>
			<div class="form-group">
				<label class="col-sm-2" for="var_value<?echo $config->id;?>">Variablenwert<br/><? echo $distext; ?></label>
				<div class="col-sm-10">
					<input id="var_value<?echo $config->id;?>" type="text" class="form-control validate[required,<? echo $validation; ?>]" <? echo $disabled; ?> 
						name="var_value" placeholder="Variablenwert" value="<?echo $config->var_value; ?>"/>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2">Standardwert bei Reset</label>
				<div class="col-sm-10">
					<div id="var_default_value<?echo $config->id;?>" class="well well-sm"><?echo $config->var_default_value; ?></div>
				</div>
			</div>
			<?
			break;
		case 3: 
		case 4: 
			// Text, HTML
		?>
			<div class="form-group">
				<label class="col-sm-2" for="var_value<?echo $config->id;?>">Variablenwert<br/><? echo $distext; ?></label>
				<div class="col-sm-10">
					<textarea class="form-control" id="var_value<?echo $config->id;?>" name="var_value" <? echo $disabled; ?> rows="2" 
							cols="135" placeholder="Variablenwert"><?echo htmlspecialchars($config->var_value); ?></textarea>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2">Standardwert bei Reset</label>
				<div class="col-sm-10">
					<div id="var_default_value<?echo $config->id;?>" class="well well-sm"><?echo htmlspecialchars($config->var_default_value); ?></div>
				</div>
			</div>
			<?
			break;
		case 8: 
			// Boolean
			$bool_val = explode ($config->delimiter,$config->allowed_values);
		?>
			<div class="form-group">
				<label class="col-sm-2" for="var_type0">Variablenwert:</label>
				<div class="col-sm-8">
					<select id="var_value<?echo $config->id;?>" class="form-control" name="var_value">
						<?
						foreach ($bool_val as $idx => $typename) {
							if ($config->var_value == $idx ) {
								$selected="selected";
							} else {
								$selected="";
							}
							printf ('<option value=%d %s>%s</option>', $idx, $selected, $typename);
						}
						?>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2">Standardwert bei Reset</label>
				<div class="col-sm-10">
					<div id="var_default_value<?echo $config->id;?>" class="well well-sm"><?echo $bool_val[$config->var_default_value] ?></div>
					<div class="hidden" id="var_default_id<?echo $config->id;?>"><?echo $config->var_default_value; ?></div>
				</div>
			</div>

		<?
	}
}
?>

<script src="../js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<script src="../js/jquery.validationEngine-de.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" href="../css/validationEngine.jquery.css" type="text/css"/>
<script src="./SelectWorkBench.js"></script>

<?
//=======================================================================
// = HtmlVarValueVarDefault()
//=======================================================================

$db = new vs_db();
$db->connect();
	
office_login($db);

global $user_id;
global $is_sysadmin;

// Nur Sysadmins dürfen Formulare aufbauen
if (!$is_sysadmin) {
?>
	<div class="row">
		Einstellungen d&uuml;rfen nur von Administratoren ge&auml;ndert werden
	</div>
<?
} else {
	// Laden aller DB-Einträge des ausgewählten Menüs und
	// Aufbau des Bearbeitungsformulars

	$MenuClass=$_POST['MenuClass'];

	$clist=GetAllConfigs($MenuClass);
	foreach ($clist as $config) {
	?>
	<form id="configform<?echo $config->id;?>" action="config_process.php" class="form-horizontal" role="form" method="POST">
		<div class="row">
			<div class="col-sm-10">
				<h3><? echo "$config->var_title"; ?></h3>
			</div>
			<div class="form-group">
				<div class="col-sm-1">
					<button id="reset<?echo $config->id;?>" name="action<?echo $config->id;?>" value="reset" type="submit" class="btn btn-warning btn-sm pull-right">Reset</button>
				</div> 
				<div class="col-sm-1">
					<button id="upd<?echo $config->id;?>" name="action<?echo $config->id;?>" value="upd" type="submit" class="btn btn-success btn-sm pull-right">Speichern</button>
				</div> 
			</div>
		</div>
		<div class="row">
			<span id="message<?echo $config->id;?>"></span>
		</div>
		<div class="form-group">
			<label class="col-sm-1">Var.-Name:</label>
			<div class="col-sm-3">
				<div class="well well-sm"><?echo $config->var_name; ?></div>
			</div>

			<label class="col-sm-1">Men&uuml;punkt:</label>
			<div class="col-sm-3">
				<div class="well well-sm"><?echo $config->menu_class; ?></div>
			</div>
			
			<label class="col-sm-1">Var.-type:</label>
			<div class="col-sm-3">
				<div class="well well-sm"><?echo VARTYPE[$config->var_type]; ?></div>
			</div>

		</div>

		<?
		HtmlVarValueVarDefault($config);
		
		?>

		<div class="form-group">
			<label class="col-sm-2">Beschreibung</label>
			<div class="col-sm-10">
				<div class="well well-sm"><?echo $config->description; ?></div>
			</div>
		</div>
		
		<?	
		if ( ! empty ($config->allowed_values)) {
		?>
			<div class="form-group">
				<label class="col-sm-2">erlaubte Werte</label>
				<div class="col-sm-10">
					<div class="well well-sm"><?echo $config->allowed_values; ?></div>
				</div>
			</div>
			<?
			if ( ! empty ($config->delimiter)) {
			?>
				<div class="form-group">
					<label class="col-sm-2">Delimiter:</label>
					<div class="col-sm-10">
						<div class="well well-sm"><?echo $config->delimiter;?></div>
					</div>
				</div>
			<?
			}
		} ?>
	</form>
	<hr>
	<? 
	} 
}
?>
