<? 
/*
 *      create_config-inc.php
 *			Erzeigen einer neuen config.inc aus den Einträgen der DB
 *			Alte config.inc wird gesichert als config.inc.php-20{YY.MM.DD-hh:mm:ss}
 *			Aufruf über SelectBackup.js
 *
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//

	include_once "../vs_lib/vs_db_objects.php";
	include_once "./include/functions.inc.php";
	include_once "./include/classes.inc.php";


	$datum=date('Y.m.d-H:i:s', time());

	$ConfigIncDir="../vs_office_inc/";
	$ConfigIncFilename="config.inc.php";
	$ConfigIncFile=$ConfigIncDir.$ConfigIncFilename;
	$ConfigIncBckFile=$ConfigIncDir.$ConfigIncFile."-".$datum;

	
	if (! (is_dir($ConfigIncDir)) || ! (is_writable($ConfigIncDir))){
		echo "Kein Schreibrecht auf Verzeichnis $ConfigIncDir<BR>";
		echo "<h3>ABBRUCH</h3>";
		exit ();
	}

	if ( file_exists($ConfigIncFile) && ! is_writable($ConfigIncFile)) {
		echo "Kein Schreibrecht auf Datei $ConfigIncFile<BR>";
		echo "<h3>ABBRUCH</h3>";
		exit ();
	}

	if (! rename ( $ConfigIncFile, $ConfigIncBckFile)) {
		echo "Die Sicherungsdatei $ConfigIncBckFile kann NICHT erstellt werden<BR>";
		echo "<h3>ABBRUCH</h3>";
		exit ();
	}
	
	$fp = fopen($ConfigIncFile,"w+");

	fprintf ($fp, "<?php\n");
	fprintf ($fp, "/************************************************************************\n");
	fprintf ($fp, " * !!!              DIESE DATEI NICHT MANUELL AENDERN                 !!!\n");
	fprintf ($fp, " * Sie wird durch die vetsoft Admin Oberflaeche ueberschrieben\n");
	fprintf ($fp, " ************************************************************************\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *  config.inc.php\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " * Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " * Copyright (C)  2013 - 2016 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>\n");
	fprintf ($fp, " *                     Dirk Walter (DW),\n");
	fprintf ($fp, " *                     Klaus Munsteiner (KM),\n");
	fprintf ($fp, " *                     Markus Angeli (MA)\n");
	fprintf ($fp, " *                     Eric Walter (EW)\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " *\n");
	fprintf ($fp, " ************************************************************************/\n");
	
	$clist=GetAllConfigs();
	foreach ($clist as $config) {
		//fprintf ($fp, "\n//  %s\n",$config->description);
		fprintf ($fp, "\n//  %s\n",str_replace("\n", "\n//", $config->description));
		fprintf ($fp, "define(\"%s\",\"%s\");\n",$config->var_name,$config->var_value);
	}
	fprintf ($fp, " // --------------------------------- ENDE ---------------------------------\n");
	fprintf ($fp, "?>\n");
	fclose($fp);

	echo "Aktivierung erfolgreich";
?>
