<?
/*
 *      classes.inc.php
 *			Klassendefinitionen für Vetsoft-Admin Oberfläche
  *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
/*******************************************************************************
* Classes
*******************************************************************************/
  
  
// ============================================= config =============================================
class vs_config {

	var $id=0;
	var $var_name=0;
	var $var_value="";
	var $var_default_value;
	var $description;
	var $var_type;
	var $allowed_values;
	var $delimiter;
	var $protected;
	var $menu_class;
	var $var_title;

	function dbload () {
		if ($this->id == '0') return 0; // neues uninitialisiertes Objekt
	
		$db = new vs_db();
		$db->connect();
		$db->query ("SELECT * FROM vs_config WHERE id = $this->id");
		
		$row = $db->fetch_row ();
		$this->var_name = $row[1];
		$this->var_value = $row[2];
		$this->var_default_value = $row[3];
		$this->description = $row[4];
		$this->var_type = $row[5];
		$this->allowed_values = $row[6];
		$this->delimiter = $row[7];
		$this->protected = $row[8];
		$this->menu_class = $row[9];
		$this->var_title = $row[10];
		$db->free_result();
	
		return 0;
  	}
  
	function dbinsert () {
		$db = new vs_db();
		$db->connect();

		$query = "INSERT INTO vs_config (var_name, var_value, var_default_value, description, var_type, allowed_values, delimiter, protected, menu_class, var_title) ";
		$query .= "VALUES ('$this->var_name', '$this->var_value', '$this->var_default_value', '$this->description', '$this->var_type', ";
		$query .= "'$this->allowed_values', '$this->delimiter', '$this->protected', '$this->menu_class', '$this->var_title' ) RETURNING id";

		$this->id = $db->query ($query);
		$db->free_result();
		return 0;
	}

/*
	function dbupdate () {
		$query = "UPDATE vs_config SET ";
		$query .= "var_name = '$this->var_name', ";
		$query .= "var_value = '$this->var_value', ";
		$query .= "var_default_value = '$this->var_default_value', ";
		$query .= "description = '$this->description', ";
		$query .= "var_type = '$this->var_type', ";
		$query .= "allowed_values = '$this->allowed_values', ";
		$query .= "delimiter = '$this->delimiter', ";
		$query .= "protected = '$this->protected', ";
		$query .= "menu_class = '$this->menu_class', ";
		$query .= "var_title = '$this->var_title' ";
		$query .= "WHERE ID = $this->id";
		$db->query ($query);
		return 0;
	}
*/

	function dbupdate_value () {

		$this->EncodeDbValue ();

		$db = new vs_db();
		$db->connect();

		$query = "UPDATE vs_config SET ";
		$query .= "var_value = '$this->var_value' ";
		$query .= "WHERE ID = $this->id";
		$db->query ($query);
		$db->free_result();
		return 0;
	}

	function dbremove () {
		$this->var_name = "";
		$this->var_value = "";
		$this->var_default_value = "";
		$this->description = "";
		$this->var_type = 0;
		$this->allowed_values = "";
		$this->delimiter = "";
		$this->protected = TRUE;
		$this->var_title = "";
		$query="DELETE FROM vs_config WHERE id = $this->id LIMIT 1";
		$db->query ($query);
		return 0;
	}

	// Codiert var_value zum Abspeichern in der DB
	// Bei Type HTML wird " zu \"
	// Bei Type Text wird <newline> zu \n
	private function EncodeDbValue () {
		// Type HTML
		if ($this->var_type == 4 ) {
			$this->var_value=addslashes($this->var_value);
		// Type Text 
		} elseif ($this->var_type == 3 ) {
			$this->var_value=preg_replace("/[\n\r]/",'\n',$this->var_value);
		}
	}

	function showvars ($format) {
		$NL="\n";
		if ($format == "HTML") {
			$NL="<BR>";
		}
		echo "============ SHOWVARS =============".$NL;
		echo "id: $this->id".$NL;
		echo "var_name: $this->var_name".$NL;
		echo "var_value: $this->var_value".$NL;
		echo "var_default_value: $this->var_default_value".$NL;
		echo "description: $this->description".$NL;
		echo "var_type: $this->var_type".$NL;
		echo "allowed_values: $this->allowed_values".$NL;
		echo "delimiter: $this->delimiter".$NL;
		echo "protected: $this->protected".$NL;
		echo "var_title: $this->var_title".$NL;
		echo "menu_class: $this->menu_class".$NL;
		echo "============ SHOWVARS =============".$NL;
	}

} // End Class vs_config

?>
