#/bin/bash 
# Vetsoft Rsync Backup via SSH 
# V1.1; Eric Walter, 27.02.2017
#
#
# V1.0: initial release
# V1.1: timeout neu, RSYNC-Var. neu
#

DEST="user@destinationhost.domain.de"
USERDIRS="/home"
BCKROOT=/backup
RSYNC=/usr/bin/rsync

SCRIPT=$(readlink -f $0)
SCRIPTHOME=`dirname $SCRIPT`
VSHOME=`echo $SCRIPTHOME | awk '{split($0,a,"admin"); print a[1]}'`
VSHOME=${VSHOME::-1}

BCKDIR=$BCKROOT/data/`ls -tr $BCKROOT/data | tail -1`
DUMPFILE=$BCKDIR/vsDB.dump.bz2

RSYNCPARAMS="--archive -R -e ssh "

ssh $DEST  "mv DB/vsDB.dump.bz2 DB/vsDB.dump.bz2.OLD"
date +" == %Y%m%d-%H:%M:%S -- Start SCP DB"

timeout 60m scp -q $DUMPFILE $DEST:DB

date +" == %Y%m%d-%H:%M:%S -- Start RSYNC vetsoft"
timeout 60m $RSYNC $RSYNCPARAMS $VSHOME $DEST:vs

date +" == %Y%m%d-%H:%M:%S -- Start RSYNC UserHomes"
timeout 360m $RSYNC $RSYNCPARAMS $USERDIRS $DEST:home

