<?php
/*
 *      patient_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../home/login_function.php";

function seite($top,$bottom,$middle)
	{	
		//2014-12-14 KM: Formatierung geaendert
		$seite=new vs_div;
		$seite->set_css_class("vs_seite");
		$oben=new vs_div("1150","15","left");
		$oben->add($top);
		$mitte=new vs_div("1150","500","center");
		$unten=new vs_div("1150","15","left");
		$unten->add($bottom);
		
		$mitte->add($middle);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();
office_login($db);
$b = new vs_page_begin("VS-Office[Ein bi&szlig;chen Statistik...]","../vs_office_inc/","../vs_office_inc/head.inc","../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

//********************************************************************

$top=new vs_div("1000","25");
$bottom=new vs_div("1000","25");
$top=new vs_text("");
$bottom= new vs_text("");
$middle=new vs_div("600","440","center","white");
$middle->add(new vs_text("<h3>Ein paar interessante Daten zur Datenbank...</h3>"));

$db->query("select count(*) from vs_besitzer");
$row=$db->fetch_row();
$besitzer=$row[0];

$db->query("select count(*) from vs_patient");
$row=$db->fetch_row();
$patient=$row[0];
	
$db->query("select count(*) from vs_behandlung");
$row=$db->fetch_row();
$behandlung=$row[0];

$db->query("select sum(brutto) from vs_behandlung");
$row=$db->fetch_row();
$umsatz=$row[0];

$db->query("select count(*) from vs_rechnung");
$row=$db->fetch_row();
$rechnung=$row[0];

$db->query("select count(*) from vs_v_rechnung where offen > 0.1 ");
$row=$db->fetch_row();
$rechnung_offen=$row[0];

$db->query("select sum(offen) from vs_behandlung");
$row=$db->fetch_row();
$offen_gesamt=$row[0];

$db->query("select sum(offen) from vs_v_rechnung");
$row=$db->fetch_row();
$offen_rechnung=$row[0];

$db->query("select count(*) from vs_bezahlt where typ='B' or typ='K' or typ = 'U' ");
$row=$db->fetch_row();
$zahlung=$row[0];

$db->query("select count(*) from vs_bezahlt where typ='B' ");
$row=$db->fetch_row();
$zahlung_b=$row[0];

$db->query("select count(*) from vs_bezahlt where typ='B' and quittung ='1' ");
$row=$db->fetch_row();
$zahlung_bq=$row[0];

$db->query("select count(*) from vs_bezahlt where typ='K' ");
$row=$db->fetch_row();
$zahlung_k=$row[0];

$db->query("select count(*) from vs_bezahlt where typ='U' ");
$row=$db->fetch_row();
$zahlung_u=$row[0];

//2014-12-14 KM: Formatierung geaendert
$t_stat= new vs_table("statistik",14,2);
$t_stat->add(1,1, new vs_text("&nbsp; Tierbesitzer"));
$t_stat->add(1,2, new vs_text($besitzer));
$t_stat->add(2,1, new vs_text("&nbsp; Patienten"));
$t_stat->add(2,2, new vs_text($patient));
$t_stat->add(3,1, new vs_text("&nbsp; Behandlungen"));
$t_stat->add(3,2, new vs_text($behandlung));
$t_stat->add(4,1, new vs_text("&nbsp; Patienten / Besitzer"));
$t_stat->add(4,2, new vs_text(ptc(round($patient/$besitzer,1))));
$t_stat->add(5,1, new vs_text("&nbsp; Behandlungen / Patient"));
$t_stat->add(5,2, new vs_text(ptc(round($behandlung/$patient,1))));
$t_stat->add(6,1, new vs_text("&nbsp; Umsatz / Behandlung"));
$t_stat->add(6,2, new vs_text(ptc(round($umsatz/$behandlung,1))." ".currency_string));
$t_stat->add(7,1, new vs_text("&nbsp; Sammelrechnungen gesamt "));
$t_stat->add(7,2, new vs_text($rechnung));
$t_stat->add(8,1, new vs_text("&nbsp; Sammelrechnungen unbezahlt "));
$t_stat->add(8,2, new vs_text($rechnung_offen." (".ptc(round($rechnung_offen/$rechnung*100,1))." %)" ));
//$t_stat->add(9,1, new vs_text("Au&szlig;enst&auml;nde gesamt"));$t_stat->add(9,2, new vs_text(ptc(round($offen_gesamt,2))." ".currency_string));
$t_stat->add(10,1, new vs_text("&nbsp; Au&szlig;enst&auml;nde in Sammelrechnungen"));
$t_stat->add(10,2, new vs_text(ptc(round($offen_rechnung,2))." ".currency_string));
$t_stat->add(11,1, new vs_text("&nbsp; Zahlungseing&auml;nge bar gesamt "));
$t_stat->add(11,2, new vs_text($zahlung_b." (".ptc(round($zahlung_b/$zahlung*100,1))." %)" ));
$t_stat->add(12,1, new vs_text("&nbsp; Zahlungseing&auml;nge bar / Quittung"));
$t_stat->add(12,2, new vs_text($zahlung_bq." (".ptc(round($zahlung_bq/$zahlung*100,1))." %)" ));
$t_stat->add(13,1, new vs_text("&nbsp; Zahlungseing&auml;nge EC Cash"));
$t_stat->add(13,2, new vs_text($zahlung_k." (".ptc(round($zahlung_k/$zahlung*100,1))." %)" ));
$t_stat->add(14,1, new vs_text("&nbsp; Zahlungseing&auml;nge &Uuml;berweisung"));
$t_stat->add(14,2, new vs_text($zahlung_u." (".ptc(round($zahlung_u/$zahlung*100,1))." %)" ));


$middle->add($t_stat);
seite($top,$bottom,$middle);
//****************************************************************************************
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
