-- Skript zur Aenderung der VS-Office db-Struktur und setzen der DEFAULT-Werte
-- wg. Anpassung der db von Version vetsoftbox2013 auf VS-Office 1.7.4
-- Autor Klaus Munsteiner
-- Datum 2014-08-10



----------------------------------
-- Teil 1 - Strukturaenderungen --
----------------------------------


-- vs_behposition
-----------------
-- Zeichen erweitern
ALTER TABLE vs_behposition ALTER COLUMN bezeichnung TYPE character varying(100);
-- keine DEFAULT-Werte


-- vs_fremdleistung
-------------------
-- DEFAULT setzen
ALTER TABLE vs_fremdleistung ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_fremdleistung ALTER COLUMN preis SET DEFAULT 0;




-- vs_futter
------------
-- Zeichen erweitern
ALTER TABLE vs_futter ALTER COLUMN bezeichnung TYPE character varying(110);
-- neu
ALTER TABLE vs_futter ADD COLUMN barsoi_pnr numeric(10,0) DEFAULT 0;
ALTER TABLE vs_futter ADD COLUMN verfuegbar character(1) DEFAULT 1;
ALTER TABLE vs_futter ADD COLUMN barsoiindex character varying (10) DEFAULT 0;
ALTER TABLE vs_futter ADD COLUMN t_vk numeric(8,2) DEFAULT 0;
ALTER TABLE vs_futter ADD COLUMN t_bezeichnung character varying(110);
ALTER TABLE vs_futter ADD COLUMN t_rechbezeichnung character varying(120);
-- DEFAULT setzen
ALTER TABLE vs_futter ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_futter ALTER COLUMN preis SET DEFAULT 0;



-- vs_impfung
-------------
-- DEFAULT setzen
ALTER TABLE vs_impfung ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_impfung ALTER COLUMN preis SET DEFAULT 0;



-- vs_impfung_zugang
--------------------
-- DEFAULT setzen
ALTER TABLE vs_impfung_zugang ALTER COLUMN preis SET DEFAULT 0;



-- vs_leistung
--------------
-- DEFAULT setzen
ALTER TABLE vs_leistung ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_leistung ALTER COLUMN preis SET DEFAULT 0;



-- vs_leistung_distinct
-----------------------
-- DEFAULT setzen
ALTER TABLE vs_leistung_distinct ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_leistung_distinct ALTER COLUMN preis SET DEFAULT 0;



-- vs_leistung_sav
------------------
-- DEFAULT setzen
ALTER TABLE vs_leistung_sav ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_leistung_sav ALTER COLUMN preis SET DEFAULT 0;



-- vs_lieferant
---------------
-- Zeichen erweitern
ALTER TABLE vs_lieferant ALTER COLUMN strasse TYPE character varying(50);
ALTER TABLE vs_lieferant ALTER COLUMN ort TYPE character varying(50);
ALTER TABLE vs_lieferant ALTER COLUMN telefax TYPE character varying(50);
ALTER TABLE vs_lieferant ALTER COLUMN bestelltelefon TYPE character varying(50);
ALTER TABLE vs_lieferant ALTER COLUMN email TYPE character varying(50);



-- vs_med_gruppe
----------------
-- Zeichen erweitern
ALTER TABLE vs_med_gruppe ALTER COLUMN bezeichnung TYPE character varying(80);



-- vs_med_typ
-------------
-- Zeichen erweitern
ALTER TABLE vs_med_typ ALTER COLUMN bezeichnung TYPE character varying(80);
-- DEFAULT setzen
ALTER TABLE vs_med_typ ALTER COLUMN barsoiindex SET DEFAULT 0;


-- vs_med_zugang
----------------
-- DEFAULT setzen
ALTER TABLE vs_med_zugang ALTER COLUMN preis SET DEFAULT 0;




-- vs_medikament
----------------
-- von smallint auf integer aendern
ALTER TABLE vs_medikament DROP COLUMN barsoi_pnr;
ALTER TABLE vs_medikament ADD COLUMN barsoi_pnr numeric(10,0) DEFAULT 0;
-- Zeichen erweitern
ALTER TABLE vs_medikament ALTER COLUMN bezeichnung TYPE character varying(100);
ALTER TABLE vs_medikament ALTER COLUMN t_bezeichnung TYPE character varying(110);
-- von smallint auf integer aendern
ALTER TABLE vs_medikament ALTER COLUMN op_menge_tp TYPE integer;
-- DEFAULT setzen
ALTER TABLE vs_medikament ALTER COLUMN op_menge_tp SET DEFAULT 1;
ALTER TABLE vs_medikament ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_medikament ALTER COLUMN preis SET DEFAULT 0;
ALTER TABLE vs_medikament ALTER COLUMN t_ek SET DEFAULT 0;
ALTER TABLE vs_medikament ALTER COLUMN t_vk SET DEFAULT 0;




-- vs_patient
-------------
-- Zeichen erweitern
ALTER TABLE vs_patient ALTER COLUMN pat_ident TYPE character varying(40);



-- vs_standard
--------------
-- Zeichen erweitern
ALTER TABLE vs_standard ALTER COLUMN bezeichnung TYPE character varying(120);



-- vs_stapos
------------
-- Zeichen erweitern
ALTER TABLE vs_stapos ALTER COLUMN bezeichnung TYPE character varying(120);



-- vs_verbrauchsmaterial
------------------------
-- Zeichen erweitern
ALTER TABLE vs_verbrauchsmaterial ALTER COLUMN  bezeichnung TYPE character varying(110);
-- neu
ALTER TABLE vs_verbrauchsmaterial ADD COLUMN barsoi_pnr numeric(10,0) DEFAULT 0;
ALTER TABLE vs_verbrauchsmaterial ADD COLUMN barsoiindex character varying(10) DEFAULT 0;
ALTER TABLE vs_verbrauchsmaterial ADD COLUMN t_vk numeric(8,2) DEFAULT 0;
ALTER TABLE vs_verbrauchsmaterial ADD COLUMN t_bezeichnung character varying(110);
ALTER TABLE vs_verbrauchsmaterial ADD COLUMN t_rechbezeichnung character varying(120);
-- DEFAULT setzen 
ALTER TABLE vs_verbrauchsmaterial ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_verbrauchsmaterial ALTER COLUMN preis SET DEFAULT 0;



-- vs_waren
-----------
-- Zeichen erweitern
ALTER TABLE vs_waren ALTER COLUMN  bezeichnung TYPE character varying(110);
-- neu
ALTER TABLE vs_waren ADD COLUMN barsoi_pnr numeric(10,0) DEFAULT 0;
ALTER TABLE vs_waren ADD COLUMN barsoiindex character varying(10) DEFAULT 0;
ALTER TABLE vs_waren ADD COLUMN t_vk numeric(8,2);
ALTER TABLE vs_waren ADD COLUMN t_bezeichnung character varying(110);
ALTER TABLE vs_waren ADD COLUMN t_rechbezeichnung character varying(120);
-- DEFAULT setzen 
ALTER TABLE vs_waren ALTER COLUMN epreis SET DEFAULT 0;
ALTER TABLE vs_waren ALTER COLUMN preis SET DEFAULT 0;
ALTER TABLE vs_waren ALTER COLUMN t_vk SET DEFAULT 0;










---------------------------------------------------------------
-- Teil 2 - Datenaenderungen fuer Spalten mit DEFAULT-Werten --
---------------------------------------------------------------


-- vs_fremdleistung
-------------------
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_fremdleistung SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_fremdleistung SET preis = 0 WHERE preis IS NULL;



-- vs_futter
------------
-- barsoi_pnr darf nicht leer sein, DEFAULT = 0
UPDATE vs_futter SET barsoi_pnr = 0 WHERE barsoi_pnr IS NULL;
-- verfuegbar darf nicht leer sein, DEFAULT = 1
-- JA = 1, NEIN = 0
UPDATE vs_futter SET verfuegbar = 1 WHERE verfuegbar IS NULL;
-- barsoiindex darf nicht leer sein, DEFAULT = 0
UPDATE vs_futter SET barsoiindex = 0 WHERE barsoiindex IS NULL;
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_futter SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_futter SET preis = 0 WHERE preis IS NULL;
-- t_vk darf nicht leer sein, DEFAULT = 0
UPDATE vs_futter SET t_vk = 0 WHERE t_vk IS NULL;



-- vs_impfung
-------------
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_impfung SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_impfung SET preis = 0 WHERE preis IS NULL;



-- vs_impfung_zugang
--------------------
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_impfung_zugang SET preis = 0 WHERE preis IS NULL;



-- vs_leistung
--------------
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung SET preis = 0 WHERE preis IS NULL;



-- vs_leistung_distinct
-----------------------
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung_distinct SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung_distinct SET preis = 0 WHERE preis IS NULL;



-- vs_leistung_sav
------------------
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung_sav SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_leistung_sav SET preis = 0 WHERE preis IS NULL;



-- vs_med_typ
-------------
-- barsoiindex darf nicht leer sein, DEFAULT = 0
UPDATE vs_med_typ SET barsoiindex = 0 WHERE barsoiindex IS NULL;



-- vs_med_zugang
----------------
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_med_zugang SET preis = 0 WHERE preis IS NULL;



-- vs_medikament
----------------
-- barsoi_pnr darf nicht leer sein, DEFAULT = 0
UPDATE vs_medikament SET barsoi_pnr = 0 WHERE barsoi_pnr IS NULL;
-- verfuegbar darf nicht leer sein, DEFAULT = 1
-- JA = 1, NEIN = 0
UPDATE vs_medikament SET verfuegbar = 1 WHERE verfuegbar IS NULL;
-- op_menge_tp darf nicht leer sein, DEFAULT = 1
UPDATE vs_medikament SET op_menge_tp = 1 WHERE op_menge_tp IS NULL;
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_medikament SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_medikament SET preis = 0 WHERE preis IS NULL;
-- t_ek darf nicht leer sein, DEFAULT = 0
UPDATE vs_medikament SET t_ek = 0 WHERE t_ek IS NULL;
-- t_vk darf nicht leer sein, DEFAULT = 0
UPDATE vs_medikament SET t_vk = 0 WHERE t_vk IS NULL;



-- vs_verbrauchsmaterial
----------------
-- barsoi_pnr darf nicht leer sein, DEFAULT = 0
UPDATE vs_verbrauchsmaterial SET barsoi_pnr = 0 WHERE barsoi_pnr IS NULL;
-- barsoiindex darf nicht leer sein, DEFAULT = 0
UPDATE vs_verbrauchsmaterial SET barsoiindex = 0 WHERE barsoiindex IS NULL;
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_verbrauchsmaterial SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_verbrauchsmaterial SET preis = 0 WHERE preis IS NULL;
-- t_vk darf nicht leer sein, DEFAULT = 0
UPDATE vs_verbrauchsmaterial SET t_vk = 0 WHERE t_vk IS NULL;



-- vs_waren
----------------
-- barsoi_pnr darf nicht leer sein, DEFAULT = 0
UPDATE vs_waren SET barsoi_pnr = 0 WHERE barsoi_pnr IS NULL;
-- barsoiindex darf nicht leer sein, DEFAULT = 0
UPDATE vs_waren SET barsoiindex = 0 WHERE barsoiindex IS NULL;
-- epreis darf nicht leer sein, DEFAULT = 0
UPDATE vs_waren SET epreis = 0 WHERE epreis IS NULL;
-- preis darf nicht leer sein, DEFAULT = 0
UPDATE vs_waren SET preis = 0 WHERE preis IS NULL;
-- t_vk darf nicht leer sein, DEFAULT = 0
UPDATE vs_waren SET t_vk = 0 WHERE t_vk IS NULL;
