-- 2. Skript zur Aenderung der VS-Office db-Struktur und setzen der DEFAULT-Werte
-- wg. Anpassung der db von Version vetsoftbox2013 auf VS-Office 1.7.4
-- Autor Dirk Walter
-- Datum 2014-09-14

-- Hinweise Klaus Munsteiner
-- Ergaenzungen siehe unten
-- Dies ist das Script fuer pgAdmin III, \echo ist durch --\echo ersetzt.


----------------------------------
-- Teil 1 - Strukturaenderungen --
----------------------------------


--\echo 'vs_behposition';
-----------------
--\echo 'Zeichen erweitern';
ALTER TABLE vs_behposition ALTER COLUMN ziffer TYPE character varying(25);
--
--\echo 'Name: vs_bes_event_typ; Type: TABLE; Schema: public; Owner: postgres; Tablespace: ';
--
--\echo 'Name: vs_bes_event_typ_bes_event_typ_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres';
--
ALTER SEQUENCE vs_bes_event_typ_bes_event_typ_id_seq OWNED BY vs_bes_event_typ.bes_event_typ_id;


--
--\echo 'Name: vs_bezahlt; Type: TABLE; Schema: public; Owner: postgres; Tablespace: ';
--
--\echo 'um Spalte erweitern';
ALTER TABLE vs_bezahlt add COLUMN dauerbehandlung character varying(50);


--
--\echo 'Name: vs_lieferant; Type: TABLE; Schema: public; Owner: postgres; Tablespace: ';
--
--\echo 'vs_lieferant';
-----------------
--\echo 'Zeichen erweitern';
ALTER TABLE vs_lieferant ALTER COLUMN email TYPE character varying(80);
--\echo 'Spalte erweitern';
ALTER TABLE vs_lieferant add COLUMN bestelltelfon character varying(50);


--
--\echo 'Name: vs_patient; Type: TABLE; Schema: public; Owner: postgres; Tablespace: ';
--
--\echo 'Spalte erweitern';
ALTER TABLE vs_patient ALTER COLUMN rasse TYPE character varying(40);


--
--\echo 'Name: bes_event_id; Type: DEFAULT; Schema: public; Owner: postgres';
--

ALTER TABLE ONLY vs_bes_event ALTER COLUMN bes_event_id SET DEFAULT nextval('vs_bes_event_bes_event_id_seq'::regclass);


--
--\echo 'Name: bes_event_typ_id; Type: DEFAULT; Schema: public; Owner: postgres';
--

ALTER TABLE ONLY vs_bes_event_typ ALTER COLUMN bes_event_typ_id SET DEFAULT nextval('vs_bes_event_typ_bes_event_typ_id_seq'::regclass);


--
--\echo 'Name: kasse_id; Type: DEFAULT; Schema: public; Owner: postgres';
--
--\echo 'bitte pruefen, ist evtl. schon durch DDL-Strukturaenderung auf serial erledigt';

ALTER TABLE ONLY vs_kasse ALTER COLUMN kasse_id SET DEFAULT nextval('vs_kasse_kasse_id_seq'::regclass);


--
--\echo 'Name: wissen_id; Type: DEFAULT; Schema: public; Owner: postgres';
--
--\echo 'bitte pruefen, ist evtl. schon durch DDL-Strukturaenderung auf serial erledigt';
ALTER TABLE ONLY vs_wissen ALTER COLUMN wissen_id SET DEFAULT nextval('vs_wissen_wissen_id_seq'::regclass);
--
--\echo 'Aenderunge an Kasse_id';
--
ALTER TABLE ONLY vs_kasse ADD CONSTRAINT con_datum UNIQUE (datum);
--
--\echo 'Name: pi_kasse_id; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--

ALTER TABLE ONLY vs_kasse ADD CONSTRAINT pi_kasse_id PRIMARY KEY (kasse_id);

--
--\echo 'Name: pi_user_id; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--


ALTER TABLE ONLY vs_user ADD CONSTRAINT pi_user_id PRIMARY KEY (user_id);
--
--\echo 'Name: pi_wissen_id; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--

ALTER TABLE ONLY vs_wissen ADD CONSTRAINT pi_wissen_id PRIMARY KEY (wissen_id);



--
--\echo 'Name: pk_bes_event_typ_id; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--

ALTER TABLE ONLY vs_bes_event_typ ADD CONSTRAINT pk_bes_event_typ_id PRIMARY KEY (bes_event_typ_id);

--
--\echo 'Name: vs_bes_event_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--

ALTER TABLE ONLY vs_bes_event ADD CONSTRAINT vs_bes_event_pkey PRIMARY KEY (bes_event_id);


--
--\echo 'Name: vs_bes_event_typ_e_typ_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: ';
--

ALTER TABLE ONLY vs_bes_event_typ ADD CONSTRAINT vs_bes_event_typ_e_typ_key UNIQUE (e_typ);

--
--\echo 'Name: fki_; Type: INDEX; Schema: public; Owner: postgres; Tablespace: ';
--

CREATE INDEX fki_ ON vs_bes_event USING btree (typ);

--
--\echo 'Name: si_bes_event_besitzer_id; Type: INDEX; Schema: public; Owner: postgres; Tablespace: ';
--

CREATE INDEX si_bes_event_besitzer_id ON vs_bes_event USING btree (besitzer_id);

--
--\echo 'Name: vs_bes_event_besitzer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres';
--

ALTER TABLE ONLY vs_bes_event ADD CONSTRAINT vs_bes_event_besitzer_id_fkey FOREIGN KEY (besitzer_id) REFERENCES vs_besitzer(besitzer_id) ON DELETE RESTRICT;


--
--\echo 'Name: vs_bes_event_typ_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres';
--

ALTER TABLE ONLY vs_bes_event ADD CONSTRAINT vs_bes_event_typ_fkey FOREIGN KEY (typ) REFERENCES vs_bes_event_typ(e_typ);




-- Ergaenzungen 
-- Autor Klaus Munsteiner
-- Datum 2014-09-29

--\echo 'Nicht benoetigte Tabellen loeschen';
DROP TABLE vs_leistung_sav;
DROP TABLE vs_leistung_distinct;

--\echo 'DEFAULT entfernen';
-- vs_impfung
ALTER TABLE ONLY vs_impfung ALTER COLUMN lieferant_id DROP DEFAULT;



----------------------
-- Datenaenderungen --
-- Datum 2014-10-11 --
----------------------
-- Fehlerbeseitigung vs_rasse

--\echo 'vs_rasse Update-Skript';
--\echo 'DEFAULT setzen';
-------------------------------
--\echo 'ugw darf nicht leer sein, DEFAULT = 1';
UPDATE vs_rasse SET ugw = 1 WHERE ugw IS NULL;
--\echo 'ogw darf nicht leer sein, DEFAULT = 1';
UPDATE vs_rasse SET ogw = 1 WHERE ogw IS NULL;
--\echo 'ugm darf nicht leer sein, DEFAULT = 1';
UPDATE vs_rasse SET ugm = 1 WHERE ugm IS NULL;
--\echo 'ogm darf nicht leer sein, DEFAULT = 1';
UPDATE vs_rasse SET ogm = 1 WHERE ogm IS NULL;
--\echo 'hoehe darf nicht leer sein, DEFAULT = 1';
UPDATE vs_rasse SET hoehe = 1 WHERE hoehe IS NULL;
--\echo 'Bilder gibt es keine, darum alte Testdaten loeschen.';
UPDATE vs_rasse SET bild = NULL;
