#!/bin/bash
#      RevokeUpdate.sh
#			Vetsoft-Update 1.82 -> 1.90 rueckgängig machen
#      
#      Copyright (C)  2017 Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
#                     Dirk Walter (DW),
#                     Klaus Munsteiner (KM), 
#                     Markus Angeli (MA)
#					   Eric Walter (EW)
#      
#      This program is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; either version 2 of the License, or
#      (at your option) any later version.
#      
#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#      
#      You should have received a copy of the GNU General Public License
#      along with this program; if not, write to the Free Software
#      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#      MA 02110-1301, USA.
#
#
# 2017-03-29 V 1.0 EW
#

if [ -f "./VSUpdateVars.log" ] ; then
  . VSUpdateVars.log
else
  echo " VSUpdateVars.log existiert nicht"
  echo " Update kann nicht rueckgaengig gemacht werden"
  echo " ABBRUCH"
  exit 1
fi

DUMPFILE=`ls -tr Backup/*DB*.backup | tail -1`
SQLSCRIPT=/tmp/RevokeUpdate.sql.$$ 

while getopts "f:u:" opt; do
  case $opt in
    u)
      DBAUSER=$OPTARG
      ;;
    f)
      DUMPFILE=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
    :)
      echo "Option -$OPTARG requires an argument." >&2
      exit 1
      ;;
  esac
done

if [ -z "$DBAUSER" ] ; then
	DBAUSER="postgres"
fi

echo " ... DB loeschen"
echo "
	SELECT pg_terminate_backend(pid) FROM pg_stat_activity WHERE datname = '$DBNAME';
	DROP DATABASE IF EXISTS $DBNAME;
	CREATE DATABASE $DBNAME;
	ALTER DATABASE $DBNAME OWNER TO $DBUSER;
	GRANT ALL PRIVILEGES ON DATABASE $DBNAME to $DBUSER;
" > $SQLSCRIPT

sudo -u $DBAUSER psql -q -f $SQLSCRIPT

echo " ... Restore des letzten DB Exports von UpdateVS.sh"
if [ -f $DUMPFILE ] ; then
	echo "Importiere $DUMPFILE"
	sudo -u $DBAUSER pg_restore -d $DBNAME $DUMPFILE
else
	echo "Dumpfile $DUMPFILE existiert nicht"
fi

echo "
\connect $DBNAME;
GRANT ALL PRIVILEGES ON ALL TABLES IN SCHEMA public TO $DBUSER;
GRANT ALL  ON ALL SEQUENCES IN SCHEMA public to $DBUSER;
" > $SQLSCRIPT
sudo -u $DBAUSER psql -q -f $SQLSCRIPT

rm $SQLSCRIPT