#!/bin/bash

SQLSCRIPT=""

while getopts "a:p:o:d:s:" opt; do
  case $opt in
    a)
      DBA=$OPTARG
	  SQLARGS="$SQLARGS --set DBA=$DBA"
      ;;
    p)
      DBAPW=$OPTARG
	  SQLARGS="$SQLARGS --set DBAPW=$DBAPW"
      ;;
    d)
      DBN=$OPTARG
	  SQLARGS="$SQLARGS --set DBN=$DBN"
      ;;
    d)
      SQLSCRIPT=$OPTARG
      ;;
    o)
      DBOWNER=$OPTARG
	  SQLARGS="$SQLARGS --set DBOWNER=$DBOWNER"
      ;;
    s)
      SQLSCRIPT=$OPTARG
	  SQLARGS="$SQLARGS --set DBOWNER=$DBOWNER"
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
    :)
      echo "Option -$OPTARG requires an argument." >&2
      exit 1
      ;;
  esac
done

if [ "$DBA" == "" ] || [ "DBN" == "" ] || [ "SQLSCRIPT" == "" ] ; then
   echo " Missing argument "
   exit 1
fi

cp $SQLSCRIPT /tmp
SQLSCRIPT=/tmp/`basename $SQLSCRIPT`
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -d $DBN -f $SQLSCRIPT --set DBN=$DBN --set DBA=$DBA --set DBOWNER=$DBOWNER

rm $SQLSCRIPT
