/*======================================================*/
/* Eric Walter, 02.02.2017                              */
/* Vetsoft DB und DB User anlegen                       */
/*======================================================*/

\echo === start ReinitVS1.sql ===;

/* DB und DB-User loeschen, falls schon da */ 
drop database if exists :DBN; 
drop user if exists :DBUSER;

/* ROLE bzw. User-Template vsdbusers anlegen, falls noch nicht da */
/* Vorlage wird fuer die eigentlichen DB-User benutzt */
DO
$body$
BEGIN
   IF NOT EXISTS ( SELECT * FROM pg_catalog.pg_roles where rolname = 'vsdbusers') THEN
      CREATE ROLE VSDBUSERS with NOSUPERUSER NOCREATEROLE INHERIT REPLICATION;
   END IF;
END
$body$;

/* DB-User anlegen */
create role :DBUSER in role VSDBUSERS;

/* DB anlegen */
create database :DBN;

/* diverse DB Rechte setzen */
ALTER DATABASE :DBN OWNER TO :DBUSER;
GRANT ALL PRIVILEGES ON DATABASE :DBN to :DBUSER;
ALTER ROLE :DBUSER WITH PASSWORD :DBUSERPW;
ALTER ROLE :DBUSER WITH LOGIN;
REVOKE CONNECT ON DATABASE :DBN FROM PUBLIC;
GRANT CONNECT ON DATABASE :DBN TO :DBUSER;

\echo === ende ReinitVS1.sql ===;
