--
-- PostgreSQL database dump
--

-- Started on 2012-12-10 22:34:38 CET

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 2506 (class 1262 OID 16387)
-- Name: vs_praxis; Type: DATABASE; Schema: -; Owner: praxis
--

CREATE DATABASE vs_praxis WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'de_DE.UTF-8' LC_CTYPE = 'de_DE.UTF-8';


ALTER DATABASE vs_praxis OWNER TO praxis;

\connect vs_praxis

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 140 (class 1259 OID 16990)
-- Dependencies: 6
-- Name: vs_anrede; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_anrede (
    bezeichnung character varying(20),
    id_anrede bigint NOT NULL
);


ALTER TABLE public.vs_anrede OWNER TO praxis;

--
-- TOC entry 261 (class 1259 OID 18361)
-- Dependencies: 6 140
-- Name: vs_anrede_new_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_anrede_new_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_anrede_new_id_seq OWNER TO praxis;

--
-- TOC entry 2509 (class 0 OID 0)
-- Dependencies: 261
-- Name: vs_anrede_new_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_anrede_new_id_seq OWNED BY vs_anrede.id_anrede;


--
-- TOC entry 141 (class 1259 OID 16995)
-- Dependencies: 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2200 6
-- Name: vs_behandlung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_behandlung (
    behandlung_id bigint NOT NULL,
    patient_id bigint,
    rechnung_id bigint DEFAULT 0,
    datum date,
    diagnose character varying(80),
    text text,
    tierarzt character varying(2),
    wiederbestellt date,
    bezahlt numeric(8,2) DEFAULT 0,
    netto numeric(8,2) DEFAULT 0,
    brutto numeric(8,2) DEFAULT 0,
    brutto_a numeric(8,2) DEFAULT 0,
    offen numeric(8,2) DEFAULT 0,
    abgeschlossen character(1),
    brutto_b numeric(8,2) DEFAULT 0,
    old_id bigint DEFAULT (-1),
    brutto_abgabemed numeric(8,2),
    betragmwst numeric(8,2),
    apotheke character varying(1) DEFAULT 0,
    user_id integer,
    pat_gewicht numeric(5,2) DEFAULT 0,
    epreis numeric(8,2) DEFAULT 0
);


ALTER TABLE public.vs_behandlung OWNER TO praxis;

--
-- TOC entry 142 (class 1259 OID 17011)
-- Dependencies: 6 141
-- Name: vs_behandlung_behandlung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_behandlung_behandlung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_behandlung_behandlung_id_seq OWNER TO praxis;

--
-- TOC entry 2510 (class 0 OID 0)
-- Dependencies: 142
-- Name: vs_behandlung_behandlung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_behandlung_behandlung_id_seq OWNED BY vs_behandlung.behandlung_id;


--
-- TOC entry 143 (class 1259 OID 17013)
-- Dependencies: 6
-- Name: vs_behdoc; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_behdoc (
    behdoc_id bigint NOT NULL,
    behandlung_id bigint,
    patient_id bigint,
    bezeichnung character varying(30),
    memo text,
    filename character varying(80),
    user_id integer
);


ALTER TABLE public.vs_behdoc OWNER TO praxis;

--
-- TOC entry 144 (class 1259 OID 17019)
-- Dependencies: 6 143
-- Name: vs_behdoc_behdoc_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_behdoc_behdoc_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_behdoc_behdoc_id_seq OWNER TO praxis;

--
-- TOC entry 2511 (class 0 OID 0)
-- Dependencies: 144
-- Name: vs_behdoc_behdoc_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_behdoc_behdoc_id_seq OWNED BY vs_behdoc.behdoc_id;


--
-- TOC entry 145 (class 1259 OID 17021)
-- Dependencies: 6
-- Name: vs_behlabor; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_behlabor (
    behlabor_id integer NOT NULL,
    behandlung_id integer,
    patient_id integer,
    laborwert_id integer,
    bezeichnung character varying(70),
    ergebnistext character varying(70),
    wert numeric(8,2),
    einheit character varying(20),
    bewertung character varying(50),
    labor character varying(15),
    memo text,
    user_id integer
);


ALTER TABLE public.vs_behlabor OWNER TO praxis;

--
-- TOC entry 146 (class 1259 OID 17027)
-- Dependencies: 6 145
-- Name: vs_behlabor_behlabor_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_behlabor_behlabor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_behlabor_behlabor_id_seq OWNER TO praxis;

--
-- TOC entry 2512 (class 0 OID 0)
-- Dependencies: 146
-- Name: vs_behlabor_behlabor_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_behlabor_behlabor_id_seq OWNED BY vs_behlabor.behlabor_id;


--
-- TOC entry 147 (class 1259 OID 17029)
-- Dependencies: 2204 6
-- Name: vs_behposition; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_behposition (
    behposition_id bigint NOT NULL,
    patient_id bigint,
    behandlung_id bigint,
    typ character varying(1),
    menge numeric(5,2),
    faktor numeric(7,2),
    ziffer character varying(20),
    bezeichnung character varying(40),
    einzelpreis numeric(8,2),
    mwst numeric(5,2),
    netto numeric(8,2),
    brutto numeric(8,2),
    betragmwst numeric(8,2),
    bezahlt_id integer,
    user_id integer,
    rechbezeichnung character varying(120),
    epreis numeric(8,2) DEFAULT 0
);


ALTER TABLE public.vs_behposition OWNER TO praxis;

--
-- TOC entry 148 (class 1259 OID 17032)
-- Dependencies: 6 147
-- Name: vs_behposition_behposition_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_behposition_behposition_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_behposition_behposition_id_seq OWNER TO praxis;

--
-- TOC entry 2513 (class 0 OID 0)
-- Dependencies: 148
-- Name: vs_behposition_behposition_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_behposition_behposition_id_seq OWNED BY vs_behposition.behposition_id;


--
-- TOC entry 260 (class 1259 OID 18345)
-- Dependencies: 6
-- Name: vs_bes_event; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_bes_event (
    bes_event_id integer NOT NULL,
    besitzer_id bigint NOT NULL,
    datum date,
    typ smallint,
    memo text
);


ALTER TABLE public.vs_bes_event OWNER TO praxis;

--
-- TOC entry 259 (class 1259 OID 18343)
-- Dependencies: 6 260
-- Name: vs_bes_event_bes_event_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_bes_event_bes_event_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_bes_event_bes_event_id_seq OWNER TO praxis;

--
-- TOC entry 2514 (class 0 OID 0)
-- Dependencies: 259
-- Name: vs_bes_event_bes_event_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_bes_event_bes_event_id_seq OWNED BY vs_bes_event.bes_event_id;


--
-- TOC entry 263 (class 1259 OID 18378)
-- Dependencies: 2306 6
-- Name: vs_bes_event_typ; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_bes_event_typ (
    bes_event_typ_id integer NOT NULL,
    name character varying(30),
    e_typ smallint DEFAULT 0 NOT NULL
);


ALTER TABLE public.vs_bes_event_typ OWNER TO praxis;

--
-- TOC entry 262 (class 1259 OID 18376)
-- Dependencies: 6 263
-- Name: vs_bes_event_typ_bes_event_typ_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_bes_event_typ_bes_event_typ_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_bes_event_typ_bes_event_typ_id_seq OWNER TO praxis;

--
-- TOC entry 2515 (class 0 OID 0)
-- Dependencies: 262
-- Name: vs_bes_event_typ_bes_event_typ_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_bes_event_typ_bes_event_typ_id_seq OWNED BY vs_bes_event_typ.bes_event_typ_id;


--
-- TOC entry 149 (class 1259 OID 17034)
-- Dependencies: 6
-- Name: vs_besitzer; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_besitzer (
    besitzer_id bigint NOT NULL,
    titel character varying(15),
    anrede character varying(15),
    briefanrede character varying(50),
    vorname character varying(20),
    name character varying(30),
    strasse character varying(30),
    plz character varying(5),
    wohnort character varying(30),
    telefon_1 character varying(25),
    telefon_2 character varying(25),
    telefon_mobil character varying(25),
    telefax character varying(25),
    mail character varying(125),
    www character varying(25),
    gruppe1 integer,
    gruppe2 integer,
    gruppe3 integer,
    gruppe4 integer,
    gruppe5 integer,
    faktor numeric(4,2),
    rabatt numeric(4,2),
    impferinnerung character varying(1),
    erstbesuch date,
    letzterbesuch date,
    konto character varying(15),
    blz character varying(8),
    einzug character varying(1),
    messagetext character varying(200),
    offen numeric(8,2),
    rechnungnach integer,
    zahlfrist integer,
    maxoffen numeric(8,2),
    rechnungoffen numeric(8,2),
    lebenspartner character varying(200),
    memo text,
    old_id bigint,
    user_id integer,
    standard_zahlweise smallint,
    zahl_typ smallint
);


ALTER TABLE public.vs_besitzer OWNER TO praxis;

--
-- TOC entry 150 (class 1259 OID 17040)
-- Dependencies: 6 149
-- Name: vs_besitzer_besitzer_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_besitzer_besitzer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_besitzer_besitzer_id_seq OWNER TO praxis;

--
-- TOC entry 2516 (class 0 OID 0)
-- Dependencies: 150
-- Name: vs_besitzer_besitzer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_besitzer_besitzer_id_seq OWNED BY vs_besitzer.besitzer_id;


--
-- TOC entry 257 (class 1259 OID 18225)
-- Dependencies: 2302 2303 6
-- Name: vs_bestellung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_bestellung (
    bestellung_id bigint NOT NULL,
    user_id smallint,
    datum_erstellt date NOT NULL,
    datum_ziel date,
    datum_bestellt date,
    bestellt_durch character varying(2) DEFAULT 0,
    bestelltext text,
    datum_lieferung date,
    bemerkung character varying(255),
    bestellart character varying(20) NOT NULL,
    lieferant character varying(30) NOT NULL,
    status smallint DEFAULT 0 NOT NULL
);


ALTER TABLE public.vs_bestellung OWNER TO praxis;

--
-- TOC entry 258 (class 1259 OID 18228)
-- Dependencies: 6 257
-- Name: vs_bestellung_bestellung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_bestellung_bestellung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_bestellung_bestellung_id_seq OWNER TO praxis;

--
-- TOC entry 2517 (class 0 OID 0)
-- Dependencies: 258
-- Name: vs_bestellung_bestellung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_bestellung_bestellung_id_seq OWNED BY vs_bestellung.bestellung_id;


--
-- TOC entry 151 (class 1259 OID 17042)
-- Dependencies: 2206 2207 2208 2209 2210 2211 2212 6
-- Name: vs_bezahlt; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_bezahlt (
    bezahlt_id bigint NOT NULL,
    datum date,
    typ character varying(2),
    gebucht character varying(1) DEFAULT 0,
    quittung character varying(1),
    betrag numeric(8,2) DEFAULT 0,
    brutto_a numeric(8,2) DEFAULT 0,
    brutto_b numeric(8,2) DEFAULT 0,
    bemerkung text,
    behandlung_id integer DEFAULT (-1),
    rechnung_id integer DEFAULT (-1),
    brutto_abgabemed numeric(8,2),
    betragmwst numeric(8,2),
    rech_bez_id bigint DEFAULT (-1),
    user_id integer,
    time_id bigint
);


ALTER TABLE public.vs_bezahlt OWNER TO praxis;

--
-- TOC entry 152 (class 1259 OID 17055)
-- Dependencies: 151 6
-- Name: vs_bezahlt_bezahlt_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_bezahlt_bezahlt_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_bezahlt_bezahlt_id_seq OWNER TO praxis;

--
-- TOC entry 2518 (class 0 OID 0)
-- Dependencies: 152
-- Name: vs_bezahlt_bezahlt_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_bezahlt_bezahlt_id_seq OWNED BY vs_bezahlt.bezahlt_id;


--
-- TOC entry 153 (class 1259 OID 17057)
-- Dependencies: 6
-- Name: vs_briefanrede; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_briefanrede (
    briefanrede_id integer NOT NULL,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_briefanrede OWNER TO praxis;

--
-- TOC entry 154 (class 1259 OID 17060)
-- Dependencies: 6 153
-- Name: vs_briefanrede_briefanrede_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_briefanrede_briefanrede_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_briefanrede_briefanrede_id_seq OWNER TO praxis;

--
-- TOC entry 2519 (class 0 OID 0)
-- Dependencies: 154
-- Name: vs_briefanrede_briefanrede_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_briefanrede_briefanrede_id_seq OWNED BY vs_briefanrede.briefanrede_id;


--
-- TOC entry 155 (class 1259 OID 17062)
-- Dependencies: 6
-- Name: vs_etikette; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_etikette (
    etikette_id integer NOT NULL,
    bezeichnung character varying(40)
);


ALTER TABLE public.vs_etikette OWNER TO praxis;

--
-- TOC entry 2520 (class 0 OID 0)
-- Dependencies: 155
-- Name: TABLE vs_etikette; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_etikette IS 'Tabelle für Etikettenformate';


--
-- TOC entry 156 (class 1259 OID 17065)
-- Dependencies: 6 155
-- Name: vs_etikette_etikette_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_etikette_etikette_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_etikette_etikette_id_seq OWNER TO praxis;

--
-- TOC entry 2521 (class 0 OID 0)
-- Dependencies: 156
-- Name: vs_etikette_etikette_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_etikette_etikette_id_seq OWNED BY vs_etikette.etikette_id;


--
-- TOC entry 253 (class 1259 OID 18164)
-- Dependencies: 2299 6
-- Name: vs_fibu_buchung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_fibu_buchung (
    fibu_buchung_id bigint NOT NULL,
    valutadatum date NOT NULL,
    buchungstext character varying(30),
    verwendungszweck character varying(255),
    adresse character varying(100),
    konto bigint,
    blz bigint,
    auftragskonto bigint,
    betrag numeric(8,2) DEFAULT 0 NOT NULL,
    soll character varying(10),
    haben character varying(10),
    waehrung character varying(3)
);


ALTER TABLE public.vs_fibu_buchung OWNER TO praxis;

--
-- TOC entry 254 (class 1259 OID 18167)
-- Dependencies: 253 6
-- Name: vs_fibu_buchung_fibu_buchung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_fibu_buchung_fibu_buchung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_fibu_buchung_fibu_buchung_id_seq OWNER TO praxis;

--
-- TOC entry 2522 (class 0 OID 0)
-- Dependencies: 254
-- Name: vs_fibu_buchung_fibu_buchung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_fibu_buchung_fibu_buchung_id_seq OWNED BY vs_fibu_buchung.fibu_buchung_id;


--
-- TOC entry 256 (class 1259 OID 18213)
-- Dependencies: 6
-- Name: vs_fibu_konto; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_fibu_konto (
    fibu_konto_id integer NOT NULL,
    nummer character varying(5) NOT NULL,
    name character varying(40) NOT NULL,
    import_modus character varying(250)
);


ALTER TABLE public.vs_fibu_konto OWNER TO praxis;

--
-- TOC entry 255 (class 1259 OID 18211)
-- Dependencies: 6 256
-- Name: vs_fibu_konto_fibu_konto_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_fibu_konto_fibu_konto_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_fibu_konto_fibu_konto_id_seq OWNER TO praxis;

--
-- TOC entry 2523 (class 0 OID 0)
-- Dependencies: 255
-- Name: vs_fibu_konto_fibu_konto_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_fibu_konto_fibu_konto_id_seq OWNED BY vs_fibu_konto.fibu_konto_id;


--
-- TOC entry 157 (class 1259 OID 17067)
-- Dependencies: 6
-- Name: vs_fremdleistung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_fremdleistung (
    fremdleistung_id integer NOT NULL,
    bezeichnung character varying(40),
    gruppe character varying(60),
    kurz character varying(12),
    preis numeric(8,2),
    epreis numeric(8,2),
    memo text,
    rang integer,
    barcode character varying(20),
    kommentar character varying(80),
    lieferant_id integer,
    user_id integer,
    rechbezeichnung character varying(120)
);


ALTER TABLE public.vs_fremdleistung OWNER TO praxis;

--
-- TOC entry 158 (class 1259 OID 17073)
-- Dependencies: 6 157
-- Name: vs_fremdleistung_fremdleistung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_fremdleistung_fremdleistung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_fremdleistung_fremdleistung_id_seq OWNER TO praxis;

--
-- TOC entry 2524 (class 0 OID 0)
-- Dependencies: 158
-- Name: vs_fremdleistung_fremdleistung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_fremdleistung_fremdleistung_id_seq OWNED BY vs_fremdleistung.fremdleistung_id;


--
-- TOC entry 159 (class 1259 OID 17075)
-- Dependencies: 6
-- Name: vs_futter; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_futter (
    futter_id integer NOT NULL,
    bezeichnung character varying(40),
    gruppe character varying(60),
    lieferant_id integer,
    kurz character varying(12),
    barcode character varying(20),
    preis numeric(8,2),
    epreis numeric(8,2),
    rang integer,
    mwst character varying(1),
    kommentar character varying(80),
    memo text,
    user_id integer,
    rechbezeichnung character varying(120)
);


ALTER TABLE public.vs_futter OWNER TO praxis;

--
-- TOC entry 160 (class 1259 OID 17081)
-- Dependencies: 6 159
-- Name: vs_futter_futter_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_futter_futter_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_futter_futter_id_seq OWNER TO praxis;

--
-- TOC entry 2525 (class 0 OID 0)
-- Dependencies: 160
-- Name: vs_futter_futter_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_futter_futter_id_seq OWNED BY vs_futter.futter_id;


--
-- TOC entry 161 (class 1259 OID 17083)
-- Dependencies: 6
-- Name: vs_futter_gruppe; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_futter_gruppe (
    futter_gruppe_id integer NOT NULL,
    bezeichnung character varying(30)
);


ALTER TABLE public.vs_futter_gruppe OWNER TO praxis;

--
-- TOC entry 162 (class 1259 OID 17086)
-- Dependencies: 161 6
-- Name: vs_futter_gruppe_futter_gruppe_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_futter_gruppe_futter_gruppe_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_futter_gruppe_futter_gruppe_id_seq OWNER TO praxis;

--
-- TOC entry 2526 (class 0 OID 0)
-- Dependencies: 162
-- Name: vs_futter_gruppe_futter_gruppe_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_futter_gruppe_futter_gruppe_id_seq OWNED BY vs_futter_gruppe.futter_gruppe_id;


--
-- TOC entry 163 (class 1259 OID 17088)
-- Dependencies: 6
-- Name: vs_gruppe1; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_gruppe1 (
    gruppe1_id integer NOT NULL,
    value smallint,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_gruppe1 OWNER TO praxis;

--
-- TOC entry 164 (class 1259 OID 17091)
-- Dependencies: 163 6
-- Name: vs_gruppe1_gruppe1_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_gruppe1_gruppe1_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_gruppe1_gruppe1_id_seq OWNER TO praxis;

--
-- TOC entry 2527 (class 0 OID 0)
-- Dependencies: 164
-- Name: vs_gruppe1_gruppe1_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_gruppe1_gruppe1_id_seq OWNED BY vs_gruppe1.gruppe1_id;


--
-- TOC entry 165 (class 1259 OID 17093)
-- Dependencies: 6
-- Name: vs_gruppe2; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_gruppe2 (
    gruppe2_id integer NOT NULL,
    value smallint,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_gruppe2 OWNER TO praxis;

--
-- TOC entry 166 (class 1259 OID 17096)
-- Dependencies: 6 165
-- Name: vs_gruppe2_gruppe2_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_gruppe2_gruppe2_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_gruppe2_gruppe2_id_seq OWNER TO praxis;

--
-- TOC entry 2528 (class 0 OID 0)
-- Dependencies: 166
-- Name: vs_gruppe2_gruppe2_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_gruppe2_gruppe2_id_seq OWNED BY vs_gruppe2.gruppe2_id;


--
-- TOC entry 167 (class 1259 OID 17098)
-- Dependencies: 6
-- Name: vs_gruppe3; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_gruppe3 (
    gruppe3_id integer NOT NULL,
    value smallint,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_gruppe3 OWNER TO praxis;

--
-- TOC entry 168 (class 1259 OID 17101)
-- Dependencies: 6 167
-- Name: vs_gruppe3_gruppe3_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_gruppe3_gruppe3_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_gruppe3_gruppe3_id_seq OWNER TO praxis;

--
-- TOC entry 2529 (class 0 OID 0)
-- Dependencies: 168
-- Name: vs_gruppe3_gruppe3_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_gruppe3_gruppe3_id_seq OWNED BY vs_gruppe3.gruppe3_id;


--
-- TOC entry 169 (class 1259 OID 17103)
-- Dependencies: 6
-- Name: vs_gruppe4; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_gruppe4 (
    gruppe4_id integer NOT NULL,
    value smallint,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_gruppe4 OWNER TO praxis;

--
-- TOC entry 170 (class 1259 OID 17106)
-- Dependencies: 6 169
-- Name: vs_gruppe4_gruppe4_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_gruppe4_gruppe4_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_gruppe4_gruppe4_id_seq OWNER TO praxis;

--
-- TOC entry 2530 (class 0 OID 0)
-- Dependencies: 170
-- Name: vs_gruppe4_gruppe4_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_gruppe4_gruppe4_id_seq OWNED BY vs_gruppe4.gruppe4_id;


--
-- TOC entry 171 (class 1259 OID 17108)
-- Dependencies: 6
-- Name: vs_gruppe5; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_gruppe5 (
    gruppe5_id integer NOT NULL,
    value smallint,
    bezeichnung character varying(50)
);


ALTER TABLE public.vs_gruppe5 OWNER TO praxis;

--
-- TOC entry 172 (class 1259 OID 17111)
-- Dependencies: 171 6
-- Name: vs_gruppe5_gruppe5_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_gruppe5_gruppe5_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_gruppe5_gruppe5_id_seq OWNER TO praxis;

--
-- TOC entry 2531 (class 0 OID 0)
-- Dependencies: 172
-- Name: vs_gruppe5_gruppe5_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_gruppe5_gruppe5_id_seq OWNED BY vs_gruppe5.gruppe5_id;


--
-- TOC entry 173 (class 1259 OID 17113)
-- Dependencies: 2224 2226 6
-- Name: vs_impfung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_impfung (
    impfung_id integer NOT NULL,
    bezeichnung character varying(20),
    kurz character varying(12),
    rang integer,
    preis numeric(8,2),
    epreis numeric(8,2),
    nachimpfung smallint,
    memo text,
    tierart character varying(20),
    soll smallint,
    haben smallint,
    barcode character varying(20),
    ietext text,
    charge character varying(20),
    kommentar character varying(80),
    verfalldatum date,
    user_id integer,
    rechbezeichnung character varying(120),
    verfuegbar character(1) DEFAULT 1,
    memo_bilanz text,
    lieferant_id bigint DEFAULT 4
);


ALTER TABLE public.vs_impfung OWNER TO praxis;

--
-- TOC entry 174 (class 1259 OID 17120)
-- Dependencies: 6 173
-- Name: vs_impfung_impfung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_impfung_impfung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_impfung_impfung_id_seq OWNER TO praxis;

--
-- TOC entry 2532 (class 0 OID 0)
-- Dependencies: 174
-- Name: vs_impfung_impfung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_impfung_impfung_id_seq OWNED BY vs_impfung.impfung_id;


--
-- TOC entry 175 (class 1259 OID 17122)
-- Dependencies: 6
-- Name: vs_impfung_zugang; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_impfung_zugang (
    impfung_zugang_id bigint NOT NULL,
    datum date,
    impfung_id integer,
    menge integer,
    lieferant character varying(30),
    memo text,
    charge character varying(20),
    u_kurz character(2),
    verfalldatum date,
    preis numeric(8,2),
    user_id integer
);


ALTER TABLE public.vs_impfung_zugang OWNER TO praxis;

--
-- TOC entry 2533 (class 0 OID 0)
-- Dependencies: 175
-- Name: TABLE vs_impfung_zugang; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_impfung_zugang IS 'Tabelle der Impfstoff Zugaenge';


--
-- TOC entry 176 (class 1259 OID 17128)
-- Dependencies: 175 6
-- Name: vs_impfung_zugang_impfung_zugang_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_impfung_zugang_impfung_zugang_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_impfung_zugang_impfung_zugang_id_seq OWNER TO praxis;

--
-- TOC entry 2534 (class 0 OID 0)
-- Dependencies: 176
-- Name: vs_impfung_zugang_impfung_zugang_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_impfung_zugang_impfung_zugang_id_seq OWNED BY vs_impfung_zugang.impfung_zugang_id;


--
-- TOC entry 177 (class 1259 OID 17130)
-- Dependencies: 2228 2229 6
-- Name: vs_kasse; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_kasse (
    kasse_id integer NOT NULL,
    datum date NOT NULL,
    abgang numeric(8,2) DEFAULT 0,
    ist numeric(8,2) DEFAULT 0 NOT NULL,
    bemerkung text
);


ALTER TABLE public.vs_kasse OWNER TO praxis;

--
-- TOC entry 178 (class 1259 OID 17138)
-- Dependencies: 177 6
-- Name: vs_kasse_kasse_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_kasse_kasse_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_kasse_kasse_id_seq OWNER TO praxis;

--
-- TOC entry 2535 (class 0 OID 0)
-- Dependencies: 178
-- Name: vs_kasse_kasse_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_kasse_kasse_id_seq OWNED BY vs_kasse.kasse_id;


--
-- TOC entry 179 (class 1259 OID 17140)
-- Dependencies: 6
-- Name: vs_labor; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_labor (
    labor_id integer NOT NULL,
    bezeichnung character varying(20)
);


ALTER TABLE public.vs_labor OWNER TO praxis;

--
-- TOC entry 180 (class 1259 OID 17143)
-- Dependencies: 6
-- Name: vs_labor_einheit; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_labor_einheit (
    labor_einheit_id integer NOT NULL,
    bezeichnung character varying(20)
);


ALTER TABLE public.vs_labor_einheit OWNER TO praxis;

--
-- TOC entry 181 (class 1259 OID 17146)
-- Dependencies: 180 6
-- Name: vs_labor_einheit_labor_einheit_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_labor_einheit_labor_einheit_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_labor_einheit_labor_einheit_id_seq OWNER TO praxis;

--
-- TOC entry 2536 (class 0 OID 0)
-- Dependencies: 181
-- Name: vs_labor_einheit_labor_einheit_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_labor_einheit_labor_einheit_id_seq OWNED BY vs_labor_einheit.labor_einheit_id;


--
-- TOC entry 182 (class 1259 OID 17148)
-- Dependencies: 179 6
-- Name: vs_labor_labor_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_labor_labor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_labor_labor_id_seq OWNER TO praxis;

--
-- TOC entry 2537 (class 0 OID 0)
-- Dependencies: 182
-- Name: vs_labor_labor_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_labor_labor_id_seq OWNED BY vs_labor.labor_id;


--
-- TOC entry 183 (class 1259 OID 17150)
-- Dependencies: 6
-- Name: vs_laborus; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_laborus (
    laborus_id bigint NOT NULL,
    behandlung_id bigint,
    patient_id bigint,
    laborwert_id integer,
    bezeichnung character varying(70),
    ergebnistext character varying(70),
    wert numeric(8,2),
    einheit character varying(20),
    bewertung character varying(50),
    labor character varying(20),
    bemerkung text,
    datum date,
    user_id bigint
);


ALTER TABLE public.vs_laborus OWNER TO praxis;

--
-- TOC entry 184 (class 1259 OID 17156)
-- Dependencies: 183 6
-- Name: vs_laborus_laborus_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_laborus_laborus_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_laborus_laborus_id_seq OWNER TO praxis;

--
-- TOC entry 2538 (class 0 OID 0)
-- Dependencies: 184
-- Name: vs_laborus_laborus_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_laborus_laborus_id_seq OWNED BY vs_laborus.laborus_id;


--
-- TOC entry 185 (class 1259 OID 17158)
-- Dependencies: 6
-- Name: vs_laborwert; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_laborwert (
    laborwert_id integer NOT NULL,
    bezeichnung character varying(80),
    kurz character varying(80),
    einheit character varying(10),
    normaltext_hund character varying(25),
    normaltext_katze character varying(25),
    untergrenze_hund numeric(8,2),
    obergrenze_hund numeric(8,2),
    untergrenze_katze numeric(8,2),
    obergrenze_katze numeric(8,2),
    obergrenze_text text,
    untergrenze_text text,
    bemerkung text,
    user_id integer,
    vergleich_id character varying(25)
);


ALTER TABLE public.vs_laborwert OWNER TO praxis;

--
-- TOC entry 186 (class 1259 OID 17164)
-- Dependencies: 6 185
-- Name: vs_laborwert_laborwert_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_laborwert_laborwert_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_laborwert_laborwert_id_seq OWNER TO praxis;

--
-- TOC entry 2539 (class 0 OID 0)
-- Dependencies: 186
-- Name: vs_laborwert_laborwert_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_laborwert_laborwert_id_seq OWNED BY vs_laborwert.laborwert_id;


--
-- TOC entry 187 (class 1259 OID 17166)
-- Dependencies: 2235 6
-- Name: vs_leistung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_leistung (
    leistung_id integer NOT NULL,
    bezeichnung character varying(40),
    kurz character varying(12),
    preis numeric(8,2),
    epreis numeric(8,2),
    got character varying(20),
    rang integer,
    barcode character varying(20),
    memo text,
    kommentar text,
    user_id integer,
    rechbezeichnung character varying(120),
    faktor numeric(4,2) DEFAULT 0,
    faktor_typ character(1)
);


ALTER TABLE public.vs_leistung OWNER TO praxis;

--
-- TOC entry 2540 (class 0 OID 0)
-- Dependencies: 187
-- Name: COLUMN vs_leistung.faktor; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON COLUMN vs_leistung.faktor IS 'Faktor';


--
-- TOC entry 188 (class 1259 OID 17173)
-- Dependencies: 187 6
-- Name: vs_leistung_leistung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_leistung_leistung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_leistung_leistung_id_seq OWNER TO praxis;

--
-- TOC entry 2541 (class 0 OID 0)
-- Dependencies: 188
-- Name: vs_leistung_leistung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_leistung_leistung_id_seq OWNED BY vs_leistung.leistung_id;


--
-- TOC entry 189 (class 1259 OID 17175)
-- Dependencies: 2237 6
-- Name: vs_lieferant; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_lieferant (
    lieferant_id integer NOT NULL,
    name character varying(30),
    strasse character varying(30),
    plz character varying(5),
    ort character varying(20),
    telefax character varying(20),
    bestelltelefon character varying(20),
    email character varying(25),
    aussendienst text,
    portofrei numeric(8,2) DEFAULT 0,
    kundennummer character varying(20),
    memo text,
    www character varying(40),
    barsoi_vernr character varying(20),
    user_id integer
);


ALTER TABLE public.vs_lieferant OWNER TO praxis;

--
-- TOC entry 190 (class 1259 OID 17182)
-- Dependencies: 6 189
-- Name: vs_lieferant_lieferant_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_lieferant_lieferant_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_lieferant_lieferant_id_seq OWNER TO praxis;

--
-- TOC entry 2542 (class 0 OID 0)
-- Dependencies: 190
-- Name: vs_lieferant_lieferant_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_lieferant_lieferant_id_seq OWNED BY vs_lieferant.lieferant_id;


--
-- TOC entry 191 (class 1259 OID 17184)
-- Dependencies: 6
-- Name: vs_med_gruppe; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_med_gruppe (
    med_gruppe_id integer NOT NULL,
    bezeichnung character varying(60)
);


ALTER TABLE public.vs_med_gruppe OWNER TO praxis;

--
-- TOC entry 192 (class 1259 OID 17187)
-- Dependencies: 191 6
-- Name: vs_med_gruppe_med_gruppe_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_med_gruppe_med_gruppe_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_med_gruppe_med_gruppe_id_seq OWNER TO praxis;

--
-- TOC entry 2543 (class 0 OID 0)
-- Dependencies: 192
-- Name: vs_med_gruppe_med_gruppe_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_med_gruppe_med_gruppe_id_seq OWNED BY vs_med_gruppe.med_gruppe_id;


--
-- TOC entry 193 (class 1259 OID 17189)
-- Dependencies: 6
-- Name: vs_med_typ; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_med_typ (
    med_typ_id integer NOT NULL,
    bezeichnung character varying(40),
    gruppe character varying(60),
    art character varying(20),
    barsoiindex character varying(30),
    zulassung character varying(250),
    bild character varying(80),
    waschzettel text,
    wirkstoffe character varying(200),
    lieferant_id integer,
    old_id smallint,
    user_id integer
);


ALTER TABLE public.vs_med_typ OWNER TO praxis;

--
-- TOC entry 194 (class 1259 OID 17195)
-- Dependencies: 6 193
-- Name: vs_med_typ_med_typ_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_med_typ_med_typ_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_med_typ_med_typ_id_seq OWNER TO praxis;

--
-- TOC entry 2544 (class 0 OID 0)
-- Dependencies: 194
-- Name: vs_med_typ_med_typ_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_med_typ_med_typ_id_seq OWNED BY vs_med_typ.med_typ_id;


--
-- TOC entry 195 (class 1259 OID 17197)
-- Dependencies: 6
-- Name: vs_med_zugang; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_med_zugang (
    med_zugang_id integer NOT NULL,
    datum date,
    medikament_id bigint NOT NULL,
    menge numeric(8,2) NOT NULL,
    memo text,
    preis numeric(8,2),
    u_kurz character(2),
    lieferant character varying(30),
    user_id integer
);


ALTER TABLE public.vs_med_zugang OWNER TO praxis;

--
-- TOC entry 2545 (class 0 OID 0)
-- Dependencies: 195
-- Name: TABLE vs_med_zugang; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_med_zugang IS 'Medikament - Neuzugaenge im Bestand';


--
-- TOC entry 196 (class 1259 OID 17203)
-- Dependencies: 195 6
-- Name: vs_med_zugang_med_zugang_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_med_zugang_med_zugang_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_med_zugang_med_zugang_id_seq OWNER TO praxis;

--
-- TOC entry 2546 (class 0 OID 0)
-- Dependencies: 196
-- Name: vs_med_zugang_med_zugang_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_med_zugang_med_zugang_id_seq OWNED BY vs_med_zugang.med_zugang_id;


--
-- TOC entry 197 (class 1259 OID 17205)
-- Dependencies: 2242 2243 2244 6
-- Name: vs_medikament; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_medikament (
    medikament_id integer NOT NULL,
    med_typ_id integer,
    bezeichnung character varying(40),
    kurz character varying(12),
    preis numeric(8,2),
    epreis numeric(8,2),
    soll smallint,
    haben smallint,
    memo text,
    warnhinweis character varying(80),
    umsatz numeric(8,2),
    rang integer,
    barcode character varying(30),
    verfalldatum date,
    delta character varying(30),
    charge character varying(20),
    rechbezeichnung character varying(120),
    t_bezeichnung character varying(40),
    t_ek numeric(8,2),
    t_vk numeric(8,2),
    t_verpackung numeric(8,2),
    t_anteil numeric(4,2),
    t_kurz character varying(12),
    barsoi_pnr character varying(10),
    btm character varying(1),
    kommentar character varying(80),
    t_kommentar character varying(80),
    user_id integer,
    t_rechbezeichnung character varying(120),
    dosierung character varying(200),
    op_menge_tp smallint DEFAULT 1,
    tp_einheit character varying(30),
    verfuegbar character(1) DEFAULT 1,
    memo_bilanz text,
    min_menge smallint DEFAULT 0 NOT NULL,
    vs_ident character varying(50)
);


ALTER TABLE public.vs_medikament OWNER TO praxis;

--
-- TOC entry 2547 (class 0 OID 0)
-- Dependencies: 197
-- Name: COLUMN vs_medikament.vs_ident; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON COLUMN vs_medikament.vs_ident IS 'Identifikation-ID eines Medikamentes vorgesehen für einen späteren Online-Abgleich durch einen Vetsoft Service';


--
-- TOC entry 198 (class 1259 OID 17214)
-- Dependencies: 197 6
-- Name: vs_medikament_medikament_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_medikament_medikament_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_medikament_medikament_id_seq OWNER TO praxis;

--
-- TOC entry 2548 (class 0 OID 0)
-- Dependencies: 198
-- Name: vs_medikament_medikament_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_medikament_medikament_id_seq OWNED BY vs_medikament.medikament_id;


--
-- TOC entry 199 (class 1259 OID 17216)
-- Dependencies: 6
-- Name: vs_mitarbeiter; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_mitarbeiter (
    mitarbeiter_id integer NOT NULL,
    name character varying(30),
    vorname character varying(30),
    adresse character varying(30),
    plz character varying(5),
    ort character varying(30),
    krankenkasse character varying(30),
    versnummer character varying(30),
    eintritt date,
    austritt date,
    memo text,
    kurz character varying(2)
);


ALTER TABLE public.vs_mitarbeiter OWNER TO praxis;

--
-- TOC entry 200 (class 1259 OID 17222)
-- Dependencies: 199 6
-- Name: vs_mitarbeiter_mitarbeiter_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_mitarbeiter_mitarbeiter_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_mitarbeiter_mitarbeiter_id_seq OWNER TO praxis;

--
-- TOC entry 2549 (class 0 OID 0)
-- Dependencies: 200
-- Name: vs_mitarbeiter_mitarbeiter_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_mitarbeiter_mitarbeiter_id_seq OWNED BY vs_mitarbeiter.mitarbeiter_id;


--
-- TOC entry 201 (class 1259 OID 17224)
-- Dependencies: 6
-- Name: vs_mustertext; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_mustertext (
    mustertext_id integer NOT NULL,
    bezeichnung character varying(40),
    typ character varying(10),
    text text,
    datapath character varying(80),
    user_id integer
);


ALTER TABLE public.vs_mustertext OWNER TO praxis;

--
-- TOC entry 202 (class 1259 OID 17230)
-- Dependencies: 6 201
-- Name: vs_mustertext_mustertext_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_mustertext_mustertext_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_mustertext_mustertext_id_seq OWNER TO praxis;

--
-- TOC entry 2550 (class 0 OID 0)
-- Dependencies: 202
-- Name: vs_mustertext_mustertext_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_mustertext_mustertext_id_seq OWNED BY vs_mustertext.mustertext_id;


--
-- TOC entry 203 (class 1259 OID 17232)
-- Dependencies: 6
-- Name: vs_patient; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_patient (
    patient_id bigint NOT NULL,
    besitzer_id bigint,
    name character varying(15),
    rasse character varying(40),
    tierart character varying(25),
    geburtstag date,
    farbe character varying(20),
    gewicht numeric(5,2),
    id character varying(25),
    eupass character varying(25),
    geschlecht character varying(20),
    kastriert character varying(1),
    auslauf character varying(1),
    vorsicht character varying(1),
    tot character varying(1),
    offen numeric(8,2),
    anzeigetext character varying(200),
    erstbesuch date,
    letzterbesuch date,
    memo text,
    geschichte text,
    bild character varying(80),
    old_id bigint,
    dauerbehandlung text,
    user_id integer,
    pat_ident character varying(25)
);


ALTER TABLE public.vs_patient OWNER TO praxis;

--
-- TOC entry 204 (class 1259 OID 17238)
-- Dependencies: 6 203
-- Name: vs_patient_patient_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_patient_patient_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_patient_patient_id_seq OWNER TO praxis;

--
-- TOC entry 2551 (class 0 OID 0)
-- Dependencies: 204
-- Name: vs_patient_patient_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_patient_patient_id_seq OWNED BY vs_patient.patient_id;


--
-- TOC entry 205 (class 1259 OID 17240)
-- Dependencies: 2249 6
-- Name: vs_patimpfung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_patimpfung (
    patimpfung_id bigint NOT NULL,
    behandlung_id bigint,
    patient_id bigint,
    datum date,
    text character varying(20),
    charge character varying(20),
    nachimpfung date,
    ie_sent character(1) DEFAULT 0,
    user_id integer
);


ALTER TABLE public.vs_patimpfung OWNER TO praxis;

--
-- TOC entry 206 (class 1259 OID 17244)
-- Dependencies: 205 6
-- Name: vs_patimpfung_patimpfung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_patimpfung_patimpfung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_patimpfung_patimpfung_id_seq OWNER TO praxis;

--
-- TOC entry 2552 (class 0 OID 0)
-- Dependencies: 206
-- Name: vs_patimpfung_patimpfung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_patimpfung_patimpfung_id_seq OWNED BY vs_patimpfung.patimpfung_id;


--
-- TOC entry 207 (class 1259 OID 17246)
-- Dependencies: 6
-- Name: vs_rasse; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_rasse (
    rasse_id integer NOT NULL,
    kurz character varying(12),
    bezeichnung character varying(40),
    tierart character varying(20),
    ugw numeric(5,2),
    ogw numeric(5,2),
    ugm numeric(5,2),
    ogm numeric(5,2),
    hoehe integer,
    beschreibung text,
    memo text,
    bild character varying(80),
    user_id integer,
    tierart_id smallint
);


ALTER TABLE public.vs_rasse OWNER TO praxis;

--
-- TOC entry 208 (class 1259 OID 17252)
-- Dependencies: 6 207
-- Name: vs_rasse_rasse_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_rasse_rasse_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_rasse_rasse_id_seq OWNER TO praxis;

--
-- TOC entry 2553 (class 0 OID 0)
-- Dependencies: 208
-- Name: vs_rasse_rasse_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_rasse_rasse_id_seq OWNED BY vs_rasse.rasse_id;


--
-- TOC entry 209 (class 1259 OID 17254)
-- Dependencies: 2252 6
-- Name: vs_rech_bez; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_rech_bez (
    rech_bez_id bigint NOT NULL,
    rechnung_id bigint NOT NULL,
    datum date NOT NULL,
    betrag numeric(8,2) DEFAULT 0.0 NOT NULL,
    typ character(1) NOT NULL,
    quittung character(1),
    bemerkung text,
    user_id integer
);


ALTER TABLE public.vs_rech_bez OWNER TO praxis;

--
-- TOC entry 210 (class 1259 OID 17261)
-- Dependencies: 209 6
-- Name: vs_rech_bez_rech_bez_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_rech_bez_rech_bez_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_rech_bez_rech_bez_id_seq OWNER TO praxis;

--
-- TOC entry 2554 (class 0 OID 0)
-- Dependencies: 210
-- Name: vs_rech_bez_rech_bez_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_rech_bez_rech_bez_id_seq OWNED BY vs_rech_bez.rech_bez_id;


--
-- TOC entry 211 (class 1259 OID 17263)
-- Dependencies: 2254 2255 2256 2257 6
-- Name: vs_rechnung; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_rechnung (
    rechnung_id bigint NOT NULL,
    besitzer_id bigint NOT NULL,
    rechnungdatum date NOT NULL,
    ausgabedatum date NOT NULL,
    ausgabeart character(1) NOT NULL,
    memo text,
    zahlfrist date NOT NULL,
    rechnungnummer character varying(30) NOT NULL,
    mahnung_1_datum date,
    mahnung_1_gebuehr numeric(8,2) DEFAULT 0,
    mahnung_2_datum date,
    mahnung_2_gebuehr numeric(8,2) DEFAULT 0,
    mahnung_3_datum date,
    mahnung_3_gebuehr numeric(8,2) DEFAULT 0,
    zusatztext text,
    int_rn bigint DEFAULT 0 NOT NULL,
    user_id integer
);


ALTER TABLE public.vs_rechnung OWNER TO praxis;

--
-- TOC entry 212 (class 1259 OID 17273)
-- Dependencies: 6 211
-- Name: vs_rechnung_rechnung_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_rechnung_rechnung_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_rechnung_rechnung_id_seq OWNER TO praxis;

--
-- TOC entry 2555 (class 0 OID 0)
-- Dependencies: 212
-- Name: vs_rechnung_rechnung_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_rechnung_rechnung_id_seq OWNED BY vs_rechnung.rechnung_id;


--
-- TOC entry 213 (class 1259 OID 17275)
-- Dependencies: 6
-- Name: vs_roe_worklist; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_roe_worklist (
    roe_worklist_id bigint NOT NULL,
    datum date,
    behandlung_id bigint NOT NULL,
    memo text,
    bezeichnung character varying(30)
);


ALTER TABLE public.vs_roe_worklist OWNER TO praxis;

--
-- TOC entry 214 (class 1259 OID 17281)
-- Dependencies: 213 6
-- Name: vs_roe_worklist_roe_worklist_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_roe_worklist_roe_worklist_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_roe_worklist_roe_worklist_id_seq OWNER TO praxis;

--
-- TOC entry 2556 (class 0 OID 0)
-- Dependencies: 214
-- Name: vs_roe_worklist_roe_worklist_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_roe_worklist_roe_worklist_id_seq OWNED BY vs_roe_worklist.roe_worklist_id;


--
-- TOC entry 215 (class 1259 OID 17283)
-- Dependencies: 6
-- Name: vs_roentgen; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_roentgen (
    roentgen_id bigint NOT NULL,
    behandlung_id bigint,
    patient_id bigint,
    bezeichnung character varying(30),
    memo text,
    filename character varying(80),
    nummer character varying(20),
    kv smallint,
    mas numeric(4,1),
    format character varying(5),
    raster character varying(20),
    personen character varying(30),
    qualitaet smallint,
    user_id integer
);


ALTER TABLE public.vs_roentgen OWNER TO praxis;

--
-- TOC entry 216 (class 1259 OID 17289)
-- Dependencies: 215 6
-- Name: vs_roentgen_roentgen_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_roentgen_roentgen_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_roentgen_roentgen_id_seq OWNER TO praxis;

--
-- TOC entry 2557 (class 0 OID 0)
-- Dependencies: 216
-- Name: vs_roentgen_roentgen_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_roentgen_roentgen_id_seq OWNED BY vs_roentgen.roentgen_id;


--
-- TOC entry 217 (class 1259 OID 17291)
-- Dependencies: 6
-- Name: vs_serienbrief; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_serienbrief (
    serienbrief_id integer NOT NULL,
    bezeichnung character varying(80),
    sql text,
    content text,
    beschreibung text
);


ALTER TABLE public.vs_serienbrief OWNER TO praxis;

--
-- TOC entry 2558 (class 0 OID 0)
-- Dependencies: 217
-- Name: TABLE vs_serienbrief; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_serienbrief IS 'Tabelle für Serienbriefe und Exporte';


--
-- TOC entry 218 (class 1259 OID 17297)
-- Dependencies: 6 217
-- Name: vs_serienbrief_serienbrief_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_serienbrief_serienbrief_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_serienbrief_serienbrief_id_seq OWNER TO praxis;

--
-- TOC entry 2559 (class 0 OID 0)
-- Dependencies: 218
-- Name: vs_serienbrief_serienbrief_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_serienbrief_serienbrief_id_seq OWNED BY vs_serienbrief.serienbrief_id;


--
-- TOC entry 219 (class 1259 OID 17299)
-- Dependencies: 2262 6
-- Name: vs_standard; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_standard (
    standard_id integer NOT NULL,
    bezeichnung character varying(40),
    kurz character varying(12),
    rang integer,
    barcode character varying(20),
    kommentar text,
    memo text,
    ins_kommentar character(1),
    user_id integer,
    faktor numeric(4,2) DEFAULT 0,
    faktor_typ character(1)
);


ALTER TABLE public.vs_standard OWNER TO praxis;

--
-- TOC entry 220 (class 1259 OID 17306)
-- Dependencies: 219 6
-- Name: vs_standard_standard_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_standard_standard_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_standard_standard_id_seq OWNER TO praxis;

--
-- TOC entry 2560 (class 0 OID 0)
-- Dependencies: 220
-- Name: vs_standard_standard_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_standard_standard_id_seq OWNED BY vs_standard.standard_id;


--
-- TOC entry 221 (class 1259 OID 17308)
-- Dependencies: 6
-- Name: vs_stapos; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_stapos (
    stapos_id integer NOT NULL,
    standard_id integer,
    position_id integer,
    typ character varying(1),
    menge numeric(8,2),
    tp character varying(1),
    bezeichnung character varying(40),
    user_id integer
);


ALTER TABLE public.vs_stapos OWNER TO praxis;

--
-- TOC entry 222 (class 1259 OID 17311)
-- Dependencies: 221 6
-- Name: vs_stapos_stapos_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_stapos_stapos_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_stapos_stapos_id_seq OWNER TO praxis;

--
-- TOC entry 2561 (class 0 OID 0)
-- Dependencies: 222
-- Name: vs_stapos_stapos_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_stapos_stapos_id_seq OWNED BY vs_stapos.stapos_id;


--
-- TOC entry 223 (class 1259 OID 17313)
-- Dependencies: 6
-- Name: vs_status; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_status (
    status_id integer NOT NULL,
    bezeichnung character varying(60)
);


ALTER TABLE public.vs_status OWNER TO praxis;

--
-- TOC entry 224 (class 1259 OID 17316)
-- Dependencies: 6 223
-- Name: vs_status_status_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_status_status_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_status_status_id_seq OWNER TO praxis;

--
-- TOC entry 2562 (class 0 OID 0)
-- Dependencies: 224
-- Name: vs_status_status_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_status_status_id_seq OWNED BY vs_status.status_id;


--
-- TOC entry 225 (class 1259 OID 17318)
-- Dependencies: 6
-- Name: vs_textbaustein; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_textbaustein (
    textbaustein_id integer NOT NULL,
    bezeichnung character varying(40),
    typ character varying(20),
    text text,
    user_id integer
);


ALTER TABLE public.vs_textbaustein OWNER TO praxis;

--
-- TOC entry 226 (class 1259 OID 17324)
-- Dependencies: 6 225
-- Name: vs_textbaustein_textbaustein_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_textbaustein_textbaustein_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_textbaustein_textbaustein_id_seq OWNER TO praxis;

--
-- TOC entry 2563 (class 0 OID 0)
-- Dependencies: 226
-- Name: vs_textbaustein_textbaustein_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_textbaustein_textbaustein_id_seq OWNED BY vs_textbaustein.textbaustein_id;


--
-- TOC entry 227 (class 1259 OID 17326)
-- Dependencies: 6
-- Name: vs_tierart; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_tierart (
    bezeichnung character varying(20),
    tierart_id integer NOT NULL
);


ALTER TABLE public.vs_tierart OWNER TO praxis;

--
-- TOC entry 228 (class 1259 OID 17329)
-- Dependencies: 227 6
-- Name: vs_tierart_tierart_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_tierart_tierart_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_tierart_tierart_id_seq OWNER TO praxis;

--
-- TOC entry 2564 (class 0 OID 0)
-- Dependencies: 228
-- Name: vs_tierart_tierart_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_tierart_tierart_id_seq OWNED BY vs_tierart.tierart_id;


--
-- TOC entry 229 (class 1259 OID 17331)
-- Dependencies: 6
-- Name: vs_titel; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_titel (
    titel_id integer NOT NULL,
    bezeichnung character varying(20)
);


ALTER TABLE public.vs_titel OWNER TO praxis;

--
-- TOC entry 230 (class 1259 OID 17334)
-- Dependencies: 229 6
-- Name: vs_titel_titel_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_titel_titel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_titel_titel_id_seq OWNER TO praxis;

--
-- TOC entry 2565 (class 0 OID 0)
-- Dependencies: 230
-- Name: vs_titel_titel_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_titel_titel_id_seq OWNED BY vs_titel.titel_id;


--
-- TOC entry 231 (class 1259 OID 17336)
-- Dependencies: 2269 2270 6
-- Name: vs_todo; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_todo (
    todo_id bigint DEFAULT nextval(('vs_todo_todo_id_seq'::text)::regclass) NOT NULL,
    datum date NOT NULL,
    bezeichnung character varying(30),
    ziel date NOT NULL,
    eingetragen_von character(2) NOT NULL,
    prioritaet smallint NOT NULL,
    erledigt_am date,
    erledigt_durch character(2),
    user_id smallint DEFAULT (-1),
    ort character varying(30),
    beschreibung text,
    verlauf text
);


ALTER TABLE public.vs_todo OWNER TO praxis;

--
-- TOC entry 232 (class 1259 OID 17344)
-- Dependencies: 6
-- Name: vs_todo_todo_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_todo_todo_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_todo_todo_id_seq OWNER TO praxis;

--
-- TOC entry 233 (class 1259 OID 17346)
-- Dependencies: 2271 2272 2273 2274 2275 2276 2277 2278 2279 2280 2281 2282 2283 2284 2285 6
-- Name: vs_user; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_user (
    user_id integer NOT NULL,
    db_user character varying(30),
    pw character varying(30),
    bemerkung text,
    can_delete character(1),
    can_edit character(1),
    can_insert character(1),
    kurz character(2),
    name character varying(30),
    vorname character varying(30),
    adresse character varying(30),
    plz character varying(5),
    ort character varying(30),
    krankenkasse character varying(30),
    versnummer character varying(30),
    eintritt date,
    austritt date,
    steuerklasse character(1),
    can_view_umsatz character(1) DEFAULT 0,
    kk_beh_ins character(1) DEFAULT 0,
    kk_beh_del character(1) DEFAULT 0,
    kk_beh_edit character(1) DEFAULT 0,
    kk_pos_ins character(1) DEFAULT 0,
    kk_pos_del character(1) DEFAULT 0,
    kk_pos_edit character(1) DEFAULT 0,
    kk_bez_ins character(1) DEFAULT 0,
    kk_bez_del character(1) DEFAULT 0,
    kk_bez_edit character(1) DEFAULT 0,
    can_view_abrechnung character(1) DEFAULT 0,
    is_tierarzt character(1) DEFAULT 0,
    user_chat_color character varying(20) DEFAULT 'black'::character varying,
    aktiv character(1) DEFAULT 1,
    is_sysadmin character(1) DEFAULT 0 NOT NULL
);


ALTER TABLE public.vs_user OWNER TO praxis;

--
-- TOC entry 234 (class 1259 OID 17367)
-- Dependencies: 6 233
-- Name: vs_user_user_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_user_user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_user_user_id_seq OWNER TO praxis;

--
-- TOC entry 2566 (class 0 OID 0)
-- Dependencies: 234
-- Name: vs_user_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_user_user_id_seq OWNED BY vs_user.user_id;


--
-- TOC entry 250 (class 1259 OID 18130)
-- Dependencies: 1994 6
-- Name: vs_v_kasse_pre; Type: VIEW; Schema: public; Owner: praxis
--

CREATE VIEW vs_v_kasse_pre AS
    SELECT k.kasse_id, k.datum, k.abgang, k.ist, k.bemerkung, (SELECT sum(vs_bezahlt.betrag) AS sum FROM vs_bezahlt WHERE (((vs_bezahlt.typ)::text = 'B'::text) AND (vs_bezahlt.datum = k.datum))) AS barumsatz, (SELECT (vs_kasse.ist - vs_kasse.abgang) AS diff FROM vs_kasse WHERE (vs_kasse.datum = (SELECT max(vs_kasse.datum) AS kmax FROM vs_kasse WHERE (vs_kasse.datum < k.datum)))) AS vortag FROM vs_kasse k;


ALTER TABLE public.vs_v_kasse_pre OWNER TO praxis;

--
-- TOC entry 251 (class 1259 OID 18134)
-- Dependencies: 1995 6
-- Name: vs_v_kasse; Type: VIEW; Schema: public; Owner: praxis
--

CREATE VIEW vs_v_kasse AS
    SELECT k.kasse_id, k.datum, k.abgang, k.ist, k.bemerkung, k.barumsatz, k.vortag, (k.vortag + k.barumsatz) AS soll, (k.ist - (k.vortag + k.barumsatz)) AS differenz, (k.ist - k.abgang) AS neu FROM vs_v_kasse_pre k;


ALTER TABLE public.vs_v_kasse OWNER TO praxis;

--
-- TOC entry 235 (class 1259 OID 17377)
-- Dependencies: 1993 6
-- Name: vs_v_rechnung; Type: VIEW; Schema: public; Owner: praxis
--

CREATE VIEW vs_v_rechnung AS
    SELECT r.rechnung_id, r.besitzer_id, r.rechnungdatum, r.ausgabedatum, r.ausgabeart, r.memo, r.zahlfrist, r.rechnungnummer, r.mahnung_1_datum, r.mahnung_1_gebuehr, r.mahnung_2_datum, r.mahnung_2_gebuehr, r.mahnung_3_datum, r.mahnung_3_gebuehr, r.zusatztext, b.anrede, b.briefanrede, b.titel, b.vorname, b.name, b.strasse, b.plz, b.wohnort, b.mail, (SELECT sum(vs_behandlung.brutto) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS brutto, (SELECT sum(vs_behandlung.netto) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS netto, (SELECT sum(vs_behandlung.betragmwst) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS betragmwst, (SELECT sum(vs_behandlung.brutto_a) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS brutto_a, (SELECT sum(vs_behandlung.brutto_b) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS brutto_b, (SELECT sum(vs_behandlung.brutto_abgabemed) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS brutto_abgabemed, (SELECT sum(vs_behandlung.bezahlt) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS bezahlt, (SELECT sum(vs_behandlung.offen) AS sum FROM vs_behandlung WHERE (vs_behandlung.rechnung_id = r.rechnung_id)) AS offen FROM vs_rechnung r, vs_besitzer b WHERE (r.besitzer_id = b.besitzer_id);


ALTER TABLE public.vs_v_rechnung OWNER TO praxis;

--
-- TOC entry 252 (class 1259 OID 18138)
-- Dependencies: 1996 6
-- Name: vs_v_umsatz; Type: VIEW; Schema: public; Owner: praxis
--

CREATE VIEW vs_v_umsatz AS
    SELECT b.behandlung_id, b.datum, b.brutto, (b.brutto_a - b.brutto_abgabemed) AS ta_leistung, b.brutto_b, b.brutto_abgabemed, (SELECT sum(vs_bezahlt.betrag) AS sum FROM vs_bezahlt WHERE (((vs_bezahlt.typ)::text = 'B'::text) AND (vs_bezahlt.behandlung_id = b.behandlung_id))) AS bar, (SELECT sum(vs_bezahlt.betrag) AS sum FROM vs_bezahlt WHERE (((vs_bezahlt.typ)::text = 'K'::text) AND (vs_bezahlt.behandlung_id = b.behandlung_id))) AS karte, b.offen, b.diagnose, p.name AS patient, bes.name AS besitzer FROM vs_behandlung b, vs_patient p, vs_besitzer bes WHERE ((b.patient_id = p.patient_id) AND (p.besitzer_id = bes.besitzer_id));


ALTER TABLE public.vs_v_umsatz OWNER TO praxis;

--
-- TOC entry 236 (class 1259 OID 17387)
-- Dependencies: 6
-- Name: vs_verbrauchsmaterial; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_verbrauchsmaterial (
    bezeichnung character varying(40),
    gruppe character varying(60),
    kurz character varying(12),
    preis numeric(8,2),
    epreis numeric(8,2),
    memo text,
    rang integer,
    barcode character varying(20),
    kommentar character varying(80),
    lieferant_id integer,
    rechbezeichnung character varying(120),
    verbrauchsmaterial_id bigint NOT NULL
);


ALTER TABLE public.vs_verbrauchsmaterial OWNER TO praxis;

--
-- TOC entry 237 (class 1259 OID 17393)
-- Dependencies: 6
-- Name: vs_verbrauchsmaterial_gruppe; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_verbrauchsmaterial_gruppe (
    bezeichnung character varying(30),
    verbrauchsmaterial_gruppe_id integer NOT NULL
);


ALTER TABLE public.vs_verbrauchsmaterial_gruppe OWNER TO praxis;

--
-- TOC entry 238 (class 1259 OID 17396)
-- Dependencies: 6 237
-- Name: vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq OWNER TO praxis;

--
-- TOC entry 2567 (class 0 OID 0)
-- Dependencies: 238
-- Name: vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq OWNED BY vs_verbrauchsmaterial_gruppe.verbrauchsmaterial_gruppe_id;


--
-- TOC entry 239 (class 1259 OID 17398)
-- Dependencies: 6 236
-- Name: vs_verbrauchsmaterial_verbrauchsmaterial_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_verbrauchsmaterial_verbrauchsmaterial_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_verbrauchsmaterial_verbrauchsmaterial_id_seq OWNER TO praxis;

--
-- TOC entry 2568 (class 0 OID 0)
-- Dependencies: 239
-- Name: vs_verbrauchsmaterial_verbrauchsmaterial_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_verbrauchsmaterial_verbrauchsmaterial_id_seq OWNED BY vs_verbrauchsmaterial.verbrauchsmaterial_id;


--
-- TOC entry 240 (class 1259 OID 17400)
-- Dependencies: 2289 2290 2291 6
-- Name: vs_waren; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_waren (
    waren_id bigint NOT NULL,
    gruppe character varying(30),
    lieferant_id integer,
    kurz character varying(12),
    barcode character varying(20),
    preis numeric(8,2) DEFAULT 0 NOT NULL,
    epreis numeric(8,2) DEFAULT 0 NOT NULL,
    rang integer DEFAULT 0 NOT NULL,
    artikel_nr character varying(50),
    kommentar character varying(80),
    rechbezeichnung character varying(120),
    memo text,
    bezeichnung character varying(40)
);


ALTER TABLE public.vs_waren OWNER TO praxis;

--
-- TOC entry 241 (class 1259 OID 17409)
-- Dependencies: 6
-- Name: vs_waren_gruppe; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_waren_gruppe (
    waren_gruppe_id integer NOT NULL,
    bezeichnung character varying(30)
);


ALTER TABLE public.vs_waren_gruppe OWNER TO praxis;

--
-- TOC entry 242 (class 1259 OID 17412)
-- Dependencies: 241 6
-- Name: vs_waren_gruppe_waren_gruppe_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_waren_gruppe_waren_gruppe_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_waren_gruppe_waren_gruppe_id_seq OWNER TO praxis;

--
-- TOC entry 2569 (class 0 OID 0)
-- Dependencies: 242
-- Name: vs_waren_gruppe_waren_gruppe_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_waren_gruppe_waren_gruppe_id_seq OWNED BY vs_waren_gruppe.waren_gruppe_id;


--
-- TOC entry 243 (class 1259 OID 17414)
-- Dependencies: 240 6
-- Name: vs_waren_waren_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_waren_waren_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_waren_waren_id_seq OWNER TO praxis;

--
-- TOC entry 2570 (class 0 OID 0)
-- Dependencies: 243
-- Name: vs_waren_waren_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_waren_waren_id_seq OWNED BY vs_waren.waren_id;


--
-- TOC entry 244 (class 1259 OID 17416)
-- Dependencies: 6
-- Name: vs_wartezimmer; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_wartezimmer (
    wartezimmer_id integer NOT NULL,
    besitzer_id bigint NOT NULL,
    ankunft time without time zone NOT NULL,
    ta character varying(30),
    grund text,
    status character varying(40),
    memo text,
    datum date NOT NULL,
    user_id integer
);


ALTER TABLE public.vs_wartezimmer OWNER TO praxis;

--
-- TOC entry 2571 (class 0 OID 0)
-- Dependencies: 244
-- Name: TABLE vs_wartezimmer; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_wartezimmer IS 'Patientenbesitzer in der Praxis';


--
-- TOC entry 245 (class 1259 OID 17422)
-- Dependencies: 244 6
-- Name: vs_wartezimmer_wartezimmer_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_wartezimmer_wartezimmer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_wartezimmer_wartezimmer_id_seq OWNER TO praxis;

--
-- TOC entry 2572 (class 0 OID 0)
-- Dependencies: 245
-- Name: vs_wartezimmer_wartezimmer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_wartezimmer_wartezimmer_id_seq OWNED BY vs_wartezimmer.wartezimmer_id;


--
-- TOC entry 246 (class 1259 OID 17424)
-- Dependencies: 6
-- Name: vs_wissen; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_wissen (
    wissen_id bigint NOT NULL,
    caption character varying(80),
    quelle character varying(80),
    ausgabe character varying(50),
    spezies character varying(80),
    keywords character varying(255),
    inhalt text
);


ALTER TABLE public.vs_wissen OWNER TO praxis;

--
-- TOC entry 2573 (class 0 OID 0)
-- Dependencies: 246
-- Name: TABLE vs_wissen; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_wissen IS 'Wissensdatenbank';


--
-- TOC entry 247 (class 1259 OID 17430)
-- Dependencies: 6 246
-- Name: vs_wissen_wissen_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_wissen_wissen_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_wissen_wissen_id_seq OWNER TO praxis;

--
-- TOC entry 2574 (class 0 OID 0)
-- Dependencies: 247
-- Name: vs_wissen_wissen_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_wissen_wissen_id_seq OWNED BY vs_wissen.wissen_id;


--
-- TOC entry 248 (class 1259 OID 17432)
-- Dependencies: 2296 6
-- Name: vs_wwwlink; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_wwwlink (
    wwwlink_id integer NOT NULL,
    bezeichnung character varying(40),
    adresse character varying(100),
    gruppe character varying(30),
    text text,
    wwwaction character varying(30),
    show_iframe character varying(1) DEFAULT 0,
    user_id integer
);


ALTER TABLE public.vs_wwwlink OWNER TO praxis;

--
-- TOC entry 2575 (class 0 OID 0)
-- Dependencies: 248
-- Name: TABLE vs_wwwlink; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_wwwlink IS 'Tabelle mit praxisrelevanten Links';


--
-- TOC entry 249 (class 1259 OID 17439)
-- Dependencies: 248 6
-- Name: vs_wwwlink_wwwlink_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_wwwlink_wwwlink_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_wwwlink_wwwlink_id_seq OWNER TO praxis;

--
-- TOC entry 2576 (class 0 OID 0)
-- Dependencies: 249
-- Name: vs_wwwlink_wwwlink_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_wwwlink_wwwlink_id_seq OWNED BY vs_wwwlink.wwwlink_id;


--
-- TOC entry 265 (class 1259 OID 18417)
-- Dependencies: 2308 2309 6
-- Name: vs_zahlweise; Type: TABLE; Schema: public; Owner: praxis; Tablespace: 
--

CREATE TABLE vs_zahlweise (
    zahlweise_id integer NOT NULL,
    kurz character varying(1) NOT NULL,
    bezeichnung character varying(25) NOT NULL,
    reihenfolge smallint DEFAULT 0 NOT NULL,
    zahldialog smallint DEFAULT 0 NOT NULL
);


ALTER TABLE public.vs_zahlweise OWNER TO praxis;

--
-- TOC entry 2577 (class 0 OID 0)
-- Dependencies: 265
-- Name: TABLE vs_zahlweise; Type: COMMENT; Schema: public; Owner: praxis
--

COMMENT ON TABLE vs_zahlweise IS 'Art der Zahlung';


--
-- TOC entry 264 (class 1259 OID 18415)
-- Dependencies: 6 265
-- Name: vs_zahlweise_zahlweise_id_seq; Type: SEQUENCE; Schema: public; Owner: praxis
--

CREATE SEQUENCE vs_zahlweise_zahlweise_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vs_zahlweise_zahlweise_id_seq OWNER TO praxis;

--
-- TOC entry 2578 (class 0 OID 0)
-- Dependencies: 264
-- Name: vs_zahlweise_zahlweise_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: praxis
--

ALTER SEQUENCE vs_zahlweise_zahlweise_id_seq OWNED BY vs_zahlweise.zahlweise_id;


--
-- TOC entry 2188 (class 2604 OID 18363)
-- Dependencies: 261 140
-- Name: id_anrede; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_anrede ALTER COLUMN id_anrede SET DEFAULT nextval('vs_anrede_new_id_seq'::regclass);


--
-- TOC entry 2199 (class 2604 OID 17442)
-- Dependencies: 142 141
-- Name: behandlung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behandlung ALTER COLUMN behandlung_id SET DEFAULT nextval('vs_behandlung_behandlung_id_seq'::regclass);


--
-- TOC entry 2201 (class 2604 OID 17443)
-- Dependencies: 144 143
-- Name: behdoc_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behdoc ALTER COLUMN behdoc_id SET DEFAULT nextval('vs_behdoc_behdoc_id_seq'::regclass);


--
-- TOC entry 2202 (class 2604 OID 17444)
-- Dependencies: 146 145
-- Name: behlabor_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behlabor ALTER COLUMN behlabor_id SET DEFAULT nextval('vs_behlabor_behlabor_id_seq'::regclass);


--
-- TOC entry 2203 (class 2604 OID 17445)
-- Dependencies: 148 147
-- Name: behposition_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behposition ALTER COLUMN behposition_id SET DEFAULT nextval('vs_behposition_behposition_id_seq'::regclass);


--
-- TOC entry 2304 (class 2604 OID 18348)
-- Dependencies: 259 260 260
-- Name: bes_event_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bes_event ALTER COLUMN bes_event_id SET DEFAULT nextval('vs_bes_event_bes_event_id_seq'::regclass);


--
-- TOC entry 2305 (class 2604 OID 18381)
-- Dependencies: 262 263 263
-- Name: bes_event_typ_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bes_event_typ ALTER COLUMN bes_event_typ_id SET DEFAULT nextval('vs_bes_event_typ_bes_event_typ_id_seq'::regclass);


--
-- TOC entry 2205 (class 2604 OID 17446)
-- Dependencies: 150 149
-- Name: besitzer_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_besitzer ALTER COLUMN besitzer_id SET DEFAULT nextval('vs_besitzer_besitzer_id_seq'::regclass);


--
-- TOC entry 2301 (class 2604 OID 18230)
-- Dependencies: 258 257
-- Name: bestellung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bestellung ALTER COLUMN bestellung_id SET DEFAULT nextval('vs_bestellung_bestellung_id_seq'::regclass);


--
-- TOC entry 2213 (class 2604 OID 17447)
-- Dependencies: 152 151
-- Name: bezahlt_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bezahlt ALTER COLUMN bezahlt_id SET DEFAULT nextval('vs_bezahlt_bezahlt_id_seq'::regclass);


--
-- TOC entry 2214 (class 2604 OID 17448)
-- Dependencies: 154 153
-- Name: briefanrede_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_briefanrede ALTER COLUMN briefanrede_id SET DEFAULT nextval('vs_briefanrede_briefanrede_id_seq'::regclass);


--
-- TOC entry 2215 (class 2604 OID 17449)
-- Dependencies: 156 155
-- Name: etikette_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_etikette ALTER COLUMN etikette_id SET DEFAULT nextval('vs_etikette_etikette_id_seq'::regclass);


--
-- TOC entry 2298 (class 2604 OID 18169)
-- Dependencies: 254 253
-- Name: fibu_buchung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_fibu_buchung ALTER COLUMN fibu_buchung_id SET DEFAULT nextval('vs_fibu_buchung_fibu_buchung_id_seq'::regclass);


--
-- TOC entry 2300 (class 2604 OID 18216)
-- Dependencies: 256 255 256
-- Name: fibu_konto_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_fibu_konto ALTER COLUMN fibu_konto_id SET DEFAULT nextval('vs_fibu_konto_fibu_konto_id_seq'::regclass);


--
-- TOC entry 2216 (class 2604 OID 17450)
-- Dependencies: 158 157
-- Name: fremdleistung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_fremdleistung ALTER COLUMN fremdleistung_id SET DEFAULT nextval('vs_fremdleistung_fremdleistung_id_seq'::regclass);


--
-- TOC entry 2217 (class 2604 OID 17451)
-- Dependencies: 160 159
-- Name: futter_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_futter ALTER COLUMN futter_id SET DEFAULT nextval('vs_futter_futter_id_seq'::regclass);


--
-- TOC entry 2218 (class 2604 OID 17452)
-- Dependencies: 162 161
-- Name: futter_gruppe_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_futter_gruppe ALTER COLUMN futter_gruppe_id SET DEFAULT nextval('vs_futter_gruppe_futter_gruppe_id_seq'::regclass);


--
-- TOC entry 2219 (class 2604 OID 17453)
-- Dependencies: 164 163
-- Name: gruppe1_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_gruppe1 ALTER COLUMN gruppe1_id SET DEFAULT nextval('vs_gruppe1_gruppe1_id_seq'::regclass);


--
-- TOC entry 2220 (class 2604 OID 17454)
-- Dependencies: 166 165
-- Name: gruppe2_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_gruppe2 ALTER COLUMN gruppe2_id SET DEFAULT nextval('vs_gruppe2_gruppe2_id_seq'::regclass);


--
-- TOC entry 2221 (class 2604 OID 17455)
-- Dependencies: 168 167
-- Name: gruppe3_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_gruppe3 ALTER COLUMN gruppe3_id SET DEFAULT nextval('vs_gruppe3_gruppe3_id_seq'::regclass);


--
-- TOC entry 2222 (class 2604 OID 17456)
-- Dependencies: 170 169
-- Name: gruppe4_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_gruppe4 ALTER COLUMN gruppe4_id SET DEFAULT nextval('vs_gruppe4_gruppe4_id_seq'::regclass);


--
-- TOC entry 2223 (class 2604 OID 17457)
-- Dependencies: 172 171
-- Name: gruppe5_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_gruppe5 ALTER COLUMN gruppe5_id SET DEFAULT nextval('vs_gruppe5_gruppe5_id_seq'::regclass);


--
-- TOC entry 2225 (class 2604 OID 17458)
-- Dependencies: 174 173
-- Name: impfung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_impfung ALTER COLUMN impfung_id SET DEFAULT nextval('vs_impfung_impfung_id_seq'::regclass);


--
-- TOC entry 2227 (class 2604 OID 17459)
-- Dependencies: 176 175
-- Name: impfung_zugang_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_impfung_zugang ALTER COLUMN impfung_zugang_id SET DEFAULT nextval('vs_impfung_zugang_impfung_zugang_id_seq'::regclass);


--
-- TOC entry 2230 (class 2604 OID 17460)
-- Dependencies: 178 177
-- Name: kasse_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_kasse ALTER COLUMN kasse_id SET DEFAULT nextval('vs_kasse_kasse_id_seq'::regclass);


--
-- TOC entry 2231 (class 2604 OID 17461)
-- Dependencies: 182 179
-- Name: labor_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_labor ALTER COLUMN labor_id SET DEFAULT nextval('vs_labor_labor_id_seq'::regclass);


--
-- TOC entry 2232 (class 2604 OID 17462)
-- Dependencies: 181 180
-- Name: labor_einheit_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_labor_einheit ALTER COLUMN labor_einheit_id SET DEFAULT nextval('vs_labor_einheit_labor_einheit_id_seq'::regclass);


--
-- TOC entry 2233 (class 2604 OID 17463)
-- Dependencies: 184 183
-- Name: laborus_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_laborus ALTER COLUMN laborus_id SET DEFAULT nextval('vs_laborus_laborus_id_seq'::regclass);


--
-- TOC entry 2234 (class 2604 OID 17464)
-- Dependencies: 186 185
-- Name: laborwert_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_laborwert ALTER COLUMN laborwert_id SET DEFAULT nextval('vs_laborwert_laborwert_id_seq'::regclass);


--
-- TOC entry 2236 (class 2604 OID 17465)
-- Dependencies: 188 187
-- Name: leistung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_leistung ALTER COLUMN leistung_id SET DEFAULT nextval('vs_leistung_leistung_id_seq'::regclass);


--
-- TOC entry 2238 (class 2604 OID 17466)
-- Dependencies: 190 189
-- Name: lieferant_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_lieferant ALTER COLUMN lieferant_id SET DEFAULT nextval('vs_lieferant_lieferant_id_seq'::regclass);


--
-- TOC entry 2239 (class 2604 OID 17467)
-- Dependencies: 192 191
-- Name: med_gruppe_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_med_gruppe ALTER COLUMN med_gruppe_id SET DEFAULT nextval('vs_med_gruppe_med_gruppe_id_seq'::regclass);


--
-- TOC entry 2240 (class 2604 OID 17468)
-- Dependencies: 194 193
-- Name: med_typ_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_med_typ ALTER COLUMN med_typ_id SET DEFAULT nextval('vs_med_typ_med_typ_id_seq'::regclass);


--
-- TOC entry 2241 (class 2604 OID 17469)
-- Dependencies: 196 195
-- Name: med_zugang_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_med_zugang ALTER COLUMN med_zugang_id SET DEFAULT nextval('vs_med_zugang_med_zugang_id_seq'::regclass);


--
-- TOC entry 2245 (class 2604 OID 17470)
-- Dependencies: 198 197
-- Name: medikament_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_medikament ALTER COLUMN medikament_id SET DEFAULT nextval('vs_medikament_medikament_id_seq'::regclass);


--
-- TOC entry 2246 (class 2604 OID 17471)
-- Dependencies: 200 199
-- Name: mitarbeiter_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_mitarbeiter ALTER COLUMN mitarbeiter_id SET DEFAULT nextval('vs_mitarbeiter_mitarbeiter_id_seq'::regclass);


--
-- TOC entry 2247 (class 2604 OID 17472)
-- Dependencies: 202 201
-- Name: mustertext_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_mustertext ALTER COLUMN mustertext_id SET DEFAULT nextval('vs_mustertext_mustertext_id_seq'::regclass);


--
-- TOC entry 2248 (class 2604 OID 17473)
-- Dependencies: 204 203
-- Name: patient_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_patient ALTER COLUMN patient_id SET DEFAULT nextval('vs_patient_patient_id_seq'::regclass);


--
-- TOC entry 2250 (class 2604 OID 17474)
-- Dependencies: 206 205
-- Name: patimpfung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_patimpfung ALTER COLUMN patimpfung_id SET DEFAULT nextval('vs_patimpfung_patimpfung_id_seq'::regclass);


--
-- TOC entry 2251 (class 2604 OID 17475)
-- Dependencies: 208 207
-- Name: rasse_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rasse ALTER COLUMN rasse_id SET DEFAULT nextval('vs_rasse_rasse_id_seq'::regclass);


--
-- TOC entry 2253 (class 2604 OID 17476)
-- Dependencies: 210 209
-- Name: rech_bez_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rech_bez ALTER COLUMN rech_bez_id SET DEFAULT nextval('vs_rech_bez_rech_bez_id_seq'::regclass);


--
-- TOC entry 2258 (class 2604 OID 17477)
-- Dependencies: 212 211
-- Name: rechnung_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rechnung ALTER COLUMN rechnung_id SET DEFAULT nextval('vs_rechnung_rechnung_id_seq'::regclass);


--
-- TOC entry 2259 (class 2604 OID 17478)
-- Dependencies: 214 213
-- Name: roe_worklist_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_roe_worklist ALTER COLUMN roe_worklist_id SET DEFAULT nextval('vs_roe_worklist_roe_worklist_id_seq'::regclass);


--
-- TOC entry 2260 (class 2604 OID 17479)
-- Dependencies: 216 215
-- Name: roentgen_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_roentgen ALTER COLUMN roentgen_id SET DEFAULT nextval('vs_roentgen_roentgen_id_seq'::regclass);


--
-- TOC entry 2261 (class 2604 OID 17480)
-- Dependencies: 218 217
-- Name: serienbrief_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_serienbrief ALTER COLUMN serienbrief_id SET DEFAULT nextval('vs_serienbrief_serienbrief_id_seq'::regclass);


--
-- TOC entry 2263 (class 2604 OID 17481)
-- Dependencies: 220 219
-- Name: standard_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_standard ALTER COLUMN standard_id SET DEFAULT nextval('vs_standard_standard_id_seq'::regclass);


--
-- TOC entry 2264 (class 2604 OID 17482)
-- Dependencies: 222 221
-- Name: stapos_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_stapos ALTER COLUMN stapos_id SET DEFAULT nextval('vs_stapos_stapos_id_seq'::regclass);


--
-- TOC entry 2265 (class 2604 OID 17483)
-- Dependencies: 224 223
-- Name: status_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_status ALTER COLUMN status_id SET DEFAULT nextval('vs_status_status_id_seq'::regclass);


--
-- TOC entry 2266 (class 2604 OID 17484)
-- Dependencies: 226 225
-- Name: textbaustein_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_textbaustein ALTER COLUMN textbaustein_id SET DEFAULT nextval('vs_textbaustein_textbaustein_id_seq'::regclass);


--
-- TOC entry 2267 (class 2604 OID 17485)
-- Dependencies: 228 227
-- Name: tierart_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_tierart ALTER COLUMN tierart_id SET DEFAULT nextval('vs_tierart_tierart_id_seq'::regclass);


--
-- TOC entry 2268 (class 2604 OID 17486)
-- Dependencies: 230 229
-- Name: titel_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_titel ALTER COLUMN titel_id SET DEFAULT nextval('vs_titel_titel_id_seq'::regclass);


--
-- TOC entry 2286 (class 2604 OID 17487)
-- Dependencies: 234 233
-- Name: user_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_user ALTER COLUMN user_id SET DEFAULT nextval('vs_user_user_id_seq'::regclass);


--
-- TOC entry 2287 (class 2604 OID 17488)
-- Dependencies: 239 236
-- Name: verbrauchsmaterial_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_verbrauchsmaterial ALTER COLUMN verbrauchsmaterial_id SET DEFAULT nextval('vs_verbrauchsmaterial_verbrauchsmaterial_id_seq'::regclass);


--
-- TOC entry 2288 (class 2604 OID 17489)
-- Dependencies: 238 237
-- Name: verbrauchsmaterial_gruppe_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_verbrauchsmaterial_gruppe ALTER COLUMN verbrauchsmaterial_gruppe_id SET DEFAULT nextval('vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq'::regclass);


--
-- TOC entry 2292 (class 2604 OID 17490)
-- Dependencies: 243 240
-- Name: waren_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_waren ALTER COLUMN waren_id SET DEFAULT nextval('vs_waren_waren_id_seq'::regclass);


--
-- TOC entry 2293 (class 2604 OID 17491)
-- Dependencies: 242 241
-- Name: waren_gruppe_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_waren_gruppe ALTER COLUMN waren_gruppe_id SET DEFAULT nextval('vs_waren_gruppe_waren_gruppe_id_seq'::regclass);


--
-- TOC entry 2294 (class 2604 OID 17492)
-- Dependencies: 245 244
-- Name: wartezimmer_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_wartezimmer ALTER COLUMN wartezimmer_id SET DEFAULT nextval('vs_wartezimmer_wartezimmer_id_seq'::regclass);


--
-- TOC entry 2295 (class 2604 OID 17493)
-- Dependencies: 247 246
-- Name: wissen_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_wissen ALTER COLUMN wissen_id SET DEFAULT nextval('vs_wissen_wissen_id_seq'::regclass);


--
-- TOC entry 2297 (class 2604 OID 17494)
-- Dependencies: 249 248
-- Name: wwwlink_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_wwwlink ALTER COLUMN wwwlink_id SET DEFAULT nextval('vs_wwwlink_wwwlink_id_seq'::regclass);


--
-- TOC entry 2307 (class 2604 OID 18420)
-- Dependencies: 264 265 265
-- Name: zahlweise_id; Type: DEFAULT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_zahlweise ALTER COLUMN zahlweise_id SET DEFAULT nextval('vs_zahlweise_zahlweise_id_seq'::regclass);


--
-- TOC entry 2361 (class 2606 OID 17553)
-- Dependencies: 177 177
-- Name: con_datum; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_kasse
    ADD CONSTRAINT con_datum UNIQUE (datum);


--
-- TOC entry 2467 (class 2606 OID 18238)
-- Dependencies: 257 257
-- Name: pi_bestellung_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_bestellung
    ADD CONSTRAINT pi_bestellung_id PRIMARY KEY (bestellung_id);


--
-- TOC entry 2331 (class 2606 OID 17557)
-- Dependencies: 153 153
-- Name: pi_briefanrede_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_briefanrede
    ADD CONSTRAINT pi_briefanrede_id PRIMARY KEY (briefanrede_id);


--
-- TOC entry 2461 (class 2606 OID 18178)
-- Dependencies: 253 253
-- Name: pi_fibu_buchung_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_fibu_buchung
    ADD CONSTRAINT pi_fibu_buchung_id PRIMARY KEY (fibu_buchung_id);


--
-- TOC entry 2465 (class 2606 OID 18218)
-- Dependencies: 256 256
-- Name: pi_fibu_konto; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_fibu_konto
    ADD CONSTRAINT pi_fibu_konto PRIMARY KEY (fibu_konto_id);


--
-- TOC entry 2343 (class 2606 OID 17559)
-- Dependencies: 161 161
-- Name: pi_futter_gruppe_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_futter_gruppe
    ADD CONSTRAINT pi_futter_gruppe_id PRIMARY KEY (futter_gruppe_id);


--
-- TOC entry 2345 (class 2606 OID 17561)
-- Dependencies: 163 163
-- Name: pi_gruppe1_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_gruppe1
    ADD CONSTRAINT pi_gruppe1_id PRIMARY KEY (gruppe1_id);


--
-- TOC entry 2347 (class 2606 OID 17563)
-- Dependencies: 165 165
-- Name: pi_gruppe2_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_gruppe2
    ADD CONSTRAINT pi_gruppe2_id PRIMARY KEY (gruppe2_id);


--
-- TOC entry 2349 (class 2606 OID 17565)
-- Dependencies: 167 167
-- Name: pi_gruppe3_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_gruppe3
    ADD CONSTRAINT pi_gruppe3_id PRIMARY KEY (gruppe3_id);


--
-- TOC entry 2351 (class 2606 OID 17567)
-- Dependencies: 169 169
-- Name: pi_gruppe4_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_gruppe4
    ADD CONSTRAINT pi_gruppe4_id PRIMARY KEY (gruppe4_id);


--
-- TOC entry 2353 (class 2606 OID 17569)
-- Dependencies: 171 171
-- Name: pi_gruppe5_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_gruppe5
    ADD CONSTRAINT pi_gruppe5_id PRIMARY KEY (gruppe5_id);


--
-- TOC entry 2363 (class 2606 OID 17571)
-- Dependencies: 177 177
-- Name: pi_kasse_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_kasse
    ADD CONSTRAINT pi_kasse_id PRIMARY KEY (kasse_id);


--
-- TOC entry 2367 (class 2606 OID 17573)
-- Dependencies: 180 180
-- Name: pi_labor_einheit_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_labor_einheit
    ADD CONSTRAINT pi_labor_einheit_id PRIMARY KEY (labor_einheit_id);


--
-- TOC entry 2365 (class 2606 OID 17575)
-- Dependencies: 179 179
-- Name: pi_labor_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_labor
    ADD CONSTRAINT pi_labor_id PRIMARY KEY (labor_id);


--
-- TOC entry 2373 (class 2606 OID 17577)
-- Dependencies: 187 187
-- Name: pi_leistung_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_leistung
    ADD CONSTRAINT pi_leistung_id PRIMARY KEY (leistung_id);


--
-- TOC entry 2379 (class 2606 OID 17579)
-- Dependencies: 191 191
-- Name: pi_med_gruppe_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_med_gruppe
    ADD CONSTRAINT pi_med_gruppe_id PRIMARY KEY (med_gruppe_id);


--
-- TOC entry 2410 (class 2606 OID 17581)
-- Dependencies: 213 213
-- Name: pi_roe_worklist_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_roe_worklist
    ADD CONSTRAINT pi_roe_worklist_id PRIMARY KEY (roe_worklist_id);


--
-- TOC entry 2424 (class 2606 OID 17583)
-- Dependencies: 223 223
-- Name: pi_status_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_status
    ADD CONSTRAINT pi_status_id PRIMARY KEY (status_id);


--
-- TOC entry 2430 (class 2606 OID 17585)
-- Dependencies: 227 227
-- Name: pi_tierart_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_tierart
    ADD CONSTRAINT pi_tierart_id PRIMARY KEY (tierart_id);


--
-- TOC entry 2432 (class 2606 OID 17587)
-- Dependencies: 229 229
-- Name: pi_titel_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_titel
    ADD CONSTRAINT pi_titel_id PRIMARY KEY (titel_id);


--
-- TOC entry 2434 (class 2606 OID 17589)
-- Dependencies: 231 231
-- Name: pi_todo_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_todo
    ADD CONSTRAINT pi_todo_id PRIMARY KEY (todo_id);


--
-- TOC entry 2436 (class 2606 OID 17591)
-- Dependencies: 233 233
-- Name: pi_user_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_user
    ADD CONSTRAINT pi_user_id PRIMARY KEY (user_id);


--
-- TOC entry 2443 (class 2606 OID 17593)
-- Dependencies: 237 237
-- Name: pi_verbrauchsmaterial_gruppe_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_verbrauchsmaterial_gruppe
    ADD CONSTRAINT pi_verbrauchsmaterial_gruppe_id PRIMARY KEY (verbrauchsmaterial_gruppe_id);


--
-- TOC entry 2450 (class 2606 OID 17595)
-- Dependencies: 241 241
-- Name: pi_waren_gruppe_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_waren_gruppe
    ADD CONSTRAINT pi_waren_gruppe_id PRIMARY KEY (waren_gruppe_id);


--
-- TOC entry 2446 (class 2606 OID 17597)
-- Dependencies: 240 240
-- Name: pi_waren_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_waren
    ADD CONSTRAINT pi_waren_id PRIMARY KEY (waren_id);


--
-- TOC entry 2454 (class 2606 OID 17599)
-- Dependencies: 246 246
-- Name: pi_wissen_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_wissen
    ADD CONSTRAINT pi_wissen_id PRIMARY KEY (wissen_id);


--
-- TOC entry 2473 (class 2606 OID 18383)
-- Dependencies: 263 263
-- Name: pk_bes_event_typ_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_bes_event_typ
    ADD CONSTRAINT pk_bes_event_typ_id PRIMARY KEY (bes_event_typ_id);


--
-- TOC entry 2384 (class 2606 OID 17601)
-- Dependencies: 195 195
-- Name: pkey_med_zugang_id; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_med_zugang
    ADD CONSTRAINT pkey_med_zugang_id PRIMARY KEY (med_zugang_id);


--
-- TOC entry 2403 (class 2606 OID 17603)
-- Dependencies: 209 209
-- Name: rech_bez_id_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_rech_bez
    ADD CONSTRAINT rech_bez_id_pkey PRIMARY KEY (rech_bez_id);


--
-- TOC entry 2463 (class 2606 OID 18193)
-- Dependencies: 253 253 253 253 253 253
-- Name: u_impert; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_fibu_buchung
    ADD CONSTRAINT u_impert UNIQUE (valutadatum, verwendungszweck, konto, blz, adresse);


--
-- TOC entry 2313 (class 2606 OID 17605)
-- Dependencies: 141 141
-- Name: vs_behandlung_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_behandlung
    ADD CONSTRAINT vs_behandlung_pkey PRIMARY KEY (behandlung_id);


--
-- TOC entry 2316 (class 2606 OID 17607)
-- Dependencies: 143 143
-- Name: vs_behdoc_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_behdoc
    ADD CONSTRAINT vs_behdoc_pkey PRIMARY KEY (behdoc_id);


--
-- TOC entry 2319 (class 2606 OID 17609)
-- Dependencies: 145 145
-- Name: vs_behlabor_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_behlabor
    ADD CONSTRAINT vs_behlabor_pkey PRIMARY KEY (behlabor_id);


--
-- TOC entry 2322 (class 2606 OID 17611)
-- Dependencies: 147 147
-- Name: vs_behposition_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_behposition
    ADD CONSTRAINT vs_behposition_pkey PRIMARY KEY (behposition_id);


--
-- TOC entry 2471 (class 2606 OID 18354)
-- Dependencies: 260 260
-- Name: vs_bes_event_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_bes_event
    ADD CONSTRAINT vs_bes_event_pkey PRIMARY KEY (bes_event_id);


--
-- TOC entry 2475 (class 2606 OID 18390)
-- Dependencies: 263 263
-- Name: vs_bes_event_typ_e_typ_key; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_bes_event_typ
    ADD CONSTRAINT vs_bes_event_typ_e_typ_key UNIQUE (e_typ);


--
-- TOC entry 2325 (class 2606 OID 17613)
-- Dependencies: 149 149
-- Name: vs_besitzer_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_besitzer
    ADD CONSTRAINT vs_besitzer_pkey PRIMARY KEY (besitzer_id);


--
-- TOC entry 2329 (class 2606 OID 17615)
-- Dependencies: 151 151
-- Name: vs_bezahlt_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_bezahlt
    ADD CONSTRAINT vs_bezahlt_pkey PRIMARY KEY (bezahlt_id);


--
-- TOC entry 2333 (class 2606 OID 17617)
-- Dependencies: 155 155
-- Name: vs_etikette_etikette_id_key; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_etikette
    ADD CONSTRAINT vs_etikette_etikette_id_key UNIQUE (etikette_id);


--
-- TOC entry 2337 (class 2606 OID 17619)
-- Dependencies: 157 157
-- Name: vs_fremdleistung_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_fremdleistung
    ADD CONSTRAINT vs_fremdleistung_pkey PRIMARY KEY (fremdleistung_id);


--
-- TOC entry 2341 (class 2606 OID 17621)
-- Dependencies: 159 159
-- Name: vs_futter_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_futter
    ADD CONSTRAINT vs_futter_pkey PRIMARY KEY (futter_id);


--
-- TOC entry 2357 (class 2606 OID 17623)
-- Dependencies: 173 173
-- Name: vs_impfung_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_impfung
    ADD CONSTRAINT vs_impfung_pkey PRIMARY KEY (impfung_id);


--
-- TOC entry 2359 (class 2606 OID 17625)
-- Dependencies: 175 175
-- Name: vs_impfung_zugang_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_impfung_zugang
    ADD CONSTRAINT vs_impfung_zugang_pkey PRIMARY KEY (impfung_zugang_id);


--
-- TOC entry 2369 (class 2606 OID 17627)
-- Dependencies: 183 183
-- Name: vs_laborus_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_laborus
    ADD CONSTRAINT vs_laborus_pkey PRIMARY KEY (laborus_id);


--
-- TOC entry 2371 (class 2606 OID 17629)
-- Dependencies: 185 185
-- Name: vs_laborwert_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_laborwert
    ADD CONSTRAINT vs_laborwert_pkey PRIMARY KEY (laborwert_id);


--
-- TOC entry 2377 (class 2606 OID 17631)
-- Dependencies: 189 189
-- Name: vs_lieferant_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_lieferant
    ADD CONSTRAINT vs_lieferant_pkey PRIMARY KEY (lieferant_id);


--
-- TOC entry 2382 (class 2606 OID 17633)
-- Dependencies: 193 193
-- Name: vs_med_typ_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_med_typ
    ADD CONSTRAINT vs_med_typ_pkey PRIMARY KEY (med_typ_id);


--
-- TOC entry 2392 (class 2606 OID 17635)
-- Dependencies: 197 197
-- Name: vs_medikament_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_medikament
    ADD CONSTRAINT vs_medikament_pkey PRIMARY KEY (medikament_id);


--
-- TOC entry 2394 (class 2606 OID 17637)
-- Dependencies: 199 199
-- Name: vs_mitarbeiter_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_mitarbeiter
    ADD CONSTRAINT vs_mitarbeiter_pkey PRIMARY KEY (mitarbeiter_id);


--
-- TOC entry 2397 (class 2606 OID 17639)
-- Dependencies: 203 203
-- Name: vs_patient_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_patient
    ADD CONSTRAINT vs_patient_pkey PRIMARY KEY (patient_id);


--
-- TOC entry 2401 (class 2606 OID 17641)
-- Dependencies: 207 207
-- Name: vs_rasse_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_rasse
    ADD CONSTRAINT vs_rasse_pkey PRIMARY KEY (rasse_id);


--
-- TOC entry 2408 (class 2606 OID 17643)
-- Dependencies: 211 211
-- Name: vs_rechnung_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_rechnung
    ADD CONSTRAINT vs_rechnung_pkey PRIMARY KEY (rechnung_id);


--
-- TOC entry 2413 (class 2606 OID 17645)
-- Dependencies: 215 215
-- Name: vs_roentgen_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_roentgen
    ADD CONSTRAINT vs_roentgen_pkey PRIMARY KEY (roentgen_id);


--
-- TOC entry 2415 (class 2606 OID 17647)
-- Dependencies: 217 217
-- Name: vs_serienbrief_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_serienbrief
    ADD CONSTRAINT vs_serienbrief_pkey PRIMARY KEY (serienbrief_id);


--
-- TOC entry 2419 (class 2606 OID 17649)
-- Dependencies: 219 219
-- Name: vs_standard_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_standard
    ADD CONSTRAINT vs_standard_pkey PRIMARY KEY (standard_id);


--
-- TOC entry 2422 (class 2606 OID 17651)
-- Dependencies: 221 221
-- Name: vs_stapos_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_stapos
    ADD CONSTRAINT vs_stapos_pkey PRIMARY KEY (stapos_id);


--
-- TOC entry 2426 (class 2606 OID 17653)
-- Dependencies: 225 225
-- Name: vs_textbaustein_bezeichnung_key; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_textbaustein
    ADD CONSTRAINT vs_textbaustein_bezeichnung_key UNIQUE (bezeichnung);


--
-- TOC entry 2428 (class 2606 OID 17655)
-- Dependencies: 225 225
-- Name: vs_textbaustein_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_textbaustein
    ADD CONSTRAINT vs_textbaustein_pkey PRIMARY KEY (textbaustein_id);


--
-- TOC entry 2441 (class 2606 OID 17657)
-- Dependencies: 236 236
-- Name: vs_verbrauchsmaterial_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_verbrauchsmaterial
    ADD CONSTRAINT vs_verbrauchsmaterial_pkey PRIMARY KEY (verbrauchsmaterial_id);


--
-- TOC entry 2452 (class 2606 OID 17659)
-- Dependencies: 244 244
-- Name: vs_wartezimmer_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_wartezimmer
    ADD CONSTRAINT vs_wartezimmer_pkey PRIMARY KEY (wartezimmer_id);


--
-- TOC entry 2459 (class 2606 OID 17661)
-- Dependencies: 248 248
-- Name: vs_wwwlink_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_wwwlink
    ADD CONSTRAINT vs_wwwlink_pkey PRIMARY KEY (wwwlink_id);


--
-- TOC entry 2477 (class 2606 OID 18422)
-- Dependencies: 265 265
-- Name: vs_zahlweise_pkey; Type: CONSTRAINT; Schema: public; Owner: praxis; Tablespace: 
--

ALTER TABLE ONLY vs_zahlweise
    ADD CONSTRAINT vs_zahlweise_pkey PRIMARY KEY (zahlweise_id);


--
-- TOC entry 2468 (class 1259 OID 18396)
-- Dependencies: 260
-- Name: fki_; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX fki_ ON vs_bes_event USING btree (typ);


--
-- TOC entry 2444 (class 1259 OID 17662)
-- Dependencies: 240
-- Name: fki_lieferant_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX fki_lieferant_id ON vs_waren USING btree (lieferant_id);


--
-- TOC entry 2399 (class 1259 OID 17663)
-- Dependencies: 207
-- Name: fki_si_tierart_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX fki_si_tierart_id ON vs_rasse USING btree (tierart_id);


--
-- TOC entry 2405 (class 1259 OID 17664)
-- Dependencies: 211
-- Name: rechnung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE UNIQUE INDEX rechnung_id ON vs_rechnung USING btree (rechnung_id);


--
-- TOC entry 2469 (class 1259 OID 18360)
-- Dependencies: 260
-- Name: si_bes_event_besitzer_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_bes_event_besitzer_id ON vs_bes_event USING btree (besitzer_id);


--
-- TOC entry 2395 (class 1259 OID 17665)
-- Dependencies: 203
-- Name: si_besitzer_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_besitzer_id ON vs_patient USING btree (besitzer_id);


--
-- TOC entry 2323 (class 1259 OID 17666)
-- Dependencies: 149
-- Name: si_besitzer_name; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_besitzer_name ON vs_besitzer USING btree (name);


--
-- TOC entry 2326 (class 1259 OID 17667)
-- Dependencies: 151
-- Name: si_bez_behandlung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_bez_behandlung_id ON vs_bezahlt USING btree (behandlung_id);


--
-- TOC entry 2314 (class 1259 OID 17668)
-- Dependencies: 143
-- Name: si_doc_behandlung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_doc_behandlung_id ON vs_behdoc USING btree (behandlung_id);


--
-- TOC entry 2334 (class 1259 OID 17669)
-- Dependencies: 157
-- Name: si_fremdleistung_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_fremdleistung_bezeichnung ON vs_fremdleistung USING btree (bezeichnung);


--
-- TOC entry 2335 (class 1259 OID 17670)
-- Dependencies: 157
-- Name: si_fremdleistung_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_fremdleistung_kurz ON vs_fremdleistung USING btree (kurz);


--
-- TOC entry 2338 (class 1259 OID 17671)
-- Dependencies: 159
-- Name: si_futter_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_futter_bezeichnung ON vs_futter USING btree (bezeichnung);


--
-- TOC entry 2339 (class 1259 OID 17672)
-- Dependencies: 159
-- Name: si_futter_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_futter_kurz ON vs_futter USING btree (kurz);


--
-- TOC entry 2354 (class 1259 OID 17673)
-- Dependencies: 173
-- Name: si_impfung_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_impfung_bezeichnung ON vs_impfung USING btree (bezeichnung);


--
-- TOC entry 2355 (class 1259 OID 17674)
-- Dependencies: 173
-- Name: si_impfung_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_impfung_kurz ON vs_impfung USING btree (kurz);


--
-- TOC entry 2398 (class 1259 OID 17675)
-- Dependencies: 205
-- Name: si_impfung_patient_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_impfung_patient_id ON vs_patimpfung USING btree (patient_id);


--
-- TOC entry 2317 (class 1259 OID 17676)
-- Dependencies: 145
-- Name: si_labor_behandlung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_labor_behandlung_id ON vs_behlabor USING btree (behandlung_id);


--
-- TOC entry 2374 (class 1259 OID 17677)
-- Dependencies: 187
-- Name: si_leistung_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_leistung_bezeichnung ON vs_leistung USING btree (bezeichnung);


--
-- TOC entry 2375 (class 1259 OID 17678)
-- Dependencies: 187
-- Name: si_leistung_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_leistung_kurz ON vs_leistung USING btree (kurz);


--
-- TOC entry 2380 (class 1259 OID 17679)
-- Dependencies: 193
-- Name: si_med_typ_lieferant_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_med_typ_lieferant_id ON vs_med_typ USING btree (lieferant_id);


--
-- TOC entry 2386 (class 1259 OID 17680)
-- Dependencies: 197
-- Name: si_medikament_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_bezeichnung ON vs_medikament USING btree (bezeichnung);


--
-- TOC entry 2385 (class 1259 OID 17681)
-- Dependencies: 195
-- Name: si_medikament_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_id ON vs_med_zugang USING btree (medikament_id);


--
-- TOC entry 2387 (class 1259 OID 17682)
-- Dependencies: 197
-- Name: si_medikament_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_kurz ON vs_medikament USING btree (kurz);


--
-- TOC entry 2388 (class 1259 OID 17683)
-- Dependencies: 197
-- Name: si_medikament_med_typ_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_med_typ_id ON vs_medikament USING btree (med_typ_id);


--
-- TOC entry 2389 (class 1259 OID 17684)
-- Dependencies: 197
-- Name: si_medikament_t_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_t_bezeichnung ON vs_medikament USING btree (t_bezeichnung);


--
-- TOC entry 2390 (class 1259 OID 17685)
-- Dependencies: 197
-- Name: si_medikament_t_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_medikament_t_kurz ON vs_medikament USING btree (t_kurz);


--
-- TOC entry 2310 (class 1259 OID 17686)
-- Dependencies: 141
-- Name: si_patient_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_patient_id ON vs_behandlung USING btree (patient_id);


--
-- TOC entry 2320 (class 1259 OID 17687)
-- Dependencies: 147
-- Name: si_pos_behandlung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_pos_behandlung_id ON vs_behposition USING btree (behandlung_id);


--
-- TOC entry 2406 (class 1259 OID 17688)
-- Dependencies: 211
-- Name: si_rechnung_besitzer_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_rechnung_besitzer_id ON vs_rechnung USING btree (besitzer_id);


--
-- TOC entry 2311 (class 1259 OID 17689)
-- Dependencies: 141
-- Name: si_rechnung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_rechnung_id ON vs_behandlung USING btree (rechnung_id);


--
-- TOC entry 2404 (class 1259 OID 17690)
-- Dependencies: 209
-- Name: si_rechnung_id_rech_bez; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_rechnung_id_rech_bez ON vs_rech_bez USING btree (rechnung_id);


--
-- TOC entry 2411 (class 1259 OID 17691)
-- Dependencies: 215
-- Name: si_roe_behandlung_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_roe_behandlung_id ON vs_roentgen USING btree (behandlung_id);


--
-- TOC entry 2416 (class 1259 OID 17692)
-- Dependencies: 219
-- Name: si_standard_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_standard_bezeichnung ON vs_standard USING btree (bezeichnung);


--
-- TOC entry 2417 (class 1259 OID 17693)
-- Dependencies: 219
-- Name: si_standard_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_standard_kurz ON vs_standard USING btree (kurz);


--
-- TOC entry 2420 (class 1259 OID 17694)
-- Dependencies: 221
-- Name: si_stapos_position_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_stapos_position_id ON vs_stapos USING btree (standard_id);


--
-- TOC entry 2327 (class 1259 OID 17695)
-- Dependencies: 151
-- Name: si_time_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_time_id ON vs_bezahlt USING btree (time_id);


--
-- TOC entry 2437 (class 1259 OID 17696)
-- Dependencies: 236
-- Name: si_verbrauchsmaterial_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_verbrauchsmaterial_bezeichnung ON vs_verbrauchsmaterial USING btree (bezeichnung);


--
-- TOC entry 2438 (class 1259 OID 17697)
-- Dependencies: 236
-- Name: si_verbrauchsmaterial_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_verbrauchsmaterial_kurz ON vs_verbrauchsmaterial USING btree (kurz);


--
-- TOC entry 2439 (class 1259 OID 17698)
-- Dependencies: 236
-- Name: si_verbrauchsmaterial_lieferant_id; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_verbrauchsmaterial_lieferant_id ON vs_verbrauchsmaterial USING btree (lieferant_id);


--
-- TOC entry 2447 (class 1259 OID 17699)
-- Dependencies: 240
-- Name: si_waren_bezeichnung; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_waren_bezeichnung ON vs_waren USING btree (bezeichnung);


--
-- TOC entry 2448 (class 1259 OID 17700)
-- Dependencies: 240
-- Name: si_waren_kurz; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_waren_kurz ON vs_waren USING btree (kurz);


--
-- TOC entry 2455 (class 1259 OID 17701)
-- Dependencies: 246
-- Name: si_wissen_caption; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_wissen_caption ON vs_wissen USING btree (caption);


--
-- TOC entry 2456 (class 1259 OID 17702)
-- Dependencies: 246
-- Name: si_wissen_keywords; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_wissen_keywords ON vs_wissen USING btree (keywords);


--
-- TOC entry 2457 (class 1259 OID 17703)
-- Dependencies: 246
-- Name: si_wissen_spezies; Type: INDEX; Schema: public; Owner: praxis; Tablespace: 
--

CREATE INDEX si_wissen_spezies ON vs_wissen USING btree (spezies);


--
-- TOC entry 2490 (class 2606 OID 17704)
-- Dependencies: 193 189 2376
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_med_typ
    ADD CONSTRAINT "$1" FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id) ON DELETE RESTRICT;


--
-- TOC entry 2491 (class 2606 OID 17709)
-- Dependencies: 197 193 2381
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_medikament
    ADD CONSTRAINT "$1" FOREIGN KEY (med_typ_id) REFERENCES vs_med_typ(med_typ_id) ON DELETE RESTRICT;


--
-- TOC entry 2485 (class 2606 OID 17714)
-- Dependencies: 159 189 2376
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_futter
    ADD CONSTRAINT "$1" FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id) ON DELETE RESTRICT;


--
-- TOC entry 2501 (class 2606 OID 17719)
-- Dependencies: 240 189 2376
-- Name: fk_lieferant_id; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_waren
    ADD CONSTRAINT fk_lieferant_id FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id) ON UPDATE RESTRICT ON DELETE RESTRICT;


--
-- TOC entry 2486 (class 2606 OID 18315)
-- Dependencies: 2376 173 189
-- Name: fk_lieferant_id; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_impfung
    ADD CONSTRAINT fk_lieferant_id FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id);


--
-- TOC entry 2494 (class 2606 OID 17724)
-- Dependencies: 207 227 2429
-- Name: si_tierart_id; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rasse
    ADD CONSTRAINT si_tierart_id FOREIGN KEY (tierart_id) REFERENCES vs_tierart(tierart_id) ON DELETE RESTRICT;


--
-- TOC entry 2478 (class 2606 OID 17729)
-- Dependencies: 203 2396 141
-- Name: vs_behandlung_patient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behandlung
    ADD CONSTRAINT vs_behandlung_patient_id_fkey FOREIGN KEY (patient_id) REFERENCES vs_patient(patient_id) ON DELETE RESTRICT;


--
-- TOC entry 2479 (class 2606 OID 17734)
-- Dependencies: 2312 141 143
-- Name: vs_behdoc_behandlung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behdoc
    ADD CONSTRAINT vs_behdoc_behandlung_id_fkey FOREIGN KEY (behandlung_id) REFERENCES vs_behandlung(behandlung_id) ON DELETE RESTRICT;


--
-- TOC entry 2480 (class 2606 OID 17739)
-- Dependencies: 143 203 2396
-- Name: vs_behdoc_patient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behdoc
    ADD CONSTRAINT vs_behdoc_patient_id_fkey FOREIGN KEY (patient_id) REFERENCES vs_patient(patient_id) ON DELETE RESTRICT;


--
-- TOC entry 2481 (class 2606 OID 17744)
-- Dependencies: 147 141 2312
-- Name: vs_behposition_behandlung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behposition
    ADD CONSTRAINT vs_behposition_behandlung_id_fkey FOREIGN KEY (behandlung_id) REFERENCES vs_behandlung(behandlung_id) ON DELETE RESTRICT;


--
-- TOC entry 2482 (class 2606 OID 17749)
-- Dependencies: 147 151 2328
-- Name: vs_behposition_bezahlt_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behposition
    ADD CONSTRAINT vs_behposition_bezahlt_id_fkey FOREIGN KEY (bezahlt_id) REFERENCES vs_bezahlt(bezahlt_id) ON DELETE RESTRICT;


--
-- TOC entry 2483 (class 2606 OID 17754)
-- Dependencies: 147 203 2396
-- Name: vs_behposition_patient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_behposition
    ADD CONSTRAINT vs_behposition_patient_id_fkey FOREIGN KEY (patient_id) REFERENCES vs_patient(patient_id) ON DELETE RESTRICT;


--
-- TOC entry 2502 (class 2606 OID 18355)
-- Dependencies: 260 149 2324
-- Name: vs_bes_event_besitzer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bes_event
    ADD CONSTRAINT vs_bes_event_besitzer_id_fkey FOREIGN KEY (besitzer_id) REFERENCES vs_besitzer(besitzer_id) ON DELETE RESTRICT;


--
-- TOC entry 2503 (class 2606 OID 18391)
-- Dependencies: 263 2474 260
-- Name: vs_bes_event_typ_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_bes_event
    ADD CONSTRAINT vs_bes_event_typ_fkey FOREIGN KEY (typ) REFERENCES vs_bes_event_typ(e_typ);


--
-- TOC entry 2484 (class 2606 OID 17759)
-- Dependencies: 157 189 2376
-- Name: vs_fremdleistung_lieferant_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_fremdleistung
    ADD CONSTRAINT vs_fremdleistung_lieferant_id_fkey FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id) ON DELETE RESTRICT;


--
-- TOC entry 2487 (class 2606 OID 17764)
-- Dependencies: 175 173 2356
-- Name: vs_impfung_zugang_impfung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_impfung_zugang
    ADD CONSTRAINT vs_impfung_zugang_impfung_id_fkey FOREIGN KEY (impfung_id) REFERENCES vs_impfung(impfung_id) ON DELETE RESTRICT;


--
-- TOC entry 2488 (class 2606 OID 17769)
-- Dependencies: 183 141 2312
-- Name: vs_laborus_behandlung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_laborus
    ADD CONSTRAINT vs_laborus_behandlung_id_fkey FOREIGN KEY (behandlung_id) REFERENCES vs_behandlung(behandlung_id) ON DELETE RESTRICT;


--
-- TOC entry 2489 (class 2606 OID 17774)
-- Dependencies: 183 203 2396
-- Name: vs_laborus_patient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_laborus
    ADD CONSTRAINT vs_laborus_patient_id_fkey FOREIGN KEY (patient_id) REFERENCES vs_patient(patient_id) ON DELETE RESTRICT;


--
-- TOC entry 2492 (class 2606 OID 17779)
-- Dependencies: 203 149 2324
-- Name: vs_patient_besitzer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_patient
    ADD CONSTRAINT vs_patient_besitzer_id_fkey FOREIGN KEY (besitzer_id) REFERENCES vs_besitzer(besitzer_id) ON DELETE RESTRICT;


--
-- TOC entry 2493 (class 2606 OID 17784)
-- Dependencies: 205 141 2312
-- Name: vs_patimpfung_behandlung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_patimpfung
    ADD CONSTRAINT vs_patimpfung_behandlung_id_fkey FOREIGN KEY (behandlung_id) REFERENCES vs_behandlung(behandlung_id) ON DELETE RESTRICT;


--
-- TOC entry 2495 (class 2606 OID 17789)
-- Dependencies: 209 211 2407
-- Name: vs_rech_bez_rechnung; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rech_bez
    ADD CONSTRAINT vs_rech_bez_rechnung FOREIGN KEY (rechnung_id) REFERENCES vs_rechnung(rechnung_id) ON DELETE RESTRICT;


--
-- TOC entry 2496 (class 2606 OID 17794)
-- Dependencies: 149 211 2324
-- Name: vs_rechnung_besitzer; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_rechnung
    ADD CONSTRAINT vs_rechnung_besitzer FOREIGN KEY (besitzer_id) REFERENCES vs_besitzer(besitzer_id) ON DELETE RESTRICT;


--
-- TOC entry 2497 (class 2606 OID 17799)
-- Dependencies: 215 141 2312
-- Name: vs_roentgen_behandlung_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_roentgen
    ADD CONSTRAINT vs_roentgen_behandlung_id_fkey FOREIGN KEY (behandlung_id) REFERENCES vs_behandlung(behandlung_id) ON DELETE RESTRICT;


--
-- TOC entry 2498 (class 2606 OID 17804)
-- Dependencies: 215 203 2396
-- Name: vs_roentgen_patient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_roentgen
    ADD CONSTRAINT vs_roentgen_patient_id_fkey FOREIGN KEY (patient_id) REFERENCES vs_patient(patient_id) ON DELETE RESTRICT;


--
-- TOC entry 2499 (class 2606 OID 17809)
-- Dependencies: 221 219 2418
-- Name: vs_stapos_standard_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_stapos
    ADD CONSTRAINT vs_stapos_standard_id_fkey FOREIGN KEY (standard_id) REFERENCES vs_standard(standard_id) ON DELETE RESTRICT;


--
-- TOC entry 2500 (class 2606 OID 17814)
-- Dependencies: 236 189 2376
-- Name: vs_verbrauchsmaterial_lieferant_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: praxis
--

ALTER TABLE ONLY vs_verbrauchsmaterial
    ADD CONSTRAINT vs_verbrauchsmaterial_lieferant_id_fkey FOREIGN KEY (lieferant_id) REFERENCES vs_lieferant(lieferant_id) ON DELETE RESTRICT;


--
-- TOC entry 2508 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2012-12-10 22:34:38 CET

--
-- PostgreSQL database dump complete
--

