<?php
/*
 *      behandlung_bwa.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_chart.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');
$b = new vs_page_begin("Details zur Behandlung", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();
//---------

//2015-02-20 KM: Formatierung geaendert
$seite=new vs_div( "", "", "", "", "", "vs_seite");
$div_bwa = new vs_div( "", "", "", "", "", "uebersichten_seitenmitte");
$div_bwa->add(new vs_text("<h2>Einfache betriebswirtschaftliche Analyse dieser Behandlung</h2>"));

$t_gew = new vs_table("t_gew", 1, 2);
$sql   = "select datum,diagnose,brutto,netto,brutto_a,brutto_b,brutto_abgabemed, epreis from vs_behandlung where behandlung_id = $vso_behandlung_id ";
$db->query($sql);
$b_row = $db->fetch_row();

$sql = "select sum(netto), sum(epreis) from vs_behposition where typ = 'L' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_l    = $db->fetch_row();
$l_netto  = $row_l[0];
$l_epreis = $row_l[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where (typ = 'M' or typ= 'A') and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_m    = $db->fetch_row();
$m_netto  = $row_m[0];
$m_epreis = $row_m[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where typ = 'I' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_i    = $db->fetch_row();
$i_netto  = $row_i[0];
$i_epreis = $row_i[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where typ = 'V' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_v    = $db->fetch_row();
$v_netto  = $row_v[0];
$v_epreis = $row_v[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where typ = 'R' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_r    = $db->fetch_row();
$r_netto  = $row_r[0];
$r_epreis = $row_r[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where typ = 'F' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_f    = $db->fetch_row();
$f_netto  = $row_f[0];
$f_epreis = $row_f[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where typ = 'W' and behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_w    = $db->fetch_row();
$w_netto  = $row_w[0];
$w_epreis = $row_w[1];
$sql      = "select sum(netto), sum(epreis) from vs_behposition where behandlung_id = $vso_behandlung_id";
$db->query($sql);
$row_g    = $db->fetch_row();
$g_netto  = $row_g[0];
$g_epreis = $row_g[1];

$l_name = $b_row[0] . " " . $b_row[1];

$data["Leistung - Umsatz"]           = $l_netto;
$data["Leistung - Kosten"]           = $l_epreis;
$data["Medikament - Umsatz"]         = $m_netto;
$data["Medikament - Kosten"]         = $m_epreis;
$data["Impfstoff - Umsatz"]          = $i_netto;
$data["Impfstoff - Kosten"]          = $i_epreis;
$data["Verbrauchsmaterial - Umsatz"] = $v_netto;
$data["Verbrauchsmaterial - Kosten"] = $v_epreis;
$data["Fremdleistung - Umsatz"]      = $r_netto;
$data["Fremdleistung - Kosten"]      = $r_epreis;
$data["Tierfutter - Umsatz"]         = $f_netto;
$data["Tierfutter - Kosten"]         = $f_epreis;
$data["Abgabewaren - Umsatz"]        = $w_netto;
$data["Abgabewaren - Kosten"]        = $w_epreis;
$data["Gesamt - Umsatz"]             = $g_netto;
$data["Gesamt - Kosten"]             = $g_epreis;

$datas[$l_name] = $data;

$defs["Leistung - Umsatz"]           = "navy";
$defs["Leistung - Kosten"]           = "pink";
$defs["Medikament - Umsatz"]         = "brown";
$defs["Medikament - Kosten"]         = "pink";
$defs["Impfstoff - Umsatz"]          = "green";
$defs["Impfstoff - Kosten"]          = "pink";
$defs["Verbrauchsmaterial - Umsatz"] = "purple";
$defs["Verbrauchsmaterial - Kosten"] = "pink";
$defs["Fremdleistung - Umsatz"]      = "deepskyblue";
$defs["Fremdleistung - Kosten"]      = "pink";
$defs["Tierfutter - Umsatz"]         = "darkorange";
$defs["Tierfutter - Kosten"]         = "pink";
$defs["Abgabewaren - Umsatz"]        = "fuchsia";
$defs["Abgabewaren - Kosten"]        = "pink";
$defs["Gesamt - Umsatz"]             = "black";
$defs["Gesamt - Kosten"]             = "red";

$c_width = "600px"; //70 + $db->num_rows() * 100 . "px";

//2013-12-29 KM: geaendert wg. undefined variable
if (!isset($row))
	{
	$row = null;
	}
	
//2016-02-05 KM: Pfad ergaenzt, damit es an der richtigen Stelle /vsdata/int_data/ zwischengespeichert wird.
//$chart                         = new vs_chart("id_chart", "Behandlung am $row[0]  $b_row[1]", $c_width, "400px", 3, $datas, $defs);
$chart                         = new vs_chart("../../vsdata/int_data/id_chart", "Behandlung am $row[0]  $b_row[1]", $c_width, "400px", 3, $datas, $defs);

$chart->leg_width              = 200;
$chart->leg_rect_height        = 12;
$chart->left_leg_width         = 40;
$chart->bottom_leg_font_size   = 8; //Größe der Font der Legende unten
$chart->bottom_leg_font_angle  = 0; //Richtung der Schrift der Legende unten (0 ist normal von rechts nach links)
$chart->bottom_leg_font_diff_y = 3; //Versatz der Schrift der Legende unten nach unten (Wichtig bei Winkeln <>0)
$chart->bottom_leg_font_diff_x = 0; //Versatz der Schrift
$t_gew->add(1, 1, $chart);

$d_text = new vs_div(390, 400);

$anteil    = round($g_epreis / $g_netto * 100, 2);
$rohgewinn = $g_netto - $g_epreis;
$fixkosten = $g_netto * praxis_fixkosten / 100;
$gewinn    = $rohgewinn - ($g_netto * praxis_fixkosten / 100);
if ($anteil < kosten_green)
	$comment = "ausreichend niedrige Kosten";
if ($anteil > kosten_yellow)
	$comment = "zu hohe Kosten !";
// kosten_green und kosten_yellow in config.onc.php 
if (($anteil >= kosten_green) and ($anteil <= kosten_yellow))
	$comment = " noch zu tolerierende Kosten ";
$g_netto   = ptc(round($g_netto, 2)) . currency_string;
$g_epreis  = ptc(round($g_epreis, 2)) . currency_string;
$rohgewinn = ptc(round($rohgewinn, 2)) . currency_string;
$fixkosten = ptc(round($fixkosten, 2)) . currency_string;
$gewinn    = ptc(round($gewinn, 2)) . currency_string;
$anteil    = ptc($anteil);
$d_text->add(new vs_text("Gesamtkostenanteil : $anteil% : <b>$comment </b><br>"));
$d_text->add(new vs_text("Nettoumsatz : $g_netto <br>"));
$d_text->add(new vs_text("- Umsatzabhängige Kosten : $g_epreis <br>"));
$d_text->add(new vs_text("Rohgewinn : $rohgewinn <br>"));
$d_text->add(new vs_text("- Fixkostenanteil * : $fixkosten <br>"));
$d_text->add(new vs_text("<b>Gewinn : $gewinn </b><br><br>"));
$lgewinn = ptc(round($gewinn * 6, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   10 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn * 3, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   20 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn * 2, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   30 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn * 1.33, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   45 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   60 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn * 0.66, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer   90 min : Stundenlohn $lgewinn <br>"));
$lgewinn = ptc(round($gewinn * 0.5, 2)) . currency_string;
$d_text->add(new vs_text("Behandlungsdauer 120 min : Stundenlohn $lgewinn<br><br>"));
$d_text->add(new vs_text("* Berechnungsgrundlage : " . praxis_fixkosten . "% des Nettoumsatzes sind Fixkosten<br>"));
$t_gew->add(1, 2, $d_text);
$div_bwa->add($t_gew);

//2014-12-04 KM: Formatierung geaendert
//$div_bwa->write();

$seite->add($div_bwa);
$seite->write();


//---------
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();
$db->free_result();
$db->close();

?> 
