<?php
/*
 *      behandlung_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "besitzer_functions.php";

//2015-01-01 KM:  Eintrag nach head_kartei.inc verschoben, wegen sauberer HTML-Syntax
//echo"<script language=\"javascript\" src=\"../vs_office_inc/insertintextarea.js\"></script>";
//echo"<script language=\"javascript\" src=\"behandlung.js\"></script>";


function str_date_to_webcaldate($s)
	{
	$wert= substr($s,6,4).substr($s,3,2).substr($s,0,2);
	return $wert;
	}

function show_behandlung($db,$besitzer_id,$patient_id,$behandlung_id,$uk)
//Behandlung zeigen
	{
	//if (!isset($patient_id))
	//DW: geaendert wg. undefined variable, diese sitzen bereits auf flag -1 (Aufruf in a_karte_show_behandlung) 
	//funktioniert, wenn patient_id auf flag -1 gesetzt wird in kartei.php
	if ((isset($patient_id)) and ($patient_id==-1))
		{
		//error_log('vetsoftdebugtrick: in show_behandlung ganz am Anfang');
		$db->query("Select patient_id from vs_patient where besitzer_id=$besitzer_id");
		$row=$db->fetch_row();
		//2016-08-17 KM: $num wird $num_pat
		$num_pat=$db->num_rows();
		$db->free_result();
		
		//2016-08-17 KM: $num wird $num_pat
		if ($num_pat>0)
			$patient_id=$row[0];
			
			//DW: wg. -1 Flag hier das add_patient dazu
		else
			add_patient($db,$besitzer_id,$patient_id,$behandlung_id);
		}
		
	if ((isset($patient_id)) and ($patient_id!=""))
		{ 
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes=new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db,$besitzer_id));
		//Patient
		$d_pat=new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db,$besitzer_id,$patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung=new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung=new vs_table("behandlung",1,2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_behandlung_rechts");
		$t_behandlung_rechts=new vs_table("behandlung_rechts",2,1);
		$t_behandlung_rechts->add(2,1,besitzer_wartezimmer($db,$besitzer_id,$patient_id,$behandlung_id,$ist_da));
		$t_behandlung_rechts->add(1,1,zeige_behandlung($db,$besitzer_id,$patient_id,$behandlung_id,$uk,$ist_da));
		$behandlung_rechts->add($t_behandlung_rechts);
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_behandlung_links");
		$behandlung_links->add(behandlung_list($db,$besitzer_id,$patient_id,$behandlung_id,$ist_da));
		//*************************************************************************
		$t_behandlung->add(1,1,$behandlung_links);
		$t_behandlung->add(1,2,$behandlung_rechts);
		//2015-04-10 KM: behandlungleiste eingefuegt, damit es einheitlich ist.
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db,1,$besitzer_id,$patient_id,$behandlung_id));
		$seite->add($d_behandlung);	
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db,$besitzer_id,$patient_id,$behandlung_id));	//Untere Navigationsleiste
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	  //DW: wg. -1 Flag hier das add_patient weg
	  //DW: else add_patient($db,$besitzer_id,$patient_id,$behandlung_id);
	}





function add_behandlung($db,$besitzer_id,$patient_id,$uk)
//Behandlung zeigen
	{
	$z=$db->num_count("vs_patient","besitzer_id=$besitzer_id");  
	 
	if ($z>0)
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes=new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db,$besitzer_id));
		//Patient
		$d_pat=new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db,$besitzer_id,$patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung=new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung=new vs_table("behandlung",1,2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_behandlung_rechts");
		$t_behandlung_rechts=new vs_table("behandlung_rechts",2,1);
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($patient_id))
			{
			$patient_id = -1;
			}
		if (!isset($behandlung_id))
			{
			$behandlung_id = -1;
			}
			
		$t_behandlung_rechts->add(2,1,besitzer_wartezimmer($db,$besitzer_id,$patient_id,$behandlung_id,$ist_da));
		
		//DW: zur Sicherheit eingefuegt, falls aus irgendwelchen Gruenden vso_patient_id nicht gefuellt
		if (!isset($patient_id) or ($patient_id == -1)) 
			{return new vs_text("<h3>Bitte zuerst Patient erfassen!</h3>");}
			
		$t_behandlung_rechts->add(1,1,neue_behandlung($db,$besitzer_id,$patient_id,$uk,$ist_da));
		$behandlung_rechts->add($t_behandlung_rechts);
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_behandlung_links");
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($patient_id))
			{
			$patient_id = -1;
			}
		if (!isset($behandlung_id))
			{
			$behandlung_id = -1;
			}
			
		$behandlung_links->add(behandlung_list($db,$besitzer_id,$patient_id,$behandlung_id,$ist_da));
		//*************************************************************************
		$t_behandlung->add(1,1,$behandlung_links);
		$t_behandlung->add(1,2,$behandlung_rechts);
		//2015-04-10 KM: behandlungleiste eingefuegt, damit es einheitlich ist.
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($patient_id))
			{
			$patient_id = -1;
			}
		if (!isset($behandlung_id))
			{$behandlung_id = -1;}
			
		$seite->add(make_kartei_tab($db,1,$besitzer_id,$patient_id,$behandlung_id));
		$seite->add($d_behandlung);
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($patient_id))
			{
			$patient_id = -1;
			}
		if (!isset($behandlung_id))
			{
			$behandlung_id = -1;
			}
		
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db,$besitzer_id,$patient_id,$behandlung_id));	//Untere Navigationsleiste
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	else
		add_patient($db,$besitzer_id,$patient_id,$behandlung_id); 
	}


function behandlung_list($db,$besitzer_id,$patient_id,$behandlung_id,$ist_da)
	{
	global $can_view_abrechnung;
	
	$t=new vs_table("beharea",2,1);
	$d=new vs_div("","30","left");
	
	if (!isset ($patient_id) or ($patient_id==-1)) 
		{
		//KM: HIER FEHLT WAS ?
		}
	else
		{
		$db->query("Select behandlung_id ".
				" from  vs_behandlung where patient_id=$patient_id");  
		
		$row=$db->fetch_row();  
		$nr=$db->num_rows();  
		
		$db->free_result();            
		
		$ai=new vs_action_img("add","../img/add_24.gif","a_karte_add_behandlung&besitzer_id=$besitzer_id&patient_id=$patient_id");
		$ai->set_title("Neue Behandlung");
		$d->add($ai);
		
		$can_del=1;
		
		//DW: um and erweitert wg. moeglicher -1 als vso_behandlung_id
		if((isset($behandlung_id)) and ($behandlung_id !="") and ($behandlung_id !=-1))
			{
			//2016-02-05 KM: Button "Mustertexte" an dieser Stelle ausgebaut (Altlast). 
			
			// Positionen vorhanden ?
			
			//2016-08-16 KM: Counter Anzahl Behandlungen braucht man hier nicht, wird bei Behandlungen vorhanden / loeschen abgefragt.
			
				//2016-02-05 KM: Button "Link Leistungen" an dieser Stelle ausgebaut (Altlast).
				
				//2015-03-25 KM: Einzelrechnung moeglich, wenn in config.inc.php er_possible = 1
				//2015-04-25 KM: wird an dieser Stelle nicht nehr gebraucht
					
				// Dokumente vorhanden ?
				//2016-08-17 KM: $num wird $num_doc
				$num_doc=$db->num_count("vs_behdoc","behandlung_id='$behandlung_id'");
				if ($num_doc > 0 )
					{
					$can_del=0; 
					//Linkimage setzen
					$ai=new vs_action_img("leistung","../img/document_24.gif","a_karte_show_behdoc&besitzer_id=$besitzer_id" .
										"&patient_id=$patient_id&behandlung_id=$behandlung_id");
					$ai->set_title("Dokumente zu dieser Behandlung anzeigen"); 	
					$d->add($ai);
					}
					
				// Roentgen vorhanden ?
				//2016-08-17 KM: $num wird $num_roe
				$num_roe=$db->num_count("vs_roentgen","behandlung_id='$behandlung_id'");
				if ($num_roe > 0 )
					{
					$can_del=0; 
					//Linkimage setzen
					$ai= new vs_action_img("leistung","../img/xray_24.gif","a_karte_show_roentgen&besitzer_id=$besitzer_id" .
											"&patient_id=$patient_id&behandlung_id=$behandlung_id");
					$ai->set_title("R&ouml;ntgenbilder zu dieser Behandlung anzeigen");
					$d->add($ai);
					}  
				// Labor vorhanden ?
				//2016-08-17 KM: $num wird $num_lab
				$num_lab=$db->num_count("vs_laborus","behandlung_id='$behandlung_id'");
				if ($num_lab > 0 )
					{
					$can_del=0; 
					//Linkimage setzen
					$ai= new vs_action_img("leistung","../img/labor_24.gif","a_karte_show_labor&besitzer_id=$besitzer_id" .
											"&patient_id=$patient_id&behandlung_id=$behandlung_id");
					$ai->set_title("Laboruntersuchungen zu dieser Behandlung anzeigen");
					$d->add($ai);
					}  
				
				// Behandlungen vorhanden ?
				if ($nr< 1)
					$can_del=0; 
				
				if ($can_del==1) 
					//2016-08-16 KM: Hier fehlte die Abfrage ob es Behandlungspositionen gibt.
					{
					$num_pos=$db->num_count("vs_behposition","behandlung_id='$behandlung_id'");
					if ($num_pos == 0 )
						
						{
						$ai=	new vs_action_img("del","../img/delete_24.gif",
													"a_karte_del_behandlung&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
						$ai->set_title("Diese Behandlung l&ouml;schen");
						$d->add($ai);
						}					
					}
					
					
				if($can_view_abrechnung==1)
					{
					//Kosteneffizient
					// kosten_green und kosten_yellow in config.inc.php 
					$db->query("Select netto,epreis from  vs_behandlung where behandlung_id=$behandlung_id");  
					$b_row=$db->fetch_row();
					
					if ($b_row[0] > 0)
						{
						$kosten=round($b_row[1]/$b_row[0]*100,2);
						if ($kosten < kosten_green)
							{
							$s_kosten = ptc($kosten);
							
							//2015-01-21 KM: geaendert vs_new_window_img -> vs_link_img
							$ai = new vs_link_img("../img/info_24_green.gif", "behandlung_bwa.php?behandlung_id=$behandlung_id", "_blank");
							$ai->set_title("Kosten dieser Behandlung: $s_kosten % (".ptc(round($b_row[1],2)).currency_string.")");
							$d->add($ai);
							}
						if (($kosten >= kosten_green) and ($kosten <= kosten_yellow))
							{
							$s_kosten = ptc($kosten);
							
							//2015-01-21 KM: geaendert vs_new_window_img -> vs_link_img
							$ai = new vs_link_img("../img/info_24_yellow.gif", "behandlung_bwa.php?behandlung_id=$behandlung_id", "_blank");
							$ai->set_title("Kosten dieser Behandlung: $s_kosten % (".ptc(round($b_row[1],2)).currency_string.")");
							$d->add($ai);
							}
						if ($kosten > kosten_yellow)
							{
							$s_kosten = ptc($kosten);
							
							//2015-01-21 KM: geaendert vs_new_window_img -> vs_link_img
							$ai = new vs_link_img("../img/info_red_24.gif", "behandlung_bwa.php?behandlung_id=$behandlung_id", "_blank");
							$ai->set_title("Kosten dieser Behandlung: $s_kosten % (".ptc(round($b_row[1],2)).currency_string.")");
							$d->add($ai);
							}
						}
					}

			}	// if isset....    
		
		//2016-02-01 KM: $reihenfolge = beh_reihenfolge in config.inc.php ausgebaut, fest Sortierung: desc
		
		//2015-08-08 KM: "order by datum" auf "order by behandlung_id" geaendert
		$db->query("Select behandlung_id,datum,diagnose,offen ".
					//" from  vs_behandlung where patient_id=".$patient_id." order by behandlung_id $reihenfolge ");
					" from  vs_behandlung where patient_id=".$patient_id." order by datum desc, behandlung_id desc");
		
		//KM: Tabelle links
		$pt = new vs_db_table($db,370,$behandlung_id);
		$pt->set_field_width(1,70);
		$pt->set_field_width(2,220);
		$pt->set_field_width(3,70);
		$pt->set_field_align(3,"right");
		$pt->set_field_typ(3,"numeric");
		$pt->set_field_formatstr(3,"%s ".currency_string);
		$pt->set_field_typ(1,"date");
		$pt->add_action(new vs_action("a_karte_show_behandlung&besitzer_id=$besitzer_id&patient_id=$patient_id","../img/edit.gif"));
		$t->add(1,1,$d);
		$t->add(2,1,$pt);
		$db->free_result();
		}
	
	return $t;
	}


function neue_behandlung($db,$besitzer_id,$patient_id,$uk,$ist_da)
	{
	global $user_kurz;
	//Falls Wartezimmereintrag :  Memo ist nicht so hoch darstellen um scrollen zu vermeiden
	if ($ist_da==1)
		$zeilen=7;
	else
		$zeilen=17; 
		
	$t=new vs_form_x("beh_neu",5);
	$t->set_cellspacing(10);
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	$t->add_control(2,new vs_datepicker("datum","","multi_today1_Datepicker","Datum &nbsp;&nbsp;&nbsp;"));
	
	$t->add_control(2,new vs_edit("diagnose",46,80,""));
	$t->add_control(2,new vs_d_edit("pat_gewicht",5,5,"0,00","Gewicht"));
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	$t->add_control(3,new vs_datepicker("wiederbestellt","","multi_today2_Datepicker","Kontrolle"));
	
	$t->add_control(3,new vs_checkbox("abgeschlossen","0"));
	
	if(change_ta_possible == "1")  //definiert in config.inc.php
		{
		$sql="select kurz from vs_user where is_tierarzt='1' and aktiv ='1' ";
		$c= new vs_db_sql_listbox("tierarzt",10,$db,$sql,0,0,0,0,$user_kurz);
		} 
	else
		{
		$c= new vs_edit("tierarzt",2,2,$user_kurz,"TA");	//globale Variable in kartei.php
		$c->set_readonly("true"); 
		}
	$t->add_control(3,$c);
	
	//Textbausteine einfuegen
	$on_ic2_click="send_behtext_insert_req($besitzer_id,$patient_id,0);"; 
	$ic=new vs_click_img("ci_2","../img/vs_doku_ins.png",$on_ic2_click);
	$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
	$t->add_control(3,$ic); 
	
	//DW: geaendert wg. fehlenden 123s als label und accesskey fuer die vs_db_listbox
	$lb=new vs_db_listbox("vorlage",20,$db,"vs_textbaustein","bezeichnung","textbaustein_id","",0,"123","123","where typ='Behandlung' or typ = 'Allgemein' ");
	$t->add_control(3,$lb);  
	
	$t->add_control(4,new vs_memo("text",80,$zeilen,"","Text &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$t->add_control(5,new vs_hidden("besitzer_id",$besitzer_id));
	$t->add_control(5,new vs_hidden("patient_id",$patient_id));
	$t->add_control(5,new vs_hidden("action","a_karte_post_ins_behandlung"));
	
	//2015-01-31 KM: Tastenbeschriftung geaendert
	$t->add_control(5,new vs_button("submit","Speichern"));
	
	$t->add_control(5,new vs_button("reset","Abbrechen"));
	
	return $t;
	}


function besitzer_wartezimmer($db,$besitzer_id,$patient_id,$behandlung_id,&$ist_da)
	{ 
	//DW: es fehlt eine Ueberpruefung auf patient_id == -1, darf hier aber gar nicht vorkommen im Norm-Workflow 
	//DW: wird deshalb erst einmal aussen vor gelassen
	//gibt sonst Fehlermeldung dann, wenn Statusaenderung durchgefuehrt wird bevor eine Behandlung selektiert wurde
	
	if (!isset($behandlung_id) or ($behandlung_id ==-1))
		{
		$db->query("Select behandlung_id  from  vs_behandlung where patient_id=$patient_id");  
		$row=$db->fetch_row();  
		$n=$db->num_rows();
			if ($n>0)
			{
				$behandlung_id=$row[0];	  
			}
		}
		
	// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
	//$heute = d_dis2db(today());
	$today=today();
	$heute=d_dis2db($today);
	
	$db->query("Select wartezimmer_id,besitzer_id,status,memo ".
				" from vs_wartezimmer where besitzer_id = $besitzer_id and datum = '$heute'   
				and status <> 'exit' ");                            
	$row=$db->fetch_row();  
	//2016-08-17 KM: $num_rows wird $num_rows_wzl
	$num_rows_wzl=$db->num_rows();
	$olddata=$db->curr_row_as_string();
	
	if ($num_rows_wzl>0) //Besitzer ist in der Wartezimmerliste
		{
		$ist_da=1;	 
		$t=new vs_form_x("beh_neu",4);
		$t->set_cellspacing(10);
		$t->add_control(1,new vs_text("<b>&nbsp;Der Besitzer wurde in der Wartezimmerliste gefunden:</b>"));
		$t->add_control(2,new vs_memo("memo",80,3,"$row[3]","Info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		//2015-02-28 KM: set_label eingefuegt
		//$t->add_control(3,new vs_db_listbox("status",60,$db,"vs_status","bezeichnung","bezeichnung",$row[2],0));
		$st=new vs_db_listbox("status",60,$db,"vs_status","bezeichnung","bezeichnung",$row[2],0);
		$st->set_label("Status &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(3, $st);
		
		$t->add_control(3,new vs_edit("zusatz",42,100,"",""));
		$t->add_control(3,new vs_hidden("besitzer_id",$besitzer_id));
		$t->add_control(3,new vs_hidden("patient_id",$patient_id));
		$t->add_control(3,new vs_hidden("behandlung_id",$behandlung_id));
		$t->add_control(3,new vs_hidden("olddata",$olddata));	
		$t->add_control(3,new vs_hidden("action","a_karte_post_change_wartezimmer"));
		$t->add_control(3,new vs_hidden("oldstatus",$row[2]));
		$t->add_control(3,new vs_submit("submit","Senden","true"));
		return $t;
		} 
	else 
		{ 
		$ist_da=0;
		return new vs_text("<b> Der Besitzer kann in der Wartezimmerliste nicht gefunden werden.</b>");
		}   
	}

class cal_img extends vs_new_window_img
	{
	
	function write()
		{
		if($this->menubar==1)
			$mb="yes";
		else
			$mb="no";
		
		echo"<img class='".$this->cssclass."' src='".$this->img.
			"' style=\"float:left\" width='".$this->width. "' height='".$this->height."' title='".$this->title.
			"' onclick=\"javascript:window.open('$this->url',".
			"'$this->name','width=$this->winwidth,height=$this->winheight,".
			"left=$this->left,top=$this->top, menubar=$mb, resizable=yes')\">";	
		}
	}

function zeige_behandlung($db,$besitzer_id,$patient_id,&$behandlung_id,$uk,$ist_da)
	{
	//Falls Wartezimmereintrag :  Memo ist nicht so hoch darstellen um scrollen zu vermeiden	
	if ($ist_da==1)
		$zeilen=7;
	else
		$zeilen=17;
	
	//DW: 2013-08-27 bugfix Einfuegen von or wg. default Wert -1 von behandlung_id
	if (!isset($behandlung_id) or $behandlung_id==-1)
		{
		//2016-01-31 KM: Patienteninfo hier ausgebaut.
		$db->query("Select behandlung_id,datum,diagnose,wiederbestellt,abgeschlossen,tierarzt,text,pat_gewicht,epreis ".
					" from  vs_behandlung where patient_id=".$patient_id);  
		}
	else
		//2016-01-31 KM: Patienteninfo hier ausgebaut.
		{
			$db->query("Select behandlung_id,datum,diagnose,wiederbestellt,abgeschlossen,tierarzt,text,pat_gewicht,epreis ".
						" from  vs_behandlung where behandlung_id=".$behandlung_id);
		}
		
	$row=$db->fetch_row();  
	$n=$db->num_rows();
		
	if ($n>0)
		{
		$behandlung_id=$row[0];	
		$olddata=$db->curr_row_as_string();
		$webdate=  str_date_to_webcaldate($row[3]);
		$row[7]=ptc($row[7]); // Patientengewicht
		$t=new vs_form_x("beh_zeigen",5);
		$t->set_cellspacing(10);
		
		//2015-01-04 KM: Datum Umstellung auf Datepicker
		$t->add_control(2,new vs_datepicker("datum",d_db2dis($row[1]),"multi_today1_Datepicker","Datum &nbsp;&nbsp;&nbsp;"));
		
		$t->add_control(2,new vs_edit("diagnose",46,80,$row[2],"Diagnose","i"));
		$t->add_control(2,new vs_d_edit("pat_gewicht",5,5,$row[7],"Gewicht"));
		
		//2015-01-04 KM: Datum Umstellung auf Datepicker
		$t->add_control(3,new vs_datepicker("wiederbestellt",d_db2dis($row[3]),"multi_today2_Datepicker","Kontrolle"));
		
		$t->add_control(3,new cal_img("../img/calendar.gif",cal_url.$webdate,950,600,10,10,"Kontrolle",21));
		$t->add_control(3,new vs_checkbox("abgeschlossen",$row[4]));
		
		if(change_ta_possible == "1")  //definiert in config.inc.php
			{
			$sql="select kurz from vs_user where is_tierarzt='1' and aktiv ='1' ";
			$c= new vs_db_sql_listbox("tierarzt",10,$db,$sql,0,0,0,0,$row[5],"TA");
			}
		else
			{
			$c= new vs_edit("tierarzt",2,2,$row[5],"TA");
			$c->set_readonly("true"); 
			}
			
		$t->add_control(3,$c);
		
		//Textbausteine einfuegen
		$on_ic2_click="send_behtext_insert_req($besitzer_id,$patient_id,$behandlung_id);"; 
		$ic=new vs_click_img("ci_2","../img/vs_doku_ins.png",$on_ic2_click);
		$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
		$t->add_control(3,$ic); 
		
		//DW: zweimal 123 fuer vs_db_listbox eingefuegt wg. delimiter-Fehler
		$lb=new vs_db_listbox("vorlage",20,$db,"vs_textbaustein","bezeichnung","textbaustein_id","",0,"123","123","where typ='Behandlung' or typ = 'Allgemein' ");
		$t->add_control(3,$lb);  
		
		$t->add_control(4,new vs_memo("text",80,$zeilen,$row[6],"Text &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;","T"));
		$t->add_control(5,new vs_hidden("besitzer_id",$besitzer_id));
		$t->add_control(5,new vs_hidden("patient_id",$patient_id));
		$t->add_control(5,new vs_hidden("behandlung_id",$row[0]));
		$t->add_control(5,new vs_hidden("action","a_karte_post_edit_behandlung"));
		$t->add_control(5,new vs_hidden("olddata", "$olddata"));
		
		//2015-01-31 KM: Tastenbeschriftung geaendert
		$t->add_control(5,new vs_submit("submit","Speichern","true"));
		$t->add_control(5,new vs_reset("reset","Abbrechen","true"));
		
		$db->free_result();
		return $t;
		}
	else
		{ 
			return neue_behandlung($db,$besitzer_id,$patient_id,$uk,$ist_da);
		}
	}



function make_kartei_tab($db,$kartei_tab,$besitzer_id,$patient_id,$behandlung_id)
	{
	//KM: TABs
	$tab=new vs_tabs("100%");
	$tab->set_active_tab($kartei_tab);
	$tab->add_tab("Behandlungen","?action=a_karte_show_behandlung&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
	
	if (isset($behandlung_id))
		{ 
		$tab->add_tab("Leistungen","?action=a_karte_show_behposition&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
		$tab->add_tab("Dokumente","?action=a_karte_show_behdoc&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
		$tab->add_tab("R&ouml;ntgen","?action=a_karte_show_roentgen&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
		$tab->add_tab("Labor","?action=a_karte_show_labor&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
		
		//2015-08-08 KM: Pruefen, ob es alte Einzelrechnung gibt, wenn Einzelrechnung ausgeschaltet.
		if (er_possible == 0)
			{
			$db->query("Select rechnung_id from  vs_bezahlt where behandlung_id=".$behandlung_id); 
			$bez =  $db->fetch_row();
			$db->free_result();
			}
			
			//2015-08-08 KM: Einzelabrechnung moeglich, wenn in config.inc.php er_possible = 1 oder es alte Einzelrechnung gibt.
			//               Sonst ist TAB Abrechnung ausgeblendet.
			if ((er_possible == 1) or ($bez[0] == -1))
				{
				//2015-04-11 KM: Abrechnung in Einzelabrechnung umbenannt
				//$tab->add_tab("Abrechnung","?action=a_karte_show_abrechnung&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
				$tab->add_tab("Alte Abrechnung","?action=a_karte_show_abrechnung&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id");
				}
		}
		
	return $tab;
	
	}

//---------------------------------------------------------------------------------------------
?> 
