 <?php
/*
 *      behbez_dialog.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "position_functions.php"; //wegen function behandlung_summe()
include_once "besitzer_functions.php"; //wegen function standard_zahlweise()
include_once "../home/login_function.php"; //login Formular

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


define("onawlbauswahlchange", " onchange=\"awauswahlchange()\"");
define("onzwlbauswahlchange", " onchange=\"zwauswahlchange()\"");

//muss onKeyup sein, weil sonst der letzte Buchstabe fehlt!!!!!!!!!!!
//WICHTIG FUER DAS FUNKTIONIEREN MIT DEM MOZILLA FIREFOX
//MUSS IN DEN EINSTELLUNGEN / ERWEITERT / SUCHE BEREITS BEIM EINTIPPEN STARTEN DEAKTIVIERT SEIN!!!!!!!!!!!
//OPERA als Mozilla identifizieren lassen, wegen der Browserweiche



class auswahl_listbox extends vs_listbox
	{
	
	function write_control()
		{
		//spezifisches Java script einbinden
		//echo"<script language=\"javascript\" src=\"behbez_dialog.js\"></script>";
		echo "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " . $this->disabled . 
		onawlbauswahlchange . "accesskey=\"$this->accesskey\">";
		
		for ($i = 0; $i < count($this->items); $i++)
			{
			$item = $this->items[$i];
			if ($item->value == $this->startvalue)
				echo "<option selected value=\"$item->value\"> $item->display </option>";
			else
				echo "<option value=\"$item->value\"> $item->display </option>";
			}
		echo "</select>";
		}
	}

class zahlweise_listbox extends vs_db_listbox
	{
	
	function write_control()
		{
		//spezifisches Java script einbinden
		//echo"<script language=\"javascript\" src=\"behbez_dialog.js\"></script>";
		echo "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " . $this->disabled . 
		onzwlbauswahlchange . "accesskey=\"$this->accesskey\">";
		
		for ($i = 0; $i < count($this->items); $i++)
			{
			$item = $this->items[$i];
			if ($item->value == $this->startvalue)
				echo "<option selected value=\"$item->value\"> $item->display </option>";
			else
				echo "<option value=\"$item->value\"> $item->display </option>";
			}
		echo "</select>";
		}
	}

$db = new vs_db();
$db->connect();
//2.DB-Verbindung fuer die innere Schleife
$db2 = new vs_db();
$db2->connect();




function make_behbez_window($success)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div( "", "", "", "", "", "vs_seite_klein");
	$page = new vs_div( "", "", "", "", "", "seite_klein_mitte");
	
	if ($success == 1)
		{
		$page->add(new vs_text("DIE DATEN WURDEN ERFOLGREICH EINGEGEBEN"));
		}
	else
		{
		$page->add(new vs_text("DIE DATEN KONNTEN NICHT ODER NUR TEILWEISE EINGEGEBEN WERDEN"));
		}
	//2014-12-04 KM: Formatierung geaendert
	//return $page;
	$seite->add($page);
	return $seite;
	}

function make_bez_window($db, $besitzer_id, $patient_id, $behandlung_id, $preset = "bes")
	{
	global $user_name;
	global $user_vorname;
	$bes_sum = "0,00";
	$pat_sum = "0,00";
	$beh_sum = "0,00";
	//Offene Behandlungen des Besitzers, die nicht Teil einer Rechnunung sind	
	$db->query("select sum(b.offen) from vs_behandlung b,vs_patient p where " . 
				"b.patient_id = p.patient_id and p.besitzer_id=$besitzer_id and b.rechnung_id < 1 and b.rechnung_id > -1000  and b.offen >0");
	$row = $db->fetch_row();
	if ($row[0] == "")
		$row[0] = "0.00";
	$bes_sum = ptc($row[0]);
	$db->free_result();
	//Offene Behandlungen des Patienten, die nicht Teil einer Rechnunung sind	
	if (isset($patient_id))
		{
		$db->query("select sum(b.offen) from vs_behandlung b where " . 
					"b.patient_id =" . $patient_id . "and b.rechnung_id < 1 and b.rechnung_id > -1000 and b.offen > 0");
		$row2 = $db->fetch_row();
		if ($row2[0] == "")
			$row2[0] = "0.00";
		$pat_sum = ptc($row2[0]);
		$db->free_result();
		}
	//Aktuelle Behandlung
	if (isset($behandlung_id))
		{
		$db->query("select offen from vs_behandlung  where behandlung_id = $behandlung_id and rechnung_id < 1 and rechnung_id > -1000 ");
		$row3 = $db->fetch_row();
		if ($row3[0] == "")
			$row3[0] = "0.00";
		$beh_sum = ptc($row3[0]);
		$db->free_result();
		}
	
	$bez_sum = $bes_sum;
	
	//2015-01-16 KM: Formatierung geaendert
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div( "", "", "", "", "", "vs_seite_klein");
	$page = new vs_div( "", "", "", "", "", "seite_klein_mitte");
	
	$bez_form = new vs_form_x("f_bez", 9);
	//2014-12-04 KM: Formatierung geaendert (Bild entfernt --> Text neu)
	//$bez_form->add_control(1,new vs_img("bez_img","../img/bezahl_dialog.jpeg"));
	$bez_form->add_control(1, new vs_text("<h1>Einzelabrechnung</h1> <br> <h2>Behandlungen direkt bezahlen</h2>"));
	$c = new auswahl_listbox("auswahl", 70, $preset);
	$c->set_label("");
	$c->add_item("bes", "alle unbezahlten Behandlungen aller Tiere des Besitzers (" . $bes_sum . ")");
	$c->add_item("pat", "alle unbezahlten Behandlungen des aktuellen Patienten (" . $pat_sum . ")");
	$c->add_item("beh", "die aktuelle Behandlung (" . $beh_sum . ")");
	$bez_form->add_control(1, $c);
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$bez_form->add_control(2, new vs_datepicker("datum", "", "multi_today1_Datepicker", "Datum"));
	
	$bez_form->add_control(2, new vs_checkbox("quittung", "0"));
	//Zahlweise
	$c = new zahlweise_listbox("typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", "B", 0, "", "", "where zahldialog = 1", "reihenfolge");
	/*	
	$c=new zahlweise_listbox("typ",5,"Bar");
	$c->set_label("");
	$c->add_item("B","Bar");
	$c->add_item("K","Karte");
	*/
	$bez_form->add_control(2, $c);
	//Summe
	$c = new vs_edit("e_sum", 9, 9, $bez_sum);
	$c->set_label("Summe");
	$c->set_readonly("true");
	$bez_form->add_control(3, $c);
	//Gegeben nur sichtbar bei Barzahlung
	$c = new vs_d_edit("e_geg", 9, 9, "0,00");
	$c->set_label("Gegeben");
	$c->onkeyup = " onkeyup=\"javascript:{geg_onkeyup();}\" ";
	$bez_form->add_control(3, $c);
	//Zurueck nur sichtbar bei Barzahlung
	$c = new vs_edit("e_zur", 9, 9, "0,00");
	$c->set_label("Zur&uuml;ck");
	$c->set_readonly("true");
	$bez_form->add_control(3, $c);
	
	//Transaktionsnummer,nur sichtbar bei Kartezahlung
	$c = new vs_edit("e_trans", 9, 9, "");
	$c->set_label("Transaktion-ID");
	$bez_form->add_control(3, $c);
	
	//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
	$bez_form->add_control(4, new vs_memo("bez_bemerkung", 46, 5, "", "Memo"));
	$bez_form->add_control(5, new vs_hidden("beh_sum", $beh_sum));
	$bez_form->add_control(5, new vs_hidden("pat_sum", $pat_sum));
	$bez_form->add_control(5, new vs_hidden("bes_sum", $bes_sum));
	$bez_form->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
	$bez_form->add_control(5, new vs_hidden("behandlung_id", $behandlung_id));
	$bez_form->add_control(5, new vs_hidden("patient_id", $patient_id));
	$bez_form->add_control(5, new vs_hidden("action", "a_insert_bez"));
	
	$bez_form->add_control(6, new vs_text("&nbsp;"));
	$bez_form->add_control(7, new vs_text("<b> Kassierer : " . $user_vorname . " " . $user_name . "</b>"));
	$bez_form->add_control(8, new vs_text("&nbsp;"));
	$bez_form->add_control(9, new vs_submit("submit", "Bezahlen"));
	$bez_form->add_control(9, new vs_close("Abbrechen"));
	
	$page->add($bez_form);
	
	//2014-12-04 KM: Formatierung geaendert
	//return $page;
	$seite->add($page);
	return $seite;
	
	}

function error_content($content)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div( "", "", "", "", "", "vs_seite_klein");
	$page = new vs_div("", "", "center", "orange","","seite_klein_mitte");
	
	//2014-12-04 KM: Formatierung geaendert
	//$page->add (new vs_img("error_img","../img/error_bez_dialog.jpg"));
	$page->add(new vs_text("<h2>Fehler im Bezahldialog</h2>"));
	
	$page->add(new vs_text($content));
	
	//2014-12-04 KM: Formatierung geaendert
	//return $page;
	$seite->add($page);
	return $seite;
	}

function quittung_old($db, $text, $summe, $mwst, $besitzer_id, $time_id)
	{
	global $user_kurz;
	$db->query("select name, vorname,wohnort,anrede from vs_besitzer where besitzer_id=$besitzer_id");
	$b_row = $db->fetch_row();
	$db->free_result();
	$bes_name  = $b_row[3] . " " . $b_row[1] . " " . $b_row[0] . " aus " . $b_row[2];
	$kassierer = $user_kurz;
	$today     = today();
	$t_sum     = ptc($summe) . " " . currency_string;
	$t_mwst    = ptc($mwst) . " " . currency_string;
	$vorher    = array(
		"{summe}",
		"{heute}",
		"{von}",
		"{kassierer}",
		"{mwst}"
	);
	$nachher   = array(
		$t_sum,
		$today,
		$bes_name,
		$kassierer,
		$t_mwst
	);
	// liest den Inhalt der Quittungsdatei in einen String
	$filename  = "../txt/quittung.html";
	if (file_exists($filename))
		{
		if ($handle = fopen($filename, "r"))
			{
			$q_text = fread($handle, filesize($filename));
			fclose($handle);
			}
		else
			$q_text = "<b>ERROR<b><br><br> Die Quittungsdatei kann nicht ge&ouml;ffnet werden.";
		}
	else
		$q_text = "<b>ERROR<b><br><br> Die Quittungsdatei existiert nicht.";
	//ersetzt Variablen durch die realen Werte
	$q_text = str_replace($vorher, $nachher, $q_text);
	$page   = new vs_div("800", "600", "center", "white");
	$page->add(new vs_text($q_text));
	return $page;
	}



function quittung()
//2015-02-12 KM: Formatierung muss so bleiben, da Popup-Window
	{
	$page = new vs_div("200","100");
	$page->set_main_window(1);
	$page->add(new vs_text("<br><b>Quittung wird zusammengestellt..."));
	$page->add(new vs_close_img("close"));
	return $page;
	}


office_login($db);


$b         = new vs_page_begin("Behandlungen direkt bezahlen", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{init_zwauswahl();}";
$b->write();


//notwendiges Javascript einbinden
echo "<script language=\"javascript\" src=\"behbez_dialog.js\"></script>";


$q_summe = 0;
$q_mwst  = 0;

//Event-Handler
switch ($vso_action)
{
	case "a_show_form": //Eingabeformular
		//2014-03-12 KM: geaendert wg. undefined variable
		if (!isset($vso_preset))
			{
			$vso_preset = null;
			}
		$page = make_bez_window($db, $vso_besitzer_id, $vso_patient_id, $vso_behandlung_id, $vso_preset);
		$page->write();
		break;
	//-------------------------------------------------------
	case "a_insert_bez": //Daten in die Datenbank und Ergebnis anzeigen
		$time = time(); //ergibt die time_id der Bezahlung, alle Bezahlungen mit der gleichen time_id werden zusammen bezahlt 
		if ($vso_auswahl == "beh")
		//nur die aktuelle Behandlung wird bezahlt
			{
			//erst mal kontrollieren, ob die offene Summe noch mit dem angegebenen Betrag uebereinstimmt
			//zwischendurch koennte eine Bezahlung ueber ein anderes Fenster/Instanz erfolgt sein
			$db->query("select sum(b.offen), sum(b.brutto-b.netto) from vs_behandlung b where b.behandlung_id =" . $vso_behandlung_id . 
						"and b.rechnung_id < 1 and b.rechnung_id > -1000 and b.offen > 0");
			$row4    = $db->fetch_row();
			$q_summe = $row4[0];
			$q_mwst  = $row4[1];
			$db->free_result();
			if ($row4[0] == ctp($vso_beh_sum))
				{
				$db->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed,offen from vs_behandlung " . 
							" where behandlung_id=$vso_behandlung_id");
				$beh_row = $db->fetch_row();
				$db->free_result();
				if ($beh_row[4] > 0) //Behandlung ganz oder teilweise unbezahlt	
					{
					$db->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed)  from vs_bezahlt " . 
								" where behandlung_id=$vso_behandlung_id");
					$bez_row = $db->fetch_row();
					$db->free_result();
					if ($bez_row[0] != "")
						$brutto = $beh_row[0] - $bez_row[0];
					else
						$brutto = $beh_row[0];
					if ($bez_row[1] != "")
						$brutto_a = $beh_row[1] - $bez_row[1];
					else
						$brutto_a = $beh_row[1];
					if ($bez_row[2] != "")
						$brutto_b = $beh_row[2] - $bez_row[2];
					else
						$brutto_b = $beh_row[2];
					if ($bez_row[3] != "")
						$brutto_abgabemed = $beh_row[3] - $bez_row[3];
					else
						$brutto_abgabemed = $beh_row[3];
					
					// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
					//$datum=d_dis2db(today());
					$today = today();
					$datum = d_dis2db($today);
					
					//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
					if (isset($vso_quittung))
						$quittung = $vso_quittung;
					else
						$quittung = "";
					
					//ggf Transaktions-ID eintragen
					$trans = $vso_e_trans;
					if ($trans != "")
						$trans = " Transaktion-ID: " . $trans;
					// auch ohne direktes Ankreuzen: alle nicht bar bezahlten sind quittiert
					if ($vso_typ != "B")
						$quittung = "1";
					//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
					$bem = "Kassierer: " . $user_kurz . " Zeit: " . now() . " Zahlung-ID: " . $time . $trans . " " . $vso_bez_bemerkung;
					$db->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," . 
								//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
								" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,user_id,time_id) values " . 
								" ('$datum','$vso_typ','0','$quittung','$brutto','$brutto_a'," . 
								" '$brutto_b','$brutto_abgabemed','$bem','$vso_behandlung_id','-1','$user_id','$time')");
					$db->free_result();
					behandlung_summe($db, $vso_behandlung_id);
					//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
					if (isset($vso_quittung) and $vso_quittung == "1")
						{
						$sql = "update vs_behandlung set rechnung_id = '-1000' where behandlung_id = $vso_behandlung_id";
						$db->query($sql);
						}
					//QUITTUNG schreiben---------------------------------------------------------------
					//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
					if (isset($vso_quittung) and $vso_quittung == "1")
						{
						$page = quittung();
						$page->write();
						echo "<script language=\"javascript\">window.open('behbez_quittung.php?time_id=$time','quittung','width=1000,height=600,top=10,left=10');</script>";
						//noch das aufrufende Fenster aktualisieren 
						echo "<script language=\"javascript\">opener.location.href='kartei.php?action=a_karte_show_behandlung&" . 
								"besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id&behandlung_id=$vso_behandlung_id';</script>";
						}
					//noch das aufrufende Fenster aktualisieren und  das Dialogfenster schließen	(Schließen weiter oben geht nicht wegen js-Sicherheitskonzept/Seitenwechsel im Fenster)
					else
						echo "<script language=\"javascript\">opener.location.href='kartei.php?action=a_karte_show_behandlung&" . 
								"besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id&behandlung_id=$vso_behandlung_id';window.close();</script>";
					//------------------------------------------------------------------------------------------	
					} //beh ganz oder teilweise unbezahlt
				}
			else //beh_sum stimmt nicht mehr
				{
				$e = error_content("<br><br><b>DIE ZAHLUNG KANN NICHT VERBUCHT WERDEN !" . 
									"<br><br><u>Grund:</u> Die Summe ist nicht mehr aktuell. </b> ");
				$e->write();
				}
			} //if auswahl = beh
		
		if ($vso_auswahl == "pat")
		//nur der aktuelle Patient wird bezahlt
			{
			if (isset($vso_patient_id))
				{
				//erst mal kontrollieren, ob die offene Summe noch mit dem angegebenen Betrag uebereinstimmt
				//zwischendurch koennte eine Bezahlung ueber ein anderes Fenster/Instanz erfolgt sein
				$db->query("select sum(b.offen), sum(b.brutto-b.netto) from vs_behandlung b where b.patient_id =" . $vso_patient_id . 
							"and b.rechnung_id < 1 and b.rechnung_id > -1000 and b.offen > 0 ");
				$row3    = $db->fetch_row();
				$q_summe = $row3[0];
				$q_mwst  = $row3[1];
				$db->free_result();
				if ($row3[0] == ctp($vso_pat_sum))
					{
					//--------------------
					$db->query("select behandlung_id from vs_behandlung  where offen > 0.01 and " . 
								" patient_id = $vso_patient_id and rechnung_id < 1 and rechnung_id   >  -1000");
					while ($pat_beh_row = $db->fetch_row())
						{
						$behandlung_id = $pat_beh_row[0];
						//jede betroffene Behandlung bezahlen	
						$db2->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed,offen from vs_behandlung  where behandlung_id=$behandlung_id");
						$beh_row = $db2->fetch_row();
						$db2->free_result();
						if ($beh_row[4] > 0) //Behandlung ganz oder teilweise unbezahlt	
							{
							
							$db2->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed) " . 
										" from vs_bezahlt  where behandlung_id=$behandlung_id");
							$bez_row = $db2->fetch_row();
							if ($bez_row[0] != "")
								$brutto = $beh_row[0] - $bez_row[0];
							else
								$brutto = $beh_row[0];
							if ($bez_row[1] != "")
								$brutto_a = $beh_row[1] - $bez_row[1];
							else
								$brutto_a = $beh_row[1];
							if ($bez_row[2] != "")
								$brutto_b = $beh_row[2] - $bez_row[2];
							else
								$brutto_b = $beh_row[2];
							if ($bez_row[3] != "")
								$brutto_abgabemed = $beh_row[3] - $bez_row[3];
							else
								$brutto_abgabemed = $beh_row[3];
							
							// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
							//$datum=d_dis2db(today());
							$today = today();
							$datum = d_dis2db($today);
							
							//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
							if (isset($vso_quittung))
								$quittung = $vso_quittung;
							
							//ggf Transaktions-ID eintragen
							$trans = $vso_e_trans;
							if ($trans != "")
								$trans = " Transaktion-ID: " . $trans;
							// auch ohne direktes Ankreuzen: alle nicht bar bezahlten sind quittiert
							if ($vso_typ != "B")
								$quittung = "1";
							//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
							$bem = "Kassierer: " . $user_kurz . " Zeit: " . now() . " Zahlung-ID: " . $time . $trans . " " . $vso_bez_bemerkung;
							//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
							$db2->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," . 
										" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,user_id,time_id) values " . 
										" ('$datum','$vso_typ','0','$quittung','$brutto','$brutto_a'," . 
										" '$brutto_b','$brutto_abgabemed','$bem','$behandlung_id','-1','$user_id','$time')");
							$db2->free_result();
							}
						behandlung_summe($db2, $behandlung_id);
						//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
						if (isset($vso_quittung) and $vso_quittung == "1")
							{
							$sql = "update vs_behandlung set rechnung_id = '-1000' where behandlung_id = $behandlung_id";
							$db2->query($sql);
							}
						} //while.....	
					//QUITTUNG schreiben----------------------------------------------------------
					//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
					if (isset($vso_quittung) and $vso_quittung == "1")
						{
						$page = quittung();
						$page->write();
						echo "<script language=\"javascript\">window.open('behbez_quittung.php?time_id=$time','quittung','width=1000,height=600,top=10,left=10');</script>";
						//noch das aufrufende Fenster aktualisieren 	
						echo "<script language=\"javascript\">opener.location.href='kartei.php?action=a_karte_show_behandlung&" . 
								"besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id&behandlung_id=$vso_behandlung_id';</script>";
						}
					//noch das aufrufende Fenster aktualisieren und  das Dialogfenster schließen	
					else
						echo "<script language=\"javascript\">opener.location.href='kartei.php?action=a_karte_show_behandlung&" . 
								"besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id&behandlung_id=$vso_behandlung_id';window.close();</script>";
					//-----------------------------------------------------------------------------------------
					
					} // if pat_sum==....
				else //pat_sum stimmt nicht mehr
					{
					$e = error_content("<br><br><b>DIE ZAHLUNG KANN NICHT VERBUCHT WERDEN !" . 
										"<br><br><u>Grund:</u> Die Summe ist nicht mehr aktuell. </b> ");
					$e->write();
					}
				$db->free_result();
				} //if .. pat
			else
				echo "Schwerer SYSTEMFEHLER : patient_id nicht initialisiert!";
			} // alle Offenen des patienten	
		
		
		if ($vso_auswahl == "bes")
		//alle unbezahlten Behandlungen aller Tiere wird bezahlt
			{
			$q_mwst = 0;
			if (isset($vso_besitzer_id))
				{
				//erst mal kontrollieren, ob die offene Summe noch mit dem angegebenen Betrag uebereinstimmt
				//zwischendurch koennte eine Bezahlung ueber ein anderes Fenster/Instanz erfolgt sein
				$db->query("select sum(b.offen), sum(b.brutto-b.netto) from vs_behandlung b ,vs_patient p where b.patient_id = p.patient_id and p.besitzer_id= " . 
							$vso_besitzer_id . "and b.rechnung_id < 1 and b.rechnung_id > -1000 and b.offen > 0");
				$row5    = $db->fetch_row();
				$q_summe = $row5[0];
				$q_mwst  = $row5[1];
				$db->free_result();
				if ($row5[0] == ctp($vso_bes_sum))
					{
					//Offene Behandlungen des Besitzers, die nicht Teil einer Rechnunung sind	
					$db->query("select b.behandlung_id from vs_behandlung b,vs_patient p where " . 
								"b.patient_id = p.patient_id and p.besitzer_id=$vso_besitzer_id and b.rechnung_id < 1 and b.rechnung_id > -1000 ");
					while ($bes_beh_row = $db->fetch_row())
						{
						$behandlung_id = $bes_beh_row[0];
						//jede betroffene Behandlung bezahlen	
						$db2->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed,offen from vs_behandlung  where behandlung_id=$behandlung_id");
						$beh_row = $db2->fetch_row();
						$db2->free_result();
						if ($beh_row[4] > 0) //Behandlung ganz oder teilweise unbezahlt	
							{
							$db2->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed) " . 
										" from vs_bezahlt  where behandlung_id=$behandlung_id");
							$bez_row = $db2->fetch_row();
							if ($bez_row[0] != "")
								$brutto = $beh_row[0] - $bez_row[0];
							else
								$brutto = $beh_row[0];
							if ($bez_row[1] != "")
								$brutto_a = $beh_row[1] - $bez_row[1];
							else
								$brutto_a = $beh_row[1];
							if ($bez_row[2] != "")
								$brutto_b = $beh_row[2] - $bez_row[2];
							else
								$brutto_b = $beh_row[2];
							if ($bez_row[3] != "")
								$brutto_abgabemed = $beh_row[3] - $bez_row[3];
							else
								$brutto_abgabemed = $beh_row[3];
							
							// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
							//$datum=d_dis2db(today());
							$today = today();
							$datum = d_dis2db($today);
							
							//DW: Bugfix 2013-08-07 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
							if (isset($vso_quittung))
								$quittung = $vso_quittung;
							
							//ggf Transaktions-ID eintragen
							$trans = $vso_e_trans;
							if ($trans != "")
								$trans = " Transaktion-ID: " . $trans;
							// auch ohne direktes Ankreuzen: alle nicht bar bezahlten sind quittiert
							if ($vso_typ != "B")
								$quittung = "1";
							//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
							$bem = "Kassierer: " . $user_kurz . " Zeit: " . now() . " Zahlung-ID: " . $time . $trans . " " . $vso_bez_bemerkung;
							//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
							$db2->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," . 
										" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,user_id,time_id) values " . 
										" ('$datum','$vso_typ','0','$quittung','$brutto','$brutto_a'," . 
										" '$brutto_b','$brutto_abgabemed','$bem','$behandlung_id','-1','$user_id','$time')");
							$db2->free_result();
							}
						behandlung_summe($db2, $behandlung_id);
						$db2->free_result();
						//DW: Bugfix 2013-08-02 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
						if (isset($vso_quittung) and $vso_quittung == "1")
							{
							$sql = "update vs_behandlung set rechnung_id = '-1000' where behandlung_id = $behandlung_id";
							$db2->query($sql);
							}
						}
					//hier Quittung
					//DW: Bugfix 2013-08-02 Pruefung, ob vso_quittung ueberhaupt gesetzt ist wg. undefined variable
					if (isset($vso_quittung) and $vso_quittung == "1")
						{
						$page = quittung();
						$page->write();
						echo "<script language=\"javascript\">window.open('behbez_quittung.php?time_id=$time','quittung','width=1000,height=600,top=10,left=10');</script>";
						//noch das aufrufende Fenster aktualisieren 	
						echo "<script language=\"javascript\">opener.location.href='kartei.php?action=a_karte_show_behandlung&" . 
								"besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id&behandlung_id=$vso_behandlung_id';</script>";
						}
					//noch das aufrufende Fenster aktualisieren und  das Dialogfenster schließen	
					else
						echo "<script language=\"javascript\">opener.location.href='kartei.php?" . 
								"action=a_karte_show_behandlung&besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id" . "&behandlung_id=$vso_behandlung_id';window.close();</script>";
					} // if pat_sum==....
				else //bes_sum stimmt nicht mehr
					{
					$e = error_content("<br><br><b>DIE ZAHLUNG KANN NICHT VERBUCHT WERDEN !" . 
							"<br><br><u>Grund:</u> Die Summe ist nicht mehr aktuell. </b> ");
					$e->write();
					}
				$db->free_result();
				} //if .. isset bes
			else
				echo "Schwerer SYSTEMFEHLER : besitzer_id nicht initialisiert!";
			}
		if (auto_detect_standard_zw == "1")
			$zw = standard_zahlweise($db, $vso_besitzer_id);
		break;
	case "a_show_delayform": //Eingabeformular
		$page = make_bez_window($db, $vso_besitzer_id, $vso_patient_id, $vso_behandlung_id, $vso_preset);
		$page->write();
		break;
} //switch


//Seitenabbau
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//Ende
$db->free_result();
$db->close();

?>
