 <?php
/*
 *      besitzer_event.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

// 2015-05-14 Klaus Munsteiner: Neues Design Version 1.8
// Komplett ueberarbeitet und viele Fehler beseitigt.
// Mit if ($bes_row[] != null) werden leere Eintraege ausgeblendet.



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


function seite($top, $bottom, $middle)
	{
	//2015-02-20 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	//2015-05-07 KM: NEU Ueberschrift
	$oben=new vs_div("","","","","","stammdaten_oben");
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "besitzer_event_mitte");
	$mitte->add($middle);
	$unten = new vs_div;
	$unten->add($bottom);
	//2015-05-07 KM: NEU Ueberschrift
	$seite->add($top);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function b2text($b)
	{
	if ($b == 0)
		return "nein";
	else
		return "ja";
	}



function make_bes_event_list($db, $action, $besitzer_id, $bes_event_id)
	{
	//2015-05-13 KM: $vso_bes_event_id Abfrage geaendert
	if ((isset($bes_event_id)) or ($bes_event_id != -1))
		$db->query("Select bes_event_id,datum,typ,memo from vs_bes_event where bes_event_id= $bes_event_id;");
	else
		$db->query("Select bes_event_id,datum,typ,memo from vs_bes_event where besitzer_id= $besitzer_id;");
	$row          = $db->fetch_row();
	$bes_event_id = $row[0];
	$n            = $db->num_rows();
	$olddata      = $db->curr_row_as_string();
	//Neu einfuegen oder editieren?
	// Bes-Events schon vorhanden und nicht insert gedrueckt
	if (($action != "a_ins_bes_event") and ($n > 0))
		{
		$action = "a_post_edit_bes_event";
		$s_text = "&Auml;ndern";
		d_db2dis($row[1]);
		}
	else
		{
		$s_text = "Speichern";
		$action = "a_post_ins_bes_event";
		$row[1] = today();
		$row[2] = "";
		$row[3] = "";
		
		}
	$t = new vs_form_x("bes_event_edit", 4);
	$t->set_cellspacing(5);
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	$t->add_control(1, new vs_datepicker("datum", $row[1], "multi_today1_Datepicker", "Datum"));
	
	$t->add_control(2, new vs_db_listbox("Typ &nbsp;&nbsp;&nbsp;", 40, $db, "vs_bes_event_typ", "name", "e_typ", $row[2]));
	$t->add_control(3, new vs_memo("memo", 80, 14, $row[3]));
	$t->add_control(4, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(4, new vs_hidden("bes_event_id", $bes_event_id));
	$t->add_control(4, new vs_hidden("olddata", $olddata));
	$t->add_control(4, new vs_hidden("action", $action));
	$t->add_control(4, new vs_submit("submit", $s_text, "true"));
	$t->add_control(4, new vs_close("Schlie&szlig;en"));
	return $t;
	}



function bes_event_img_leiste($besitzer_id, $bes_event_id)
	{
	$il2 = new vs_div("100", "30", "left");
	$il2->add(new vs_action_img("insert_event", "../img/add_24.gif", "a_ins_bes_event&besitzer_id=$besitzer_id"));
	
	//2015-05-13 KM: $bes_event_id Abfrage geaendert
	if ((isset($bes_event_id)) and ($bes_event_id != -1) and ($bes_event_id != ""))
		{
		$il2->add(new vs_action_img("delete_event", "../img/delete_24.gif", "a_del_bes_event&besitzer_id=$besitzer_id&bes_event_id=$bes_event_id"));
		}
	else
		{
		
		}
	return $il2;
	}



function make_bes_event_tab($db, $active, $besitzer_id, $bes_event_id)
	{
	$tab = new vs_tabs("100%");
	$tab->set_active_tab($active);
	
	//2015-05-13 KM: $vso_bes_event_id muss auf -1 gesetzt werden.
	if (!isset($bes_event_id))
		{
		$bes_event_id = -1;
		}
		
	$tab->add_tab("Weitere Angaben", "?action=a_show_bes_detail&besitzer_id=$besitzer_id");
	$tab->add_tab("Ereignisse", "?action=a_browse&besitzer_id=$besitzer_id&bes_event_id=$bes_event_id");
	
	return $tab;
	}




office_login($db);

$b = new vs_page_begin("Besitzer-Zusätzliche Infos", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->write();

//2015-05-04 KM: Die alte if-Abfrage mit if ((!isset($vso_action)) or ($vso_action == "")) ist Schrott und hat nur Warnings produziert.

if (!isset($vso_action))
	{
	$vso_action=null;
	}
	
	switch ($vso_action)
		{
		case "a_show_bes_detail": //weitere Besitzerangaben
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			$middle = new vs_div;
			
			//2013-12-29 KM: geaendert wg. undefined variable
			if (!isset($vso_bes_event_id))
				{
				$vso_bes_event_id = -1;
				}
			
			if (!isset($row))
				{
				$row = null;
				}
			
			$db->query("Select telefon_1, telefon_2, telefon_mobil, telefax, mail, www," . 
						"gruppe1, gruppe2, gruppe3, gruppe4, gruppe5, faktor, rabatt, impferinnerung," . 
						"erstbesuch, letzterbesuch, konto, blz, einzug, messagetext, offen, rechnungnach, zahlfrist," . 
						"maxoffen, rechnungoffen, lebenspartner, memo, zahl_typ, strasse, plz, wohnort" . 
						" from  vs_besitzer where besitzer_id=$vso_besitzer_id");
			$bes_row = $db->fetch_row();
			$db->free_result();
			
			//Gesamtumsatz
			$db->query("select sum(brutto) from vs_behandlung b, vs_patient p where b.patient_id=p.patient_id and p.besitzer_id=$vso_besitzer_id");
			$row1 = $db->fetch_row();
			$db->free_result();
			//Zahl der Behandlungen
			$db->query("select count(*) from vs_behandlung b, vs_patient p where b.patient_id=p.patient_id and p.besitzer_id=$vso_besitzer_id");
			$row2 = $db->fetch_row();
			$db->free_result();
			if ($bes_row[27] <= 1)
				$zahltyp = "zahlt problemlos";
			if ($bes_row[27] == 2)
				$zahltyp = "<span style=\"color:red;\">zahlt mit Aufforderung</span>";
			if ($bes_row[27] == 3)
				$zahltyp = "<span style=\"color:red;\">zahlt nicht</span>";
			if ($bes_row[27] == 4)
				$zahltyp = "<span style=\"color:red;\">zahlt nicht/eidesstattliche Versicherung</span>";
			//Umsatz/Behandlung
			if ($row2[0] == 0)
				$upb = 0;
			else
				$upb = round($row1[0] / $row2[0], 2);
				
			//2015-05-13 KM: Formatierung geaendert
			$p_div = new vs_div( "", "", "", "", "", "besitzer_event_angaben_tabd");
			//Zeile 1
			$p_div->add(new vs_text("<b> Strasse: </b>"));
			$p_div->add(new vs_text($bes_row[28] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> PLZ: </b>"));
			$p_div->add(new vs_text($bes_row[29] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> Wohnort: </b>"));
			$p_div->add(new vs_text($bes_row[30] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			if ($bes_row[0] != null)
				{
				$p_div->add(new vs_text("<b> Telefon 1: </b>"));
				$p_div->add(new vs_text($bes_row[0] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[1] != null)
				{
				$p_div->add(new vs_text("<b> Telefon 2: </b>"));
				$p_div->add(new vs_text($bes_row[1] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[2] != null)
				{
				$p_div->add(new vs_text("<b> Mobiltelefon: </b>"));
				$p_div->add(new vs_text($bes_row[2] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[3] != null)
				{
				$p_div->add(new vs_text("<b> Telefax: </b>"));
				$p_div->add(new vs_text($bes_row[3]));
				}
			$p_div->add(new vs_text("<br>&nbsp;<br>"));
				
			//Zeile 2
			if ($bes_row[25] != null)
				{
				$p_div->add(new vs_text("<b> Lebenspartner: </b>"));
				$p_div->add(new vs_text($bes_row[25] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[4] != null)
				{
				$p_div->add(new vs_text("<b> E-Mail: </b>"));
				$p_div->add(new vs_text($bes_row[4] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[5] != null)
				{
				$p_div->add(new vs_text("<b> www: </b>"));
				$p_div->add(new vs_text($bes_row[5] . "<br>&nbsp;<br>"));
				}
			
			//Zeile 3: Gruppen
			$p_div->add(new vs_text("<b> " . gruppe_1 . ": </b>"));
			$db->query("SELECT bezeichnung FROM vs_gruppe1 where value = '$bes_row[6]'");
			$gruppe1_bez=$db->fetch_row();
			$p_div->add(new vs_text($gruppe1_bez[0] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$p_div->add(new vs_text("<b> " . gruppe_2 . ": </b>"));
			$db->query("SELECT bezeichnung FROM vs_gruppe2 where value = '$bes_row[7]'");
			$gruppe2_bez=$db->fetch_row();
			$p_div->add(new vs_text($gruppe2_bez[0] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$p_div->add(new vs_text("<b> " . gruppe_3 . ": </b>"));
			$db->query("SELECT bezeichnung FROM vs_gruppe3 where value = '$bes_row[8]'");
			$gruppe3_bez=$db->fetch_row();
			$p_div->add(new vs_text($gruppe3_bez[0] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$p_div->add(new vs_text("<b> " . gruppe_4 . ": </b>"));
			$db->query("SELECT bezeichnung FROM vs_gruppe4 where value = '$bes_row[9]'");
			$gruppe4_bez=$db->fetch_row();
			$p_div->add(new vs_text($gruppe4_bez[0] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$p_div->add(new vs_text("<b> " . gruppe_5 . ": </b>"));
			$db->query("SELECT bezeichnung FROM vs_gruppe5 where value = '$bes_row[10]'");
			$gruppe5_bez=$db->fetch_row();
			$p_div->add(new vs_text($gruppe5_bez[0] . "<br>&nbsp;<br>"));
			
			//Zeile 4
			$p_div->add(new vs_text("<b> Erster Besuch: </b>"));
			$p_div->add(new vs_text(d_db2dis($bes_row[14]) . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> Letzter Besuch: </b>"));
			$p_div->add(new vs_text(d_db2dis($bes_row[15]) . "<br>&nbsp;<br>"));
			
			//Zeile 5
			if ($bes_row[16] != null)
				{
				$p_div->add(new vs_text("<b> Kontonummer: </b>"));
				$p_div->add(new vs_text($bes_row[16] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if ($bes_row[17] != null)
				{
				$p_div->add(new vs_text("<b> BLZ: </b>"));
				$p_div->add(new vs_text($bes_row[17] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}
			if (($bes_row[16] != null) and ($bes_row[17] != null))
				{
				$p_div->add(new vs_text("<b> Einzugserm&auml;chtigung: </b>"));
				$p_div->add(new vs_text(b2text($bes_row[18]) . "<br>&nbsp;<br>"));
				}
			
			//Zeile 6
			$p_div->add(new vs_text("<b> Rechnung nach  </b>"));
			$p_div->add(new vs_text($bes_row[21] . " Tagen &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> Zahlfrist:  </b>"));
			$p_div->add(new vs_text($bes_row[22] . " Tage &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> H&ouml;chstens offen:  </b>"));
			$p_div->add(new vs_text($bes_row[23] . " " . currency_string . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$p_div->add(new vs_text("<b> Zahltyp:  </b>"));
			$p_div->add(new vs_text($zahltyp . "<br>&nbsp;<br>"));
			
			//Zeile 7 -10
			//Statistik
			$p_div->add(new vs_text("<b>" . "STATISTIK </b><br>"));
			$p_div->add(new vs_text("<b>" . "Gesamtumsatz : </b>"));
			$p_div->add(new vs_text($row1[0] = ptc($row1[0]) . currency_string . "<br>"));
			$p_div->add(new vs_text("<b>" . "Zahl der Behandlungen : </b>"));
			$p_div->add(new vs_text($row2[0] = ptc($row2[0]) . "<br>"));
			$p_div->add(new vs_text("<b>" . "Umsatz / Behandlung : </b>"));
			$p_div->add(new vs_text($upb = ptc($upb) . " " . currency_string . "<br>&nbsp;<br>&nbsp;<br>"));
			
			//Zeile 11
			//MEMO
			$p_div->add(new vs_memo("memo", 166, 18, $bes_row[26],"Memo "));
			
			//Button
			$p_div->add(new vs_close("Schlie&szlig;en"));
			
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 1, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($p_div);
			$bottom = navliste("Weitere Angaben", "", "", "");
			
			seite($top, $bottom, $middle);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
			
		case "a_ins_bes_event": //Neuer Eintrag
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			//2015-05-13 KM: wenn es $vso_bes_event_id nicht gibt oder leer
			if ((!isset($vso_bes_event_id)) or ($vso_bes_event_id == ""))
				{
				$vso_bes_event_id = -1;
				}
			
			//2014-12-23 KM: Formatierung geaendert
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("besitzer_event_tabelle_links");
			$sql = "SELECT e.bes_event_id,e.datum,t.name FROM vs_bes_event e,vs_bes_event_typ t where e.typ=t.e_typ AND  e.besitzer_id = '$vso_besitzer_id';";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_bes_event_id, "besitzer_event.php?action=a_browse&besitzer_id=$vso_besitzer_id&bes_event_id=", 32, "");
			$lb->add_style("width:260px;height:450px;");
			$left->add(2, 1, bes_event_img_leiste($vso_besitzer_id, $vso_bes_event_id));
			$left->add(2, 1, $lb);
			$right   = make_bes_event_list($db, $vso_action, $vso_besitzer_id, $vso_bes_event_id);
			$t_mitte = new vs_table("mitte", 1, 2);
			$t_mitte->set_css_class("besitzer_event_tabd");
			$links = new vs_div("", "", "", "", "", "besitzer_event_mitte_links");
			$links->add($left);
			$rechts = new vs_div("", "", "", "", "", "besitzer_event_mitte_rechts");
			$rechts->add($right);
			$t_mitte->add(1, 1, $links);
			$t_mitte->add(1, 2, $rechts);
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 2, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($t_mitte);
			//2014-01-16 KM: Hilfe Seite hat falschen Verweis, mit help.html#roe heraus genommen.
			//$bottom=navliste("Alle Eintr&auml;ge","","","../hilfe/help.html#roe_worklist");
			$bottom = navliste("Alle Eintr&auml;ge", "", "");
			seite($top, $bottom, $middle);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
			
			case "a_post_ins_bes_event": // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			//2013-12-29 KM: geaendert wg. undefined variable
			//2015-05-01 KM: $vso_typ muss in der DB in Tabelle vs_bes_event_typ eingetragen sein,
			// dann gibt es auch keine Warning fuer eine undefinierte Variable.
			
			if (isset($vso_bes_event_id))
				{
				d_dis2db($vso_datum);
				$sql = "INSERT INTO vs_bes_event (besitzer_id,datum,typ,memo) VALUES ('$vso_besitzer_id','$vso_datum','$vso_typ','$vso_memo')";
				$db->query($sql);
				$db->free_result();
				}
			//2014-12-23 KM: Formatierung geaendert
			// Daten anzeigen
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("besitzer_event_tabelle_links");
			$sql = "SELECT e.bes_event_id,e.datum,t.name FROM vs_bes_event e,vs_bes_event_typ t where e.typ=t.e_typ AND  e.besitzer_id = '$vso_besitzer_id';";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_bes_event_id, "besitzer_event.php?action=a_browse&besitzer_id=$vso_besitzer_id&bes_event_id=", 32, "");
			$lb->add_style("width:260px;height:450px;");
			$left->add(2, 1, bes_event_img_leiste($vso_besitzer_id, $vso_bes_event_id));
			$left->add(2, 1, $lb);
			
			//2015-05-13 KM: wenn es $vso_bes_event_id nicht gibt oder leer
			if ((!isset($vso_bes_event_id)) or ($vso_bes_event_id == ""))
				{
				$vso_bes_event_id = -1;
				}
			
			$right   = make_bes_event_list($db, $vso_action, $vso_besitzer_id, $vso_bes_event_id);
			$t_mitte = new vs_table("mitte", 1, 2);
			$t_mitte->set_css_class("besitzer_event_tabd");
			$links = new vs_div("", "", "", "", "", "besitzer_event_mitte_links");
			$links->add($left);
			$rechts = new vs_div("", "", "", "", "", "besitzer_event_mitte_rechts");
			$rechts->add($right);
			$t_mitte->add(1, 1, $links);
			$t_mitte->add(1, 2, $rechts);
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 2, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($t_mitte);
			//2014-01-16 KM: Hilfe Seite hat falschen Verweis, mit help.html#roe heraus genommen.
			//$bottom=navliste("Event gespeichert ","","","../hilfe/help.html#roe_worklist");
			$bottom = navliste("Event gespeichert ", "", "");
			seite($top, $bottom, $middle);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
			
		case "a_del_bes_event": //Loeschen 
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			if ((isset($vso_bes_event_id)) and ($vso_bes_event_id != -1) and ($vso_bes_event_id != ""))
				{
				$sql = "DELETE FROM vs_bes_event WHERE bes_event_id = '$vso_bes_event_id';";
				$db->query($sql);
				$db->free_result();
				}
			
			//2015-05-13 KM: $vso_bes_event_id muss geloescht und auf -1 gesetzt werden.
			unset($vso_bes_event_id); //gibt`s ja jetzt nicht mehr
			if (!isset($vso_bes_event_id))
				{
				$vso_bes_event_id = -1;
				}
				
			//2014-12-23 KM: Formatierung geaendert
			// Daten anzeigen
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("besitzer_event_tabelle_links");
			$sql = "SELECT e.bes_event_id,e.datum,t.name FROM vs_bes_event e,vs_bes_event_typ t where e.typ=t.e_typ AND  e.besitzer_id = '$vso_besitzer_id';";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_bes_event_id, "besitzer_event.php?action=a_browse&besitzer_id=$vso_besitzer_id&bes_event_id=", 32, "");
			$lb->add_style("width:260px;height:450px;");
			$left->add(2, 1, bes_event_img_leiste($vso_besitzer_id, $vso_bes_event_id));
			$left->add(2, 1, $lb);
			$right   = make_bes_event_list($db, $vso_action, $vso_besitzer_id, $vso_bes_event_id);
			$t_mitte = new vs_table("mitte", 1, 2);
			$t_mitte->set_css_class("besitzer_event_tabd");
			$links = new vs_div("", "", "", "", "", "besitzer_event_mitte_links");
			$links->add($left);
			$rechts = new vs_div("", "", "", "", "", "besitzer_event_mitte_rechts");
			$rechts->add($right);
			$t_mitte->add(1, 1, $links);
			$t_mitte->add(1, 2, $rechts);
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 2, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($t_mitte);
			//2014-01-16 KM: Hilfe Seite hat falschen Verweis, mit help.html#roe heraus genommen.
			//$bottom=navliste("Event gel&ouml;scht ","","","../hilfe/help.html#roe_worklist");
			$bottom = navliste("Event gel&ouml;scht ", "", "");
			
			seite($top, $bottom, $middle);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		case "a_post_edit_bes_event": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			$db->query("Select bes_event_id,datum,typ,memo from vs_bes_event where bes_event_id= $vso_bes_event_id;");
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				d_dis2db($vso_datum);
				$db->query("update vs_bes_event set datum='$vso_datum', typ='$vso_typ', memo='$vso_memo' where bes_event_id=$vso_bes_event_id");
				$db->free_result();
				}
			else
				error_row(change_warning . "(Besitzer-Events)");
			//2014-12-23 KM: Formatierung geaendert
			// Daten anzeigen
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("besitzer_event_tabelle_links");
			$sql = "SELECT e.bes_event_id,e.datum,t.name FROM vs_bes_event e,vs_bes_event_typ t where e.typ=t.e_typ AND  e.besitzer_id = '$vso_besitzer_id';";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_bes_event_id, "besitzer_event.php?action=a_browse&besitzer_id=$vso_besitzer_id&bes_event_id=", 32, "");
			$lb->add_style("width:260px;height:450px;");
			$left->add(2, 1, bes_event_img_leiste($vso_besitzer_id, $vso_bes_event_id));
			$left->add(2, 1, $lb);
			$right   = make_bes_event_list($db, $vso_action, $vso_besitzer_id, $vso_bes_event_id);
			$t_mitte = new vs_table("mitte", 1, 2);
			$t_mitte->set_css_class("besitzer_event_tabd");
			$links = new vs_div("", "", "", "", "", "besitzer_event_mitte_links");
			$links->add($left);
			$rechts = new vs_div("", "", "", "", "", "besitzer_event_mitte_rechts");
			$rechts->add($right);
			$t_mitte->add(1, 1, $links);
			$t_mitte->add(1, 2, $rechts);
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 2, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($t_mitte);
			//2014-01-16 KM: Hilfe Seite hat falschen Verweis, mit help.html#roe heraus genommen.
			//$bottom=navliste("Event ge&auml;ndert ","","","../hilfe/help.html#roe_worklist");
			$bottom = navliste("Event ge&auml;ndert ", "", "");
			seite($top, $bottom, $middle);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
			
		default:
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// nur Daten anzeigen
			
			//2015-05-07 KM: NEU $top
			$db->query("SELECT name, vorname, titel FROM vs_besitzer where besitzer_id = '$vso_besitzer_id'");
			$row=$db->fetch_row();
			$db->free_result();
			
			$top=new vs_text("<h2>&nbsp; ANGABEN ZUM TIERBESITZER : &nbsp; ".$row[0].", ".$row[1].", ".$row[2]."</h2>");
			
			//2014-12-23 KM: Formatierung geaendert
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("besitzer_event_tabelle_links");
			
			//2015-05-13 KM: $vso_bes_event_id muss auf -1 gesetzt werden.
			if (!isset($vso_bes_event_id))
				{
				$vso_bes_event_id = -1;
				}
			
			$sql = "SELECT e.bes_event_id,e.datum,t.name FROM vs_bes_event e,vs_bes_event_typ t where e.typ=t.e_typ AND  e.besitzer_id = '$vso_besitzer_id';";
			
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_bes_event_id, "besitzer_event.php?action=a_browse&besitzer_id=$vso_besitzer_id&bes_event_id=", 32, "");
			$lb->add_style("width:260px;height:450px;");
			$left->add(2, 1, bes_event_img_leiste($vso_besitzer_id, $vso_bes_event_id));
			$left->add(2, 1, $lb);
			$right   = make_bes_event_list($db, $vso_action, $vso_besitzer_id, $vso_bes_event_id);
			$t_mitte = new vs_table("mitte", 1, 2);
			$t_mitte->set_css_class("besitzer_event_tabd");
			$links = new vs_div("", "", "", "", "", "besitzer_event_mitte_links");
			$links->add($left);
			$rechts = new vs_div("", "", "", "", "", "besitzer_event_mitte_rechts");
			$rechts->add($right);
			$t_mitte->add(1, 1, $links);
			$t_mitte->add(1, 2, $rechts);
			$middle = new vs_div;
			$middle->add(make_bes_event_tab($db, 2, $vso_besitzer_id, $vso_bes_event_id));
			$middle->add($t_mitte);
			//2014-01-16 KM: Hilfe Seite hat falschen Verweis, mit help.html#roe heraus genommen.
			//$bottom=navliste("Alle Eintr&auml;ge","","","../hilfe/help.html#roe_worklist");
			$bottom = navliste("Alle Eintr&auml;ge", "", "");
			seite($top, $bottom, $middle);
			break;
		}


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();

//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
