<?php
/*
 *      doc_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

//2015-01-01 KM:  Eintrag nach head_kartei.inc verschoben, wegen sauberer HTML-Syntax
//echo"<script language=\"javascript\" src=\"behdoc.js\"></script>";

function show_behdoc($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id)
//Dokumentationen zeigen
	{
	//error_log('vetsoftdebugtrick: befinde mich in show_behdoc');
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//error_log('vetsoftdebugtrick: //seite1');
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		$behandlung_rechts->add(zeige_behdoc($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		$behandlung_links->add(make_doc_list($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 3, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2014-01-15 KM: Hilfe help.php in help.html geaendert.
		//$seite->add(bottom_menu($db,$besitzer_id,$patient_id,$behandlung_id,"","","","../hilfe/help.php#behdoc"));
		//2015-04-02 KM: Hilfe Position geaendert.
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#behdoc"));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));
		$seite->write();
		}
	}

function add_behdoc($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id)
//Dokumentationen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		$behandlung_rechts->add(neue_behdoc($db, $besitzer_id, $patient_id, $behandlung_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		$behandlung_links->add(make_doc_list($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 3, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2014-01-15 KM: Hilfe help.php in help.html geaendert.
		//$seite->add(bottom_menu($db,$besitzer_id,$patient_id,$behandlung_id,"","","","../hilfe/help.php#behdoc"));
		//2015-04-02 KM: Hilfe Position geaendert.
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#behdoc"));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));
		$seite->write();
		}
	}


function make_doc_list($db, $besitzer_id, $patient_id, $behandlung_id, $behdoc_id)
	{
	//error_log('vetsoftdebugtrick: befinde mich in make_doc_list');
	$t = new vs_table("docarea", 1, 1);
	$t->set_css_class("docarea");
	if (!isset($behandlung_id))
		{
		//KM TEST: Hier fehlt was
		}
	else
		{
		$db->query("Select behdoc_id,bezeichnung from vs_behdoc where behandlung_id=$behandlung_id");
		$t->add(1, 1, new vs_action_img("add", "../img/add_24.gif", "a_karte_add_behdoc&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id"));
		//DW: wg. behdoc_id = -1
		if (isset($behdoc_id) and $behdoc_id != -1)
			{
			//error_log('vetsoftdebugtrick: befinde mich in make_doc_list vor delete  - behdoc_id:' . $behdoc_id);
			$t->add(1, 1, new vs_action_img("delete", "../img/delete_24.gif", "a_karte_del_behdoc&besitzer_id=$besitzer_id" . 
											"&patient_id=$patient_id&behandlung_id=$behandlung_id&behdoc_id=$behdoc_id"));
			}
		
		//KM: Tabelle links
		$pt = new vs_db_table($db, 376, $behdoc_id);
		$pt->set_field_width(1, 250);
		$pt->add_action(new vs_action("a_karte_show_behdoc&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id", "../img/edit.gif"));
		$t->add(1, 1, $pt);
		}
	return $t;
	}


function zeige_behdoc($db, $besitzer_id, $patient_id, $behandlung_id, &$behdoc_id)
	{
	//error_log('vetsoftdebugtrick: befinde mich in zeige_behdoc - behdoc_id:' . $behdoc_id);
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun	
		$t = new vs_form_x("behc_neu", 5);
		$t->add_control(1, new vs_text("Es ist keine Behandlung selektiert!!"));
		return $t;
		}
	else
		{
		//DW: Wegen Variablenuebergabe in diversen case(s) in kartei.php vso_behdoc_id:
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($behdoc_id) or ($behdoc_id == -1)) //keine Position festgelegt, alle listen 
			{
			//error_log('vetsoftdebugtrick: befinde mich in zeige_behdoc if select  - behdoc_id:' . $behdoc_id);
			$db->query("Select behdoc_id,bezeichnung,memo,filename from  vs_behdoc where behandlung_id=" . $behandlung_id);
			
			}
		else
		//Doku festgelegt  
			{
			//error_log('vetsoftdebugtrick: befinde mich in zeige_behdoc else select  - behdoc_id:' . $behdoc_id);
			$db->query("Select behdoc_id,bezeichnung,memo,filename from  vs_behdoc where behdoc_id=" . $behdoc_id);
			}
		$row       = $db->fetch_row();
		$n         = $db->num_rows();
		$behdoc_id = $row[0];
		if ($n > 0) //Dokumente vorhanden
			{
			$olddata = $db->curr_row_as_string();
			$t       = new vs_form_x("behdoc_edit", 5);
			$t->set_enctype("multipart/form-data"); //wg Dateiuplpad
			$t->set_cellspacing(5);
			$t->add_control(1, new vs_edit("bezeichnung", 30, 30, $row[1]));
			$f = new vs_file_edit("filename", 13, 80, "");
			$f->set_label("Datei");
			$t->add_control(1, $f);
			$ziel = datadir . $row[3];
			if (file_exists($ziel) and ($row[3] != ""))
				{
				//---Dateityp analysieren und Darstellung bestimmen----------------
				$i_file = "";
				$a_file = explode(".", $row[3]);
				$a_c    = count($a_file) - 1;
				$suffix = strtolower($a_file[$a_c]);
				switch ($suffix)
				{
					case "jpg":
						$a_img      = getimagesize($ziel);
						$img_width  = $a_img[0];
						$img_height = $a_img[1];
						$img_ratio  = $a_img[0] / $a_img[1];
						if ($img_width > $img_height)
							{
							$width = $img_ratio * 290;
							//nicht vergroessern
							if ($width > $img_width)
								$width = $img_width;
							if ($width > 520)
								$width = 520;
							$s_width = $width . "px";
							$t->add_control(2, new vs_memo("memo", 70, 2, $row[2]));
							$t->add_control(3, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, $s_width, ""));
							}
						else
							{
							$height = 330;
							//nicht vergroessern
							if ($height > $img_height)
								$height = $img_height;
							/*$width=330*$img_ratio;
							if ($width > 520) $width=520;*/
							$s_height = $height . "px";
							$t->add_control(2, new vs_memo("memo", 32, 22, $row[2]));
							$t->add_control(2, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", $s_height));
							}
						break;
					case "jpeg":
						$a_img      = getimagesize($ziel);
						$img_width  = $a_img[0];
						$img_height = $a_img[1];
						$img_ratio  = $a_img[0] / $a_img[1];
						if ($img_width > $img_height)
							{
							$width = $img_ratio * 290;
							//nicht vergroessern
							if ($width > $img_width)
								$width = $img_width;
							if ($width > 520)
								$width = 520;
							$s_width = $width . "px";
							$t->add_control(2, new vs_memo("memo", 70, 2, $row[2]));
							$t->add_control(3, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, $s_width, ""));
							}
						else
							{
							$height = 330;
							//nicht vergroessern
							if ($height > $img_height)
								$height = $img_height;
							/*$width=330*$img_ratio;
							if ($width > 520) $width=520;*/
							$s_height = $height . "px";
							$t->add_control(2, new vs_memo("memo", 32, 22, $row[2]));
							$t->add_control(2, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", $s_height));
							}
						break;
					case "gif":
						$a_img      = getimagesize($ziel);
						$img_width  = $a_img[0];
						$img_height = $a_img[1];
						$img_ratio  = $a_img[0] / $a_img[1];
						if ($img_width > $img_height)
							{
							$width = $img_ratio * 290;
							//nicht vergroessern
							if ($width > $img_width)
								$width = $img_width;
							if ($width > 520)
								$width = 520;
							$s_width = $width . "px";
							$t->add_control(2, new vs_memo("memo", 70, 2, $row[2]));
							$t->add_control(3, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, $s_width, ""));
							}
						else
							{
							$height = 330;
							//nicht vergroessern
							if ($height > $img_height)
								$height = $img_height;
							/*$width=330*$img_ratio;
							if ($width > 520) $width=520;*/
							$s_height = $height . "px";
							$t->add_control(2, new vs_memo("memo", 32, 22, $row[2]));
							$t->add_control(2, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", $s_height));
							}
						break;
					case "png":
						$a_img      = getimagesize($ziel);
						$img_width  = $a_img[0];
						$img_height = $a_img[1];
						$img_ratio  = $a_img[0] / $a_img[1];
						if ($img_width > $img_height)
							{
							$width = $img_ratio * 290;
							//nicht vergroessern
							if ($width > $img_width)
								$width = $img_width;
							if ($width > 520)
								$width = 520;
							$s_width = $width . "px";
							$t->add_control(2, new vs_memo("memo", 70, 2, $row[2]));
							$t->add_control(3, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, $s_width, ""));
							}
						else
							{
							$height = 330;
							//nicht vergroessern
							if ($height > $img_height)
								$height = $img_height;
							/*$width=330*$img_ratio;
							if ($width > 520) $width=520;*/
							$s_height = $height . "px";
							$t->add_control(2, new vs_memo("memo", 32, 22, $row[2]));
							$t->add_control(2, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", $s_height));
							}
						break;
					case "avi":
						$t->add_control(2, new vs_memo("memo", 65, 2, $row[2]));
						$t->add_control(2, new vs_new_window_img("../img/avi.gif", $ziel, 800, 600, 10, 10, "", "", "avi-Film anzeigen"));
						$t->add_control(3, new vs_text("<object data=\"$ziel\" height=\"290px\" width=\"520px\" autostart=\"false\"  type=\"video/x-msvideo\" controller=\"true\">"));
						break;
					case "mp4":
						$t->add_control(2, new vs_memo("memo", 65, 2, $row[2]));
						$t->add_control(2, new vs_new_window_img("../img/avi.gif", $ziel, 800, 600, 10, 10, "", "", "mpeg-Film anzeigen"));
						$t->add_control(3, new vs_text("<object data=\"$ziel\" height=\"290px\" width=\"520px\" autostart=\"false\"  controller=\"true\">"));
						break;
					case "flv":
						$t->add_control(2, new vs_memo("memo", 65, 2, $row[2]));
						$t->add_control(2, new vs_new_window_img("../img/avi.gif", $ziel, 800, 600, 10, 10, "", "", "mpeg-Film anzeigen"));
						$t->add_control(3, new vs_text("<object data=\"$ziel\" height=\"290px\" width=\"520px\" autostart=\"false\"  controller=\"true\">"));
						break;
					case "mov":
						$t->add_control(2, new vs_memo("memo", 65, 2, $row[2]));
						$t->add_control(2, new vs_new_window_img("../img/avi.gif", $ziel, 800, 600, 10, 10, "", "", "mpeg-Film anzeigen"));
						$t->add_control(3, new vs_text("<object data=\"$ziel\" height=\"290px\" width=\"520px\" autostart=\"false\"  controller=\"true\">"));
						break;
					case "mp3":
						$t->add_control(2, new vs_memo("memo", 62, 2, $row[2]));
						$t->add_control(2, new vs_new_window_img("../img/mp3.gif", $ziel, 800, 600, 10, 10, "", "", "mp3-Datei anh&ouml;ren"));
						$t->add_control(3, new vs_text("<object data=\"$ziel\" height=\"270px\" width=\"520px\" autostart=\"false\" type=\"audio/mpeg\"  controller=\"true\">"));
						break;
					case "pdf":
						$t->add_control(2, new vs_memo("memo", 60, 20, $row[2]));
						$t->add_control(1, new vs_new_window_img("../img/pdf.gif", $ziel, 800, 600, 10, 10, "50px", ""));
						break;
					case "odt":
						$t->add_control(2, new vs_memo("memo", 60, 20, $row[2]));
						$t->add_control(1, new vs_new_window_img("../img/openoffice.gif", $ziel, 800, 600, 10, 10, "50px", ""));
						break;
					case "ods":
						$t->add_control(2, new vs_memo("memo", 60, 20, $row[2]));
						$t->add_control(1, new vs_new_window_img("../img/openoffice.gif", $ziel, 800, 600, 10, 10, "50px", ""));
						break;
					case "dcm":
						$t->add_control(2, new vs_memo("memo", 48, 20, $row[2]));
						$t->add_control(1, new vs_new_window_img("../img/dicom.gif", $ziel, 800, 600, 10, 10, "200px", ""));
						break;
					default:
						$t->add_control(2, new vs_memo("memo", 60, 20, $row[2]));
						$t->add_control(1, new vs_new_window_img("../img/document.gif", $ziel, 800, 600, 10, 10, "50px", ""));
						break;
				}
				//---------------------------------------------------------------------------------
				}
			else
				{
				//KM: Funktionen "send_vorlage_replace_req" und "send_vorlage_insert_req" definiert in behdoc.js
				$on_ic1_click = "send_vorlage_replace_req($besitzer_id,$patient_id,$behandlung_id);";
				$on_ic2_click = "send_vorlage_insert_req($besitzer_id,$patient_id,$behandlung_id);";
				$lb           = new vs_db_listbox("vorlage", 30, $db, "vs_mustertext", "bezeichnung", "mustertext_id", "", 0, "");
				$lb->set_label("Vorlage &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
				$t->add_control(2, $lb);
				$ic = new vs_click_img("ci_1", "../img/vs_doku_change.png", $on_ic1_click);
				$ic->set_title("Text durch Vorlage ersetzen");
				$t->add_control(2, $ic);
				$ic = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
				$ic->set_title("Vorlage an der Cursorposition einf&uuml;gen");
				$t->add_control(2, $ic);
				
				//KM TEST
				$c = new vs_ck_memo("../vs_lib/ckeditor", "id_memo_1", "memo", 70, 8, $row[2], "");
				//$c=new vs_tmce_memo("../vs_lib/tinymce","id_memo_1","memo", 50, 10, $row[2], "");
				
				$c->set_height(150);
				$t->add_control(8, $c);
				}
			$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(5, new vs_hidden("patient_id", $patient_id));
			$t->add_control(5, new vs_hidden("behandlung_id", $behandlung_id));
			$t->add_control(5, new vs_hidden("behdoc_id", $behdoc_id));
			$t->add_control(5, new vs_hidden("olddata", $olddata));
			$t->add_control(5, new vs_hidden("action", "a_karte_post_edit_behdoc"));
			$t->add_control(5, new vs_submit("submit", "Speichern", "true"));
			$t->add_control(5, new vs_reset("reset", "Abbrechen", "true"));
			return $t;
			}
		else
			{
			return neue_behdoc($db, $besitzer_id, $patient_id, $behandlung_id);
			}
		}
	}


function neue_behdoc($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		$t = new vs_form_x("behdoc_neu", 5);
		$t->set_cellspacing(5);
		return $t;
		}
	else
		{
		//2014-12-04 KM: Formatierung geaendert
		$t = new vs_form_x("behdoc_neu", 4);
		$t->set_enctype("multipart/form-data"); //wg Dateiuplpad
		$t->set_cellspacing(5);
		$t->add_control(1, new vs_edit("bezeichnung", 30, 30, ""));
		
		$f = new vs_file_edit("filename", 15, 80, "");
		$f->set_label("Datei");
		$t->add_control(1, $f);
		//KM: Funktionen "send_vorlage_replace_req" und "send_vorlage_insert_req" definiert in behdoc.js
		$on_ic1_click = "send_vorlage_replace_req($besitzer_id,$patient_id,$behandlung_id);";
		$on_ic2_click = "send_vorlage_insert_req($besitzer_id,$patient_id,$behandlung_id);";
		$ic           = new vs_click_img("ci_1", "../img/vs_doku_change.png", $on_ic1_click);
		$ic->set_title("Text durch Vorlage ersetzen");
		$t->add_control(2, $ic);
		$ic = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
		$ic->set_title("Vorlage an der Cursorposition einf&uuml;gen");
		$t->add_control(2, $ic);
		$lb = new vs_db_listbox("vorlage", 30, $db, "vs_mustertext", "bezeichnung", "mustertext_id", "", 0, "");
		$lb->set_label("Vorlage &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(2, $lb);
		//$t->add_control(3,new vs_memo("memo",75,23,""));
		//DW: wg. undefined variable row bei nicht vorhandenen Dokumenten:
		if (!isset($row))
			{
			$val = "";
			} // oder null, das ist noch zu pruefen ;-)
		else
			{
			$val = $row[3];
			}
		//KM TEST
		$c = new vs_ck_memo("../vs_lib/ckeditor", "id_memo_1", "memo", 70, 8, $val, "");
		//$c=new vs_tmce_memo("../vs_lib/tinymce","id_memo_1","memo", 70, 8, $val, "");
		
		$c->set_height("150px");
		$t->add_control(3, $c);
		$t->add_control(4, new vs_hidden("besitzer_id", $besitzer_id));
		$t->add_control(4, new vs_hidden("patient_id", $patient_id));
		$t->add_control(4, new vs_hidden("behandlung_id", $behandlung_id));
		//error_log('vetsoftdebugtrick: befinde mich vor vs_hidden-a_karte_post_ins_behdoc');
		$t->add_control(4, new vs_hidden("action", "a_karte_post_ins_behdoc"));
		$t->add_control(4, new vs_button("submit", "Speichern"));
		$t->add_control(4, new vs_button("reset", "Abbrechen"));
		
		return $t;
		}
	}

//---------------------------------------------------------------------------------------------

?> 
