<?php
/*
 *      er_destroy.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";


//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



function make_window($behandlung_id,$message="")
	{
	$page=new vs_div("260","150");
	$page->set_css_class("vs_seite");  
	$er_form= new vs_form_x("er",4);
	$er_form->add_control(1,new vs_text(" <b>Einzelrechnung / Quittung l&ouml;schen? </b><br><br>"));
	$er_form->add_control(2,new vs_text(" <b>".rechnung_nr_prefix." $behandlung_id </b><br><br>"));
	$er_form->add_control(3,new vs_hidden("action","a_er_destroy"));
	$er_form->add_control(3,new vs_hidden("behandlung_id",$behandlung_id));  
	$er_form->add_control(3,new vs_submit("submit","L&ouml;schen"));
	$er_form->add_control(3,new vs_close("Doch nicht l&ouml;schen"));  
	$er_form->add_control(4,new vs_text($message));
	$page->add($er_form);
	return $page;
	}

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();
office_login($db);
global $user_kurz;


$b = new vs_page_begin("L&ouml;schen?", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();


//Event-Handler
//DW: 2013-08-14 Bugfix wg undefined $vso_action
if (!isset ($vso_action)) 
	$vso_action=null;
switch ($vso_action)
	{
	case "a_er_destroy":
	    $sql="select text from vs_behandlung where behandlung_id = $vso_behandlung_id "; 
		$db->query($sql);
		$beh=$db->fetch_row();
		$today=today();
		$text = $beh[0]."\nDie Behandlung wurde am $today von der Einzelrechnung /Quittung entfernt [$user_kurz].";
		$sql = "update vs_behandlung set rechnung_id = '0',text='$text' where behandlung_id = $vso_behandlung_id";
		$db->query($sql);
		$page=make_window($vso_behandlung_id,"Einzelrechnung/Quittung wurde gel&ouml;scht!");
		$page->write();
		//Karteikarte aktualisieren
		echo"<script language=\"javascript\">opener.location.reload();window.close();</script>";  
		break;
	//erster Aufruf
	
	default:
		$page=make_window($vso_behandlung_id);
		$page->write();
		break;
	} 


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

$db->free_result();
$db->close();

?>
