 <?php
/*
 *      handle_kk_search.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";




function handle_kk_suchen($db,$krit,$wert)
	{
	$a=array();
	switch ($krit)
		{
		//Suche über Besitzer
		case 1:
			// 2014-09-11 KM: split() deprecaced seit PHP 5.3
			//$a=split(",",$wert);
			$a=explode(",",$wert);
			$wert_1 = $a[0];
			if (isset($a[1]))
				{
				$wert_2 = ltrim($a[1]);
				}
			if (! isset($wert_2)) //nur 1 Wort : Name
				//DW: ab hier bis case 5 wurde ' ' (ein Leerzeichen) bei den sql-Statements eingefuegt, da ansonsten ein item zu wenig in vs_form_objects auftaucht
				// das fuehrte zu einem offset-Fehler!
				{
				$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where name ".
							  " like '%$wert_1%' order by name,vorname ; ";
				}
			else //2 Wörter: Name,Vorname (durch Komma getrennt)
				{
				$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where name ".
								" like '%$wert_1%'  and vorname  like '%$wert_2%'  order by name,vorname ; ";
				}
			break;
			
		case 2:
			// 2014-09-11 KM: split() deprecaced seit PHP 5.3
			//$a=split(",",$wert);
			$a=explode(",",$wert);
			
			$wert_1 = $a[0];
			// 2014-09-11 KM: Undefined offset: 1
			if (!isset ($a[1]))
				{
				$a[1] = null;
				}
				
			$wert_2 = ltrim($a[1]);
			
			if (! isset($wert_2)) //nur 1 Wort : Strasse
				{
				$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where strasse ".
							  " like '%$wert_1%' order by name,vorname ; ";
				}
			else //2 Wörter: Strasse,Wohnort (durch Komma getrennt)
				{
				$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where strasse ".
								" like '%$wert_1%'  and wohnort  like '%$wert_2%'  order by name,vorname ; ";
				}	
			//$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1 from vs_besitzer where strasse  like '%$wert%' order by name,vorname ; ";
			break;
		
		case 3:
			$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where wohnort  like '%$wert%' order by name,vorname ; ";
			break;
		
		case 4:
			$list_sql=" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer wherelebenspartner  like '%$wert%' order by name,vorname ; ";
			break;
		
		case 5:
			$list_sql =" select besitzer_id,name,vorname,strasse,wohnort,telefon_1,' ' from vs_besitzer where telefon_1 like '%$wert%' or telefon_2 like".
							" '%$wert%'  or telefon_mobil like '%$wert%' or telefax like '%$wert%'  order by name,vorname ; ";
		break;
		//Suche über Patient
		case 11:
			$list_sql=" select p.patient_id,p.name,p.rasse,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p ".
							" where p.name like '%$wert%'  and p.besitzer_id = b.besitzer_id order by p.name,b.name,b.vorname ; ";
			break;
		
		case 12:
			$list_sql=" select p.patient_id,p.name,p.rasse,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p ".
							" where p.rasse like '%$wert%'  and p.besitzer_id = b.besitzer_id order by p.name,b.name,b.vorname ; ";
			break;
		
		case 13:
			$list_sql=" select p.patient_id,p.name,p.rasse,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p ".
							" where p.id like '%$wert%'  and p.besitzer_id = b.besitzer_id order by p.name,b.name,b.vorname ; ";
			break;
		
		case 14:
			$list_sql=" select p.patient_id,p.name,p.rasse,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p ".
							" where p.eupass like '%$wert%'  and p.besitzer_id = b.besitzer_id order by p.name,b.name,b.vorname ; ";
			break;
		
		case  21:
			$wert=d_dis2db($wert);
			$list_sql=" select beh.behandlung_id,beh.datum,beh.diagnose,p.name,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p, vs_behandlung beh ".
							" where beh.datum  ='$wert'  and p.besitzer_id = b.besitzer_id and p.patient_id=beh.patient_id order by p.name,b.name,b.vorname ; ";
			break;
		
		case  22:
			$list_sql=" select beh.behandlung_id,beh.diagnose,p.name,b.name,b.vorname,b.strasse,b.wohnort,b.telefon_1 from vs_besitzer b,vs_patient p, vs_behandlung beh ".
			    			" where beh.diagnose like '%$wert%'  and p.besitzer_id = b.besitzer_id and p.patient_id=beh.patient_id order by p.name,b.name,b.vorname ; ";
				
			break;
		}
	
	
	$a=array();
	$lb= new vs_db_sql_listbox("lb_result",200,$db,$list_sql,1,6,0,0,"first",21,$label="123",$accesskey="123");
	//2014-10-17 KM: Aenderung fuer all_tab_v2
	//$lb->add_style("width:545px;height:325px;");
	$lb->add_style("width:545px;height:450px;");

	//das Original-onchange wird überschrieben,spielt hier keine Rolle, da nicht im Formular
	$lb->onchange=" onChange=\"javascript:{lb_result_changed();}\" ";
	$lb->ondblclick=" ondblclick=\"javascript:{location.href='kartei_suchen.php?action=a_post_submit&krit='+".	
								"karte_suchen.krit.value+'&ziel='+karte_suchen.ziel.value+'&lb_result='+karte_suchen.lb_result.value;}\" ";
								
	//Ergebnis in json verpacken
	$n=count($lb->items);
	if ($n>0)
		{
		$a['success']='ok';
		//steht unten in div_all_result
		$a['inner_html_1']=$lb->write_to_buffer(); 
		}
		 //nichts gefunden
	else 
		{
			$error="Keinen passenden Eintrag gefunden...";
			$a['success']='error';
			$a['inner_html_1']="<img src='../img/warning.gif'><span style=\"color:#FF0000;\"> ".
			htmlentities($error,ENT_COMPAT,charset)."</span><img src='../img/notfound.gif'>";
		}
		return json_encode($a);
	}


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

echo handle_kk_suchen($db,$_REQUEST["krit"],$_REQUEST["wert"]);

$db->free_result();
$db->close();

?>
