<?php
/*
 *      kartei_suchen.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_office_inc/vs_functions.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//$_GET und $_POST entpacken
// MA: wird nicht mehr unterstützt: import_request_variables("gp","vso_");
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

define("onkksearchkeyup", " onKeyUp=\"javascript:{kk_search_edit_key(event);}\"");
//define("kritauswahlchange"," onchange=\"javascript:{send_kurz_req();}\"");

class kk_search_edit extends vs_d_edit
	{
	function write_control()
		{
		echo "<script language=\"javascript\" src=\"kartei_suchen.js\"></script>";
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . $this->disabled . 
				"size=\"$this->size\" maxlength=\"$this->maxlength\" " . 
				onkksearchkeyup . " class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
		}
	}


//2015-01-27 KM: Formatierung neu
function seite($top, $bottom, $middle)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	
	//$mitte = new vs_div;
	//$mitte->set_css_class("uebersichten_seitenmitte");
	$mitte = new vs_div("", "", "", "", "", "uebersichten_seitenmitte");
	
	//$unten = new vs_div;
	//$unten->set_css_class("statusbar");
	$unten = new vs_div("", "", "", "", "", "statusbar");
	$unten->add($bottom);
	$mitte->add($middle);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}



function search_form($db, $text = "")
	{
	if (isset($_REQUEST["krit"]))
		{
		$krit = $_REQUEST["krit"];
		}
	else
		{
		$krit = 1; //Besitzer über Namen suchen
		}
	if (isset($_REQUEST["wert"]))
		{
		$wert = $_REQUEST["wert"];
		}
	else
		{
		$wert = "";
		}
	if (isset($_REQUEST["ziel"]))
		{
		$ziel = $_REQUEST["ziel"];
		}
	else
		{
		$ziel = 1; //Karteikarte
		}
	if (isset($_REQUEST["ta"]))
		{
		$ta = $_REQUEST["ta"];
		}
	else
		{
		$ta = ""; //Tierarzt
		}
	if (isset($_REQUEST["memo"]))
		{
		$memo = $_REQUEST["memo"];
		}
	else
		{
		$memo = ""; //Grund für den Besuch
		}
	$t = new vs_form_x("karte_suchen", 3);
	$t->set_cellspacing(1);
	$c           = new vs_listbox("krit", 30, $krit, 1, "");
	$c->onchange = " onChange=\"javascript:{send_kk_search_req();}\" ";
	//Besitzer
	$c->add_item("1", "Besitzername");
	$c->add_item("2", "Adresse");
	//$c->add_item("3","Wohnort des Besitzers");
	//2015-02-11 KM: Partner funktioniert nicht
	//$c->add_item("4", "Partner");
	$c->add_item("5", "Telefon, Telefax");
	//Patient
	$c->add_item("11", "Patientenname");
	$c->add_item("12", "Rasse");
	$c->add_item("13", "ID (chip, T&auml;to");
	$c->add_item("14", "EU-Pass");
	//Behandlung
	$c->add_item("21", "Behandlungsdatum");
	$c->add_item("22", "Diagnosen");
	$t->add_control(2, $c);
	//2014-12-03 KM: Formatierung geaendert
	$s_edit = new kk_search_edit("wert", 40, 50, $wert, "");
	$t->add_control(2, $s_edit);
	$c           = new vs_listbox("ziel", 30, $ziel, 1, "");
	$c->onchange = " onChange=\"javascript:{zielauswahlchange();}\" ";
	//Karteikarte, Wartezimmer oder Station 
	$c->add_item("1", "Karteikarte");
	$c->add_item("2", "Wartezimmer");
	//$c->add_item("3","Krankenstation");   //vielleicht mal
	$t->add_control(2, $c);
	
	$sql = "select kurz from vs_user where is_tierarzt='1' and aktiv ='1' ";
	$c   = new vs_db_sql_listbox("ta", 4, $db, $sql, 0, 0, 0, 0, "EGAL", 1, "");
	$c->add_item("EGAL", "EGAL");
	$t->add_control(2, $c);
	//2014-12-03 KM: Formatierung geaendert
	//$d=new vs_div(546,325,"left","transparent","result_div");
	$d = new vs_div(550, 468, "left", "transparent", "result_div");
	$d->add(new vs_text($text));
	$t->add_control(3, $d);
	$t->add_control(3, new vs_hidden("action", "a_post_submit"));
	$t->add_control(2, new vs_submit("submit", "OK"));
	return $t;
	}

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db);


$b         = new vs_page_begin("Karteikarte suchen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset($vso_action)) or ($vso_action == ""))
	{
	$vso_action = "a_search"; //falls über eine neues Login der querystring verloren geht...
	}
else
	{
	switch ($vso_action)
		{
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_post_submit":
			
			if ($_REQUEST['krit'] < 11) //Suche nach Besitzer
				{
				$s_modus = 1;
				}
			if (($_REQUEST['krit'] < 21) and ($_REQUEST['krit'] > 10)) //Suche nach Patient
				{
				$s_modus = 2;
				}
			if ($_REQUEST['krit'] > 20) //Suche nach Behandlung
				{
				$s_modus = 3;
				}
			//---------------------------------Suche ausführen----------------------------------------------------------------------------------
			//---------------------------------Suche über Besitzer------------------------------------------------------------------------------
			if ($s_modus == 1)
				{
				if ($_REQUEST["ziel"] == 1) //Karteikarte anzeigen
					
				//{
					
				//DW: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					{
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$besitzer_id = $_REQUEST['lb_result'];
					if (isset($besitzer_id))
					//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("kartei.php?action=a_karte_show_behandlung&besitzer_id=$besitzer_id");
					}
				if ($_REQUEST["ziel"] == 2) //Wartezimmer
					{
					//2014-10-17 KM: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$besitzer_id = $_REQUEST['lb_result'];
					
					if (isset($besitzer_id))
						{
						$datum   = today();
						$ta      = $_REQUEST['ta'];
						$ankunft = now();
						$status  = "unbekannt";
						$n       = now();
						$memo    = $ankunft . " Besitzer hat die Praxis betreten";
						
						//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("../tools/wartezimmer.php?action=a_post_ins&besitzer_id=$besitzer_id&datum=$datum&ta=$ta" . "&ankunft=$ankunft&memo=$memo&status=$status");
						
						}
					}
				}
			//---------------------------------Suche über Patient------------------------------------------------------------------------------
			if ($s_modus == 2)
				{
				if ($_REQUEST["ziel"] == 1) //Karteikarte anzeigen
					{
					//2014-10-17 KM: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$patient_id = $_REQUEST['lb_result'];
					if (isset($patient_id))
						{
						//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("kartei.php?action=a_karte_show_by_patient_id&patient_id=$patient_id");
						}
					}
				if ($_REQUEST["ziel"] == 2) //Wartezimmer
					{
					//2014-10-17 KM: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$patient_id = $_REQUEST['lb_result'];
					if (isset($patient_id))
						{
						//erst aus patient_id  die besitzer_id ermitteln
						$db->query("select besitzer_id, name from vs_patient where patient_id=$patient_id");
						$row         = $db->fetch_row();
						$besitzer_id = $row[0];
						$pat_name    = $row[1];
						$datum       = today();
						$ta          = $_REQUEST['ta'];
						$ankunft     = now();
						$status      = "unbekannt";
						$n           = now();
						$memo        = $ankunft . " Besitzer hat die Praxis mit $pat_name betreten";
						
						//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("../tools/wartezimmer.php?action=a_post_ins&besitzer_id=$besitzer_id&datum=$datum&ta=$ta" . "&ankunft=$ankunft&memo=$memo&status=$status");
						}
					}
				}
			//---------------------------------Suche über Behandlung------------------------------------------------------------------------------
			if ($s_modus == 3)
				{
				if ($_REQUEST["ziel"] == 1) //Karteikarte anzeigen
					{
					//2014-10-17 KM: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$behandlung_id = $_REQUEST['lb_result'];
					if (isset($behandlung_id))
						{
						$db->query("select p.besitzer_id, p.patient_id from vs_patient p, vs_behandlung b where b.patient_id = p.patient_id " . " and b.behandlung_id=$behandlung_id");
						$row         = $db->fetch_row();
						$besitzer_id = $row[0];
						$patient_id  = $row[1];
						//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("kartei.php?action=a_karte_show_behandlung&besitzer_id=$besitzer_id&patient_id=" . "$patient_id&behandlung_id=$behandlung_id");
						}
					}
				if ($_REQUEST["ziel"] == 2) //Wartezimmer
					{
					//2014-10-17 KM: wegen undefined index lb_result bei klick auf ok ohne Suchkriterium
					if (!isset($_REQUEST['lb_result']))
						{
						$_REQUEST['lb_result'] = null;
						}
					$behandlung_id = $_REQUEST['lb_result'];
					
					if (isset($behandlung_id))
						{
						//erst aus patient_id  die besitzer_id ermitteln
						$db->query("select p.besitzer_id, p.name from vs_patient p, vs_behandlung b where b.patient_id = p.patient_id " . " and b.behandlung_id=$behandlung_id");
						$row         = $db->fetch_row();
						$besitzer_id = $row[0];
						$pat_name    = $row[1];
						$datum       = today();
						$ta          = $_REQUEST['ta'];
						$ankunft     = now();
						$status      = "unbekannt";
						$n           = now();
						$memo        = $ankunft . " Besitzer hat die Praxis mit $pat_name betreten";
						//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, oeffnet in einen neuen TAB
						new_tab("../tools/wartezimmer.php?action=a_post_ins&besitzer_id=$besitzer_id&datum=$datum&ta=$ta" . "&ankunft=$ankunft&memo=$memo&status=$status");
						}
					}
				}
			//--------------------------Ende Suche ausführen-----------------------------------------------------------------------------------
			
			//2015-01-27 KM: Design-Aenderung
			
			//Ueberschrift
			$top = new vs_text("<h2>&nbsp; KARTEIKARTE SUCHEN</h2>");
			//Mitte Tabelle
			if (!isset($text))
				{
				$text = null;
				}
			$middle = search_form($db, $text);
			// NAVLISTE mit Verweis auf Help
			$bottom = (navliste("", "", "", "../hilfe/help.html#karteikarte_suchen"));
			seite($top, $bottom, $middle);
			//lädt die Auswahllistbox mit den letzten Ergebniswerten
			echo "<script language=\"javascript\" >send_kk_search_req();zielauswahlchange();document.karte_suchen.wert.focus();</script>";
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		default:
			//Ueberschrift
			$top = new vs_text("<h2>&nbsp; KARTEIKARTE SUCHEN</h2>");
			//Mitte Tabelle
			if (!isset($text))
				{
				$text = null;
				}
			$middle = search_form($db, $text);
			// NAVLISTE mit Verweis auf Help
			$bottom = (navliste("", "", "", "../hilfe/help.html#karteikarte_suchen"));
			seite($top, $bottom, $middle);
			echo "<script language=\"javascript\" >zielauswahlchange();document.karte_suchen.wert.focus();</script>";
			break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		}
	}


//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

$db->free_result();

$db->close();
?> 
