<?php
/*
 *      labormail.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//Instanciation of inherited class
$db = new vs_db();
$db->connect();

function make_beh_labor_text($db, $behandlung_id)
	{
	$text        = "";
	$bemerkungen = "";
	$num_bem     = 0;
	//Patient, Behandlungsdaten
	$db->query("select b.datum,p.name from vs_behandlung b, vs_patient p where b.patient_id=" . 
				"p.patient_id and b.behandlung_id=$behandlung_id");
	$bp = $db->fetch_row();
	$db->free_result();
	$text .= "Laborergebnisse des Patienten $bp[1] am $bp[0] : " . "\n\n"; //Zeilenvorschub;
	//Laborergebnisse	
	$db->query("Select laborus_id,bezeichnung,wert,einheit,bewertung,ergebnistext,bemerkung from vs_laborus where behandlung_id=$behandlung_id");
	while ($row = $db->fetch_row())
		{
		if (($row[2] == 0) and ($row[3] == "")) //ergebnis als text
			{
			$text .= s_fill_right($row[1], 22) . s_fill_left($row[5], 38) . "\n";
			}
		else //Ergebhnis als Zahlenwert
			{
			$erg_text = ptc($row[2] = round($row[2], 2));
			$text .= s_fill_right($row[1], 22) . s_fill_left($erg_text, 15) . " " . s_fill_right($row[3], 8) . " " . $row[4];
			}
		//Bemerkungen sammeln, am Schluss zusammen angeben
		if ($row[6] != "")
			{
			$num_bem++;
			$bemerkungen = $bemerkungen . $num_bem . ") " . $row[6] . "\n";
			$text .= " $num_bem)" . "\n"; //Zeilenvorschub
			}
		else //wg Zeilenvorschub
			{
			$text .= "\n"; //Zeilenvorschub
			}
		} //while
	//zum Schluss die gesammelten Bemerkungen
	if ($bemerkungen != "")
		{
		$text .= "\n" . $bemerkungen;
		}
	return $text;
	
	}

function make_mail_window($mail_adress, $subject, $text, $attachments, $message = "")
	{
	//seite
	//2015-03-02 KM: Formatierung geaendert
	$seite = new vs_div( "", "", "", "", "", "vs_seite_mail");
	$page      = new vs_div();
	$mail_form = new vs_form_x("labormail", 9);
	$mail_form->add_control(1, new vs_edit("an", 70, 100, $mail_adress));
	$mail_form->add_control(2, new vs_text(" <b>Von       : " . mail_from));
	$mail_form->add_control(3, new vs_text(" <b>Antwort an: " . mail_reply_to));
	$mail_form->add_control(4, new vs_text(" <b>BCC       : " . mail_bcc . "</b>"));
	$mail_form->add_control(5, new vs_edit("subject", 70, 100, $subject));
	$mail_form->add_control(6, new vs_memo("text", 70, 25, $text));
	//$mail_form->add_control(7,new vs_memo("attachements",70,3,$attachments,"Anlage"));
	$mail_form->add_control(8, new vs_hidden("action", "send_labordata_mail"));
	$mail_form->add_control(8, new vs_submit("submit", "Versenden"));
	$mail_form->add_control(9, new vs_text($message));
	
	//seite
	$seite->add($page);
	$seite->add($mail_form);
	return $seite;
	}


office_login($db, $can_insert, $can_edit, $can_delete);


$b = new vs_page_begin("Laborwerte mailen", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();

//Event-Handler
switch ($vso_action)
{
	case "browse_beh_labordata": //Laborergebnisse einer Behandlung
		$db->query("select bes.name,bes.vorname,bes.mail, b.datum,p.name from vs_behandlung b, vs_patient p,vs_besitzer bes where b.patient_id=p.patient_id and p.besitzer_id=bes.besitzer_id and b.behandlung_id=$vso_behandlung_id");
		$bp = $db->fetch_row();
		$db->free_result();
		$mail_text = make_beh_labor_text($db, $vso_behandlung_id);
		//2014-03-12 KM: geaendert wg. undefined variable
		if (!isset($attachments))
			{
			$attachments = null;
			}
		if (!isset($message))
			{
			$message = null;
			}
		$page = make_mail_window($bp[2], "Laborergebnisse", $mail_text, $attachments, $message);
		$page->write();
		break;
	//-------------------------------------------------------
	case "send_labordata_mail":
		$header = "From: " . mail_from . mh_eol . //in config.inc.php
			"Reply-To: " . mail_reply_to . mh_eol . //in config.inc.php
			"bcc: " . mail_bcc . mh_eol . //in config.inc.php
			"X-Mailer: Vetsoft-Office Dr.N.Klumpp";
		// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
		if (strpos($vso_text, "<html>"))
			{
			$header .= "MIME-Version: 1.0" . mh_eol;
			$header .= "Content-type: text/html; charset=" . mail_charset . mh_eol; //in config.inc.php
			}
		if (mail_utf8_decode == "1")
			$vso_text = utf8_decode($vso_text);
		if (mail($vso_an, $vso_subject, $vso_text, $header))
			$info = "<br><b>DIE  E-MAIL WURDE ERFOLGREICH GESENDET</b>";
		else
			$info = "<br><b>DIE E-MAIL WURDE NICHT GESENDET</b>";
		if (mail_utf8_decode == "1")
			$vso_text = utf8_encode($vso_text);
		//2014-12-01 KM: geaendert wg. undefined variable
		if (!isset($attachments))
			{
			$attachments = null;
			}
		$page = make_mail_window($vso_an, "Laborergebnisse", $vso_text, $attachments, $info);
		$page->write();
		
		break;
		
} //switch

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//Ende
$db->free_result();
$db->close();

?>
