<?php
/*
 *      laborwert_verlauf.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_lib/vs_chart.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


function b2text($b)
	{
	if ($b == 0)
		return "nein";
	else
		return "ja";
	}
office_login($db);
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');



//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
$b = new vs_page_begin("Verlaufskontrolle Laborwerte", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();

//2013-12-29 KM: geaendert wg. undefined variable
if (!isset($vso_action))
	{
	$vso_action = null;
	}
switch ($vso_action)
{
	// Historie anzeigen
	case "a_show_verlauf":
		$db->query("select patient_id,laborwert_id,bezeichnung from vs_laborus where laborus_id=$vso_laborus_id ");
		$row          = $db->fetch_row();
		$patient_id   = $row[0];
		$laborwert_id = $row[1];
		$bezeichnung  = $row[2];
		$db->query("select vergleich_id from vs_laborwert where laborwert_id=$laborwert_id ");
		$row          = $db->fetch_row();
		$vergleich_id = $row[0];
		if (!isset($vergleich_id))
			$vergleich_id = "undefiniert";
		
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		$verlauf_div = new vs_div( "", "", "", "", "", "uebersichten_seitenmitte");
		
		switch ($vso_typ_vergleich)
		{
			case "exakt":
				$sql = "select datum,wert from vs_laborus where patient_id=$patient_id and laborwert_id=$laborwert_id  and wert <> 0 order by datum";
				break;
			case "benutzerdefiniert":
				$sql         = "select datum,wert from vs_laborus where patient_id=$patient_id and bezeichnung like '%$vso_user_text%'  and wert <> 0 order by datum ";
				$bezeichnung = $vso_user_text;
				break;
			default:
				$sql         = "select u.datum,u.wert from vs_laborus u, vs_laborwert w where u.patient_id=$patient_id and  w.vergleich_id='$vergleich_id'  " . 
								" and u.laborwert_id=w.laborwert_id  and u.wert <> 0 order by u.datum";
				$bezeichnung = $vergleich_id;
				break;
		}
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		$verlauf_div = new vs_div( "", "", "", "", "", "uebersichten_seitenmitte");
		$verlauf_div->add(new vs_text("<h2>Verlauf des Laborwertes $bezeichnung </h2>"));
		$t_lab      = new vs_table("t_verlauf", 1, 2);
		$verlauf_lb = new vs_db_sql_listbox("laborwert", 20, $db, $sql, 0, 1, 0, 0, "", 13, "");
		$verlauf_lb->set_sepdisplay(" - ");
		$verlauf_lb->refresh_values();
		$verlauf_lb->add_style("width:200px;height:300px;");
		$t_lab->add(1, 1, $verlauf_lb);
		$db->query($sql);
		while ($row = $db->fetch_row())
			{
			$data[$bezeichnung] = $row[1];
			;
			$datas[$row[0]] = $data;
			}
		//KM: Farbe der Balken
		$defs[$bezeichnung] = "lightsteelblue";
		if ($db->num_rows() > 1)
			{
			$c_width                       = 300 + $db->num_rows() * 60 . "px";
			
			//2016-02-05 KM: Pfad ergaenzt, damit es an der richtigen Stelle /vsdata/int_data/ zwischengespeichert wird.
			//$chart                         = new vs_chart("id_chart", "Entwicklung des Laborwertes", $c_width, "300px", 3, $datas, $defs);
			$chart                         = new vs_chart("../../vsdata/int_data/id_chart", "Entwicklung des Laborwertes", $c_width, "300px", 3, $datas, $defs);
			
			$chart->bottom_leg_font_size   = 6; //Größe der Font der Legende unten
			$chart->bottom_leg_font_angle  = 45; //Richtung der Schrift der Legende unten (0 ist normal von rechts nach links)
			$chart->bottom_leg_font_diff_y = 15; //Versatz der Schrift der Legende unten nach unten (Wichtig bei Winkeln <>0)
			$chart->bottom_leg_font_diff_x = 0; //Versatz der Schrift
			$chart->leg_rect_width         = 10;
			$chart->leg_width              = 120;
			$t_lab->add(1, 2, $chart);
			}
		else
			$t_lab->add(1, 2, new vs_text("<b>F&uuml;r ein Diagramm sind mindestens zwei Laborwerte notwendig.</b>"));
		$verlauf_div->add($t_lab);
		
		//2014-12-04 KM: Formatierung geaendert
		//$verlauf_div->write();
		$seite->add($verlauf_div);
		$seite->write();
		
		
		break;
	//---------------------------------------------------------------
	//Startaufruf, Formular mit Optionen
	default:
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		$page = new vs_div( "", "", "", "", "", "uebersichten_seitenmitte");
		$hist_form = new vs_form_x("laborwert_verlauf", 8);
		$hist_form->add_control(1, new vs_text(" <h2>Verlauf des Laborwertes<br>Optionen f&uuml;r die Darstellung </h2>"));
		$t_vergleich = new vs_listbox("typ_vergleich", 20, "exakt", 3, "wie vergleichen");
		$t_vergleich->add_item("exakt", "exakt");
		$t_vergleich->add_item("vergleichbar", "vergleichbar");
		$t_vergleich->add_item("benutzerdefiniert", "benutzerdefiniert");
		$hist_form->add_control(2, $t_vergleich);
		//2014-01-15 KM: Hilfe in neuem Fenster und Sprung auf Position, jetzt vs_link_img
		//$hist_form->add_control(2,new vs_new_window_img("../img/help.gif","../hilfe/help.php#lab_verlauf",600,400,50,50,$width="",$height="",$menubar=0))
		$hist_form->add_control(2, new vs_link_img("../img/help.gif", "../hilfe/help.html#lab_verlauf", $typ = "_blank", $imgwidth = ""));
		$e_user_text = new vs_edit("user_text", 20, 30, "", "Vergleichstext");
		$hist_form->add_control(3, $e_user_text);
		$hist_form->add_control(9, new vs_hidden("action", "a_show_verlauf"));
		$hist_form->add_control(9, new vs_hidden("laborus_id", $vso_laborus_id));
		$hist_form->add_control(9, new vs_submit("submit", "Anzeigen"));
		$hist_form->add_control(9, new vs_close("Schlie&szlig;en"));
		
		$page->add($hist_form);
		
		//2014-12-04 KM: Formatierung geaendert
		//$page->write();
		$seite->add($page);
		$seite->write();
		
		break;
}

//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();


$db->free_result();
$db->close();

?> 
