<?php
/*
 *      mail_form.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



function make_mail_window($mail_adress, $subject = "", $text = "", $attachments, $message = "")
	{
	//2015-02-22 KM: Formatierung geaendert
	$page=new vs_div( "", "", "", "", "", "vs_seite_mail");
	$mail_form = new vs_form_x("labormail", 9);
	$mail_form->add_control(1, new vs_edit("an", 70, 100, $mail_adress));
	$mail_form->add_control(2, new vs_text(" <b>Von       : " . mail_from));
	$mail_form->add_control(3, new vs_text(" <b>Antwort an: " . mail_reply_to));
	$mail_form->add_control(4, new vs_text(" <b>BCC       : " . mail_bcc . "</b>"));
	$mail_form->add_control(5, new vs_edit("subject", 70, 100, $subject));
	$mail_form->add_control(6, new vs_memo("text", 70, 25, $text));
	//$mail_form->add_control(7,new vs_memo("attachements",70,3,$attachments,"Anlage"));
	$mail_form->add_control(8, new vs_hidden("action", "send_mail"));
	$mail_form->add_control(8, new vs_submit("submit", "Versenden"));
	$mail_form->add_control(9, new vs_text($message));
	$page->add($mail_form);
	return $page;
	}



$b = new vs_page_begin("E-Mail versenden", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();

//Event-Handler
//2014-08-10 KM: wie ueblich die Beseitigung eines undefined variable
if (!isset($vso_action))
	{
	$vso_action = null;
	}
switch ($vso_action)
{
	case "send_mail":
		$header = "From: " . mail_from . mh_eol . //in config.inc.php
			"Reply-To: " . mail_reply_to . mh_eol . //in config.inc.php
			"bcc: " . mail_bcc . mh_eol . //in config.inc.php
			"X-Mailer: Vetsoft-Office Dr.N.Klumpp"; // ----------------------- KM: Hier ist was fest gecodet -----------------
		// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
		if (strpos($vso_text, "<html>"))
			{
			$header .= "MIME-Version: 1.0" . mh_eol;
			$header .= "Content-type: text/html; charset=" . mail_charset . mh_eol; //in config.inc.php
			}
		if (mail_utf8_decode == "1")
			$vso_text = utf8_decode($vso_text);
		if (mail($vso_an, $vso_subject, $vso_text, $header))
			$info = "<br><b>DIE  E-MAIL WURDE ERFOLGREICH GESENDET</b>";
		else
			$info = "<br><b>DIE E-MAIL KONNTE NICHT GESENDET WERDEN</b>";
		if (mail_utf8_decode == "1")
			$vso_text = utf8_encode($vso_text);
		//2014-02-16 KM: wie ueblich die Beseitigung eines undefined variable
		if (!isset($vso_attachments))
			{
			$vso_attachments = null;
			}
		$page = make_mail_window($vso_an, $vso_subject, $vso_text, $vso_attachments, $info);
		$page->write();
		break;
	//erster Aufruf
	default:
		//2014-02-16 KM: wie ueblich die Beseitigung von 3 undefined variables
		if (!isset($vso_subject))
			{
			$vso_subject = null;
			}
		if (!isset($vso_mail_text))
			{
			$vso_mail_text = null;
			}
		if (!isset($vso_attachments))
			{
			$vso_attachments = null;
			}
		$page = make_mail_window($vso_mail_adress, $vso_subject, $vso_mail_text, $vso_attachments, "");
		$page->write();
		break;
		
} //switch

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

?>
