<?php
/*
 *      offene_behandlungen.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

//2016-01-24 KM: UNBEZAHLTE BEHANDLUNGEN auf OFFENE BEHANDLUNGEN geaendert.





// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_office_inc/vs_functions.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');



//prinzipieller Seitenaufbau

//2015-01-27 KM: Formatierung neu
function seite($top,$bottom,$middle)
	{
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div( "", "", "", "", "", "vs_seite");
	$oben=new vs_div("","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","uebersichten_seitenmitte");
	//untere Leiste 
	$unten=new vs_div;
	$unten->add($bottom);
	$mitte->add($middle);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function sum_offen($db)
	{
	$db->query("select sum(offen) from vs_behandlung where rechnung_id < 1 ");  
	$row=$db->fetch_row();
	return ptc($row[0]);
	}


function search_form($db,&$offen)
	{
	//2016-02-01 KM: $reihenfolge = beh_reihenfolge in config.inc.php ausgebaut, fest Sortierung: desc
	$db->query("select bes.besitzer_id, bes.name,bes.vorname,bes.strasse,bes.wohnort,beh.offen,bes.letzterbesuch from vs_besitzer bes,vs_patient p, vs_behandlung beh where ".
						" beh.patient_id = p.patient_id and p.besitzer_id = bes.besitzer_id  and beh.offen > 0.02 and beh.rechnung_id <1 order by beh.offen, beh.datum desc "); 
	//DW: wie ueblich die Beseitigung eines undefined variable $vso_action
	// -1 ist in vs_db_table sogar als default definiert, also keine weitere action notwendig
	if (!isset ($bezahlt_id))
		{$bezahlt_id = -1;}
	$pt = new vs_db_table($db,470,$bezahlt_id);
	//2014-11-26 KM: Formatierung geaendert  new_win="1" --> "0"
	$pt->new_win="0";
	//KM: Hier Spaltenbreiten fuer die Tabelle einstellen
	$pt->set_field_width(1,200); 
	$pt->set_field_width(2,150);     
	$pt->set_field_width(3,220);   
	$pt->set_field_width(4,220);
	$pt->set_field_width(5,80);      
	$pt->set_field_align(5,"right");  
	$pt->set_field_formatstr(5,"%s ".currency_string); 
	$pt->set_field_label(5,"Offen &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$pt->set_field_width(6,155);      
	$pt->set_field_align(6,"right");  
	$pt->set_field_label(6,"Letzte Behandlung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	//2015-14-19 KM: Karteikarte wird jetzt in neuem Tab geoeffnet
	$pt->add_action(new vs_action("a_karte_show_behandlung", "../img/kartei_off_dialog.gif","","kartei.php","_blank"));
	$pt->add_action(new vs_action("a_ins","../img/add_rechnung_48x24.png","","../rechnung/rechnung.php","_blank"));
	$t=new vs_form_x("offene_behandlungen",3);
	$t->set_cellspacing(1);
	$t->add_control(1,$pt);	
	$t->add_control(3,new vs_hidden("action","a_post_submit"));
	
	return $t;
	}

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db);


//Seitenaufbau
$b = new vs_page_begin("Offene Behandlungen","../vs_office_inc/","../vs_office_inc/head.inc","../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();



//DW: wie ueblich die Beseitigung eines undefined variable $vso_action
if (!isset ($vso_action))
   {$vso_action = "";}

switch ($vso_action)
	{
	case "a_post_submit" : 
		break;
		
	//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	default:
	//Offene Summe berechnen
	$offen= "Summe: <b>".sum_offen($db)." ".currency_string."</b>";
	//Ueberschrift
	$top=new vs_text("<h2>&nbsp; OFFENE BEHANDLUNGEN</h2>");
	//Mitte Tabelle
	$middle=search_form($db,$offen);
	// NAVLISTE mit Verweis auf Help
	$bottom=(navliste("Offene Behandlungen","$offen","",""));
	
	seite($top,$bottom,$middle);
		break;
	//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}


//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot_kartei.inc");
$e->write();
$db->free_result();
$db->close();

?> 

