<?php
/*
 *      patient_gewicht.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_chart.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


$b = new vs_page_begin("Gewichtsentwicklung Patient","../vs_office_inc/","../vs_office_inc/head_kartei.inc","../vs_office_inc/body.inc");
$b->write();


//---------
//2015-02-20 KM: Formatierung geaendert
$gew_div = new vs_div( "", "", "", "", "", "vs_seite");
$sql = "select datum,pat_gewicht from vs_behandlung where patient_id=$vso_patient_id and pat_gewicht > 0 order by datum";

//2014-12-14 KM: In $vso_patient_name steht nicht der Name, sondern ein Betrag
//Das ist Schrott, daher raus genommen.
//$gew_div->add(new vs_text("<h2>&nbsp; Gewichtsentwicklung von $vso_patient_name </h2>"));
$gew_div->add(new vs_text("<h2>&nbsp; Gewichtsentwicklung des Patienten</h2>"));

$t_gew = new vs_table("t_gew",1,2);
$gew_lb= new vs_db_sql_listbox("gewicht",20,$db,$sql,0,1,0,0,"",13,"");
$gew_lb->set_sepdisplay(" - ");
$gew_lb->refresh_values();
$gew_lb->add_style("width:200px;height:400px;");
$t_gew->add(1,1,$gew_lb);

$db->query($sql);
	while ($row=$db->fetch_row())
		{
		$data["Gewicht"]=$row[1];;
		$datas[$row[0]]=$data;
		}
		
	$defs["Gewicht"]="navy";
	
	if ($db->num_rows() >1)
		{  
		$c_width = 70 + $db->num_rows() * 65 . "px";
		
		//2016-02-05 KM: Pfad ergaenzt, damit es an der richtigen Stelle /vsdata/int_data/ zwischengespeichert wird.
		//$chart= new vs_chart("id_chart","Gewichtsentwicklung von $vso_patient_name",$c_width,"210px",4,$datas,$defs);
		$chart= new vs_chart("../../vsdata/int_data/id_chart","Gewichtsentwicklung von $vso_patient_name",$c_width,"210px",4,$datas,$defs);
		
		$chart->bottom_leg_font_size = 5;  //Größe der Font der Legende unten
		$chart->bottom_leg_font_angle = 45; //Richtung der Schrift der Legende unten (0 ist normal von rechts nach links)
		$chart->bottom_leg_font_diff_y = 3; //Versatz der Schrift der Legende unten nach unten (Wichtig bei Winkeln <>0)
		$chart->bottom_leg_font_diff_x = 0; //Versatz der Schrift
		$t_gew->add(1,2,$chart);
		}
	else
		$t_gew->add(1,2,new vs_text("<b>F&uuml;r ein Diagramm sind mindestens zwei Gewichtsangaben notwendig.</b>"));
		
$gew_div->add($t_gew);
$gew_div->write();
//---------

$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot_kartei.inc");
$e->write();

$db->free_result();
$db->close();
?> 

