<?php
/*
 *      patient_info.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


function b2text($b)
	{
	if ($b == 0)
		return "nein";
	else
		return "ja";
	}

office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

if ((!isset($vso_action)) or ($vso_action == ""))
	{
	$vso_action = "a_browse"; //falls ueber eine neues Login der querystring verloren geht...
	}

switch ($vso_action)
	{
	case "a_browse": //anzeigen
		
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		$b = new vs_page_begin("Info zum Patienten", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
		$b->write();
		$db->query("Select memo,geschichte,bild,anzeigetext from  vs_patient where patient_id=$vso_patient_id");
		$pat_row = $db->fetch_row();
		$db->free_result();
		
		//2015-02-20 KM: Formatierung geaendert
		$p_div=new vs_div( "", "", "", "", "", "vs_seite");
		
		$p_div->add(new vs_text("<br><span style=\"font-weight:bold;color:red; \">$pat_row[3]</span><br><br>"));
		if (file_exists(datadir . $pat_row[2]) and ($pat_row[2] != ""))
			{
			$ziel    = datadir . $pat_row[2];
			$patbild = new vs_img("patbild", $ziel, 370, "");
			$p_div->add(new vs_text("<b><u>PHOTO</b></u><br><br>"));
			$p_div->add($patbild);
			$p_div->add(new vs_text("<br><br>"));
			}
		$p_div->add(new vs_text("<br><b>" . "IMPFUNGEN </b><br><br>"));
		$db->query("Select patimpfung_id,datum,text,charge,nachimpfung " . " from  vs_patimpfung where patient_id=$vso_patient_id order by datum");
		$pt = new vs_db_table($db, 250);
		
		$pt->set_field_width(1, 90);
		$pt->set_field_typ(1, "date");
		$pt->set_field_width(2, 130);
		$pt->set_field_width(3, 109);
		$pt->set_field_align(3, "left");
		$pt->set_field_width(4, 90);
		$pt->set_field_align(4, "right");
		$pt->set_field_typ(4, "date");
		$pt->add_action(new vs_action("a_del_patimpfung&patient_id=$vso_patient_id", "../img/delete.gif"));
		
		$p_div->add($pt);
		$p_div->add(new vs_text("<br><br>"));
		
		//Steuerzeichen fuer Zeilenumbruch durch <br> ersetzen
		$pat_row[0] = str_replace("\n", "<br>", $pat_row[0]);
		$pat_row[0] = str_replace("\r", "", $pat_row[0]);
		$pat_row[1] = str_replace("\n", "<br>", $pat_row[1]);
		$pat_row[1] = str_replace("\r", "", $pat_row[1]);
		$p_div->add(new vs_text("<b> Memo</b><br>"));
		$p_div->add(new vs_text($pat_row[0] . "<br><br>"));
		$p_div->add(new vs_text("<b> Geschichte</b><br>"));
		$p_div->add(new vs_text($pat_row[1] . "<br><br>"));
		//Statistik zum Patienten
		$heute      = today();
		$vor_1_jahr = alterdate($heute, -365);
		$db->query("select sum(brutto) from vs_behandlung  where patient_id = $vso_patient_id and " . " datum > '$vor_1_jahr' ");
		$row = $db->fetch_row();
		$db->free_result();
		$p_div->add(new vs_text("<b> Umsatz im letzten Jahr</b><br>"));
		$p_div->add(new vs_text(ptc(round($row[0], 2)) . " " . currency_string . "<br><br>"));
		$p_div->write();
		$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
		$e->write();
		
		break;
	//---------------------------------------------------------------
	
	//neu, patimpfung kann geloescht werden
	case "a_del_patimpfung": //patimpfung loeschen
		$db->query("delete from  vs_patimpfung where patimpfung_id=$vso_patimpfung_id");
		$db->free_result();
		//anzeigen
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		$b = new vs_page_begin("Info zum Patienten", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
		$b->write();
		$db->query("Select memo,geschichte,bild from  vs_patient where patient_id=$vso_patient_id");
		$pat_row = $db->fetch_row();
		$db->free_result();
		
		//2015-02-20 KM: Formatierung geaendert
		$p_div=new vs_div( "", "", "", "", "", "vs_seite");
		
		if (file_exists(datadir . $pat_row[2]) and ($pat_row[2] != ""))
			{
			$ziel    = datadir . $pat_row[2];
			$patbild = new vs_img("patbild", $ziel, 370, "");
			$p_div->add(new vs_text("<br><b>PHOTO</b><br><br>"));
			$p_div->add($patbild);
			$p_div->add(new vs_text("<br>"));
			}
		$p_div->add(new vs_text("<br><b>" . "IMPFUNGEN </b><br><br>"));
		$db->query("Select patimpfung_id,datum,text,charge,nachimpfung " . " from  vs_patimpfung where patient_id=$vso_patient_id order by datum");
		$pt = new vs_db_table($db, 250);
		
		$pt->set_field_width(1, 90);
		$pt->set_field_typ(1, "date");
		$pt->set_field_width(2, 130);
		$pt->set_field_width(3, 109);
		$pt->set_field_align(3, "left");
		$pt->set_field_width(4, 90);
		$pt->set_field_align(4, "right");
		$pt->set_field_typ(4, "date");
		$pt->add_action(new vs_action("a_del_patimpfung&patient_id=$vso_patient_id", "../img/delete.gif"));
		
		$p_div->add($pt);
		$p_div->add(new vs_text("<br><br>"));
		//Steuerzeichen fuer Zeilenumbruch durch <br> ersetzen
		$pat_row[0] = str_replace("\n", "<br>", $pat_row[0]);
		$pat_row[0] = str_replace("\r", "", $pat_row[0]);
		$pat_row[1] = str_replace("\n", "<br>", $pat_row[1]);
		$pat_row[1] = str_replace("\r", "", $pat_row[1]);
		$p_div->add(new vs_text("<b> Memo</b><br>"));
		$p_div->add(new vs_text($pat_row[0] . "<br><br>"));
		
		$p_div->add(new vs_text("<b> Geschichte</b><br>"));
		$p_div->add(new vs_text($pat_row[1] . "<br><br>"));
		//Statistik zum Patienten
		$heute      = today();
		$vor_1_jahr = alterdate($heute, -365);
		$db->query("select sum(brutto) from vs_behandlung  where patient_id = $vso_patient_id and " . " datum > '$vor_1_jahr' ");
		$row = $db->fetch_row();
		$db->free_result();
		$p_div->add(new vs_text("<b> Umsatz im letzten Jahr</b><br>"));
		$p_div->add(new vs_text(ptc(round($row[0], 2)) . " " . currency_string . "<br><br>"));
		$p_div->write();
		$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
		$e->write();
		
		break; //a_del_patimpfung
		//---------------------------------------------------------------
	} //switch ($vso_action) {


//_____________________________________________________________________________________________________________________________

$db->free_result();
$db->close();

?> 
