 <?php
/*
 *      position_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//deklariert den Handler fuer das edit_kurz, via javascript und ajax wird geprueft, ob der Eintrag gueltig ist
//die js-funktionen sind in kartei.js  zu finden

define("onkurzkeyup", " onKeyUp=\"javascript:{send_kurz_req();}\"");
define("onallkeyup", " onKeyUp=\"javascript:{all_edit_key(event);}\" ");

define("onkurzfaktorkeyup", " onKeyUp=\"javascript:{send_kurz_req();} \"");
define("onkurzfaktorkeypress", " onKeyPress=\"javascript:{return decimalsonly(this, event);} \"");

define("onallfaktorkeyup", " onKeyUp=\"javascript:{all_lb_changed();} \"");
define("onallfaktorkeypress", " onKeyPress=\"javascript:{return decimalsonly(this, event);} \"");

//muss onKeyup sein, weil sonst der letzte Buchstabe fehlt!!!!!!!!!!!
//WICHTIG FUER DAS FUNKTIONIEREN MIT DEM MOZILLA FIREFOX
//MUSS IN DEN EINSTELLUNGEN / ERWEITERT / SUCHE BEREITS BEIM EINTIPPEN STARTEN DEAKTIVIERT SEIN!!!!!!!!!!!
//OPERA als Mozilla identifizieren lassen, wegen der Browserweiche (gilt nicht mehr ab 2009)

class kurz_edit extends vs_d_edit
	{
	
	function write_control()
		{
		echo "<script language=\"javascript\" src=\"" . "kartei.js\"></script>";
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . $this->disabled . 
			"size=\"$this->size\" maxlength=\"$this->maxlength\" " . onkurzkeyup . 
			" class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
		}
	}

class all_edit extends vs_edit
	{
	function write_control()
		{
		echo "<script language=\"javascript\" src=\"" . "kartei.js\"></script>";
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . $this->disabled . 
			"size=\"$this->size\" maxlength=\"$this->maxlength\" " . 
			//onallkeyup." ".onallkeydown." class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
			onallkeyup . " class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
		}
	}

class kurz_faktor_edit extends vs_d_edit
	{
	
	function write_control()
		{
		echo "<script language=\"javascript\" src=\"" . "kartei.js\"></script>";
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . $this->disabled . 
				"size=\"$this->size\" maxlength=\"$this->maxlength\" " . onkurzfaktorkeyup . onkurzfaktorkeypress . " 
				class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
		}
	}

class all_faktor_edit extends vs_d_edit
	{
	function write_control()
		{
		echo "<script language=\"javascript\" src=\"" . "kartei.js\"></script>";
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . $this->disabled . 
			"size=\"$this->size\" maxlength=\"$this->maxlength\" " . onallfaktorkeyup . onallfaktorkeypress . " 
			class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
		}
	}


function show_behposition($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id)
//Positionen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id, $uk);
		}
	else
		{
		$z_text = "";
		//Rechnungstatus checken-----------------------------
		$db->query("Select rechnung_id,datum  from  vs_behandlung where behandlung_id=$behandlung_id");
		$beh = $db->fetch_row();
		$db->free_result();
		//Zahlungstatus checken-----------------------------
		$num_geb = 1;
		$db->query("Select bezahlt_id  from  vs_bezahlt where behandlung_id=$behandlung_id and gebucht ='1' ");
		$geb     = $db->fetch_row();
		$num_geb = $db->num_rows();
		$db->free_result();
		$num_bez = 1;
		$db->query("Select bezahlt_id  from  vs_bezahlt where behandlung_id=$behandlung_id ");
		$bez     = $db->fetch_row();
		$num_bez = $db->num_rows();
		if ($num_bez > 0)
			$z_text = "<img src=\"../img/achtung.gif\"><br><b>ACHTUNG ! Es liegen Zahlungen vor!</b><br><br>Positionen k&ouml;nnen nicht mehr gel&ouml;scht werden.";
		$db->free_result();
		
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_leistung_rechts");
		$t_behandlung_rechts = new vs_table("behandlung_rechts", 3, 1);
		
		//nur wenn keine Rechnnung und keine Anzahlungen
		if (($beh[0] < 1) and ($beh[0] != -1000) and ($num_geb < 1))
			{
			$t_behandlung_rechts->add(1, 1, zeige_behposition($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id));
			$t_behandlung_rechts->add(2, 1, make_pos_kurz($db, $besitzer_id, $patient_id, $behandlung_id));
			$t_behandlung_rechts->add(3, 1, make_pos_all($db, $besitzer_id, $patient_id, $behandlung_id, $z_text));
			}
		else
			{
			$t_behandlung_rechts->add(1, 1, new vs_text("<br><br>Diese Behandlung ist Bestandteil einer Rechnung / Quittung.<br>" .
														"oder Bezahlungen liegen im bereits gebuchten Zeitraum.<br> <br>" .
														"<span style=\"color:red;font-weight:bold;\">Positionen k&ouml;nnen nicht zugef&uuml;gt, ver&auml;ndert " . 
														"oder gel&ouml;scht werden </span>"));
			}
		$behandlung_rechts->add($t_behandlung_rechts);
		//*************************************************************************
		//linker Teil
		//2014-11-26 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_leistung_links");
		$behandlung_links->add(behposition_list($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 2, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id)); //Untere Navigationsleiste
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}


function add_behposition($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id)
//Positionen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_leistung_rechts");
		echo "<script language=\"javascript\" src=\"" . "kartei.js\"></script>";
		$behandlung_rechts->add(neue_behposition($db, $besitzer_id, $patient_id, $behandlung_id));
		//*************************************************************************
		//linker Teil
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_leistung_links");
		$behandlung_links->add(behposition_list($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 2, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}

function behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	global $can_view_abrechnung;
	//2015-03-25 KM: Formatierung geaendert
	//$t = new vs_div("1110", "30");
	$t = new vs_div("","30");
	if (isset($behandlung_id))
		{
		$db->query("Select b.datum,b.diagnose,b.brutto,b.offen,b.text,b.rechnung_id,p.patient_id,bes.besitzer_id from  " . 
					"vs_behandlung b, vs_patient p,vs_besitzer bes where b.patient_id=p.patient_id and " . 
					"p.besitzer_id=bes.besitzer_id and b.behandlung_id=" . $behandlung_id);
		$row = $db->fetch_row();
		$db->free_result();
		
		
		//2016-02-04 KM: new vs_new_dyn_window_img ausgebaut.
		
		
		//2016-02-04 KM: Neuen Spacer blank_24x1.gif zum Auseinanderhalten der Zeile
		$t->add(new vs_img("spacer_u", "../img/blank_24x1.gif "));
		$t->add(new vs_label("Behandlungsdatum" . "&#160;"));
		$t->add(new vs_span_text("&#160;  " . d_db2dis($row[0]) . "&#160;", "vs_disabled_edit"));
		$t->add(new vs_label("&#160; Diagnose&#160;"));
		
		//2013-12-29 KM: geaendert wg. undefined offset
		if (!isset($row[1]))
			{
			$row[1] = null;
			}
			
		$t->add(new vs_span_text("&#160;  " . $row[1] . "&#160;", "vs_disabled_edit"));
		$t->add(new vs_label("&#160; Brutto&#160;"));
		
		//2013-12-29 KM: geaendert wg. undefined offset
		if (!isset($row[2]))
			{
			$row[2] = null;
			}
			
		$t->add(new vs_span_text("&#160;" . ptc($row[2]) . "&#160;" . currency_string . "&#160;", "vs_disabled_edit"));
		
		//2013-12-29 KM: geaendert wg. undefined offset
		if (!isset($row[3]))
			{
			$row[3] = null;
			}
			
		if (ptc($row[3]) > 0)
			$style = "vs_disabled_edit_red_text";
		else
			$style = "vs_disabled_edit_green_text";
		$t->add(new vs_label("&#160;&#160; Offen&#160;"));
		$t->add(new vs_span_text("&#160;" . ptc($row[3]) . "&#160;" . currency_string . "&#160;", $style));
		
		//--------------------------------------------------------------
		//$row[5] --> rechnung_id ist > 0, wenn Sammelrechnung erstellt
		//Sammelrechnung
		
		//2013-12-29 KM: geaendert wg. undefined offset
		if (!isset($row[5]))
			{
			$row[5] = null;
			}
		
		if ($row[5] > 0)
			{
			$t->add(new vs_img("spacer_u", "../img/vert_gray.gif "));
			
			//2015-01-09 KM: geaendert vs_new_window_img -> vs_link_img
			$nwi = new vs_link_img("../img/rechnung_select_14.png", "../rechnung/rechnung.php?action=a_browse_position&" . 
									"besitzer_id=$row[7]&rechnung_id=$row[5]", "_self");
			$nwi->set_title("Die der Behandlung zugeh&ouml;rige Rechnung zeigen");
			$t->add($nwi);
			$t->add(new vs_text("<b> Rechnung </b>"));
			
			//2015-03-26 KM: Bezahlen nur anzeigen, wenn Betraege offen sind
			$db->query("select offen,datum from vs_behandlung where behandlung_id =$behandlung_id ");
			$row2 = $db->fetch_row();
			$db->free_result();
			//Betraege sind offen
			if ($row2[0] > 0)
				{
				//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
				$rech = new vs_link_img("../img/bezahlen.gif", "../rechnung/rechnung.php?action=a_browse_abrechnung" . 
										"&besitzer_id=$row[7]&rechnung_id=$row[5]&zahlstatus=unbezahlt", "_self");
				$rech->set_title("Die der Behandlung zugeh&ouml;rige Rechnung bezahlen.");
				$t->add($rech);
				$t->add(new vs_text("<b> Bezahlen </b>"));
				}
			}
			
		//--------------------------------------------------------------
		//$row[5] --> rechnung_id ist -1000, wenn Quittung / Einzelrechnung (ER) erstellt
		//Quittung / Einzelrechnung (ER)
		
		if ($row[5] == -1000)
			{
			$t->add(new vs_img("spacer_u", "../img/vert_gray.gif "));
			//2015-01-09 KM: geaendert vs_new_window_img -> vs_link_img
			$nwi = new vs_link_img("../img/einzel_rechnung.png", "beh_quittung.php?besitzer_id=$row[7]" . 
									"&patient_id=$row[6]&behandlung_id=$behandlung_id", "_blank");
			$nwi->set_title("Die der Behandlung zugeh&ouml;rige Einzelrechnung/Quittung ausdrucken");
			$t->add($nwi);
			$t->add(new vs_text("<b> ". rechnung_nr_prefix . $behandlung_id ." </b>"));
			
			if ($can_view_abrechnung == 1)
				{
				//Einzelrechnung/Quittung rückgängig machen
				//2015-01-09 KM: geaendert vs_new_window_img -> vs_link_img
				$nwi = new vs_link_img("../img/einzel_rechnung_destroy.png", "er_destroy.php?besitzer_id=$besitzer_id" . 
										"&patient_id=$patient_id&behandlung_id=$behandlung_id ", "_blank");
				$nwi->set_title("Die der Behandlung zugeh&ouml;rige Quittung/Einzelrechnung r&uuml;ckg&auml;ngig machen");
				$t->add($nwi);
				$t->add(new vs_text("<b> Quittung / Einzelrechnung</b>"));
				}
			}
			
		//--------------------------------------------------------------
		//2015-03-25 KM: Einzelrechnung erstellen moeglich, wenn in config.inc.php er_possible = 1
		
		//keine Einzelrechnung und nicht Teil einer Sammelrechnung
		//$row[5] --> rechnung_id ist -1000, wenn Quittung / Einzelrechnung erstellt
		//$row[5] --> rechnung_id ist > 0, wenn Sammelrechnung erstellt
		
		if (($row[5] != -1000) and ($row[5] < 1) and (er_possible == 1))
		// alte Funktion make direkt_zahlung jetzt hier
			{
			$db->query("select offen,datum from vs_behandlung where behandlung_id =$behandlung_id ");
			$row = $db->fetch_row();
			$db->free_result();
			//Betraege sind offen
			if ($row[0] > 0)
				{
				$t->add(new vs_img("spacer_u", "../img/vert_gray.gif "));
				//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
				$bez = new vs_link_img("../img/bezahlen.gif", "behbez_dialog.php?action=a_show_form&besitzer_id" . 
										"=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id&preset=beh", "_blank");
				$bez->set_title("Diese  Behandlung direkt bezahlen.");
				$t->add($bez);
				$t->add(new vs_text("<b> Bezahlen</b> (Einzelabrechnung)"));
				}
				
			//Quittung nur bei bezahlter Behandlung oder wenn Einzelrechnung erlaubt(config.inc.php) 
			
			//2015-03-16 KM: Hier stimmte was nicht, Einzelrechnungen konnten ohne Leistungen mit 0 Euro erstellt werden.
			//if (($row[0] <= 0) or (er_possible == "1"))
			//2015-03-16 KM: Ausserdem war noch ein Logikfehler drin, das muss AND und nicht OR sein.
			if (($row[0] !== "0.00") and (er_possible == "1"))   // $row[0] ist Brutto, er_possible eine Konstante aus config.inc.php
				{
				//nur wenn Behandlung heute war  STRITTIG OB ODER OB NICHT
				if ($row[1] == today())
					{
					$t->add(new vs_img("spacer_u", "../img/vert_gray.gif "));
					//2015-01-09 KM: geaendert vs_new_window_img -> vs_link_img
					$nwi = new vs_link_img("../img/buro.gif", "beh_quittung.php?besitzer_id=$besitzer_id" . "&patient_id=$patient_id&behandlung_id=$behandlung_id", "_blank");
					$nwi->set_title("Quittung/Einzelrechnung f&uuml;r diese Behandlung erstellen und ausdrucken");
					$t->add($nwi);
					}
				}
			}
		
		
		//--------------------------------------------------------------
		//2015-05-19 KM: Keine Quittung / Einzelrechnung (ER) moeglich, wenn in config.inc.php er_possible = 0
		//Neue EINZELRECHNUNG erfolgt ueber Sammelrechnung
		
		//$row[5] --> rechnung_id ist 0, wenn keine Quittung / Rechnung erstellt
		
		if (!isset($row[5]))
			{
			$row[5] = null;
			}
		
		if (($row[5] == 0) and (er_possible == 0))
			
			{
			$db->query("select brutto,rechnung_id from vs_behandlung where behandlung_id =$behandlung_id ");
			$row = $db->fetch_row();
			$db->free_result();
			//Betraege sind offen

			//Offene Posten -> Rechnung
			//Rechnung-Dialog als Alternative zur Direktbezahlung
			if (($row[0] > 0) and ($row[1] == 0))
				{
				$t->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
				//2015-07-26 KM: Neue Einzelabrechnung
				$rech = new vs_link_img("../img/bezahlen.gif", "../rechnung/rechnung.php?action=a_ins_einzelrechnung&besitzer_id=$besitzer_id&er_behandlung_id=$behandlung_id", "_self");
				$rech->set_title("Diese  Behandlung direkt bezahlen, Einzelrechnung erstellen.");
				$t->add($rech);
				$t->add(new vs_text("<b> Bezahlen</b> (Einzelabrechnung)"));
				}
			}
		}
	return $t;
	}


function behposition_list($db, $besitzer_id, $patient_id, $behandlung_id, $behposition_id)
	{
	$t = new vs_table("posarea", 1, 1);
	$t->set_css_class("posarea");
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)))
		{
		
		}
	else
		{
		// Zahlungen vorhanden ? Dann keine Positionen loeschen
		//ueberpruefen ob Zahlsumme 0 ist...
		$can_del = 1;
		//----------------
		$db->query("Select sum(betrag) from vs_bezahlt where behandlung_id='$behandlung_id'");
		$bez = $db->fetch_row();
		if ($bez[0] > 0.03)
			$can_del = 0;
		$db->free_result();
		//------------
		//Rechnungstatus checken-----------------------------
		$db->query("Select rechnung_id  from  vs_behandlung where behandlung_id=$behandlung_id");
		$beh = $db->fetch_row();
		$db->free_result();
		//Rechnungstatus--------------------------------------
		$db->query("Select behposition_id " . " from  vs_behposition where behandlung_id=" . $behandlung_id);
		$nr  = $db->num_rows();
		$row = $db->fetch_row();
		$db->free_result();
		$db->query("Select behposition_id,typ,menge,bezeichnung,brutto from vs_behposition where behandlung_id = $behandlung_id order by typ");
		//keine neuen Leistungen bei geschriebener Rechnung/Quittung/Anzahlung
		// NOCH   STRITTIG OB TATSÄCHLICHE KEINE MANUELLE LEISTUNGSEINGABE MEHR
		if (($beh[0] < 1) and ($beh[0] != -1000) and ($can_del != 0))
			$t->add(1, 1, new vs_action_img("add", "../img/add_24.gif", "a_karte_add_behposition&besitzer_id=$besitzer_id" . 
											"&patient_id=$patient_id&behandlung_id=$behandlung_id"));
		
		//KM: Tabelle links
		$pt = new vs_db_table($db, 400, $behposition_id);
		//$pt->set_field_width(1,30);
		$pt->set_field_width(1, 5);
		$pt->set_field_width(2, 60);
		$pt->set_field_align(2, "right");
		$pt->set_field_width(3, 240);
		$pt->set_field_width(4, 60);
		$pt->set_field_align(4, "right");
		$pt->set_field_formatstr(4, "%s " . currency_string);
		$pt->add_action(new vs_action("a_karte_show_behposition&besitzer_id=$besitzer_id" . 
										"&patient_id=$patient_id&behandlung_id=$behandlung_id", "../img/edit.gif"));
		// kein Loeschen bei geschriebener Rechnung  moeglich 
		if (($can_del == 1) and ($beh[0] < 1) and ($beh[0] != -1000))
			$pt->add_action(new vs_action("a_karte_del_behposition&besitzer_id=$besitzer_id" . 
											"&patient_id=$patient_id&behandlung_id=$behandlung_id", "../img/delete.gif"));
		$t->add(1, 1, $pt);
		}
	return $t;
	}

function neue_behposition($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		$t = new vs_form_x("behpos_neu", 1);
		return $t;
		}
	else
		{
		//um Javascript die MWST-Variablen in config.inc.php mitzugeben 
		$tmp_b = B;
		$tmp_a = A;
		$t     = new vs_form_x("behpos_neu", 1);
		$tp    = new vs_listbox("typ", 4, "L");
		$tp->add_item("L", "L");
		$tp->add_item("F", "F");
		$tp->add_item("R", "R");
		$tp->add_item("V", "V");
		$tp->add_item("W", "W");
		$tp->onchange = " onChange=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;typ_onchange('$tmp_a','$tmp_b');}\" ";
		$t->add_control(1, $tp);
		
		$c          = new vs_d_edit("menge", 5, 5, "1,0");
		$c->onkeyup = " onkeyup=\"javascript:{menge_onkeyup()}\" ";
		$t->add_control(1, $c);
		//2014-11-21 KM: Feldparameter geaendert
		$t->add_control(1, new vs_edit("bezeichnung", 50, 100, ""));
		
		$c          = new vs_d_edit("einzelpreis", 6, 6, "0,00","Einzelpreis &euro; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$c->onkeyup = " onkeyup=\"javascript:{einzelpreis_onkeyup()}\" ";
		$t->add_control(2, $c);
		
		$c          = new vs_d_edit("netto", 6, 6, "0,00","Netto &euro;");
		$c->onkeyup = " onkeyup=\"javascript:{netto_onkeyup()}\" ";
		$t->add_control(2, $c);
		
		$mw = new vs_listbox("mwst", 4, A);
		$mw->add_item(A, A);
		$mw->add_item(B, B);
		$mw->set_readonly("true");
		$mw->set_label("Mwst &#037;");
		$mw->onchange = " onChange=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;mwst_onchange('$tmp_b');}\" ";
		$t->add_control(2, $mw);
		
		$c          = new vs_d_edit("brutto", 6, 6, "0,00","Brutto &euro;");
		$c->onkeyup = " onkeyup=\"javascript:{brutto_onkeyup()}\" ";
		$t->add_control(2, $c);
		
		$c = new vs_d_edit("epreis", 6, 6, "0,00", "EK &euro;");
		$t->add_control(2, $c);
		
		//2015-02-14 KM: Feldparameter geaendert
		$t->add_control(5, new vs_edit("rechbezeichnung", 57, 120, "", "Rechnungstext&nbsp;"));
		$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
		$t->add_control(5, new vs_hidden("patient_id", $patient_id));
		$t->add_control(5, new vs_hidden("behandlung_id", $behandlung_id));
		$t->add_control(5, new vs_hidden("action", "a_karte_post_ins_behposition"));
		$t->add_control(5, new vs_button("submit", "Speichern"));
		$t->add_control(5, new vs_button("reset", "Abbrechen"));
		
		return $t;
		}
	}

function zeige_behposition($db, $besitzer_id, $patient_id, $behandlung_id, &$behposition_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		$t = new vs_form_x("behpos_neu", 1);
		$t->add_control(1, new vs_text(" FEHLER Es ist keine Behandlung selektiert!!"));
		return $t;
		}
	else
		{
		//Aenderung nur, wenn noch keine Zahlungseingaenge da sind	
		$can_edit = 1;
		//Rechnungstatus checken-----------------------------
		$db->query("Select rechnung_id  from  vs_behandlung where behandlung_id=$behandlung_id");
		$beh = $db->fetch_row();
		$db->free_result();
		// Summe-------------------------------------
		$db->query("Select sum(betrag) from vs_bezahlt where behandlung_id='$behandlung_id'");
		$bez = $db->fetch_row();
		if ($bez[0] > 0.03)
			$can_edit = 0;
		$db->free_result();
		//DW: Wegen Variablenuebergabe in case "a_karte_show_behposition" in kartei.php vso_behposition_id:
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		// if (!isset($behposition_id)) //keine Position festgelegt, alle listen
		if ($behposition_id == -1) //keine Position festgelegt, alle listen 
			{
			//error_log('vetsoftdebugtrick: bin drin');
			$db->query("Select behposition_id,typ,menge,ziffer,bezeichnung,einzelpreis,mwst,netto, " . 
						" brutto,betragmwst,rechbezeichnung,epreis from  vs_behposition where behandlung_id=" . $behandlung_id);
			}
		else
		//Position festgelegt  
			{
			//error_log('vetsoftdebugtrick: in zeige_behposition, Variablenwert behposition_id ist: ' . $behposition_id);
			$db->query("Select behposition_id,typ,menge,ziffer,bezeichnung,einzelpreis,mwst,netto, " . 
						" brutto,betragmwst,rechbezeichnung,epreis from  vs_behposition where behposition_id=" . $behposition_id);
			}
		$row            = $db->fetch_row();
		$n              = $db->num_rows();
		$behposition_id = $row[0];
		//Positionen vorhanden  
		if ($n > 0)
			{
			$olddata = $db->curr_row_as_string();
			$row[2]  = ptc($row[2]);
			$row[5]  = ptc($row[5]);
			$row[6]  = ptc($row[6]);
			$row[7]  = ptc($row[7]);
			$row[8]  = ptc($row[8]);
			$t       = new vs_form_x("behpos_neu", 5);
			if (($can_edit == 1) and ($beh[0] < 1) and ($beh[0] != -1000)) //keine Rechnung geschrieben
				{
				//Listbox geht nicht mehr wegen readonly
				$tp = new vs_edit("typ", 1, 1, $row[1]);
				//auf  nur Lesen setzen wegen Bilanz
				$tp->set_readonly("true");
				$t->add_control(1, $tp);
				
				$c          = new vs_d_edit("menge", 5, 5, $row[2],"Menge");
				$c->onkeyup = " onkeyup=\"javascript:{menge_onkeyup()}\" ";
				$t->add_control(1, $c);
				
				//2015-02-14 KM: Feldparameter geaendert
				$t->add_control(1, new vs_edit("bezeichnung", 60, 100, $row[4]),"Bezeichnung");
				$t->add_control(5, new vs_edit("rechbezeichnung", 57, 120, $row[10], "Rechnungstext&nbsp;"));
				
				$c          = new vs_d_edit("einzelpreis", 6, 6, $row[5],"Einzelpreis &euro; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
				$c->onkeyup = " onkeyup=\"javascript:{einzelpreis_onkeyup()}\" ";
				$t->add_control(2, $c);
				
				$c          = new vs_d_edit("netto", 6, 6, $row[7],"Netto &euro;");
				$c->onkeyup = " onkeyup=\"javascript:{netto_onkeyup()}\" ";
				$t->add_control(2, $c);
				
				//Listbox geht nicht mehr wegen readonly
				$mw = new vs_edit("mwst", 4, 4, $row[6],"Mwst &#037;");
				$mw->set_readonly("true");
				$t->add_control(2, $mw);
				
				$c          = new vs_d_edit("brutto", 6, 6, $row[8],"Brutto &euro;");
				$c->onkeyup = " onkeyup=\"javascript:{brutto_onkeyup()}\" ";
				$t->add_control(2, $c);
				}
			else
				{
				$tp = new vs_listbox("typ", 4, $row[1]);
				$tp->add_item("L", "L");
				$tp->add_item("A", "A");
				$tp->add_item("M", "M");
				$tp->add_item("I", "I");
				$tp->add_item("F", "F");
				$tp->add_item("R", "R");
				$tp->add_item("V", "V");
				$tp->add_item("W", "W");
				$tp->set_disabled("true");
				$t->add_control(1, $tp);
				$c = new vs_d_edit("menge", 5, 5, $row[2]);
				$c->set_disabled("true");
				$t->add_control(1, $c);
				//2014-11-21 KM: Feldparameter geaendert
				$c = new vs_edit("bezeichnung", 60, 100, $row[4]);
				$c->set_disabled("true");
				$t->add_control(1, $c);
				//2014-11-21 KM: Feldparameter geaendert
				$c = new vs_edit("rechbezeichnung", 60, 120, $row[10], "Rechnungstext&nbsp;");
				$c->set_disabled("true");
				$t->add_control(5, $c);
				$mw = new vs_listbox("mwst", 4, $row[6]);
				$mw->add_item(A, A);
				$mw->add_item(B, B);
				$mw->set_disabled("true");
				$t->add_control(2, $mw);
				$c = new vs_d_edit("einzelpreis", 6, 6, $row[5],"Einzelpreis &euro; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
				$c->set_disabled("true");
				$t->add_control(2, $c);
				$c = new vs_d_edit("netto", 6, 6, $row[7],"Netto &euro;");
				$c->set_disabled("true");
				$t->add_control(2, $c);
				$c = new vs_d_edit("brutto", 6, 6, $row[8],"Brutto &euro;");
				$c->set_disabled("true");
				$t->add_control(2, $c);
				}
			$t->add_control(5, new vs_hidden("old_menge", $row[2]));
			$t->add_control(5, new vs_hidden("epreis", $row[11]));
			$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(5, new vs_hidden("patient_id", $patient_id));
			$t->add_control(5, new vs_hidden("behandlung_id", $behandlung_id));
			$t->add_control(5, new vs_hidden("behposition_id", $behposition_id));
			$t->add_control(5, new vs_hidden("olddata", $olddata));
			$t->add_control(5, new vs_hidden("action", "a_karte_post_edit_behposition"));
			$t->add_control(5, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(5, new vs_reset("reset", "Abbrechen", "true"));
			return $t;
			}
		else //keine Positionen vorhanden also evtl neue einfuegen
			{
			return neue_behposition($db, $besitzer_id, $patient_id, $behandlung_id);
			}
		}
	}

function berechne_position(&$menge, &$mwst, &$einzelpreis, &$netto, &$brutto, &$betragmwst, $typ = "", $faktor = "1.0", &$epreis = 0)
	{
	$e = "";
	if ($typ != "L")
		$faktor = "1.0"; //Faktor gilt nur bei Leistungen	
	if ($faktor > 3)
		$e = "Der GOT-Höchstsatz von 3 wurde überschritten";
	if ($faktor < 1)
		$e = "Der GOT-Mindestsatz von 1 wurde unterschritten";
	
	if ($brutto == 0)
		{
		if ($netto == 0)
			{
			$einzelpreis = $einzelpreis * $faktor;
			$netto       = $menge * $einzelpreis;
			$betragmwst  = $netto * $mwst / 100;
			$brutto      = $netto + $betragmwst;
			}
		else //Netto vorgegeben,Faktor ohne Belang
			{
			if ($menge == 0)
				$menge = 1; //sonst division durch 0
			$einzelpreis = $netto / $menge;
			$betragmwst  = $netto * $mwst / 100;
			$brutto      = $netto + $betragmwst;
			}
		}
	else //Brutto vorgegeben,
		{
		if ($netto == 0) //rueckwaerts rechnen, Faktor ohne Belang
			{
			if ($menge == 0)
				$menge = 1; //sonst division durch 0
			$netto       = $brutto / (1 + ($mwst / 100));
			$einzelpreis = $netto / $menge;
			$betragmwst  = $netto * $mwst / 100;
			}
		else //alle Zahlen vorgegeben, von links nach rechts  berechnen
			{
			$einzelpreis = $einzelpreis * $faktor;
			$netto       = $menge * $einzelpreis;
			$betragmwst  = $netto * $mwst / 100;
			$brutto      = $netto + $betragmwst;
			}
		}
	$epreis = $menge * $epreis;
	return $e;
	}

function behandlung_summe($db, $behandlung_id)
	{
	$behbrutto        = "0.00";
	$behnetto         = "0.00";
	$brutto_b         = "0.00";
	$brutto_a         = "0.00";
	$bezahlt          = "0";
	$brutto_abgabemed = "0.00";
	
	$db->query("select  behposition_id from vs_behposition where behandlung_id=$behandlung_id");
	if ($db->num_rows() > 0)
		{
		$db->free_result();
		$db->query("select sum(brutto),sum(netto) from vs_behposition where behandlung_id=$behandlung_id");
		$row       = $db->fetch_row();
		$behbrutto = $row[0];
		$behnetto  = $row[1];
		$db->free_result();
		$mwst = A;
		$mwst = ctp($mwst);
		$db->query("select sum(brutto) from vs_behposition where behandlung_id=$behandlung_id and mwst=$mwst");
		$row      = $db->fetch_row();
		$brutto_a = $row[0];
		if ($brutto_a == "")
			$brutto_a = "0.00";
		$db->free_result();
		$mwst = B;
		$mwst = ctp($mwst);
		$db->query("select sum(brutto) from vs_behposition where behandlung_id=$behandlung_id and mwst=$mwst");
		if ($db->num_rows() > 0)
			{
			$row      = $db->fetch_row();
			$brutto_b = $row[0];
			if ($brutto_b == "")
				$brutto_b = "0.00";
			}
		$db->free_result();
		
		//TODO Waren/Shopartikel muessten auch noch hier rein
		
		//neu Aufteilung Apotheke / Nicht Apotheke   fuer Praxen mit getrennter Apothekenfuehrung
		//Abgabepraeparate
		$db->query("select sum(brutto) from vs_behposition where behandlung_id=$behandlung_id and typ='A'");
		if ($db->num_rows() > 0)
			{
			$row              = $db->fetch_row();
			$brutto_abgabemed = $row[0];
			if ($brutto_abgabemed == "")
				$brutto_abgabemed = "0.00";
			}
		$db->free_result();
		
		//Waren
		$db->query("select sum(brutto) from vs_behposition where behandlung_id=$behandlung_id and typ='W'");
		if ($db->num_rows() > 0)
			{
			$row          = $db->fetch_row();
			$brutto_waren = $row[0];
			if ($brutto_waren == "")
				$brutto_waren = "0.00";
			}
		$db->free_result();
		//  NEU! Waren gehören wie Abgabemediokamente zur Gruppe MWST A  der Abgabegesellschaft
		$brutto_abgabemed += $brutto_waren;
		}
	
	$db->query("select sum(betrag) from vs_bezahlt where behandlung_id=$behandlung_id");
	$bezahlt = "0.00";
	if ($db->num_rows() > 0)
		{
		$row = $db->fetch_row();
		if ($row[0] != "")
			$bezahlt = $row[0];
		$offen = $behbrutto - $bezahlt;
		}
	$db->free_result();
	//epreis
	$db->query("select sum(epreis) from vs_behposition where behandlung_id=$behandlung_id ");
	if ($db->num_rows() > 0)
		{
		$row      = $db->fetch_row();
		$s_epreis = $row[0];
		if ($s_epreis == "")
			$s_epreis = "0.00";
		}
	$db->free_result();
	
	$betragmwst = $behbrutto - $behnetto;
	$db->query("update vs_behandlung set" . 
				" brutto='$behbrutto', " . 
				" netto='$behnetto', " . 
				" brutto_a='$brutto_a'," . 
				" brutto_b='$brutto_b', " . 	// Futter, mit red. MWST
				" brutto_abgabemed='$brutto_abgabemed', " . 	// Neu fuer Praxen mit getrennter Apo Abgaegebene medikamente und Waren
				" bezahlt='$bezahlt', " . 
				" offen='$offen', " . 
				" epreis='$s_epreis', " . 
				" betragmwst='$betragmwst' " . 
				" where behandlung_id=$behandlung_id");
	$db->free_result();
	}




function make_pos_kurz($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$sql = "select faktor from vs_besitzer where besitzer_id=$besitzer_id";
	$db->query($sql);
	$b_row = $db->fetch_row();
	$fk    = new vs_form_x("pos_kurz", 2);
	$fk->set_cellspacing(1);
	$kurz = new kurz_edit("kurz", 15, 15, "");
	$kurz->set_css_class("edit_kurz");
	$kurz->set_access_key("K");
	$fk->add_control(1, $kurz);
	// Faktor: voreingestellter Faktor * Besitzerfaktor
	//MA: geändert wegen PHP Fatal error:  Only variables can be passed by reference
	$globaler_faktor = faktor;
	$vor_faktor      = ctp($globaler_faktor) * $b_row[0];
	$v_faktor        = ptc($vor_faktor);
	$lbf             = new kurz_faktor_edit("faktor", 4, 4, $v_faktor);
	$lbf->set_disabled("true");
	$fk->add_control(1, $lbf);
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	//damit die Seite beim Laden das richtige Element fokusiert     
	$fk->add_control(1, new vs_hidden("sel_edit", "e_pos_kurz"));
	$fk->add_control(1, new vs_submit("submit_kurz", "Einf&uuml;gen", "true"));
	
	
	
	return $fk;
	}

function make_pos_all($db, $besitzer_id, $patient_id, $behandlung_id, $start_text = "")
	{
	$sql = "select faktor from vs_besitzer where besitzer_id=$besitzer_id";
	$db->query($sql);
	$b_row = $db->fetch_row();
	$fk    = new vs_form_x("pos_all", 2);
	$fk->set_cellspacing(1);
	//Listbox in div als Container für die AJAX Rueckgabe (div_all_result)
	$alldiv    = new vs_div(270, 260, "left", "", "div_all_result");
	$show_info = show_info_not_lb;
	if ($show_info == 1)
		{
		//2014-11-26 KM: Formatierung geaendert 
		$info   = "Typ der Leistung eingeben:<table style=\"color:blue; \">
				<tr><td><b> M</b> </td><td><span style=\"color:black;\">angewendete Medikamente</span></td></tr>
				<tr><td><b> m</b> </td><td><span style=\"color:black;\">angewendete Medikamente (Teilpackung)</span></td></tr>
				<tr><td><b>A</b></td><td><span style=\"color:black;\">abgegebene Medikamente</span></td></tr>
				<tr><td><b>a </b></td><td><span style=\"color:black;\">abgegebene Medikamente (Teilpackung)</span></td></tr>
				<tr><td><b>l</b></td> <td><span style=\"color:black;\">Leistungen</span></td></tr>
				<tr><td><b>i</b></td> <td><span style=\"color:black;\">Impfungen</span></td></tr>
				<tr><td><b>F</b></td><td><span style=\"color:black;\">Tierfutter</span></td></tr>
				<tr><td><b>f</b></td><td><span style=\"color:black;\">Tierfutter (Teilpackung)</span></td></tr>
				<tr><td><b>s</b></td><td><span style=\"color:black;\">Standardbehandlungen</span></td></tr>
				<tr><td><b>v</b></td><td><span style=\"color:black;\">Verbrauchsmaterial</span></td></tr> 
				<tr><td><b>w</b></td><td><span style=\"color:black;\">Abgabewaren</span></td></tr>
				<tr><td><b>r</b></td><td><span style=\"color:black;\">Fremdleistungen</span></td></tr>
				<tr><td>&nbsp;</td><td><b><span style=\"color:black;\">Beispiel für ein Medikament: </span> aName</b></td></tr></table>";
		$lbtext = new vs_text("<img src='../img/info_24.gif'><span style=\"color:blue;\"> " . $info . "</span>");
		$alldiv->add($lbtext);
		$all_lb_preset = "";
		}
	else
		{
		$lb = new vs_db_listbox("lbchoice", 100, $db, "vs_standard", "bezeichnung", "standard_id", "first", 10);
		$lb->add_style("width:260px;height:260px;");
		$lb->onchange = " onChange=\"javascript:{all_lb_changed();}\" ";
		$lb->set_label("");
		$alldiv->add($lb);
		$all_lb_preset = "s";
		}
	//Container fuer Rueckmeldung von kurz und all  (div_ajax_result) 
	//2014-11-26 KM: Formatierung geaendert  
	$kurzdiv = new vs_div(300, 230, "left", "", "div_ajax_result");
	$kurzdiv->set_css_class("div_ajax_result");
	$kurzdiv->add(new vs_text($start_text));
	//Tabelle nimmt alldiv und kurzdiv auf
	$t_bpos = new vs_table("t_bpos", 1, 2);
	$t_bpos->add(1, 1, $alldiv);
	$t_bpos->add(1, 2, $kurzdiv);
	$fk->add_control(1, $t_bpos);
	//Eingabezeile
	$all = new all_edit("all", 25, 25, $all_lb_preset, "");
	$all->set_css_class("edit_kurz");
	$all->set_access_key("A");
	$fk->add_control(2, $all);
	// Faktor: voreingestellter Faktor * Besitzerfaktor
	//MA: geändert wegen PHP Fatal error:  Only variables can be passed by reference
	$globaler_faktor = faktor;
	$vor_faktor      = ctp($globaler_faktor) * $b_row[0];
	$v_faktor        = ptc($vor_faktor);
	$lbf             = new all_faktor_edit("all_faktor", 4, 4, $v_faktor, "Faktor");
	$lbf->set_disabled("true");
	$fk->add_control(2, $lbf);
	
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_all", "1"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	//damit die Seite das richtige Element fokusiert   
	$fk->add_control(1, new vs_hidden("sel_edit", "e_pos_all"));
	$fk->add_control(2, new vs_submit("submit_all", "Einf&uuml;gen", "true"));
	
	return $fk;
	
	
	}


function analyze_kurz($db, $text, &$typ, &$menge, &$id, &$tp)
	{
	$error  = "";
	$tp     = 0;
	$firsts = array(
		"L",
		"M",
		"A",
		"I",
		"F",
		"R",
		"S",
		"V",
		"W"
	);
	$med    = array(
		"M",
		"A"
	);
	$t      = ucfirst($text); //1. Buchstabe gross
	$t      = chunk_split($t); //string->array
	if (in_array($t[0], $firsts))
		{
		//1. Buchstabe stimmt
		$typ = $t[0];
		//Dezimalzahlen nur bei Medikamenten/Abgabe
		if (in_array($typ, $med))
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0",
				","
			);
		else
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0"
			);
		$i = 1; //1.Zeichen nach der Typangabe
		while (in_array($t[$i], $zahl))
			$i++;
		if ($i > 1)
			{
			//Mengenangabe vorhanden;
			$z     = substr($t, 1, $i - 1);
			$menge = $z;
			$kurz  = rtrim(substr($t, $i));
			}
		else
			{
			$kurz  = rtrim(substr($t, $i));
			$menge = 1;
			}
		//----------------------aus kurz die id bestimmen----------
		switch ($typ)
		{
			case "L":
				//Leistung 
				$db->query("select leistung_id from vs_leistung where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Leistung nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "M":
				//Medikament 
				$db->query("select medikament_id from vs_medikament where kurz = '" . $kurz . "' and verfuegbar = '1' ");
				if ($db->num_rows() < 1) //vielleicht Kuerzel fuer Teilabgabe
					{
					$db->free_result();
					$db->query("select medikament_id from vs_medikament where t_kurz = '" . $kurz . "' and verfuegbar = '1'  ");
					if ($db->num_rows() < 1)
						$error = "Medikament nicht gefunden ($kurz)";
					else
						{
						$tp  = 1;
						$row = $db->fetch_row();
						$id  = $row[0];
						$db->free_result();
						}
					}
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "A":
				//Medikament zur Abgabe
				$db->query("select medikament_id from vs_medikament where kurz = '" . $kurz . "' and verfuegbar = '1' ");
				if ($db->num_rows() < 1) //vielleicht Kuerzel fuer Teilabgabe
					{
					$db->free_result();
					$db->query("select medikament_id from vs_medikament where t_kurz = '" . $kurz . "' and verfuegbar = '1' ");
					if ($db->num_rows() < 1)
						$error = "Medikament nicht gefunden ($kurz)";
					else
						{
						$tp  = 1;
						$row = $db->fetch_row();
						$id  = $row[0];
						$db->free_result();
						}
					}
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			
			case "F":
				//Futter 
				$db->query("select futter_id from vs_futter where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Futtermuttel nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "I":
				//Futter 
				$db->query("select impfung_id from vs_impfung where kurz = '" . $kurz . "'  and verfuegbar = '1' ");
				if ($db->num_rows() < 1)
					$error = "Impfung nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "R":
				//Futter 
				$db->query("select fremdleistung_id from vs_fremdleistung where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Fremleistung nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "V":
				//Futter 
				$db->query("select verbrauchsmaterial_id from vs_verbrauchsmaterial where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Verbrauchsmaterial nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "W":
				//Waren, Shop-Artikel
				$db->query("select waren_id from vs_waren where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Abgabewaren nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
			case "S":
				//Standardbehandlung 
				$db->query("select standard_id from vs_standard where kurz = '" . $kurz . "'");
				if ($db->num_rows() < 1)
					$error = "Standardbehandlung nicht gefunden ($kurz)";
				else
					{
					$row = $db->fetch_row();
					$id  = $row[0];
					$db->free_result();
					}
				break;
		}
		//--------------------------------
		}
	else
		$error = "Falscher Typ (" . $t[0] . "). M&ouml;glich sind L,M,A,I,F,R,V,W";
	return $error;
	}


function analyze_all($db, $text, &$typ, &$menge, &$sql, &$tp)
	{
	$error  = "";
	$tp     = 0;
	$firsts = array(
		"m",
		"M",
		"A",
		"a",
		"l",
		"i",
		"F",
		"f",
		"r",
		"s",
		"v",
		"w"
	);
	$med    = array(
		"M",
		"A",
		"m",
		"a"
	);
	//$t=ucfirst($text);//1. Buchstabe gross
	$t      = $text;
	$t      = chunk_split($t); //string->array
	if (in_array($t[0], $firsts))
		{
		//1. Buchstabe stimmt
		$typ = $t[0];
		//Dezimalzahlen nur bei Medikamenten/Abgabe
		if (in_array($typ, $med))
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0",
				","
			);
		else
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0"
			);
		$i = 1; //1.Zeichen nach der Typangabe
		while (in_array($t[$i], $zahl))
			$i++;
		if ($i > 1)
			{
			//Mengenangabe vorhanden;
			$z        = substr($t, 1, $i - 1);
			$menge    = $z;
			$all_text = rtrim(substr($t, $i));
			}
		else
			{
			$all_text = rtrim(substr($t, $i));
			$menge    = 1;
			}
		//----------------------aus kurz die id bestimmen----------
		switch ($typ)
		{
			case "l":
				//Leistung 
				$sql = "select leistung_id,bezeichnung from vs_leistung where bezeichnung like '%" . $all_text . "%'";
				break;
			case "M":
				//Medikament(OP, Angewendet)  
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . $all_text . "%'";
				break;
			
			case "m":
				//Medikament(Angewendet,Teilpackung)  
				$tp  = 1;
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . $all_text . "%'";
				break;
			
			case "A":
				//Medikament zur Abgabe (OP)
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . $all_text . "%'";
				break;
			
			case "a":
				//Medikament zur Abgabe (Teilpackung)
				$tp  = 1;
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . $all_text . "%'";
				break;
			
			case "F":
				//Futter OP 
				$sql = "select futter_id,bezeichnung from vs_futter where bezeichnung like '%" . $all_text . "%'";
				break;
			
			case "f":
				//Futter Teilmenge
				$tp  = 1;
				$sql = "select futter_id,bezeichnung from vs_futter where bezeichnung like '%" . $all_text . "%'";
				
				break;
			case "i":
				//Impfung
				$sql = "select impfung_id,bezeichnung from vs_impfung where bezeichnung like '%" . $all_text . "%'";
				break;
			case "r":
				//Fremdleistung 
				$sql = "select fremdleistung_id,bezeichnung from vs_fremdleistung where bezeichnung like '%" . $all_text . "%'";
				break;
			case "v":
				//Verbrauchsmaterial 
				$sql = "select verbrauchsmaterial_id,bezeichnung from vs_verbrauchsmaterial where bezeichnung like '%" . $all_text . "%'";
				break;
			case "w":
				//Verbrauchsmaterial 
				$sql = "select waren_id,bezeichnung from vs_waren where bezeichnung like '%" . $all_text . "%'";
				break;
			case "s":
				//Standardbehandlung 
				$sql = "select standard_id,bezeichnung from vs_standard where bezeichnung like '%" . $all_text . "%'";
				break;
		}
		//noch abklaeren, ob passende Eintraege zu finden sind 
		$db->query($sql);
		if ($db->num_rows() < 1)
			$error = "Keinen passenden Eintrag zu \"$all_text\" gefunden";
		$db->free_result();
		//--------------------------------
		}
	else
		$error = "Falscher Typ (" . $t[0] . "). Erlaubt sind: l,M,m,A,a,i,F,f,r,v,w";
	
	return $error;
	}


function insert_medikament($db, $typ, $menge, $id, $tp, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,t_bezeichnung,preis,t_vk,warnhinweis,kommentar,t_kommentar, " . 
				" rechbezeichnung,t_rechbezeichnung,min_menge,epreis,t_ek from vs_medikament where medikament_id=$id");
	$row   = $db->fetch_row();
	$menge = ctp($menge);
	if ($tp == 1) //Teilabgabe
		{
		$bezeichnung     = $row[1];
		//Neu! Rechbezeichnung
		$rechbezeichnung = $row[8];
		if ($rechbezeichnung == "")
			$rechbezeichnung = $bezeichnung;
		$einzelpreis = $row[3];
		$comment     = $row[6];
		$min_menge   = $row[9];
		$epreis      = $row[11];
		//Falls Mindestmenge  > 1 dann immer die Mengenangaben aufrunden
		//1,5 wird zu 2 etc um z.B. Berechnung von 1,5 Ampullen zu Vermeiden
		if ($min_menge > 0)
			$menge = ceil($menge);
		//beim Unterschreiten der Mindestmenge diese als Menge einsetzen   
		if ($menge < $min_menge)
			$menge = $min_menge;
		}
	else // Abgabe OP
		{
		$bezeichnung     = $row[0];
		//Neu! Rechbezeichnung
		$rechbezeichnung = $row[7];
		if ($rechbezeichnung == "")
			$rechbezeichnung = $bezeichnung;
		$einzelpreis = $row[2];
		$epreis      = $row[10];
		$comment     = $row[5];
		$tp          = 0; //wenn nicht 1 dann 0 
		}
	$db->free_result();
	$faktor      = $id; //Feld Faktor wird zum Abspeichern der medikament_id missbraucht, wegen Bilanzierung
	$ziffer      = $tp; //Feld Ziffer wird zum Abspeichern der Teilpackung / Nicht Teilpackung  missbraucht, wegen Bilanzierung
	$mwst        = A;
	$mwst        = ctp($mwst);
	$einzelpreis = ctp($einzelpreis);
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, $typ, 1, $epreis);
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	if ($row[4] != "")
		return ($row[4] . " (" . $bezeichnung . ")");
	//-----------------------Eintrag in den Behandlungstext
	if ($comment != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $comment;
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set " . " text='$text' " . "where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	}

//neue Funktion mit Leistung_Faktor
function insert_leistung($db, $typ, $menge, $id, $patient_id, $behandlung_id, $faktor, $ignore_faktor = 0)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,got,kommentar,rechbezeichnung,faktor,faktor_typ,epreis from vs_leistung where leistung_id=$id");
	$row             = $db->fetch_row();
	$bezeichnung     = $row[0];
	$einzelpreis     = $row[1];
	//Neu! Rechbezeichnung
	$rechbezeichnung = $row[4];
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	$ziffer = $row[2];
	$epreis = $row[7];
	$db->free_result();
	
	
	$mwst        = A;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	//--------update 9/2008  spez. Faktor fuer Leistungen   
	if ($ignore_faktor == 0)
	//derspez. Faktor hat beim Einfuegen ueber die Standardbehandlung keine Bedeutung 
		{
		$leistung_faktor = ctp($row[5]);
		$faktor_typ      = $row[6];
		if ($leistung_faktor != 0)
			{
			
			switch ($faktor_typ)
			{
				//auf jeden Fall
				case "i":
					$faktor = $leistung_faktor;
					break;
				//nur wenn der Faktor die Obergrenze ist
				case "o":
					if ($faktor > $leistung_faktor)
						$faktor = $leistung_faktor;
					break;
				//nur wenn der Faktor die Untergrenze ist
				case "u":
					if ($faktor < $leistung_faktor)
						$faktor = $leistung_faktor;
					break;
			} //switch
			}
		}
	//----------------------------------------------------------------
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "L", $faktor, $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	//-----------------------Eintrag in den Behandlungstext
	if ($row[3] != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set " . " text='$text' " . "where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	
	}



function insert_impfung($db, $typ, $menge, $id, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,charge,kommentar,nachimpfung,rechbezeichnung,epreis from vs_impfung where impfung_id=$id");
	$row             = $db->fetch_row();
	$bezeichnung     = $row[0];
	$einzelpreis     = $row[1];
	//Neu! Rechbezeichnung
	$rechbezeichnung = $row[5];
	$epreis          = $row[6];
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	$ziffer = $row[2]; // Charge wird im Feld Ziffer abgespeichert 
	$nid    = $row[4];
	
	$faktor = $id; // impfung_id wird im Feld Faktor abgespeichert (wegen Bilanz)
	$db->free_result();
	$mwst        = A;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "I", "1", $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	
	//-----------------------Eintrag in den Behandlungstext
	if (true) //immer
		{
		$db->query("select text,datum from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . "Impfung " . $row[0] . " Charge: " . $row[2] . " " . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set " . " text='$text' " . "where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	//-----------------------Eintrag in die Impfliste
	if (true)
		{
		$idate  = d_db2dis($textrow[1]);
		$nidate = alterdate($idate, $nid); //Termin Nachimpfung
		d_dis2db($idate);
		d_dis2db($nidate);
		$db->query("Insert into vs_patimpfung(behandlung_id,patient_id,text,charge,datum,nachimpfung,ie_sent) values " . 
					"('$behandlung_id','$patient_id','$bezeichnung','$ziffer','$idate','$nidate','0')");
		
		}
	}


function insert_futter($db, $typ, $menge, $id, $tp, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,rechbezeichnung,kommentar,epreis,t_vk,t_bezeichnung,t_rechbezeichnung from vs_futter where futter_id=$id");
	$row = $db->fetch_row();
	if ($tp == 1) //Teilabgabe
		{
		$bezeichnung     = $row[6];
		$einzelpreis     = $row[5];
		//Neu! Rechbezeichnung
		$rechbezeichnung = $row[7];
		$epreis          = $row[4];
		}
	else // Abgabe OP
		{
		$bezeichnung     = $row[0];
		$einzelpreis     = $row[1];
		//Neu! Rechbezeichnung
		$rechbezeichnung = $row[2];
		$epreis          = $row[4];
		$tp              = 0;
		}
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	$ziffer = $tp; //Feld Ziffer wird zum Abspeichern der Teilpackung / Nicht Teilpackung  missbraucht, wegen Bilanzieru
	$db->free_result();
	$faktor = "1";
	
	$mwst        = B;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "F", "1", $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," .
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	//-----------------------Eintrag in den Behandlungstext
	if ($row[3] != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set text='$text' where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	}

function insert_fremdleistung($db, $typ, $menge, $id, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,rechbezeichnung,kommentar,epreis from vs_fremdleistung where fremdleistung_id=$id");
	$row             = $db->fetch_row();
	$bezeichnung     = $row[0];
	$einzelpreis     = $row[1];
	//Neu! Rechbezeichnung
	$rechbezeichnung = $row[2];
	$epreis          = $row[4];
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	$ziffer = "";
	$db->free_result();
	$faktor = "1";
	
	$mwst        = A;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "R", "1", $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	//-----------------------Eintrag in den Behandlungstext
	if ($row[3] != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set text='$text' where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	}

function insert_verbrauchsmaterial($db, $typ, $menge, $id, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,rechbezeichnung,kommentar,epreis from vs_verbrauchsmaterial where verbrauchsmaterial_id=$id");
	$row             = $db->fetch_row();
	$bezeichnung     = $row[0];
	$einzelpreis     = $row[1];
	//Neu! Rechbezeichnung
	$rechbezeichnung = $row[2];
	$epreis          = $row[4];
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	
	$ziffer = "";
	$db->free_result();
	$faktor = "1";
	
	$mwst        = A;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "V", "1", $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	//-----------------------Eintrag in den Behandlungstext
	if ($row[3] != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set text='$text' where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	}



function insert_waren($db, $typ, $menge, $id, $patient_id, $behandlung_id)
	{
	global $user_id;
	$db->query("Select bezeichnung,preis,rechbezeichnung,kommentar,artikel_nr,epreis from vs_waren where waren_id=$id");
	$row             = $db->fetch_row();
	$bezeichnung     = $row[0];
	$einzelpreis     = $row[1];
	//Neu! Rechbezeichnung
	$rechbezeichnung = $row[2];
	$epreis          = $row[5];
	if ($rechbezeichnung == "")
		$rechbezeichnung = $bezeichnung;
	
	$ziffer = $row[4];
	$db->free_result();
	$faktor = "1";
	
	$mwst        = A;
	$netto       = "0.0";
	$brutto      = "0.0";
	$betragmwst  = "0.0";
	$menge       = ctp($menge);
	$einzelpreis = ctp($einzelpreis);
	$mwst        = ctp($mwst);
	
	berechne_position($menge, $mwst, $einzelpreis, $netto, $brutto, $betragmwst, "W", "1", $epreis);
	
	$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," . 
				" bezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,user_id,rechbezeichnung,epreis) values " . 
				" ('$patient_id','$behandlung_id','$typ','$menge','$faktor','$ziffer'," . 
				" '$bezeichnung','$einzelpreis','$mwst','$netto','$brutto','$betragmwst','$user_id','$rechbezeichnung','$epreis')");
	$db->free_result();
	//-----------------------Eintrag in den Behandlungstext
	if ($row[3] != "") //Kommentar gesetzt
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$postext = "\r\n" . $row[3];
		$text    = $textrow[0] . $postext;
		$db->free_result();
		$db->query("update vs_behandlung set text='$text' where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	}



//neue Funktion mi Standard-Faktor
function insert_standard($db, $typ, $menge, $id, $patient_id, $behandlung_id, $faktor)
	{
	$sul = 0; //Ueberschreibt der Standardfaktor den Leistungsfaktor? Nur wenn der Standardfaktor != 0 
	$db2 = new vs_db(); //db2 erst seit php5
	$db2->connect();
	$db->query("Select kommentar,ins_kommentar,faktor,faktor_typ from vs_standard where standard_id=$id");
	$row = $db->fetch_row();
	$db->free_result();
	//--------update 9/2008  spez. Faktor fuer Leistungen   
	$standard_faktor     = ctp($row[2]);
	$standard_faktor_typ = $row[3];
	if ($standard_faktor != 0)
		{
		$sul = 1; //Standardfaktor ersetzt Leistungsfaktor)
		switch ($standard_faktor_typ)
		{
			//auf jeden Fall
			case "i":
				$faktor = $standard_faktor;
				break;
			//nur wenn der Faktor die Obergrenze ist
			case "o":
				if ($faktor > $standard_faktor)
					$faktor = $standard_faktor;
				break;
			//nur wenn der Faktor die Untergrenze ist
			case "u":
				if ($faktor < $standard_faktor)
					$faktor = $standard_faktor;
				break;
		} //switch
		}
	//----------------------------------------------------------------   
	if ($row[1] == "1") //Kommentar des Standards der Behandlung zufuegen
		{
		$db->query("select text from vs_behandlung where behandlung_id=$behandlung_id");
		$textrow = $db->fetch_row();
		$text    = $textrow[0] . "\r\n" . $row[0];
		$db->free_result();
		
		$db->query("update vs_behandlung set text='$text' where behandlung_id=$behandlung_id");
		$db->free_result();
		}
	$db2->query("Select position_id,typ,menge,tp from vs_stapos where standard_id=$id");
	while ($row = $db2->fetch_row())
		{
		switch ($row[1])
		{
			case "L":
				//der spez. Faktor der Leistungen wird ignoriert ($sul am Schluss->ignore_faktor) 
				insert_leistung($db, $row[1], $row[2], $row[0], $patient_id, $behandlung_id, $faktor, $sul);
				break;
			case "M":
				insert_medikament($db, $row[1], $row[2], $row[0], $row[3], $patient_id, $behandlung_id);
				break;
			case "A":
				$warnung = insert_medikament($db, $row[1], $row[2], $row[0], $row[3], $patient_id, $behandlung_id);
				break;
			case "I":
				insert_impfung($db, $row[1], $row[2], $row[0], $patient_id, $behandlung_id);
				break;
			case "F":
				insert_futter($db, $row[1], $row[2], $row[0], $row[3], $patient_id, $behandlung_id);
				break;
			case "R":
				insert_fremdleistung($db, $row[1], $row[2], $row[0], $patient_id, $behandlung_id);
				break;
			case "V":
				insert_verbrauchsmaterial($db, $row[1], $row[2], $row[0], $patient_id, $behandlung_id);
				break;
			case "W":
				insert_waren($db, $row[1], $row[2], $row[0], $patient_id, $behandlung_id);
				break;
		}
		
		}
	$db2->free_result();
	//2014-08-21 KM: geaendert wg. undefined variable
	if (!isset($warnung))
		{
		$warnung = null;
		}
	return $warnung;
	}


function insert_from_kurz($db, $typ, $menge, $id, $tp, $faktor, $patient_id, $behandlung_id)
	{
	//error_log('vetsoftdebugtrick: in insert_from_kurz Variablenwert behandlung_id ist: ' . $behandlung_id);
	
	switch ($typ)
	{
		case "M":
			$warnung = insert_medikament($db, $typ, $menge, $id, $tp, $patient_id, $behandlung_id);
			break;
		
		case "A":
			$warnung = insert_medikament($db, $typ, $menge, $id, $tp, $patient_id, $behandlung_id);
			break;
		case "L":
			insert_leistung($db, $typ, $menge, $id, $patient_id, $behandlung_id, $faktor);
			break;
		case "I":
			insert_impfung($db, $typ, $menge, $id, $patient_id, $behandlung_id);
			break;
		case "F":
			insert_futter($db, $typ, $menge, $id, $tp, $patient_id, $behandlung_id);
			break;
		case "R":
			insert_fremdleistung($db, $typ, $menge, $id, $patient_id, $behandlung_id);
			break;
		case "V":
			insert_verbrauchsmaterial($db, $typ, $menge, $id, $patient_id, $behandlung_id);
			break;
		case "W":
			insert_waren($db, $typ, $menge, $id, $patient_id, $behandlung_id);
			break;
		case "S":
			$warnung = insert_standard($db, $typ, $menge, $id, $patient_id, $behandlung_id, $faktor);
			break;
	}
	if (!isset($warung))
		$warnung = "nur so finden wir es raus ... was var warnung ist";
	return $warnung;
	}


function make_pos_leistung($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_leistung", 1);
	$fk->set_cellspacing(1);
	
	$c = new vs_edit("typ", 1, 1, "L");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_leistung", "bezeichnung", "leistung_id", "%", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_d_edit("faktor", 2, 4, faktor);
	$c->set_label("F");
	$fk->add_control(1, $c);
	
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "l"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}



function make_pos_medikament($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_medikament", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "M");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_d_edit("menge", 2, 4, "1,00");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_medikament", "bezeichnung", "medikament_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$fk->add_control(1, new vs_checkbox("tp", "0"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("faktor", "1.0"));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "m"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}

function make_pos_standard($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_standard", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "S");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_standard", "bezeichnung", "standard_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_d_edit("faktor", 2, 4, faktor);
	$c->set_label("F");
	$fk->add_control(1, $c);
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "s"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}

function make_pos_impfung($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_impfung", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "I");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_impfung", "bezeichnung", "impfung_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("faktor", "1"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "i"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}

function make_pos_futter($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_futter", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "F");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_futter", "bezeichnung", "futter_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("faktor", "1"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "f"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}


function make_pos_fremdleistung($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_fremdleistung", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "R");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_fremdleistung", "bezeichnung", "fremdleistung_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("faktor", "1"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "r"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}

function make_pos_verbrauchsmaterial($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_verbrauchsmaterial", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "V");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_verbrauchsmaterial", "bezeichnung", "verbrauchsmaterial_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("faktor", "1"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "v"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}

function make_pos_waren($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("pos_waren", 1);
	$fk->set_cellspacing(1);
	$c = new vs_edit("typ", 1, 1, "W");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("menge", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_waren", "bezeichnung", "waren_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("tp", "0"));
	$fk->add_control(1, new vs_hidden("faktor", "1"));
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("pos_ins", "w"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_post_ins_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}


function make_beh_bezahlt($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	$fk = new vs_form_x("beh_bezahlt", 1);
	$fk->set_cellspacing(1);
	
	$c = new vs_edit("typ", 1, 1, "I");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$c = new vs_i_edit("zahlweise", 2, 4, "1");
	$c->set_label("");
	$fk->add_control(1, $c);
	
	$c = new vs_db_listbox("id", 40, $db, "vs_impfung", "bezeichnung", "impfung_id", "", $inputsize = 0);
	$c->set_label("");
	$fk->add_control(1, $c);
	
	
	$fk->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
	$fk->add_control(1, new vs_hidden("patient_id", $patient_id));
	$fk->add_control(1, new vs_hidden("behandlung_id", $behandlung_id));
	$fk->add_control(1, new vs_hidden("beh_bez", "i"));
	$fk->add_control(1, new vs_hidden("action", "a_karte_show_behposition"));
	$fk->add_control(1, new vs_button("submit", "Einf&uuml;gen"));
	
	return $fk;
	}


//---------------------------------------------------------------------------------------------
?> 
