<?php
/*
 *      reflovet_dialog.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "labus_functions.php";


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//$_GET und $_POST entpacken, auch wenn es eine Sicherheitsuecke darstellt
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

class vs_abcd_edit extends vs_edit
//akzeptiert Dezimalzahlen und toleriert Leerzeichen , nur fuer vetabc Formular
	{
	function write_control()
		{
		// 2014-03-12 KM: $this->onblur. raus genommen, macht Fehler: 
		// "Notice: Undefined property: vs_abcd_edit::$onblur in /data1/www/Vetsoft-Entwicklung/rechnung_v2/VetsoftOffice/vs/kartei/reflovet_dialog.php on line 22"
		
		echo "<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " . 
				$this->disabled . $this->readonly . " size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" " . 
				" accesskey=\"$this->accesskey\"" . $this->onkeyup . " onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" . 
				" return decimalsonly(this, event);}\">";
		}
	}


//Instanciation of inherited class
$db = new vs_db();
$db->connect();

function make_abc_bye_window($success)
	{
	$page = new vs_div("300", "450", "left", stamm_main);
	if ($success == 1)
		{
		$page->add(new vs_text("DIE DATEN WURDEN ERFOLGREICHC EINGEGEBEN"));
		
		}
	else
		{
		$page->add(new vs_text("DIE DATEN KONNTEN NICHT ODER NUR TEILWEISE EINGEGEBEN WERDEN"));
		}
	return $page;
	}

function make_reflovet_con_window($db, $patient_id, $behandlung_id)
	{
	//Datum der behandlung ermitteln
	$db->query("select datum from vs_behandlung where behandlung_id=$behandlung_id");
	$beh_row = $db->fetch_row();
	
	//2015-02-22 KM: Formatierung geaendert
	$page=new vs_div( "", "", "", "", "", "vs_seite_labordialog");
	$reflo_form = new vs_form_x("f_reflovet", 15);
	$reflo_form->add_control(1, new vs_img("reflovet", "../img/reflovet.jpeg", "240px"));
	$reflo_form->add_control(1, new vs_text("<br><br><b>Eingabe Reflovet<br> (Konventionelle Einheiten) </b><br><br>"));
	$reflo_form->add_control(2, new vs_abcd_edit("con_alp", 8, 8, "", " ALP &nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(2, new vs_abcd_edit("con_amylase", 8, 3, "", " AMY &nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	$reflo_form->add_control(3, new vs_abcd_edit("con_bilirubin", 8, 8, "", " BIL &nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(3, new vs_abcd_edit("con_cholesterin", 8, 3, "", " CHO &nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	$reflo_form->add_control(4, new vs_abcd_edit("con_kreatinin", 8, 8, "", " CREA"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(4, new vs_abcd_edit("con_ck", 8, 3, "", " CK &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	
	$reflo_form->add_control(5, new vs_abcd_edit("con_glukose", 8, 8, "", " GLU &nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(5, new vs_abcd_edit("con_ggt", 8, 3, "", " GGT &nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	$reflo_form->add_control(6, new vs_abcd_edit("con_got", 8, 8, "", " GOT &nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(6, new vs_abcd_edit("con_gpt", 8, 3, "", " GPT &nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	$reflo_form->add_control(7, new vs_abcd_edit("con_hb", 8, 8, "", " HB &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	$reflo_form->add_control(7, new vs_abcd_edit("con_k", 8, 3, "", " K &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	
	$reflo_form->add_control(8, new vs_abcd_edit("con_tri", 8, 8, "", " TRI &nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	//$reflo_form->add_control(8,new vs_abcd_edit("con_urea",8,3,"","UREA")); 
	
	$urea         = new vs_abcd_edit("con_urea", 8, 8, "", " UREA");
	$urea->onblur = " onblur=\"urea_onblur()\" ";
	$reflo_form->add_control(8, $urea);
	
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	//$reflo_form->add_control(9,new vs_abcd_edit("con_bun",8,8,"","BUN "));
	
	$bun         = new vs_abcd_edit("con_bun", 8, 8, "", " BUN &nbsp;");
	$bun->onblur = " onblur=\"bun_onblur()\" ";
	$reflo_form->add_control(9, $bun);
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));  
	//$reflo_form->add_control(9,new vs_abcd_edit("con_harnsaure",8,3,"","Has")); 
	//$abc_form->add_control(2,new vs_text("µm³"));
	
	$reflo_form->add_control(15, new vs_hidden("behandlung_id", $behandlung_id));
	$reflo_form->add_control(15, new vs_hidden("datum", $beh_row[0]));
	$reflo_form->add_control(15, new vs_hidden("patient_id", $patient_id));
	$reflo_form->add_control(15, new vs_hidden("action", "a_insert_con_reflovet_data"));
	$reflo_form->add_control(15, new vs_submit("submit", "Speichern"));
	
	$page->add($reflo_form);
	
	return $page;
	}


office_login($db, $can_insert, $can_edit, $can_delete);


$b = new vs_page_begin("Reflovet-Ergebnisse eingeben", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();

//spezifisches Java script einbinden
echo "<script language=\"javascript\" src=\"" . "reflovet.js\"></script>";

//Event-Handler
switch ($vso_action)
	{
	case "a_show_form": //Eingabeformular
		
		$page = make_reflovet_con_window($db, $vso_patient_id, $vso_behandlung_id);
		$page->write();
		break;
	//-------------------------------------------------------
	case "a_insert_con_reflovet_data": //Daten in die Datenbank und Ergebnis anzeigen
		$success = 0;
		$datum   = $vso_datum;
		//Daten in Datenbbank eingeben  
		
		
		//ALP---------------------------------------------------------------------
		if ($vso_con_alp != "")
			{
			$kurz        = "ALP_con_reflovet";
			$bezeichnung = "ALP (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_alp;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 68;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 89;
				$obergrenze_text   = "ALP+";
				$untergrenze_text  = "ALP-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //ALP---------------------------------------------------
		
		//Amylase---------------------------------------------------------------------
		if ($vso_con_amylase != "")
			{
			$kurz        = "amy_con_reflovet";
			$bezeichnung = "Amylase (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_amylase;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 1289;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 1445;
				$obergrenze_text   = "AMY+";
				$untergrenze_text  = "AMY-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Amylase---------------------------------------------------
		
		
		
		//Bulirubin---------------------------------------------------------------------
		if ($vso_con_bilirubin != "")
			{
			$kurz        = "bili_con_reflovet";
			$bezeichnung = "Bilirubin (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_bilirubin;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 0.3;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 0.3;
				$obergrenze_text   = "BILI+";
				$untergrenze_text  = "BILI-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Bilirubin---------------------------------------------------------------------
		
		
		//Cholesterin---------------------------------------------------------------------
		if ($vso_con_cholesterin != "")
			{
			$kurz        = "chol_con_reflovet";
			$bezeichnung = "Cholesterin (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_cholesterin;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 110;
				$obergrenze_hund   = 300;
				$untergrenze_katze = 70;
				$obergrenze_katze  = 150;
				$obergrenze_text   = "CHOL+";
				$untergrenze_text  = "CHOL-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Cholesterin---------------------------------------------------
		
		
		
		
		//Kreatinin---------------------------------------------------------------------
		if ($vso_con_kreatinin != "")
			{
			$kurz        = "krea_con_reflovet";
			$bezeichnung = "Kreatinin (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_kreatinin;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 1.8;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 1.8;
				$obergrenze_text   = "KREA+";
				$untergrenze_text  = "KREA-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Kreatinin---------------------------------------------------
		
		
		
		
		//CK---------------------------------------------------------------------
		if ($vso_con_ck != "")
			{
			$kurz        = "ck_con_reflovet";
			$bezeichnung = "CK (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_ck;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 107;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "CK+";
				$untergrenze_text  = "CK-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //CK---------------------------------------------------
		//-------------------Glukose---------------
		if ($vso_con_glukose != "")
			{
			$kurz        = "glu_con_reflovet";
			$bezeichnung = "Glukose (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_glukose;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 74;
				$obergrenze_hund   = 126;
				$untergrenze_katze = 71;
				$obergrenze_katze  = 136;
				$obergrenze_text   = "GLU+";
				$untergrenze_text  = "GLU-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Glukose---------------------------------------------------
		
		
		//GGT---------------------------------------------------------------------
		if ($vso_con_ggt != "")
			{
			$kurz        = "ggt_con_reflovet";
			$bezeichnung = "GGT (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_ggt;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 20;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 10;
				$obergrenze_text   = "GGT+";
				$untergrenze_text  = "GGT-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //GGT---------------------------------------------------
		
		//GOT---------------------------------------------------------------------
		if ($vso_con_got != "")
			{
			$kurz        = "got_con_reflovet";
			$bezeichnung = "GOT (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_got;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 43;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 78;
				$obergrenze_text   = "GOT+";
				$untergrenze_text  = "GOT-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //GOT---------------------------------------------------
		
		//GPT---------------------------------------------------------------------
		if ($vso_con_gpt != "")
			{
			$kurz        = "gpt_con_reflovet";
			$bezeichnung = "GPT (Reflovet)";
			$einheit     = "U/l";
			$wert        = $vso_con_gpt;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 74;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 89;
				$obergrenze_text   = "GPT+";
				$untergrenze_text  = "GPT-";
				$bemerkung         = "beim Rüden bis 89 normal";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //GPT---------------------------------------------------
		
		//HB---------------------------------------------------------------------
		if ($vso_con_hb != "")
			{
			$kurz        = "hb_con_reflovet";
			$bezeichnung = "Hb (Reflovet)";
			$einheit     = "g/dl";
			$wert        = $vso_con_hb;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 15;
				$obergrenze_hund   = 19;
				$untergrenze_katze = 8;
				$obergrenze_katze  = 17;
				$obergrenze_text   = "HB+";
				$untergrenze_text  = "HB-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . " '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //HB---------------------------------------------------
		
		//K---------------------------------------------------------------------
		if ($vso_con_k != "")
			{
			$kurz        = "k_con_reflovet";
			$bezeichnung = "K  (Reflovet)";
			$einheit     = "mval/l";
			$wert        = $vso_con_k;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 3.5;
				$obergrenze_hund   = 5.1;
				$untergrenze_katze = 3.0;
				$obergrenze_katze  = 4.8;
				$obergrenze_text   = "K+";
				$untergrenze_text  = "K-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //K---------------------------------------------------
		
		//Triglyceide---------------------------------------------------------------------
		if ($vso_con_tri != "")
			{
			$kurz        = "tr_con_reflovet";
			$bezeichnung = "Triglyceride (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_tri;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 98;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 134;
				$obergrenze_text   = "TRI+";
				$untergrenze_text  = "TRI-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //Triglyceride---------------------------------------------------
		
		//UREA---------------------------------------------------------------------
		if ($vso_con_urea != "")
			{
			$kurz        = "urea_con_reflovet";
			$bezeichnung = "Harnstoff (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_urea;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 54;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 82;
				$obergrenze_text   = "UREA+";
				$untergrenze_text  = "UREA-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . 
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //UREA---------------------------------------------------
		
		//BUN---------------------------------------------------------------------
		if ($vso_con_bun != "")
			{
			$kurz        = "bun_con_reflovet";
			$bezeichnung = "Harnstoff-N (Reflovet)";
			$einheit     = "mg/dl";
			$wert        = $vso_con_bun;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 25.2;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 38.3;
				$obergrenze_text   = "BUN+";
				$untergrenze_text  = "BUN-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . 
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . 
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," . 
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . 
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " . 
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," . 
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //BUN---------------------------------------------------
		
		echo "<script language=\"javascript\">opener.location.reload();window.close();</script>";
		
		break;
		
	} //switch

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//Ende
$db->free_result();
$db->close();

?>
