<?php
/*
 *      roe_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";


include_once "../vs_office_inc/config.inc.php";

function show_roentgen($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id)
//Dokumentationen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		$behandlung_rechts->add(zeige_roentgen($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		$behandlung_links->add(make_roe_list($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 4, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}

function add_roentgen($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id)
//Dokumentationen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		$behandlung_rechts->add(neue_roentgen($db, $besitzer_id, $patient_id, $behandlung_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		$behandlung_links->add(make_roe_list($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 4, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}


function make_roe_list($db, $besitzer_id, $patient_id, $behandlung_id, $roentgen_id)
	{
	$t = new vs_table("roentgenarea", 1, 1);
	$t->set_css_class("roentgenarea");
	if (!isset($behandlung_id))
		{
		//2015-02-13 KM: auf -1
		$vso_behandlung_id = -1;
		}
	else
		{
		$db->query("Select roentgen_id,bezeichnung from vs_roentgen where behandlung_id=$behandlung_id");
		$t->add(1, 1, new vs_action_img("add", "../img/add_24.gif", 
											"a_karte_add_roentgen&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id"));
		if (isset($roentgen_id))
			{
			$t->add(1, 1, new vs_action_img("delete", "../img/delete_24.gif", "a_karte_del_roentgen" . 
											"&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id&roentgen_id=$roentgen_id"));
			}
		
		//KM: Tabelle links
		$pt = new vs_db_table($db, 376, $roentgen_id);
		$pt->set_field_width(1, 250);
		$pt->add_action(new vs_action("a_karte_show_roentgen&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id", "../img/edit.gif"));
		$t->add(1, 1, $pt);
		}
	return $t;
	}


function zeige_roentgen($db, $besitzer_id, $patient_id, $behandlung_id, &$roentgen_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun    
		$t = new vs_form_x("roentgen_neu", 7);
		$t->add_control(1, new vs_text("Es ist keine Behandlung selektiert!!"));
		return $t;
		}
	else
		{
		if (!isset($roentgen_id)) //keine Röntgenaufnahme festgelegt, alle listen
			{
			$db->query("Select roentgen_id,bezeichnung,memo,filename,nummer,kv,mas,format,raster,personen,qualitaet " . 
						"from  vs_roentgen where behandlung_id=" . $behandlung_id);
			}
		else //Röntgenaufnahme festgelegt
			{
			$db->query("Select roentgen_id,bezeichnung,memo,filename,nummer,kv,mas,format,raster,personen,qualitaet " . 
						"from  vs_roentgen where roentgen_id=" . $roentgen_id);
			}
		$row         = $db->fetch_row();
		$n           = $db->num_rows();
		$roentgen_id = $row[0];
		$olddata     = $db->curr_row_as_string();
		if ($n > 0) //Röntgen vorhanden
			{
			$db->query("Select pat_ident from vs_patient where patient_id=$patient_id");
			$pat_row   = $db->fetch_row();
			$pat_ident = $pat_row[0];
			ptc($row[6]);
			$t = new vs_form_x("roentgen_edit", 7);
			$t->set_enctype("multipart/form-data"); //wg Dateiuplpad
			$t->set_cellspacing(5);
			
			$t->add_control(1, new vs_edit("bezeichnung", 30, 30, $row[1]));
			//2015-03-08 KM: Feldname war falsch
			//$id=new vs_edit("ID",5,20,$row[0]);
			$id = new vs_edit("pat_ident", 5, 20, $row[0], "ID");
			$id->set_disabled("true");
			$t->add_control(1, $id);
			
			$t->add_control(1, new vs_edit("nummer", 5, 20, $row[4]));
			$t->add_control(1, new vs_i_edit("kv", 3, 3, $row[5], "kV"));
			$t->add_control(1, new vs_d_edit("mas", 3, 6, $row[6], "mAs"));
			
			$c = new vs_listbox("format", 5, $row[7],"0","Format &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			$c->add_item("13x18", "13x18");
			$c->add_item("18x24", "18x24");
			$c->add_item("24x30", "24x30");
			$c->add_item("30x40", "30x40");
			$c->add_item("30x45", "30x45");
			$t->add_control(2, $c);
			
			$c = new vs_listbox("raster", 10, $row[8]);
			$c->add_item("keines", "keines");
			$c->add_item("Raster fix", "Raster fix");
			$c->add_item("Laufraster", "Laufraster");
			$t->add_control(2, $c);
			
			$c = new vs_listbox("qualitaet", 15, $row[10], "0", "Qualtit&auml;t");
			$c->add_item("1", "sehr gut");
			$c->add_item("3", "gut");
			$c->add_item("3", "befriedigend");
			$c->add_item("4", "ausreichend");
			$c->add_item("5", "mangelhaft");
			$c->add_item("6", "ungen&uuml;gend");
			$t->add_control(2, $c);
			
			$t->add_control(2, new vs_edit("personen", 30, 30, $row[9], "Anwesend"));
			
			$t->add_control(3, new vs_text("<b>&nbsp;IDENT (Patient): " . $pat_ident . "</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Neuer Eintrag in die R&ouml;ntgen-Worklist &nbsp;"));
			//Neue Röntgen Worklist
			
			//2015-03-15 KM: Variablenfehler beseitigt
			//$ziel = "roe_worklist.php?action=a_post_ins_roe_worklist&behandlung_id=$behandlung_id&bezeichnung=$pat_ident";
			$rwl_ziel = "roe_worklist.php?action=a_post_ins_roe_worklist&behandlung_id=$behandlung_id&bezeichnung=$pat_ident";
			
			//2015-02-13 KM: geaendert vs_new_window_img -> vs_link_img
			//2015-03-15 KM: Variablenfehler beseitigt
			//$rwl = new vs_link_img("../img/worklist_24.gif", "$ziel", "_blank");
			$rwl = new vs_link_img("../img/worklist_24.gif", "$rwl_ziel", "_blank");
			$rwl->set_title("Neuer Eintrag in die R&ouml;ntgen - Worklist");
			$t->add_control(3, $rwl);
			
			//Textbausteine einfuegen
			$on_ic2_click = "send_roetext_insert_req($besitzer_id,$patient_id,0);";
			$ic           = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
			$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
			$t->add_control(4, $ic);
			$lb = new vs_db_listbox("vorlage", 30, $db, "vs_textbaustein", "bezeichnung", "textbaustein_id", "", 0, "", "", "where typ='Roentgen' or typ = 'Allgemein' ");
			$lb->set_label("Vorlage &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp");
			$t->add_control(4, $lb);
			
			//$t->add_control(4,new vs_memo("memo",35,15,$row[2]));
			
			//2015-03-15 KM: Variablenfehler beseitigt
			//$ziel = datadir . $row[3];
			$img_ziel = datadir . $row[3];
			
			//2015-03-15 KM: Variablenfehler beseitigt
			//if (file_exists($ziel) and ($row[3] != ""))
			if (file_exists($img_ziel) and ($row[3] != ""))
				{
				//---Dateityp analysieren und Darstellung bestimmen----------------
				$i_file = "";
				$a_file = explode(".", $row[3]);
				$a_c    = count($a_file) - 1;
				$suffix = strtolower($a_file[$a_c]);
				switch ($suffix)
					{
					case "dcm": //dicom Bilder
						$t->add_control(5, new vs_memo("memo", 68, 12, $row[2], "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
						//2015-03-15 KM: Variablenfehler beseitigt
						//$t->add_control(6, new vs_new_window_img("../img/dicom.gif", $ziel, 800, 600, 10, 10, "200px", "Dicom Datei mit externem Betrachter &ouml;ffnen "));
						$t->add_control(6, new vs_new_window_img("../img/dicom.gif", $img_ziel, 800, 600, 10, 10, "200px", "Dicom Datei mit externem Betrachter &ouml;ffnen "));
						break;
					default: //Grafikformate
						//2015-03-15 KM: Variablenfehler beseitigt
						//$a_img      = getimagesize($ziel);
						$a_img      = getimagesize($img_ziel);
						$img_width  = $a_img[0];
						$img_height = $a_img[1];
						$img_ratio  = $a_img[0] / $a_img[1];
						if ($img_width > $img_height)
							{
							//2015-03-02 KM: Grosse Vorschaubild und Memo angepasst
							//$width = $img_ratio * 220;
							$width = $img_ratio * 200;
							//nicht vergroessern
							if ($width > $img_width)
								$width = $img_width;
							if ($width > 520)
								$width = 520;
							$s_width = $width . "px";
							$t->add_control(5, new vs_memo("memo", 90, 1, $row[2], "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
							//2015-03-15 KM: Variablenfehler beseitigt
							//$t->add_control(6, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, $s_width, "", "R&ouml;ntgenbild anzeigen"));
							$t->add_control(6, new vs_new_window_img($img_ziel, $img_ziel, 800, 600, 10, 10, $s_width, "", "R&ouml;ntgenbild anzeigen"));
							}
						else
							{
							//2015-03-02 KM: Grosse Vorschaubild und Memo angepasst
							//$height = 250;
							$height = 200;
							//nicht vergroessern
							if ($height > $img_height)
								$height = $img_height;
							$s_height = $height . "px";
							$t->add_control(5, new vs_memo("memo", 90, 1, $row[2], "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
							//2015-03-15 KM: Variablenfehler beseitigt
							//$t->add_control(6, new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", $s_height, "R&ouml;ntgenbild  anzeigen"));
							$t->add_control(6, new vs_new_window_img($img_ziel, $img_ziel, 800, 600, 10, 10, "", $s_height, "R&ouml;ntgenbild  anzeigen"));
							}
						break;
					} //switch
				} //if fiele_exists
			else
				{
				$t->add_control(5, new vs_memo("memo", 80, 12, $row[2], "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				}

			$t->add_control(6, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(6, new vs_hidden("patient_id", $patient_id));
			$t->add_control(6, new vs_hidden("behandlung_id", $behandlung_id));
			$t->add_control(6, new vs_hidden("roentgen_id", $roentgen_id));
			$t->add_control(6, new vs_hidden("olddata", $olddata));
			$t->add_control(6, new vs_hidden("action", "a_karte_post_edit_roentgen"));
			$t->add_control(6, new vs_submit("submit", "Speichern", "true"));
			$t->add_control(6, new vs_reset("reset", "Abbrechen", "true"));
			
			$f = new vs_file_edit("filename", 25, 80, $row[3]);
			$f->set_label("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Datei");
			$t->add_control(6, $f);
			
			return $t;
			}
		else //keine Röntgenaufnahmen vorhanden also evtl neue einfügen
			{
			return neue_roentgen($db, $besitzer_id, $patient_id, $behandlung_id);
			}
		}
	}


function neue_roentgen($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun    
		$t = new vs_form_x("roentgen_neu", 7);
		$t->set_cellspacing(5);
		return $t;
		}
	else
		$db->query("Select pat_ident from vs_patient where patient_id=$patient_id");
	$row       = $db->fetch_row();
	$pat_ident = $row[0];
		{
		$t = new vs_form_x("roentgen_neu", 7);
		$t->set_enctype("multipart/form-data"); //wg Dateiuplpad
		$t->set_cellspacing(5);
		
		$t->add_control(1, new vs_edit("bezeichnung", 30, 30, ""));
		$t->add_control(1, new vs_edit("nummer", 5, 20, ""));
		$t->add_control(1, new vs_i_edit("kv", 3, 3, "0", "kV"));
		$t->add_control(1, new vs_d_edit("mas", 3, 6, "0", "mAs"));
		
		$c = new vs_listbox("format", 5, "","0","Format &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$c->add_item("13x18", "13x18");
		$c->add_item("18x24", "18x24");
		$c->add_item("24x30", "24x30");
		$c->add_item("30x40", "30x40");
		$c->add_item("30x45", "30x45");
		
		$t->add_control(2, $c);
		$c = new vs_listbox("raster", 10, "");
		$c->add_item("keines", "keines");
		$c->add_item("Raster fix", "Raster fix");
		$c->add_item("Laufraster", "Laufraster");
		$t->add_control(2, $c);
		
		$c = new vs_listbox("qualitaet", 15, "", "0", "Qualtit&auml;t");
		$c->add_item("1", "sehr gut");
		$c->add_item("3", "gut");
		$c->add_item("3", "befriedigend");
		$c->add_item("4", "ausreichend");
		$c->add_item("5", "mangelhaft");
		$c->add_item("6", "ungen&uuml;gend");
		$t->add_control(2, $c);
		
		$t->add_control(2, new vs_edit("personen", 30, 30, "", "Anwesend"));
		
		$t->add_control(3, new vs_text("<b>&nbsp;IDENT (Patient): " . $pat_ident . "</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Neuer Eintrag in die R&ouml;ntgen-Worklist &nbsp;"));
		//Neue Röntgen Worklist
		
		//2015-03-15 KM: Variablenfehler beseitigt
		//$ziel = "roe_worklist.php?action=a_post_ins_roe_worklist&behandlung_id=$behandlung_id&bezeichnung=$pat_ident";
		$rwl_ziel = "roe_worklist.php?action=a_post_ins_roe_worklist&behandlung_id=$behandlung_id&bezeichnung=$pat_ident";
		
		//2015-02-13 KM: geaendert vs_new_window_img -> vs_link_img
		//2015-03-15 KM: Variablenfehler beseitigt
		//$rwl = new vs_link_img("../img/worklist_24.gif", "$ziel", "_blank");
		$rwl = new vs_link_img("../img/worklist_24.gif", "$rwl_ziel", "_blank");
		$rwl->set_title("Neuer Eintrag in die R&ouml;ntgen - Worklist");
		$t->add_control(3, $rwl);
		
		$lb = new vs_db_listbox("vorlage", 30, $db, "vs_textbaustein", "bezeichnung", "textbaustein_id", "", 0, "", "", "where typ='Roentgen' or typ = 'Allgemein' ");
		$lb->set_label("Vorlage &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp");
		$t->add_control(4, $lb);
		
		//Textbausteine einfuegen
		$on_ic2_click = "send_roetext_insert_req($besitzer_id,$patient_id,0);";
		$ic           = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
		$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
		$t->add_control(4, $ic);
		
		//$t->add_control(3,new vs_text("<b>IDENT (Patient): ".$pat_ident."</b>"));      
		$t->add_control(5, new vs_memo("memo", 80, 12, "", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		$t->add_control(6, new vs_hidden("besitzer_id", $besitzer_id));
		$t->add_control(6, new vs_hidden("patient_id", $patient_id));
		$t->add_control(6, new vs_hidden("behandlung_id", $behandlung_id));
		$t->add_control(6, new vs_hidden("action", "a_karte_post_ins_roentgen"));
		$t->add_control(6, new vs_button("submit", "Speichern"));
		$t->add_control(6, new vs_button("reset", "Abbrechen"));
		
		$f = new vs_file_edit("filename", 25, 80, "");
		$f->set_label("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Datei");
		$t->add_control(6, $f);
		
		return $t;
		}
	}

//---------------------------------------------------------------------------------------------
?> 
