<?php
/*
 *      roe_worklist.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

//2015-03-15 Klaus Munsteiner: Komplett neuer Ablauf !!!


// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite = new vs_div( "", "", "", "", "", "vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div("","","","","","statusbar");
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
	
	
	
function zeige_roe_worklist($db,$action,$roe_worklist_id)
	{
	if ($roe_worklist_id !== -1)
		$db->query("Select behandlung_id,bezeichnung,datum,memo from vs_roe_worklist where roe_worklist_id= $roe_worklist_id");
	
	$row=$db->fetch_row();
	$behandlung_id = $row[0];
	$datum = $row[2];
	$memo = $row[3];
	
	//NUR wenn es einen Eintrag in der Worklist gibt
	if ($roe_worklist_id != -1)
		{
		//Besitzer und Patienetendaten holen
		$db->query("Select bes.titel,bes.vorname,bes.name,bes.strasse,bes.plz,bes.wohnort, pat.name,pat.rasse,pat.geburtstag,".
					"pat.pat_ident,pat.geschlecht,bes.besitzer_id,pat.patient_id from vs_besitzer bes, vs_patient pat,vs_behandlung beh ".
					"where pat.patient_id=beh.patient_id and pat.besitzer_id=bes.besitzer_id and beh.behandlung_id= $row[0] ");
		$bp_data=$db->fetch_row();  
		}
	
	//gesamter Bereich
	$content= new vs_div("","","","","","roe_worklist_rechts");
	//Tabelle fuer den gesamten Bereich oben und unten
	$t_content = new vs_table("content",2,1);
	//content oben-Angaben zu Patient und Besitzer
	$content_oben= new vs_div("","","","","","roe_worklist_rechts_oben");
	
	//Besitzer und Patienetendaten
	if (isset($row[0]))
		{
		$content_oben->add(new vs_text("<b>&nbsp;Besitzer: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$bp_data[0]." ".$bp_data[1]." ".$bp_data[2].", ".$bp_data[3].", ".$bp_data[4]." ".$bp_data[5]."</b><br><br> "));
		$content_oben->add(new vs_text("<b>&nbsp;Patient: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$bp_data[9].", ".$bp_data[6].", ".$bp_data[7].", * ".$bp_data[8].", ".$bp_data[10]."</b><br>"));
		//fuer ajax Einsatz und fuer Neueingabe (insert)
		$behandlung_id=$row[0];
		$besitzer_id=$bp_data[11];
		$patient_id =$bp_data[12];
		}
		
	//content unten
	$t_content_unten = new vs_table("content_unten",3,2);
	
	if (!isset($vso_roe_worklist_id))
		{
		$vso_roe_worklist_id = -1;
		}
		
	//Listbox rechte Seite -- Position der Roentgen-Worklist
	$t=new vs_form_x("roe_worklist_edit",3);
	$t->set_cellspacing(5);
	
	$t->add_control(1, new vs_label("&nbsp;Auftragsdatum &nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(1, new vs_label("$row[2]"));
	$t->add_control(2, new vs_memo("memo", 80, 12, "$row[3]", "Auftragsdetails &nbsp;&nbsp;&nbsp;"));
	$abstand = new vs_text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Zur Karteikarte des Patienten wechseln &nbsp;");
	$t->add_control(1, $abstand);
	
	if (!isset($besitzer_id))
			{
			$besitzer_id = -1;
			}
			
		if (!isset($patient_id))
			{
			$bpatient_id = -1;
			}
	
	//Link zur Patientenkarte
	$kk = new vs_link_img("../img/kartei_24_36.gif", "../kartei/kartei.php?action=a_karte_show_roentgen&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id", "_blank");
	$kk->set_title("Zur Karteikarte des Patienten wechseln");
	$t->add_control(1, $kk);
	
	$t->add_control(2,new vs_hidden("besitzer_id",$besitzer_id));
	$t->add_control(2,new vs_hidden("patient_id",$patient_id));
	$t->add_control(2,new vs_hidden("behandlung_id",$behandlung_id));
	$t->add_control(2,new vs_hidden("roe_worklist_id",$roe_worklist_id));
	$t->add_control(2,new vs_hidden("action",$action));
	$t->add_control(3,new vs_submit("submit","Speichern","true"));
	$t->add_control(3,new vs_reset("reset","Abbrechen","true"));
	
	//--------------------------------------------------------
	$t_content_unten->add(1,1,$t);
	$t_content->add(1,1,$content_oben);
	$t_content->add(2,1,$t_content_unten);
	
	$content->add($t_content);
	return $content;
	
	}
	
	
function roe_wl_img_leiste($roe_worklist_id)
	{
	$il= new vs_div("200","30","left");
	
	//2015-03-08 KM: nur wenn es einen Eintag in der Roentgen Worklist gibt
	if ($roe_worklist_id != -1)
		{
		$de=new vs_action_img("delete","../img/delete_24.gif","a_del_roe_wl&roe_worklist_id=$roe_worklist_id");
		$de->set_title("Gew&auml;hlte Position l&ouml;schen");
		$il->add($de);
		}
	else
		{
		
		}
		
	$il->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
	
	$rel=new vs_action_img("reload","../img/reload.gif","window.location.reload();");
	$rel->set_title("Liste neu laden");
	$il->add($rel);
	
	$il->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
	
	return $il;
	}



office_login($db);

$b = new vs_page_begin("R&ouml;ntgen - Worklist", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

//echo"<script language=\"javascript\" src=\"behandlung.js\"></script>";

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	//echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
//else 
	{
	if (!isset($vso_action))
		{
		$vso_action = null;
		}
	
	switch ($vso_action) 
		{
		//2015-03-05 KM: case "a_browse" gibt es nicht, es zieht "default"
			
		case "a_del_roe_wl" : //Löschen eines Worklist-Eintrages
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			if (isset($vso_roe_worklist_id))
				{
				$sql = "DELETE FROM vs_roe_worklist WHERE roe_worklist_id=$vso_roe_worklist_id "; 
				$db->query($sql);
				$db->free_result();	
				//worklist_id rausfinden
				$sql = "SELECT MAX(roe_worklist_id) FROM vs_roe_worklist"; 
				$db->query($sql);
				$max=$db->fetch_row();
				$vso_roe_worklist_id=$max[0];
				$db->free_result();	
				
				if (!isset($vso_behandlung_id))
					{
					$vso_behandlung_id = -1;
					}
					
				if (!isset($vso_roe_worklist_id))
					{
					$vso_roe_worklist_id = -1;
					}
				
				}
			// Daten anzeigen
			
			$top=new vs_text("<h2>&nbsp; R&Ouml;NTGEN - WORKLIST</h2>");
			$bottom=navliste("Eintrag wurde gel&ouml;scht</b>","","","../hilfe/help.html#roe_worklist");
			
			if ($vso_roe_worklist_id !== -1)
				{
				$right= zeige_roe_worklist($db,"a_post_edit_roe_wl",$vso_roe_worklist_id);
				}
			else
				{
				$right= new vs_text("<h2>&nbsp; Kein Auftrag ausgew&auml;hlt.</h2>");
				}
			
			$beschriftung = new vs_text("<h2>&nbsp;Auftr&auml;ge</h2>");
			$left= new vs_table("lefttable",5,1);
			$left->set_css_class("roe_worklist_tabelle_links_schmal");
			
			$sql ="SELECT roe_worklist_id,datum,bezeichnung,behandlung_id,memo FROM vs_roe_worklist order by roe_worklist_id asc ; ";
			
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,2,2,0,0,$vso_roe_worklist_id,"roe_worklist.php?action=a_browse&roe_worklist_id=",32,"");
			$lb->add_style("width:265px;height:410px;");
			$left->add(2,1,$beschriftung);
			$left->add(4,1,roe_wl_img_leiste($vso_roe_worklist_id));
			$left->add(5,1,$lb);
			
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		
		case "a_post_ins_roe_worklist" : // fuer Einfügen aus roe_functions.php
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			$today0=today();
			$today=d_dis2db($today0);
			
			if (isset($vso_behandlung_id))
				{
				$sql = "INSERT INTO vs_roe_worklist (datum,behandlung_id,memo,bezeichnung) VALUES ('$today','$vso_behandlung_id','','$vso_bezeichnung') "; 
				$db->query($sql);
				$db->free_result();	
				//worklist_id rausfinden
				$sql = "SELECT MAX(roe_worklist_id) FROM vs_roe_worklist"; 
				$db->query($sql);
				$max=$db->fetch_row();
				$vso_roe_worklist_id=$max[0];
				$db->free_result();	
				}
				
			// Daten anzeigen
			$top=new vs_text("<h2>&nbsp; R&Ouml;NTGEN - WORKLIST</h2>");
			
			$bottom=navliste("Neuer Eintrag f&uuml;r den <b>$today </b>","","","../hilfe/help.html#roe_worklist");
			
			$right= zeige_roe_worklist($db,"a_post_edit_roe_wl",$vso_roe_worklist_id);
			
			$beschriftung = new vs_text("<h2>&nbsp;Auftr&auml;ge</h2>");
			$left= new vs_table("lefttable",5,1);
			$left->set_css_class("roe_worklist_tabelle_links_schmal");

			$sql ="SELECT roe_worklist_id,datum,bezeichnung,behandlung_id FROM vs_roe_worklist  ; ";
			
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,2,2,0,0,$vso_roe_worklist_id,"roe_worklist.php?action=a_browse&roe_worklist_id=",32,"");
			$lb->add_style("width:265px;height:410px;");
			$left->add(2,1,$beschriftung);
			$left->add(4,1,roe_wl_img_leiste($vso_roe_worklist_id));
			$left->add(5,1,$lb);
			
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		break;
		
		
		case  "a_post_edit_roe_wl" :   //nach dem Editieren
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			if (!isset($vso_roe_worklist_id))
				{
				$vso_roe_worklist_id = -1;
				}
			
			if ($vso_roe_worklist_id != -1)
				{
				$db->query("SELECT roe_worklist_id,datum,bezeichnung,behandlung_id,memo FROM vs_roe_worklist ");
				$row=$db->fetch_row();  
				$db->curr_row_as_string();
				$db->free_result();
				
				$db->query("update vs_roe_worklist set memo='$vso_memo' where roe_worklist_id='$vso_roe_worklist_id' ");
				$db->free_result();
				}
			
			$db->query("Select roe_worklist_id, memo from vs_roe_worklist where roe_worklist_id='$vso_roe_worklist_id' order by roe_worklist_id asc");
			$row=$db->fetch_row();
			$db->free_result();
			
			// Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WORKLIST - R&Ouml;NTGEN</h2>");
			$bottom=navliste("Eintrag wurde ge&auml;ndert</b>","","","../hilfe/help.html#roe_worklist");
			$right= zeige_roe_worklist($db,"a_post_edit_roe_wl",$vso_roe_worklist_id);
			$beschriftung = new vs_text("<h2>&nbsp;Auftr&auml;ge</h2>");
			$left= new vs_table("lefttable",5,1);
			$left->set_css_class("roe_worklist_tabelle_links_schmal");
			
			$sql ="SELECT roe_worklist_id,datum,bezeichnung,behandlung_id,memo FROM vs_roe_worklist order by roe_worklist_id asc ; ";
			
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,2,2,0,0,$vso_roe_worklist_id,"roe_worklist.php?action=a_browse&roe_worklist_id=",32,"");
			$lb->add_style("width:265px;height:410px;");
			$left->add(2,1,$beschriftung);
			$left->add(4,1,roe_wl_img_leiste($vso_roe_worklist_id));
			$left->add(5,1,$lb);
			
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		
		
		default:     // Daten anzeigen
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			
			if (!isset($vso_roe_worklist_id))
				{
				$vso_roe_worklist_id = -1;
				}
			
			if ($vso_roe_worklist_id != -1)
				{
				$sql="Select behandlung_id,datum,bezeichnung,memo FROM vs_roe_worklist where roe_worklist_id = $vso_roe_worklist_id";
				$db->query($sql);
				$row=$db->fetch_row();
				$vso_behandlung_id = $row[0];
				$vso_memo = $row[3];
				$memo = $row[3];
				}
			
			$top=new vs_text("<h2>&nbsp; R&Ouml;NTGEN - WORKLIST</h2>");
			
			$bottom=navliste("Alle Worklist-Eintr&auml;ge","","","../hilfe/help.html#roe_worklist");
			
			if ($vso_roe_worklist_id !== -1)
				{
				$right= zeige_roe_worklist($db,"a_post_edit_roe_wl",$vso_roe_worklist_id);
				}
			else
				{
				$right= new vs_text("<h2>&nbsp; Kein Auftrag ausgew&auml;hlt.</h2>");
				}
				
			$beschriftung = new vs_text("<h2>&nbsp;Auftr&auml;ge</h2>");
			$left= new vs_table("lefttable",5,1);
			$left->set_css_class("roe_worklist_tabelle_links_schmal");
			
			$sql ="SELECT roe_worklist_id,datum,bezeichnung,behandlung_id,memo FROM vs_roe_worklist order by roe_worklist_id asc ; ";
			
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,2,2,0,0,$vso_roe_worklist_id,"roe_worklist.php?action=a_browse&roe_worklist_id=",32,"");
			$lb->add_style("width:265px;height:410px;");
			$left->add(2,1,$beschriftung);
			$left->add(4,1,roe_wl_img_leiste($vso_roe_worklist_id));
			$left->add(5,1,$lb);
			
			seite($top,$bottom,$left,$right);
			
			break;
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();

//Datenbankverbindung beenden
$db->free_result();
$db->close();

?> 
