 <?php
/*
 *      rech_ausdruck_html.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";
require_once ("../tcpdf/examples/lang/ger.php");
include_once "../tcpdf/tcpdf.php";

//wichtig: keine Leerzeichen vor dem php Tag und keine nach dem Ende!!!!!!!
//sonst streikt fpdf
//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//Bei den anderen Skripten ist dies nicht von Bedeutung!!!!


//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

$rech_gesamt_file	=	"../templates/template_getrennte_rechnung_gesamt.html";
$rech_praxis_file	=	"../templates/template_getrennte_rechnung_praxis.html";
$rech_aag_file		=	"../templates/template_getrennte_rechnung_aag.html";

//allgemeine Funktionen
$s_mwst_a = ctp($dummy_A=A);
$s_mwst_b = ctp($dummy_B=B);


function template_replace($template)
{
	//Besitzer
	$template	=	str_replace("{BESANREDE}",$anrede,$template);
	$template	=	str_replace("{BESTITEL}",$titel,$template);
	$template	=	str_replace("{BESVORNAME}",$vorname,$template);
	$template	=	str_replace("{BESNAME}",$name,$template);
	$template	=	str_replace("{BESSTRASSE}",$strasse,$template);
	$template	=	str_replace("{BESPLZ}",$plz,$template);
	$template	=	str_replace("{BESORT}",$ort,$template);
	//Rechnung
	$template	=	str_replace("{RECHNUNGNUMMER}",$r_rechnungnummer,$template);
	$template	=	str_replace("{RECHNUNGBRUTTO}",$r_brutto,$template);
	$template	=	str_replace("{RECHNUNGBRUTTO_A}",$r_brutto_a,$template);
	$template	=	str_replace("{RECHNUNGBRUTTO_B}",$r_brutto_b,$template);
	$template	=	str_replace("{RECHNUNGNETTO}",$r_netto,$template);
	$template	=	str_replace("{RECHNUNGBETRAGMWST}",$r_betragmwst,$template);
	$template	=	str_replace("{RECHNUNGBEZAHLT}",$r_bezahlt,$template);
	$template	=	str_replace("{RECHNUNGOFFEN}",$r_offen,$template);
	$template	=	str_replace("{RECHNUNGBRUTTOABGABEMED}",$r_brutto_abgabemed,$template);
	$template	=	str_replace("{RECHNUNGZAHLFRIST}",$r_zahlfrist,$template);
	$template	=	str_replace("{RECHNUNGZUSATZTEXT}",$r_zusatztext,$template);
	$template	=	str_replace("{RECHNUNGDATUM}",$r_rechnungdatum,$template);
	return $template;
}	

//-------------------------------------------------Daten sammeln---------------------------------------------------------------
$db = new vs_db();
$db->connect();


//Rechnungsdaten in 2 arrays (Praxis/AAG) sammeln
$db->query("select besitzer_id,anrede,titel,vorname,name,strasse,plz,wohnort," .
		   " rechnungnummer,brutto,brutto_a,brutto_b,netto,betragmwst,bezahlt,offen,brutto_abgabemed," .
		   "zahlfrist,zusatztext,rechnungdatum " .
		   " from vs_v_rechnung where rechnung_id=$vso_rechnung_id");
$rechnung=$db->fetch_row();
$db->free_result();

//Besitzerdaten


$anrede	=	$rechnung[1];
$titel	=	$rechnung[2];
$vorname=	$rechnung[3];
$name	=	$rechnung[4];
$strasse=	$rechnung[5];
$plz	=	$rechnung[6];
$ort	=	$rechnung[7];

//Rechnungsdaten
$r_rechnungnummer	=	$rechnung[8]; 
$r_brutto			=	number_format($rechnung[9], 2,',',' '); 
$r_brutto_a			=	number_format($rechnung[10], 2,',',' ');//L,M,I,R,V + A,W
$r_brutto_b			=	number_format($rechnung[11], 2,',',' ');  //F
$r_netto_b			=	number_format($rechnung[11]/(1+($s_mwst_b/100)), 2,',',' '); 
$r_netto			=	number_format($rechnung[12], 2,',',' '); 
$r_betragmwst		=	number_format($rechnung[13], 2,',',' '); 
$r_bezahlt			=	number_format($rechnung[14], 2,',',' '); 
$r_offen			=	number_format($rechnung[15], 2,',',' '); 
$r_brutto_abgabemed	=	number_format($rechnung[16], 2,',',' '); // A,W
$r_netto_abgabemed	=	number_format($rechnung[16] /(1+($s_mwst_a/100)), 2,',',' '); 

//PRAXIS
$r_brutto_praxis	=	number_format($rechnung[10]-$rechnung[16], 2,',',' '); //nur L,M,I,R,V (brutto_a - brutto_abgabemed)
$r_netto_praxis		=	number_format(($rechnung[10]-$rechnung[16]) /(1+($s_mwst_a/100)), 2,',',' ');
$r_mwst_praxis		=	number_format(($rechnung[10]-$rechnung[16]) -(($rechnung[10]-$rechnung[16])/(1+($s_mwst_a/100))), 2,',',' ');
//AAG
$r_brutto_aag		=	number_format($rechnung[11]/(1+($s_mwst_b/100)) + $rechnung[16] /(1+($s_mwst_a/100)), 2,',',' ');
$r_netto_aag		=	number_format($rechnung[11]/(1+($s_mwst_b/100)) + $rechnung[16] /(1+($s_mwst_a/100)), 2,',',' ');
$r_netto_a_aag		=	number_format($rechnung[16]/(1+($s_mwst_a/100)), 2,',',' ');
$r_netto_b_aag		=	number_format($rechnung[11]/(1+($s_mwst_b/100)), 2,',',' ');
$r_mwst_a_aag		=	number_format($rechnung[16] - $rechnung[16] /(1+($s_mwst_a/100)), 2,',',' ');
$r_mwst_b_aag		=	number_format($rechnung[11] - $rechnung[11] /(1+($s_mwst_b/100)), 2,',',' ');

$r_zahlfrist		=	$rechnung[17];
$r_zusatztext		=	$rechnung[18];   
$r_rechnungdatum	=	$rechnung[19];

$praxis_behandlungen	= 	array();
$aag_behandlungen		= 	array();
//Schleife mit Behandlungen
$db2 = new vs_db();
$db2->connect();
$db->query("Select behandlung_id,datum,diagnose,patient_id from vs_behandlung " .
 		    "where rechnung_id=$vso_rechnung_id order by patient_id,datum");
while ($behandlung = $db->fetch_row())
{
	$praxis_pos=0;	//Schalter ob Behandlung Positionen der Praxis enthält 
	$aag_pos=0;		//Schalter ob Behandlung Positionen der AAG enthält
	$pos_praxis	= array();
	$pos_aag	= array();		
	$beh_praxis	 = array();
	$beh_aag	 = array();
	$db2->query("Select tierart,rasse,name from vs_patient " .
 		         "where patient_id=$behandlung[3]");
	$patient=$db2->fetch_row();	  
	$db2->free_result();
	
	//Patient
	$pat_tierart	=	$patient[0];
	$pat_rasse		=	$patient[1];  
	$pat_name		=	$patient[2]; 	
  	//Behandlung
  	$beh_datum		=	$behandlung[1];
  	$beh_diagnose	=	$behandlung[2];
  	//Praxis- und AAG-Behandlung-array definieren
  	$beh_praxis["tierart"]		=	$pat_tierart;
  	$beh_praxis["rasse"]		=	$pat_rasse;
  	$beh_praxis["patname"]		=	$pat_name;
  	$beh_praxis["datum"]		=	$beh_datum;
  	$beh_praxis["diagnose"]		=	$beh_diagnose;
  	$beh_praxis["positionen"]	= array();
  	
	$beh_aag["tierart"]		=	$pat_tierart;
  	$beh_aag["rasse"]		=	$pat_rasse;
  	$beh_aag["patname"]		=	$pat_name;
  	$beh_aag["datum"]		=	$beh_datum;
  	$beh_aag["diagnose"]	=	$beh_diagnose;
  	$beh_aag["positionen"] 	= array();
	//VS_RRF kontrollierte Reihenfolge der Positionstypen
	for($i=0;$i<8;$i++)
	{
		$VS_RRF=VS_RRF; //Leistung-Medikament-Abgabemedikament-ImpfungFutter_Fremdleistung-Verbrauchsmaterial
		$typ= $VS_RRF[$i]; //VS_RRF=Rechnungsreihenfolge in config.inc.php
		$db2->query("Select menge,typ,rechbezeichnung,brutto,netto,bezeichnung,ziffer from vs_behposition " .
					"where behandlung_id=$behandlung[0] and typ='$typ'");
	    
		while ($position = $db2->fetch_row())
		{
			
			//v.a. fuer alte Rechnungen....  ohne Rechbezeichnung
			if ($position[2]=="") $position[2]= $position[5];  
   			//Schalter,ob die GOT-Ziffer angegeben wird (def.in config.inc.php)
			if (rechnung_show_got == 1)
			{
				if($position[1]=="L") $position[2] = $position[2]." (".$position[6].")"; 
			}	
			// Schalter ob angewandte Medikamente mit Namen angegeben werden (def.in config.inc.php)  
			if (rechnung_show_m_med != 1)
			{
				if($row[1]=="M") $row[2]="angewandtes Medikament"; 
			}
			$pos_menge			=	ptc($position[0]);
			$pos_typ			=	$position[1];
			$pos_rechbezeichnung=	$position[2];
			$pos_brutto			=	ptc($position[3]);
			$pos_netto			=	ptc($position[4]);
			$pos_ziffer			=	$position[6];
			//Pos-array füllen
			$pos	=	array();
			$pos["menge"]			= $pos_menge;	
			$pos["typ"]				= $pos_typ;
			$pos["rechbezeichnung"]	= $pos_rechbezeichnung;
			$pos["brutto"]			= $pos_brutto;
			$pos["netto"]			= $pos_netto;
			$pos["ziffer"]			= $pos_ziffer;			
			if(in_array($pos_typ, array('A', 'F', 'W'))) //Position für AAG
			{
				if($aag_pos == 0)
				{
					$aag_pos=1;
					//AAG-Puffer mit Patienten- und Behandlungsdaten füllen
					
				}	
				//AAG-Puffer mit Positionssdaten füllen
				$beh_aag["positionen"][] = $pos;
			}
			else //Position für Praxis
			{
				if($praxis_pos == 0)
				{
					$praxis_pos=1;
					//PRAXIS-Puffer mit Patienten- und Behandlungsdaten füllen
					
				}
				//PRAXIS-Puffer mit Positionssdaten füllen
				$beh_praxis["positionen"][]	= $pos;
			}		
		} //while $position... 
		$db2->free_result();
	}//for
	if($praxis_pos > 0) $praxis_behandlungen[]	= 	$beh_praxis;
	if($aag_pos > 0)  $aag_behandlungen[]		= 	$beh_aag;
}//while $behandlung...

//---------------------------------------Ende Daten Sammeln---------------------------------------------------------------- 
//Rechnung Zusammenfassung

// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('VETSOFT Dr.Norbert Klumpp');
$pdf->SetTitle('Praxisrechnung');

// set default header data
//$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 021', PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// ---------------------------------------------------------

// set font
$pdf->SetFont('freesans', '', 10);
//-----------------------------------------------Gesamtrechnung-------------------------------------



if (file_exists($rech_gesamt_file))
$template_gesamt 	=	file_get_contents($rech_gesamt_file);

if (file_exists($rech_praxis_file))
$template_praxis		=	file_get_contents($rech_praxis_file);

if (file_exists($rech_aag_file))
$template_aag		=	file_get_contents($rech_aag_file);


$a_aag = explode  ("{#behandlung}",$template_aag);
$template_aag_behandlung = $a_aag[1];


//Besitzer
$template_gesamt	=	str_replace("{BESANREDE}",$anrede,$template_gesamt);
$template_gesamt	=	str_replace("{BESTITEL}",$titel,$template_gesamt);
$template_gesamt	=	str_replace("{BESVORNAME}",$vorname,$template_gesamt);
$template_gesamt	=	str_replace("{BESNAME}",$name,$template_gesamt);
$template_gesamt	=	str_replace("{BESSTRASSE}",$strasse,$template_gesamt);
$template_gesamt	=	str_replace("{BESPLZ}",$plz,$template_gesamt);
$template_gesamt	=	str_replace("{BESORT}",$ort,$template_gesamt);
//Rechnung
$template_gesamt	=	str_replace("{RECHNUNGNUMMER}",$r_rechnungnummer,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBRUTTO}",$r_brutto,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBRUTTO_A}",$r_brutto_a,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBRUTTO_B}",$r_brutto_b,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGNETTO}",$r_netto,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBETRAGMWST}",$r_betragmwst,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBEZAHLT}",$r_bezahlt,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGOFFEN}",$r_offen,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGBRUTTOABGABEMED}",$r_brutto_abgabemed,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGZAHLFRIST}",$r_zahlfrist,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGZUSATZTEXT}",$r_zusatztext,$template_gesamt);
$template_gesamt	=	str_replace("{RECHNUNGDATUM}",$r_rechnungdatum,$template_gesamt);


$template_gesamt = template_replace($template_gesamt);
// add a page
$pdf->AddPage();
// output the HTML content (Gesamtrechnung)
$pdf->writeHTML($template_gesamt, false, 0, true, 0);



//------------------------------------------------Anlage Praxis-------------------------------------
if (count(praxis_behandlungen) >0 )
{
// add a page - Anlage Praxis
$pdf->AddPage();

if (file_exists($rech_praxis_file))
$template_praxis	=	file_get_contents($rech_praxis_file);
$a_behandlung = explode("{#behandlung}",$template_praxis);
$template_praxis_behandlung = $a_behandlung[1];
$a_position = explode ("{#position}",$template_praxis_behandlung);
$template_praxis_position = $a_position[1];

$buf="";

for($i=0;$i<count($praxis_behandlungen);$i++)
{
	$beh_zeile  =   $template_praxis_behandlung;
	$beh_zeile  =	str_replace("{BEHDATUM}",$praxis_behandlungen[$i]["datum"],$beh_zeile);
	$beh_zeile	=	str_replace("{PATRASSE}",$praxis_behandlungen[$i]["rasse"],$beh_zeile);
	$beh_zeile	=	str_replace("{PATNAME}",$praxis_behandlungen[$i]["patname"],$beh_zeile);
	$beh_zeile  =   str_replace("{#position}","",$beh_zeile);
	$posbuf="";
	for ($j=0;$j<count($praxis_behandlungen[$i]["positionen"]);$j++)
	{
		$pos_zeile = $template_praxis_position;
		$pos_zeile = str_replace("{POSTYP}",$praxis_behandlungen[$i]["positionen"][$j]["typ"],$pos_zeile);
		$pos_zeile = str_replace("{POSMENGE}",$praxis_behandlungen[$i]["positionen"][$j]["menge"],$pos_zeile);
		$pos_zeile = str_replace("{POSBEZEICHNUNG}",$praxis_behandlungen[$i]["positionen"][$j]["rechbezeichnung"],$pos_zeile);
		$pos_zeile = str_replace("{POSNETTO}",$praxis_behandlungen[$i]["positionen"][$j]["netto"],$pos_zeile);
		$pos_zeile = str_replace("{POSBRUTTO}",$praxis_behandlungen[$i]["positionen"][$j]["brutto"],$pos_zeile);
		$posbuf .= $pos_zeile;
	}
	$beh_zeile = str_replace($template_praxis_position,$posbuf,$beh_zeile);
	$buf.= $beh_zeile;
}

$template_praxis = str_replace($template_praxis_behandlung,$buf,$template_praxis);
$template_praxis = str_replace("{#behandlung}","",$template_praxis);
//noch ein paar mögliche Angaben
$template_praxis	=	str_replace("{RECHNUNGNUMMER}",$r_rechnungnummer,$template_praxis);
$template_praxis	=	str_replace("{RECHNUNGDATUM}",$r_rechnungdatum,$template_praxis);
// output the HTML content
$pdf->writeHTML($template_praxis, false, 0, true, 0);
}
//---------------------------------------Anlage Praxis-----------------------------------------------------------

//---------------------------------------Anlage AAG--------------------------------------------------------------
if (count($aag_behandlungen) > 0 )
{
// add a page - Anlage AAG
$pdf->AddPage();

if (file_exists($rech_aag_file))
$template_aag	=	file_get_contents($rech_aag_file);
$a_behandlung = explode("{#behandlung}",$template_aag);
$template_aag_behandlung = $a_behandlung[1];
$a_position = explode ("{#position}",$template_aag_behandlung);
$template_aag_position = $a_position[1];

$buf="";

for($i=0;$i<count($aag_behandlungen);$i++)
{
	$beh_zeile  =   $template_aag_behandlung;
	$beh_zeile  =	str_replace("{BEHDATUM}",$aag_behandlungen[$i]["datum"],$beh_zeile);
	$beh_zeile	=	str_replace("{PATRASSE}",$aag_behandlungen[$i]["rasse"],$beh_zeile);
	$beh_zeile	=	str_replace("{PATNAME}",$aag_behandlungen[$i]["patname"],$beh_zeile);
	$beh_zeile  =   str_replace("{#position}","",$beh_zeile);
	$posbuf="";
	for ($j=0;$j<count($aag_behandlungen[$i]["positionen"]);$j++)
	{
		$pos_zeile = $template_aag_position;
		$pos_zeile = str_replace("{POSTYP}",$aag_behandlungen[$i]["positionen"][$j]["typ"],$pos_zeile);
		$pos_zeile = str_replace("{POSMENGE}",$aag_behandlungen[$i]["positionen"][$j]["menge"],$pos_zeile);
		$pos_zeile = str_replace("{POSBEZEICHNUNG}",$aag_behandlungen[$i]["positionen"][$j]["rechbezeichnung"],$pos_zeile);
		$pos_zeile = str_replace("{POSNETTO}",$aag_behandlungen[$i]["positionen"][$j]["netto"],$pos_zeile);
		$pos_zeile = str_replace("{POSBRUTTO}",$aag_behandlungen[$i]["positionen"][$j]["brutto"],$pos_zeile);
		$posbuf .= $pos_zeile;
	}
	$beh_zeile = str_replace($template_aag_position,$posbuf,$beh_zeile);
	$buf.= $beh_zeile;
}

$template_aag = str_replace($template_aag_behandlung,$buf,$template_aag);
$template_aag = str_replace("{#behandlung}","",$template_aag);
//noch ein paar mögliche Angaben
$template_aag	=	str_replace("{RECHNUNGNUMMER}",$r_rechnungnummer,$template_aag);
$template_aag	=	str_replace("{RECHNUNGDATUM}",$r_rechnungdatum,$template_aag);
// output the HTML content
$pdf->writeHTML($template_aag, false, 0, true, 0);
}
//------------------------Anlage AAG--------------------------------------------


// reset pointer to the last page
$pdf->lastPage();

// ---------------------------------------------------------

//Close and output PDF document
//Dateiname=Rechnungnummer
$f_name	=	$rechnung[8].".pdf";
ob_start();
$pdf->Output($f_name,'I');
ob_end_flush();

//----------------Ende des Dokumentes-------------------------------- 
$db->free_result()	;

//jetzt noch das Ausgabedatum der Rechnung ggf. umaendern
$heute=today();
$db->query("Update vs_rechnung set ausgabedatum= '$heute' where rechnung_id=$vso_rechnung_id");
$db->free_result();  
$db->close();


?>
