 <?php
/*
 *      rechnung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2016 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

/* 
 * 2015-05-19 Klaus Munsteiner: Neues Design Version 1.8
 * 
 * 
 * 2015-05-31 KM: 
 * Neue Einzelrechnungsfunktionalitaet eingebaut.
 * Alle Zahlungen einer Behandlung werden in die Rechnung uebernommen.
 * 
 * Reihefolge der case-Bedingungen geaendert, damit es uebersichtlich wird.
 * 
 * $num_rows = 0 muss immer default sein.
 * 
 * 
 * 
 * 2015-08-31 Dirk Walter: "order by rechnungnummer" durch "order by rechnung_id" ersetzt,
 * damit die Sortierung unabhaengig von der Deklaration der Rechnungsnummer funktioniert.
 *
 * 
*/

// include Dateien

include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../home/login_function.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../kartei/position_functions.php"; //fuer behandlung_summe()
include_once "../kartei/besitzer_functions.php"; //fuer standard_zahlweise()


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


function make_rechnungnummer($pre, $offset, $int_rn, $post)
//erstellt Rechnungnummer als string
	
// pre: Anfang  offset: Zahl,zu der int_rn addiert wird, post Schluss
	
//definiert in config.inc.php
	{
	//echo " ---- function make_rechnungsnummer";
	return $pre . ($offset + $int_rn) . $post;
	}


function make_rechnung_tab($ins, $db, $active, $rechnung_id, $besitzer_id, $zahlstatus)
//KM: TABs
	{
	//echo " ---- function make_rechnung_tab";
	$tab = new vs_tabs("100%");
	$tab->set_active_tab($active);
	$tab->add_tab("Angaben", "?action=a_browse&besitzer_id=$besitzer_id&rechnung_id=$rechnung_id&zahlstatus=$zahlstatus");
	if (($ins == "0") and (isset($rechnung_id))) // nicht zeigen beim Erstellen neuer Rechnungen/ ohne Rechnung_id
		{
		$tab->add_tab("Positionen", "?action=a_browse_position&besitzer_id=$besitzer_id&rechnung_id=$rechnung_id&zahlstatus=$zahlstatus");
		$tab->add_tab("Abrechnung", "?action=a_browse_abrechnung&besitzer_id=$besitzer_id&rechnung_id=$rechnung_id&zahlstatus=$zahlstatus");
		}
	return $tab;
	}



function img_leiste($db, $num_rows, $rechnung_id, $besitzer_id, $zahlstatus)
//KM: Leiste ueber Tabelle links
	{
	global $can_insert;
	global $can_delete;
	
	$can_insert = "1";
	$can_delete = "1";
	
	//KM: $nr --> Anzahl der Behandlungen,  $nr = 0 --> keine Behandlung zugeordnet
	if (isset($rechnung_id))
		{
		$db->query("select behandlung_id from vs_behandlung where rechnung_id=$rechnung_id");
		$nr = $db->num_rows();
		$db->free_result();
		}
	else
		$nr = 1; // keine eindeutige Rechnung_ID, also ggf auf Positionen achten
		
	$il = new vs_div("il", "30", "left");
	//2015-05-25 KM: Fehler beseitigt, falsche Variable $num_rows !!!
	if ($nr == 0)
		{
		//2015-05-25 KM: Neue Konstante rechnung_del in config.inc.php
		//bestimmt, ob ein Loeschen der Rechnung erlaubt ist, wegen fortlaufender Nummerierung.
		
		//if (($can_delete == "1") and ($nr == 0))
		if (($can_delete == "1") and ($nr == 0) and (rechnung_del == "1"))
			{
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus"));
			}
		//2015-05-25 KM: Hinweistext neu
		$il->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
		$il->add(new vs_text('<span style="color:red"><b>Rechnung ohne Positionen</b></font>'));
		$il->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
		}
	return $il;
	}



function make_seite($left, $right, $top, $bottom)
//KM: Seitenaufbau
	{
	//echo " ---- function make_seite";
	//2015-02-20 KM: Formatierung geaendert
	$seite     = new vs_div("", "", "", "", "", "vs_seite");
	//content
	$t_content = new vs_table("content", 3, 1);
	//------------------------oben-------------------------------------
	//2015-01-27 KM: Formatierung geaendert
	$oben      = new vs_div;
	//Auswahlmenue
	$menu      = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift Zeile
	$oben->add($top);
	$oben->add_style("height:80px;");
	//-----------------------------mitte--------------------------------
	$center   = new vs_div("", "", "", "", "", "rechnung_mitte");
	$t_center = new vs_table("center", 1, 2, "1150");
	//-------------mitte links
	$links    = new vs_div("", "", "", "", "", "rechnung_mitte_links");
	$links->add($left);
	//-------------mitte rechts
	$rechts = new vs_div("", "", "", "", "", "rechnung_mitte_rechts");
	$rechts->add($right);
	
	$t_center->add(1, 1, $links);
	$t_center->add(1, 2, $rechts);
	$center->add($t_center);
	//-----------------------------unten--------------------------------
	$unten = new vs_div;
	$unten->add($bottom);
	$t_content->add(1, 1, $oben);
	$t_content->add(2, 1, $center);
	$t_content->add(3, 1, $unten);
	//content
	$seite->add($t_content);
	$seite->write();
	}



function make_besitzertext($db, $besitzer_id)
//KM: Besitzertext im Kopf
	{
	//echo " ---- function make_besitzertext";
	if ((isset($besitzer_id)) and ($besitzer_id != ""))
		{
		//nur Rechnungen eines Besitzers
		$db->query("select name,vorname,strasse,wohnort,titel,plz,telefon_1 from vs_besitzer where besitzer_id=$besitzer_id");
		$row = $db->fetch_row();
		$db->free_result();
		$besitzertext = $row[4] . " " . $row[0] . ", " . $row[1] . ", " . $row[2] . ", " . $row[5] . " " . $row[3] . " " . $row[6];
		}
	else
		$besitzertext = "Alle Besitzer";
	return $besitzertext;
	}

function make_re_title($db, $besitzer_id)
//KM: Titel auf dem Browser-TAB
	{
	return "Rechnungen [" . make_besitzertext($db, $besitzer_id) . "]";
	}



function make_top($db, $besitzer_id, $action, $zahlstatus, $enabled = 0)
//KM: Oberer Bereich der Rechnungsseite
	{
	//echo " ---- function make_top";
	// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
	//$zf=d_dis2db(today());
	$today = today();
	$zf    = d_dis2db($today);
	
	if ((isset($besitzer_id)) and ($besitzer_id != ""))
		{
		$besitzertext = make_besitzertext($db, $besitzer_id);
		$e            = new vs_edit("besitzer", 60, 150, $besitzertext, "<span style=\"font-weight:100; font-size:1.6em\">&nbsp; Rechnungen &nbsp;&nbsp;</span>");
		$e->set_readonly("true");
		
		//checken fuer Optionen mit besitzer_ id
		$db->query("select count(*) from vs_v_rechnung where offen <= 0 and besitzer_id = $besitzer_id ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_bez = 1;  //KM: bezahlt
			
		//2015-08-13 KM:  Aenderungen fuer Storno unbezahlt
		//$db->query("select count(*) from vs_v_rechnung where offen > 0 and besitzer_id = $besitzer_id ");
		$db->query("select count(*) from vs_v_rechnung where offen > 0 and storno_aktiv != '1' and besitzer_id = $besitzer_id ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_off = 1;  //KM: unbezahlt
			
		//2015-08-13 KM:  Aenderungen fuer Storno ueberfallig
		//$db->query("select count(*) from vs_v_rechnung where offen > 0 and  zahlfrist <  '$zf' and besitzer_id = $besitzer_id ");
		$db->query("select count(*) from vs_v_rechnung where offen > 0 and  zahlfrist <  '$zf' and storno_aktiv != '1' and besitzer_id = $besitzer_id ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_ube = 1;  //KM: ueberfallig
			
		//2015-08-13 KM: NEU Storno
		$db->query("select count(*) from vs_v_rechnung where storno_aktiv  = '1' and besitzer_id = $besitzer_id ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_storno = 1;  //KM: storno
		}
	else
		{
		//Rechnungen aller Besitzer 
		$e = new vs_edit("besitzer", 60, 150, "Alle Besitzer", "<span style=\"font-weight:100; font-size:1.6em\">&nbsp; Sammelrechnungen &nbsp;&nbsp;</span>");
		$e->set_readonly("true");
		
		//checken fuer Optionen ohne besitzer_ id
		$db->query("select count(*) from vs_v_rechnung where offen <= 0");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_bez = 1;  //KM: bezahlt
			
		//2015-08-13 KM:  Aenderungen fuer Storno unbezahlt
		//$db->query("select count(*) from vs_v_rechnung where offen > 0");
		$db->query("select count(*) from vs_v_rechnung where offen > 0 and storno_aktiv != '1' ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_off = 1;  //KM: unbezahlt
		
		//2015-08-13 KM:  Aenderungen fuer Storno ueberfallig
		//$db->query("select count(*) from vs_v_rechnung where offen > 0 and  zahlfrist <  '$zf' ");
		$db->query("select count(*) from vs_v_rechnung where offen > 0 and  zahlfrist <  '$zf' and storno_aktiv != '1' ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_ube = 1;  //KM: ueberfallig
			
		//2015-08-13 KM: NEU Storno
		$db->query("select count(*) from vs_v_rechnung where storno_aktiv = '1' ");
		$row = $db->fetch_row();
		if ($row[0] > 0)
			$lb_storno = 1;  //KM: storno
		}
		
	$t = new vs_form_x("beh_zeigen", 1);
	$t->add_control(1, $e);
	if ($enabled == 1)
		{
		$lb = new vs_listbox("zahlstatus", 20, $zahlstatus,"1","<span style=\"font-weight:100; font-size:1.6em\">&nbsp; Zahlstatus &nbsp;&nbsp;</span>");
		$lb->add_item("alle", "alle");
		
		//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $lb_bez, $lb_off und $lb_ube
		if (!isset($lb_bez))
			{
			$lb_bez = null;
			}
		if (!isset($lb_off))
			{
			$lb_off = null;
			}
		if (!isset($lb_ube))
			{
			$lb_ube = null;
			}
		//2015-08-13 KM: NEU Storno
		if (!isset($lb_storno))
			{
			$lb_storno = null;
			}
		
		if ($lb_bez == 1)
			$lb->add_item("bezahlt", "bezahlt");
			
		if ($lb_off == 1)
			$lb->add_item("unbezahlt", "unbezahlt");
			
		if ($lb_ube == 1)
			$lb->add_item("uberfallig", "&uuml;berf&auml;llig");
			
		//2015-08-13 KM: NEU Storno
		if ($lb_storno == 1)
			$lb->add_item("storno", "storniert");
			
		$t->add_control(1, $lb);
		$t->add_control(1, new vs_hidden("besitzer_id", $besitzer_id));
		$t->add_control(5, new vs_hidden("action", $action));
		$t->add_control(1, new vs_submit("submit", "Ausw&auml;hlen", "true"));
		}
	return $t;
	}



function rechnung_browse($db, &$num_rows, &$rechnung_id, $besitzer_id, $zahlstatus)
	{
	//echo " ---- function rechnung_browse";
	
	$num_rows = 0;
	$rrf      = rech_reihenfolge;
	
	//KM: $zst    wird benutzt, zur Suche ohne $rechnung_id und ohne $besitzer_id.
	//KM: $zst2   wird benutzt, zur Suche ohne $rechnung_id, aber mit $besitzer_id.
	
	switch ($zahlstatus)
	{
		case "bezahlt":
			$zst  = " where offen=0 ";
			$zst2 = " and offen=0 ";
			break;
		case "unbezahlt":
			//$zst  = " where offen>0 ";
			//$zst2 = " and offen>0 ";
			$zst  = " where offen>0 and storno_aktiv != '1' ";
			$zst2 = " and offen>0 and storno_aktiv != '1' ";
			break;
		case "uberfallig":
			//2014-11-08 KM: seit PHP 5.3.0 DEPRECATED
			//$zf=d_dis2db(today());
			$today = today();
			$zf    = d_dis2db($today);
			//$zst   = " where offen > 0 and zahlfrist <  '$zf' ";
			//$zst2  = " and offen > 0  and zahlfrist <  '$zf' ";
			$zst   = " where offen > 0 and zahlfrist < '$zf' and storno_aktiv != '1' ";
			$zst2  = " and offen > 0  and zahlfrist < '$zf' and storno_aktiv != '1' ";
			break;
		//2015-08-13 KM: NEU Storno
		case "storno":
			$zst  = " where storno_aktiv = '1' ";
			$zst2 = " and storno_aktiv = '1' ";
			break;
		default:
			$zst  = "";
			$zst2 = "";
			break;
	}
	
	if (!isset($rechnung_id))
	//2015-08-13 KM: NEU Storno 
		{
		if ((!isset($besitzer_id)) or ($besitzer_id == ""))
			$db->query("Select rechnung_id,rechnungdatum,ausgabedatum," . 
						"ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,besitzer_id,mahnung_1_datum, mahnung_1_gebuehr,mahnung_2_datum, " . 
						//"mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr from vs_v_rechnung $zst order by rechnung_id $rrf");
						"mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr, storno_aktiv, storno_datum " .
						"from vs_v_rechnung $zst order by rechnung_id $rrf");
						
						
		else
			$db->query("Select rechnung_id,rechnungdatum,ausgabedatum," . 
						"ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,besitzer_id ,mahnung_1_datum, mahnung_1_gebuehr, " . 
						//"mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr " .
						"mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr, storno_aktiv, storno_datum " . 
						"from vs_v_rechnung where besitzer_id=$besitzer_id $zst2 order by rechnung_id $rrf");
		}
	else
		{
		$db->query("Select rechnung_id,rechnungdatum,ausgabedatum," . 
					"ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,besitzer_id ,mahnung_1_datum, mahnung_1_gebuehr, " . 
					//"mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr  " . 
					"mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr, storno_aktiv, storno_datum " . 
					"from vs_v_rechnung where rechnung_id=$rechnung_id $zst2 order by rechnung_id $rrf");
		}
	$row         = $db->fetch_row();
	$rechnung_id = $row[0];
	$num_rows    = $db->num_rows();
	$olddata     = $db->curr_row_as_string();
	//-----------read-only Felder
	$db->free_result();
	
	$db->query("Select brutto,bezahlt,offen,name,vorname,wohnort from vs_v_rechnung where rechnung_id=$rechnung_id");
	$row2     = $db->fetch_row();
	//2015-03-16 KM: Reihenfolge auf Name, Vorname geaendert
	//$besitzer = $row2[4] . " " . $row2[3] . ", " . $row2[5];
	$besitzer = $row2[3] . ", " . $row2[4] . ", " . $row2[5];
	//---------------------------------------
	$total    = new vs_div("", "", "", "", "", "rechnung_tab");
	$total->add(make_rechnung_tab("0", $db, 1, $rechnung_id, $besitzer_id, $zahlstatus));
	//2015-02-20 KM: Formatierung geaendert;
	$unten = new vs_div("", "", "", "", "", "rechnung_tabd");
	
	$t = new vs_form_x("rechnung_zeigen", 9);
	$t->set_cellspacing(2);
	//Datenfelder
	
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row))
		{
		$row = null;
		}
	
	d_db2dis($row[1]); //Rechnungdatum
	d_db2dis($row[2]); //Ausgabedatum
	d_db2dis($row[5]); //Zahlfrist
	d_db2dis($row[9]); //Datum 1. Mahnung
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[10]))
		{
		$row[10] = null;
		}
	$row[10] = ptc($row[10]); //Gebuehr.1.Mahnung
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[11]))
		{
		$row[11] = null;
		}
	d_db2dis($row[11]); //Datum 2. Mahnung
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[12]))
		{
		$row[12] = null;
		}
	$row[12] = ptc($row[12]); //Gebuehr.2.Mahnung
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[13]))
		{
		$row[13] = null;
		}
	d_db2dis($row[13]); //Datum 3. Mahnung
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[14]))
		{
		$row[14] = null;
		}
	$row[14] = ptc($row[14]); //Gebuehr.3.Mahnung
	
	
	
	//read-only Datenfelder
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row2[0]))
		{
		$row2[0] = null;
		}
	
	//2015-08-13 KM: NEU Storno 
	//storno_aktiv	($row[15])
	//storno_datum	($row[16])
	if (!isset($row[16])) //storno_datum
		{
		$row[16] = null;
		}
	d_db2dis($row[16]); //storno_datum
	
	
	
	$row2[0] = ptc($row2[0]); //brutto
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row2[1]))
		{
		$row2[1] = null;
		}
	$row2[1] = ptc($row2[1]); //bezahlt
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row2[2]))
		{
		$row2[2] = null;
		}
	$row2[2] = ptc($row2[2]); //offen
	
	$c = new vs_edit("an", 34, 34, $besitzer, "Besitzer &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$c->set_readonly(1);
	$t->add_control(1, $c);
	
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[6]))
		{
		$row[6] = null;
		}
	$rn = new vs_edit("rechnungnummer", 20, 30, "$row[6]", "Rechnung Nr.");
	
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$rn->set_readonly("true");
	$t->add_control(1, $rn);
	
	//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
	//2015-12-07 KM: NEU --- Schalter fuer Praxis mit Apotheke oder Praxis + AAG getrennt
	if (aag == 1)
		{
		$ip = new vs_link_img("../img/print_24.gif", "rech_ausdruck_aag.php?rechnung_id=$rechnung_id", "_blank");
		}
	else
		{
		$ip = new vs_link_img("../img/print_24.gif", "rech_ausdruck.php?rechnung_id=$rechnung_id", "_blank");
		}
	$ip->set_title("Rechnung drucken");
	$t->add_control(1, $ip);
	
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[8]))
		{
		$row[8] = null;
		}
	
	$t->add_control(1, new vs_img("", "../img/vert_gray.gif"));
	
	//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img  
	//2014-12-27 KM: geaendert kartei.gif --> kartei_24_36.gif und Kommentar eingefuegt
	$kk = new vs_link_img("../img/kartei_24_36.gif", "../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=$row[8]", "_self");
	$kk->set_title("Zur Karteikarte des Patienten wechseln");
	$t->add_control(1, $kk);
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker 
	//$t->add_control(1,new vs_date_edit("rechnungdatum", 10, 10, "$row[1]","Datum"));
	$t->add_control(2, new vs_datepicker("rechnungdatum", $row[1], "multi_rech1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	//$t->add_control(1,new vs_date_edit("zahlfrist",10,10, "$row[5]"));
	$t->add_control(2, new vs_datepicker("zahlfrist", $row[5], "multi_2w_Datepicker", "Zahlfrist"));
	
	//2015-08-09 KM: Datumfeld ist readonly, da es bei jedem Druck neu geschrieben wird.
	//$t->add_control(2, new vs_datepicker("ausgabedatum", $row[2], "multi_rech2_Datepicker", "Letzte Ausgabe"));
	$ad = new vs_edit("ausgabedatum", 10, 10, "$row[2]","Letzte Ausgabe");
	$ad->set_readonly(1);
	$t->add_control(2,$ad);
	
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[3]))
		{
		$row[3] = null;
		}
	//2015-08-09 KM: NEU $lb->add_item("e", "Eigenbedarf");
	$lb = new vs_listbox("ausgabeart", 30, "$row[3]", 0, "Ausgabeart");
	$lb->add_item("d", "direkt mitgegeben");
	$lb->add_item("p", "Postversand");
	$lb->add_item("e", "per E-Mail");
	$lb->add_item("f", "Telefax");
	$lb->add_item("e", "Eigenbedarf");
	$t->add_control(2, $lb);
	
	//---------------readonly Felder
	$c = new vs_edit("brutto", 8, 8, $row2[0],"Brutto &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$c->set_readonly(1);
	$t->add_control(3, $c);
	
	$c = new vs_edit("bezahlt", 8, 8, $row2[1]);
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$c->set_readonly(1);
	$t->add_control(3, $c);
	
	$c = new vs_edit("offen", 8, 8, $row2[2]);
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$c->set_readonly(1);
	$t->add_control(3, $c);
	
	$t->add_control(3, new vs_img("", "../img/vert_gray.gif"));
	
	//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
	$info = new vs_link_img("../img/info_24.gif", "../kartei/besitzer_event.php?besitzer_id=$row[8]&action=a_show_bes_detail", "_blank");
	$info->set_title("Angaben zum Tierbesitzer");
	$t->add_control(3, $info);
	//----------------------------------  
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[4]))
		{
		$row[4] = null;
		}
	$t->add_control(4, new vs_memo("memo", 75, 7, "$row[4]", "Bemerkung"));
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[7]))
		{
		$row[7] = null;
		}
	$t->add_control(4, new vs_memo("zusatztext", 75, 7, "$row[7]", " Zusatztext &nbsp;"));
	
	//-------------- Mahnung 1 ------------
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(5,new vs_date_edit("mahnung_1_datum", 10, 10,$row[9],"1.Mahnung"));
	$t->add_control(5, new vs_datepicker("mahnung_1_datum", $row[9], "multi_mahn1_Datepicker", "1. Mahnung"));
	
	$t->add_control(5, new vs_d_edit("mahnung_1_gebuehr", 10, 10, $row[10], "Mahngeb&uuml;hr"));
	
	//2015-08-16 KM: NEU, wenn Mahnung, aktiv roter Punkt, Druck moeglich
	if (($row[9] != "01.01.0001") or ($row[9] == ""))
		{
		$red_mahn1 = new vs_img("mahnung1", "../img/redpoint.gif");
		$red_mahn1->set_title("1. Mahnung");
		$t->add_control(5, $red_mahn1);
		
		$m_1_druck = (new vs_link_img("../img/print_24.gif", "m_1_ausdruck.php?rechnung_id=$rechnung_id", "_blank"));
		$m_1_druck->set_title("Mahnung drucken");
		$t->add_control(5, $m_1_druck);
		}
	
	//-------------- Mahnung 1--------------
	
	//-------------- Mahnung-2 -------------
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(6,new vs_date_edit("mahnung_2_datum", 10, 10,$row[11],"2.Mahnung"));
	$t->add_control(6, new vs_datepicker("mahnung_2_datum", $row[11], "multi_mahn2_Datepicker", "2. Mahnung"));
	
	$t->add_control(6, new vs_d_edit("mahnung_2_gebuehr", 10, 10, $row[12], "Mahngeb&uuml;hr"));
	
	//2015-08-16 KM: NEU, wenn Mahnung, aktiv roter Punkt, Druck moeglich
	if (($row[11] != "01.01.0001") or ($row[11] == ""))
		{
		$red_mahn2 = new vs_img("mahnung2", "../img/redpoint.gif");
		$red_mahn2->set_title("2. Mahnung");
		$t->add_control(6, $red_mahn2);
		
		$m_2_druck = (new vs_link_img("../img/print_24.gif", "m_2_ausdruck.php?rechnung_id=$rechnung_id", "_blank"));
		$m_2_druck->set_title("Mahnung drucken");
		$t->add_control(6, $m_2_druck);
		}
	//-------------- Mahnung-2--------------
	
	//-------------- Mahnung 3 -------------
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(7,new vs_date_edit("mahnung_3_datum", 10, 10,$row[13],"3.Mahnung"));
	$t->add_control(7, new vs_datepicker("mahnung_3_datum", $row[13], "multi_mahn3_Datepicker", "3. Mahnung"));
	
	$t->add_control(7, new vs_d_edit("mahnung_3_gebuehr", 10, 10, $row[14], "Mahngeb&uuml;hr"));
	
	//2015-08-16 KM: NEU, wenn Mahnung, aktiv roter Punkt, Druck moeglich
	if (($row[13] != "01.01.0001") or ($row[13] == ""))
		{
		$red_mahn3 = new vs_img("mahnung3", "../img/redpoint.gif");
		$red_mahn3->set_title("3. Mahnung");
		$t->add_control(7, $red_mahn3);
		
		$m_3_druck = (new vs_link_img("../img/print_24.gif", "m_3_ausdruck.php?rechnung_id=$rechnung_id", "_blank"));
		$m_3_druck->set_title("Mahnung drucken");
		$t->add_control(7, $m_3_druck);
		}
	//---------------- Mahnung 3--------------
	
	
	//----------------  STORNO  --------------
	//2015-08-13 KM: NEU Storno 
	//storno_aktiv	($row[15])
	//storno_datum	($row[16])
	
	/*
	// fuer case "a_ins_storno" KM Baustelle
	
	 if (!isset($storno_add))
		{
		$storno_add = null;
		}
	
	if ($row[15] == "0")
		{
		$storno_add ->add_action(new vs_action("a_ins_storno&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus", "../img/arrow_right.png"));
		$t->add_control(8, $storno_add);
		}
	*/
	
	if (!isset($row[16]))
		{
		$row[16] = "01.01.0001";
		}
	$t->add_control(8, new vs_datepicker("storno_datum", $row[16], "multi_storno1_Datepicker", "STORNO &nbsp;&nbsp;&nbsp;&nbsp;"));
	
	if (!isset($row[15]))
		{
		$row[15] = "0";
		}
		
	$c_storno = new vs_checkbox("storno_aktiv", $row[15]);
	$c_storno->set_disabled("false");
	$c_storno->set_label("Aktiv ");
	$t->add_control(8, $c_storno);
	
	
	if ($row[15] == "1")
		{
		$storno_img = new vs_img("", "../img/storno.png");
		$storno_img->set_title("Rechnung storniert");
		$t->add_control(8, $storno_img);
		}
		
	if (($row[15] == "1") and (($row[16] == "01.01.0001") or ($row[16] == "")))
		{
		$t->add_control(8, new vs_img("", "../img/warning.gif")); 
		$t->add_control(8, new vs_text("<b> DATUM !!!</b>"));
		}
		
		
		
	//----------------  STORNO  --------------
	
	
	
	//2014-01-01 KM: Beseitigung eines Undefined offset
	if (!isset($row[0]))
		{
		$row[0] = null;
		}
		
	$t->add_control(9, new vs_hidden("rechnung_id", $row[0]));
	$t->add_control(9, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(9, new vs_hidden("zahlstatus", $zahlstatus));
	$t->add_control(9, new vs_hidden("action", "a_post_edit"));
	$t->add_control(9, new vs_hidden("olddata", "$olddata"));
	
	$t->add_control(9, new vs_submit("submit", "Speichern", "true"));
	$t->add_control(9, new vs_reset("reset", "Abbruch", "true"));
	
	$unten->add($t);
	
	$total->add($unten);
	return $total;
	}



function rechnung_neu($db, $besitzer_id)
	{
	//echo " ---- function rechnung_neu";
	//fuer die Zahlfrist
	
	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable
	if (!isset($nonsense))
		{
		$nonsense = null;
		}
	if (!isset($zahlstatus))
		{
		//2015-05-31 KM: $zahlstatus = "alle";
		$zahlstatus = "alle";
		}
	
	$db->query("select zahlfrist from vs_besitzer where besitzer_id=$besitzer_id");
	$bes = $db->fetch_row();
	$db->free_result();
	$total = new vs_div("", "", "", "", "", "rechnung_tab");
	$total->add(make_rechnung_tab("1", $db, 1, $nonsense, $besitzer_id, $zahlstatus)); //noch keine rechnung_id
	
	//2015-02-20 KM: Formatierung geaendert;
	$unten = new vs_div("", "", "", "", "", "rechnung_tabd");
	
	$t = new vs_form_x("rechnung_neu", 8);
	$t->set_cellspacing(5);
	
	//Datenfelder
	$t->add_control(1,new vs_text("<h2>Neue Sammelechnung erstellen / Rechnungsnummer erzeugen</h2>"));
	
	$c = new vs_edit("an", 34, 34, "wird vom Programm eingetragen", "Besitzer &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$c->set_readonly(1);
	$t->add_control(2, $c);
	
	$rn = new vs_edit("rechnungnummer", 30, 30, "wird vom Programm erstellt", "Rechnung Nr.");
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$rn->set_readonly("true");
	$t->add_control(2, $rn);
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(1,new vs_date_edit("rechnungdatum", 10, 10,today(),"Datum"));
	$t->add_control(3, new vs_datepicker("rechnungdatum", "", "multi_rech1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	//$t->add_control(1,new vs_date_edit("zahlfrist",10,10,alterdate(today(),$bes[0])));
	$t->add_control(3, new vs_datepicker("zahlfrist", "", "multi_2w_Datepicker", "Zahlfrist"));
	
	//2015-08-09 KM: Datum muss fest gesetzt werden, da hier noch kein Druck augegeben wird.
	//$t->add_control(3, new vs_datepicker("ausgabedatum", "", "multi_rech2_Datepicker", "Letzte Ausgabe"));
	$t->add_control(3, new vs_hidden("ausgabedatum", "01.01.0001"));
	
	//2015-08-09 KM: NEU $lb->add_item("e", "Eigenbedarf");
	$lb = new vs_listbox("ausgabeart", 30, "d", 0, "Ausgabeart");
	$lb->add_item("d", "direkt mitgegeben");
	$lb->add_item("p", "Postversand");
	$lb->add_item("e", "per E-Mail");
	$lb->add_item("f", "Telefax");
	$lb->add_item("e", "Eigenbedarf");
	$t->add_control(3, $lb);
	
	$t->add_control(4, new vs_memo("memo", 75, 7, "", "Bemerkung"));
	$t->add_control(4, new vs_memo("zusatztext", 75, 7, "", "Zusatztext &nbsp;"));
	$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(5, new vs_hidden("action", "a_post_ins"));
	$sub = new vs_submit("submit", "Neue Rechnung anlegen", "true");
	$sub->set_disabled("false");
	$t->add_control(5, $sub);
	
	$unten->add($t);
	
	$total->add($unten);
	return $total;
	}


function rechnung_position($db, $num_rows, $rechnung_id, $besitzer_id, $zahlstatus)
	{
	//echo " ---- function rechnung_position";
	
	$num_rows = 0;
	if (!isset($rechnung_id))
		{
		return new vs_text("Error! Keine Rechnung_id verf&uuml;gbar.");
		}
	else
		{
		//Daten zum Besitzer
		$db->query("select b.besitzer_id,b.name,b.vorname,b.strasse,b.plz,b.wohnort,r.offen from vs_besitzer b, vs_v_rechnung r " . 
					" where r.besitzer_id=b.besitzer_id and r.rechnung_id=$rechnung_id");
		$row    = $db->fetch_row();
		$bes_id = $row[0];
		$db->free_result();
		$db->query("select rech_bez_id from vs_rech_bez where rechnung_id=$rechnung_id");
		$az = $db->num_rows();
		$db->free_result();
		$total = new vs_div("", "", "", "", "", "rechnung_tab");
		$total->add(make_rechnung_tab("0", $db, 2, $rechnung_id, $besitzer_id, $zahlstatus));
		//2015-02-20 KM: Formatierung geaendert;
		$unten = new vs_div("", "", "", "", "", "rechnung_tabd");
		$t     = new vs_table("rechpos", 1, 3, "100%");
		
		//2015-03-24 KM: NEU Rechnungsnummer fuer Anzeige holen
		$db->query("select rechnungnummer from vs_rechnung where rechnung_id=$rechnung_id");
		$rech_nr = $db->fetch_row();
		$db->free_result();
		
		$sql = "select b.behandlung_id,b.datum,p.name,b.diagnose,b.offen from vs_behandlung b,vs_patient p where " . 
				" b.patient_id=p.patient_id and b.rechnung_id=$rechnung_id order by p.name,b.datum";
		$db->query($sql);
		$rechbeh = $db->num_rows();
		//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $behandlung_id
		//2015-03-02 KM: geaendert $behandlung_id = -1
		if (!isset($behandlung_id))
			{
			$behandlung_id = -1;
			}
		$pt = new vs_db_table($db, "410", $behandlung_id); // Tabelle "Behandlungen der Rechnung"
		$pt->set_field_width(1, 55);
		$pt->set_field_width(2, 60);
		$pt->set_field_label(2, "Patient");
		$pt->set_field_width(3, 90);
		$pt->set_field_width(4, 70);
		$pt->set_field_align(4, "right");
		$pt->set_field_formatstr(4, "%s " . currency_string);
		
		if ($az < 1) //loeschen nur wenn keine abhaengigen Zahlungen
			$pt->add_action(new vs_action("a_del_position&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus", "../img/arrow_right.png"));
		
		$dl = new vs_div("dl", "60"); // Tabelle "Behandlungen der Rechnung" horizontal verschieben
		//2015-03-24 KM: NEU  Anzeige der Rechnungsnummer
		$dl->add(new vs_text("<b>Behandlungen der Rechnung Nr. <span style=\"color:red;\">".$rech_nr[0]."</span></b><br><br>"));
		
		//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
		if ($rechbeh > 0)
			{
			//2015-12-07 KM: NEU --- Schalter fuer Praxis mit Apotheke oder Praxis + AAG getrennt
			if (aag == 1)
				{
				$dl->add(new vs_link_img("../img/print_24.gif", "rech_ausdruck_aag.php?rechnung_id=$rechnung_id", "_blank"));
				}
			else
				{
				$dl->add(new vs_link_img("../img/print_24.gif", "rech_ausdruck.php?rechnung_id=$rechnung_id", "_blank"));
				}
			}
			
		if (($rechbeh > 1) and ($az < 1))
			{
			$dl->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
			$dl->add(new vs_action_img("add_all", "../img/arrow_right_double.png", "a_del_all_positions&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus"));
			}
		$t->add(1, 1, $dl);
		$t->add(1, 1, $pt);
		
		//2015-06-01 KM: Es duerfen nur die Behandlungen angezeigt werden, wo noch keine Zahlungen erfolgt sind.
		// Wo Zahlungen erfolgt sind, koennen nur Einzelrechnungen erzeugt werden.
		$sql = "select b.behandlung_id,b.datum,p.name,b.diagnose,b.offen from vs_behandlung b,vs_patient p " .
				//" where  b.offen > 0 and b.rechnung_id < 1 and b.rechnung_id > -1000 and " . 
				" where  b.offen > 0 and b.bezahlt = 0 and b.rechnung_id < 1 and b.rechnung_id > -1000 and " . 
				" b.patient_id=p.patient_id and p.besitzer_id=$bes_id order by p.name,b.datum";
		
		$db->query($sql);
		$offbeh = $db->num_rows(); //Behandlungen ohne Zahlungen
		$pt2    = new vs_db_table($db, "410", $behandlung_id); // Tabelle "unbezahlte Behandlungen"
		$pt2->set_field_width(1, 55);
		$pt2->set_field_width(2, 60);
		$pt2->set_field_label(2, "Patient");
		$pt2->set_field_width(3, 90);
		$pt2->set_field_width(4, 70);
		$pt2->set_field_align(4, "right");
		$pt->set_field_formatstr(4, "%s " . currency_string);
		
		
		//----------------------------------------------------------------------------------------------------------
		
		//KM 2014-05-25: Hinzufuegen von unbezahlten Behandlungen zur Rechnung moeglich, wenn Zahlungen erfolgt sind.
		if (!isset($rbhn))
			{
			$rbhn = null;
			}
		$rbhn = rech_bez_behand_neu; //config.inc.php: Konstante rech_bez_behand_neu
		if (((($rbhn == 0) && ($az < 1))) OR (($rbhn == 1) && ($az >= 1)) OR (($rbhn == 1) && ($az < 1)))
			{
			$pt2->add_action(new vs_action("a_add_position&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus", "../img/arrow_left.png"));
			}
		
		//----------------------------------------------------------------------------------------------------------
		
		$dr = new vs_div("dr", "60");
		$dr->add(new vs_text("<b>Offene Behandlungen des Besitzers</b><br><br>"));
		
		//2015-08-06 KM: Neue Rechnung erstellen (Alt: Neue Sammelrechnung erstellen)
		$rech = new vs_link_img("../img/add_rechnung.png", "../rechnung/rechnung.php?action=a_ins&besitzer_id=$row[0]", "_self");
		$rech->set_title("Neue Rechnung erstellen");
		$dr->add($rech);
		
		
		//2015-06-01 KM: Gesamtanzahl der Behandlungen mit und ohne Zahlungen
		$sql = "select b.behandlung_id,b.datum,p.name,b.diagnose,b.offen from vs_behandlung b,vs_patient p " .
		" where  b.offen > 0 and b.rechnung_id < 1 and b.rechnung_id > -1000 and " . 
		" b.patient_id=p.patient_id and p.besitzer_id=$bes_id order by p.name,b.datum";
		$db->query($sql);
		$allbeh = $db->num_rows();  //Gesamtanzahl
		
		
		/* 2015-06-01 KM: Es duerfen nur die Behandlungen mitgenommen werden, wo noch keine Zahlungen erfolgt sind.
		 * Es werden aber alle Behandlunen mitgenommen.
		 * Darum wird der Button abgeschaltet, wenn es Behandlungen bezogen auf den Besitzer gibt, die Zahlungen enthalten.
		 */
		 
		if (($offbeh > 1) and ($offbeh == $allbeh))
			{
			//----------------------------------------------------------------------------------------------------------
			//KM 2014-05-25: Hinzufuegen von unbezahlten Behandlungen zur Rechnung moeglich, wenn Zahlungen erfolgt sind.
			if (((($rbhn == 0) && ($az < 1))) OR (($rbhn == 1) && ($az >= 1)) OR (($rbhn == 1) && ($az < 1)))
				{
				$dr->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
				$dr->add(new vs_action_img("add_all", "../img/arrow_left_double.png", "a_add_all_positions&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus"));
				}
		//----------------------------------------------------------------------------------------------------------
			}
		
		//2015-03-22 KM: NEU --- Zur Karteikarte des Patienten wechseln
		$dr->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
		$kk = new vs_link_img("../img/kartei_24_36.gif", "../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=$row[0]", "_self");
		$kk->set_title("Zur Karteikarte des Patienten wechseln");
		$dr->add($kk);
		
		$t->add(1, 3, $dr);
		$t->add(1, 3, $pt2);
		
		$unten->add($t);
		
		$total->add($unten);
		return $total;
		}
	}


function rechnung_abrechnung($db, $rechnung_id, $besitzer_id, $zahlstatus)
	{
	//echo " ---- function rechnung_abrechnung";
	//2014-11-26 KM: Formatierung geaendert
	$total = new vs_div("", "", "", "", "", "rechnung_tab");
	$total->add(make_rechnung_tab("0", $db, 3, $rechnung_id, $besitzer_id, $zahlstatus));
	//2015-02-20 KM: Formatierung geaendert;
	$unten   = new vs_div("", "", "", "", "", "rechnung_tabd");
	$t_unten = new vs_table("tunten", 2, 1, "100%");
	//2015-03-22 KM: Neue Variable $besitzer_id fuer -- Zur Karteikarte des Patienten wechseln --
	//$sql     = "select offen,mahnung_1_datum,mahnung_1_gebuehr from vs_v_rechnung where rechnung_id=$rechnung_id";
	$sql     = "select offen,mahnung_1_datum,mahnung_1_gebuehr,besitzer_id from vs_v_rechnung where rechnung_id=$rechnung_id";
	$db->query($sql);
	$row    = $db->fetch_row();
	$row[0] = ptc($row[0]);
	//2015-03-22 KM: Neue Variable $besitzer_id
	$besitzer_id_karte = $row[3];
	$db->free_result();
	
	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_zahlstatus und rech_bez_id
	if (!isset($rech_bez_id))
		{
		$rech_bez_id = null;
		}
	//2015-06-03 KM: Query geaendert --- Abfrage geht jetzt auf vs_bezahlt, vorher vs_rech_bez
	//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
	//$sql = "select rech_bez_id, datum,betrag,typ,bemerkung from vs_rech_bez where rechnung_id=$rechnung_id order by datum";
	$sql = "select rech_bez_id, datum, bez_bemerkung, typ, quittung, gebucht, betrag from vs_bezahlt where rechnung_id=$rechnung_id order by datum";
	$db->query($sql);
	$rechbez = $db->num_rows();

	//KM: Tabelle jetzt mit Spalte fuer Quittung und gebucht
	$pt      = new vs_db_table($db, "250", $rech_bez_id);
	$pt->set_field_width(1, 55);
	$pt->set_field_width(2, 350);
	$pt->set_field_label(2, "Bemerkung");
	$pt->set_field_width(3, 40);
	$pt->set_field_align(3, "center");
	$pt->set_field_width(4, 40);
	$pt->set_field_align(4, "center");
	$pt->set_field_label(4, "Quit.");
	$pt->set_field_width(5, 40);
	$pt->set_field_align(5, "center");
	$pt->set_field_width(6, 90);
	$pt->set_field_formatstr(6, "%s " . currency_string);
	$pt->set_field_align(6, "right");
	$pt->set_field_label(6, "Betrag &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$pt->add_action(new vs_action("a_del_bez&rechnung_id=$rechnung_id&besitzer_id=$besitzer_id&zahlstatus=$zahlstatus", "../img/delete.gif"));
	$t_unten->add(1, 1, $pt);
	$t = new vs_form_x("abrechnung_neu", 5);
	$t->set_cellspacing(1);
	
	//Datenfelder
	//Abstandhalter Leerzeile
	$t->add_control(1, new vs_label("&nbsp;<br>&nbsp;"));
	$t->add_control(2, new vs_text("<h2>&nbsp;Zahlungseing&auml;nge dokumentieren:</h2>"));
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(1,new vs_date_edit("datum", 10, 10,today(),"Datum"));
	$t->add_control(3, new vs_datepicker("datum", "", "multi_today1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$t->add_control(3, new vs_d_edit("betrag", 7, 7, $row[0]));
	$t->add_control(3, new vs_db_listbox("typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", "B", 0, "Zahlweise", "", "", "reihenfolge"));
	/*$lb=new vs_listbox("typ", 30, "B",0,"Zahlweise");
	$lb->add_item("B","Barzahlung");
	$lb->add_item("K","Karte");
	$lb->add_item("U","&Uuml;berweisung Deutsche Bank");
	$lb->add_item("S","&Uuml;berweisung KSK Mayen");
	$t->add_control(3,$lb); */
	$betrag = ptc($row[0]);
	$t->add_control(3, new vs_img("", "../img/vert_gray.gif"));
	//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
	$we = new vs_link_img("../img/kasse.gif", "../kartei/rueckgeld.php?betrag=$betrag", "_blank");
	$we->set_title("Wechselgeld-Rechner");
	$t->add_control(3, $we);
	
	//2015-03-22 KM: NEU --- Rechnung drucken
	$t->add_control(3,new vs_img("spacer_1", "../img/vert_gray.gif "));
	//2015-12-07 KM: NEU --- Schalter fuer Praxis mit Apotheke oder Praxis + AAG getrennt
	if (aag == 1)
		{
		$ip = new vs_link_img("../img/print_24.gif", "rech_ausdruck_aag.php?rechnung_id=$rechnung_id", "_blank");
		}
	else
		{
		$ip = new vs_link_img("../img/print_24.gif", "rech_ausdruck.php?rechnung_id=$rechnung_id", "_blank");
		}
	$ip->set_title("Rechnung drucken");
	$t->add_control(3, $ip);
	
	//2015-03-22 KM: NEU --- Zur Karteikarte des Patienten wechseln
	$t->add_control(3,new vs_img("spacer_1", "../img/vert_gray.gif "));
	$kk = new vs_link_img("../img/kartei_24_36.gif", "../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=$besitzer_id_karte", "_self");
	$kk->set_title("Zur Karteikarte des Patienten wechseln");
	$t->add_control(3,$kk);
	
	//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
	$t->add_control(4, new vs_memo("bez_bemerkung", 94, 2, "", "Bemerkung"));
	$t->add_control(5, new vs_hidden("rechnung_id", $rechnung_id));
	$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(5, new vs_hidden("zahlstatus", $zahlstatus));
	$t->add_control(5, new vs_hidden("action", "a_post_ins_bez"));
	$sub = new vs_submit("submit", "Speichern", "true");
	$sub->set_disabled("false");
	$t->add_control(5, $sub);
	$t_unten->add(2, 1, $t);
	$unten->add($t_unten);
	$total->add($unten);
	return $total;
	}



function make_rech_sql($zahlstatus, $besitzer_id) //evtl ergaenzen um andere Bezahlt_Optionen
	{
	//echo " ---- function make_rech_sql";
	// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
	//$zf=d_dis2db(today());
	$today = today();
	$zf    = d_dis2db($today);
	$rrf   = rech_reihenfolge;
	//Rechnungen eines Besitzers
	if ((isset($besitzer_id)) and ($besitzer_id != ""))
		{
		switch ($zahlstatus)
			{
			//2015-08-15 KM: NEU Aenderungen fuer Storno
			case "bezahlt":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
						"wohnort from vs_v_rechnung where " . 
						"besitzer_id=$besitzer_id and offen=0 order by rechnung_id $rrf ";
				break;
				
			case "unbezahlt":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
					//wohnort from vs_v_rechnung where " . 
					"wohnort,storno_aktiv from vs_v_rechnung where " . 
					//"besitzer_id=$besitzer_id and offen>0 order by rechnung_id $rrf ";
					"besitzer_id=$besitzer_id and offen>0 and storno_aktiv != '1' order by rechnung_id $rrf ";
				break;
				
			case "uberfallig":
				//2014-11-08 KM: seit PHP 5.3.0 DEPRECATED
				//$zf=d_dis2db(today());
				$today = today();
				$zf    = d_dis2db($today);
				$sql   = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
					//wohnort from vs_v_rechnung where " . 
					"wohnort,storno_aktiv from vs_v_rechnung where " . 
					//"besitzer_id=$besitzer_id and offen>0 and zahlfrist < '$zf' order by rechnung_id $rrf ";
					"besitzer_id=$besitzer_id and offen>0 and zahlfrist < '$zf' and storno_aktiv != '1' order by rechnung_id $rrf ";
				break;
				
			//2015-08-15 KM: NEU Storno
			case "storno":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
					"wohnort,storno_aktiv from vs_v_rechnung where " . 
					"besitzer_id=$besitzer_id and storno_aktiv = '1' order by rechnung_id $rrf ";
				break;
				
			default:
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
					"wohnort from vs_v_rechnung where " . 
					"besitzer_id=$besitzer_id order by rechnung_id $rrf ";
				break;
			}
		}
		
	//Rechnungen aller Besitzer
	else
		{
		switch ($zahlstatus)
			{
			//2015-08-15 KM: NEU Aenderungen fuer Storno
			case "bezahlt":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
						"wohnort from vs_v_rechnung where " . 
						" offen = 0 order by rechnung_id $rrf ";
				break;
				
			case "unbezahlt":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
						//wohnort from vs_v_rechnung where " . 
						"wohnort,storno_aktiv from vs_v_rechnung where " . 
						//" offen > 0 order by rechnung_id $rrf ";
						" offen > 0 and storno_aktiv != '1' order by rechnung_id $rrf ";
				break;
				
			case "uberfallig":
				//2014-11-08 KM: seit PHP 5.3.0 DEPRECATED
				//$zf=d_dis2db(today());
				$today = today();
				$zf    = d_dis2db($today);
				$sql   = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
							//wohnort from vs_v_rechnung where " . 
							"wohnort,storno_aktiv from vs_v_rechnung where " . 
							//" offen > 0 and zahlfrist < '$zf' order by rechnung_id $rrf ";
							" offen > 0 and zahlfrist < '$zf' and storno_aktiv != '1' order by rechnung_id $rrf ";
				break;
				
			//2015-08-15 KM: NEU Storno
			case "storno":
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
						"wohnort,storno_aktiv from vs_v_rechnung where " . 
						" storno_aktiv = '1' order by rechnung_id $rrf ";
				break;
				
			default:
				$sql = "select rechnung_id,rechnungdatum,rechnungnummer,offen,name,vorname,strasse," . 
						"wohnort from vs_v_rechnung  order by rechnung_id $rrf ";
				break;
			}
		}
	return $sql;
	}



function rechnung_offen($db, $rechnung_id, &$zahlstatus)
	{
	// 2014-10-31 KM: seit PHP 5.3.0 DEPRECATED
	//$zf=d_dis2db(today());
	$today = today();
	$zf    = d_dis2db($today);
	$db->query("select offen,zahlfrist from vs_v_rechnung where rechnung_id=$rechnung_id");
	$row   = $db->fetch_row();
	$offen = $row[0];
	
	//2015-12-08 KM: undefinierte Varable beseitigt.
	if (!isset($storno_aktiv))
		{
		$storno_aktiv = "0";
		}
	
	if ($zahlstatus <> "alle")
		{
		if ($offen == 0)
			$zahlstatus = "bezahlt";
			
		//if ($offen > 0)
		if (($offen > 0) and ($storno_aktiv != '1'))
			$zahlstatus = "unbezahlt";
			
		//if (($offen > 0) and ($row[1] < "$zf"))
		if (($offen > 0) and ($row[1] < "$zf") and ($storno_aktiv != '1'))
			$zahlstatus = "uberfallig";
			
		//2015-08-13 KM: NEU Storno
		if (($offen > 0) and ($storno_aktiv == '1'))
			$zahlstatus = "storno";
		}
	return $offen;
	}



	//-----------------------------------------------------------
	//NEUE EINZELRECHNUNG
	//2015-05-31 KM
	//-----------------------------------------------------------
	
function einzelrechnung_neu($db, $besitzer_id, $vso_er_behandlung_id)
	{
	//echo " ---- function einzelrechnung_neu";
	
	GLOBAL $vso_besitzer_id;
	// Die Variable muss GLOBAL sein, damit sie ausserhalb der Funktion zur Verfuegung steht.
	
	//Das ist die Behandlung fuer die Einzelrechnung
	
	//echo "  --> vso_er_behandlung_id = ".$vso_er_behandlung_id;
	//echo "  --> vso_besitzer_id = ".$vso_besitzer_id;
	
	//fuer die Zahlfrist
	
	if (!isset($nonsense))
		{
		$nonsense = null;
		}
	if (!isset($zahlstatus))
		{
		//2015-05-31 KM: $zahlstatus = "alle";
		$zahlstatus = "alle";
		}
	
	$db->query("select zahlfrist from vs_besitzer where besitzer_id=$besitzer_id");
	$bes = $db->fetch_row();
	$db->free_result();
	$total = new vs_div("", "", "", "", "", "rechnung_tab");
	$total->add(make_rechnung_tab("1", $db, 1, $nonsense, $besitzer_id, $zahlstatus)); //noch keine rechnung_id
	
	//2015-02-20 KM: Formatierung geaendert;
	$unten = new vs_div("", "", "", "", "", "rechnung_tabd");
	
	//Info zur Behandlung
	$db->query("select datum, diagnose from vs_behandlung where behandlung_id = $vso_er_behandlung_id");
	$er_beh = $db->fetch_row();
	$db->free_result();
	
	//besitzer_id in rechnung_neu (vs_behandlung) schreiben, wird "0", wenn Einzelrechnung angelegt.
	//Zuordnen der Behandlung beim Anlegen der Rechnung
	$db->query("update vs_behandlung set rechnung_neu = $vso_besitzer_id where behandlung_id = $vso_er_behandlung_id");
	$db->free_result();
	
	
	$t = new vs_form_x("einzelrechnung_neu", 8);
	$t->set_cellspacing(5);
	
	//Datenfelder
	$t->add_control(1,new vs_text("<h2>Neue Einzelrechnung erstellen / Rechnungsnummer erzeugen</h2>"));
	//Info zur Behandlung
	$t->add_control(1,new vs_text("Behandlung ID: ".$vso_er_behandlung_id.", &nbsp;&nbsp; Datum: " .$er_beh[0].", &nbsp;&nbsp; Diagnose: ".$er_beh[1]."<br> &nbsp;"));
	
	$c = new vs_edit("an", 34, 34, "wird vom Programm eingetragen", "Besitzer &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$c->set_readonly(1);
	$t->add_control(2, $c);
	
	$rn = new vs_edit("rechnungnummer", 30, 30, "wird vom Programm erstellt", "Rechnung Nr.");
	//2014-10-15 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$rn->set_readonly("true");
	$t->add_control(2, $rn);
	
	//2015-01-04 KM: Datum Umstellung auf Datepicker
	//$t->add_control(1,new vs_date_edit("rechnungdatum", 10, 10,today(),"Datum"));
	$t->add_control(3, new vs_datepicker("rechnungdatum", "", "multi_rech1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	//$t->add_control(1,new vs_date_edit("zahlfrist",10,10,alterdate(today(),$bes[0])));
	$t->add_control(3, new vs_datepicker("zahlfrist", "", "multi_2w_Datepicker", "Zahlfrist"));
	
	//2015-08-09 KM: Datum muss fest gesetzt werden, da hier noch kein Druck augegeben wird.
	//$t->add_control(3, new vs_datepicker("ausgabedatum", "", "multi_rech2_Datepicker", "Letzte Ausgabe"));
	$t->add_control(3, new vs_hidden("ausgabedatum", "01.01.0001"));
	
	//2015-08-09 KM: NEU $lb->add_item("e", "Eigenbedarf");
	$lb = new vs_listbox("ausgabeart", 30, "d", 0, "Ausgabeart");
	$lb->add_item("d", "direkt mitgegeben");
	$lb->add_item("p", "Postversand");
	$lb->add_item("e", "per E-Mail");
	$lb->add_item("f", "Telefax");
	$lb->add_item("e", "Eigenbedarf");
	$t->add_control(3, $lb);
	
	$t->add_control(4, new vs_memo("memo", 75, 7, "", "Bemerkung"));
	$t->add_control(4, new vs_memo("zusatztext", 75, 7, "", "Zusatztext &nbsp;"));
	$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(5, new vs_hidden("action", "a_post_ins_einzelrechnung_add_position"));
	//2015-07-27 DW Automatische Weiterleitung durch die 
	// Verwendung des neuen Controls vs_submit mit dem 4. Parameter auf true, damit der im Control eingebaute
	// automatische Submit greift
	$sub = new vs_submit("einzelrechnung_neu", "Neue Rechnung anlegen","","true");
	//$sub = new vs_submit("einzelrechnung_neu", "Neue Rechnung anlegen");
	//$sub->set_disabled("false");
	$t->add_control(5, $sub);
	
	$unten->add($t);
	
	$total->add($unten);
	return $total;
	}





office_login($db, $can_insert, $can_edit, $can_delete);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//Beginn Seite

//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_zahlstatus und $vso_besitzer_id
if (!isset($vso_zahlstatus))
	{
	//2015-05-31 KM: $vso_zahlstatus = "alle";
	$vso_zahlstatus = "alle";
	}
if (!isset($vso_besitzer_id))
	{
	$vso_besitzer_id = null;
	}


echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
$b         = new vs_page_begin(make_re_title($db, $vso_besitzer_id), "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();



if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "&nbsp;<br><h1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fehler: Falscher Aufruf der Seite</h1>";
	}
else
	{
	switch ($vso_action)
		{
		//--------------------------------------------------------
		//TAB Angaben
		//--------------------------------------------------------
		case "a_browse": //TAB Angaben
		//echo " ----> a_browse";
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus, 1);
			$sql   = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			// die & falls nichts selektiert ist (alle Rechnungen aller Besitzer ausgewaehlt)
			$right = rechnung_browse($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			
		
			if (!isset($num_rows))
				{
				$num_rows = 0;
				}
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus));
			
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste(" Angabenansicht ");
			$bottom = navliste(" Angabenansicht ","","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			break;
		//--------------------------------------------------------
		//TAB Angaben
		//--------------------------------------------------------
		case "a_post_edit": //nach dem Aendern
		//echo " ----> a_post_edit";
		
		//echo " ----> vso_rechnung_id " . $vso_rechnung_id;    // Fehlt nach speichern und dann neuen Zahlstatus wählen 
		//echo " ---> vso_zahlstatus ---> " .$vso_zahlstatus;  // ist vohanden
		
		
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			//2015-08-13 KM: NEU Storno
			$db->query("Select rechnung_id,rechnungdatum,ausgabedatum," . 
						"ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,besitzer_id,mahnung_1_datum, " .
						//"mahnung_1_gebuehr,mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr " .
						"mahnung_1_gebuehr,mahnung_2_datum, mahnung_2_gebuehr,mahnung_3_datum, mahnung_3_gebuehr,storno_aktiv,storno_datum" .
						" from vs_rechnung where rechnung_id=$vso_rechnung_id");
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			
			//$storno_datum= $row[16];
			//$storno_aktiv = $row[15];
			
			
			if (!isset($vso_storno_aktiv))
				{
				$vso_storno_aktiv = '0';
				}
			
			if ($newdata == $vso_olddata)
				{
				d_dis2db($vso_rechnungdatum);
				d_dis2db($vso_ausgabedatum);
				d_dis2db($vso_zahlfrist);
				d_dis2db($vso_mahnung_1_datum);
				$vso_mahnung_1_gebuehr = ctp($vso_mahnung_1_gebuehr);
				d_dis2db($vso_mahnung_2_datum);
				$vso_mahnung_2_gebuehr = ctp($vso_mahnung_2_gebuehr);
				d_dis2db($vso_mahnung_3_datum);
				$vso_mahnung_3_gebuehr = ctp($vso_mahnung_3_gebuehr);
				//2015-08-13 KM: NEU Storno -- d_dis2db ist fuer Datumsformat
				d_dis2db($vso_storno_datum);
				
				$db->query("update vs_rechnung set" . 
							" rechnungdatum='$vso_rechnungdatum'," . 
							" ausgabedatum='$vso_ausgabedatum'," . 
							" ausgabeart='$vso_ausgabeart'," . 
							" memo='$vso_memo'," . 
							" zusatztext='$vso_zusatztext'," . 
							" mahnung_1_datum='$vso_mahnung_1_datum'," . 
							" mahnung_1_gebuehr='$vso_mahnung_1_gebuehr'," . 
							" mahnung_2_datum='$vso_mahnung_2_datum'," . 
							" mahnung_2_gebuehr='$vso_mahnung_2_gebuehr'," . 
							" mahnung_3_datum='$vso_mahnung_3_datum'," . 
							" mahnung_3_gebuehr='$vso_mahnung_3_gebuehr'," .
							" zahlfrist='$vso_zahlfrist'," . 
							//2015-08-13 KM: NEU Storno
							" storno_aktiv='$vso_storno_aktiv'," . 
							" storno_datum='$vso_storno_datum'" .
							" where rechnung_id=$vso_rechnung_id");
				$db->free_result();
				
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste("Angaben zur Rechnung wurden ge&auml;ndert");
				$bottom = navliste("Angaben zur Rechnung wurden ge&auml;ndert","","","../hilfe/help.html#rechnung");
				}
			else
				{
				error_row(change_warning . "(Daten zur Rechnung)");
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste("Angaben zur Rechnung konnten nicht ge&auml;ndert werden !");
				$bottom = navliste("Angaben zur Rechnung konnten nicht ge&auml;ndert werden !","","","../hilfe/help.html#rechnung");
				}
			//else error_row(change_warning."(Besitzerdaten)"); //Fehlermeldung
			//----------------Daten anzeigen----------------------------------------------------
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $besitzer_id und $zahlstatus
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus, 1);
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			
			$right = rechnung_browse($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			make_seite($left, $right, $top, $bottom);
			
			break;
		//-----------------------------------------------------------
		//TAB Angaben
		//-----------------------------------------------------------
		case "a_ins": //Neue Rechnung erstellen
		//echo " ----> a_ins";
			if (isset($vso_besitzer_id))
				{
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable
				if (!isset($vso_zahlstatus))
					{
					//2015-05-31 KM: $vso_zahlstatus = "alle";
					$vso_zahlstatus = "alle";
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				if (!isset($vso_rechnung_id))
					{
					//2015-05-31 KM: $vso_rechnung_id = -1;
					$vso_rechnung_id = -1;
					}
				
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				$right = rechnung_neu($db, $vso_besitzer_id);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste("Neue Rechnung -> Angaben");
				$bottom = navliste("Neue Rechnung -> Angaben","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else //mangels besitzer_id kann keine neue Rechnung erstellt werden
				{
				echo "<h2>Error! Kein Bezug zum Tierbesitzer vorhanden. Abbruch.</h2> ";
				}
				
			break;
		//-----------------------------------------------------------
		//TAB Angaben
		//-----------------------------------------------------------
		case "a_post_ins": //Step nach "case a_ins" (Neue Rechnung erstellen)
		//echo " ----> a_post_ins";
			d_dis2db($vso_rechnungdatum);
			d_dis2db($vso_ausgabedatum);
			d_dis2db($vso_zahlfrist);
			$db->query("select max(int_rn) from vs_rechnung");
			$row = $db->fetch_row();
			if (isset($row[0]))
				$int_rn = $row[0] + 1;
			else
				$int_rn = 1; //
			//um eine kontinuierliche Rechnr. zu erzielen wird zu einem offset max(int_rn)+1  addiert
			//$rechnungnummer = "SR " . $int_rn . " /2006";
			$rechnungnummer = make_rechnungnummer(sr_nr_pre, sr_nr_offset, $int_rn, sr_nr_post);
			$m1geb          = ctp($dummy_m1 = m_1_gebuehr); //config.inc.php
			$m2geb          = ctp($dummy_m2 = m_2_gebuehr); //config.inc.php
			$m3geb          = ctp($dummy_m3 = m_3_gebuehr); //config.inc.php
			//2015-08-13 KM: NEU Storno
			$db->query("Insert into vs_rechnung (besitzer_id,rechnungdatum,ausgabedatum," . 
						" ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,int_rn,user_id,mahnung_1_datum,mahnung_1_gebuehr,mahnung_2_datum, " . 
						//"mahnung_2_gebuehr,mahnung_3_datum,mahnung_3_gebuehr) values " . 
						"mahnung_2_gebuehr,mahnung_3_datum,mahnung_3_gebuehr, storno_datum, storno_aktiv) values " . 
						" ('$vso_besitzer_id','$vso_rechnungdatum','$vso_ausgabedatum','$vso_ausgabeart'," . 
						" '$vso_memo','$vso_zahlfrist'," . 
						//" '$rechnungnummer','$vso_zusatztext','$int_rn','$user_id','0001/01/01','$m1geb','0001/01/01','$m2geb','0001/01/01','$m3geb')");
						" '$rechnungnummer','$vso_zusatztext','$int_rn','$user_id','0001/01/01','$m1geb','0001/01/01','$m2geb','0001/01/01','$m3geb','0001/01/01','0')");
			$db->free_result();
			
			//Die von der db zugeteilte rechnung_id holen, um nachher die neue Rechnung zu selektieren
			$db->query("select rechnung_id from vs_rechnung where int_rn=$int_rn");
			$row = $db->fetch_row();
			$db->free_result();
			$vso_rechnung_id = $row[0];
			$top             = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus, 1);
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			$right = rechnung_browse($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			
			//2014-01-01 KM: wie ueblich die Beseitigung eines undefined variable
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste(" Neue Rechnung erstellt ");
			$bottom = navliste(" Neue Rechnung erstellt ","","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			break;
		//-----------------------------------------------------------
		//TAB Angaben
		//-----------------------------------------------------------
		case "a_del": //Rechnung loeschen
		//echo " ----> a_del";
			//2015-05-31 KM: Beseitigung eines undefined variable
			if (!isset($vso_rechnung_id))
				{
				$vso_rechnung_id = -1;
				}
			$db->query("select besitzer_id from vs_rechnung where rechnung_id=$vso_rechnung_id");
			$bes             = $db->fetch_row();
			$vso_besitzer_id = $bes[0];
			//2013-12-28 KM: $db->free_result(); fehlte: ()
			$db->free_result();
			$db->query("delete from vs_rechnung where rechnung_id = $vso_rechnung_id");
			$db->free_result();
			//2015-05-31 KM: Wenn, dann auch alle Variablen der Rechnung loeschen!
			//unset($vso_rechnung_id); //gibt`s ja jetzt nicht mehr
			unset($vso_rechnung_id, $rechnung_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $besitzer_id, $num_rows, $zahlstatus und besitzer_id
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus, 1);
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			//erst mal proben ob Datensaetze da sonst ggf neuen erstellen
			$db->query($sql);
			if ($db->num_rows() > 0)
				{
				$right = rechnung_browse($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
				$left = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste("Rechnung wurde gel&ouml;scht");
				$bottom = navliste("Rechnung wurde gel&ouml;scht","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				}
			else
				{
				if (isset($vso_besitzer_id))
					{
					$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
					$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
					$right = rechnung_neu($db, $vso_besitzer_id);
					$left  = new vs_table("lefttable", 2, 1);
					$left->set_css_class("rechnung_tabelle_links");
					//2015-01-08 KM: Beseitigung eines undefined variable
					if (!isset($vso_rechnung_id))
						{
						$vso_rechnung_id = null;
						}
					//KM: Listbox links
					$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
														"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
					$lb->add_style("width:380px;height:480px;");
					$left->add(2, 1, $lb);
					//2014-01-02 KM: wie ueblich die Beseitigung eines undefined variable
					if (!isset($vso_rechnung_id))
						{
						$vso_rechnung_id = null;
						}
					$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
					//2015-04-02 KM: NEU Hilfe
					//$bottom = navliste("Neue Rechnung -> Angaben");
					$bottom = navliste("Neue Rechnung -> Angaben","","","../hilfe/help.html#rechnung");
					make_seite($left, $right, $top, $bottom);
					
					}
				else //mangels besitzer_id kann keine neue Rechnung erstellt werden
					{
					echo "Error! Kein Bezug zum Tierbesitzer vorhand. Abbruch. ";
					}
				}
			
			break;
		//-----------------------------------------------------------
		//TAB Positionen
		//-----------------------------------------------------------
		case "a_browse_position": //Alle Positionen anzeigen
		//echo " ----> a_browse_position";
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $besitzer_id, $num_rows und $zahlstatus
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			//2015-03-16 KM: geaendert Variablenfehler beseitigt $vso_besitzer_id
			//$top = make_top($db, $besitzer_id, $vso_action, $vso_zahlstatus);
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			$right = rechnung_position($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste(" Rechnungspositionen ");
			$bottom = navliste(" Rechnungspositionen ","","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			break;
		//-----------------------------------------------------------
		//TAB Positionen
		//-----------------------------------------------------------
		case "a_add_position": //Neue Rechnungsposition hinzufuegen
		//echo " ----> a_add_position";
			if ((isset($vso_rechnung_id)) and (isset($vso_behandlung_id)))
				{
				//Protokollierung in der Karteikarte
				$db->query("select text from vs_behandlung where behandlung_id=$vso_behandlung_id");
				$row = $db->fetch_row();
				$db->free_result();
				$db->query("select rechnungnummer from vs_rechnung where rechnung_id=$vso_rechnung_id");
				$row2 = $db->fetch_row();
				$db->free_result();
				$memo = $row[0] . "\n\r * Diese Behandlung wurde am " . today() . " der Rechnung mit der Nummer " . $row2[0] . " zugefuegt.";
				
				//Aenderung der Rechnungsnummer der Behandlung
				$db->query("update vs_behandlung set" . " rechnung_id='$vso_rechnung_id', " . " text='$memo' " . " where behandlung_id=$vso_behandlung_id");
				$db->free_result();
				
				//Darstellung
				
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $behandlung_id, $num_rows, besitzer_id und $zahlstatus
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				$right = rechnung_position($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste(" Rechnungsposition wurde der Rechnung zugef&uuml;gt");
				$bottom = navliste(" Rechnungsposition wurde der Rechnung zugef&uuml;gt","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else
				{
				echo "<h2>Error! Kein Bezug zur Rechnung oder Behandlung vorhanden. Abbruch.</h2> ";
				}
			break;
		//-----------------------------------------------------------
		//TAB Positionen
		//-----------------------------------------------------------
		case "a_del_position": //Rechnungsposition loeschen
		//echo " ----> a_del_position";
			if ((isset($vso_rechnung_id)) and (isset($vso_behandlung_id)))
				{
				
				//Protokollierung in der Karteikarte
				$db->query("select text from vs_behandlung where behandlung_id=$vso_behandlung_id");
				$row = $db->fetch_row();
				$db->free_result();
				$db->query("select rechnungnummer from vs_rechnung where rechnung_id=$vso_rechnung_id");
				$row2 = $db->fetch_row();
				$db->free_result();
				$memo = $row[0] . "\n\r * Diese Behandlung wurde am " . today() . " von der Rechnung mit der Nummer " . $row2[0] . " entfernt.";
				
				//Aenderung der Rechnungsnummer der Behandlung
				//2015-05-20 KM: rechnung_id='0', da keine Quittungen / Rechnungen existieren
				//$db->query("update vs_behandlung set" . " rechnung_id='-1'," . " text='$memo' " . " where behandlung_id=$vso_behandlung_id");
				$db->query("update vs_behandlung set" . " rechnung_id='0'," . " text='$memo' " . " where behandlung_id=$vso_behandlung_id");
				$db->free_result();
				
				//Darstellung
				
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $behandlung_id, $num_rows, besitzer_id und $zahlstatus
				//2015-03-02 KM: geaendert $behandlung_id = -1
				if (!isset($behandlung_id))
					{
					$behandlung_id = -1;
					}
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				$right = rechnung_position($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste(" Rechnungsposition wurde von der Rechnung entfernt ");
				$bottom = navliste(" Rechnungsposition wurde von der Rechnung entfernt ","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else
				{
				echo "Error! Kein Bezug zur Rechnung oder Behandlung vorhanden. Abbruch. ";
				}
			break;
		//-----------------------------------------------------------
		//TAB Positionen
		//-----------------------------------------------------------
		case "a_add_all_positions": //Alle offenen Behandlungen der Rechnung zufuegen
		//echo " ----> a_add_all_positions";
			if (isset($vso_rechnung_id))
				{
				//Protokollierung in der Karteikarte
				$db->query("select rechnungnummer,besitzer_id from vs_rechnung where rechnung_id=$vso_rechnung_id");
				$rech = $db->fetch_row();
				$db->free_result();
				$memo = "\n\r * Diese Behandlung wurde am " . today() . " zu der Rechnung mit der Nummer " . $rech[0] . " zugefuegt.";
				//Aenderung der Rechnungsnummer der Behandlung
				$db->query("update vs_behandlung set" . 
							" rechnung_id ='$vso_rechnung_id',  " . 
							" text=text || '$memo' " . 
							" where offen > 0 and rechnung_id < 1 and rechnung_id >-1000 and patient_id in " . 
							" (select patient_id from vs_patient where besitzer_id=$rech[1])");
				
				$db->free_result();
				//Darstellung
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				
				//2014-05-25 KM: Beseitigung eines undefined variable $num_rows, besitzer_id und $zahlstatus
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				$right = rechnung_position($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste(" Alle offenen Behandlungen wurden der Rechnung zugef&uuml;gt ");
				$bottom = navliste(" Alle offenen Behandlungen wurden der Rechnung zugef&uuml;gt ","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else
				{
				echo "<h2>Error! Kein Bezug zur Rechnung vorhanden. Abbruch.</h2> ";
				}
			break;
		//-----------------------------------------------------------
		//TAB Positionen
		//-----------------------------------------------------------
		case "a_del_all_positions": //Alle Rechnungspositionen nach offene Behandlungen verschieben
		//echo " ----> a_del_all_positions";
			if (isset($vso_rechnung_id))
				{
				
				//Protokollierung in der Karteikarte
				$db->query("select rechnungnummer from vs_rechnung where rechnung_id=$vso_rechnung_id");
				$rech = $db->fetch_row();
				$db->free_result();
				$memo = "\n\r * Diese Behandlung wurde am " . today() . " von der Rechnung mit der Nummer " . $rech[0] . " entfernt.";
				
				//Aenderung der Rechnungsnummer der Behandlung
				//2015-05-20 KM: rechnung_id='0', da keine Quittungen / Rechnungen existieren
				//$db->query("update vs_behandlung set" . " rechnung_id ='-1', " . " text = text || '$memo' " . " where rechnung_id=$vso_rechnung_id");
				$db->query("update vs_behandlung set" . " rechnung_id ='0', " . " text = text || '$memo' " . " where rechnung_id=$vso_rechnung_id");
				
				//Darstellung
				
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $behandlung_id, $num_rows, besitzer_id und $zahlstatus
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				$right = rechnung_position($db, $num_rows, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste(" Alle Rechnungspositionen wurden von der Rechnung entfernt ");
				$bottom = navliste(" Alle Rechnungspositionen wurden von der Rechnung entfernt ","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else
				{
				echo " <h2>Error! Kein Bezug zur Rechnung vorhanden. Abbruch.</h2> ";
				}
			break;
		//-----------------------------------------------------------
		//TAB Abrechnung
		//-----------------------------------------------------------
		case "a_browse_abrechnung": //Zahlungseingaenge der Rechnung anzeigen
		//echo " ----> a_browse_abrechnung";
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $num_rows, besitzer_id und $zahlstatus
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste(" Zahlungseing&auml;nge ");
			$bottom = navliste(" Zahlungseing&auml;nge ","","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			break;
			
		//-----------------------------------------------------------
		//TAB Angaben   Baustelle Mahnung
		//-----------------------------------------------------------
		//KM TEST: wurde anscheinend nie aufgerufen, Baustelle? Mahnungsgebuehr wird nicht addiert.
		
		//Daten zur 1. Mahnung / Zahlungserinnerung eingeben
		
		case "a_post_ins_mahnung1":
		//echo " ----> a_post_ins_mahnung1";
			$vso_mahnung_1_gebuehr = ctp($vso_mahnung_1_gebuehr);
			d_dis2db($vso_mahnung_1_datum);
			//Seite darstellen
			$top   = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste($navtext);
			$bottom = navliste($navtext,"","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			//KM TEST: break hat auch gefehlt, Baustelle?
			break;
			
		//-----------------------------------------------------------
		//TAB Angaben  
		//KM TEST: "a_ins_storno, wird nicht aufgerufen, ist Baustelle
		//-----------------------------------------------------------
		case "a_ins_storno":
			echo " ----> a_ins_storno";
			
			$db->query("select besitzer_id, storno_aktiv, storno_datum from vs_rechnung where rechnung_id=$vso_rechnung_id");
			$storno_rech     = $db->fetch_row();
			$besitzer_id  =  $storno_rech [0];
			$storno_aktiv =  $storno_rech [1];
			$storno_datum =  $storno_rech [2];
			$db->free_result();
			
			$storno_aktiv = "1";
			
			$today = today();
			$storno_datum = d_dis2db($today); //heute
			
			$db->query("update storno_aktiv, storno_datum from vs_rechnung where rechnung_id = $vso_rechnung_id");
			$db->free_result();
			
			
			//Seite darstellen
			$top   = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			$bottom = navliste($navtext,"","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			break;
			
			//KM TEST: "a_ins_storno, wird nicht aufgerufen, ist Baustelle
		
		//-----------------------------------------------------------
		//TAB Abrechnung
		//-----------------------------------------------------------
		case "a_post_ins_bez": //Nach dem Einfuegen einer Zahlung
		//echo " ----> a_post_ins_bez";
			$b_time     = time(); //ergibt die time_id der Bezahlung
			//zuerst den Zahlungseingang in der vs_rech_bez speichern
			$vso_betrag = ctp($vso_betrag);
			d_dis2db($vso_datum);
			$db->query("select offen,rechnungnummer,besitzer_id from vs_v_rechnung where rechnung_id=$vso_rechnung_id");
			$rech       = $db->fetch_row();
			//szw_bes_id fuer die standard-zahlweise(s.u)     
			$szw_bes_id = $rech[2];
			$db->free_result();
			$navtext   = ""; //text fuer Navleiste
			$error     = 0; //errorvariable
			$errortext = "";
			//schon vorab testen, ob die Summe passt (>0 und kleiner als die offene Summe der Rechnung)
			if (($vso_betrag > 0) and ($vso_betrag <= $rech[0]))
				{
				//in Transaktion verpacken: falls das Verteilen fehlschlaegt, wird das Einfuegen zurueckgenommen
				$db->query("begin transaction");
				
				//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung, vso_bemerkung --> vso_bez_bemerkung
				$db->query("Insert into vs_rech_bez (rechnung_id,datum,betrag," . 
								" typ,quittung,bez_bemerkung) values " . 
								" ('$vso_rechnung_id','$vso_datum','$vso_betrag'," . 
								" '$vso_typ','1','$vso_bez_bemerkung')"); //Rechnungszahlungen sind immer quittiert 
				$db->free_result();
				$db->query("select max(rech_bez_id) from vs_rech_bez");
				$row         = $db->fetch_row();
				$rech_bez_id = $row[0];
				$db->free_result();
				$restbetrag = $vso_betrag;
				//dann die bezahlte Summe auf die Behandlungen der Rechnung verteilen
				$db2        = new vs_db();
				$db2->connect();
				$db2->query("select behandlung_id from vs_behandlung where rechnung_id=$vso_rechnung_id");
				while ($beh = $db2->fetch_row())
					{
					$vso_behandlung_id = $beh[0];
					//-----------------------------------------------------------------------------------
					
					if ($restbetrag > 0)
						{
						//erst mal schauen,was  noch offen ist	
						$db->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed from vs_behandlung where behandlung_id=$vso_behandlung_id");
						$beh_row = $db->fetch_row(); // Behandlung 
						$db->free_result();
						
						$db->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed) from vs_bezahlt where behandlung_id=$vso_behandlung_id ");
						$bez_row = $db->fetch_row(); //Bereits bezahlt (ohne diese Bezahlung)
						$db->free_result();
						$brutto           = 0;
						$brutto_a         = 0;
						$brutto_b         = 0;
						$brutto_abgabemed = 0; //neu
						
						//Noch offene Summen
						//total
						if ($bez_row[0] != "")
							$brutto = $beh_row[0] - $bez_row[0];
						else
							$brutto = $beh_row[0];
						//mwst_a
						if ($bez_row[1] != "")
							$brutto_a = $beh_row[1] - $bez_row[1];
						else
							$brutto_a = $beh_row[1];
						//mwst_b
						if ($bez_row[2] != "")
							$brutto_b = $beh_row[2] - $bez_row[2];
						else
							$brutto_b = $beh_row[2];
						//abgabe_med	       
						if ($bez_row[3] != "")
							$brutto_abgabemed = $beh_row[3] - $bez_row[3];
						else
							$brutto_abgabemed = $beh_row[3];
						
						//die neue Bezahlung aufteilen in brutto_a und brutto_b,bzw brutto_abgabemed zunaechst wird brutto_a aufgefuellt...
						//------------
						if ($restbetrag >= round($brutto, 2))
							{
							$betrag     = round($brutto, 2);
							$restbetrag = $restbetrag - $betrag;
							
							}
						else
							{
							$betrag     = $restbetrag;
							$restbetrag = 0;
							
							}
						
						//-------------
						
						if (($betrag > 0) and ($betrag <= round($brutto, 2))) //sonst Bloedsinn
							{
							if ($betrag <= $brutto_a)
								{
								$brutto_a = $betrag;
								$brutto_b = 0;
								$brutto   = $brutto_a + $brutto_b;
								}
							else
								{
								$brutto_b = $betrag - $brutto_a;
								$brutto   = $brutto_a + $brutto_b;
								}
							
							if ($betrag <= $brutto_abgabemed)
								$brutto_abgabemed = $betrag;
							
							
							d_dis2db($vso_datum);
							$datum = $vso_datum;
							
							//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
							$text_n = $vso_bez_bemerkung . " \r\n * automatisch eingefuegte Bezahlung ueber die " . 
														" Rechnung " . $rech[1] . " am " . today() . " (" . $user_kurz . ")";
							
							//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
							$db->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," . 
										" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id," .
										"rechnung_id,rech_bez_id,user_id,time_id) values " . 
										" ('$datum','$vso_typ','0','1','$brutto','$brutto_a'," . 
										" '$brutto_b','$brutto_abgabemed','$text_n','$vso_behandlung_id'," . 
										"'$vso_rechnung_id','$rech_bez_id','$user_id','$b_time')");
							
							if (!$db->result)
								{
								$error = $error + 1;
								}
							$db->free_result();
							}
						else
							{
							
							}
						} //Restbetrag > 0 
					else
						{
						
						}
					behandlung_summe($db, $vso_behandlung_id); //in ../kartei/position_functions.php
					}
				$db2->free_result();
				
				if ($error == 0)
					{
					$db->query("commit transaction");
					$navtext = " Der Zahlungseingang wurde verbucht ";
					//$szw_bes_id s.o besitzer_id falls Bezahlung aus Rechnungsliste fuer alle
					if (auto_detect_standard_zw == "1")
						standard_zahlweise($db, $szw_bes_id);
					}
				else
					{
					$db->query("rollback transaction");
					$navtext = " Der Zahlungseingang  konnte <b>nicht</b> verbucht werden.";
					}
				}
			else
				{
				$navtext = " Der Zahlungseingang  konnte <b>nicht</b> verbucht werden.";
				}
			
			//Zahlstatus aendert sich nur bei komplett bezahlter Rechnung 
			
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $besitzer_id, $num_rows und $zahlstatus
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			rechnung_offen($db, $vso_rechnung_id, $vso_zahlstatus);
			
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			
			$top   = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste($navtext);
			$bottom = navliste($navtext,"","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			break;
		//-----------------------------------------------------------
		//TAB Abrechnung
		//-----------------------------------------------------------
		case "a_del_bez": //Nach dem Loeschen einer Zahlung
		//echo " ----> a_del_bez";
			//alles in eine Transaktion verpacken
			//erst die abhaengigen Datensaetze in vs_bezahlt loeschen
			$error = 0;
			$db2   = new vs_db();
			$db2->connect();
			$db->query("begin transaction");
			//2015-06-04 KM: gebucht eingefuegt
			//$db2->query("select bezahlt_id,behandlung_id, from vs_bezahlt where rech_bez_id=$vso_rech_bez_id");
			$db2->query("select bezahlt_id,behandlung_id,gebucht from vs_bezahlt where rech_bez_id=$vso_rech_bez_id");
			while ($bez = $db2->fetch_row())
				{
				//2015-06-04 KM: Gebuchte Zahlungen koennen nicht geloescht werden !
				//$db->query("delete from vs_bezahlt where bezahlt_id=$bez[0]");
				$db->query("delete from vs_bezahlt where bezahlt_id=$bez[0] and gebucht !='1'");
				if (!$db->result)
					{
					$error = $error + 1;
					}
				behandlung_summe($db, $bez[1]);
				$db->free_result();
				}
			//dann den Eintrag in vs_rech_bez loeschen
			$db->query("delete from vs_rech_bez where rech_bez_id=$vso_rech_bez_id");
			if (!$db->result)
				{
				$error = $error + 1;
				}
			$db->free_result();
			if ($error == 0)
				{
				$db->query("commit transaction");
				//2015-06-04 KM: Text geaendert, da gebuchte Zahlungen nicht geloescht werden koennen.
				$navtext = "Zahlungseingang wurde gel&ouml;scht, wenn nicht gebucht.";
				}
			else
				{
				$db->query("rollback transaction");
				$navtext = "Zahlungseingang zur Rechnung konnte <b>nicht</b> gel&ouml;scht werden.";
				}
			$db2->free_result();
			
			//Zahlstatus aendert sich nur bei vor bei komplett bezahlter Rechnung, die jetzt ganz oder teilweise unbezahlt ist 
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $besitzer_id, $num_rows und $zahlstatus
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			rechnung_offen($db, $vso_rechnung_id, $vso_zahlstatus);
			
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			$top   = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//2015-04-02 KM: NEU Hilfe
			//$bottom = navliste($navtext);
			$bottom = navliste($navtext,"","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
			break;
			
		//-----------------------------------------------------------
		//EINZELRECHNUNG erzeugen
		//2015-05-31 KM
		//-----------------------------------------------------------
		case "a_ins_einzelrechnung": // Step 1 neue Einzelrechnung erstellen
		
		//echo " ----> a_ins_einzelrechnung";
		//echo "  --> vso_besitzer_id = ".$vso_besitzer_id;
		
			if (isset($vso_besitzer_id))
				{
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable
				if (!isset($vso_zahlstatus))
					{
					//2015-05-31 KM: $vso_zahlstatus = "alle";
					$vso_zahlstatus = "alle";
					}
				if (!isset($besitzer_id))
					{
					$besitzer_id = null;
					}
				if (!isset($num_rows))
					{
					//2015-05-31 KM: $num_rows = 0
					$num_rows = 0;
					}
				if (!isset($zahlstatus))
					{
					//2015-05-31 KM: $zahlstatus = "alle";
					$zahlstatus = "alle";
					}
				if (!isset($vso_rechnung_id))
					{
					$vso_rechnung_id = null;
					}
				//KM: NEU Einzelrechnung behandlung_id
				if (!isset($vso_er_behandlung_id))
					{
					$vso_er_behandlung_id = null;
					}
				
				$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
				$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
				$right = einzelrechnung_neu($db, $vso_besitzer_id, $vso_er_behandlung_id);
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("rechnung_tabelle_links");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
													"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
				$lb->add_style("width:380px;height:480px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
				//2015-04-02 KM: NEU Hilfe
				//$bottom = navliste("Neue Rechnung -> Angaben");
				$bottom = navliste("Neue Rechnung -> Angaben","","","../hilfe/help.html#rechnung");
				make_seite($left, $right, $top, $bottom);
				
				}
			else //mangels besitzer_id kann keine neue Rechnung erstellt werden
				{
				echo "<h2>Error! Kein Bezug zum Tierbesitzer vorhanden. Abbruch.</h2> ";
				}
				
			break;
			
		//-----------------------------------------------------------
		//EINZELRECHNUNG Uebernahmeroutine und Behandlung als Positition hinzufuegen
		//2015-08-06 KM
		//-----------------------------------------------------------
		
		case "a_post_ins_einzelrechnung_add_position": 
		// Step 2 neue Einzelrechnung erstellen und Behandlung als Positition hinzufuegen
		//echo " ----> post_ins_einzelrechnung_add_position";
			
			d_dis2db($vso_rechnungdatum);
			d_dis2db($vso_ausgabedatum);
			d_dis2db($vso_zahlfrist);
			$db->query("select max(int_rn) from vs_rechnung");
			$row = $db->fetch_row();
			if (isset($row[0]))
				$int_rn = $row[0] + 1;
			else
				$int_rn = 1; //
			//um eine kontinuierliche Rechnr. zu erzielen wird zu einem offset max(int_rn)+1  addiert
			//$rechnungnummer = "SR " . $int_rn . " /2006";
			$rechnungnummer = make_rechnungnummer(sr_nr_pre, sr_nr_offset, $int_rn, sr_nr_post);
			$m1geb          = ctp($dummy_m1 = m_1_gebuehr); //config.inc.php
			$m2geb          = ctp($dummy_m2 = m_2_gebuehr); //config.inc.php
			$m3geb          = ctp($dummy_m3 = m_3_gebuehr); //config.inc.php
			//2015-08-13 KM: NEU Storno
			$db->query("Insert into vs_rechnung (besitzer_id,rechnungdatum,ausgabedatum," . 
						" ausgabeart,memo,zahlfrist,rechnungnummer,zusatztext,int_rn,user_id,mahnung_1_datum,mahnung_1_gebuehr,mahnung_2_datum, " . 
						//"mahnung_2_gebuehr,mahnung_3_datum,mahnung_3_gebuehr) values " . 
						"mahnung_2_gebuehr,mahnung_3_datum,mahnung_3_gebuehr,storno_aktiv,storno_datum) values " . 
						" ('$vso_besitzer_id','$vso_rechnungdatum','$vso_ausgabedatum','$vso_ausgabeart'," . 
						" '$vso_memo','$vso_zahlfrist'," . 
						" '$rechnungnummer','$vso_zusatztext','$int_rn','$user_id','0001/01/01','$m1geb','0001/01/01','$m2geb','0001/01/01','$m3geb','0','0001/01/01')");
			$db->free_result();
			
			//Die von der db zugeteilte rechnung_id holen, um nachher die neue Rechnung zu selektieren
			$db->query("select rechnung_id from vs_rechnung where int_rn=$int_rn");
			$row = $db->fetch_row();
			$db->free_result();
			$vso_rechnung_id = $row[0];
			
			//Hier wird eine Query in vs_behandlung gemacht, die einen Datensatz mit der vorher rein geschriebenen besitzer_id (Spalte: rechnung_neu) sucht.
			$db->query("select behandlung_id, patient_id from vs_behandlung where rechnung_neu = $vso_besitzer_id");
			$er_neu = $db->fetch_row();
			$db->free_result();
			//$er_neu[0] --> Neue Einzelrechnung behandlung_id
			//$er_neu[1] --> Neue Einzelrechnung patient_id
			
			//echo " -- Neue Einzelrechnung behandlung_id ---> ". $er_neu[0];
			//echo " -- patient_id ---> ". $er_neu[1];
			
			//Daten des Besitzers ueber den Patienten holen, das wird fuer die Besitzerangaben gebraucht.
			$db->query("select besitzer_id, patient_id from vs_patient where patient_id = $er_neu[1]");
			$er_neu_bes = $db->fetch_row();
			$db->free_result();
			//$er_neu_bes[0] --> Besitzer des behandelten Tieres
			
			//echo " -- Besitzer des behandelten Tieres ---> ". $er_neu_bes[0];
			
			
			// +++++++++++++++++++++
			//add_position -- Behandlung einfuegen
			
			//Sicherheitsabfrage, dass Besitzer mit Besitzer des behandelten Tieres gleich ist.
			if ($vso_besitzer_id == $er_neu_bes[0]) 
				{
				//rechnung_id und behandlung_id vorhanden
				if ((isset($vso_rechnung_id)) and (isset($er_neu[0])))
					{
					
					//Protokollierung in der Karteikarte
					$db->query("select text from vs_behandlung where behandlung_id=$er_neu[0]");
					$row = $db->fetch_row();
					$db->free_result();
					$db->query("select rechnungnummer from vs_rechnung where rechnung_id=$vso_rechnung_id");
					$row2 = $db->fetch_row();
					$db->free_result();
					$memo = $row[0] . "\n\r * Diese Behandlung wurde am " . today() . " der Rechnung mit der Nummer " . $row2[0] . " zugefuegt.";
					
					//Aenderung der Rechnungsnummer der Behandlung
					$db->query("update vs_behandlung set rechnung_id='$vso_rechnung_id', text='$memo' where behandlung_id=$er_neu[0]");
					$db->free_result();
					}
				else
					{
					echo "<h2>Error! Kein Bezug zur Rechnung oder Behandlung vorhanden. Abbruch.</h2> ";
					}
				}
				
			// +++++++++++++++++++++
			//add_abrechnung Anfang -- Alle Zahlungen fuer die Rechnung uebernehmen
			/*
			 * Diese Routine wird NUR fuer den Uebergang von der alten auf die neue Einzelabrechnung gebraucht.
			 * Wenn schon Bezahlungen zur Behandlung erfolgt sind, ohne eine Quittung / Einzelrechnung zu erstellen, 
			 * muessen diese Zahlungen der neuen Rechnung zugeordnet werden.
			 */
			// +++++++++++++++++++++
			//$er_neu[0] --> Neue Einzelrechnung behandlung_id
			
			//vs_bezahlt: Hier werden ALLE Bezahlungen zur Behandlung gesucht
			$db->query("select bezahlt_id from vs_bezahlt where behandlung_id=$er_neu[0] and rechnung_id='-1'");
			$num_bezahlt = $db->num_rows();
			
			for($count = 0; $count < $num_bezahlt; $count++) //Schleifenzaehler
				{
				//vs_bezahlt: Felder auslesen
				
				//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
				$db->query("select behandlung_id, datum, betrag, typ, bez_bemerkung, bezahlt_id from vs_bezahlt where behandlung_id=$er_neu[0] and rechnung_id='-1'");
				$bezahlt       = $db->fetch_row(); //nur die erste Zeile
				//$bezahlt[1] --> datum
				//$bezahlt[2] --> betrag
				//$bezahlt[3] --> typ
				//$bezahlt[4] --> bez_bemerkung
				//$bezahlt[5] --> bezahlt_id
				
				//in vs_rech_bez: einen Datensatz anlegen
				$db->query("Insert into vs_rech_bez (rechnung_id, datum, betrag, typ, quittung, bez_bemerkung, bezahlt_id) ".
							"values ('$vso_rechnung_id','$bezahlt[1]','$bezahlt[2]','$bezahlt[3]', '1', '$bezahlt[4]', '$bezahlt[5]')");
				
				//vs_rech_bez: Datensatz auslesen
				$db->query("Select rechnung_id, rech_bez_id, bezahlt_id from vs_rech_bez where rechnung_id = $vso_rechnung_id and bezahlt_id='$bezahlt[5]'");
				$rech_bez       = $db->fetch_row();
				
				//vs_bezahlt: restliche Felder aktualisieren
				$db->query("Update vs_bezahlt set rechnung_id ='$rech_bez[0]', quittung = '1', rech_bez_id = '$rech_bez[1]' where bezahlt_id=$rech_bez[2]");
				
				//vs_behandlung: restliche Felder aktualisieren
				$db->query("Update vs_behandlung set rechnung_id ='$rech_bez[0]' where behandlung_id=$er_neu[0]");
				}
				// +++++++++++++++++++++
				//add_abrechnung Ende 
				// +++++++++++++++++++++
				
				
			//einzelrechnung_neu auf 0 setzen (besitzer_id geloescht).
			$db->query("update vs_behandlung set rechnung_neu = '0' where behandlung_id = $er_neu[0]");
			$db->free_result();
			
			// +++++++++++++++++++++
			//KM: Seitenaufbau
			// +++++++++++++++++++++
			
			//2015-07-26 KM: Jetzt wird der TAB Abrechnung aufgerufen
			if (!isset($num_rows))
				{
				//2015-05-31 KM: $num_rows = 0
				$num_rows = 0;
				}
			if (!isset($besitzer_id))
				{
				$besitzer_id = null;
				}
			if (!isset($zahlstatus))
				{
				//2015-05-31 KM: $zahlstatus = "alle";
				$zahlstatus = "alle";
				}
			
			$sql = make_rech_sql($vso_zahlstatus, $vso_besitzer_id);
			$top = make_top($db, $vso_besitzer_id, $vso_action, $vso_zahlstatus);
			$right = rechnung_abrechnung($db, $vso_rechnung_id, $vso_besitzer_id, $vso_zahlstatus);
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("rechnung_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 75, $db, $sql, 1, 7, 0, 0, $vso_rechnung_id, 
												"rechnung.php?action=a_browse&besitzer_id=$vso_besitzer_id&zahlstatus=$vso_zahlstatus&rechnung_id=", 32, "");
			$lb->add_style("width:380px;height:480px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_rechnung_id, $besitzer_id, $zahlstatus));
			//Hilfe
			$bottom = navliste(" Neue Einzelrechnung erstellt ","","","../hilfe/help.html#rechnung");
			make_seite($left, $right, $top, $bottom);
			
				break;
			//-----------------------------------------------------------
			
		} //switch
	}


//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();
$db->free_result();
$db->close();

?> 
