<?php
/*
 *      fremdleistung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8


// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";




//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_fremdleistung($db, &$fremdleistung_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($fremdleistung_id))
		{
		$db->query("Select fremdleistung_id,bezeichnung,gruppe,kurz,preis,epreis," . 
					"memo,rang,barcode,kommentar,lieferant_id,rechbezeichnung " . 
					"from vs_fremdleistung order by bezeichnung");
		}
	else
		{
		$db->query("Select fremdleistung_id,bezeichnung,gruppe,kurz,preis,epreis," . 
					"memo,rang,barcode,kommentar,lieferant_id,rechbezeichnung " . 
					"from vs_fremdleistung where fremdleistung_id = $fremdleistung_id order by bezeichnung");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$fremdleistung_id = $row[0];
		$olddata          = $db->curr_row_as_string();
		$t                = new vs_form_x("fremdleistung_zeigen", 9);
		$t->set_cellspacing(1);
		//Punkte in Kommata umwandeln
		$row[4] = ptc($row[4]);
		$row[5] = ptc($row[5]);
		
		$t->add_control(1, new vs_edit("bezeichnung", 40, 40, "$row[1]", "Bezeichnung &nbsp;&nbsp;"));
		$t->add_control(1, new vs_edit("kurz", 12, 12, "$row[3]", "Kurz"));
		$c = new vs_listbox("gruppe", 20, "$row[2]", "1", "Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$c->add_item("Labor", "Labor");
		$c->add_item("Pathologie", "Pathologie");
		$c->add_item("Kremieren", "Kremieren");
		$c->add_item("Sonstige", "Sonstige");
		$t->add_control(2, $c);
		$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", "$row[10]");
		$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(3, $firma);
		$t->add_control(3, new vs_edit("barcode", 20, 20, "$row[8]", "Barcode"));
		$t->add_control(4, new vs_d_edit("preis", 12, 7, "$row[4]", "Preis netto &euro; &nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(4, new vs_d_edit("epreis", 12, 7, "$row[5]", "EK &euro;"));
		$t->add_control(4, new vs_i_edit("rang", 12, 3, "$row[7]"));
		$t->add_control(5, new vs_edit("rechbezeichnung", 70, 120, "$row[11]", "Rechnungstext"));
		$t->add_control(6, new vs_edit("kommentar", 70, 80, "$row[9]", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(7, new vs_memo("memo", 70, 15, "$row[6]", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		$t->add_control(8, new vs_hidden("fremdleistung_id", $row[0]));
		$t->add_control(8, new vs_hidden("action", "a_post_edit"));
		$t->add_control(8, new vs_hidden("olddata", "$olddata"));
		if ($can_edit == "1")
			{
			$t->add_control(8, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
			//nach Standardpositionen suchen, die dieser Impfstoff enthalten, ggf. Warntext wegen  Löschen zeigen  
			if (check_in_stapos($db, "R", $fremdleistung_id) > 0)
				{
				$t->add_control(9, new vs_text("<span style=\"color:red;font-weight:bold;\">Diese Fremdleistung ist Bestandteil von Standardbehandlungen. " . 
												"Beim L&ouml;schen wird sie daraus entfernt !</span>"));
				}
			
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neue_fremdleistung($db);
		}
	}



function neue_fremdleistung($db)
	{
	global $can_insert;
	$t = new vs_form_x("fremdleistung_neu", 8);
	$t->set_cellspacing(1);
	$t->add_control(1, new vs_edit("bezeichnung", 40, 40, "", "Bezeichnung &nbsp;&nbsp;"));
	$t->add_control(1, new vs_edit("kurz", 12, 12, "", "Kurz"));
	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $row[2]
	if (!isset($row[2]))
		{
		$row[2] = null;
		}
	$c = new vs_listbox("gruppe", 20, "$row[2]", "1", "Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$c->add_item("Labor", "Labor");
	$c->add_item("Pathologie", "Pathologie");
	$c->add_item("Kremieren", "Kremieren");
	$c->add_item("Sonstige", "Sonstige");
	$t->add_control(2, $c);
	$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", "");
	$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(3, $firma);
	$t->add_control(3, new vs_edit("barcode", 20, 20, "", "Barcode"));
	$t->add_control(4, new vs_d_edit("preis", 12, 7, "0,00", "Preis netto &euro; &nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(4, new vs_d_edit("epreis", 12, 7, "0,00", "EK &euro;"));
	$t->add_control(4, new vs_i_edit("rang", 12, 3, "0"));
	$t->add_control(5, new vs_edit("rechbezeichnung", 70, 120, "", "Rechnungstext"));
	$t->add_control(6, new vs_edit("kommentar", 70, 80, "", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$t->add_control(7, new vs_memo("memo", 70, 15, "", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$t->add_control(8, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
		}
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $fremdleistung_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&fremdleistung_id=$fremdleistung_id"));
		}
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;

office_login($db);

$b         = new vs_page_begin("Fremdleistungen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset($vso_action)) or ($vso_action == ""))
	{
	$vso_action = "a_browse"; //falls über eine neues Login der querystring verloren geht...
	}
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FREMDLEISTUNGEN</h2>");
			$bottom = navliste("Liste der Fremdleistungen");
			$right  = zeige_fremdleistung($db, $vso_fremdleistung_id, $num_rows);
			$sql    = "select fremdleistung_id,bezeichnung from vs_fremdleistung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_fremdleistung_id, "fremdleistung.php?action=a_browse&fremdleistung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fremdleistung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("select bezeichnung from vs_fremdleistung where fremdleistung_id='$vso_fremdleistung_id'");
			$row         = $db->fetch_row();
			$bezeichnung = $row[0];
			$db->free_result();
			$db->query("delete from vs_fremdleistung where fremdleistung_id = $vso_fremdleistung_id");
			$db->query("delete from vs_stapos where position_id = $vso_fremdleistung_id  and typ = 'R' ");
			$db->free_result();
			unset($vso_fremdleistung_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FREMDLEISTUNGEN</h2>");
			$bottom = navliste("$bezeichnung wurde gel&ouml;scht");
			$right  = zeige_fremdleistung($db, $vso_fremdleistung_id, $num_rows);
			$sql    = "select fremdleistung_id,bezeichnung from vs_fremdleistung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_fremdleistung_id, "fremdleistung.php?action=a_browse&fremdleistung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fremdleistung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		case "a_ins": // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; FREMDLEISTUNGEN</h2>");
			$bottom = navliste(" Neue Fremdleistung einf&uuml;gen");
			$right  = neue_fremdleistung($db);
			$sql    = "select fremdleistung_id,bezeichnung from vs_fremdleistung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_fremdleistung_id
			if (!isset($vso_fremdleistung_id))
				{
				$vso_fremdleistung_id = null;
				}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_fremdleistung_id, "fremdleistung.php?action=a_browse&fremdleistung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_fremdleistung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select fremdleistung_id,bezeichnung,gruppe,kurz,preis,epreis," . 
						"memo,rang,barcode,kommentar,lieferant_id,rechbezeichnung " . 
						"from vs_fremdleistung where fremdleistung_id = $vso_fremdleistung_id order by bezeichnung");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_preis  = ctp($vso_preis); //Komma nach Punkt
				$vso_epreis = ctp($vso_epreis);
				$db->query("update vs_fremdleistung set" . " bezeichnung='$vso_bezeichnung'," . 
							" gruppe='$vso_gruppe'," . 
							" kurz='$vso_kurz'," . 
							" preis='$vso_preis'," . 
							" epreis='$vso_epreis'," . 
							" memo='$vso_memo'," . 
							" rang='$vso_rang'," . 
							" barcode='$vso_barcode'," . 
							" kommentar='$vso_kommentar'," . 
							" rechbezeichnung='$vso_rechbezeichnung'," . 
							" lieferant_id='$vso_lieferant_id'" . 
							" where fremdleistung_id=$vso_fremdleistung_id");
				
				$db->free_result();
				}
			
			//Fehlermeldung 
			else
				error_row(change_warning . "(Fremdleistungen)");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FREMDLEISTUNGEN</h2>");
			$bottom = navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right  = zeige_fremdleistung($db, $vso_fremdleistung_id, $num_rows);
			$sql    = "select fremdleistung_id,bezeichnung from vs_fremdleistung order by bezeichnung";
			//KM: Listbox links
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_fremdleistung_id, "fremdleistung.php?action=a_browse&fremdleistung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fremdleistung_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_ins": //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_preis  = ctp($vso_preis); //Komma nach Punkt
			$vso_epreis = ctp($vso_epreis);
			if ($vso_rechbezeichnung == "")
				$vso_rechbezeichnung = $vso_bezeichnung;
			$db->query("insert into vs_fremdleistung" . 
						" (bezeichnung,gruppe,kurz,preis,epreis,memo," . 
						" rang,barcode,kommentar,lieferant_id,rechbezeichnung) " . 
						" values(" . 
						"'$vso_bezeichnung','$vso_gruppe','$vso_kurz','$vso_preis','$vso_epreis'," . 
						"'$vso_memo','$vso_rang','$vso_barcode'," . 
						"'$vso_kommentar','$vso_lieferant_id','$vso_rechbezeichnung')");
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$db->query("select fremdleistung_id from vs_fremdleistung where bezeichnung='$vso_bezeichnung'");
			$row                  = $db->fetch_row();
			$vso_fremdleistung_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FREMDLEISTUNGEN</h2>");
			$bottom = navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right  = zeige_fremdleistung($db, $vso_fremdleistung_id, $num_rows);
			$sql    = "select fremdleistung_id,bezeichnung from vs_fremdleistung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_fremdleistung_id, "fremdleistung.php?action=a_browse&fremdleistung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fremdleistung_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
