<?php
/*
 *      futter.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_futter($db, &$futter_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($futter_id))
		{
		$db->query("Select futter_id,bezeichnung,gruppe,lieferant_id,kurz,barcode,preis,epreis," . 
					"rang,mwst,kommentar,memo,rechbezeichnung,verfuegbar,t_bezeichnung,t_vk,barsoi_pnr,t_rechbezeichnung " . 
					"from vs_futter order by bezeichnung");
		}
	else
		{
		$db->query("Select futter_id,bezeichnung,gruppe,lieferant_id,kurz,barcode,preis,epreis," . 
					"rang,mwst,kommentar,memo,rechbezeichnung,verfuegbar,t_bezeichnung,t_vk,barsoi_pnr,t_rechbezeichnung " . 
					"from vs_futter where futter_id = $futter_id order by bezeichnung");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$futter_id = $row[0];
		$olddata   = $db->curr_row_as_string();
		//2015-02-14 KM: neu formatiert
		$t         = new vs_form_x("futter_zeigen", 15);
		$t->set_cellspacing(1);
		//Punkte in Kommata umwandeln
		$row[6]  = ptc($row[6]);
		$row[7]  = ptc($row[7]);
		$row[15] = ptc($row[15]);
		$t->add_control(1, new vs_edit("bezeichnung", 60, 110, $row[1], "Bezeichnung &nbsp;&nbsp;"));
		$t->add_control(1, new vs_edit("kurz", 10, 12, "$row[4]", "Kurz"));
		//2015-02-24 KM: Label vs_db_listbox geaendert   
		//$t->add_control(2,new vs_db_listbox("gruppe",30,$db,"vs_futter_gruppe","bezeichnung","bezeichnung","$row[2]",0,"Gruppe"));
		$gruppe_f = new vs_db_listbox("gruppe", 30, $db, "vs_futter_gruppe", "bezeichnung", "bezeichnung", "$row[2]");
		$gruppe_f->set_label("Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(2, $gruppe_f);
		
		//$t->add_control(2,new vs_db_listbox("lieferant_id",20,$db,"vs_lieferant","name","lieferant_id","$row[3]",0,"Lieferant"));
		$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", "$row[3]");
		$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(3, $firma);
		
		$t->add_control(3, new vs_i_edit("rang", 3, 3, "$row[8]"));
		$t->add_control(3, new vs_d_edit("preis", 7, 7, "$row[6]", "Preis netto &euro;"));
		$t->add_control(3, new vs_d_edit("epreis", 7, 7, "$row[7]", "EK &euro;"));
		$c = new vs_listbox("verfuegbar", 30, $row[13], 1, "Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp");
		$c->add_item("1", "ja");
		$c->add_item("0", "nein");
		$t->add_control(4, $c);
		$t->add_control(4, new vs_edit("barcode", 10, 20, "$row[5]", "Barcode"));
		$t->add_control(5, new vs_edit("rechbezeichnung", 60, 120, "$row[12]", "Rechnungstext"));
		$t->add_control(6, new vs_edit("kommentar", 60, 80, "$row[10]", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(7, new vs_text("&nbsp;"));
		
		$t->add_control(8, new vs_text(" -------------------------------------------------------------------------------- " . 
										"<b>TEILABGABE</b> --------------------------------------------------------------------------------"));
		$t->add_control(9, new vs_text("&nbsp;"));
		$t->add_control(10, new vs_edit("t_bezeichnung", 60, 110, "$row[14]", "Bezeichnung &nbsp;&nbsp;"));
		$t->add_control(10, new vs_d_edit("t_vk", 5, 7, "$row[15]", "VK netto &euro;"));
		$t->add_control(11, new vs_edit("barsoi_pnr", 10, 40, "$row[16]", "PNR (Barsoi) &nbsp;&nbsp;&nbsp;"));
		$t->add_control(12, new vs_edit("t_rechbezeichnung", 60, 120, "$row[17]", "Rechnungstext"));
		$t->add_control(12, new vs_memo("memo", 70, 10, "$row[11]", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(13, new vs_hidden("futter_id", $row[0]));
		$t->add_control(13, new vs_hidden("action", "a_post_edit"));
		$t->add_control(13, new vs_hidden("olddata", "$olddata"));
		
		if ($can_edit == "1")
			{
			$t->add_control(14, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(14, new vs_reset("reset", "Abbruch", "true"));
			//nach Standardpositionen suchen, die dieser Impfstoff enthalten, ggf. Warntext wegen  Löschen zeigen  
			if (check_in_stapos($db, "F", $futter_id) > 0)
				{
				$t->add_control(15, new vs_text("&nbsp;<br><span style=\"color:red;font-weight:bold;\">Dieses Futter/Erg&auml;nzungsfuttermittel ist Bestandteil von Standardbehandlungen. " . 
												"Beim L&ouml;schen wird es daraus entfernt !</span>"));
				}
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neues_futter($db);
		}
	}



function neues_futter($db)
	{
	global $can_insert;
	$t = new vs_form_x("futter_neu", 15);
	$t->set_cellspacing(1);
	
	$t->add_control(1, new vs_edit("bezeichnung", 60, 110, "", "Bezeichnung &nbsp;&nbsp;"));
	$t->add_control(1, new vs_edit("kurz", 10, 12, "", "Kurz"));
	//2015-02-24 KM: Label vs_db_listbox geaendert   
	//$t->add_control(1,new vs_db_listbox("gruppe",30,$db,"vs_futter_gruppe","bezeichnung","bezeichnung","",0,"Gruppe"));
	$gruppe_f = new vs_db_listbox("gruppe", 30, $db, "vs_futter_gruppe", "bezeichnung", "bezeichnung", "");
	$gruppe_f->set_label("Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(2, $gruppe_f);
	
	//$t->add_control(2,new vs_db_listbox("lieferant_id",20,$db,"vs_lieferant","name","lieferant_id","",0,"Lieferant"));
	$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", "");
	$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(3, $firma);
	
	$t->add_control(3, new vs_i_edit("rang", 3, 3, "0"));
	$t->add_control(3, new vs_d_edit("preis", 7, 7, "0,00", "Preis netto &euro;"));
	$t->add_control(3, new vs_d_edit("epreis", 7, 7, "0,00", "EK &euro;"));
	
	$c = new vs_listbox("verfuegbar", 30, "1", 1, "Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$c->add_item("1", "ja");
	$c->add_item("0", "nein");
	$t->add_control(4, $c);
	$t->add_control(4, new vs_edit("barcode", 10, 20, "", "Barcode"));
	$t->add_control(5, new vs_edit("rechbezeichnung", 60, 120, "", "Rechnungstext"));
	$t->add_control(6, new vs_edit("kommentar", 60, 80, "", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(7, new vs_text("&nbsp;"));
	$t->add_control(8, new vs_text(" -------------------------------------------------------------------------------- " . 
									"<b>TEILABGABE</b> --------------------------------------------------------------------------------"));
	$t->add_control(9, new vs_text("&nbsp;"));
	$t->add_control(10, new vs_edit("t_bezeichnung", 60, 110, "", "Bezeichnung &nbsp;&nbsp;"));
	$t->add_control(10, new vs_d_edit("t_vk", 5, 7, "0,00", "*VK netto &euro;"));
	$t->add_control(11, new vs_edit("barsoi_pnr", 10, 40, "0", "PNR (Barsoi) &nbsp;&nbsp;&nbsp;"));
	$t->add_control(12, new vs_edit("t_rechbezeichnung", 60, 120, "", "Rechnungstext"));
	$t->add_control(13, new vs_hidden("action", "a_post_ins"));
	$t->add_control(14, new vs_memo("memo", 70, 10, "", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	if ($can_insert == "1")
		{
		$t->add_control(15, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(15, new vs_reset("reset", "Abbruch", "true"));
		}
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $futter_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&futter_id=$futter_id"));
		}
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;



office_login($db);

$b         = new vs_page_begin("Futter/Erg&auml;nzungsfutter", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FUTTER / ERG&Auml;NZUNGSFUTTER</h2>");
			$bottom = navliste("Liste der Futtermittel und Erg&auml;nzungsfuttermittel");
			$right  = zeige_futter($db, $vso_futter_id, $num_rows);
			$sql    = "select futter_id,bezeichnung from vs_futter order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_futter_id, "futter.php?action=a_browse&futter_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_futter_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("select bezeichnung from vs_futter where futter_id='$vso_futter_id'");
			$row         = $db->fetch_row();
			$bezeichnung = $row[0];
			$db->free_result();
			$db->query("delete from vs_futter where futter_id = $vso_futter_id");
			//Standardpositionen löschen, die die Ware beinhalten
			$db->query("delete from vs_stapos where position_id = $vso_futter_id and typ = 'F' ");
			$db->free_result();
			unset($vso_futter_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FUTTER / ERG&Auml;NZUNGSFUTTER</h2>");
			$bottom = navliste("$bezeichnung wurde gel&ouml;scht");
			$right  = zeige_futter($db, $vso_futter_id, $num_rows);
			$sql    = "select futter_id,bezeichnung from vs_futter order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_futter_id, "futter.php?action=a_browse&futter_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_futter_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		case "a_ins": // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top    = new vs_text("<h2>&nbsp; FUTTER / ERG&Auml;NZUNGSFUTTER</h2>");
			$bottom = navliste(" Neues Futter einf&uuml;gen");
			$right  = neues_futter($db);
			$sql    = "select futter_id,bezeichnung from vs_futter order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_futter_id
			if (!isset($vso_futter_id))
				{
				$vso_futter_id = null;
				}
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_futter_id, "futter.php?action=a_browse&futter_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_futter_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select futter_id,bezeichnung,gruppe,lieferant_id,kurz,barcode,preis,epreis," . "rang,mwst,kommentar,memo,rechbezeichnung,verfuegbar,t_bezeichnung,t_vk,barsoi_pnr,t_rechbezeichnung " . "from vs_futter where futter_id = $vso_futter_id order by bezeichnung");
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				$vso_preis  = ctp($vso_preis); //Komma nach Punkt
				$vso_epreis = ctp($vso_epreis);
				$vso_t_vk   = ctp($vso_t_vk);
				//2014-03-15 KM: wie ueblich die Beseitigung eines undefined variable $vso_gruppe
				if (!isset($vso_gruppe))
					{
					$vso_gruppe = null;
					}
				$db->query("update vs_futter set" . " bezeichnung='$vso_bezeichnung'," . " gruppe='$vso_gruppe'," . " lieferant_id='$vso_lieferant_id'," . " kurz='$vso_kurz'," . " barcode='$vso_barcode'," . " preis='$vso_preis'," . " epreis='$vso_epreis'," . " rang='$vso_rang'," . " kommentar='$vso_kommentar'," . " rechbezeichnung='$vso_rechbezeichnung'," . " memo='$vso_memo'," . " verfuegbar='$vso_verfuegbar'," . " t_bezeichnung='$vso_t_bezeichnung'," . " t_vk='$vso_t_vk'," . " barsoi_pnr='$vso_barsoi_pnr'," . " t_rechbezeichnung='$vso_t_rechbezeichnung' " . " where futter_id=$vso_futter_id");
				
				//Standardpositionen löschen, wenn das Futter nicht verfügbar ist					
				if ($vso_verfuegbar == "0")
					{
					$db->query("delete from vs_stapos where position_id = $vso_futter_id  and typ = 'F' ");
					}
				
				$db->free_result();
				}
			//Fehlermeldung 
			else
				error_row(change_warning . "(Tierfutter)");
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FUTTER / ERG&Auml;NZUNGSFUTTER</h2>");
			$bottom = navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right  = zeige_futter($db, $vso_futter_id, $num_rows);
			$sql    = "select futter_id,bezeichnung from vs_futter order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_futter_id, "futter.php?action=a_browse&futter_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_futter_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_ins": //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$vso_preis  = ctp($vso_preis);
			$vso_epreis = ctp($vso_epreis);
			$vso_t_vk   = ctp($vso_t_vk);
			if ($vso_rechbezeichnung == "")
				$vso_rechbezeichnung = $vso_bezeichnung;
			//Futtermittel haben immer den niederen mwst satz
			$vso_mwst = "B";
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_gruppe
			if (!isset($vso_gruppe))
				{
				$vso_gruppe = null;
				}
			$db->query("insert into vs_futter" . " (bezeichnung,gruppe,lieferant_id,kurz,barcode,preis,epreis," . 
						" rang,mwst,kommentar,memo,rechbezeichnung,verfuegbar,t_bezeichnung,t_vk,barsoi_pnr,t_rechbezeichnung)" . 
						" values(" . "'$vso_bezeichnung','$vso_gruppe','$vso_lieferant_id','$vso_kurz','$vso_barcode'," . 
						"'$vso_preis','$vso_epreis','$vso_rang'," . "'$vso_mwst','$vso_kommentar','$vso_memo','$vso_rechbezeichnung'," . 
						"'$vso_verfuegbar','$vso_t_bezeichnung','$vso_t_vk','$vso_barsoi_pnr','$vso_t_rechbezeichnung')");
			
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$db->free_result();
			$db->query("select futter_id from vs_futter where bezeichnung='$vso_bezeichnung'");
			$row           = $db->fetch_row();
			$vso_futter_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FUTTER / ERG&Auml;NZUNGSFUTTER</h2>");
			$bottom = navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right  = zeige_futter($db, $vso_futter_id, $num_rows);
			$sql    = "select futter_id,bezeichnung from vs_futter order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_futter_id, "futter.php?action=a_browse&futter_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_futter_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
