 <?php
/*
 *      leistung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}


function zeige_leistung($db,&$leistung_id,&$num_rows)
{
 global $can_edit;	
 if (!isset($leistung_id))
 {
    $db->query("Select  leistung_id,bezeichnung,kurz,preis,epreis,got,rang,barcode,kommentar,memo,rechbezeichnung,faktor,faktor_typ ".
               " from vs_leistung order by bezeichnung");
 }
 else


 {	
    $db->query("Select  leistung_id,bezeichnung,kurz,preis,epreis,got,rang,barcode,kommentar,memo,rechbezeichnung,faktor,faktor_typ ".
               " from vs_leistung where leistung_id = $leistung_id order by bezeichnung");
 } 
 $row=$db->fetch_row();  
 $num_rows=$db->num_rows();
 $db->free_result();
 
 if ($num_rows>0)
 {
 $olddata=$db->curr_row_as_string();
 $leistung_id=$row[0];	
 
 //2015-02-22 KM: Formatierung geaendert
 $t=new vs_form_x("leistung_zeigen",7);
 $t->set_cellspacing(5);
 $t->add_control(1,new vs_edit("bezeichnung",50,60,$row[1],"Bezeichnung &nbsp;&nbsp;","B"));
 $t->add_control(1,new vs_edit("kurz",8, 12, "$row[2]","Kurz","K"));
 $t->add_control(1,new vs_edit("barcode", 12, 20, $row[7]));
 $t->add_control(2,new vs_d_edit("preis", 7, 7, ptc($row[3]),"Preis netto &euro; &nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(2,new vs_d_edit("epreis", 7, 7, ptc($row[4]),"Kosten &euro;"));
 $t->add_control(2,new vs_edit("got", 7, 20, $row[5],"GOT","G"));
 $t->add_control(2,new vs_d_edit("faktor", 4, 4, ptc($row[11]),"Faktor","a"));
 $ip= new vs_listbox("faktor_typ",11,$row[12],0,'Typ');
 $ip->add_item("o","Obergrenze"); 
 $ip->add_item("u","Untergrenze"); 
 $ip->add_item("i","Immer"); 
 $t->add_control(2,$ip);

 $t->add_control(2,new vs_hidden("rang",$row[6]));
 $t->add_control(3,new vs_edit("rechbezeichnung", 70,120,$row[10],"Rechnungstext")); 
 $t->add_control(4,new vs_memo("kommentar", 70,10,$row[8],"Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(5,new vs_memo("memo",70,10,$row[9],"Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;","M"));
 $t->add_control(6,new vs_hidden("leistung_id",$row[0]));
 $t->add_control(6,new vs_hidden("action","a_post_edit"));
 $t->add_control(6,new vs_hidden("olddata", "$olddata"));
 if ($can_edit=="1")
 {
  $t->add_control(6,new vs_submit("submit","&Auml;ndern","true"));
  $t->add_control(6,new vs_reset("reset","Abbruch","true"));
   //nach Standardpositionen suchen, die diese Leistung enthalten, ggf Warntext wegen  Loeschen zeigen  
  if (check_in_stapos($db,"L",$leistung_id) >0)
  {  
	$t->add_control(7,new vs_text("<span style=\"color:red;font-weight:bold;\">Diese Leistung ist Bestandteil von Standardbehandlungen. ".
														"Beim L&ouml;schen wird sie daraus entfernt !</span>"));  
  }
  
 }
  return $t;
 }
 else
 { 
 	return neue_leistung($db);
 }
}



function neue_leistung($db)
{
 global $can_insert;
 //2014-11-26 KM: Formatierung geaendert
 $t=new vs_form_x("leistung_neu",6);
 $t->set_cellspacing(5);
 $t->add_control(1,new vs_edit("bezeichnung",50,60,"","Bezeichnung &nbsp;&nbsp;","B"));
 $t->add_control(1,new vs_edit("kurz",12, 12, "","Kurz","K"));
 $t->add_control(1,new vs_edit("barcode", 12, 20,"")); 
 $t->add_control(2,new vs_d_edit("preis", 7, 7,"0,00","Preis netto &euro; &nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(2,new vs_d_edit("epreis", 7, 7,"0,00","Kosten &euro;"));
 $t->add_control(2,new vs_edit("got", 7, 20,"","GOT","G"));
 $t->add_control(2,new vs_d_edit("faktor", 4, 4, 0,"Faktor","a")); 
 $ip= new vs_listbox("faktor_typ",11,"o",0,'Typ');
 $ip->add_item("o","Obergrenze"); 
 $ip->add_item("u","Untergrenze"); 
 $ip->add_item("i","Immer"); 
 $t->add_control(2,$ip);
 $t->add_control(2,new vs_hidden("rang",1));
 $t->add_control(3,new vs_edit("rechbezeichnung", 70,120,"","Rechnungstext")); 
 $t->add_control(4,new vs_memo("kommentar", 70,10,"","Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(5,new vs_memo("memo",70,10,"","Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;","M"));
 $t->add_control(6,new vs_hidden("action","a_post_ins"));
 if ($can_insert=="1")
 {
   $t->add_control(6,new vs_submit("submit","Speichern","true"));
   $t->add_control(6,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 return $t;
}

function img_leiste($db,$num_rows,$leistung_id)
{
  global $can_insert;
  global $can_delete;	
  $il= new vs_div("il","30","left");
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
  if($num_rows>0 ) 
  {  
  	if ($can_delete=="1")
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&leistung_id=$leistung_id"));
  }
  return $il;
}


global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b = new vs_page_begin("Leistungen / Geb&uuml;hren", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else {
	switch ($vso_action) {
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; LEISTUNGEN / GEB&Uuml;HREN</h2>");
			$bottom=navliste("Liste mit den Leistungen nach der GOT");
			$right=zeige_leistung($db,$vso_leistung_id,$num_rows);
			$sql="select leistung_id,bezeichnung from vs_leistung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_leistung_id,"leistung.php?action=a_browse&leistung_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_leistung_id));
			seite($top,$bottom,$left,$right);
					            
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
			case "a_del" : //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_leistung where leistung_id = $vso_leistung_id");
			$db->query("delete from vs_stapos where position_id = $vso_leistung_id  and typ = 'L' ");
			$db->free_result();
			unset($vso_leistung_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; LEISTUNGEN</h2>");
			$bottom=navliste("Leistung wurde gel&ouml;scht");
			$right=zeige_leistung($db,$vso_leistung_id,$num_rows);
			$sql="select leistung_id,bezeichnung from vs_leistung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_leistung_id,"leistung.php?action=a_browse&leistung_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_leistung_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
			
			case "a_ins" : // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; LEISTUNGEN / GEB&Uuml;HREN</h2>");
			$bottom=navliste(" Neue Leistung einf&uuml;gen");
			$right=neue_leistung($db);
			$sql="select leistung_id,bezeichnung from vs_leistung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_leistung_id
			if (!isset ($vso_leistung_id))
					{$vso_leistung_id = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_leistung_id,"leistung.php?action=a_browse&leistung_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_leistung_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		    case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select  leistung_id,bezeichnung,kurz,preis,epreis,got,rang,barcode,kommentar,memo,rechbezeichnung,faktor,faktor_typ ".
						" from vs_leistung where leistung_id = $vso_leistung_id order by bezeichnung");
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_preis=ctp($vso_preis); 
				$vso_epreis=ctp($vso_epreis);	
				$vso_faktor=ctp($vso_faktor);	  
				//endlich die neuen Werte eintragen	
				$db->query("update vs_leistung set ".
							"bezeichnung='$vso_bezeichnung',".
							"preis='$vso_preis',".
							"epreis='$vso_epreis',".
							"got='$vso_got',".
							"barcode='$vso_barcode',".
							"rang='$vso_rang',".
							"kommentar='$vso_kommentar',".
							"kurz='$vso_kurz',".
							"rechbezeichnung='$vso_rechbezeichnung',".
							"faktor='$vso_faktor',".
							"faktor_typ='$vso_faktor_typ',".   
							"memo='$vso_memo'".
							" where leistung_id=$vso_leistung_id");
				 $db->free_result();
			}	
			
			//Fehlermeldung 
			else error_row(change_warning."(Leistungen nach GOT)");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; LEISTUNGEN / GEB&Uuml;HREN</h2>");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right=zeige_leistung($db,$vso_leistung_id,$num_rows);
			$sql="select leistung_id,bezeichnung from vs_leistung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_leistung_id,"leistung.php?action=a_browse&leistung_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_leistung_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
			case "a_post_ins" : //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_preis=ctp($vso_preis); 
			$vso_epreis=ctp($vso_epreis);
			$vso_faktor=ctp($vso_faktor);
			
			$db->query("insert into vs_leistung (bezeichnung,preis,epreis,got,barcode,rang," .
						"kommentar,kurz,memo,rechbezeichnung,faktor,faktor_typ) values('$vso_bezeichnung','$vso_preis','$vso_epreis',".
						"'$vso_got','$vso_barcode','$vso_rang','$vso_kommentar','$vso_kurz','$vso_memo','$vso_rechbezeichnung','$vso_faktor','$vso_faktor_typ')");		   
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; LEISTUNGEN / GEB&Uuml;HREN</h2>");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			unset($vso_leistung_id);
			$right=zeige_leistung($db,$vso_leistung_id,$num_rows);
			$sql="select leistung_id,bezeichnung from vs_leistung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_leistung_id,"leistung.php?action=a_browse&leistung_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_leistung_id));
			seite($top,$bottom,$left,$right);
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

