<?php
/*
 *      rasse.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$left->set_css_class("stammdaten_tabelle_links");
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
			
			
function zeige_rasse($db,&$rasse_id,&$num_rows)
	{
	global $can_edit;
		if (!isset($rasse_id))
		{
			$db->query("Select rasse_id,bezeichnung,kurz,tierart_id,hoehe," .
						"ugw,ogw,ugm,ogm,beschreibung,memo,bild ".
						"from vs_rasse ");   
		}
	 else
		{
		$db->query("Select rasse_id,bezeichnung,kurz,tierart_id,hoehe," .
					"ugw,ogw,ugm,ogm,beschreibung,memo,bild ".
					"from vs_rasse where rasse_id = $rasse_id");           
		} 
	$row=$db->fetch_row();  
	$num_rows=$db->num_rows();
	
	if ($num_rows>0)
		{
		$rasse_id=$row[0];
		$olddata=$db->curr_row_as_string();
		
		$t=new vs_form_x("rasse_zeigen",7);
		$t->set_cellspacing(5);
		//Punkte in Kommata umwandeln
		$row[5]=ptc($row[5]);
		$row[6]=ptc($row[6]);
		$row[7]=ptc($row[7]);
		$row[8]=ptc($row[8]);
		
		$t->add_control(1,new vs_edit("bezeichnung",50,40,$row[1],"Bezeichnung"));
		$t->add_control(1,new vs_edit("kurz",12, 12, "$row[2]","Kurz"));
		//2015-11-01 KM: Rasse ID zugefuegt
		$ra_id = new vs_edit("rasse_id",5,5,$row[0],"Rasse ID");
		$ra_id->set_readonly("true");
		$t->add_control(1, $ra_id);
		
		//2015-02-23 KM: Formatierung geaendert, set_label bringt hier einen Fehler
		//$t->add_control(2,new vs_db_listbox("tierart_id",20,$db,"vs_tierart","bezeichnung","tierart_id",$row[3],0,"Tierart "));
		$ta=new vs_db_listbox("tierart_id",20,$db,"vs_tierart","bezeichnung","tierart_id","$row[3]");
		$ta->set_label("Tierart &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(2,$ta);
		
		$t->add_control(2,new vs_i_edit("hoehe", 5, 3, "$row[4]","H&ouml;he (cm) "));
		$t->add_control(3,new vs_d_edit("ugw", 5, 7, "$row[5]","Gewicht (kg, weiblich) von "));
		$t->add_control(3,new vs_d_edit("ogw", 5, 7, "$row[6]"," bis "));
		$t->add_control(3,new vs_d_edit("ugm", 5, 7, "$row[7]","Gewicht (kg, m&auml;nnlich) von "));
		$t->add_control(3,new vs_d_edit("ogm", 5, 7, "$row[8]"," bis "));
		$t->add_control(5,new vs_memo("beschreibung", 70, 15, "$row[9]"))  ;      
		$t->add_control(6,new vs_memo("memo",70,5,$row[10],"Bemerkung &nbsp;&nbsp;&nbsp;&nbsp;"));
		//$t->add_control(new vs_img_edit("bild", 30,30,120,datadir,$row[11]));
		$t->add_control(7,new vs_hidden("rasse_id",$row[0]));
		$t->add_control(7,new vs_hidden("action","a_post_edit"));
		$t->add_control(7,new vs_hidden("olddata", "$olddata"));
		if ($can_edit=="1")
			{
			$t->add_control(7,new vs_submit("submit","&Auml;ndern","true"));
			$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{ 
		return neue_rasse($db);
		}
	}
		
		
		
function neue_rasse($db)
	{
	global $can_insert;
	$t=new vs_form_x("rasse_neu",7);
	$t->set_cellspacing(5);
	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $row
		if (!isset ($row))
			{$row = null;}
	$t->add_control(1,new vs_edit("bezeichnung",50,40,$row[1],"Bezeichnung"));
	$t->add_control(1,new vs_edit("kurz",12, 12, "$row[2]","Kurz"));
	
	//2015-02-23 KM: Formatierung geaendert, set_label bringt hier einen Fehler
	//$t->add_control(2,new vs_db_listbox("tierart_id",20,$db,"vs_tierart","bezeichnung","tierart_id",1,0,"Tierart "));
	$ta=new vs_db_listbox("tierart_id",20,$db,"vs_tierart","bezeichnung","tierart_id","");
	$ta->set_label("Tierart &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(2,$ta);
	
	$t->add_control(2,new vs_i_edit("hoehe", 5, 3, "1","H&ouml;he (cm) "));
	$t->add_control(3,new vs_d_edit("ugw", 5, 7, "1,00","Gewicht (kg, weiblich) von "));
	$t->add_control(3,new vs_d_edit("ogw", 5, 7, "1,00"," bis "));
	$t->add_control(3,new vs_d_edit("ugm", 5, 7, "1,00","Gewicht (kg, m&auml;nnlich) von "));
	$t->add_control(3,new vs_d_edit("ogm", 5, 7, "1,00"," bis "));
	$t->add_control(5,new vs_memo("beschreibung", 70, 15, ""))  ;      
	$t->add_control(6,new vs_memo("memo",70,5,"","Bemerkung &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$t->add_control(new vs_img_edit("bild", 30,30,120,datadir,$row[11]));
	$t->add_control(7,new vs_hidden("action","a_post_ins"));
		if ($can_insert=="1")
			{
			$t->add_control(7,new vs_submit("submit","Speichern","true"));
			$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
	$db->free_result();
	return $t;
	}
	
	
	
function img_leiste($db,$num_rows,$rasse_id)
	{
	global $can_insert;
	global $can_delete;	
	$il= new vs_div("il","30","left");
	
	if ($can_insert=="1")
		$il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
		
	if($num_rows>0 ) 
		{  
		if ($can_delete=="1")
			$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&rasse_id=$rasse_id"));
		}
		
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b = new vs_page_begin("Tierrassen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else 
	{
	switch ($vso_action) 
		{
		case "a_browse" : //anzeigen
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; TIERRASSEN</h2>");
			$bottom=navliste("Liste der Rassen");
			$right=zeige_rasse($db,$vso_rasse_id,$num_rows);
			$sql="select rasse_id,bezeichnung from vs_rasse order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_rasse_id,"rasse.php?action=a_browse&rasse_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_rasse_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
		//-----------------------------------------------------------
		case "a_del" : //Loeschen
			$db->query("select bezeichnung from vs_rasse where rasse_id='$vso_rasse_id'");
			$row=$db->fetch_row();
			$bezeichnung=$row[0];
			$db->free_result();
			$db->query("delete from vs_rasse where rasse_id = $vso_rasse_id");
			$db->free_result();
			unset($vso_rasse_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; TIERRASSEN</h2>");
			$bottom=navliste("$bezeichnung wurde gel&ouml;scht");
			$right=zeige_rasse($db,$vso_rasse_id,$num_rows);
			$sql="select rasse_id,bezeichnung from vs_rasse order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_rasse_id,"rasse.php?action=a_browse&rasse_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_rasse_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_ins" : // Einfügen
			$top=new vs_text("<h2>&nbsp; TIERRASSEN</h2>");
			$bottom=navliste(" Neue Rasse einf&uuml;gen");
			$right=neue_rasse($db);
			$sql="select rasse_id,bezeichnung from vs_rasse order by bezeichnung";
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_rasse_id
			if (!isset ($vso_rasse_id))
				{
				$vso_rasse_id = null;
				}
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_rasse_id,"rasse.php?action=a_browse&rasse_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_rasse_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_edit" : //nach dem Editieren
			
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select rasse_id,bezeichnung,kurz,tierart_id,hoehe," .
						"ugw,ogw,ugm,ogm,beschreibung,memo,bild ".
						"from vs_rasse where rasse_id = $vso_rasse_id");
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_ogw=ctp($vso_ogw); //Komma nach Punkt
				$vso_ugw=ctp($vso_ugw);	
				$vso_ogm=ctp($vso_ogm); 
				$vso_ugm=ctp($vso_ugm);
				$vso_bild="rasse_".$vso_rasse_id;
				$db->query("update vs_rasse set" .
							" bezeichnung='$vso_bezeichnung'," .
							" kurz='$vso_kurz'," .
							" tierart_id='$vso_tierart_id'," .
							" hoehe='$vso_hoehe',".
							" ugw='$vso_ugw',".
							" ogw='$vso_ogw',".
							" ugm='$vso_ugm',".
							" ogm='$vso_ogm',".
							" beschreibung='$vso_beschreibung'," .
							" memo='$vso_memo'," .
							" bild='$vso_bild'".
							" where rasse_id=$vso_rasse_id");
							
				//----------------Bild----------------------------------------------------
				//Nicht vergessen : Form muss.set_enctype("multipart/form-data");.. gesetzt werden
							
				// 2014-08-26 KM: Das mit dem Bild auskommentiert, da es einen Indexfehler gibt.
				// Die Sache mit dem Bild ist noch von Dr. Klumpp, aber nicht komplett implementiert.
				// Ein Feld fuer den Link gibt es schon in der DB, aber der Rest hier ist nur angefangen.
				
				// $error=upload("file_bild",datadir,$vso_bild);
				//      if ($error!="")  error_row($error);
				//----------------Bild----------------------------------------------------
					
				$db->free_result();	
				}
			
			//Fehlermeldung 
			else 
				error_row(change_warning."(Daten zu den Tierrassen");
			
			//----------------Daten anzeigen------------------------------
			$top=new vs_text("<h2>&nbsp; TIERRASSEN</h2>");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right=zeige_rasse($db,$vso_rasse_id,$num_rows);
			$sql="select rasse_id,bezeichnung from vs_rasse order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_rasse_id,"rasse.php?action=a_browse&rasse_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_rasse_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_ins" : //nach dem Einfuegen
			
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_ogw=ctp($vso_ogw); //Komma nach Punkt
			$vso_ugw=ctp($vso_ugw);	
			$vso_ogm=ctp($vso_ogm); 
			$vso_ugm=ctp($vso_ugm);	
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_bild
			if (!isset ($vso_bild))
				{
				$vso_bild = null;
				}
			$db->query("insert into vs_rasse" .
						" (bezeichnung,kurz,tierart_id,hoehe,".
						" ugw,ogw,ugm,ogm,beschreibung,memo,bild)  ".
						" values(" .
						"'$vso_bezeichnung','$vso_kurz','$vso_tierart_id','$vso_hoehe'," .
						"'$vso_ugw','$vso_ogw','$vso_ugm',".
						"'$vso_ogm','$vso_beschreibung','$vso_memo','$vso_bild')");
						
			$db->free_result();
			$db->query("select rasse_id from vs_rasse where bezeichnung='$vso_bezeichnung'");
			$row=$db->fetch_row();
			$vso_rasse_id=$row[0];
			$db->free_result();
			//----------------Daten anzeigen-----------------------------
			$top=new vs_text("<h2>&nbsp; TIERRASSEN</h2>");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right=zeige_rasse($db,$vso_rasse_id,$num_rows);
			$sql="select rasse_id,bezeichnung from vs_rasse order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_rasse_id,"rasse.php?action=a_browse&rasse_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_rasse_id));
			seite($top,$bottom,$left,$right);
			
			//2015-08-26 KM: break hat gefehlt
			break;
			
			//-----------------------------------------------------------
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

