<?php
/*
 *      wwwlink.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
	
	
function zeige_wwwlink($db,&$wwwlink_id,&$num_rows)
	{
	global $can_edit;	
	if ((!isset($wwwlink_id)) or ($wwwlink_id==""))
		{
		$db->query("Select wwwlink_id,bezeichnung,adresse,gruppe,text,wwwaction,show_iframe ".
				" from  vs_wwwlink");  
		}
	else
		{	
		$db->query("Select  wwwlink_id,bezeichnung,adresse,gruppe,text,wwwaction,show_iframe  ".
				" from  vs_wwwlink where wwwlink_id=".$wwwlink_id); 
		}
	
	$row=$db->fetch_row();  

	$num_rows=$db->num_rows();

	if ($num_rows>0)
		{
		$wwwlink_id=$row[0];	
		$olddata=$db->curr_row_as_string();
		
		$t=new vs_form_x("wwwlink_zeigen",7);
		$t->set_cellspacing(5);
		$t->add_control(2,new vs_edit("bezeichnung",20,40,$row[1],"Name &nbsp;","N"));
		$t->add_control(2,new vs_edit("gruppe",30,30,$row[3],"Gruppe","T"));
		$t->add_control(3,new vs_edit("adresse",80,100,$row[2],"www &nbsp;&nbsp;","P"));
		$t->add_control(4,new vs_memo("text",70,20,$row[4],"Text &nbsp;&nbsp;&nbsp;&nbsp;","T"));
		$t->add_control(5,new vs_edit("wwwaction",20,30,$row[5],"Aktion","P"));
		$c=new vs_checkbox("show_iframe",$row[6]);
		$c->set_label("intern anzeigen");
		$t->add_control(5,$c);
		$t->add_control(6,new vs_hidden("wwwlink_id",$row[0]));
		$t->add_control(6,new vs_hidden("action","a_post_edit"));
		$t->add_control(6,new vs_hidden("olddata","$olddata"));
			if ($can_edit=="1")
				{
				$t->add_control(7,new vs_submit("submit","&Auml;ndern","true"));
				$t->add_control(7,new vs_reset("reset","Abbruch","true"));
				}
		$db->free_result();
		return $t;
		}
	else
		{ 
		return neuer_wwwlink($db);
		}
	}
		
		
		
function neuer_wwwlink($db)
	{
	global $can_insert;
	$t=new vs_form_x("wwwlink",7);
	$t->set_cellspacing(5);
	$t->add_control(2,new vs_edit("bezeichnung",20,40,"","Name &nbsp;","N"));
	$t->add_control(2,new vs_edit("gruppe",30,30,"","Gruppe","T"));
	$t->add_control(3,new vs_edit("adresse",80,100,"http://www.","www &nbsp;&nbsp;","P"));
	$t->add_control(4,new vs_memo("text",70,20,"","Text &nbsp;&nbsp;&nbsp;&nbsp;","T"));
	$t->add_control(5,new vs_edit("wwwaction",20,30,"","Aktion","A"));
	$c=new vs_checkbox("show_iframe","1");
	$c->set_label("intern anzeigen");
	$t->add_control(5,$c);
	
	$t->add_control(6,new vs_hidden("action","a_post_ins"));
	
		if ($can_insert=="1")
			{
			$t->add_control(7,new vs_submit("submit","Speichern","true"));
			$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
	return $t;
	}

function img_leiste($db,$num_rows,$wwwlink_id)
	{
	global $can_insert;
	global $can_delete;
	$il= new vs_div("il","30","left");
		if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
		if($num_rows>0 ) 
			{  
			if ($can_delete=="1")
			$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&wwwlink_id=$wwwlink_id"));
			}
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;

office_login($db);

$b = new vs_page_begin("Weblinks", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
     {
       echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
     }
else 
	{
	switch ($vso_action)
		{
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WEBLINKS</h2>");
			$bottom=navliste("Liste der Weblinks");
			$right=zeige_wwwlink($db,$vso_wwwlink_id,$num_rows);
			$sql="select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wwwlink_id,"wwwlink.php?action=a_browse&wwwlink_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wwwlink_id));
			seite($top,$bottom,$left,$right);
					            
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del" : //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_wwwlink where wwwlink_id = $vso_wwwlink_id");
			$db->free_result();
			unset($vso_wwwlink_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WEBLINKS</h2>");
			$bottom=navliste("Weblink wurde gel&ouml;scht");
			$right=zeige_wwwlink($db,$vso_wwwlink_id,$num_rows);
			$sql="select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wwwlink_id,"wwwlink.php?action=a_browse&wwwlink_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wwwlink_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		case "a_ins" : // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; WEBLINKS</h2>");
			$bottom=navliste("Neuen Weblink einf&uuml;gen");
			$right=neuer_wwwlink($db);
			$sql="select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_wwwlink_id und $num_rows
			if (!isset ($vso_wwwlink_id))
				{$vso_wwwlink_id = null;}
			if (!isset ($num_rows))
				{$num_rows = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wwwlink_id,"wwwlink.php?action=a_browse&wwwlink_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wwwlink_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select  wwwlink_id,bezeichnung,adresse,gruppe,text,wwwaction,show_iframe  ".
					" from  vs_wwwlink where wwwlink_id=".$vso_wwwlink_id); 
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_show_iframe
				if (!isset ($vso_show_iframe))
					{$vso_show_iframe = null;}
				$db->query("update vs_wwwlink set" .
							" adresse='$vso_adresse'," .
							" bezeichnung='$vso_bezeichnung'," .
							" text='$vso_text'," .
							" show_iframe='$vso_show_iframe'," .
							" gruppe='$vso_gruppe' " .
							" where wwwlink_id=$vso_wwwlink_id");
				
				$db->free_result();
				}
			
			//Fehlermeldung 
			else error_row(change_warning."(Weblinks)");
			
			//----------------Daten anzeigen----------------------------------------------------
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WEBLINKS</h2>");
			$bottom=navliste("Daten zu $vso_bezeichnung wurden ge&auml;ndert");
			$right=zeige_wwwlink($db,$vso_wwwlink_id,$num_rows);
			$sql="select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wwwlink_id,"wwwlink.php?action=a_browse&wwwlink_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wwwlink_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_ins" : //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//2014-08-14 KM: Beseitigung eines undefined variable vso_show_iframe
			if (!isset ($vso_show_iframe))
				{$vso_show_iframe = null;}
				
			$db->query("insert into vs_wwwlink" .
						" (bezeichnung,adresse,gruppe,text,wwwaction,show_iframe) ".
						" values(" .
						"'$vso_bezeichnung','$vso_adresse','$vso_gruppe','$vso_text','$vso_wwwaction','$vso_show_iframe')");
			
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; WEBLINKS</h2>");
			$bottom=navliste($vso_bezeichnung." wurde eingef&uuml;gt");
			$right=zeige_wwwlink($db,$vso_wwwlink_id,$num_rows);
			$sql="select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wwwlink_id,"wwwlink.php?action=a_browse&wwwlink_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wwwlink_id));
			seite($top,$bottom,$left,$right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		break;
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

