 <?php
/*
 *      f_puppy.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}

function puppy_form($besname, $name, $rasse, $geburtstag, $gewicht, $endgewicht)
	{
	$t = new vs_form_x("puppy_daten", 8);
	$t->set_cellspacing(5);
	$t->add_control(1, new vs_edit("besname", 20, 30, $besname, "Besitzer &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(2, new vs_edit("name", 20, 30, $name,"Name &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(3, new vs_edit("rasse", 20, 30, $rasse,"Rasse &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(4, new vs_d_edit("endgewicht", 7, 7, $endgewicht,"Endgewicht&nbsp;"));
	$t->add_control(5, new vs_d_edit("gewicht", 7, 7, $gewicht,"Gewicht &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$t->add_control(6, new vs_datepicker("geburtstag", "", "multi_no1_Datepicker", "Geburtstag &nbsp;"));
	
	$t->add_control(8, new vs_hidden("action", "a_post_berechnung"));
	$t->add_control(8, new vs_submit("submit", "Berechnen", "true"));
	//2015-01-07 KM: raus genommen, macht keinen Sinn
	//$t->add_control(8,new vs_reset("reset","Abbruch","true"));
	return $t;
	}

global $can_insert;
global $can_edit;
global $can_delete;


office_login($db);


$b         = new vs_page_begin("PUPPY - Welpenwachstumskurve", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	//falls das Skript direkt ohne Argumente aufgerufen wird...
	$top        = new vs_text("<h2>&nbsp; WELPENWACHSTUMSKURVE</h2>");
	$bottom     = navliste("Angaben zum Welpen und zum Besitzer machen.");
	$geburtstag = today();
	$gewicht    = 0;
	$endgewicht = 0;
	//2013-12-28 KM: hier waren 3 falsche Variablennamen mit vso_*
	$name       = "";
	$rasse      = "";
	$besname    = "";
	$left       = puppy_form($besname, $name, $rasse, $geburtstag, $gewicht, $endgewicht);
	$right      = new vs_img("puppy", "../img/puppy.png"); //Noch kein echtes Puppy-Bild
	seite($top, $bottom, $left, $right);
	}
//event handler

//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_action
if (!isset($vso_action))
	{
	$vso_action = null;
	}
	
switch ($vso_action)
	{
	case "a_kartei": //anzeigen
		$top = new vs_text("<h2>&nbsp; WELPENWACHSTUMSKURVE</h2>");
		$sql = "select b.name,p.name, p.geburtstag,p.rasse,p.gewicht from vs_besitzer b, vs_patient p where p.besitzer_id=b.besitzer_id and p.patient_id = $vso_patient_id ";
		$db->query($sql);
		$row      = $db->fetch_row();
		$num_rows = $db->num_rows();
		if ($num_rows > 0)
			{
			$geburtstag = $row[2];
			$name       = $row[1];
			$rasse      = $row[3];
			$besname    = $row[0];
			$gewicht    = $row[4];
			$endgewicht = $gewicht + 2;
			}
		$bottom  = navliste("Bitte noch ggf. das Gewicht und das  Engewicht korrigieren.");
		$left    = puppy_form($besname, $name, $rasse, $geburtstag, $gewicht, $endgewicht);
		$t_right = new vs_table("rechts", 3, 1);
		$t_right->add(1, 1, new vs_img("puppy", "puppy.php?besname=$besname&name=$name&geburtstag=$geburtstag&rasse=" . 
											"$rasse&gewicht=$gewicht&endgewicht=$endgewicht"));
		$t_right->add(2, 1, new vs_text("&nbsp;"));
		//2014-12-13 KM: geaendert vs_new_window_img --> vs_link_img
		$t_right->add(3, 1, new vs_link_img("../img/print_24.gif", "print_puppy.php?besname=$besname&name=" . 
											"$name&geburtstag=$geburtstag&rasse=$rasse&gewicht=$gewicht&endgewicht=$endgewicht", "_blank"));
		$right = $t_right;
		seite($top, $bottom, $left, $right);
		break;
	//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	case "a_post_berechnung": //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++
		$top     = new vs_text("<h2>&nbsp; WELPENWACHSTUMSKURVE</h2>");
		$bottom  = navliste("Das aktuelle Gewicht von \"$vso_name\" sollte <b>unterhalb</b> der Kurve liegen.");
		$left    = puppy_form($vso_besname, $vso_name, $vso_rasse, $vso_geburtstag, $vso_gewicht, $vso_endgewicht);
		$t_right = new vs_table("rechts", 3, 1);
		$t_right->add(1, 1, new vs_img("puppy", "puppy.php?besname=$vso_besname&name=$vso_name&geburtstag=" . 
										"$vso_geburtstag&rasse=$vso_rasse&gewicht=$vso_gewicht&endgewicht=$vso_endgewicht"));
		$t_right->add(2, 1, new vs_text("&nbsp;"));
		//2014-12-13 KM: geaendert vs_new_window_img --> vs_link_img
		$t_right->add(3, 1, new vs_link_img("../img/print_24.gif", "print_puppy.php?besname=$vso_besname" . 
											"&name=$vso_name&geburtstag=$vso_geburtstag&rasse=$vso_rasse&gewicht=$vso_gewicht&endgewicht=$vso_endgewicht", "_blank"));
		$right = $t_right;
		seite($top, $bottom, $left, $right);
		break;
	} //switch-Handler

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
