 <?php
/*
 *      fibu_buchung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
//2014-12-20 KM: 
include_once "../vs_office_inc/vs_functions.php";

include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";




//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_fibu_buchung($db, &$fibu_buchung_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($fibu_buchung_id))
		{
		$db->query("Select fibu_buchung_id, buch_datum,wert_datum,beleg_nr,text,soll,haben,wert,waehrung " . 
					"from vs_fibu_buchung order by buch_datum");
		}
	else
		{
		$db->query("Select fibu_buchung_id, buch_datum,wert_datum,beleg_nr,text,soll,haben,wert,waehrung  " . 
					"from vs_fibu_buchung where fibu_buchung_id = $fibu_buchung_id order by buch_datum");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$fibu_buchung_id = $row[0];
		$olddata         = $db->curr_row_as_string();
		$t               = new vs_form_x("fibu_buchung_zeigen", 4);
		$t->set_cellspacing(5);
		
		//2015-01-05 KM: Datum Umstellung auf Datepicker
		$t->add_control(1, new vs_datepicker("buch_datum", $row[1], "multi_today1_Datepicker", "Datum"));
		
		//$t->add_control(1,new vs_date_edit("wert_datum", 10, 10, "$row[2]","Wertstellungsdatum")); 
		$t->add_control(1, new vs_i_edit("beleg_nr", 6, 6, $row[3], "Beleg"));
		$t->add_control(1, new vs_edit("text", 10, 10, $row[4]));
		$t->add_control(2, new vs_db_listbox("soll", 5, $db, "vs_fibu_konto", "bezeichnung", "fibu_nummer", $row[5]));
		$t->add_control(2, new vs_db_listbox("haben", 5, $db, "vs_fibu_konto", "bezeichnung", "fibu_nummer", $row[6]));
		$t->add_control(2, new vs_d_edit("wert", 8, 8, $row[7]));
		$t->add_control(2, new vs_edit("waehrung", 3, 3, $row[8], "W&aumlhrung"));
		$t->add_control(3, new vs_text("EINNAHME: Finanzkonto(Kasse,Bank) ist SOLLKONTO  AUSGABE: Finanzkonto(Kasse,Bank) ist HABENKONTO"));
		
		$t->add_control(4, new vs_hidden("fibu_buchung_id", $row[0]));
		$t->add_control(4, new vs_hidden("action", "a_post_edit"));
		$t->add_control(4, new vs_hidden("olddata", "$olddata"));
		if ($can_edit == "1")
			{
			$t->add_control(4, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(4, new vs_reset("reset", "Abbruch", "true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neue_fibu_buchung($db);
		}
	}



function neue_fibu_buchung($db)
	{
	global $can_insert;
	$t = new vs_form_x("fibu_buchung_neu", 4);
	$t->set_cellspacing(5);
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$t->add_control(1, new vs_datepicker("buch_datum", "", "multi_today2_Datepicker", "Datum"));
	
	//$t->add_control(1,new vs_date_edit("wert_datum", 10, 10, "$row[2]","Wertstellungsdatum")); 
	$t->add_control(1, new vs_i_edit("beleg_nr", 6, 6, "0", "Beleg"));
	
	//2014-12-20 KM: Beseitigung eines undefined variable row[4]
	if (!isset($row[4]))
		{
		$row[4] = null;
		}
	$t->add_control(1, new vs_edit("text", 30, 80, $row[4]));
	$t->add_control(2, new vs_db_listbox("soll", 15, $db, "vs_fibu_konto", "bezeichnung", "fibu_nummer", ""));
	$t->add_control(2, new vs_db_listbox("haben", 15, $db, "vs_fibu_konto", "bezeichnung", "fibu_nummer", ""));
	$t->add_control(2, new vs_d_edit("wert", 8, 8, "0,00"));
	$t->add_control(2, new vs_edit("waehrung", 3, 3, "EUR", "W&auml;hrung"));
	$t->add_control(3, new vs_text("<b>EINNAHME:</b> Finanzkonto(Kasse,Bank) ist SOLLKONTO  <b> AUSGABE: </b> Finanzkonto(Kasse,Bank) ist HABENKONTO"));
	
	
	$t->add_control(4, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(4, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(4, new vs_reset("reset", "Abbruch", "true"));
		}
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $fibu_buchung_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&fibu_buchung_id=$fibu_buchung_id"));
		}
	return $il;
	}


//Legitimation	und Bereitstellung der user - Variablen
global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b         = new vs_page_begin("FIBU - Buchung", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();



if ((!isset($vso_action)) or ($vso_action == ""))
	{
	$vso_action = "a_browse"; //falls über eine neues Login der querystring verloren geht...
	}
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FiBu - Buchung</h2>");
			$bottom = navliste();
			$right  = zeige_fibu_buchung($db, $vso_fibu_buchung_id, $num_rows);
			$sql    = "select fibu_buchung_id,buch_datum,text from vs_fibu_buchung order by buch_datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2014-12-20 KM: geaendert
			//$left->add(2,1,new vs_db_sql_link_listbox("mt",38,$db,$sql,1,2,0,0,$vso_fibu_buchung_id,"fibu_buchung.php?action=a_browse&fibu_buchung_id=",28,""));
			$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_fibu_buchung_id, "fibu_buchung.php?action=a_browse&fibu_buchung_id=", 28, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fibu_buchung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_del": //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$db->query("select bezeichnung from vs_fibu_buchung where fibu_buchung_id='$vso_fibu_buchung_id'");
			$row         = $db->fetch_row();
			$bezeichnung = $row[0];
			$db->free_result();
			$db->query("delete from vs_fibu_buchung where fibu_buchung_id = $vso_fibu_buchung_id");
			$db->free_result();
			unset($vso_fibu_buchung_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; FiBu - Buchung</h2>");
			$bottom = navliste("$bezeichnung wurde gel&ouml;scht");
			$right  = zeige_fibu_buchung($db, $vso_fibu_buchung_id, $num_rows);
			$sql    = "select fibu_buchung_id,fibu_nummer,bezeichnung from vs_fibu_buchung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2014-12-20 KM: geaendert
			//$left->add(2,1,new vs_db_sql_link_listbox("mt",38,$db,$sql,1,2,0,0,$vso_fibu_buchung_id,"fibu_buchung.php?action=a_browse&fibu_buchung_id=",32,""));
			$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_fibu_buchung_id, "fibu_buchung.php?action=a_browse&fibu_buchung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fibu_buchung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		case "a_ins": // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; FiBu - Buchung</h2>");
			$bottom = navliste(" Neue FiBu - Buchung einf&uuml;gen");
			$right  = neue_fibu_buchung($db);
			$sql    = "select fibu_buchung_id,fibu_nummer,bezeichnung from vs_fibu_buchung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2014-12-20 KM: geaendert
			//$left->add(2,1,new vs_db_sql_link_listbox("mt",38,$db,$sql,1,2,0,0,$vso_fibu_buchung_id,"fibu_buchung.php?action=a_browse&fibu_buchung_id=",32,""));
			
			//2014-12-20 KM: Beseitigung eines undefined variable $vso_fibu_buchung_id
			if (!isset($vso_fibu_buchung_id))
				{
				$vso_fibu_buchung_id = null;
				}
			$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_fibu_buchung_id, "fibu_buchung.php?action=a_browse&fibu_buchung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, 0, $vso_fibu_buchung_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select fibu_buchung_id,fibu_nummer,bezeichnung " . " from vs_fibu_buchung where fibu_buchung_id = $vso_fibu_buchung_id order by bezeichnung");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				
				$db->query("update vs_fibu_buchung set" . " bezeichnung='$vso_bezeichnung'," . " fibu_nummer='$vso_fibu_nummer' " . " where fibu_buchung_id=$vso_fibu_buchung_id");
				
				$db->free_result();
				}
			
			//Fehlermeldung 
			else
				new_window("dberror.php", 400, 200, 200, 200);
			
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FiBu - Buchung</h2>");
			$bottom = navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right  = zeige_fibu_buchung($db, $vso_fibu_buchung_id, $num_rows);
			$sql    = "select fibu_buchung_id,fibu_nummer,bezeichnung from vs_fibu_buchung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2014-12-20 KM: geaendert
			//$left->add(2,1,new vs_db_sql_link_listbox("mt",38,$db,$sql,1,2,0,0,$vso_fibu_buchung_id,"fibu_buchung.php?action=a_browse&fibu_buchung_id=",32,""));
			$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_fibu_buchung_id, "fibu_buchung.php?action=a_browse&fibu_buchung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fibu_buchung_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_ins": //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//2014-12-20 KM: Beseitigung eines undefined variable
			if (!isset($vso_fibu_nummer))
				{
				$vso_fibu_nummer = null;
				}
			if (!isset($vso_bezeichnung))
				{
				$vso_bezeichnung = null;
				}
			$db->query("insert into vs_fibu_buchung (fibu_nummer, bezeichnung) " . " values('$vso_fibu_nummer','$vso_bezeichnung')");
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			//2014-12-20 KM: Beseitigung eines undefined variable
			if (!isset($vso_bezeichnung))
				{
				$vso_bezeichnung = null;
				}
			$db->query("select fibu_buchung_id from vs_fibu_buchung where bezeichnung='$vso_bezeichnung'");
			$row                 = $db->fetch_row();
			$vso_fibu_buchung_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; FiBu - Buchung</h2>");
			$bottom = navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right  = zeige_fibu_buchung($db, $vso_fibu_buchung_id, $num_rows);
			$sql    = "select fibu_buchung_id,fibu_nummer,bezeichnung from vs_fibu_buchung order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2014-12-20 KM: geaendert
			//$left->add(2,1,new vs_db_sql_link_listbox("mt",38,$db,$sql,1,2,0,0,$vso_fibu_buchung_id,"fibu_buchung.php?action=a_browse&fibu_buchung_id=",32,""));
			$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 2, 0, 0, $vso_fibu_buchung_id, "fibu_buchung.php?action=a_browse&fibu_buchung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_fibu_buchung_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
