 <?php
/*
 *      impferinnerung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}

function make_ie_text($db, $ie_id)
	{
	$db->query("Select i.patimpfung_id,i.nachimpfung,i.datum,i.text,ie_sent," . " b.name,b.vorname,b.anrede,b.briefanrede,b.titel,b.strasse,b.plz,b.wohnort," . " p.rasse,p.name from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id  and i.patimpfung_id=$ie_id order by i.nachimpfung");
	$ie_row = $db->fetch_row();
	$itext  = $ie_row[3]; //Bezeichnung der Impfung, zugehörigen Impferinnerungstext suchen  
	$db->free_result();
	$db->query("Select impfung_id,ietext from vs_impfung where bezeichnung = '" . $itext . "'");
	$ietext_row = $db->fetch_row();
	if (($db->num_rows() > 0) and ($ietext_row[1] != ""))
		$ietext = $ietext_row[1];
	else //falls nicht gefunden oder nicht definiert(leer)
		$ietext = ie_standard; //Standardimpferinnerungstext (aus config_inc.php) 
	d_db2dis($ie_row[2]);
	d_db2dis($ie_row[1]);
	//Besitzer
	$ietext = str_replace("{BESNAME}", $ie_row[5], $ietext);
	$ietext = str_replace("{BESVORNAME}", $ie_row[6], $ietext);
	$ietext = str_replace("{BESANREDE}", $ie_row[7], $ietext);
	$ietext = str_replace("{BESBRIEFANREDE}", $ie_row[8], $ietext);
	$ietext = str_replace("{BESTITEL}", $ie_row[9], $ietext);
	$ietext = str_replace("{BESSTRASSE}", $ie_row[10], $ietext);
	$ietext = str_replace("{BESPLZ}", $ie_row[11], $ietext);
	$ietext = str_replace("{BESORT}", $ie_row[12], $ietext);
	//Patient
	$ietext = str_replace("{PATNAME}", $ie_row[14], $ietext);
	$ietext = str_replace("{PATRASSE}", $ie_row[13], $ietext);
	//Impfung
	$ietext = str_replace("{IMPFDATUM}", $ie_row[2], $ietext);
	$ietext = str_replace("{NACHIMPFUNG}", $ie_row[1], $ietext);
	$ietext = str_replace("{IMPFUNG}", $ie_row[3], $ietext);
	return $ietext;
	}


function make_email_text($text)
	{
	/* $text=utf8_decode($text);
	//Sonderzeichen
	$text=str_replace(" ","%20",$text);//Leerzeichen 
	$text=str_replace("\n","%0A",$text);//neue Zeile
	$text=str_replace("\r","%0D",$text);//Wagenruecklauf
	$text=str_replace("*","%2A",$text);
	$text=str_replace("?","%3F",$text);
	$text=str_replace("\"","%22",$text);
	$text=str_replace("!","%21",$text);
	$text=str_replace("?","%3F",$text);
	$text=str_replace("/","%2F",$text);
	$text=str_replace("#","%23",$text);
	$text=str_replace("<","%3C",$text);
	$text=str_replace(">","%3E",$text);
	$text=str_replace("Ä","%C4",$text);
	$text=str_replace("Ö","%D6",$text);
	$text=str_replace("Ü","%DC",$text); 
	$text=str_replace("ä","%E4",$text);
	$text=str_replace("ö","%F6",$text);
	$text=str_replace("ü","%FC",$text); 
	$text=str_replace("ß","%DF",$text);
	*/
	
	$text = str_replace("Ä", "&Auml;", $text);
	$text = str_replace("Ö", "&Ouml;", $text);
	$text = str_replace("Ü", "&Uuml;", $text);
	$text = str_replace("ä", "&auml;", $text);
	$text = str_replace("ö", "&ouml;", $text);
	$text = str_replace("ü", "&uuml;", $text);
	$text = str_replace("ß", "&szlig", $text);
	
	return $text;
	}



function zeige_ie($db, $ie_id)
	{
	if (($ie_id == "") or (!isset($ie_id)))
		{
		$heute   = today();
		$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
		d_dis2db($heute);
		d_dis2db($enddate);
		
		$db->query("Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,b.mail,p.rasse,p.name,i.datum,i.text,ie_sent" . " from vs_besitzer b,vs_patient p,vs_patimpfung i " . " where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung");
		}
	
	else
		$db->query("Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,b.mail,p.rasse,p.name,i.datum,i.text,ie_sent" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id  and i.patimpfung_id=$ie_id ");
	
	$row   = $db->fetch_row();
	$num   = $db->num_rows();
	$ie_id = $row[0];
	$db->free_result();
	$zl = new vs_div("750", "500");
	if ($num > 0) //faellige Impferinnerungen sind da
		{
		$ietxt  = make_ie_text($db, $ie_id); //Text der Impferinnerung
		$d_text = new vs_div("740", "400", "left", "white");
		$d_text->add(new vs_text($ietxt));
		$zl->add($d_text);
		
		$za = new vs_div("750", "30");
		$zl->add($za); // Trennstreifen
		$zb = new vs_div("750", "60");
		//auch Besitzer ohne E-mail: Druckmoeglichkeit
		if (strpos($ietxt, "<p>") > -1) //html-Text
			{
			$print_txt = "<htm><head>" . vs_ie_print_css . "<title>VS-Office [Impferinnerung zum Drucken]</title></head><body>" . $ietxt . "</body></html>";
			$print_txt = make_email_text($print_txt);
			$print_txt = htmlentities($print_txt);
			}
		//kein html-Text
		else
			{
			$print_txt = htmlentities($ietxt); //war nl2br
			}
		
		$zb->add(new vs_new_dyn_window_img("../img/print_24.gif", "$print_txt", 640, 480, 1, 10));
		//Ie-Löschen
		$zb->add(new vs_link_img("../img/delete_24.gif", "impferinnerung.php?action=a_set_ie_sent&ie_id=$ie_id"));
		//alle per e-mail versenden , nur möglich falls sendmail o.ä. eingerichtet ist 
		if (use_mta == "1")
			$zb->add(new vs_link_img("../img/email_all_24.gif", "impferinnerung.php?action=a_send_all"));
		
		if ($row[4] != "") //E-mail -Addresse des Besitzers vorhanden
			{
			$header = "From: " . ie_mail_from . mh_eol . //in config.inc.php
				"Reply-To: " . ie_mail_reply_to . mh_eol . //in config.inc.php
				"X-Mailer: Vetsoft-Office Dr.N.Klumpp" . mh_eol;
			// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
			if (strpos($ietxt, "<html>"))
				{
				$header .= "MIME-Version: 1.0" . mh_eol;
				$header .= "Content-type: text/html; charset=" . ie_mail_charset . mh_eol; //def. in config.inc.php
				}
			//mail-transfer-agent auf dem Server   
			if (use_mta == 1)
				{
				$zb->add(new vs_link_img("../img/email_24.gif", "impferinnerung.php?action=a_send_this&ie_id=$ie_id"));
				}
			else
				{
				$zb->add(new vs_img("mail", "../img/email_24.gif"));
				$zb->add(new vs_text($row[4], "mailto:" . $row[4] . "?subject=Impferinnerung&body=" . make_email_text($ietxt)));
				}
			//-------------------
			
			} //Besitzer hat email-Adresse
		$zl->add($zb);
		}
	else //keine faelligen Impferinnerungen
		{
		$zl->add(new vs_text("<h3>keine f&auml;lligen Impferinnerungen vorhanden!</h3>"));
		}
	return $zl;
	}

//Legitimation	und Bereitstellung der user - Variablen
global $can_insert;
global $can_edit;
global $can_delete;


office_login($db);

$b         = new vs_page_begin("Impferinnerungen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; IMPFERINNERUNGEN</h2>");
			$bottom = navliste("F&auml;llige Impferinnerungen");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_ie_id
			if (!isset($vso_ie_id))
				{
				$vso_ie_id = null;
				}
			$right   = zeige_ie($db, $vso_ie_id);
			$heute   = today();
			$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
			d_dis2db($heute);
			d_dis2db($enddate);
			$sql  = "Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,p.rasse,p.name,i.datum,i.text" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 3, 0, 0, $vso_ie_id, "impferinnerung.php?action=a_browse&ie_id=", 34, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_send_this": //einzelne Erinnerung per Server wegschicken und als verschickt marlieren
			//--------------------------------------------------------------------------------------
			if (isset($vso_ie_id) and ($vso_ie_id != ""))
				{
				$db->query("Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,b.mail,p.rasse,p.name,i.datum,i.text,ie_sent" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id  and i.patimpfung_id=$vso_ie_id ");
				
				$row = $db->fetch_row();
				$db->free_result();
				//Text der Impferinnerung 
				$ietxt = make_ie_text($db, $vso_ie_id);
				//E-mail -Addresse des Besitzers vorhanden 
				if ($row[4] != "")
					{
					$header .= "From: " . ie_mail_from . mh_eol . //in config.inc.php
						"Reply-To: " . ie_mail_reply_to . mh_eol . //in config.inc.php
						"X-Mailer: Vetsoft-Office Dr.N.Klumpp" . mh_eol;
					// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
					if (strpos($ietxt, "<p>") !== false)
						{
						$header .= "MIME-Version: 1.0" . mh_eol;
						$header .= "Content-type: text/html; charset=" . ie_mail_charset . mh_eol; //def. in config.inc.php
						$ietxt = "<htm><head>" . vs_ie_mail_css . "</head><body>" . $ietxt . "</body></html>";
						}
					//Aenderung 2007 : UTF-8
					$ietxt = make_email_text($ietxt); //Umlaute
					if (mail_utf8_decode == "1")
						$ietxt = utf8_decode($ietxt);
					mail("$row[4]", "Impferinnerung '" . $row[6] . "'", $ietxt, $header);
					//jetzt noch die Impferinnerung als gesendet aendern
					$db->query("Update vs_patimpfung set ie_sent ='1' where patimpfung_id=$vso_ie_id");
					$t = " Impferinnerung an $row[3] $row[2] erfolgreich gemailt";
					}
				else
					$t = " Impferinnerung an $row[3]  $row[2] konnte nicht gemailt werden (keine e-mail Adresse)";
				}
			//Seitenaufbau
			unset($vso_ie_id); //ist ja jetzt als gesendet markiert (ie_sent=1)
			$top     = new vs_text("<h2>&nbsp; IMPFERINNERUNGEN</h2>");
			$bottom  = navliste($t);
			$right   = zeige_ie($db, $vso_ie_id);
			$heute   = today();
			$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
			$sql     = "Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,p.rasse,p.name,i.datum,i.text" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung";
			
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 3, 0, 0, $vso_ie_id, "impferinnerung.php?action=a_browse&ie_id=", 34, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			
			seite($top, $bottom, $left, $right);
			
			//--------------------------------------------------------------------------------------
			break;
		case "a_send_all": //alle gelisteten Erinnerungen per Server wegschicken und als verschickt markieren
			//--------------------------------------------------------------------------------------
			$heute   = today();
			$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
			$db->query("Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,b.mail,p.rasse,p.name,i.datum,i.text,ie_sent" . " from vs_besitzer b,vs_patient p,vs_patimpfung i " . " where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung");
			$num = $db->num_rows();
			if ($num > 0)
				{
				$sent   = 0;
				$unsent = 0;
				while ($row = $db->fetch_row())
					{
					$ietxt = make_ie_text($db, $row[0]); //Text der Impferinnerung
					if ($row[4] != "") //E-mail -Addresse des Besitzers vorhanden
						{
							{
							$header .= "From: " . ie_mail_from . mh_eol . //in config.inc.php
								"Reply-To: " . ie_mail_reply_to . mh_eol . //in config.inc.php
								"X-Mailer: Vetsoft-Office Dr.N.Klumpp" . mh_eol;
							// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
							if (strpos($ietxt, "<p>") !== false)
								{
								$header .= "MIME-Version: 1.0" . mh_eol;
								$header .= "Content-type: text/html; charset=" . ie_mail_charset . mh_eol; //def. in config.inc.php
								$ietxt = "<htm><head>" . vs_ie_mail_css . "</head><body>" . $ietxt . "</body></html>";
								}
							//Aenderung 2007 : UTF-8
							$ietxt = make_email_text($ietxt); //Umlaute
							if (mail_utf8_decode == "1")
								$ietxt = utf8_decode($ietxt);
							mail("$row[4]", "Impferinnerung '" . $row[6] . "'", $ietxt, $header);
							//jetzt noch die Impferinnerung als gesendet aendern
							$db->query("Update vs_patimpfung set ie_sent ='1' where patimpfung_id=$row[0]");
							$sent++;
							}
						}
					else
						$unsent++;
					}
				$t = "Erfolgreich versendet: $sent . Nicht gesendet: $unsent ";
				$db->free_result();
				}
			else
				$t = "Es waren keine  Erinnerungen zum Versenden da.";
			//Seitenaufbau
			
			$top     = new vs_text("<h2>&nbsp; IMPFERINNERUNGEN</h2>");
			$bottom  = navliste($t);
			$right   = zeige_ie($db, $vso_ie_id);
			$heute   = today();
			$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
			$sql     = "Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,p.rasse,p.name,i.datum,i.text" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung";
			
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 3, 0, 0, $vso_ie_id, "impferinnerung.php?action=a_browse&ie_id=", 34, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			seite($top, $bottom, $left, $right);
			
			
			//--------------------------------------------------------------------------------------
			break;
		case "a_set_ie_sent": // Erinnerung als verschickt markieren, z.B. nachdem sie lokal verschickt wurde
			//--------------------------------------------------------------------------------------
			if (isset($vso_ie_id) and ($vso_ie_id != ""))
				{
				$db->query("Update vs_patimpfung set ie_sent ='1' where patimpfung_id=$vso_ie_id");
				$t = " Impferinnerung wurde als verschickt gekennzeichnet";
				}
			else
				$t = " FEHLER ! Impferinnerung konnte nicht als verschickt gekennzeichnet werden";
			//Seitenaufbau
			unset($vso_ie_id); //ist ja jetzt als gesendet markiert (ie_sent=1)
			$top     = new vs_text("<h2>&nbsp; IMPFERINNERUNGEN</h2>");
			$bottom  = navliste($t);
			$right   = zeige_ie($db, $vso_ie_id);
			$heute   = today();
			$enddate = alterdate($heute, ie_vorlauf); //in config.inc.php definiert
			$sql     = "Select i.patimpfung_id,i.nachimpfung,b.name,b.vorname,p.rasse,p.name,i.datum,i.text" . " from vs_besitzer b,vs_patient p,vs_patimpfung i where i.patient_id=p.patient_id and" . " p.besitzer_id=b.besitzer_id and b.impferinnerung ='1'  and i.ie_sent < '1' and " . " i.nachimpfung <='" . $enddate . "'  and i.nachimpfung >= '" . $heute . "' order by i.nachimpfung";
			
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 3, 0, 0, $vso_ie_id, "impferinnerung.php?action=a_browse&ie_id=", 34, "");
			$lb->add_style("width:240px;height:480px;");
			$left->add(2, 1, $lb);
			seite($top, $bottom, $left, $right);
			//--------------------------------------------------------------------------------------
			break;
			
		}
	}


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?>
