 <?php
/*
 *      impfung_bilanz.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function make_zeit_form($db, $impfung_id, $beginn, $ende)
	{
	$f = new vs_form_x("zeitraum", 2);
	$f->set_cellspacing(2);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$f->add_control(1, new vs_datepicker("beginn", "", "multi_today1_Datepicker", "Beginn"));
	$f->add_control(1, new vs_datepicker("ende", "", "multi_today2_Datepicker", "Ende"));
	
	$f->add_control(8, new vs_hidden("impfung_id", $impfung_id));
	$f->add_control(8, new vs_hidden("action", "a_browse"));
	$f->add_control(1, new vs_submit("submit", "OK", true));
	return $f;
	}

//Hilfsfunktion fuer array_walk (s.u.)
function ausgabe($item, $key, $d)
	{
	$d->add(new vs_text($item->datum . " " . $item->menge . " " . $item->comment));
	
	}
function make_bilanz($db, $impfung_id, $beginn, $ende)
	{
	if (!isset($impfung_id))
		{
		return new vs_text("<br><b>Noch kein Impfstoff ausgew&auml;hlt</b>");
		}
	else
		{
		$d  = new vs_div("290", "90", "left");
		$tb = new vs_table("ergebnis", 4, 2);
		d_dis2db($beginn);
		d_dis2db($ende);
		
		//Zugaenge
		$sql = "select sum(menge) from vs_impfung_zugang where 
				impfung_id=$impfung_id and datum >= '$beginn' and datum <='$ende' ";
		$db->query($sql);
		$zugang_dosen = $db->fetch_row();
		$tb->add(1, 1, new vs_text("Zugang (in Dosen)"));
		$tb->add(1, 2, new vs_text(round($zugang_dosen[0], 2)));
		$db->free_result();
		
		//Impfung--------------
		// Charge wird im Feld Ziffer abgespeichert 
		// impfung_id wird im Feld Faktor abgespeichert (wegen Bilanz)
		
		//Medikamente Abgaenge
		//Feld Faktor wurde zum Abspeichern der impfung_id missbraucht, wegen Bilanzierung
		//Feld Ziffer wurde zum Abspeichern der Teilpackung / Nicht Teilpackung  missbraucht, wegen Bilanzierung
		
		$sql = "select sum(p.menge) from 
				vs_behposition p,vs_behandlung b where p.behandlung_id=b.behandlung_id and 
				p.faktor=$impfung_id  and b.datum >= '$beginn' and 
				b.datum <='$ende' and p.typ='I' ";
		
		$db->query($sql);
		$abgang_dosen = $db->fetch_row();
		
		$db->free_result();
		$tb->add(2, 1, new vs_text("Abgang (Dosen)"));
		$tb->add(2, 2, new vs_text(round($abgang_dosen[0]), 2));
		
		$tb->add(4, 1, new vs_text("<b>Bestand (Dosen)"));
		$tb->add(4, 2, new vs_text("<b>" . round($zugang_dosen[0] - $abgang_dosen[0]), 2));
		
		//im Einzelnen
		$t_einzel = new vs_table("einzel", 1, 2);
		$t_einzel->add(1, 1, new vs_text("<br>Ergenisse im Einzelnen"));
		
		$d->add($tb);
		
		return $d;
		}
	}

function einzelergebnisse($db, $impfung_id, $beginn, $ende)
	{
	if (!isset($impfung_id))
		{
		return new vs_text("<br><b></b>");
		}
	
	else
		{
		$d = new vs_div("740", "370", "left");
		//$memo = new vs_memo("ergebnis",120,20,"","");
		d_dis2db($beginn);
		d_dis2db($ende);
		//Zugaenge
		$memo_text = "ZUG&Auml;NGE VON IMPFSTOFFEN:\r\r";
		$sql       = "select datum,menge,charge,lieferant from vs_impfung_zugang where 
						impfung_id=$impfung_id and datum >= '$beginn' and datum <='$ende' order by datum";
		$db->query($sql);
		while ($zugang = $db->fetch_row())
			{
			$memo_text .= d_db2dis($zugang[0]) . " " . $zugang[1] . " Dosen   Charge: " . $zugang[2] . " Lieferant: " . $zugang[3] . "\n";
			}
		//Abgaenge
		$memo_text .= "\nABG&Auml;NGE VON IMPFSTOFFEN:\n\n";
		$sql = "select b.datum,p.menge, p.ziffer as charge, pat.name,bes.vorname,bes.name,bes.wohnort from 
				vs_behposition p,vs_behandlung b,vs_patient pat,vs_besitzer bes where p.behandlung_id=b.behandlung_id and 
				p.faktor=$impfung_id  and b.datum >= '$beginn' and b.datum <='$ende' and p.typ='I'and b.patient_id=pat.patient_id and pat.besitzer_id=bes.besitzer_id order by b.datum ";
		$db->query($sql);
		while ($abgang = $db->fetch_row())
			{
			$memo_text .= d_db2dis($abgang[0]) . "  " . round($abgang[1], 0) . " Dose(n) Charge: " . $abgang[2] . "  Patient: " . $abgang[3] . " Besitzer: " . $abgang[4] . " " . $abgang[5] . ", " . $abgang[6] . "\n";
			}
		$d->add(new vs_text("<b>Ergebnisse im Einzelnen </b><br>"));
		$memo = new vs_memo("ergebnis", 100, 20, $memo_text, "");
		$d->add($memo);
		return $d;
		}
	}



function make_right($db, $impfung_id, $beginn, $ende)
	{
	$t = new vs_table("rechts", 3, 1);
	$t->add(1, 1, make_zeit_form($db, $impfung_id, $beginn, $ende));
	$t->add(2, 1, make_bilanz($db, $impfung_id, $beginn, $ende));
	$t->add(3, 1, einzelergebnisse($db, $impfung_id, $beginn, $ende));
	return $t;
	}

global $can_insert;
global $can_edit;
global $can_delete;
global $u_kurz;


office_login($db);

$b         = new vs_page_begin("Impfstoffe - Bilanz", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen 
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			if (!isset($vso_beginn))
				$vso_beginn = alterdate(today(), -365);
			if (!isset($vso_ende))
				$vso_ende = today();
			if (!isset($vso_impfung_id)) //erster in der Liste, falls nicht schon ausgesucht
				{
				$db->query("select impfung_id from vs_impfung order by bezeichnung ");
				$row            = $db->fetch_row();
				$vso_impfung_id = $row[0];
				}
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFE - BILANZIERUNG</h2>");
			$bottom = navliste("Liste der Zug&auml;nge und Abg&auml;nge von Impfstoffen");
			$right  = make_right($db, $vso_impfung_id, $vso_beginn, $vso_ende);
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$sql = "select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_id, "impfung_bilanz.php?action=a_browse&beginn=$vso_beginn&ende=$vso_ende&impfung_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			//$left->add(1,1,img_leiste($db,$num_rows,$vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		}
	}


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();

?>
