 <?php
/*
 *      impfung_zugang.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_impfung_zugang($db, &$impfung_zugang_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($impfung_zugang_id))
		{
		$db->query("Select impfung_zugang_id,datum,impfung_id,menge,lieferant,memo,charge,verfalldatum,preis from vs_impfung_zugang order by datum");
		}
	else
		{
		$db->query("Select impfung_zugang_id,datum,impfung_id,menge,lieferant,memo,charge,verfalldatum,preis from vs_impfung_zugang " . 
					"where impfung_zugang_id = $impfung_zugang_id order by datum");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$impfung_zugang_id = $row[0];
		
		$olddata = $db->curr_row_as_string();
		
		
		$t = new vs_form_x("impfung_zugang_zeigen", 8);
		$t->set_cellspacing(5);
		//Punkte in Kommata umwandeln
		$row[3] = ptc($row[3]);
		$row[8] = ptc($row[8]);
		d_db2dis($row[1]);
		d_db2dis($row[7]);
		
		//2015-01-07 KM: Datum Umstellung auf Datepicker
		$t->add_control(1, new vs_datepicker("datum", $row[1], "multi_today1_Datepicker", "Datum"));
		
		$impfung = new vs_db_listbox("impfung_id", 40, $db, "vs_impfung", "bezeichnung", "impfung_id", $row[2]);
		$impfung->set_label("impfung");
		$t->add_control(1, $impfung);
		$t->add_control(1, new vs_edit("charge", 7, 20, "$row[6]"));
		
		//2015-01-07 KM: Datum Umstellung auf Datepicker   
		$t->add_control(1, new vs_datepicker("verfalldatum", $row[7], "multi_today2_Datepicker", "Verfalldatum"));
		
		$t->add_control(2, new vs_i_edit("menge", 7, 7, "$row[3]"));
		$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", $row[4]);
		$firma->set_label("Lieferant");
		$t->add_control(2, $firma);
		$t->add_control(2, new vs_d_edit("preis", 7, 7, "$row[8]"));
		$t->add_control(3, new vs_memo("memo", 70, 12, "$row[5]"));
		
		$p_aendern = new vs_radio("charge_aendern", "Aktualisierung des Impfstoffes", "u");
		$p_aendern->add_item("1", "Charge/Verfalldatum/Preis wird angepa&szlig;t", "checked");
		$p_aendern->add_item("0", "Charge/Verfalldatum/Preis wird nicht angepa&szlig;t");
		$t->add_control(4, $p_aendern);
		
		
		$t->add_control(8, new vs_hidden("impfung_zugang_id", $row[0]));
		$t->add_control(8, new vs_hidden("action", "a_post_edit"));
		$t->add_control(8, new vs_hidden("olddata", "$olddata"));
		if ($can_edit == "1")
			{
			$t->add_control(8, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neuer_impfung_zugang($db);
		}
	}



function neuer_impfung_zugang($db)
	{
	global $can_insert;
	$t = new vs_form_x("impfung_zugang_neu", 8);
	$t->set_cellspacing(5);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$t->add_control(1, new vs_datepicker("datum", "", "multi_today3_Datepicker", "Datum"));
	
	$impfung = new vs_db_listbox("impfung_id", 40, $db, "vs_impfung", "bezeichnung", "impfung_id", "");
	$impfung->set_label("impfung");
	$t->add_control(1, $impfung);
	$t->add_control(1, new vs_edit("charge", 7, 20, ""));
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$t->add_control(1, new vs_datepicker("verfalldatum", "", "multi_today4_Datepicker", "Verfalldatum"));
	
	$t->add_control(2, new vs_i_edit("menge", 7, 7, "1"));
	$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", "");
	$firma->set_label("Lieferant");
	$t->add_control(2, $firma);
	$t->add_control(2, new vs_d_edit("preis", 7, 7, "0,00"));
	$t->add_control(3, new vs_memo("memo", 70, 12, ""));
	
	$p_aendern = new vs_radio("charge_aendern", "Aktualisierung des Impfstoffes", "u");
	$p_aendern->add_item("1", "Charge/Verfalldatum/Preis wird angepa&szlig;t", "checked");
	$p_aendern->add_item("0", "Charge/Verfalldatum/Preis wird nicht angepa&szlig;t");
	$t->add_control(4, $p_aendern);
	
	$t->add_control(8, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
		}
	//$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $impfung_zugang_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&impfung_zugang_id=$impfung_zugang_id"));
		}
	return $il;
	}

global $can_insert;
global $can_edit;
global $can_delete;
global $u_kurz;

office_login($db);

$b         = new vs_page_begin("Impfstoffe - Zug&auml;nge", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();
if ((!isset($vso_action)) or ($vso_action == ""))
	{
	
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFZUG&Auml;NGE</h2>");
			$bottom = navliste("Liste der Impfstoff - Zug&auml;nge");
			$right  = zeige_impfung_zugang($db, $vso_impfung_zugang_id, $num_rows);
			$sql    = "select mz.impfung_zugang_id, mz.datum, m.bezeichnung from vs_impfung_zugang mz, vs_impfung m where m.impfung_id = mz.impfung_id order by mz.datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_zugang_id, "impfung_zugang.php?action=a_browse&impfung_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_impfung_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_del": //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$db->query("select datum from vs_impfung_zugang where impfung_zugang_id='$vso_impfung_zugang_id'");
			$row         = $db->fetch_row();
			$bezeichnung = $row[0];
			$db->free_result();
			$db->query("delete from vs_impfung_zugang where impfung_zugang_id = $vso_impfung_zugang_id");
			$db->free_result();
			unset($vso_impfung_zugang_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFZUG&Auml;NGE</h2>");
			$bottom = navliste("$bezeichnung wurde gel&ouml;scht");
			$right  = zeige_impfung_zugang($db, $vso_impfung_zugang_id, $num_rows);
			$sql    = "select mz.impfung_zugang_id, mz.datum, m.bezeichnung from vs_impfung_zugang mz, vs_impfung m where m.impfung_id = mz.impfung_id order by mz.datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_zugang_id, "impfung_zugang.php?action=a_browse&impfung_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_impfung_zugang_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_ins": // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFZUG&Auml;NGE</h2>");
			$bottom = navliste(" Neuen  Impfsoff - Zugang einf&uuml;gen");
			$right  = neuer_impfung_zugang($db);
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_impfung_zugang_id
			if (!isset($vso_impfung_zugang_id))
				{
				$vso_impfung_zugang_id = null;
				}
			$sql  = "select mz.impfung_zugang_id, mz.datum, m.bezeichnung from vs_impfung_zugang mz, vs_impfung m where m.impfung_id = mz.impfung_id order by mz.datum";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_zugang_id, "impfung_zugang.php?action=a_browse&impfung_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_impfung_zugang_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_edit": //nach dem Editieren
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select impfung_zugang_id,datum,impfung_id,menge,lieferant,memo,charge,verfalldatum,preis" . " from vs_impfung_zugang where impfung_zugang_id = $vso_impfung_zugang_id order by datum");
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_menge = ctp($vso_menge); //Komma nach Punkt
				$vso_preis = ctp($vso_preis);
				d_dis2db($vso_datum);
				d_dis2db($vso_verfalldatum);
				$db->query("update vs_impfung_zugang set 
							datum='$vso_datum',
							impfung_id='$vso_impfung_id',
							menge='$vso_menge',
							lieferant='$vso_lieferant',
							memo='$vso_memo',  
							preis='$vso_preis',  
							verfalldatum='$vso_verfalldatum',  
							charge='$vso_charge'   
							where impfung_zugang_id=$vso_impfung_zugang_id");
				$db->free_result();
				}
			else
				error_row(change_warning . "(Impfung-Zugang)");
			//pruefen, ob der impfungencharge angepasst werden muss
			$zusatz = "";
			
			if ($vso_charge_aendern != "0") //falls ueberhaupt geaendert werden soll
				{
				$db->query("select charge,memo_bilanz,bezeichnung,verfalldatum from vs_impfung where impfung_id=$vso_impfung_id");
				$impfung = $db->fetch_row();
				$db->free_result();
				
				$zusatz      = " Charge/Verfallsdatum/Einkaufspreis des Impfstoffes wurde angepa&szlig;t";
				$memo_zusatz = "Aktualisierung am " . today() . " (" . $u_kurz . "). Alte Charge: " . ptc($impfung[0]) . " " . ", neue Charge: " . ptc($vso_charge) . "  Altes Verfalldatum: " . d_db2dis($impfung[3]) . " " . ", neues Verfalldatum: " . d_db2dis($vso_verfalldatum);
				$memo_new    = $impfung[1] . $memo_zusatz;
				$db->query("update vs_impfung set
								charge = '$vso_charge',
								verfalldatum = '$vso_verfalldatum',
								epreis = '$vso_preis', 
								memo_bilanz = '$memo_new'
								where impfung_id=$vso_impfung_id");
				}
			
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFZUG&Auml;NGE</h2>");
			$bottom = navliste("Der Datensatz wurde ge&auml;ndert." . $zusatz);
			$right  = zeige_impfung_zugang($db, $vso_impfung_zugang_id, $num_rows);
			$sql    = "select mz.impfung_zugang_id, mz.datum, m.bezeichnung from vs_impfung_zugang mz, vs_impfung m where m.impfung_id = mz.impfung_id order by mz.datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_zugang_id, "impfung_zugang.php?action=a_browse&impfung_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_impfung_zugang_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_ins": //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_menge = ctp($vso_menge); //Komma nach Punkt
			$vso_preis = ctp($vso_preis);
			d_dis2db($vso_datum);
			d_dis2db($vso_verfalldatum);
			$zusatz = "";
			$db->query("insert into vs_impfung_zugang (datum,impfung_id,menge,lieferant,memo,charge,u_kurz,verfalldatum,preis) " . "values('$vso_datum','$vso_impfung_id','$vso_menge','$vso_lieferant','$vso_memo','$vso_charge','$u_kurz','$vso_verfalldatum','$vso_preis')");
			
			$db->free_result();
			if ($vso_charge_aendern != "0") //falls ueberhaupt geaendert werden soll
				{
				$db->query("select charge,memo_bilanz,bezeichnung,verfalldatum from vs_impfung where impfung_id=$vso_impfung_id");
				$impfung = $db->fetch_row();
				$db->free_result();
				
				$zusatz      = " Charge/Verfallsdatum/Einkaufspreis des Impfstoffes wurde angepa&szlig;t";
				$memo_zusatz = "Aktualisierung am " . today() . " (" . $u_kurz . "). Alte Charge: " . ptc($impfung[0]) . " " . ", neue Charge: " . ptc($vso_charge) . "  Altes Verfalldatum: " . d_db2dis($impfung[3]) . " " . ", neues Verfalldatum:   " . d_db2dis($vso_verfalldatum);
				;
				$memo_new = $impfung[1] . $memo_zusatz;
				
				$db->query("update vs_impfung set
							charge = '$vso_charge',
							verfalldatum = '$vso_verfalldatum',
							epreis = '$vso_preis', 
							memo_bilanz = '$memo_new'
							where impfung_id=$vso_impfung_id");
				}
			
			
			$db->query("select impfung_zugang_id from vs_impfung_zugang where datum='$vso_datum'");
			$row                   = $db->fetch_row();
			$vso_impfung_zugang_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; IMPFSTOFFZUG&Auml;NGE</h2>");
			$bottom = navliste(" Ein neuer Datensatz wurde eingef&uuml;gt" . $zusatz);
			$right  = zeige_impfung_zugang($db, $vso_impfung_zugang_id, $num_rows);
			
			$sql  = "select mz.impfung_zugang_id, mz.datum, m.bezeichnung from vs_impfung_zugang mz, vs_impfung m where m.impfung_id = mz.impfung_id order by mz.datum";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_impfung_zugang_id, "impfung_zugang.php?action=a_browse&impfung_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_impfung_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
