 <?php
/*
 *      kasse.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_office_inc/vs_functions.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";
//Java Script zur Berechnung der Summe aus 
echo "<script language=\"javascript\" src=\"kasse.js\"></script>";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	global $vso_show_menu;
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}

function make_zaehl_table()
	{
	//Bemerkung  am 12.12 09: um $_SERVER Auszulesen müsste eine form um die Inputs deklariert werden
	$tz = new vs_table("t_seite", 4, 8);
	if (!isset($_REQUEST['2e']))
		$_REQUEST['2e'] = "0,00";
	$e2          = new vs_d_edit("e2", 5, 8, $_REQUEST['2e'], "");
	$e2->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 1, new vs_img("i2e", "../img/2euro.jpg"));
	$tz->add(2, 1, $e2);
	
	if (!isset($_REQUEST['1e']))
		$_REQUEST['1e'] = "0,00";
	$e1          = new vs_d_edit("e1", 5, 8, $_REQUEST['1e'], "");
	$e1->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 2, new vs_img("1e", "../img/1euro.jpg"));
	$tz->add(2, 2, $e1);
	
	if (!isset($_REQUEST['50c']))
		$_REQUEST['50c'] = "0,00";
	$e50c          = new vs_d_edit("c50", 5, 8, $_REQUEST['50c'], "");
	$e50c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 3, new vs_img("50c", "../img/50cent.jpg"));
	$tz->add(2, 3, $e50c);
	
	if (!isset($_REQUEST['20c']))
		$_REQUEST['20c'] = "0,00";
	$e20c          = new vs_d_edit("c20", 5, 8, $_REQUEST['20c'], "");
	$e20c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 4, new vs_img("20c", "../img/20cent.jpg"));
	$tz->add(2, 4, $e20c);
	
	if (!isset($_REQUEST['10c']))
		$_REQUEST['10c'] = "0,00";
	$e10c          = new vs_d_edit("c10", 5, 8, $_REQUEST['10c'], "");
	$e10c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 5, new vs_img("10c", "../img/10cent.jpg"));
	$tz->add(2, 5, $e10c);
	
	if (!isset($_REQUEST['5c']))
		$_REQUEST['5c'] = "0,00";
	$e5c          = new vs_d_edit("c5", 5, 8, $_REQUEST['5c'], "");
	$e5c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 6, new vs_img("5c", "../img/5cent.jpg"));
	$tz->add(2, 6, $e5c);
	
	if (!isset($_REQUEST['2c']))
		$_REQUEST['2c'] = "0,00";
	$e2c          = new vs_d_edit("c2", 5, 8, $_REQUEST['2c'], "");
	$e2c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 7, new vs_img("2c", "../img/2cent.jpg"));
	$tz->add(2, 7, $e2c);
	
	if (!isset($_REQUEST['1c']))
		$_REQUEST['1c'] = "0,00";
	$e1c          = new vs_d_edit("c1", 5, 8, $_REQUEST['1c'], "");
	$e1c->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(1, 8, new vs_img("1c", "../img/1cent.jpg"));
	$tz->add(2, 8, $e1c);
	//Scheine
	if (!isset($_REQUEST['5e']))
		$_REQUEST['5e'] = "0,00";
	$e5          = new vs_d_edit("e5", 5, 8, $_REQUEST['5e'], "");
	$e5->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 1, new vs_img("5e", "../img/5euro.jpg"));
	$tz->add(4, 1, $e5);
	
	if (!isset($_REQUEST['10e']))
		$_REQUEST['10e'] = "0,00";
	$e10          = new vs_d_edit("e10", 5, 8, $_REQUEST['10e'], "");
	$e10->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 2, new vs_img("10e", "../img/10euro.jpg"));
	$tz->add(4, 2, $e10);
	
	if (!isset($_REQUEST['20e']))
		$_REQUEST['20e'] = "0,00";
	$e20          = new vs_d_edit("e20", 5, 8, $_REQUEST['20e'], "");
	$e20->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 3, new vs_img("20e", "../img/20euro.jpg"));
	$tz->add(4, 3, $e20);
	
	if (!isset($_REQUEST['50e']))
		$_REQUEST['50e'] = "0,00";
	$e50          = new vs_d_edit("e50", 5, 8, $_REQUEST['50e'], "");
	$e50->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 4, new vs_img("50e", "../img/50euro.jpg"));
	$tz->add(4, 4, $e50);
	
	if (!isset($_REQUEST['100e']))
		$_REQUEST['100e'] = "0,00";
	$e100          = new vs_d_edit("e100", 5, 8, $_REQUEST['100e'], "");
	$e100->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 5, new vs_img("100e", "../img/100euro.jpg"));
	$tz->add(4, 5, $e100);
	
	if (!isset($_REQUEST['200e']))
		$_REQUEST['200e'] = "0,00";
	$e200          = new vs_d_edit("e200", 5, 8, $_REQUEST['200e'], "");
	$e200->onkeyup = " onkeyup=\"javascript:{kasse_summe();}\" ";
	$tz->add(3, 6, new vs_img("200e", "../img/200euro.jpg"));
	$tz->add(4, 6, $e200);
	
	$esumme             = new vs_d_edit("esumme", 5, 8, "0,00", "");
	$img_kasse          = new vs_img("img_kasse", "../img/kasse.jpeg");
	$img_kasse->onclick = " onclick=\"javascript:{sumtoist();}\"";
	$tz->add(3, 8, $img_kasse);
	
	$tz->add(4, 8, $esumme);
	return $tz;
	}

function make_print_form()
	{
	$d    = new vs_div(780, 50);
	$f_pf = new vs_form_x("print_form", 1);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$f_pf->add_control(1, new vs_datepicker("p_begin", "", "multi_today1_Datepicker", "von"));
	$f_pf->add_control(1, new vs_datepicker("p_end", "", "multi_today2_Datepicker", "bis"));
	
	$f_pf->add_control(1, new vs_click_img("img_print", "../img/print_24.gif", "print_kassenbuch();"));
	$d->add($f_pf);
	return $d;
	}

function kassenstand_soll($db, &$k_vortag, &$k_einnahme, &$k_soll, &$last_day)
	{
	//neuesten Datensatz holen 
	$db->query("select max(kasse_id) from vs_kasse");
	$res      = $db->fetch_row();
	$kasse_id = $res[0];
	$db->query("Select kasse_id,datum,ist,abgang,bemerkung from vs_kasse where kasse_id = $kasse_id ");
	$row      = $db->fetch_row();
	$last_day = $row[1];
	$olddata  = $db->curr_row_as_string();
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		//andere als eingegebene Werte berechnen lassen:
		//Einnahme
		$sql = "select sum(betrag) from vs_bezahlt where typ='B' and datum  = '$row[1]'; ";
		$db->query($sql);
		$bez      = $db->fetch_row();
		$einnahme = $bez[0];
		if ($einnahme == "")
			$einnahme = "0,00";
		//Vortag (Summe aller Ist-Felder - Summe aller Abgang-Felder von Einträgen vor dem akt .Datum)
		$sql = "select max(datum) from vs_kasse where datum < '$row[1]' ";
		$db->query($sql);
		$md = $db->fetch_row();
		if (isset($md[0]))
			{
			$sql = "select ist,abgang from vs_kasse where datum= '$md[0] ';";
			$db->query($sql);
			$vt     = $db->fetch_row();
			$vortag = $vt[0] - $vt[1];
			}
		else
			{
			$vortag = 0.00;
			}
		//Soll : Einnahme + Vortag
		$soll      = $bez[0] + $vortag;
		//Differenz
		$differenz = $row[2] - $soll;
		//Neuer Kassenstand des letzten Eintrages
		$neu       = $row[2] - $row[3];
		//----------------------------------------------------------------
		$kasse_id  = $row[0];
		//letzte gespeicherte Abrechnung ist heute
		if (d_db2dis($row[1]) == today())
			{
			$k_vortag   = $vortag;
			$k_einnahme = $einnahme;
			$k_soll     = $soll;
			}
		//letzte gespeicherte Abrechnung ist NICHT HEUTE	
			{
			$sql = "select sum(betrag) from vs_bezahlt where typ='B' and datum  > '$row[1]'; ";
			$db->query($sql);
			$k_bez      = $db->fetch_row();
			$k_einnahme = $k_bez[0];
			$k_vortag   = $neu;
			$k_soll     = $k_vortag + $k_einnahme;
			}
		}
	}


function zeige_kasse($db, &$kasse_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($kasse_id))
		{
		//neuesten Datensatz holen 
		$db->query("select max(kasse_id) from vs_kasse");
		$res      = $db->fetch_row();
		$kasse_id = $res[0];
		}
	$db->query("Select kasse_id,datum,ist,abgang,bemerkung from vs_kasse where kasse_id = $kasse_id ");
	$row      = $db->fetch_row();
	$olddata  = $db->curr_row_as_string();
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		//andere als eingegebene Werte berechnen lassen:
		//Einnahme
		$sql = "select sum(betrag) from vs_bezahlt where typ='B' and datum  = '$row[1]'; ";
		$db->query($sql);
		$bez      = $db->fetch_row();
		$einnahme = $bez[0];
		if ($einnahme == "")
			$einnahme = "0,00";
		//Vortag 
		$sql = "select max(datum) from vs_kasse where datum < '$row[1]' ";
		$db->query($sql);
		$md = $db->fetch_row();
		if (isset($md[0]))
			{
			$sql = "select ist,abgang from vs_kasse where datum= '$md[0] ';";
			$db->query($sql);
			$vt     = $db->fetch_row();
			$vortag = $vt[0] - $vt[1];
			}
		else
			{
			$vortag = 0.00;
			}
		//Soll : Einnahme + Vortag
		$soll      = $bez[0] + $vortag;
		//Differenz
		$differenz = $row[2] - $soll;
		//Neu
		$neu       = $row[2] - $row[3];
		//----------------------------------------------------------------
		$kasse_id  = $row[0];
		//2014-12-10 KM: Formatierung geaendert
		$d         = new vs_div("", "", "", "stammdaten_mitte_rechts_breit");
		$t         = new vs_form_x("kasse_zeigen", 8);
		$t->set_cellspacing(5);
		$row[2] = ptc($row[2]);
		$row[3] = ptc($row[3]);
		
		//2015-01-07 KM: Datum Umstellung auf Datepicker
		$vt = new vs_datepicker("datum", $row[1], "multi_today3_Datepicker", "Datum");
		
		$t->add_control(1, $vt);
		$at = new vs_d_edit("vortag", 5, 7, $vortag, "Alt");
		$at->set_disabled("true");
		$t->add_control(1, $at);
		$bus = new vs_d_edit("einnahme", 5, 7, $einnahme, "Barumsatz");
		$bus->set_disabled("true");
		$t->add_control(1, $bus);
		$so = new vs_d_edit("soll", 5, 7, $soll, "Soll");
		$so->set_disabled("true");
		$t->add_control(1, $so);
		$t->add_control(1, new vs_d_edit("ist", 5, 7, $row[2], "Ist"));
		$di = new vs_d_edit("differenz", 5, 8, $differenz, "Differenz");
		$di->set_disabled("true");
		$t->add_control(1, $di);
		$t->add_control(1, new vs_d_edit("abgang", 5, 7, $row[3], "Abgang"));
		$kn = new vs_d_edit("kasse_neu", 5, 7, $neu, "Neu");
		$kn->set_disabled("true");
		$t->add_control(1, $kn);
		$t->add_control(3, new vs_memo("bemerkung", 100, 5, $row[4]));
		
		$t->add_control(5, new vs_hidden("kasse_id", $row[0]));
		$t->add_control(5, new vs_hidden("action", "a_post_edit"));
		$t->add_control(5, new vs_hidden("olddata", $olddata));
		if ($can_edit == "1")
			{
			$t->add_control(5, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(5, new vs_reset("reset", "Abbruch", "true"));
			$t->add_control(8, make_zaehl_table());
			}
		$db->free_result();
		$d->add($t);
		//$d->add(make_zaehl_table());   
		$d->add(new vs_div(520, 50, "left")); //Distanz 
		$d->add(make_print_form());
		return $d;
		}
	else
		{
		return neues_kasse($db);
		}
	}



function neues_kasse($db)
	{
	global $can_insert;
	$t = new vs_form_x("kasse_zeigen", 8);
	$t->set_cellspacing(5);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$vt = new vs_datepicker("datum", "", "multi_today4_Datepicker", "Datum");
	
	$t->add_control(1, $vt);
	$at = new vs_d_edit("vortag", 5, 7, "-----", "Alt");
	$at->set_disabled("true");
	$t->add_control(1, $at);
	$bus = new vs_d_edit("einnahme", 5, 7, "-----", "Barumsatz");
	$bus->set_disabled("true");
	$t->add_control(1, $bus);
	$so = new vs_d_edit("soll", 5, 7, "-----", "Soll");
	$so->set_disabled("true");
	$t->add_control(1, $so);
	$t->add_control(1, new vs_d_edit("ist", 5, 7, "0,00", "Ist"));
	$di = new vs_d_edit("differenz", 5, 8, "-----", "Differenz");
	$di->set_disabled("true");
	$t->add_control(1, $di);
	$t->add_control(1, new vs_d_edit("abgang", 5, 7, "0,00", "Abgang"));
	$kn = new vs_d_edit("kasse_neu", 5, 7, "-----", "Neu");
	$kn->set_disabled("true");
	$t->add_control(1, $kn);
	$t->add_control(3, new vs_memo("bemerkung", 100, 5, ""));
	$t->add_control(5, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(5, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(5, new vs_reset("reset", "Abbruch", "true"));
		}
	$t->add_control(8, make_zaehl_table());
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $kasse_id)
	{
	global $can_insert;
	global $can_delete;
	$il  = new vs_div("il", "30", "left");
	//checken, ob neuer Eintrag möglich, der letzte darf nicht heute sein  
	$sql = "select max(datum) from vs_kasse";
	$db->query($sql);
	$r_max  = $db->fetch_row();
	$maxdat = $r_max[0];
	
	// 2014-12-10 KM: seit PHP 5.3.0 DEPRECATED
	//if ( ($can_insert=="1") and ($maxdat != d_dis2db(today())))
	$maxdat = today();
	$datum  = d_dis2db($today);
	if (($can_insert == "1") and ($maxdat != $datum))
		{
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
		}
	//checken, ob der aktuelle Eintrag der letzte ist, nur dann ist löschen möglich  
	$sql = "select datum from vs_kasse where kasse_id=$kasse_id";
	$db->query($sql);
	$d_akt  = $db->fetch_row();
	$aktdat = $d_akt[0];
	if (($num_rows > 0) and ($aktdat == $maxdat))
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&kasse_id=$kasse_id"));
		}
	return $il;
	}


global $can_insert;
global $can_edit;
global $can_delete;
global $can_view_umsatz;

office_login($db);

$b         = new vs_page_begin("Kassenabrechnung", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	if ($can_view_umsatz == 1)
		{
		switch ($vso_action)
			{
			case "a_browse":
				//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
				//nur Daten anzeigen
				$top    = new vs_text("<h2>&nbsp; KASSENABRECHNUNG</h2>");
				$bottom = navliste("Tageseinnahmen - Liste");
				$right  = zeige_kasse($db, $vso_kasse_id, $num_rows);
				$sql    = "select kasse_id,datum from vs_kasse order by datum desc";
				$left   = new vs_table("lefttable", 2, 1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 1, 0, 0, $vso_kasse_id, "kasse.php?action=a_browse&kasse_id=", 32, "");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_kasse_id));
				seite($top, $bottom, $left, $right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_del": //Loeschen
				$db->query("select datum from vs_kasse where kasse_id='$vso_kasse_id'");
				$row   = $db->fetch_row();
				$datum = $row[0];
				$db->free_result();
				$db->query("delete from vs_kasse where kasse_id = $vso_kasse_id");
				$db->free_result();
				unset($vso_kasse_id); //gibt`s ja jetzt nicht mehr
				//Daten anzeigen
				$top    = new vs_text("<h2>&nbsp; KASSENABRECHNUNG</h2>");
				$bottom = navliste("Die Angaben zum $datum wurden gel&ouml;scht");
				$right  = zeige_kasse($db, $vso_kasse_id, $num_rows);
				$sql    = "select kasse_id,datum from vs_kasse order by datum desc";
				$left   = new vs_table("lefttable", 2, 1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 1, 0, 0, $vso_kasse_id, "kasse.php?action=a_browse&kasse_id=", 32, "");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_kasse_id));
				seite($top, $bottom, $left, $right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			case "a_ins": // Einfuegen
				//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
				$top    = new vs_text("<h2>&nbsp;KASSENABRECHNUNG</h2>");
				$bottom = navliste(" Abrechnungsangaben f&uuml;r einen neuen Tag eingeben");
				$right  = neues_kasse($db);
				$sql    = "select kasse_id,datum from vs_kasse order by datum desc ";
				$left   = new vs_table("lefttable", 2, 1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//2014-08-29 KM: Beseitigung eines undefined variable
				if (!isset($vso_kasse_id))
					{
					$vso_kasse_id = null;
					}
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 1, 0, 0, $vso_kasse_id, "kasse.php?action=a_browse&kasse_id=", 32, "");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, 0, -1)); // -1, um Laufzeitfehler zun vermeidem in img_leiste(...)
				seite($top, $bottom, $left, $right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_post_edit": //nach dem Editieren
				//Daten zwischenzeitlich veraendert?
				$db->query("Select kasse_id,datum,ist,abgang,bemerkung from vs_kasse where kasse_id = $vso_kasse_id ");
				$row     = $db->fetch_row();
				$newdata = $db->curr_row_as_string();
				$db->free_result();
				if ($newdata == $vso_olddata)
					{
					//endlich die neuen Werte eintragen	
					//DW: 2013-09-07 Bugfix ctp-reference-error
					$vso_abgang = ctp($vso_abgang);
					$vso_ist    = ctp($vso_ist);
					$db->query("update vs_kasse set" . " datum='$vso_datum'," . " abgang='$vso_abgang'," . " ist='$vso_ist'," . " bemerkung='$vso_bemerkung' " . " where kasse_id=$vso_kasse_id");
					
					$db->free_result();
					$bottom = navliste("Die Abrechnung vom $vso_datum wurde ge&auml;ndert");
					}
				//Fehlermeldung 
				else
					{
					new_window("dberror.php", 400, 200, 200, 200);
					$bottom = navliste("Die Abrechnung vom $vso_datum konnte nicht ge&auml;ndert weden" . $vso_olddata . "//" . $newdata);
					}
				//----------------Daten anzeigen----------------------------------------------------
				$top   = new vs_text("<h2>&nbsp; KASSENABRECHNUNG</h2>");
				$right = zeige_kasse($db, $vso_kasse_id, $num_rows);
				$sql   = "select kasse_id,datum from vs_kasse order by datum desc ";
				$left  = new vs_table("lefttable", 2, 1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 1, 0, 0, $vso_kasse_id, "kasse.php?action=a_browse&kasse_id=", 32, "");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_kasse_id));
				seite($top, $bottom, $left, $right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_post_ins": //nach dem Einfuegen
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_abgang = ctp($vso_abgang);
				$vso_ist    = ctp($vso_ist);
				$db->query("insert into vs_kasse" . " (datum,abgang,ist,bemerkung)" . " values(" . " '$vso_datum','$vso_abgang','$vso_ist','$vso_bemerkung');");
				$db->free_result();
				//----------------Daten anzeigen----------------------------------------------------
				$db->free_result();
				$db->query("select kasse_id from vs_kasse where datum='$vso_datum'");
				$row          = $db->fetch_row();
				$vso_kasse_id = $row[0];
				$db->free_result();
				//----------------Daten anzeigen----------------------------------------------------
				$top    = new vs_text("<h2>&nbsp; KASSENABRECHNUNG</h2>");
				$bottom = navliste(" Die Abrechnung vom $vso_datum wurde eingef&uuml;gt");
				$right  = zeige_kasse($db, $vso_kasse_id, $num_rows);
				$sql    = "select kasse_id,datum from vs_kasse order by datum desc";
				$left   = new vs_table("lefttable", 2, 1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt", 38, $db, $sql, 1, 1, 0, 0, $vso_kasse_id, "kasse.php?action=a_browse&kasse_id=", 32, "");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2, 1, $lb);
				$left->add(1, 1, img_leiste($db, $num_rows, $vso_kasse_id));
				seite($top, $bottom, $left, $right);
				break;
			}
		}
	else
	//keine Berechtigung, nur aktuellen Soll-Kassenstand anschauen
		{
		$bottom = navliste("Kassenstand");
		$top    = new vs_text("<br><b> </b>");
		$left   = new vs_text("<h2>&nbsp; KASSENABRECHNUNG</h2>");
		kassenstand_soll($db, $vortag, $einnahme, $soll, $last_day);
		//------Liste der Einnahmen--	
		$bez_div = new vs_div(500, 390, "auto", "yellow");
		$sql     = "select bez.datum, bes.vorname, bes.name,pat.name,bez.betrag from vs_bezahlt bez, vs_behandlung beh, vs_patient pat, vs_besitzer bes " . " where bez.behandlung_id = beh.behandlung_id " . " and beh.patient_id = pat.patient_id and pat.besitzer_id = bes.besitzer_id and bez.typ='B' and bez.datum  > '$last_day' order by bez.time_id; ";
		$db->query($sql);
		$bez_div->add(new vs_text("<table>"));
		while ($bez = $db->fetch_row())
			{
			$ze = "<tr><td>" . $bez[0] . "</td><td>" . $bez[2] . ", " . $bez[1] . "</td><td>" . $bez[3] . "</td><td>" . $bez[4] . " " . currency_string . "</td></tr>";
			$bez_div->add(new vs_text($ze));
			}
		$bez_div->add(new vs_text("</table>"));
		//----------------------------------
		$r_t = new vs_table("kassenstand", 5, 2);
		$r_t->add(1, 1, new vs_text("<b>Aktueller Soll-Kassenstand</b>"));
		$r_t->add(2, 1, new vs_text("Kassenbestand bei der letzten Abrechnung"));
		$r_t->add(2, 2, new vs_text(ptc($vortag) . " " . currency_string));
		$r_t->add(3, 1, new vs_text("Einnahmen seit der letzten Abrechnung"));
		$r_t->add(3, 2, new vs_text(ptc($einnahme) . " " . currency_string));
		$r_t->add(4, 1, new vs_text("Kassensoll am " . today() . " um " . now()));
		$r_t->add(4, 2, new vs_text(ptc($soll) . " " . currency_string));
		$r_t->add(5, 1, new vs_text("<br><b>Einnahmen im Einzelnen: <br> <br></b>"));
		$r_div = new vs_div(500, 500, "auto", "white");
		$r_div->add($r_t);
		$r_div->add($bez_div);
		$right = $r_div;
		seite($top, $bottom, $left, $right);
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
