<?php
/*
 *      med_zugang.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');



//Preisberechnung aus medikament.php
function vk($ek, $hum, $anteil, &$vk, &$t_vk)
	{
	if ($hum == 1) //rp. Humananerzneimittel
		{
		
		$vk   = ($ek * 1.03) + 8.1;
		$t_vk = $ek * $anteil * 2;
		}
	else //rp. Vetarzneimittel
		{
		
		$t_vk = $ek * $anteil * 2; // Teilabgabe 100% Aufschlag
		if ($ek <= 1.22)
			$vk = $ek * 1.68;
		if (($ek > 1.22) and ($ek <= 1.34))
			$vk = $ek + 0.83;
		if (($ek > 1.35) and ($ek <= 3.88))
			$vk = $ek * 1.62;
		if (($ek > 3.88) and ($ek <= 4.22))
			$vk = $ek + 2.41;
		if (($ek > 4.22) and ($ek <= 7.30))
			$vk = $ek * 1.57;
		if (($ek > 7.30) and ($ek <= 8.67))
			$vk = $ek + 4.16;
		if (($ek > 8.67) and ($ek <= 12.14))
			$vk = $ek * 1.48;
		if (($ek > 12.14) and ($ek <= 13.55))
			$vk = $ek + 5.83;
		if (($ek > 13.55) and ($ek <= 19.42))
			$vk = $ek * 1.43;
		if (($ek > 19.42) and ($ek <= 22.57))
			$vk = $ek + 8.35;
		if (($ek > 22.58) and ($ek <= 29.14))
			$vk = $ek * 1.37;
		if (($ek > 29.14) and ($ek <= 35.94))
			$vk = $ek + 10.78;
		if (($ek > 35.94) and ($ek <= 51.13))
			$vk = $ek * 1.3;
		if (($ek > 51.13) and ($ek <= 127.82))
			$vk = 66.47 + (($ek - 51.13) * 1.25);
		if ($ek > 127.83)
			$vk = 66.47 + 95.85 + (($ek - 127.83) * 1.2);
		
		
		}
	}
//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_med_zugang($db, &$med_zugang_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($med_zugang_id))
		{
		$db->query("Select med_zugang_id,datum,medikament_id,menge,lieferant,memo,preis from vs_med_zugang order by datum");
		}
	else
		{
		$db->query("Select med_zugang_id,datum,medikament_id,menge,lieferant,memo,preis from vs_med_zugang where med_zugang_id = $med_zugang_id order by datum");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$med_zugang_id = $row[0];
		
		$olddata = $db->curr_row_as_string();
		
		
		$t = new vs_form_x("med_zugang_zeigen", 8);
		$t->set_cellspacing(5);
		//Punkte in Kommata umwandeln
		$row[3] = ptc($row[3]);
		$row[6] = ptc($row[6]);
		d_db2dis($row[1]);
		
		//2015-01-07 KM: Datum Umstellung auf Datepicker
		$t->add_control(1, new vs_datepicker("datum", $row[1], "multi_today10_Datepicker", "Datum"));
		
		$med = new vs_db_listbox("medikament_id", 40, $db, "vs_medikament", "bezeichnung", "medikament_id", $row[2]);
		$med->set_label("Medikament");
		$t->add_control(1, $med);
		$t->add_control(1, new vs_d_edit("preis", 7, 7, "$row[6]"));
		$t->add_control(2, new vs_i_edit("menge", 7, 7, "$row[3]"));
		$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", $row[4]);
		$firma->set_label("Lieferant");
		$t->add_control(2, $firma);
		$t->add_control(3, new vs_memo("memo", 70, 12, "$row[5]"));
		
		$p_aendern = new vs_radio("preis_aendern", "Preisanpassung des Medikamentes", "u");
		$p_aendern->add_item("1", "Preis wird angepa&szlig;t");
		$p_aendern->add_item("0", "Preis wird nicht angepa&szlig;t");
		$p_aendern->add_item("2", "Preis wird nur bei Preissteigerung angepa&szlig;t", "checked");
		$t->add_control(4, $p_aendern);
		
		
		$t->add_control(8, new vs_hidden("med_zugang_id", $row[0]));
		$t->add_control(8, new vs_hidden("action", "a_post_edit"));
		$t->add_control(8, new vs_hidden("olddata", "$olddata"));
		if ($can_edit == "1")
			{
			$t->add_control(8, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neuer_med_zugang($db);
		}
	}



function neuer_med_zugang($db)
	{
	global $can_insert;
	$t = new vs_form_x("med_zugang_neu", 8);
	$t->set_cellspacing(5);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	//2015-11-01 KM: Datepicker von "ausgabedatum" nach "datum" geaendert.
	$t->add_control(1, new vs_datepicker("datum", "", "multi_today10_Datepicker", "Datum"));
	
	$med = new vs_db_listbox("medikament_id", 40, $db, "vs_medikament", "bezeichnung", "medikament_id", "");
	$med->set_label("Medikament");
	$t->add_control(1, $med);
	$t->add_control(1, new vs_d_edit("preis", 7, 7, "0"));
	$t->add_control(2, new vs_i_edit("menge", 7, 7, "1"));
	$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", "");
	$firma->set_label("Lieferant");
	$t->add_control(2, $firma);
	$t->add_control(3, new vs_memo("memo", 70, 12, ""));
	
	$p_aendern = new vs_radio("preis_aendern", "Preisanpassung des Medikamentes", "u");
	$p_aendern->add_item("1", "Preis wird angepa&szlig;t");
	$p_aendern->add_item("0", "Preis wird nicht angepa&szlig;t");
	$p_aendern->add_item("2", "Preis wird nur bei Preissteigerung angepa&szlig;t", "checked");
	$t->add_control(4, $p_aendern);
	
	$t->add_control(8, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
		}
	//$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $med_zugang_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&med_zugang_id=$med_zugang_id"));
		}
	return $il;
	}


global $can_insert;
global $can_edit;
global $can_delete;
global $user_id;
global $u_kurz;

office_login($db);

$b         = new vs_page_begin("Medikamente - Zug&auml;nge", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTENZUG&Auml;NGE</h2>");
			$bottom = navliste("Liste der Medikamentenzug&auml;nge");
			$right  = zeige_med_zugang($db, $vso_med_zugang_id, $num_rows);
			$sql    = "select mz.med_zugang_id, mz.datum, m.bezeichnung from vs_med_zugang mz, vs_medikament m where m.medikament_id = mz.medikament_id order by mz.datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_med_zugang_id, "med_zugang.php?action=a_browse&med_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del": //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("select datum from vs_med_zugang where med_zugang_id='$vso_med_zugang_id'");
			$row         = $db->fetch_row();
			$bezeichnung = $row[0];
			$db->free_result();
			$db->query("delete from vs_med_zugang where med_zugang_id = $vso_med_zugang_id");
			$db->free_result();
			unset($vso_med_zugang_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTENZUG&Auml;NGE</h2>");
			$bottom = navliste("$bezeichnung wurde gel&ouml;scht");
			$right  = zeige_med_zugang($db, $vso_med_zugang_id, $num_rows);
			
			$sql  = "select mz.med_zugang_id, mz.datum, m.bezeichnung from vs_med_zugang mz, vs_medikament m where m.medikament_id = mz.medikament_id order by mz.datum";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_med_zugang_id, "med_zugang.php?action=a_browse&med_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		case "a_ins": // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTENZUG&Auml;NGE</h2>");
			$bottom = navliste(" Neuen Medikamentenzugang einf&uuml;gen");
			$right  = neuer_med_zugang($db);
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_med_zugang_id
			if (!isset($vso_med_zugang_id))
				{
				$vso_med_zugang_id = null;
				}
			$sql  = "select mz.med_zugang_id, mz.datum, m.bezeichnung from vs_med_zugang mz, vs_medikament m where m.medikament_id = mz.medikament_id order by mz.datum";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_med_zugang_id, "med_zugang.php?action=a_browse&med_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select med_zugang_id,datum,medikament_id,menge,lieferant,memo,preis from vs_med_zugang where med_zugang_id = $vso_med_zugang_id order by datum");
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_menge = ctp($vso_menge); //Komma nach Punkt
				$vso_preis = ctp($vso_preis);
				d_dis2db($vso_datum);
				$db->query("update vs_med_zugang set 
							datum='$vso_datum',
							medikament_id='$vso_medikament_id',
							menge='$vso_menge',
							lieferant='$vso_lieferant',
							memo='$vso_memo',  
							preis='$vso_preis'   
							where med_zugang_id=$vso_med_zugang_id");
				$db->free_result();
				}
			
			//Fehlermeldung 
			else
				error_row(change_warning . "(Medikament - Zugang)");
			//pruefen, ob der Medikamentenpreis angepasst werden muss
			$zusatz = "";
			
			if ($vso_preis_aendern != "0") //falls ueberhaupt geaendert werden soll
				{
				$db->query("select epreis,memo_bilanz,bezeichnung,med_typ_id,t_anteil,t_verpackung from vs_medikament where medikament_id=$vso_medikament_id");
				$med = $db->fetch_row();
				$db->free_result();
				$db->query("select zulassung from vs_med_typ where med_typ_id=$med[3]");
				$row       = $db->fetch_row();
				$zulassung = $row[0];
				if (($vso_preis > $med[0]) or ($vso_preis_aendern == "1")) //Medikamentpreis wird geaendert
					{
					$zusatz      = " Der Preis des Medikamentes wurde angepa&szlig;t";
					$memo_zusatz = "Preisanpassung am " . today() . " (" . $u_kurz . "). Alter Preis: " . ptc($med[0]) . " " . currency_string . ", neuer Preis: " . ptc($vso_preis) . " " . currency_string;
					$memo_new    = $med[1] . $memo_zusatz;
					
					//Preisaenderung
					$human = (strpos($zulassung, "Mensch") > 0);
					$t_ek  = $vso_preis * $med[4]; //neuer preis * anteil
					
					vk($vso_preis, 0, $med[4], $vpreis, $t_vk);
					$t_vk = $t_vk + $med[5]; //t_vk+verpackung
					$db->query("update vs_medikament set
								epreis = '$vso_preis',
								preis ='$vpreis', 
								t_vk = '$t_vk',
								t_ek = '$t_ek',
								memo_bilanz = '$memo_new'
								where medikament_id=$vso_medikament_id");
					}
				}
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTENZUG&Auml;NGE</h2>");
			$bottom = navliste("Die Angaben zum Zugang von $med[2] am $vso_datum wurden ge&auml;ndert." . $zusatz);
			$right  = zeige_med_zugang($db, $vso_med_zugang_id, $num_rows);
			$sql    = "select mz.med_zugang_id, mz.datum, m.bezeichnung from vs_med_zugang mz, vs_medikament m where m.medikament_id = mz.medikament_id order by mz.datum";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_med_zugang_id, "med_zugang.php?action=a_browse&med_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_ins": //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_menge = ctp($vso_menge); //Komma nach Punkt
			$vso_preis = ctp($vso_preis);
			d_dis2db($vso_datum);
			$zusatz = "";
			$db->query("insert into vs_med_zugang (datum,medikament_id,menge,lieferant,memo,preis,user_id) " . "values('$vso_datum','$vso_medikament_id','$vso_menge','$vso_lieferant','$vso_memo','$vso_preis','$user_id')");
			
			$db->free_result();
			//pruefen, ob der Medikamentenpreis angepasst werden muss
			if ($vso_preis_aendern != "0") //falls ueberhaupt geaendert werden soll
				{
				$zusatz = "";
				$db->query("select epreis,memo_bilanz,bezeichnung,med_typ_id,t_anteil,t_verpackung from vs_medikament where medikament_id=$vso_medikament_id");
				$med = $db->fetch_row();
				$db->free_result();
				$db->query("select zulassung from vs_med_typ where med_typ_id=$med[3]");
				$row       = $db->fetch_row();
				$zulassung = $row[0];
				if (($vso_preis > $med[0]) or ($vso_preis_aendern == "1")) //Medikamentpreis wird geaendert
					{
					$zusatz      = " Der Preis des Medikamentes wurde angepa&szlig;t";
					$memo_zusatz = "Preisanpassung am " . today() . " (" . $u_kurz . "). Alter Preis: " . ptc($med[0]) . " " . currency_string . ", neuer Preis: " . ptc($vso_preis) . " " . currency_string;
					$memo_new    = $med[1] . $memo_zusatz;
					
					//Preisaenderung
					$human = (strpos($zulassung, "Mensch") > 0);
					$t_ek  = $vso_preis * $med[4]; //neuer preis * anteil
					
					vk($vso_preis, 0, $med[4], $vpreis, $t_vk);
					$t_vk = $t_vk + $med[5]; //t_vk+verpackung
					$db->query("update vs_medikament set
								epreis = '$vso_preis',
								preis ='$vpreis', 
								t_vk = '$t_vk',
								t_ek = '$t_ek',
								memo_bilanz = '$memo_new'
								where medikament_id=$vso_medikament_id");
					}
				}
			
			$db->query("select med_zugang_id from vs_med_zugang where datum='$vso_datum'");
			$row               = $db->fetch_row();
			$vso_med_zugang_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTENZUG&Auml;NGE</h2>");
			$bottom = navliste(" Ein neuer Zugang von $med[2] wurde eingef&uuml;gt" . $zusatz);
			$right  = zeige_med_zugang($db, $vso_med_zugang_id, $num_rows);
			
			$sql  = "select mz.med_zugang_id, mz.datum, m.bezeichnung from vs_med_zugang mz, vs_medikament m where m.medikament_id = mz.medikament_id order by mz.datum";
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_med_zugang_id, "med_zugang.php?action=a_browse&med_zugang_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_zugang_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
