 <?php
/*
 *      print_kassenbuch.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../tcpdf/tcpdf.php";
include_once "../vs_office_inc/config.inc.php";

//wichtig: keine Leerzeichen vor  und keine nach dem Ende!!!!!!!
//sonst streikt TCPDF

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

class preisliste extends TCPDF
	{
	//Page header
	function Header()
		{
		$this->setY(5);
		$this->SetFont('FreeSans',"B",10);
		$this->setfillcolor("220");
		$this->setx(5);
		$this->Cell(194,8,zeile1." ".zeile2." ".zeile3." ".zeile4 ,1,0,"C",1);
		$this->Ln(20);
		}

	//Page footer
	function Footer()
		{
		global $vso_typ;
		
		//2014-12-10 KM  Fehler undefined constant medikament beseitigt
		//if($vso_typ==medikament)
		if($vso_typ=="medikament")
			{
			//Zeichenerklaerung
			//Position at 2.5 cm from bottom
			$this->SetY(-20);
			//$this->Cell(194,10,". ",0,1);//nur als Abstandswahrer
			$this->SetFont('FreeSans',"",10);
			$this->setfillcolor("230");
			$this->Cell(235,8,'F = Freiverkäuflich         A = Apothekenpflichtig          V = Verschreibungspflichtig        B = Betäubungsmittel ',1,0,"C",1);
			}
		//Position at 1.5 cm from bottom
		$this->SetY(-15);
		//FreeSans italic 8
		$this->SetFont('FreeSans','I',8);
		//Page number
		$this->Cell(0,10,'Seite '.$this->PageNo().'/{nb}',0,0,'C');
		}
	}


//Instanciation of inherited class
$db = new vs_db();
$db->connect();


$kassenbuch=new preisliste(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT,true);
$kassenbuch->getAliasNbPages();
$kassenbuch->AddPage();
$kassenbuch->SetFont('FreeSans','N',10);


//2014-12-10 KM: geaendert wg. undefined variable
if (!isset($vso_typ))
	{$vso_typ = null;}
    
switch ($vso_typ)
	{
	case "schniedelwutz":	
	
	break;
	//--------------------------------------------------------
	default:
		//Überschrift
		$kassenbuch->setx(5);
		$kassenbuch->cell(150,20,"Kassenbuch vom $vso_begin bis zum $vso_end ",0,1);
		$kassenbuch->SetFont('FreeSans','B',10);
		
		
		$kassenbuch->setx(5);
		$kassenbuch->cell(28,10,"Datum",0,0);
		$kassenbuch->cell(25,10,"Vortag",0,0,"R");
		$kassenbuch->cell(25,10,"Umsatz",0,0,"R");
		$kassenbuch->cell(25,10,"Soll",0,0,"R");
		$kassenbuch->cell(25,10,"Ist",0,0,"R");
		$kassenbuch->cell(25,10,"Differenz",0,0,"R");
		$kassenbuch->cell(25,10,"Abgang",0,0,"R");
		$kassenbuch->cell(25,10,"Neu",0,1,"R");
		
		$kassenbuch->SetFont('FreeSans','N',10);
		
		$sql= "select datum,vortag,barumsatz,soll,ist,differenz,abgang,neu from vs_v_kasse where datum >= '$vso_begin' and ".
				" datum <= '$vso_end' order by datum";
		$db->query ($sql);		
		while($row=$db->fetch_row())
			{
			$kassenbuch->setx(5);	
			$kassenbuch->cell(28,5,$row[0],0,0);
			$kassenbuch->cell(25,5,ptc(round($row[1],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[2],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[3],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[4],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[5],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[6],2))." ".pdf_currency_string,0,0,"R");
			$kassenbuch->cell(25,5,ptc(round($row[7],2))." ".pdf_currency_string,0,1,"R");
			}
		$kassenbuch->SetFont('FreeSans','B',10);
		$sql= "select sum(differenz) from vs_v_kasse where datum >= '$vso_begin' and ".
				" datum <= '$vso_end' ";
		$db->query ($sql);		
		$row=$db->fetch_row();
		$kassenbuch->setx(5);	
		$kassenbuch->cell(28,5,"Summe",0,0);
		$kassenbuch->cell(25,5,"",0,0,"R");
		$kassenbuch->cell(25,5,"",0,0,"R");
		$kassenbuch->cell(25,5,"",0,0,"R");
		$kassenbuch->cell(25,5,"",0,0,"R");
		$kassenbuch->cell(25,5,ptc(round($row[0],2))." ".pdf_currency_string,0,0,"R");
		$kassenbuch->cell(25,5,"",0,0,"R");
		$kassenbuch->cell(25,5,"",0,1,"R");	
		$kassenbuch->SetFont('FreeSans','N',10);
	break;
	} //switch


//Ende
$db->free_result();
$db->close();
ob_start();
$kassenbuch->Output();
ob_end_flush();

?>
