<?php
/*
 *      readldt.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../kartei/ldt.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db, $can_insert, $can_edit, $can_delete);

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}

function make_ldt_input()
	{
	$f_ldt = new vs_form_x("ldt", 4);
	$f_ldt->set_cellspacing(5);
	$f_ldt->set_target_action("a_after_input");
	$f_ldt->set_enctype("multipart/form-data"); //wg Dateiuplpad
	$f_ldt->add_control(1, new vs_file_edit("ldt_file", 30, 30, "", "LDT-Datei"));
	$f_ldt->add_control(2, new vs_checkbox("teilbefund", "0", "Teilbefunde auch einlesen"));
	$f_ldt->add_control(2, new vs_checkbox("ignore_error", "0", "Fehler ignorieren"));
	$f_ldt->add_control(3, new vs_button("submit", "Einlesen"));
	$f_ldt->add_control(3, new vs_button("reset", "Abbruch"));
	return $f_ldt;
	}




function ldt_files()
	{
	$t           = new vs_table("t1", 1, 1, "300px");
	$d           = new vs_div("400", "500", "left");
	$verzeichnis = dir(ldtdir);
	$files       = array();
	$i           = 0;
	//Verzeichnis in array einlesen
	while ($dateiname = $verzeichnis->read())
		{
		$i1 = 0;
		if (!is_dir($dateiname))
			{
			$files[$i] = $dateiname;
			$i++;
			}
		}
	//Array sortieren
	rsort($files); //rueckwarts sortieren, neueste oben
	//Ausgabe
	$t_list = new vs_table("t2", count($files) + 1, 2);
	$t_list->add(1, 1, new vs_text("<b>Auf dem Server befinden sich folgende LDT-Dateien <br><br></b>"));
	$j = 2;
	while (list($key, $dateiname) = each($files))
		{
		$t_list->add($j, 1, new vs_text($dateiname));
		$t_list->add($j, 2, new vs_action_img("reload", "../img/reload.gif", "a_reload_ldt&f_ldt=$dateiname"));
		$t_list->add($j, 2, new vs_action_img("delete", "../img/delete.gif", "a_delete_ldt&f_ldt=$dateiname"));
		$j++;
		}
	$d->add($t_list);
	$t->add(1, 1, $d);
	
	return $t;
	}

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');
extract($_FILES, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


$b         = new vs_page_begin("LDT - Datei einlesen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();
//********************************************************************
if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
	{
		case "a_input": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today       = today();
			$heute       = d_dis2db($today);
			$top         = new vs_text("<h2>&nbsp; LDT-Datei einlesen</h2>");
			$bottom      = navliste("Importdatei (<b>*.ldt</b>) ausw&auml;hlen");
			$right       = ldt_files();
			$d_main_left = new vs_div("370", "500", "left");
			$d_main_left->add(make_ldt_input());
			$left = $d_main_left;
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_after_input": //nach dem Import
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			if ($vso_ldt_file["name"] != "") // Datei uploaden
				{
				$fn = $vso_ldt_file["name"];
				if (file_exists(ldtdir . $fn))
					{
					error_row("Datei existiert bereits (" . $fn . "). Zum Hochladen bitte umbenennen!");
					$fn = ""; //Sonst wuerde ggf beim Loeschen die falsche Datei mitgeloescht
					}
				else
					{
					//--------------- Datei hochladen------------------------------------------
					$error = upload("ldt_file", ldtdir, $fn);
					if ($error != "")
						error_row($error);
					//----------------Datei---------------------------------------------------- 
					}
				}
			if ((!isset($fn)) or ($fn == ""))
				{
				$proto = "<br><br>Ung&uuml;ltiger Dateiname. Vorgang wurde abgebrochen.";
				}
			else
				{
				$tb = $vso_teilbefund;
				$ie = $vso_ignore_error;
				$vs = new vs_ldt(ldtdir . $fn);
				$vs->ldt_verteilen($db, $tb, $ie);
				$proto = $vs->error;
				$s     = "<br><br><b>Inhalt der Datei " . $fn . "</b><br><br>";
				for ($j = 0; $j < count($vs->berichte); $j++)
					{
					$s = $s . $vs->berichte[$j]->bericht_ident . "<br>";
					for ($i = 0; $i < count($vs->berichte[$j]->tests); $i++)
						$s = $s . $vs->berichte[$j]->tests[$i]->bezeichnung . " " . $vs->berichte[$j]->tests[$i]->wert . " " . 
						$vs->berichte[$j]->tests[$i]->einheit . " " . $vs->berichte[$j]->tests[$i]->indikator . "<br>";
					}
				}
			//visuelle Darstellung
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top         = new vs_text("<h2>&nbsp; LDT-Datei einlesen</h2>");
			$bottom      = navliste("Importprotokoll der ldt - Datei");
			$right       = ldt_files();
			$d_main_left = new vs_div("370", "500", "left");
			$d_main_left->add(make_ldt_input());
			$d_proto = new vs_div("370", "385", "left", "white");
			$proto   = "<br><br><b>Check und Verteilungsprotokoll </b><br>" . $proto;
			$d_proto->add(new vs_text($proto));
			$d_proto->add(new vs_text($s));
			$d_main_left->add($d_proto);
			$left = $d_main_left;
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_reload_ldt": //neu einlesen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$fn = $vso_f_ldt;
			if ((!isset($fn)) or ($fn == ""))
				{
				$proto  = "Ung&uuml;ltiger Dateiname. Vorgang wurde abgebrochen.";
				$bottom = navliste("Die LDT - Datei konnte  nicht eingelesen werden.");
				}
			else
				{
				$vs = new vs_ldt(ldtdir . $fn);
				$ie = $vso_ignore_error;
				$tb = $vso_teilbefund;
				$vs->ldt_verteilen($db, $tb, $ie);
				$proto = $vs->error;
				$s     = "<br><br><b>Inhalt der Datei " . $fn . "</b><br><br>";
				for ($j = 0; $j < count($vs->berichte); $j++)
					{
					$s = $s . $vs->berichte[$j]->bericht_ident . "<br>";
					for ($i = 0; $i < count($vs->berichte[$j]->tests); $i++)
						$s = $s . $vs->berichte[$j]->tests[$i]->bezeichnung . " " . $vs->berichte[$j]->tests[$i]->wert . " " . 
						$vs->berichte[$j]->tests[$i]->einheit . " " . $vs->berichte[$j]->tests[$i]->indikator . 
						" " . $vs->berichte[$j]->tests[$i]->ergebnistext . "<br>";
					}
				$bottom = navliste("Importprotokoll der ldt - Datei (erneutes Einlesen) ");
				}
			//visuelle Darstellung
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top         = new vs_text("<h2>&nbsp; LDT-Datei einlesen</h2>");
			$right       = ldt_files();
			$d_main_left = new vs_div("370", "500", "left");
			$d_main_left->add(make_ldt_input());
			$d_proto = new vs_div("370", "385", "left", "white");
			$proto   = "<br><br><b>Check und Verteilungsprotokoll </b><br>" . $proto;
			$d_proto->add(new vs_text($proto));
			$d_proto->add(new vs_text($s));
			$d_main_left->add($d_proto);
			$left = $d_main_left;
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_delete_ldt": //löschen einer LDT Datei auf dem Server
			$fn = $vso_f_ldt;
			if ((isset($fn)) and ($fn != ""))
				{
				$fname = ldtdir . $fn;
				if (file_exists($fname))
					$i = unlink($fname);
				if ($i < 1)
					{
					error_row("Die Datei(" . $fname . ") konnte nicht gel&ouml;scht werden! Schreibrechte ?");
					$bottom = navliste("Die Datei(" . $fname . ") konnte nicht gel&ouml;scht werden! Schreibrechte ?");
					}
				else
					{
					$bottom = navliste("Die Datei(" . $fname . ")  wurde gel&ouml;scht.");
					}
				}
			//visuelle Darstellung
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top         = new vs_text("<h2>&nbsp; LDT-Datei einlesen</h2>");
			$right       = ldt_files();
			$d_main_left = new vs_div("370", "500", "left");
			$d_main_left->add(make_ldt_input());
			$left = $d_main_left;
			seite($top, $bottom, $left, $right);
			break;
	}
	}


//********************************************************************
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();

//2013-12-28 KM: hier fehlten zweimal ()
$db->free_result();
$db->close();
?>
