 <?php
/*
 *      reduktion.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */
 
 

// 2014-12-27 KM: Fuer PHP 5.5.9 angepasst.



header("Content-type:image/png");

//bei Einbindung externer Units ->Fehler, deshalb (vereinfachte) Definition vorhandener Funktionen 

function ctp($f)
	{
	$f= @str_replace(",",".",$f);	
	return $f;
	}

//gibt das heutige Datum zurueck    	    
function today()
	{
	$date = getdate();
	foreach($date as $item=>$value)
		{
		if ($value < 10)  $date[$item] = "0".$value;
		}
	return $date['mday'].".".$date['mon'].".".$date['year'];
	} // switc


function str2date($datestring)
	{
	return mktime (0,0,0,intval(substr($datestring,3,2)),intval(substr($datestring,0,2)),intval(substr($datestring,6,4)));        
	}


//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

class reduktion
	{
	public $p1_wore;		    //Reduktion /Woche in der ersten Phase
	public $p2_wore;		    //Reduktion /Woche in der zeitenPhase   
	public $p1_tare;		    //Reduktion /Tag in der ersten Phase
	public $p2_tare;
	public $p1_dauer;        //Dauer Phase 1 in Tagen
	public $p2_dauer;
	public $p1_red_abs;     //absolute Reduktion in Phase1 (kg)
	public $p2_red_abs;
	public $gesamtdauer;  //Geamtdauer der Gewichtsreduktion
	public $linien;               //Anzahl der Gewichtslinien in der Grafik
	public $geburtstag;
	public $gewicht;
	public $zielgewicht;
	public $name;
	public $rasse;
	public $besname;
	public $uebergewicht;



function __construct($besname,$name,$rasse,$geburtstag,$gewicht,$zielgewicht,$p1_wore=3,$p2_wore=2)
	{
	$this->geburtstag=$geburtstag;
	$this->gewicht=ctp($gewicht);
	$this->zielgewicht=ctp($zielgewicht);
	$this->patname=$name;
	$this->patrasse=$rasse;
	$this->besname=$besname; 	
	$this->p1_wore=$p1_wore;
	$this->p2_wore=$p2_wore;
	}


function berechnung()
	{
	//Berechnungsgrundlage: die letzten 14% Übergewicht werden in Phase 2 abgebaut (meist niedrigere Reduktion)  
	$this->p1_tare=$this->p1_wore/7;		//Reduktion / Tag 
	$this->p2_tare=$this->p2_wore/7;
	$this->uebergewicht=($this->gewicht-$this->zielgewicht) / $this->zielgewicht *100;  
	//Zahl der horizontalen Linien
	
	//Berechnung der Dauer und absoluten Abnahmen
	if ($this->uebergewicht <= 14)
		{
		$this->p1_dauer=0;
		$this->p2_dauer=$this->uebergewicht/$this->p2_tare;
		$this->gesamtdauer=$this->p2_dauer;
		$this->p1_red_abs = 0;
		$this->p2_red_abs =$this->p2_dauer*$this->p2_tare*$this->zielgewicht; 
		}
		else
		{
		$this->p2_dauer=14/$this->p2_tare;
		$this->p1_dauer=($this->uebbergewicht-14)/$this->p1_tare;
		$this->gesamtdauer=$this->p2_dauer+$this->p1_dauer;
		$this->p1_red_abs = $this->p1_dauer*$this->p1_tare*$this->zielgewicht; 
		$this->p2_red_abs = $this->p2_dauer*$this->p2_tare*$this->zielgewicht; 
		}
	}



} //class

$p_patient= new puppy($vso_besname,$vso_name,$vso_rasse,$vso_geburtstag,$vso_gewicht,$vso_endgewicht);
$p_patient->berechnung();

$faktor=round(400/$p_patient->max );

//absoluten Pfad zur Schriftartdatei ermitteln
$file_path=realpath("puppy.php");
$tft_path=dirname($file_path)."/";

//Bildkonstruktion



$p_img=ImageCreate(620,450);
$p_backgrd = imagecolorallocate($p_img,255,255,255);
$p_black = imagecolorallocate($p_img,0,0,0);
$p_gray = imagecolorallocate($p_img,192,192,192);
$p_light_blue = imagecolorallocate($p_img,0,150,255);
$p_dark_blue = imagecolorallocate($p_img,0,0,255);
$p_yellow = imagecolorallocate($p_img,0,150,0);
$p_red =imagecolorallocate($p_img,255,0,0);

//Rand
imageline($p_img,0,0,0,450,$p_gray);
imageline($p_img,0,0,620,0,$p_gray);
imageline($p_img,619,0,619,449,$p_gray);
imageline($p_img,0,449,619,449,$p_gray);

//senkrechte Linien
for ($i=0;$i <= 52;$i++)
imageline($p_img,25+$i*10,25,25+$i*10,425,$p_gray); 

//waagrechte Linien
$abstand=round(400/$p_patient->linien);
for ($i=0;$i<=$p_patient->linien;$i++)
imageline($p_img,25,$i*$abstand+25,545,$i*$abstand+25,$p_gray); 


//Beschriftung 
imagettftext ($p_img, 10,0,50, 400, $p_black, $tft_path."freesans.ttf", $vso_rasse." ".$vso_name.",  * ".$vso_geburtstag.", erwartetes Endgewicht ".$vso_endgewicht."kg");

//Vetsoft
imagettftext ($p_img, 10, 90, 575, 395, $p_black, $tft_path."freesans.ttf", "powered by");
imagettftext ($p_img, 20, 90, 605, 395, $p_dark_blue, $tft_path."freesansbold.ttf", "VETSOFT  PUPPY");
			  
//Kurve
imageline($p_img,$p_patient->p1_a*10+25,425-$p_patient->p1_g*$faktor,$p_patient->p2_a*10+25,425-$p_patient->p2_g*$faktor,$p_black); 
imageline($p_img,$p_patient->p2_a*10+25,425-$p_patient->p2_g*$faktor,$p_patient->p3_a*10+25,425-$p_patient->p3_g*$faktor,$p_black); 
imageline($p_img,$p_patient->p3_a*10+25,425-$p_patient->p3_g*$faktor,$p_patient->p4_a*10+25,425-$p_patient->p4_g*$faktor,$p_black);

//Wochenpunkte
imagettftext ($p_img, 8,0,25,443,$p_black, $tft_path."freesans.ttf","Woche" );
imagettftext ($p_img, 8,0,$p_patient->p1_a*10+22, 443,$p_black, $tft_path."freesans.ttf", $p_patient->p1_a);
imagettftext ($p_img, 8,0,$p_patient->p2_a*10+22, 443,$p_black, $tft_path."freesans.ttf", $p_patient->p2_a);
imagettftext ($p_img, 8,0,$p_patient->p3_a*10+22, 443,$p_black, $tft_path."freesans.ttf", $p_patient->p3_a);
imagettftext ($p_img, 8,0,$p_patient->p4_a*10+22, 443,$p_black, $tft_path."freesans.ttf", $p_patient->p4_a);

//Gewichtspunkte
$intervall=$p_patient->max/$p_patient->linien;
imagettftext ($p_img, 8,90,13,422,$p_black, $tft_path."freesans.ttf","Gewicht" );
for ($i=1;$i<=$p_patient->linien;$i++) 
imagettftext ($p_img, 8,90,13,428-$abstand*$i,$p_black, $tft_path."freesans.ttf",$intervall*$i );

//aktuelles Gewicht des Patienten
imagefilledrectangle($p_img,$p_patient->alter*10+25,425-$p_patient->gewicht*$faktor,$p_patient->alter*10+30,430-$p_patient->gewicht*$faktor,$p_red);
imagettftext ($p_img, 9,0,$p_patient->alter*10+40,430-$p_patient->gewicht*$faktor,$p_red, $tft_path."freesans.ttf", $p_patient->patname." am ".today());

//Bild ausgeben
imagepng($p_img);
//Speicher freigeben
imagedestroy($p_img);


?>
