<?php
/*
 *      todo.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_todo($db,&$todo_id,&$num_rows)
	{
	global $can_edit;
	$heute=getdate();
	if (!isset($todo_id))
		{
		$db->query("Select todo_id,datum,bezeichnung,ziel,eingetragen_von,verlauf,prioritaet,ort,beschreibung,
					erledigt_am,erledigt_durch from vs_todo order by ziel");                       	                          
		}
	else
		{
		$db->query("Select todo_id,datum,bezeichnung,ziel,eingetragen_von,verlauf,prioritaet,ort,beschreibung,
					erledigt_am,erledigt_durch from vs_todo  where todo_id = $todo_id");                            
	} 
	$row=$db->fetch_row();  
	
	$num_rows=$db->num_rows();
	if ($num_rows>0)
		{
		d_db2dis($row[1]);
		d_db2dis($row[3]);
		d_db2dis($row[9]);
		
		$todo_id=$row[0];
		$olddata=$db->curr_row_as_string();
		$t=new vs_form_x("todo_zeigen",8);
		$t->set_cellspacing(2);
		
		//Datum des Eintrags
		//2015-01-07 KM: Datum Umstellung auf Datepicker
		$dat=new vs_datepicker("datum",$row[1],"multi_today1_Datepicker","Datum");
		
		$dat->set_disabled("true");
		$t->add_control(1,$dat);
		//Bezeichnung
		$bez=new vs_edit("bezeichnung",30,30,$row[2]); 
		$t->add_control(1,$bez);
		//Ziel
		//2015-01-07 KM: Datum Umstellung auf Datepicker
		$ziel=new vs_datepicker("ziel",$row[3],"multi_today2_Datepicker","Ziel");
		
		$t->add_control(1,$ziel);
		//Eingetragen von
		$e_von=new vs_edit("eingetragen_von",2,2,$row[4],"Von &nbsp;&nbsp;&nbsp;&nbsp;");
		$e_von->set_disabled("true");
		$t->add_control(2,$e_von); 
		//Prioritaet
		$prior = new vs_listbox("prioritaet",12,"$row[6]");
		$prior->set_label("Priorit&auml;t");
		$prior->add_item("1","Dringend");
		$prior->add_item("2","Normal");
		$prior->add_item("3","Gelegentlich");
		$t->add_control(2,$prior);
		//Ort
		$ort = new vs_listbox("ort",15,"$row[7]");
		$ort->add_item("Praxis","Praxis");
		$ort->add_item("Bank","Bank");
		$ort->add_item("Steuerberater","Steuerberater");
		$ort->add_item("Hausbesuch","Hausbesuch");
		$ort->add_item("Sonstiger","Sonstiger");
		$t->add_control(2,$ort);
		if(isset($row[10]))
			{
			// ist erledigt. Wann und von wem?
			$erl_v = new vs_edit("erledigt_durch",2,2,$row[10],"erledigt von ");
			$erl_v->set_disabled("true");
			$t->add_control(2,$erl_v);
			$erl_a = new vs_edit("erledigt_am",10,10,$row[9]," am ");
			$erl_a->set_disabled("true");
			$t->add_control(2,$erl_a);
			}
		else
			{
			//als nu erledigen vermerken
			$erl = new vs_checkbox("erledigt","0");
			$erl->set_label("als erledigt vermerken");
			$t->add_control(2,$erl);
			}
		//Beschreibung
		//$besch = new vs_memo("beschreibung", 68, 5,"$row[8]","Beschreibung");  
		//$t->add_control(3,$besch);
		//Verlauf
		$ver = new vs_memo("verlauf", 68, 16,"$row[5]","Ablauf");  
		$ver->set_readonly("true");
		$t->add_control(4,$ver);
		//Zum Verlauf zufuegen
		$erg = new vs_memo("zum_verlauf", 68, 5,"","Zusatz");  
		$t->add_control(5,$erg);
		
		$t->add_control(8,new vs_hidden("todo_id",$row[0]));
		$t->add_control(8,new vs_hidden("action","a_post_edit"));
		$t->add_control(8,new vs_hidden("olddata", $olddata));
		//alter Status wird extra gesichert; beim Wechsel wird die Aenderung dokumentiert
		$t->add_control(8,new vs_hidden("oldstatus", $row[6]));
		if ($can_edit=="1")
			{
			$t->add_control(8,new vs_submit("submit","&Auml;ndern","true"));
			$t->add_control(8,new vs_reset("reset","Abbruch","true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{ 
		return neuer_todo($db);
		}
	}


function neuer_todo($db)
	{
	global $can_insert;
	global $user_kurz;
	$t=new vs_form_x("todo_neu",8);
	$t->set_cellspacing(2);
	$n=now();
	$text=$n." Besitzer hat die Praxis betreten".chr(13); 
	
	//Datum des Eintrags
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$dat=new vs_datepicker("datum","","multi_today3_Datepicker","Datum");
	
	$t->add_control(1,$dat);
	//Bezeichnung
	$bez=new vs_edit("bezeichnung",30,30,""); 
	$t->add_control(1,$bez);
	//Ziel
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$ziel=new vs_datepicker("ziel","","multi_today4_Datepicker","Ziel");
		
	$t->add_control(1,$ziel);
	//Eingetragen von
	$e_von=new vs_edit("eingetragen_von",2,2,$user_kurz,"Von &nbsp;&nbsp;&nbsp;&nbsp;");
	$e_von->set_readonly("true");
	$t->add_control(2,$e_von); 
	//Prioritaet
	$prior = new vs_listbox("prioritaet",12,"Normal");
	$prior->set_label("Priorit&auml;t");
	$prior->add_item("1","Dringend");
	$prior->add_item("2","Normal");
	$prior->add_item("3","Gelegentlich");
	$t->add_control(2,$prior);
	//Ort
	$ort = new vs_listbox("ort",15,"praxis");
	$ort->add_item("praxis","Praxis");
	$ort->add_item("bank","Bank");
	$ort->add_item("steuerberater","Steuerberater");
	$ort->add_item("sonstiger","Anderer Ort");
	$t->add_control(2,$ort);
	//als erledigt vermerken
	$erl = new vs_checkbox("erledigt","0");
	$erl->set_label("als erledigt vermerken");
	$t->add_control(2,$erl);
	//Beschreibung
	//$besch = new vs_memo("beschreibung", 68, 5,"","Beschreibung");  
	//$t->add_control(3,$besch);
	//Verlauf
	$ver = new vs_memo("verlauf", 68, 16,"","Ablauf");  
	$ver->set_readonly("true");
	$t->add_control(4,$ver);
	//Zum Verlauf zufuegen
	$erg = new vs_memo("zum_verlauf", 68, 5,"","Zusatz");  
	$t->add_control(5,$erg);
	
	//$t->add_control(8,new vs_hidden("datum",today()));
	//$t->add_control(8,new vs_hidden("ankunft",$n));
	
	$t->add_control(8,new vs_hidden("action","a_post_ins"));
	if ($can_insert=="1")
		{
		$t->add_control(8,new vs_submit("submit","Speichern","true"));
		$t->add_control(8,new vs_reset("reset","Abbruch","true"));
		}
	$db->free_result();
	return $t;
	}


function img_leiste($db,$num_rows,$todo_id)
	{
	global $can_insert;
	global $can_delete;
	$il= new vs_div("il","30","left");
	if ($can_insert=="1") 
		$il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
	if($num_rows>0 ) 
		{  
		$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&todo_id=$todo_id"));
		}
	return $il;
}

//Legitimation und Bereitstellung der user - Variablen

global $can_insert;
global $can_edit;
global $can_delete;
global $user_name;
global $user_kurz;
global $user_id;

office_login($db);

$b = new vs_page_begin("Aufgaben", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else 
	{
	//DW: 2013-08-26 bugfix undefined vso_beschreibung 
	if (!isset($vso_beschreibung)) 
			$vso_beschreibung=null;
	
		switch ($vso_action)
			{
			case "a_browse" : //anzeigen
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today=today();
			$heute=d_dis2db($today);
			$top=new vs_text("<h2>&nbsp; AUFGABEN</h2>");
			$bottom=navliste("Liste aller Aufgaben anzeigen");
			$right=zeige_todo($db,$vso_todo_id,$num_rows);
			$sql="Select todo_id,ziel,bezeichnung from vs_todo order by ziel";       
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_todo_id,"todo.php?action=a_browse&todo_id=",32,"");
			$lb->set_field_typ(1,"date");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_todo_id));
			seite($top,$bottom,$left,$right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_del" : //Loeschen
			if($can_delete==1)
				{
				$db->query("delete from vs_todo where todo_id = $vso_todo_id");
				$db->free_result();
				unset($vso_todo_id); //gibt`s ja jetzt nicht mehr
				$bottom=navliste("Der Eintrag wurde gel&ouml;scht");
				}
			else $bottom=navliste("Der Eintrag konnte nicht gel&ouml;scht werden");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today=today();
			$heute=d_dis2db($today);
			
			$top=new vs_text("<h2>&nbsp; AUFGABEN</h2>");
			$right=zeige_todo($db,$vso_todo_id,$num_rows);
			$sql="Select todo_id,ziel,bezeichnung from vs_todo order by ziel";       
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_todo_id,"todo.php?action=a_browse&todo_id=",32,"");
			$lb->set_field_typ(1,"date");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_todo_id));
			seite($top,$bottom,$left,$right);
			
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			case "a_ins" : // Einfuegen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today=today();
			$heute=d_dis2db($today);
			
			$top=new vs_text("<h2>&nbsp; AUFGABEN</h2>");
			$bottom=navliste("Neue Aufgabe eintragen");
			$right=neuer_todo($db);
			$sql="Select todo_id,ziel,bezeichnung from vs_todo order by ziel";       
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			
			//DW: 2013-08-26 bugfix undefined vso_todo_id
			if (!isset($vso_todo_id)) 
				$vso_todo_id=null;
			
			//KM: Listbox links
			$lb=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_todo_id,"todo.php?action=a_browse&todo_id=",32,"");
			$lb->set_field_typ(1,"time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			
			//DW: 2013-08-26 bugfix undefined num_rows
			if (!isset($num_rows)) 
				$num_rows=null;
			
			$left->add(1,1,img_leiste($db,$num_rows,$vso_todo_id));
			seite($top,$bottom,$left,$right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_post_edit" : //nach dem Editieren
			 //----------------------Daten zwischenzeitlich veraendert?-----------------
			d_dis2db($vso_ziel); 
			$db->query("Select todo_id,datum,bezeichnung,ziel,eingetragen_von,verlauf,prioritaet,ort,beschreibung,
				erledigt_am,erledigt_durch from vs_todo  where todo_id = $vso_todo_id");         
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				
				if($vso_zum_verlauf!="")
				$vso_verlauf=$vso_verlauf.today()." ".now()." [".$user_name."] ".$vso_zum_verlauf.chr(13);
				
				//Datum und Ankunft bleiben unberuecksichtigt	
				//DW: 2013-08-26 bugfix Pruefung, ob vso_erledigt ueberhaupt gesetzt ist
				if(isset($vso_erledigt) and $vso_erledigt=="1")
					{
					$vso_erledigt_am = today();
					$vso_erledigt_durch = $user_kurz;
					d_dis2db($vso_erledigt_am);
					$vso_verlauf=$vso_verlauf.today()." ".now()." [".$user_name."] "."hat die Aufgabe erledigt.".chr(13);
					$db->query("update vs_todo set 
								bezeichnung='$vso_bezeichnung',
								ziel='$vso_ziel',   
								beschreibung='$vso_beschreibung',
								verlauf='$vso_verlauf',
								prioritaet='$vso_prioritaet',
								ort='$vso_ort',
								erledigt_am='$vso_erledigt_am',
								erledigt_durch='$vso_erledigt_durch'
								where todo_id=$vso_todo_id");
					}
				else
					{
					$vso_erledigt_durch = "";
					$db->query("update vs_todo set 
								bezeichnung='$vso_bezeichnung',
								ziel='$vso_ziel',   
								beschreibung='$vso_beschreibung',
								verlauf='$vso_verlauf',
								prioritaet='$vso_prioritaet',
								ort='$vso_ort'
								where todo_id=$vso_todo_id");
					
					}
				$bottom=navliste(" $vso_bezeichnung wurde ge&auml;ndert");  
				$db->free_result();	
				}
			
			//Fehlermeldung 
			else 
				{
				error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher " .
							" von einem anderen Benutzer modifiziert wurde");
				$bottom=navliste(" $vso_bezeichnung konnte nicht ge&auml;ndert werden");		 
				}
			//----------------Daten anzeigen----------------------------------------------------
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today=today();
			$heute=d_dis2db($today);
			
			$top=new vs_text("<h2>&nbsp; AUFGABEN</h2>");
			$right=zeige_todo($db,$vso_todo_id,$num_rows);
			$sql="Select todo_id,ziel,bezeichnung from vs_todo order by ziel";       
			$left= new vs_table("lefttable",2,1);
			//KM: Listbox links
			$lb=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_todo_id,"todo.php?action=a_browse&todo_id=",32,"");
			$lb->set_field_typ(1,"date");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_todo_id));
			seite($top,$bottom,$left,$right);
				break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_post_ins" : //nach dem Einfuegen
			d_dis2db($vso_datum);
			d_dis2db($vso_ziel);
			$vso_verlauf=today()." ".now()." [".$user_name."] "."Aufgabe wurde erstellt. ".chr(13);
			if($vso_zum_verlauf!="")
				$vso_verlauf=$vso_verlauf.today()." ".now()." [".$user_name."] ".$vso_zum_verlauf.chr(13);
			
			//DW: 2013-08-26 bugfix Pruefung, ob vso_erledigt ueberhaupt gesetzt ist
			if(isset($vso_erledigt) and $vso_erledigt=="1")
				{
				$vso_erledigt_am = heute();
				$vso_erledigt_durch = $user_kurz;
				d_dis2db($vso_erledigt_am);
				$vso_verlauf=$vso_verlauf.today()." ".now()." [".$user_name."] "."hat die Aufgabe erledigt.".chr(13);
				$db->query("insert into vs_todo (datum,bezeichnung,user_id,ziel,eingetragen_von, 
							beschreibung,verlauf,prioritaet,ort,erledigt_am,erledigt_durch) 
							values('$vso_datum','$vso_bezeichnung','$user_id','$vso_ziel','$vso_eingetragen_von',
							'$vso_beschreibung','$vso_verlauf','$vso_prioritaet','$vso_ort','$vso_erledigt_am','$vso_erledigt_durch')");
				}
			else
				{
				$db->query("insert into vs_todo (datum,bezeichnung,user_id,ziel,eingetragen_von, 
							beschreibung,verlauf,prioritaet,ort,erledigt_am) 
							values('$vso_datum','$vso_bezeichnung','$user_id','$vso_ziel','$vso_eingetragen_von',
							'$vso_beschreibung','$vso_verlauf','$vso_prioritaet','$vso_ort','2100-12-31')");
				
				}
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			//Moeglichst den eben eingegebenen Datensatz selektieren
			$db->free_result();
			$db->query("select todo_id from vs_todo where datum='$vso_datum' and bezeichnung='$vso_bezeichnung'");
			$row=$db->fetch_row();
			$vso_todo_id=$row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today=today();
			$heute=d_dis2db($today);
			
			$top=new vs_text("<h2>&nbsp; AUFGABEN</h2>");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right=zeige_todo($db,$vso_todo_id,$num_rows);
			$sql="Select todo_id,ziel,bezeichnung from vs_todo order by ziel";       
			$left= new vs_table("lefttable",2,1);
			//KM: Listbox links
			$lb=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,$vso_todo_id,"todo.php?action=a_browse&todo_id=",32,"");
			$lb->set_field_typ(1,"date");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_todo_id));
			seite($top,$bottom,$left,$right);
				break;
			}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

