 <?php
/*
 *      wartezimmer.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau
//2014-11-26 KM: Formatierung geaendert

function seite($top, $bottom, $left, $right)
	{
	global $vso_show_menu;
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_wartezimmer($db, &$wartezimmer_id, &$num_rows)
	{
	global $can_edit;
	$heute = getdate();
	if (!isset($wartezimmer_id))
		{
		// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
		//$heute = d_dis2db(today()); 
		$today = today();
		$heute = d_dis2db($today);
		$db->query("Select wartezimmer_id,besitzer_id,datum,ankunft,ta,grund,status,memo " . 
				" from vs_wartezimmer where datum='$heute' and status <> 'exit' order by ankunft");
		}
	else
		{
		$db->query("Select wartezimmer_id,besitzer_id,datum,ankunft,ta,grund,status,memo " . 
				" from vs_wartezimmer where wartezimmer_id = $wartezimmer_id");
		}
	$row      = $db->fetch_row();
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		d_db2dis($row[2]);
		t_db2dis($row[3]);
		$wartezimmer_id = $row[0];
		$olddata        = $db->curr_row_as_string();
		$t              = new vs_form_x("wartezimmer_zeigen", 8);
		$t->set_cellspacing(2);
		
		$sql      = "select besitzer_id,name,vorname,wohnort,strasse from vs_besitzer order by name,vorname ";
		$besitzer = new vs_db_sql_listbox("besitzer_id", 60, $db, $sql, 1, 4, 0, 0, $row[1], 0, "Besitzer");
		$t->add_control(1, $besitzer);
		
		//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
		$kimg = new vs_link_img("../img/kartei_24_36.gif", "../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=$row[1]", "_blank");
		$t->add_control(1, $kimg);
		
		
		//2015-02-27 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
		$dat = new vs_edit("datum", 10, 10, $row[2],"Datum &nbsp;");
		$dat->set_readonly("true");
		$t->add_control(2, $dat);
		
		//2015-02-27 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
		$tim = new vs_edit("ankunft", 10, 10, $row[3],"Ankunft");
		$tim->set_readonly("true");
		$t->add_control(2, $tim);
		
		
		$sql = "select kurz from vs_user where is_tierarzt='1' and aktiv ='1' ";
		$c   = new vs_db_sql_listbox("ta", 30, $db, $sql, 0, 0, 0, 0, $row[4]);
		$c->add_item("EGAL", "EGAL");
		$c->add_item("NOTFALL", "NOTFALL");
		$c->set_label("TA");
		$t->add_control(2, $c);
		
		$c = new vs_db_listbox("status", 60, $db, "vs_status", "bezeichnung", "bezeichnung", $row[6]);
		//muss hard codiert sein, weil diese Option notwendig ist zum Entfernen des Besitzers 
		$c->add_item("exit", "hat Praxis verlassen");
		$c->set_label("Status &nbsp;");
		$t->add_control(3, $c);
		
		$t->add_control(5, new vs_memo("zusatz", 68, 2, "", "Text &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		$doku = new vs_memo("memo", 68, 13, $row[7], "Doku &nbsp;&nbsp;&nbsp;");
		$doku->set_readonly("true");
		$t->add_control(6, $doku);
		
		$t->add_control(8, new vs_hidden("wartezimmer_id", $row[0]));
		$t->add_control(8, new vs_hidden("action", "a_post_edit"));
		$t->add_control(8, new vs_hidden("olddata", $olddata));
		//alter Status wird extra gesichert; beim Wechsel wird die Aenderung dokumentiert
		$t->add_control(8, new vs_hidden("oldstatus", $row[6]));
		if ($can_edit == "1")
			{
			$t->add_control(8, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{
		return neuer_wartezimmer($db);
		}
	}


function neuer_wartezimmer($db)
	{
	global $can_insert;
	$t = new vs_form_x("wartezimmer_neu", 8);
	$t->set_cellspacing(2);
	$n    = now();
	$text = $n . " Besitzer hat die Praxis betreten" . chr(13);
	
	$sql      = "select besitzer_id,name,vorname,wohnort,strasse from vs_besitzer order by name,vorname ";
	$besitzer = new vs_db_sql_listbox("besitzer_id", 60, $db, $sql, 1, 4, 0, 0, 0, 0, "Besitzer");
	
	$t->add_control(1, $besitzer);
	
	//2015-02-27 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$dat = new vs_edit("datum", 10, 10, today(),"Datum &nbsp;");
	$dat->set_readonly("true");
	$t->add_control(2, $dat);
	
	//2015-02-27 KM: Bugfix set_disabled gegen set_readonly ausgetauscht.
	$tim = new vs_edit("ankunft", 10, 10, $n,"Ankunft");
	$tim->set_readonly("true");
	$t->add_control(2, $tim);
	$sql = "select kurz from vs_user where is_tierarzt='1' and aktiv ='1' ";
	$c   = new vs_db_sql_listbox("ta", 30, $db, $sql, 0, 0, 0, 0, "EGAL");
	$c->add_item("EGAL", "EGAL");
	$c->add_item("NOTFALL", "NOTFALL");
	$c->set_label("TA");
	$t->add_control(2, $c);
	
	$c = new vs_db_listbox("status", 60, $db, "vs_status", "bezeichnung", "bezeichnung", "unbekannt");
	//muss hard codiert sein, weil diese Option notwendig ist zum Entfernen des Besitzers 
	$c->add_item("exit", "hat Praxis verlassen");
	$c->set_label("Status &nbsp;");
	$t->add_control(3, $c);
	
	$doku = new vs_memo("memo", 68, 13, $text, "Doku &nbsp;&nbsp;&nbsp;");
	$doku->set_readonly("true");
	$t->add_control(6, $doku);
	
	$t->add_control(8, new vs_hidden("datum", today()));
	$t->add_control(8, new vs_hidden("ankunft", $n));
	
	$t->add_control(8, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(8, new vs_reset("reset", "Abbruch", "true"));
		}
	$db->free_result();
	return $t;
	}


function img_leiste($db, $num_rows, $wartezimmer_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&wartezimmer_id=$wartezimmer_id"));
		}
	return $il;
	}


office_login($db);
global $user_name;

$b = new vs_page_begin("Wartezimmer", "../vs_office_inc/", "../vs_office_inc/head_wartezimmer.inc", "../vs_office_inc/body.inc");
//2015-01-16 KM: neu mit Auswahlmenue
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";

$b->write();



if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today()); 
			$today  = today();
			$heute  = d_dis2db($today);
			$top    = new vs_text("<h2>&nbsp; ANWESENDE PATIENTENBESITZER [" . now() . "]</h2>");
			$bottom = navliste("Tierbesitzer im Wartezimmer");
			$right  = zeige_wartezimmer($db, $vso_wartezimmer_id, $num_rows);
			$sql    = "Select w.wartezimmer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort " . 
						" from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 2, 6, 0, 0, $vso_wartezimmer_id, "wartezimmer.php?action=a_browse&wartezimmer_id=", 32, "");
			$lb->set_field_typ(2, "time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_wartezimmer_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			if ($can_delete == 1)
				{
				$db->query("delete from vs_wartezimmer where wartezimmer_id = $vso_wartezimmer_id");
				$db->free_result();
				unset($vso_wartezimmer_id); //gibt`s ja jetzt nicht mehr
				$bottom = navliste("Wartezimmereintrag wurde gel&ouml;scht");
				}
			//Daten anzeigen
			// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today()); 
			$today = today();
			$heute = d_dis2db($today);
			$top   = new vs_text("<h2>&nbsp; ANWESENDE PATIENTENBESITZER [" . now() . "]</h2>");
			$right = zeige_wartezimmer($db, $vso_wartezimmer_id, $num_rows);
			$sql   = "Select w.wartezimmer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort " . 
						" from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";
			
			$left = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 2, 6, 0, 0, $vso_wartezimmer_id, "wartezimmer.php?action=a_browse&wartezimmer_id=", 32, "");
			$lb->set_field_typ(2, "time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_wartezimmer_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		case "a_ins": // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today()); 
			$today  = today();
			$heute  = d_dis2db($today);
			$top    = new vs_text("<h2>&nbsp; ANWESENDE PATIENTENBESITZER [" . now() . "]</h2>");
			$bottom = navliste(" Neuen Besitzer in die Wartezimmerliste eingeben");
			$right  = neuer_wartezimmer($db);
			$sql    = "Select w.wartezimmer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort " . 
						" from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_wartezimmer_id
			if (!isset($vso_wartezimmer_id))
				{
				$vso_wartezimmer_id = null;
				}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 2, 6, 0, 0, $vso_wartezimmer_id, "wartezimmer.php?action=a_browse&wartezimmer_id=", 32, "");
			$lb->set_field_typ(2, "time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_wartezimmer_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select wartezimmer_id,besitzer_id,datum,ankunft,ta,grund,status,memo " . 
							" from vs_wartezimmer where wartezimmer_id = $vso_wartezimmer_id");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//Statuswechsel dokumentieren
				if ($vso_status != $vso_oldstatus)
					{
					$vso_memo = $vso_memo . now() . " " . $vso_status . "[" . $user_name . "]" . chr(13);
					}
				if ($vso_zusatz != "")
					$vso_memo = $vso_memo . "[" . $user_name . "]" . $vso_zusatz . chr(13);
				//Datum und Ankunft bleiben unberücksichtigt
				
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_grund
				if (!isset($vso_grund))
					{
					$vso_grund = null;
					}
				$db->query("update vs_wartezimmer set 
							besitzer_id='$vso_besitzer_id',
							ta='$vso_ta',
							grund='$vso_grund',
							status='$vso_status',      
							memo='$vso_memo'   
							where wartezimmer_id=$vso_wartezimmer_id");
				$db->free_result();
				}
			//Fehlermeldung 
			else
				error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher " . 
							" von einem anderen Benutzer modifiziert wurde");
			if ($vso_status == "exit")
				unset($vso_wartezimmer_id);
			//----------------Daten anzeigen----------------------------------------------------
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today  = today();
			$heute  = d_dis2db($today);
			$top    = new vs_text("<h2>&nbsp; ANWESENDE PATIENTENBESITZER [" . now() . "]</h2>");
			$bottom = navliste("Wartezimmereintrag wurde ge&auml;ndert");
			$right  = zeige_wartezimmer($db, $vso_wartezimmer_id, $num_rows);
			$sql    = "Select w.wartezimmer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort " . 
						" from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 2, 6, 0, 0, $vso_wartezimmer_id, "wartezimmer.php?action=a_browse&wartezimmer_id=", 32, "");
			$lb->set_field_typ(2, "time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_wartezimmer_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_ins": //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			d_dis2db($vso_datum);
			t_dis2db($vso_ankunft);
			$vso_memo .= chr(13);
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_grund
			if (!isset($vso_grund))
				{
				$vso_grund = null;
				}
			$db->query("insert into vs_wartezimmer (besitzer_id,ankunft,ta," . 
					" grund,status,memo,datum) " . 
					"values('$vso_besitzer_id','$vso_ankunft','$vso_ta'," . 
					"'$vso_grund','$vso_status','$vso_memo','$vso_datum')");
			$db->free_result();
			//----------------zuletzt eingefuegten Besitzer suchen-------------------------
			$db->free_result();
			$db->query("select wartezimmer_id from vs_wartezimmer where besitzer_id= $vso_besitzer_id and status <> 'exit' ");
			$row                = $db->fetch_row();
			$vso_wartezimmer_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			
			// 2014-09-10 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today()); 
			$today  = today();
			$heute  = d_dis2db($today);
			$top    = new vs_text("<h2>&nbsp; ANWESENDE PATIENTENBESITZER [" . now() . "]</h2>");
			$bottom = navliste(" Ein neuer Besitzer wurde eingef&uuml;gt");
			$right  = zeige_wartezimmer($db, $vso_wartezimmer_id, $num_rows);
			$sql    = "Select w.wartezimmer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort " . 
						" from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 2, 6, 0, 0, $vso_wartezimmer_id, "wartezimmer.php?action=a_browse&wartezimmer_id=", 32, "");
			$lb->set_field_typ(2, "time");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_wartezimmer_id));
			seite($top, $bottom, $left, $right);
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

