<?php
/*
 *      wissen.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





// 2014-08-27 KM: Fehler beseitigt, hat wahrscheinlich so noch nie funktioniert.
// Meldung war:
// Warning: pg_query(): Query failed: ERROR: null value in column "wissen_id" violates not-null constraint 
// Ursache war ein DB-Fehler, "wissen_id" war "bigint NOT NULL" richtig "serial NOT NULL"
// Aenderung der Tabelle "vs_wissen" erforderlich.



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

//SUCHEN IN DER WISSENSDATENBANK
function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
	
//WISSENSDATENBANK Eingabemaske
function seite_stamm($top,$bottom,$left,$right)	
	{
	//2015-02-25 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$left->set_css_class("stammdaten_tabelle_links_schmal");
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
			
		
function search_form($addon="")
	{
	global $vso_s_theme;
	global $vso_s_titel;
	global $vso_s_keywords;
	global $vso_s_inhalt;
	global $vso_s_spezies;
	global $vso_wissen_id;
	//default 
	if (! isset($vso_s_titel)) $vso_s_titel = "1"; 
	if (! isset($vso_s_keywords)) $vso_s_keywords = "1"; 
	//Form
	$t=new vs_form_x("search_form",7); 
	$t->set_cellspacing(5);
	$t->add_control(1,new vs_edit("s_theme", 15,100 ,$vso_s_theme,"Begriff"));  
	$t->add_control(2,new vs_checkbox("s_titel",$vso_s_titel," im Titel"));
	$t->add_control(3,new vs_checkbox("s_keywords",$vso_s_keywords," in den Keywords"));
	$t->add_control(4,new vs_checkbox("s_inhalt",$vso_s_inhalt,"im Inhalt"));  
	$t->add_control(5,new vs_edit("s_spezies", 15,100 ,$vso_s_spezies,"Tierart"));  
	//Falls irgendwann mal mit einer anderen Datenbank...
	$t->add_control(6,new vs_hidden("operator","like")); 
	$t->add_control(6,new vs_hidden("action","a_post_search"));
	$t->add_control(6,new vs_submit("submit","Suchen","true"));
	$t->add_control(6,new vs_reset("reset","Abbruch","true"));
	//ggf zurück 
	if($addon=="show_theme")
		{
		//zurueck zur Liste
		$t->add_control(7,new vs_text("<br><br><span  style=\" color: blue; \"onclick=\" javascript:{history.back();}\" > [ zur&uuml;ck zur Ergebnisliste ] </span>"));
		//Thema bearbeiten
		
		// 2014-08-27 KM: Variablen-Fehler beseitigt.
		//$ziel=$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=".$vso_wissen_id;
		$ziel="wissen.php?action=a_browse&wissen_id=".$vso_wissen_id;
		
		$t->add_control(7,new vs_text("<br><br><span  style=\" color: blue; \"onclick=\" javascript:{window.location.href='$ziel';}\" > [ Thema bearbeiten ] </span>"));
		}
	return $t;
	}
	
function zeige_wissen($db,&$wissen_id,&$num_rows)
	{
	global $can_edit;
		if (!isset($wissen_id))
			{
			$db->query("Select wissen_id,caption,quelle,ausgabe,spezies,keywords,inhalt ".
							" from vs_wissen order by caption");                       	                          
			}
		else
			{
			$db->query("Select wissen_id,caption,quelle,ausgabe,spezies,keywords,inhalt " .
							" from vs_wissen where wissen_id = $wissen_id");                            
			}
	$row=$db->fetch_row();  
	$num_rows=$db->num_rows();
		if ($num_rows>0)
			{
			$wissen_id=$row[0];	
			$olddata=$db->curr_row_as_string();		
			$t=new vs_form_x("wissen_zeigen",8);
			$t->set_cellspacing(2);
		
			$t->add_control(1,new vs_edit("caption", 55, 80, $row[1],"Thema &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(1,new vs_edit("quelle", 25, 80, $row[2]));
			$t->add_control(2,new vs_edit("ausgabe", 20, 50, $row[3],"Ausgabe &nbsp;"));
			$t->add_control(2,new vs_edit("spezies", 57, 80, $row[4]));
			
			$t->add_control(3,new vs_edit("keywords", 82, 255, $row[5]));
			$t->add_control(3,new vs_text("ID ".$row[0]));
			$cke=new vs_ck_memo("../vs_lib/ckeditor","id_inhalt","inhalt", 68, 20, $row[6],"");
			$cke->set_height(175);  
			$t->add_control(4,$cke);  
			$t->add_control(8,new vs_hidden("wissen_id",$row[0]));
			$t->add_control(8,new vs_hidden("action","a_post_edit"));
			$t->add_control(8,new vs_hidden("olddata", $olddata));
				if ($can_edit=="1")
					{
						$t->add_control(8,new vs_submit("submit","&Auml;ndern","true"));
						$t->add_control(8,new vs_reset("reset","Abbruch","true"));
					}
			$db->free_result();
			return $t;
			}
		else
			{ 
			return neuer_wissen($db);
			}
	}
	
	
function neuer_wissen($db)
	{
	global $can_insert;
	$t=new vs_form_x("wissen_neu",8);
	$t->set_cellspacing(2);
	
 	$t->add_control(1,new vs_edit("caption", 55, 80, "","Thema &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(1,new vs_edit("quelle", 25, 80, ""));
	$t->add_control(2,new vs_edit("ausgabe", 20, 50, "","Ausgabe &nbsp;"));
	$t->add_control(2,new vs_edit("spezies", 55, 80, ""));
	$t->add_control(3,new vs_edit("keywords", 85, 255,""));
	$cke=new vs_ck_memo("../vs_lib/ckeditor","id_inhalt","inhalt", 68, 20,"","");
	$cke->set_height(175);  
	$t->add_control(4,$cke);  
	$t->add_control(8,new vs_hidden("action","a_post_ins"));
		if ($can_insert=="1")
			{
			$t->add_control(8,new vs_submit("submit","Speichern","true"));
			$t->add_control(8,new vs_reset("reset","Abbruch","true"));
			}
	$db->free_result();
	return $t;
	}


function img_leiste($db,$num_rows,$wissen_id)
	{
	global $can_insert;
	global $can_delete;	
	$il= new vs_div("il","30","left");
		if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
		if($num_rows>0 ) 
			{  
			$dep=0;
			//abhaengige Datensaetze (interne Links) vorhanden? Loeschen erlaubt?	
			$db->query("select count(*) from vs_wissen where inhalt like '%IL$wissen_id%' ");
			$row=$db->fetch_row();
			$db->free_result();
			if ($row[0]>0)  $dep=1;
			$depf=0;
			if (($can_delete=="1") and ($dep==0) and ($depf==0)) //User darf loeschen+keine abh. interne Links 
			$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&wissen_id=$wissen_id"));
			$il->add(new vs_action_img("search","../img/search.gif",""));
			}	
	return $il;	
	}	

office_login($db);

$b = new vs_page_begin("Wissensdatenbank", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

	//2013-12-28 KM: geaendert wg. undefined variable $vso_action
	if (!isset ($vso_action))
		{$vso_action = null;}
		
	switch ($vso_action)
		{
		//Aktionen zum Eingaben
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WISSENSDATENBANK</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("Liste aller Eintr&auml;ge der Wissensdatenbank","","","../hilfe/help.php#wissen");
			$bottom=navliste("Liste aller Eintr&auml;ge der Wissensdatenbank","","","../hilfe/help.html#wissen");
			$right=zeige_wissen($db,$vso_wissen_id,$num_rows);
			$sql="select wissen_id,caption from vs_wissen order by caption";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			//$lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,1,1,0,0,$vso_wissen_id,$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=",32,"");
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wissen_id,"wissen.php?action=a_browse&wissen_id=",32,"");           
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wissen_id));
			seite_stamm($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				break;
			case "a_del" : //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$db->query("select caption from vs_wissen where wissen_id='$vso_wissen_id'");
			$row=$db->fetch_row();
			$name=$row[0];
			$db->free_result();
			//abhaengige Datensaetze (interne Links) vorhanden? Loeschen erlaubt?	
			$db->query("select count(*) from vs_wissen where inhalt like '%{LINKURL}$vso_wissen_id%' ");
			$row=$db->fetch_row();
			$db->free_result();
			if ($row[0]>0)  
				{
				error_row("Der Datensatz konnte nicht geloescht werden, weil es noch $row[0]" .
							" interne Links auf dieses Thema gibt" );
				//2014-01-15 KM: Hilfe help.php in help.html geaendert.
				//$bottom=navliste("<b>$caption konnte nicht gel&ouml;scht werden!!!!</b>","","","../hilfe/help.php#wissen");
				//2014-08-27 KM: Variablen-Fehler beseitigt.
				//$bottom=navliste("<b>$caption konnte nicht gel&ouml;scht werden!!!!</b>","","","../hilfe/help.html#wissen");
				$bottom=navliste($vso_caption." konnte nicht gel&ouml;scht werden!!!!","","","../hilfe/help.html#wissen");
	
				}
			else //keine abhaengigen Datensaetze
				{
				$db->query("delete from vs_wissen where wissen_id = $vso_wissen_id");
				$db->free_result();
				unset($vso_wissen_id); //gibt`s ja jetzt nicht mehr
				//2014-01-15 KM: Hilfe help.php in help.html geaendert.
				//$bottom=navliste("$caption wurde gel&ouml;scht","","","../hilfe/help.php#wissen");
				//2014-08-27 KM: Variablen-Fehler beseitigt.
				//$bottom=navliste("$caption wurde gel&ouml;scht","","","../hilfe/help.html#wissen");
				$bottom=navliste("Thema wurde gel&ouml;scht","","","../hilfe/help.html#wissen");
				}
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; WISSENSDATENBANK</h2>");
			$right=zeige_wissen($db,$vso_wissen_id,$num_rows);
			$sql="select wissen_id,caption from vs_wissen order by caption";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			// $lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,1,1,0,0,$vso_wissen_id,$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=",32,"");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wissen_id,"wissen.php?action=a_browse&wissen_id=",32,"");           
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wissen_id));
			seite_stamm($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				break;
		
			case "a_ins" : // Einfuegen
			///+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top=new vs_text("<h2>&nbsp; WISSENSDATENBANK</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste(" Neues Thema eingeben","","","../hilfe/help.php#wissen");
			$bottom=navliste(" Neues Thema eingeben","","","../hilfe/help.html#wissen");
			$right=neuer_wissen($db);
			$sql="select wissen_id,caption from vs_wissen order by caption";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-29 KM: wie ueblich die Beseitigung eines undefined variable
			if (!isset ($vso_wissen_id))
				{$vso_wissen_id = null;}
			// 2014-08-27 KM: Beseitigung eines undefined variable
			if (!isset ($num_rows))
				{$num_rows = null;}
			//KM: Listbox links
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			// $lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,1,1,0,0,$vso_wissen_id,$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=",32,"");
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wissen_id,"wissen.php?action=a_browse&wissen_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			//$left->add(1,1,img_leiste($db,0,$vso_wissen_id));
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wissen_id));
			
			seite_stamm($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				break;
			case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select wissen_id,caption,quelle,ausgabe,spezies,keywords,inhalt " .
								" from vs_wissen where wissen_id = $vso_wissen_id");                         
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
				{
				$db->query("update vs_wissen set ".
						" caption='$vso_caption',".
						" quelle='$vso_quelle',".
						" ausgabe='$vso_ausgabe',".
						" spezies='$vso_spezies',".
						" keywords='$vso_keywords',".
						" inhalt='$vso_inhalt' ".
						" where wissen_id=$vso_wissen_id");
				$db->free_result();	
				}
			else error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher " .
									 " von einem anderen Benutzer g&auml;ndert wurde");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; WISSENSDATENBANK</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("$vso_caption wurde ge&auml;ndert","","","../hilfe/help.php#wissen");
			$bottom=navliste("$vso_caption wurde ge&auml;ndert","","","../hilfe/help.html#wissen");
			$right=zeige_wissen($db,$vso_wissen_id,$num_rows);
			$sql="select wissen_id,caption from vs_wissen order by caption";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			// $lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,1,1,0,0,$vso_wissen_id,$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=",32,"");
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wissen_id,"wissen.php?action=a_browse&wissen_id=",32,"");           
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);  	
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wissen_id));
			seite_stamm($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				break;
			case "a_post_ins" : //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			$db->query("insert into vs_wissen (caption,quelle,ausgabe,spezies,keywords,inhalt) ".
								" values ('$vso_caption','$vso_quelle','$vso_ausgabe','$vso_spezies','$vso_keywords','$vso_inhalt')");
			$db->free_result();
			
			//----------------Daten anzeigen----------------------------------------------------
			$db->query("select wissen_id from vs_wissen where caption='$vso_caption'");
			$row=$db->fetch_row();
			$vso_wissen_id=$row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; WISSENSDATENBANK</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste(" $vso_caption wurde eingef&uuml;gt","","","../hilfe/help.php#wissen");
			$bottom=navliste(" $vso_caption wurde eingef&uuml;gt","","","../hilfe/help.html#wissen");
			$right=zeige_wissen($db,$vso_wissen_id,$num_rows);
			$sql="select wissen_id,caption from vs_wissen order by caption";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			// 2014-08-27 KM: Variablen-Fehler beseitigt.
			// $lb = new vs_db_sql_link_listbox("mt",38,$db,$sql,1,1,0,0,$vso_wissen_id,$_SERVER["PHP_SELF"]."?action=a_browse&wissen_id=",32,"");
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_wissen_id,"wissen.php?action=a_browse&wissen_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);  	
			$left->add(1,1,img_leiste($db,$num_rows,$vso_wissen_id));
			seite_stamm($top,$bottom,$left,$right);
				break;
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//Aktionen zum Auswerten
			case "a_post_search" : //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; SUCHEN IN DER WISSENSDATENBANK</h2>");
			$bottom=navliste("Suchergebnisse von <u>$vso_s_theme</u>");
			
			$left=search_form();
			$t_right= new vs_table("rechts",2,1);
			//Ergebnisse suchen
			$s_krit=0; //noch keine Suchkriterien
			$result_text="<b><br>SUCHERGEBNISSE</b><br><br>"; //kompletter Text der Suchergebnisse als string
			if ($vso_s_theme != "") //Suche nur mit Suchbegriff sinnvoll
			{
				//Suche in der Ueberschrift/Titel
				$sql_caption="";
				if($vso_s_titel > 0) //es soll im Titel gesucht werden
				{
					$sql_caption = " caption ".$vso_operator. " '%".$vso_s_theme."%' ";
					$s_krit ++;
				}
				//Suche in den Keywords
				$ql_keywords="";
				if($vso_s_keywords > 0) //es soll in den  Keywords gesucht werden
				{
					if($s_krit > 0)
					$sql_keywords = " or keywords ".$vso_operator. " '%".$vso_s_theme."%' ";
					else
					$sql_keywords = " keywords ".$vso_operator. " '%".$vso_s_theme."%' ";
					
					$s_krit ++;
					
				}
				//Suche im Inhalt/Text
				$sql_inhalt="";
				if($vso_s_inhalt > 0) //es soll im Inhalt gesucht werden
				{
					if($s_krit > 0)
					$sql_inhalt = " or inhalt ".$vso_operator. " '%".$vso_s_theme."%' ";
					else
					$sql_inhalt = " inhalt ".$vso_operator. " '%".$vso_s_theme."%' ";
					
					$s_krit ++;
				}
				//Tierart muss stimmen
				$sql_spezies="";
				if($vso_s_spezies != "") //es soll tierartspezifisch gesucht werden
				{
					if($s_krit > 0) //nur sinnvoll in Verbindung mit anderen Suchkriterien
					
					$sql_spezies = " spezies ".$vso_operator. " '%".$vso_s_spezies."%'  and ( ";
				}
				
				if ($sql_spezies=="")
				$sql="select wissen_id, caption,quelle,ausgabe,spezies from vs_wissen where ".$sql_caption. $sql_keywords.$sql_inhalt." order by caption";
				else
				$sql="select wissen_id, caption,quelle,ausgabe,spezies from vs_wissen where ".$sql_spezies.$sql_caption. $sql_keywords.$sql_inhalt." ) order by caption";
				
				$db->query($sql);
				while($s_result = $db->fetch_row())
				{
					// 2014-08-27 KM: Variablen-Fehler beseitigt.
					// $result_text.="<a href=\"".$_SERVER["PHP_SELF"]."?action=a_show_theme&wissen_id=$s_result[0]&thema=$vso_s_theme \"> " .
					$result_text.="<a href=\""."wissen.php?action=a_show_theme&wissen_id=$s_result[0]&thema=$vso_s_theme \"> " .
					$s_result[1]. "</a> (".$s_result[2].", ". $s_result[3]. ") "."<br>";
				}
			}
			//KM: Fenster fuer Suchergebnisse
			$r_div = new vs_div("730","510","left","white");
			$r_div->add(new vs_text($result_text));
			$t_right->add(1,1,$r_div);
			$right=$t_right;
			seite($top,$bottom,$left,$right);
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
				break; 
			case "a_show_theme" : //eines der gefundenen Themen anzeigen
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top=new vs_text("<h2>&nbsp; SUCHEN IN DER WISSENSDATENBANK</h2>");
			$bottom=navliste("Suchbegriff war $vso_thema");
			$left=search_form("show_theme");
			$t_right= new vs_table("rechts",2,1);
			$sql="select inhalt from vs_wissen where wissen_id = $vso_wissen_id ";	
			$db->query($sql);
			$inhalt=$db->fetch_row();
			$r_div = new vs_div("780","510","left","white");
			//neu am 9.5.2010
			$inhalt[0] = str_replace("{DATAPATH}",datapath,$inhalt[0]);
			$inhalt[0] = str_replace("{LINKURL}",linkurl,$inhalt[0]);
			$r_div->add(new vs_text($inhalt[0]));
			$t_right->add(1,1,$r_div);
			$right=$t_right;
			seite($top,$bottom,$left,$right);
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				break;
			default:   // Seitenaufruf ohne Argumente
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; SUCHEN IN DER WISSENSDATENBANK</h2>");
			$bottom=navliste("Nach Begriff suchen...");
			$left=search_form();
			$t_right= new vs_table("rechts",2,1);
			$right=$t_right;
			seite($top,$bottom,$left,$right);
									
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
				break;
			
		} //switch-Handler


$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

