<?php
/*
 * zahlung_abgabe.php
 *
 * Copyright (C) 2005 - 2012 © Dr. Norbert Klumpp
 *
 * Copyright (C) 2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 * Dirk Walter (DW),
 * Klaus Munsteiner (KM),
 * Markus Angeli (MA)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

// 2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

// 2016-03-08 Dirk Walter: Anpassung an neuen config.inc.php Parameter
// exp_format: 2=datev-ascii (standard), 3=lexware (z.B. Hildebrand), 1=lexware splitbuchung (z.B. Kilzer)
// 2017-02-27 Dirk Walter Zuordnung memotext/memotext2 geaendert, logische Einteilung korrigiert

// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

/* Kontendefinitionen jetzt auch in der config.inc.php */
// Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

// auf jeden Fall die Datenbankverbindung
$db = new vs_db ();
$db->connect ();

// $_GET und $_POST entpacken
extract ( $_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso' );
function check_split($praxis, $arznei, $futter) 
// prueft auf Einzel-oder Splitbuchung bei Überweisung
{
	$i = 0;
	$check = 0;
	if ($praxis > 0)
		$i ++;
	if ($arznei > 0)
		$i ++;
	if ($futter > 0)
		$i ++;
	if ($i > 1)
		$check = 1;
	return $check;
}

// Seitenaufbau
function seite($top, $bottom, $left, $right) {
	global $can_view_umsatz;
	global $vso_show_menu;
	if (true) // ($can_view_umsatz == "1")
{
		// 2015-02-19 KM: Formatierung geaendert
		$seite = new vs_div ( "", "", "", "", "", "vs_seite" );
		$oben = new vs_div ( "", "", "", "", "", "stammdaten_oben" );
		// Auswahlmenue
		$menu = new vs_div ( "", "", "", "", "", "id_menu" );
		$oben->add ( $menu );
		// Ueberschrift
		$oben->add ( $top );
		// -----------------------------mitte--------------------------------
		$mitte = new vs_div ( "", "", "", "", "", "umsaetze_seitenmitte" );
		$unten = new vs_div ();
		$unten->add ( $bottom );
		$t_seite = new vs_table ( "seite", 1, 2 );
		$links = new vs_div ( "", "", "", "", "", "umsaetze_mitte_links_schmal" );
		$links->add ( $left );
		$rechts = new vs_div ( "", "", "", "", "", "umsaetze_tab_breit" );
		$rechts->add ( $right );
		$t_seite->add ( 1, 1, $links );
		$t_seite->add ( 1, 2, $rechts );
		$mitte->add ( $t_seite );
		$seite->add ( $oben );
		$seite->add ( $mitte );
		$seite->add ( $unten );
		$seite->write ();
	} else {
		// 2015-02-20 KM: Formatierung geaendert
		$seite = new vs_div ( "", "", "", "", "", "vs_seite" );
		$oben = new vs_div ( "", "", "", "", "", "stammdaten_oben" );
		
		// Auswahlmenue
		$menu = new vs_div ( "", "", "", "", "", "id_menu" );
		$oben->add ( $menu );
		// Ueberschrift
		$oben->add ( $top );
		$mitte = new vs_div ( "", "", "", "", "", "umsaetze_seitenmitte" );
		$unten = new vs_div ();
		$unten->add ( $bottom );
		$seite->write ();
	}
}
function make_zahlung_tab($db, $active, $begindate, $enddate, $typ, $text = "") {
	// 2014-12-10 KM: Formatierung geaendert
	$tab = new vs_tabs ( "100%" );
	$tab->set_active_tab ( $active );
	$tab->add_tab ( "Tagesums&auml;tze", "?action=a_tagesliste&begindate=$begindate&enddate=$enddate&typ=$typ" );
	$tab->add_tab ( "Exportlisten", "?action=a_export&begindate=$begindate&enddate=$enddate&typ=$typ" );
	$tab->add_tab ( "Buchungszeitraum ", "?action=a_set_buchung&begindate=$begindate&enddate=$enddate&typ=$typ" );
	return $tab;
}
function which_sql($typ,$art,$begindate,$enddate,$mindate) {
// Funktion eingefuehrt zur vereinfachten Wahl des immer wiederkehrenden select-Statements, (1,2)=(kurz,lang bzw. simple,komplex), Typ B=Bar, K=Karte, U=Ueberweisung, S=Sparkassenkonto
	if ($typ=="1"){
	$sql = "Select datum,typ, sum(brutto_a - brutto_abgabemed), sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt "
			."where datum >= '$begindate' and " . "datum <= '$enddate' and datum > '$mindate' and typ='$art' group by datum,typ order by datum";
	}
	if ($typ=="2"){
	$sql = "Select b.datum,b.typ,(b.brutto_a - b.brutto_abgabemed) as brutto_leistung, b.brutto_abgabemed,b.brutto_b,b.betrag,bes.name "
			."from vs_bezahlt b , vs_behandlung beh, vs_patient pat, vs_besitzer bes where b.datum >= '$begindate' and " . "b.datum <= '$enddate'" 
			."and b.datum > '$mindate' and b.typ = '$art' and b.behandlung_id = beh.behandlung_id and " . "beh.patient_id = pat.patient_id "
					."and pat.besitzer_id = bes.besitzer_id order by b.datum ";
		}
	return $sql;
	}
function tagesumsaetze($db, $typ, $begindate, $enddate, $bezahlt_id, &$memotext, &$memotext2, &$summe, &$datum) {
	// DW: 2013-08-27 bugfix wg. reference-error-fixing von MA
	$mindate = "01.01.2007";
	$mindate = d_dis2db ( $mindate );
	$memotext = "";
	$memotext2 = "";
	$sql = "Select datum,typ, sum(brutto_a - brutto_abgabemed) , sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt where datum >= '$begindate' and " . "datum <= '$enddate' and datum > '$mindate' group by datum,typ order by datum";
	
	// 2014-12-10 KM: Formatierung geaendert
	$lt = new vs_table ( "lefttable", 2, 1 );
	$lt->set_css_class ( "umsaetze_tabelle_links_schmal" );
	
	$disbegin = d_db2dis ( $begindate );
	$disend = d_db2dis ( $enddate );
	
	$umsatz_lb = new vs_db_sql_link_listbox ( "mt", 170, $db, $sql, 0, 4, 0, 0, $datum, "zahlung_abgabe.php?typ=$typ&begindate=$disbegin" . "&enddate=$disend&datum=", 34, "" );
	$umsatz_lb->set_field_typ ( 0, "date" );
	$umsatz_lb->set_field_typ ( 1, "numeric" );
	$umsatz_lb->refresh_values ();
	$umsatz_lb->add_style ( "width:260px;height:490px;" );
	$lt->add ( 2, 1, $umsatz_lb );
	
	// 1 ------------------------------BAR-----------------------------------
	$sql = which_sql(1,"B",$begindate,$enddate,$mindate);
	$db->query ( $sql );
	
	// 1 a Datev ASCII - Format - Buchungsstapel(standard)
	
	if (exp_format == "2") {
		while ( $row = $db->fetch_row () ) {
                        //2017-03-11 DW: Aenderung wg Bug? --> d_db2dis ( $row [0], "ddmm" ) veraendert offensichtlich den Value von $row [0]
                        // deshalb wird der Wert vorher gesetzt und der gesetzte Wert in memotext ausgegeben!
                        $datum = d_db2dis ( $row [0], "ddmm" );
			// hier koennten Anpassungen an die Exportdatei erfolgen
			// praxis geht in memotext
			// arzneimittel und futter in memotext2
			
			if ($row [2] > 0)
				$memotext = $memotext . ptc ( $row [2] ) . ";S;;;;;" . fibu_kasse . ";" . fibu_praxis . ";;" . $datum  . ";;;;Praxis;" . chr ( 13 );
			if ($row [3] > 0)
				$memotext2 = $memotext2 . ptc ( $row [3] ) . ";S;;;;;" . fibu_kasse . ";" . fibu_arznei . ";;" .  $datum . ";;;;Arzneimittel;" . chr ( 13 );
			if ($row [4] > 0)
				$memotext2 = $memotext2 . ptc ( $row [4] ) . ";S;;;;;" . fibu_kasse . ";" . fibu_futter . ";;" .  $datum . ";;;;Tierfutter;" . chr ( 13 );
		}
	}
	
	// 1 b Lexware Format - nicht getrennt nach split/einzel bei Barzahlungen
	
	if (exp_format == "1" or exp_format == "3") {
		while ( $row = $db->fetch_row () ) {
			// hier koennten Anpassungen an die Exportdatei erfolgen
			// ist z.Z. spezifisch fuer meine Lexware Importdateien
			// praxis geht in memotext
			// arzneimittel und futter in memotext2
			
			if ($row [2] > 0)
				$memotext = $memotext . d_db2dis ( $row [0] ) . ";0;Praxis;" . ptc ( $row [2] ) . ";" . fibu_kasse . ";" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
			if ($row [3] > 0)
				$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;Arzneimittel;" . ptc ( $row [3] ) . ";" . fibu_kasse . ";" . fibu_arznei . ";" . fibu_waehrung . chr ( 13 );
			if ($row [4] > 0)
				$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;Tierfutter;" . ptc ( $row [4] ) . ";" . fibu_kasse . ";" . fibu_futter . ";" . fibu_waehrung . chr ( 13 );
		}
	}
	$db->free_result ();
	
	// 2 -------------------------KARTE-------------------------- (APO, Praxis-Umsaetze als Transit buchen)
	$sql = which_sql(1,"K",$begindate,$enddate,$mindate);
	$db->query ( $sql );
	
	// 2 a Datev ASCII - Format - Buchungsstapel(standard)
	// -----------------------------------
	if (exp_format == "2") {
		while ( $row = $db->fetch_row () ) {
                        $datum = d_db2dis ( $row [0], "ddmm" );
                        //2017-03-11 DW: Aenderung wg Bug? --> d_db2dis ( $row [0], "ddmm" ) veraendert offensichtlich den Value von $row [0]
                        // deshalb wird der Wert vorher gesetzt und der gesetzte Wert in memotext ausgegeben!
			// hier koennten Anpassungen an die Exportdatei erfolgen
			// praxis geht in memotext
			// arzneimittel und futter in memotext2
			
			if ($row [2] > 0) {
				$memotext .= ptc ( $row [2] ) . ";S;;;;;" . fibu_bank_praxis . ";" . fibu_praxis . ";;" . $datum . ";;;;EC-Praxis;" . chr ( 13 );
					}
			if ($row [3] > 0) {
				$memotext2 .= ptc ( $row [3] ) . ";S;;;;;" . fibu_bank_apo . ";" . fibu_arznei . ";;" . $datum . ";;;;EC-Arzneimittel;" . chr ( 13 );
					}
			if ($row [4] > 0) {
				$memotext2 .= ptc ( $row [4] ) . ";S;;;;;" . fibu_bank_apo . ";" . fibu_futter . ";;" .$datum . ";;;;EC-Tierfutter;" . chr ( 13 );
					}
		}
	}
	
	// 2 b Lexware Format Split -----------------------------------
	if (exp_format == "1") {
		while ( $row = $db->fetch_row () ) {
			// hier koennten Anpassungen an die Exportdatei erfolgen
			// ist z.Z. spezifisch fuer meine Lexware Importdateien
			$split = check_split ( $row [2], $row [3], $row [4] );
			if ($split == 1) {
				// Hauptzeile
				$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . "EC-Cash" . ";" . ptc ( $row [5] ) . ";" . fibu_bank_apo . ";0;" . fibu_waehrung . chr ( 13 );
				// Unterzeile
				if ($row [2] > 0)
					$memotext .= ";;Praxis;" . ptc ( $row [2] ) . ";;" . fibu_transit_aag_praxis . ";" . fibu_waehrung . chr ( 13 ); // hierin steckt der Transit --> kommt aus config.inc.php
				if ($row [3] > 0)
					$memotext .= ";;Arzneimittel;" . ptc ( $row [3] ) . ";;" . fibu_arznei . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext .= ";;Tierfutter;" . ptc ( $row [4] ) . ";;" . fibu_futter . ";" . fibu_waehrung . chr ( 13 );
			} else {
				if ($row [2] > 0)
					$memotext .= d_db2dis ( $row [0] ) . ";0;" . "EC-Praxis" . ";" . ptc ( $row [2] ) . ";" . fibu_bank_apo . ";" . fibu_transit_aag_praxis . ";" . fibu_waehrung . chr ( 13 );
				if ($row [3] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . "EC-Arzneimittel" . ";" . ptc ( $row [3] ) . ";" . fibu_bank_apo . ";" . fibu_arznei . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . "EC-Tierfutter" . ";" . ptc ( $row [4] ) . ";" . fibu_bank_apo . ";" . fibu_futter . ";" . fibu_waehrung . chr ( 13 );
			}
		}
	}
	
	// 2 c Lexware Format Einzel -----------------------------------
	// praxis geht nicht in memotext !!!
	// praxis, arzneimittel und futter in memotext2 !!!
	// wichtig ist hier fibu_transit_aag_praxis, kommt aus der entsprechenden Zeile in der config.inc.php
	// alles landet bei der Apotheke, wird dann ueber das Transit-Konto wieder zurueck geholt
	if (exp_format == "3") {
		while ( $row = $db->fetch_row () ) {
			if ($row [2] > 0)
				$memotext = $memotext2 . d_db2dis ( $row [0] ) . ";0;EC-Praxis;" . ptc ( $row [2] ) . ";" . fibu_bank_apo . ";" . fibu_transit_aag_praxis . ";" . fibu_waehrung . chr ( 13 );
			if ($row [3] > 0)
				$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;EC-Arzneimittel;" . ptc ( $row [3] ) . ";" . fibu_bank_apo . ";" . fibu_arznei . ";" . fibu_waehrung . chr ( 13 );
			if ($row [4] > 0)
				$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;EC-Tierfutter;" . ptc ( $row [4] ) . ";" . fibu_bank_apo . ";" . fibu_futter . ";" . fibu_waehrung . chr ( 13 );
		}
	}
	
	$db->free_result ();
	
	// 3 Einnahmen fuer das Ueberweisungskonto U (DB, AAG-Umsaetze als Transit buchen)
	// BANK 1 war Deutsche Bank (= Originalkommentar Klumpp
	// NEU!!! EXPERIMENTAL EINZELNE BEZAHLUNGEN als SPLITBUCHUNG exportieren
	$sql = which_sql(2,"U",$begindate,$enddate,$mindate);
	$db->query ( $sql );
        //error_log('vetsoftdebugtrick: Variable which_sql: ' . $sql);
	
	while ( $row = $db->fetch_row () ) {
		
		// 3 a Datev ASCII - Format - Buchungsstapel(standard)
		// ------------------------------------------------------
		if (exp_format == "2") {
                        $datum = d_db2dis ( $row [0], "ddmm" );
                        //2017-03-11 DW: Aenderung wg Bug? --> d_db2dis ( $row [0], "ddmm" ) veraendert offensichtlich den Value von $row [0]
                        // deshalb wird der Wert vorher gesetzt und der gesetzte Wert in memotext ausgegeben!
			if ($row [2] > 0) {
				$memotext .= ptc ( $row [2] ) . ";S;;;;;" . fibu_bank_praxis . ";" . fibu_praxis . ";;" . $datum . ";;;;;" . $row [6] . "-Praxis;" . chr ( 13 );
					}
			if ($row [3] > 0) {
				$memotext2 .= ptc ( $row [3] ) . ";S;;;;;" . fibu_bank_apo . ";" . fibu_arznei . ";;" . $datum . ";;;;;" . $row [6] . "-Arzneimittel;" . chr ( 13 );
					}
			if ($row [4] > 0) {
				$memotext2 .= ptc ( $row [4] ) . ";S;;;;;" . fibu_bank_apo . ";" . fibu_futter . ";;" . $datum . ";;;;;" . $row [6] . "-Tierfutter;" . chr ( 13 );
					}
		}
		 // Lexware Format ------------------------------------------------------
		 // 3 c Lexware Format Einzel -----------------------------------
		 if (exp_format == "3") {		 			
		 		if ($row [2] > 0)
		 			$memotext .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [2] ) . ";" . fibu_bank_praxis . ";" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
		 		if ($row [3] > 0)
		 			$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [3] ) . ";" . fibu_bank_praxis . ";" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
		 		if ($row [4] > 0)
		 			$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [4] ) . ";" . fibu_bank_praxis . ";" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
		 	}
		 }
		 // 3 b Lexware Format Split -----------------------------------
		if (exp_format == "1") {
			$sql = which_sql(1,"U",$begindate,$enddate,$mindate);
			$db->query ( $sql );
			while ( $row = $db->fetch_row () ) {
			$split = check_split ( $row [2], $row [3], $row [4] );
			if ($split == 1) {
				// Hauptzeile
				$memotext .= d_db2dis ( $row [0] ) . ";0;" . "Ueberweisung;" . $row [6] . ";" . ptc ( $row [5] ) . ";" . fibu_bank_praxis . ";0;" . fibu_waehrung . chr ( 13 );
				// Unterzeile
				if ($row [2] > 0)
					$memotext .= ";;Praxis;" . ptc ( $row [2] ) . ";;" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
				if ($row [3] > 0)
					$memotext .= ";;Arzneimittel;" . ptc ( $row [3] ) . ";;" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext .= ";;Tierfutter;" . ptc ( $row [4] ) . ";;" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
			} else {
				if ($row [2] > 0)
					$memotext .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [2] ) . ";" . fibu_bank_praxis . ";" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
				if ($row [3] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [3] ) . ";" . fibu_bank_praxis . ";" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [4] ) . ";" . fibu_bank_praxis . ";" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
			}
		}
	}
	
	$db->free_result ();
	
	// 4 -----NEU - nur aktuell wenn TYP S vorhanden!
	// DATEV derzeit nicht beruecksichtigt
	// Einnahmen ür das Ueberweisungskonto S (KSK, AAG-Umsaetze als Transit buchen)
	// 4 b Lexware Format Einzel mit veraltetem Statement, neues kann von 3 genommen werden -----------------------------------*/
	if (exp_format == "3") {
		$sql = which_sql(1,"S",$begindate,$enddate,$mindate);
		$db->query ( $sql );
		while ( $row = $db->fetch_row () ) {
			// hier koennten Anpassungen an die Exportdatei erfolgen
			// ist z.Z. spezifisch fuer meine Lexware Importdateien
			$memotext = $memotext . d_db2dis ( $row [0] ) . ";0;Praxis;" . ptc ( $row [2] ) . ";" . fibu_bank2_praxis . ";" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
			$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;Arzneimittel;" . ptc ( $row [3] ) . ";" . fibu_bank2_praxis . ";" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
			$memotext2 = $memotext2 . d_db2dis ( $row [0] ) . ";0;Tierfutter;" . ptc ( $row [4] ) . ";" . fibu_bank2_praxis . ";" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
		}
		$db->free_result ();
	}
	// ------------------BANK 2 KSK--------------------------------------
	// NEU!!! EXPERIMENTAL EINZELNE BEZAHLUNGEN als SPLITBUCHUNG exportieren - nur aktuell wenn TYP S vorhanden! z.B. Kilzer
	// 4 c Lexware Format Split -----------------------------------*/
	if (exp_format == "1") {
		$sql = which_sql(2,"S",$begindate,$enddate,$mindate);
		$db->query ( $sql );
		
		while ( $row = $db->fetch_row () ) {
			$split = check_split ( $row [2], $row [3], $row [4] );
			if ($split == 1) {
				
				// Hauptzeile
				$memotext .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [5] ) . ";" . fibu_bank2_praxis . ";0;" . fibu_waehrung . chr ( 13 );
				// Unterzeile
				if ($row [2] > 0)
					$memotext .= ";;Praxis;" . ptc ( $row [2] ) . ";;" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
				if ($row [3] > 0)
					$memotext .= ";;Arzneimittel;" . ptc ( $row [3] ) . ";;" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext .= ";;Tierfutter;" . ptc ( $row [4] ) . ";;" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
			} else {
				if ($row [2] > 0)
					$memotext .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [2] ) . ";" . fibu_bank2_praxis . ";" . fibu_praxis . ";" . fibu_waehrung . chr ( 13 );
				if ($row [3] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [3] ) . ";" . fibu_bank2_praxis . ";" . fibu_transit . ";" . fibu_waehrung . chr ( 13 );
				if ($row [4] > 0)
					$memotext2 .= d_db2dis ( $row [0] ) . ";0;" . $row [6] . ";" . ptc ( $row [4] ) . ";" . fibu_bank2_praxis . ";" . fibu_transit_b . ";" . fibu_waehrung . chr ( 13 );
			}
		}
	}
	// ----------------------------------------------
	// Gesamtsumme ueber den Zeitraum
	$sql = "Select sum(betrag) from vs_bezahlt where  datum >= '$begindate' and datum <= '$enddate' and datum > '$mindate'";
	$db->query ( $sql );
	$row = $db->fetch_row ();
	$summe = $row [0];
	$db->free_result ();
	$lt->add ( 1, 1, new vs_text ( "Summe: " . $summe = ptc ( $summe ) . " " . currency_string ) );
	return $lt;
}
function make_date_typ_form($db, $begindate, $enddate, $typ, $action) {
	$a_form = new vs_form_x ( "behdoc_edit", 2 );
	$a_form->set_cellspacing ( 5 );
	
	// 2015-01-04 KM: Datum Umstellung auf Datepicker
	$a_form->add_control ( 1, new vs_datepicker ( "begindate", d_db2dis ( $begindate ), "multi_today1_Datepicker", "Beginn" ) );
	$a_form->add_control ( 1, new vs_datepicker ( "enddate", d_db2dis ( $enddate ), "multi_today2_Datepicker", "Ende" ) );
	
	/*
	 * $c= new vs_listbox("typ",30,$typ);
	 * $c->add_item("B","Barzahlung");
	 * $c->add_item("K","Kartezahlung");
	 * $c->add_item("U","Uberweisung Deutsche Bank");
	 * $c->add_item("S","Uberweisung KSK Mayen");
	 * $a_form->add_control(1,$c);
	 */
	$a_form->add_control ( 1, new vs_db_listbox ( "typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", $typ, 0, "Zahlweise", "", "", "reihenfolge" ) );
	$a_form->add_control ( 2, new vs_hidden ( "action", $action ) );
	$a_form->add_control ( 2, new vs_submit ( "submit", "&Auml;ndern", "true" ) );
	$a_form->add_control ( 2, new vs_reset ( "reset", "Abbruch", "true" ) );
	return $a_form;
}
function make_buchung_zeit_form($begindate, $enddate, $typ, $action, $text) {
	$a_form = new vs_form_x ( "set_buchungszeitraum", 3 );
	$a_form->set_cellspacing ( 5 );
	
	// 2015-01-04 KM: Datum Umstellung auf Datepicker
	$a_form->add_control ( 1, new vs_datepicker ( "begindate", d_db2dis ( $begindate ), "multi_today3_Datepicker", "Beginn" ) );
	$a_form->add_control ( 1, new vs_datepicker ( "enddate", d_db2dis ( $enddate ), "multi_today4_Datepicker", "Ende" ) );
	
	// 2015-03-18 KM: Parameter fehlte
	// $c= new vs_listbox("typ",40,$typ,"Art");
	$c = new vs_listbox ( "typ", 40, $typ, "1", "Art" );
	$c->add_item ( "1", "Zeitraum als gebucht festlegen" );
	$c->add_item ( "0", "Zeitraum als nicht gebucht festlegen" );
	$a_form->add_control ( 1, $c );
	$a_form->add_control ( 2, new vs_hidden ( "action", $action ) );
	$a_form->add_control ( 2, new vs_hidden ( "change", "1" ) );
	$a_form->add_control ( 2, new vs_submit ( "submit", "&Auml;ndern", "true" ) );
	$a_form->add_control ( 2, new vs_reset ( "reset", "Abbruch", "true" ) );
	$a_form->add_control ( 3, new vs_text ( "<b>" . $text . "</b>" ) );
	return $a_form;
}
function make_right_tagesliste($db, $datum, $begindate, $enddate, $typ, $bezahlt_id) {
	// 2015-02-20 KM: Formatierung geaendert
	$d_right = new vs_div ();
	$d_right_bottom = new vs_div ( "", "", "", "", "", "umsaetze_tabd" );
	
	$sql = "Select z.bezahlt_id,z.datum,z.betrag,z.brutto_a,z.brutto_b,z.typ,b.name,p.name,h.diagnose from  vs_bezahlt z,vs_behandlung h,vs_patient p," . " vs_besitzer b " . " where z.behandlung_id=h.behandlung_id and h.patient_id = p.patient_id and p.besitzer_id = b.besitzer_id " . " and z.datum = '$datum' and z.typ = '$typ' order by z.bezahlt_id   ";
	$rlb = new vs_db_sql_link_listbox ( "mt1", 130, $db, $sql, 1, 8, 0, 0, $bezahlt_id, "../kartei/kartei.php?action=a_karte_show_by_bezahlt_id&bezahlt_id=", 27, "" );
	// 2014-12-10 KM: Muss ueberpruft werden, was das macht. Neues Fenster?
	$rlb->set_new_win ( 1 ); // Link in neuem Fenster öffnen
	$rlb->add_style ( "width:700px;height:400px;" );
	$d_right_bottom->add ( $rlb );
	$d_right_bottom->add ( make_date_typ_form ( $db, $begindate, $enddate, $typ, "a_tagesliste" ) );
	$d_right->add ( make_zahlung_tab ( $db, 1, $begindate, $enddate, $typ ) );
	$d_right->add ( $d_right_bottom );
	return $d_right;
}
function make_right_export($db, $datum, $begindate, $enddate, $typ, $bezahlt_id) {
	// 2015-02-20 KM: Formatierung geaendert
	$d_right = new vs_div ();
	$d_right_bottom = new vs_div ( "", "", "", "", "", "umsaetze_tabd" );
	tagesumsaetze ( $db, $typ, $begindate, $enddate, $bezahlt_id, $memotext1, $memotext2, $summe, $datum );
	$d_right_bottom->add ( new vs_memo ( "pra", 120, 13, $memotext1 ) );
	$d_right_bottom->add ( new vs_memo ( "aag", 120, 13, $memotext2 ) );
	$d_right_bottom->add ( make_date_typ_form ( $db, $begindate, $enddate, $typ, "a_export" ) );
	$d_right->add ( make_zahlung_tab ( $db, 2, $begindate, $enddate, $typ ) );
	$d_right->add ( $d_right_bottom );
	return $d_right;
}
function make_buchungszeitraum($db, $datum, $begindate, $enddate, $typ, $bezahlt_id, $text) {
	// 2015-02-20 KM: Formatierung geaendert
	$d_right = new vs_div ();
	$d_right_bottom = new vs_div ( "", "", "", "", "", "umsaetze_tabd" );
	$d_right_bottom->add ( make_buchung_zeit_form ( $begindate, $enddate, $typ, "a_set_buchung", $text ) );
	$d_right_bottom->add ( new vs_div ( "100", "385" ) ); // Abstandwahrer
	$d_right->add ( make_zahlung_tab ( $db, 3, $begindate, $enddate, $typ ) );
	$d_right->add ( $d_right_bottom );
	return $d_right;
}

global $can_view_umsatz;

office_login ( $db );

$b = new vs_page_begin ( "Zahlungseing&auml;nge", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc" );
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write ();

if ($can_view_umsatz == "1") {
	// DW: wie ueblich die Beseitigung eines undefined variable $vso_action
	if (! isset ( $vso_action )) {
		$vso_action = "";
	}
	
	switch ($vso_action) {
		case "a_export" :
			if (! isset ( $vso_begindate ))
				$vso_begindate = today ();
			if (! isset ( $vso_enddate ))
				$vso_enddate = today ();
			if (! isset ( $vso_typ ))
				$vso_typ = "B";
			if (! isset ( $vso_datum ))
				$vso_datum = $vso_begindate;
				// Darstellung
			$top = new vs_text ( "<h2>&nbsp; ZAHLUNGSEING&Auml;NGE</h2>" );
			$bottom = navliste ( "Tagesums&auml;tze" );
			$left = tagesumsaetze ( $db, $vso_typ, d_dis2db ( $vso_begindate ), d_dis2db ( $vso_enddate ), d_dis2db ( $vso_bezahlt_id ), $memotext, $memotext2, $summe, $datum );
			$bottom = navliste ( "Ums&auml;tze - Exportlisten" );
			$right = make_right_export ( $db, $vso_datum, $vso_begindate, $vso_enddate, $vso_typ, $vso_bezahlt_id );
			seite ( $top, $bottom, $left, $right );
			break;
		// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
		case "a_set_buchung" :
			$text = "";
			if (! isset ( $vso_typ ))
				$vso_b_typ = "1";
			if (! isset ( $vso_begindate ))
				$vso_begindate = today ();
			if (! isset ( $vso_enddate ))
				$vso_enddate = today ();
			if (! isset ( $vso_datum ))
				$vso_datum = $vso_begindate;
			d_dis2db ( $vso_begindate );
			d_dis2db ( $vso_enddate );
			
			// 2014-01-01 KM: wie ueblich die Beseitigung eines undefined variable
			if (! isset ( $vso_change )) {
				$vso_change = null;
			}
			if ($vso_change == "1") {
				$text = "Buchungszeitraum konnte nicht ge&auml;ndert werden. ";
				if ($vso_typ == "1") {
					$sql = ("update vs_bezahlt set gebucht='1' where datum >= '$vso_begindate' and datum <= '$vso_enddate' ");
					$db->query ( $sql );
					$text = "Buchungszeitraum wurde ge&auml;ndert (als <u>gebucht</u> markiert). ";
				}
				if ($vso_typ == "0") {
					$sql = ("update vs_bezahlt set gebucht='0' where datum >= '$vso_begindate' and datum <= '$vso_enddate' ");
					$db->query ( $sql );
					$text = "Buchungszeitraum wurde ge&auml;ndert (als <u>nicht gebucht</u> markiert). ";
				}
			}
			// Darstellung
			$top = new vs_text ( "<h2>&nbsp; ZAHLUNGSEING&Auml;NGE</h2>" );
			$bottom = navliste ( "Tagesums&auml;tze" );
			$left = tagesumsaetze ( $db, $vso_typ, d_dis2db ( $vso_begindate ), d_dis2db ( $vso_enddate ), d_dis2db ( $vso_bezahlt_id ), $memotext, $memotext2, $summe, $datum );
			$bottom = navliste ( "Ums&auml;tze - Buchungszeitraum festlegen" );
			$right = make_buchungszeitraum ( $db, $vso_datum, $vso_begindate, $vso_enddate, $vso_typ, $vso_bezahlt_id, $text );
			seite ( $top, $bottom, $left, $right );
			break;
		// ---------------------------------------------------------------------------------------------------------------------------------------------------------------
		default :
			if (! isset ( $vso_begindate ))
				$vso_begindate = today ();
			if (! isset ( $vso_enddate ))
				$vso_enddate = today ();
			if (! isset ( $vso_typ ))
				$vso_typ = "B";
			if (! isset ( $vso_datum ))
				$vso_datum = $vso_begindate;
				// Darstellung
			$top = new vs_text ( "<h2>&nbsp; ZAHLUNGSEING&Auml;NGE</h2>" );
			$bottom = navliste ( "Tagesums&auml;tze" );
			// DW: wie ueblich die Beseitigung eines undefined variable $vso_action
			// -1 ist in vs_db_table sogar als default definiert, also keine weitere action notwendig
			if (! isset ( $vso_bezahlt_id )) {
				$vso_bezahlt_id = "";
			}
			$left = tagesumsaetze ( $db, $vso_typ, d_dis2db ( $vso_begindate ), d_dis2db ( $vso_enddate ), d_dis2db ( $vso_bezahlt_id ), $memotext, $memotext2, $summe, $datum );
			$right = make_right_tagesliste ( $db, $vso_datum, $vso_begindate, $vso_enddate, $vso_typ, $vso_bezahlt_id );
			seite ( $top, $bottom, $left, $right );
			break;
	}
} else {
	$top = new vs_text ( "<br><b> </b>" );
	$bottom = navliste ( "Keine Berechtigung !" );
	$left = new vs_img ( "no", "../img/kein_zutritt.jpeg" );
	$right = new vs_text ( "<b>Sie haben keine Berechtigung f&uuml;r diese Seite.</b>" );
	seite ( $top, $bottom, $left, $right );
}

$e = new vs_page_end ( "../vs_office_inc/", "../vs_office_inc/foot.inc" );
$e->write ();
$db->free_result ();
$db->close ();
?>
