<?php
/*
 *      vs_db_visual_objects.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




// 2014-09-11 KM: Fuer PHP 5.5.9 angepasst.

include_once "vs_db_objects.php";

//***********************************************************************
class vs_visual_object
{
  public $cssclass;
  public $loc;
  public function __construct()
  {
   $this->cssclass=get_class($this);
   $this->loc = setlocale (LC_ALL, 'de_DE@euro', 'de_DE', 'de', 'ge');
  }
  public function set_css_class($cssclass)
  {
   $this->cssclass=$cssclass;
  }
}

class vs_action
{
 public $name;
 public $text;
 public $img;
 public $target;
 public $windowtarget;
 public function __construct($inputname,$inputimg,$text="",$target="",$windowtarget="_self")
 {
 	$this->name=$inputname;
 	$this->img=$inputimg;
 	$this->text=$text;
 	if ($target!="") $this->target=$target;
 	else $this->target=$_SERVER["PHP_SELF"];
  	$this->windowtarget=$windowtarget;
 }    	
 public function set_target($inputtarget)
 {
  $this->target=$inputtarget;	 
 }	
}



class vs_table_field
{
  public $name;
  public $label;
  public $typ;
  public $len;
  public $formatstr;
  public $align;
  public $width;
  
  public function __construct()
  {
  	$this->name="";
  	$this->label="";
  	$this->typ="";
  	$this->len=-1;
  	$this->formatstr="";
  	$this->align="left";
  	$this->width=120;    //standardwert
  	$this->formatstr="";
  }
}  


class vs_db_table extends vs_visual_object
{
 public $fields;	    //Spalten 
 public $numfields;   //Zahl der Spalten, wird berechnet 
 public $db;          // vs_db, muss geoeffnet sein!!!!!!!!!!
 
 public $firstfield;  // erstes angezeigtes Tabellenfeld
 public $indexfield;  // Index des indizierten Tabellenfeldes 
 public $rowtitlecss; // css Klasse fuer die Titelzeile
 public $tdtitlecss;  // css Klasse fuer die Felder der Titelzeile (Font)
 public $row1css;     // css Klasse fuer die 1.,3.,5...Zeile
 public $row2css;     // css Klasse fuer die 2.,4.6....Zeile
 public $tdcss;       // css Klasse fuer die Datacells
 public $actions;     // Aktionen
 public $width;       // Breite, wird intern berechnet aus Zahlder Felder und deren Breite
 public $height;      // Hoehe 
 public $actioncount; // Anzahl der actions 
 public $actionwidth; // Breite der Pixmap fuer die actions
 public $titleheight; // Hoehe der Feldnamenspalte
 public $scrollwidth; // Breite der Rollbalken
 public $selrow;      // indexwert der selektierten Reihe
 public $selcolor;    // Farbe fuer selektierte Zeilen 
 public $new_win;     // bei klick auf action wird ein neues Fenster per javascript geöffnet
 public $top;
 public $left;
 public $winwidth;
 public $winheight;
 public $numrows;
//DW: eingefuegt wg. undefined property in vs_db_table bei offene_behandlungen
 public $name;
 
 public function __construct($db,$height="400",$selrow="-1")
 {
  parent::__construct();
  //wegen php5 Umstellung braucht vs_db_table sein eigenes db Objekt
  $sql=$db->sql;
  $this->db=new vs_db();
  $this->db->connect();
  $this->db->query($sql);
  $this->height=$height;
  $this->selrow=$selrow;
  $this->firstfield=1; //0: ab 1. Feld angezeigt; 1: ab 2. Feld angezeigt;  etc.
  $this->indexfield=0; //feldnummer mit dem Index, meist das 1. Feld 
  $this->rowtitlecss="vs_table_row_title_css";
  $this->tdtitlecss="vs_table_td_title_css";
  $this->row1css="vs_table_row_1_css";
  $this->row2css="vs_table_row_2_css";
  $this->rowselcss="vs_table_row_sel_css";
  $this->tdcss="vs_db_table_td";
  $this->get_fields(); //holt Feldinformationen
  $this->numfields=$db->num_fields();
  $this->actioncount=0;
  $this->actionwidth=20; 
  $this->titleheight=20; 
  $this->scrollwidth=17; 
  $this->new_win=0;
  $this->top=0;
  $this->left=0;
  $this->winwidth=1002;
  $this->winheight=602;
 }
 
  public function get_fields()
  //nur zum internen Gebrauch 
  //wird vom Object aufgerufen
  {
   $db=$this->db;
   for ($i=0;$i<$db->num_fields();$i++)
   {
    $f1 = new vs_table_field;
    $f1->name = $db->field_name($i);
    $f1->len = $db->field_len($i); 
    $f1->typ = $db->field_type($i);
    $f1->label = ucfirst($db->field_name($i));
    $this->fields[$i]=$f1;
   }
  }
  
   
 public function get_table_width()
 {
  $width=0;
  for ($i=$this->firstfield;$i<$this->numfields;$i++)
   {
    
    $width=$width + $this->fields[$i]->width;
   } 
   $width=$width + ($this->actionwidth * $this->actioncount);
   
   return $width;
   
 }
 
 
 
 public function add_action($action)
 {
  $n = count($this->actions);
  $this->actions[$n]=$action;
  $this->actioncount=count($this->actions);
 }
 
 
 public function set_firstfield($inputfirstfield)
 {
  $this->firstfield=$inputfirstfield;
 }
 
 public function set_indexfield($inputindexfield)
 {
  $this->indexfield=$inputindexfield;
 }
 
 public function set_field_width($n,$width)
 {
  $this->fields[$n]->width=$width;
 }
 
 public function set_field_align($n,$align)
 {
  $this->fields[$n]->align=$align;
 }
 
 public function set_field_label($n,$label)
 {
  $this->fields[$n]->label=$label;
 }
 
 public function set_field_formatstr($n,$formatstr)
 {
  $this->fields[$n]->formatstr=$formatstr;
 }
 
  public function set_field_typ($n,$typ)
 {
  $this->fields[$n]->typ=$typ;
 }
 
 public function set_height($height)
 {
  $this->height=$height;
 }
 
 
 public function write()
 {
  $width_t=
  $width=$this->get_table_width();
  $width_s=$width+$this->scrollwidth;
  $width_t=$width_s+($this->numrows+$this->actioncount)*2+2;
  $height_u=$this->height-$this->titleheight-5;
 
  echo "<div style=\"border:2px solid #ffffff;
                  border-top: 2px solid gray; border-left: 2px solid gray;" .
                  		"height:".$this->height."px; overflow:hidden; width:".$width_t."px;\">";
  echo "<table  style=\" width:".$width."px;\">"; 
  echo "<tr>";
  echo "<td>";
  echo "<div style=\" height:".$this->titleheight."px;overflow:hidden;width:".$width."px;\">";
  echo "<table cellpadding=\"0\" border=\"0\" rules=\"none\" style=\"  width:".$width."px;  \">";
  echo "<tr  class=\"$this->rowtitlecss\" >";
  for ($i=$this->firstfield;$i<$this->numfields;$i++)
    {
  	echo "<td class=\"$this->tdtitlecss\" style=\" overflow:hidden;font-weight:bold;width:".
  	     $this->fields[$i]->width."px;\" align=\"".$this->fields[$i]->align.
         "\" >". $this->fields[$i]->label."&#160"."</td>" ;     
    }
  //*******************************actions******************
  if (count($this->actions)>0)
   {
   	for ($i=0;$i<count($this->actions);$i++)
   	{
   	 echo "<td style=\"width:".$this->actionwidth."px;\"></td>";	
   	}	
   }
  echo "</tr>";
  echo "</table>";
  echo "</div>";
  echo "</tr>";
  echo "</td>";
  
  echo "<tr>";
  echo "<td>";
  echo "<div style=\"  background-color:#FFFFFF;height:".$height_u."px;overflow:auto;width:".$width_s."px;\">";
  echo "<table cellpadding=\"0\" border=\"0\" rules=\"rows\" style=\"  width:".$width."px; \">";  /*width:".$width."px;table-layout:fixed */
  $rowtyp=1;
  while ($row=$this->db->fetch_row())
  {
  	//csscass Klasse fuer gerade und ungerade Reihen 
  	if ($rowtyp==1) 
  	{
  	 $rowcss= $this->row1css;
  	} else
  	{
  	 $rowcss= $this->row2css;
  	}		
	//	csscass Klasse fuer selektierte Reihen 
	if($row[0]==$this->selrow)   $rowcss=$this->rowselcss;
    echo "<tr class=\"$rowcss\">";
    for ($i=$this->firstfield;$i< $this->numfields;$i++) //Dezimalzahlen nach Komma
    { 
      $typ=	$this->fields[$i]->typ;
      $s=$this->fields[$i]->formatstr;
      if ($s!="") $row[$i]=sprintf($s,$row[$i]); //ggf formatieren
      if ($typ=="numeric") $row[$i]=ptc($row[$i]);
      if ($typ=="date") d_db2dis($row[$i]);
      echo "<td class=\"$this->tdcss\" style=\" overflow:hidden;width:".
            $this->fields[$i]->width."px;\" align=\"".$this->fields[$i]->align.
                        "\" >". $row[$i]."&#160"."</td>";
    }
   
   //*******************************actions******************
   if (count($this->actions)>0)
   {
   	$ifname = $this->db->Field_name($this->indexfield);
   	for ($i=0;$i<count($this->actions);$i++)
   	{
   	  $a=$this->actions[$i];	
          //DW: folgende Zeile wurde eingefuegt wg. Fehler "variable color nicht definiert"
          $color="";
   	   if ($this->new_win==1) // Link per javascript in neuem Fenster mit anpassbarer Größe und ohne Menu
   	  {
   	  	$link=$a->target."?action=".$a->name."&".$ifname."=".$row[$this->indexfield];
   	  	$bild="<img src='".$a->img.
              "' onclick=\"javascript:window.open('$link',".
              "'$this->name','width=$this->winwidth,height=$this->winheight,".
              "left=$this->left,top=$this->top, resizable=no,status=no, menubar=no')\">";
   	  	  	echo "<td style=\"width:".$this->actionwidth."px;\"" .
				" class=\"vs_table_action\">" .$bild.
   	  	    		"</td>";	
   	  }
   	  else //Verlinkung via href
   	  {
   	     echo "<td style=\"width:".$this->actionwidth."px;\"".
   	  	    $color. " class=\"vs_table_action\"><a href=\"".$a->target."?action=".
   	                   $a->name."&".$ifname."=".$row[$this->indexfield].
                       "\" target=\"".$a->windowtarget."\">".$a->text.
                       "<img src='".$a->img."'></a></td>";	
   	  }                 
   	}	
    //for....
   }
   //---------------------------------actions------------------------------------
   //Spaltentypen wechseln
   if ($rowtyp==1){$rowtyp=2;}
   else {$rowtyp=1;};	
   //********************************************************
   echo "</tr>";
  }//while fetch_row.....
  
  echo "</table>";
  
  echo "</tr>";
  echo "</td>";
  echo "</table>";
  echo "</div>";
  //Jetzt brauchen wir es nicht mehr...
  $this->db->free_result();
 }
 
}
