<?php
/*
 *      vs_form_objects.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

// 2014-09-11 KM: Fuer PHP 5.5.9 angepasst.



require_once 'vs_db_objects.php';
require_once 'vs_visual_objects.php';

define("onchange","onchange=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;}\" ");
define("onKeyPress","onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;}\" ");

//Punkt nach Komma in Dezimalzahl
function ptc($f)
{
  $f=@str_replace(".",",",$f);	
  return $f;
}
//Komma nach Punkt in Dezimalzahl
function ctp($f)
{
  $f= @str_replace(",",".",$f);	
  return $f;
}

//laedt Dateien hoch
function upload($fileeditname,$uploaddir,$filename )
{
 $temp= $_FILES["$fileeditname"]["tmp_name"];
 
 $error="";
 if ($temp!="")	
 {
 if(!isset($_FILES["$fileeditname"]))
	{
	 $error="Fehler beim Hochladen.Die Datei ist m&ouml;glicherweise zu gro&szlig; zum Hochladen";	    	 
	}
  else
    {
		//2014-12-04 KM: geaendert wg. undefined variable
		if (!isset($ext))
			{$ext = null;}
	 if (!copy($_FILES["$fileeditname"]["tmp_name"],($uploaddir.$filename.$ext)))
	  {
	   $error="Fehler beim Speichern($filename).Fehlende Berechtigung zum Schreiben auf dem Server ?";
	  }
	}
 return($error);	 
 }   	    
}	

function changedateformat($datum,$from,$to)
{
 	
 switch ($from)
   {
	 case "dd.mm.yyyy":
		$day=substr($datum,0,2);
		$month=substr($datum,3,2);   
		$year=substr($datum,6,4);   
	 break;
	 //-------------------------------
	 case "yyyy-mm-dd":
		$day=substr($datum,8,2);
		$month=substr($datum,5,2);   
		$year=substr($datum,0,4);   
	 break;
	
   } // switch...
   
   
   switch ($to)
   {
	 case "dd.mm.yyyy":
	   $datum=$day.".".$month.".".$year;
	   return $datum;	
	 break;
	 //-------------------------------
	 case "yyyy-mm-dd":
	    $datum=$year."-".$month."-".$day;	
		return $datum;
	 break;
	 //------------------------------- Datumsformat für DATEV hinzugefügt am 05.03.2017 MA
	 case "ddmm":
	    $datum=$day.$month;	
		return $datum;
	 break;
	 
   } // switch...
 	
}

function get_month($date,$format)
{
	switch ($format)
   {
		case "dd.mm.yyyy":
			$month=substr($datum,3,2);   
		break;
		//-------------------------------
		case "yyyy-mm-dd":
			$month=substr($datum,5,2);   
		break;
	} // switch
	return $month;
}	

function get_year($date,$format)
{
	switch ($format)
   {
		case "dd.mm.yyyy":
			$year=substr($datum,6,4);   
		break;
		//-------------------------------
		case "yyyy-mm-dd":
			$year=substr($datum,0,4);   
		break;
	} // switch
	return year;
}	

function get_day($date,$format)
{
	switch ($format)
   {
		case "dd.mm.yyyy":
			$day=substr($datum,0,2);
		break;
		//-------------------------------
		case "yyyy-mm-dd":
			$day=substr($datum,8,2);
		break;
	} // switch
	return year;
}	



function d_db2dis(&$datum,$dis=disdate,$db=dbdate)
{
  $datum=changedateformat($datum,$db,$dis);	
  return $datum;
}

function d_dis2db(&$datum,$dis=disdate,$db=dbdate)
{
 $datum=changedateformat($datum,$dis,$db);	
 return $datum;
}


//gibt das heutige Datum zurueck    	    
function today($to=disdate)
 {
   $date = getDate();
   foreach($date as $item=>$value)
   {
    if ($value < 10)  $date[$item] = "0".$value;
   }
   
   switch ($to)
   {
	 case "dd.mm.yyyy":
	   return $date['mday'].".".$date['mon'].".".$date['year'];
	 break;
	 //-------------------------------
	 case "yyyy-mm-dd":
		return $date['year']."-".$date['mon']."-".$date['mday'];
	 break;
	 
   } // switch...
 }
 
 

function date2str($datum,$form=disdate)
{
   switch ($form)
   {
	 case "dd.mm.yyyy":
	   return strftime("%d.%m.%Y",$datum);
	 break;
	 //-------------------------------
	 case "yyyy-mm-dd":
	   return strftime("%Y-%m-%d",$datum);
	 break;
   }
}

function str2date($datestring,$form=disdate)
{
   switch ($form)
   {
	 case "dd.mm.yyyy":
	    return mktime (0,0,0,intval(substr($datestring,3,2)),intval(substr($datestring,0,2)),
                             intval(substr($datestring,6,4)));   //,int Monat [, int Tag [, int Jahr );
     break;
	 //-------------------------------
	 case "yyyy-mm-dd":
	    return mktime (0,0,0,intval(substr($datestring,5,2)),intval(substr($datestring,8,2)),
                             intval(substr($datestring,0,4)));   //,int Monat [, int Tag [, int Jahr );
	 break;
   }
}



function alterdate($datestring,$days,$form=disdate)
{
  $datestring=date2str(str2date($datestring,$form)+(86400*$days),$form);		
  return $datestring; 
}


 //gibt augenblickliche Zeit an    
function now($to=distime)
 {
   switch ($to)
   {
	 case "hh.mm h":
	   return strftime("%H.%M h",time());
	 break;
	 //-------------------------------
	 case "hh:mm:ss":
		return strftime("%H:%M:%S",time());
	 break;
	 
   } // switch...
 }
 
function changetimeformat($time,$from,$to)
{
 	
 switch ($from)
   {
	 case "hh.mm h":
		$hour=substr($time,0,2);
		$min=substr($time,3,2);   
		$sec="00";  
	 break;
	 //-------------------------------
	 case "hh:mm:ss":
		$hour=substr($time,0,2);
		$min=substr($time,3,2);   
		$sec=substr($time,5,4);   
	 break;
	
   } // switch...
   switch ($to)
   {
	 case "hh.mm h":
	   $time=$hour.".".$min." h";
	   return $time;	
	 break;
	 //-------------------------------
	 case  "hh:mm:ss":
	    $time=$hour.":".$min.":".$sec;	
		return $time;
	 break;
	 
   } // switch...
 	
}
 
function t_db2dis(&$time,$dis=distime,$db=dbtime)
{
  $time=changetimeformat($time,$db,$dis);	
  return $time;
}

function t_dis2db(&$time,$dis=distime,$db=dbtime)
{
 $time=changetimeformat($time,$dis,$db);	
 return $time;
}

//gibt Systemformat im Displayformat aus
function t_2dis($time,$dis=distime)
{
  switch ($dis)
   {
	 case "hh.mm h":
	   return strftime("%H.%M h",$time);
	 break;
	 //-------------------------------
	 case "hh:mm:ss":
		return strftime("%H:%M:%S",$time);
	 break;
	} 
}

function s_fill_right($str,$length,$zeichen=" ")
{
  //$i=$length-strlen($str);
  $i=$length-mb_strlen($str);
  if($i>0)
  {
   $hs="";
   for($v=0;$v<=$i;$v++)
   $hs.=$zeichen;
  }  
  $str=$str.$hs;
  return $str;
}

function s_fill_left($str,$length,$zeichen=" ")
{
  //$i=$length-strlen($str);
  $i=$length-mb_strlen($str);
  if($i>0)
  {
   $hs="";
   for($v=0;$v<=$i;$v++)
   $hs.=$zeichen;
  }  
  $str=$hs.$str;
  return $str;
}


//------------
class vs_control
//abstrakte Basisklasse
{
  public $disabled;
  public $readonly;
  public $cssclass;
  public $accesskey;
  public $label;
  public $loc;
  public $htmltext;
  public $align;
  public $valign;
  public $title;
  public $id;
  public $name;
  public $onkeyup;
  public $onchange;
  public $onkeypress;
  public $style;  
  
  public function __construct()
  {
   $this->disabled=" ";
   $this->readonly=" ";
   $this->accesskey="";
   $this->loc = setlocale (LC_ALL, 'de_DE@euro', 'de_DE', 'de', 'ge');
   $this->cssclass=get_class($this);
   $this->align="left";
   $this->valign="top";
   $this->title="";
   $this->label=" "; //ein Leerzeichen wegen der Ausrichtung
   $this->onkeyup="";
   $this->ondblclick="";
   $this->onclick="";   
   $this->style="";
   $this->onchange=" onChange=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;} \" ";
   $this->onkeypress=" onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;} \" ";
  }
  
  public function write_style()
  {
		if ($this->style != "")
		return " style = \"$this->style\" "; 
  }	
  
  public function add_style($style)
  {
		$this->style = $this->style.$style;
  }
  
  public function set_style($style)
  {
		$this->style = $style;
  }
  

  public function set_label_with_accesskey()
  {
   //error_log('vetsoftdebugtrick: Variable label: ' . $this->label . ' und accesskey: ' . $this->accesskey);
  	if (strpos($this->label,$this->accesskey)>-1)
  	{
  	  $s="<u>".$this->accesskey."</u>";
  	  $this->label=str_replace($this->accesskey,$s,$this->label);	 
  	}
  }	
  public function set_title($title)
  {
   $this->title=$title;
  }
  
  public function set_label($inputlabel)
  {
   $this->label=$inputlabel ;
  }
  
  public function set_css_class($inputcssclass)
  {
   $this->cssclass=$inputcssclass ;
  }
  
  public function set_disabled($disabled)
  {
   if ($disabled != "false" ) $this->disabled = "disabled=\"disabled\"";    
   else $this->disabled="";
  }
  
  public function set_readonly($readonly)
  {
   if ($readonly != "false" ) $this->readonly = " readonly=\"readonly\" ";    
   else $this->readonly="";
  }
  
  public function set_access_key($accesskey)
  {
   $this->accesskey=$accesskey;
   $this->set_label_with_accesskey();
  }
   public function set_id($id)
  {
   $this->id=$id;
  }
  
  public function write_label()
  {
   echo " "; // Ein Leerzeichen
  }
  
  public function write_control()
  {
   //Nothing to do
  }
  
  public function writeold()
  {
   if ($this->label!="")
    {
      $this->write_label();
      echo"&#160;";
    }
    $this->write_control();
    echo"&#160;&#160;";
  }


  public function write() 
 
   {
   
   	echo"<table style=\"float:left\"><tr><td style=\"vertical-align:top;\"> ";
  	if ($this->label!="")
    {
      $this->write_label();
     
    }
   
    echo"</td><td style=\"vertical-align:bottom;\">";
    $this->write_control();
    
    echo"</td></tr></table>";
   
  }
  
  public function writex() 
   //Versuch , label oberhalb zu plazieren
   {
   
   	echo"<div style=\"float:left;padding-left: 8px;\" > ";
   	echo " ";
    $this->write_label();
   	
   	echo " <br> ";
    
    
    
    $this->write_control();
    
    echo"</div>";
   
  }
} //vs_control

//***********************************************************************

class vs_button extends vs_control
{
  public $type;
  public $disabled;
  public function __construct($type,$label,$disabled="false")
  {
   parent::__construct();
   $this->type=$type;
   $this->label=$label;  
   $this->disabled="";
   if ($disabled != "false" ) $this->disabled = "disabled=\"true\" ";    
  }	
  public function write_control()
  {
  	echo"<button $this->disabled  type=\"$this->type\" accesskey=\"$this->accesskey\"> $this->label </button>";
  }	
}

class vs_close extends vs_control
{
  public $type;
  public $disabled;
  public function __construct($label="Schlie&szlig;en",$disabled="false")
  {
   parent::__construct();
   $this->type="reset";
   $this->label=$label;  
   $this->disabled="";
   if ($disabled != "false" ) $this->disabled = "disabled=\"true\" ";    
  }	
  public function write_control()
  {
  	echo"<button $this->disabled  type=\"$this->type\" accesskey=\"$this->accesskey\" onclick=\"javascript:{window.close();}\"> $this->label </button>";
  }	
}


//2015-01-06 KM: disabled raus genommen
// Das Ganze funktioniert nicht, wenn etwas mit Javascript veraendert wird,
// dann bleibt der Speichern-Button gesperrt, z.B. Datepicker oder CKEditor.

class vs_submit extends vs_control
{
  public $type;
  //public $disabled;
  //2015-07-27 DW 4. Parameter auto hinzugefuegt, damit automatische Weiterleitungen funktionieren
  public function __construct($name,$label,$disabled="false",$auto="false")
  {
   parent::__construct();
   $this->name=$name;
   $this->label=$label;
   //2015-07-27 DW: Verankerung der Eigenschaft auto zur Weiterleitung
   $this->auto=$auto;  
   //$this->disabled="";
   //if ($disabled != "false" ) $this->disabled = "disabled";    
  }	
  public function write_control()
  {
  	//echo "<input type=\"submit\" $this->disabled  name=\"$this->name\" value=\"$this->label\"  accesskey=\"$this->accesskey\">";
  	// if wegen automatischer Weiterleitung - siehe oben --> 4. Parameter
  	// verhaelt sich, wie wenn der Button direkt gedrueckt wird
  	if ($this->auto=="true") 
  		echo "<input type=\"submit\"  name=\"$this->name\" value=\"$this->label\"  accesskey=\"$this->accesskey\"><script type=\"text/javascript\">
			window.onload = function() {
			document.$this->name.submit();
			}
			</script>";
	else 
		echo "<input type=\"submit\"  name=\"$this->name\" value=\"$this->label\"  accesskey=\"$this->accesskey\">";
  }
}


//2015-01-06 KM: disabled raus genommen
// Das Ganze funktioniert nicht, wenn etwas mit Javascript veraendert wird,

class vs_reset extends vs_control
{
  public $type;
  //public $disabled;
  public function __construct($name,$value,$disabled="false")
  {
   parent::__construct();
   $this->name=$name;
   $this->value=$value;  
   //$this->disabled="";
   //if ($disabled != "false" ) $this->disabled = "disabled";    
  }	
  public function write_control()
  {
	//$onclick="onclick=\"javascript:{this.form.submit.disabled = true;this.form.reset.disabled = true;}\" ";
	echo "<input type=\"reset\" $this->disabled  name=\"$this->name\" value=\"$this->value\" " .
			//" accesskey=\"$this->accesskey\" $onclick >";
			" accesskey=\"$this->accesskey\" >";
  }	
}


//***********************************************************************
class vs_submit_img extends vs_control
{
  public $img;
  
  public function __construct($img)
  {
   parent::__construct();
   $this->img=$img;
  }	
  public function write_control()
  {
  	echo"<input type=\"image\" src=\"$this->img\">";
  }	
	
}



//************************vs_hidden**********************************
class vs_hidden extends vs_control
{
 public $name;
 public $value;
 public function __construct($inputname,$inputvalue="")
 {
  parent::__construct();
  $this->name = $inputname;
  $this->value = $inputvalue;
 } 
  public function write()
  {
   echo"<input type=\"hidden\" name=\"$this->name\"value=\"$this->value\">";
  }
  public function write_control()
  {
   echo"<input type=\"hidden\" name=\"$this->name\"value=\"$this->value\">";
  }
  
}



//*************************vs_datepicker********************************


//2015-01-04 KM: Neue Klasse fuer den Datepicker

class vs_datepicker extends vs_control
//Klasse fuer die Einbindung des Datepickers
{
	//Konstruktor
	public function __construct($inputname,$inputvalue,$set_id,$label="123",$accesskey="123")
	{
		parent::__construct();
		$this->type = "text";
		$this->name = $inputname;
		$this->value = $inputvalue;
		$this->id = $set_id;
		//Label zunächst wie der Name,falls nix sonst angegeben
		if ($label=="123")   $this->label = ucfirst($inputname);
		else $this->label=$label;
		$this->accesskey=$accesskey;
		$this->set_label_with_accesskey();
	}
	public function write_control()
	{
	echo"<input type=\"$this->type\" id=\"$this->id\" name=\"$this->name\" value=\"$this->value\" > ";
	}
	
	public function write_label()
	{
		$lname="label_".$this->name;	
		echo"<label name=\"$lname\">$this->label</label>";
	}
}

//Ende vs_datepicker_edit




//*************************vs_edit********************************

class vs_edit extends vs_control
{
  public $type;
  public $name;
  public $size;
  public $length;
  public $value;
 
  
  //Konstruktor
  public function __construct($inputname,$inputsize=30,$inputmaxlength=30,$inputvalue="",$label="123",$accesskey="123")
  {
   parent::__construct();
   $this->type = "text";
   $this->name = $inputname;
   $this->size = $inputsize; 
   $this->maxlength = $inputmaxlength; 
   //2016-02-03 DW: Korrektur fehlerhafte Ausgabe vom Content.
   //$this->value = $inputvalue;
   $this->value = htmlentities($inputvalue);
   //Label zunächst wie der Name,falls nix sonst angegeben
   if ($label=="123")   $this->label = ucfirst($inputname);
   else $this->label=$label;
   $this->accesskey=$accesskey;
   $this->set_label_with_accesskey();
   
  }  
   
  
  public function write_control()
  {
   //$onchange= "onkeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;} \" ";
   echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .$this->disabled.$this->readonly.
   		" size=\"$this->size\" maxlength=\"$this->maxlength\" " .
   		onchange.onKeyPress." ".$this->onkeyup." class=\"$this->cssclass\" accesskey=\"$this->accesskey\" valign=\"$this->valign\" > ";
  }
  
  public function write_label()
  {
   $lname="label_".$this->name;	
   echo"<label name=\"$lname\">$this->label</label>";
  }
  public function set_type($type)
  {
    $this->type=$type;
  }
//vs_edit  
}


class vs_i_edit extends vs_edit
//akzeptiert ganze Zahlen
{
  public function write_control()
  {	
   //Benachrichtigung für reset/submit v o r  der Validierung!!!		
   echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .
   		" size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" " .$this->disabled.$this->readonly.
   		" accesskey=\"$this->accesskey\""."valign=$this->valign\"".onchange.
   		" onblur=\"javascript:return checkinteger(this.form.".$this->name.")\" " .$this->onkeyup.
   		" onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" .
   		"return numbersonly(this, event);}\">";
  }
}



class vs_d_edit extends vs_edit

//akzeptiert Dezimalzahlen
{
  public function write_control()
  {
   //Benachrichtigung für reset/submit v o r  der Validierung!!!	
   echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .$this->disabled.$this->readonly.
   		" size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" ".
   		" accesskey=\"$this->accesskey\"".
   		" onblur=\"javascript:return checkdecimal(this.form.".$this->name.")\" " .$this->onkeyup.
   		" onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" .
   		" return decimalsonly(this, event);}\">";
  }
}

//****************************************************************************************************

//2015-02-28 KM: vs_date_edit wieder eingebaut, wird vereinzelt noch gebraucht. -- NEU fuer Datumsfelder: vs_datepicker

class vs_date_edit extends vs_edit
//verwendet den Calendar 
{
 public function write_control()
  {
    echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .
   		"size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" ".
		" onblur=\"javascript:return checkdate(this.form.".$this->name.")\" " .$this->onkeyup.
   		" onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" .
   		" return numbersandpointsonly(this, event);}\">";
  }
  
  public function write_control_old()
  {
  	//Benachrichtigung für reset/submit v o r  dem Kalender!!!
    echo"<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"left\">" .
   		"<tr valign=\"top\"><td id=\"".$this->name."holder\">" .
   		//"<label>$this->label&#160&#160</label> " .
   		"<input type=\"$this->type\" accesskey=\"$this->accesskey\"" .$this->disabled.$this->readonly.
   		" name=\"$this->name\" value=\"$this->value\" " .
   		"size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" ".
   		"onfocus=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" .
   		"  return showCalendar(' ',this,this,' ',' ".$this->name."holder',0,30,1)}\"></td></tr></table>";
  } 
//vs_date_edit   
}


//****************************************************************************************************
class vs_file_edit extends vs_edit
//fuer Dateien

{
  public function __construct($name,$size=30,$maxlength=30,$value="",$label="123",$accesskey="123")
  {
  	parent::__construct($name,$size,$maxlength,$value,$label,$accesskey);
  	$this->htmltext="input name=\"$this->name\" type=\"file\"  value=\"$this->value\" " .
   		             "size=\"$this->size\" maxlength=\"$this->maxlength\" " .
   	                 "class=\"$this->cssclass\" accesskey=\"$this->accesskey\" ".onchange.onKeyPress.$this->readonly.$this->disabled;
  }
  
  public function write_control()
  {
    echo"<$this->htmltext >";
    echo"<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"maxfilesize\">";
  }
}
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


class vs_img_edit extends vs_edit
{
 public $imgwidth;
 public $fedit;
 public $tableclass;
 public $path; 
 
 public function __construct($name,$size=30,$maxlength=30,$width="50",$path="",$value="")
 {
  parent::__construct($name,$size,$maxlength,$value);	
  //Bild nur wenn eine Datei auf dem Server  ist
  if (file_exists($path.$value)) $this->imgwidth=$width ;
  else $this->imgwidth=0;
  $this->fedit="file_".$name; //
  $this->tableclass="vs_img_table";
  $this->path=$path;
 }
 
 public function write_control()
 {
   //1. sichtbares Fileedit, nur zum Laden der Bilddatei	
   echo"<table class= \"$this->tableclass\"  align=\"left\"><tr valign=\"top\"><td>";	
   echo"<input name=\"$this->fedit\" type=\"file\" ".onchange.onKeyPress.$this->disabled.$this->readonly.
       "size=\"$this->size\" maxlength=\"$this->maxlength\" " .
       "class=\"$this->cssclass\" accesskey=\"$this->accesskey\">";
   //echo"</td><td>";
   //2. Zwei unsichtbare vs_hidden, tragen den Namen der Bilddatei und MAX_FILE_SIZE
   echo"</td><input type=\"hidden\" name=\"$this->name\"value=\"$this->value\"> " ;
   echo"<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"maxfilesize\"><td> ";
   //3. Das Bild selber
   echo"<img src=\"".$this->path.$this->value."\" width=\"$this->imgwidth\">";
   echo"</td></tr></table>";	
 }
 //vs_img_edit  
}



//****************************************************************************************************

class vs_memo extends vs_control
{
  public $typ;
  public $name;
  public $cols;
  public $rows;
  public $value;
   
  
  public function __construct($inputname,$inputcols=30,$inputrows=6,$inputvalue="",$label="123",$accesskey="123")
  {
   parent::__construct();
   $this->name = $inputname;
   $this->cols = $inputcols; 
   $this->rows = $inputrows; 
   $this->value = $inputvalue;
   //Label zunächst wie der Name,falls nix sonst angegeben
   if ($label=="123")   $this->label = ucfirst($inputname);
   else $this->label=$label;
   $this->accesskey=$accesskey;
   $this->set_label_with_accesskey();
  }  
  
  
  //gibt den http Text aus
  public function write_control()
  {
  	echo "<textarea name=\"$this->name\" cols=\"$this->cols\" rows=\"$this->rows\"" .$this->disabled.$this->readonly.
   		  onchange.onKeyPress." accesskey=\"$this->accesskey\" valign=\"top\">$this->value</textarea>";
  }
  public function write_label()
  {
   echo"<label>$this->label</label>";
  }
}

//***********************************************************************************************************************************
class vs_tmce_memo extends vs_memo
{
  //DW: 2013-10-28 Redesign: class vs_tmce_memo ueberarbeitet
  // hinzugefuegte und geloeschte Zeilen ueber git dokumentiert
  // wird nicht mehr gebraucht?? -- var $tmce_typ;  //tmce typ (zusaetzliche Typen sind definierbar, muessen in einem Skripte, z.B. config....definiert sein)	
                  //in vs_form_objects sind definiert: tmce_standard, 
  public $tmce_path;      //Pfad zur tinyMCE Bibliothek
  public $height;
  public $width;
  public $typ; // text ,full,mini

  public function __construct($path,$id,$inputname,$inputcols=30,$inputrows=6,$inputvalue="",$typ="",$label="123",$accesskey="123",$height="150px")
  {
   parent::__construct($inputname,$inputcols,$inputrows,$inputvalue,$label,$accesskey);
   $this->tmce_path = $path;
   $this->cssclass="vs_tmce_memo";
   $this->id=$id;
   $this->height= $height;
   $this->width="";
   $this->typ=$typ;
  }  
  public function set_height($height)
     {
        $this->height=$height;
     }

   public function set_typ($typ)
     {
        $this->typ=$typ;
     }

   public function set_width($width)
     {
        $this->width=$width;
     }

 
  public function write_control()  
  {
      //DW: $buf nicht definiert, hier nachgeholt:
      $buf ="";
      $width="";
      $height="";
      $tmce_config_file = $this->tmce_path."/js/tinymce/tinymce.min.js";
      if ($this->height != "") $height="height:$this->height;";
      if ($this->width != "") $width="width:$this->width;";
      echo "<script type=\"text/javascript\" src=\"$tmce_config_file\"></script>";
      echo "<textarea id=\"$this->id\" name=\"$this->name\" class=\"$this->cssclass\" cols=\"$this->cols\" rows=\"$this->rows\" style=\" $height $width \" " .$this->disabled.$this->readonly.onchange.onKeyPress." accesskey=\"$this->accesskey\" >$this->value</textarea>";
      switch ($this->typ)
                {
                        case "full" :
                        break;
                        case "mini" :
                        break;
                        default:
                 //DW: 2013-10-28 java-init aus tinymce-Doku
                 // http://www.tinymce.com/tryit/basic.php +
                 // http://www.tinymce.com/wiki.php/api4:event.tinymce.Editor.change
                 $buf .="<script type=\"text/javascript\">" .
                     "tinymce.init({" .
                        "selector: \"textarea\"," .
                        "plugins: [" .
                           "\"advlist autolink lists link image charmap print preview anchor\"," .
                           "\"searchreplace visualblocks code fullscreen\"," .
                           "\"insertdatetime media table contextmenu paste\"" .
                        "]," .
                        "language : 'de'," .
                        "toolbar: \"insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image\"," .
                        "setup: function(editor) {" .
                                "editor.on('change', function(e) {" .
                                    //"console.log('change event dirk', e);" .
                                    // http://de.selfhtml.org/javascript/objekte/forms.htm
                                    // original: "this.form.submit.disabled = false;this.form.reset.disabled = false;" .
                                    // so geht es nicht wegen Zeichenkodierung, nur wie unten: "document.forms["mustertext_zeigen"].submit.disabled = false;document.forms["mustertext_zeigen"].reset.disabled = false;" .
                                    "document.forms[0].submit.disabled = false;document.forms[0].reset.disabled = false;" .
                                "});" .
                        "}" .
                        /* 3er API - veraltet: "setup: function(ed) {" .
                                "ed.onChange.add(function(ed, l) {" .
                                    "console.debug('Editor contents was modified. Contents: ' + l.content);" .
                                "});" .
                        "}" .
"}); </script>"; 
//*/
                        "}); </script>";
/*$buf .= $buf . 
 "<form method=\"post\" action=\"somepage\">" .
         "   <textarea name=\"text\" style=\"width:100%\"></textarea>" .
         "</form>";*/
                        break;
                }
                echo $buf;
  }
  
  function write_label()
  {
   echo"<label>$this->label</label>";
  }
}

//***********************************************************************************************************************************
/**
 wrapper für den ck_editor ( CKEditor - The text editor for Internet - http://ckeditor.com
 Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved)

*/


class vs_ck_memo extends vs_memo
{
	public $ck_path;
	public $height;
	public $width;
	public $typ; // text ,full,mini
	
	public function __construct($ck_path,$id,$inputname,$inputcols=30,$inputrows=6,$value="",$label="123",$accesskey="123",$height="150px")
	{
		parent::__construct($inputname,$inputcols,$inputrows,$value,$label,$accesskey);
		$this->ck_path=$ck_path;
		$this->cssclass="vs_ck_memo";
		$this->id=$id;
		$this->height= $height;
		$this->width="";
		$this->typ="text";
	}  
	
	public function set_height($height)
	{
		$this->height=$height;	
	}
	
	public function set_typ($typ)
	{
		$this->typ=$typ;	
	}
	
	public function set_width($width)
	{
		$this->width=$width;	
	}
	
	public function write_control()  	
	{
		//DW: $buf nicht definiert, hier nachgeholt:
		$buf ="";
		$width="";
		$height="";
		$custom_config_file = $this->ck_path."/vs_lib_cke.js";
		$ck_file=$this->ck_path."/ckeditor.js";
		if ($this->height != "") $height="height:$this->height;";
		if ($this->width != "") $width="width:$this->width;";
		echo "<script  type=\"text/javascript\" src=\"$ck_file\" ></script>";
		echo "<textarea id=\"$this->id\" name=\"$this->name\" class=\"$this->cssclass\" cols=\"$this->cols\" rows=\"$this->rows\" style=\" $height $width \" " .$this->disabled.$this->readonly.onchange.onKeyPress." accesskey=\"$this->accesskey\" >$this->value </textarea>";
		switch ($this->typ)
		{
			case "full" :
			break;
			case "mini" :
			break;
			default:
		
					$buf .="<script type=\"text/javascript\"> CKEDITOR.replace( '$this->id' ,{uiColor : 'transparent', fullPage : true,toolbar :
					[ ['Source','Undo','Redo'], ['Bold', 'Italic','Underline', '-', 'NumberedList', 'BulletedList', '-', 'Link', 'Unlink'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],  ['TextColor','BGColor','Font','FontSize'],['Subscript','Superscript'],
	['CreateDiv','Table','Image','SpecialChar','PageBreak','Print','Templates','RemoveFormat']  
					]}); </script>";	
			break;		
		}
		echo $buf;
	}
  
 
	public function write_label()
	{
		echo"<label>$this->label</label>";
	}
  
}



//***********************************************************************************************************************************

class vs_checkbox extends vs_control
{
  public $name;
  public $value;
  public $checked;
  
  public function __construct($name,$value,$label="")
  {
   parent::__construct();
   $this->name = $name;
   $this->value = "1";
   //Label zunaechst wie der Name,falls nicht angegeben
   if ($label=="")
   $this->label = ucfirst($name);
   else   
   $this->label = $label;
   
   if ($value=="1")
   {
   	$this->checked="checked";
   }
   else $this->checked = "";
  }  
  
  
  //gibt den http Text aus
  public function write_control()
  {
   echo"<input type=\"checkbox\"  name=\"$this->name\" style=\"vertical-align:bottom;\" value=\"$this->value\" " .
   onchange.$this->disabled.$this->readonly.
   onKeyPress." $this->checked   accesskey=\"$this->accesskey\"> $this->label";
  }
  public function write_label()
  {
   //nothing
  }
//vs_checkbox  
}
//***********************************************************************************************************************************
class vs_radio_item extends vs_control
//kann auch als Hilfsklasse zu vs_radio verwendet werden
{
 public $name;
 public $value;
 public $checked;
 //Konstruktor
 public function __construct($inputname,$inputvalue,$inputlabel,$inputchecked="")
 {
  parent::__construct();
  $this->name = $inputname;
  $this->value =$inputvalue;
  $this->checked = $inputchecked;
  $this->label = $inputlabel;
 }
 public function write_control()
 {
  echo"<input type=\"radio\" name=\"$this->name\" value=\"$this->value\"" .$this->disabled.$this->readonly.
  		onchange.onKeyPress." $this->checked accesskey=\"$this->accesskey\"> $this->label ";
 }
  public function write_label()
  {
   // tut in diesem Fall nix,label wird per write ausgegeben 
  }
  //vs_radio_item
}

//*****************************************************************************************************************************
class vs_radio extends vs_control
//wie vs_radio_item, nur mit Umrandung, gruppiert vs_radio_items
{
  public $name;
  public $items;
  public $pos;
 
  
  //Konstruktor
  public function __construct($inputname,$inputlabel,$inputpos="h")
  {
   parent::__construct();
   $this->name = $inputname;
   //Label zunächst wie der Name
   $this->label = ucfirst($inputlabel);
   $this->pos = $inputpos;
  }  
  //setzt den Namen für das Label
  public function set_label($inputlabel)
  {
   $this->label = $inputlabel;
  }
  public function add_item($inputvalue,$inputlabel,$inputchecked="")
  {
   $n = count($this->items);
   $item = new vs_radio_item($this->name,$inputvalue,$inputlabel,$inputchecked);
   $this->items[$n] = $item;
  }
  //gibt den http Text aus
  public function write_control()
  {
   echo "<fieldset> <legend> $this->label </legend>";
   $n = count($this->items);
   for ($i=0;$i<$n;$i++)
   {
    $item = $this->items[$i];
    $item->write_control();
    //horizontal oder vertikal anordnen
    if ($this->pos != "h") echo "<br>"; 
    
   }
   echo "</fieldset>";
  }
  public function write_label()
  {
   // tut in diesem Fall nix,label wird per write ausgegeben 
  }
//vs_radio  
}

//****************************************************************
class vs_listbox_item
{
 public $value;
 public $display;
 public $style;
 public function __construct($value,$display,$style="")
 {
  $this->value = $value;
  $this->display = $display;
  $this->style=$style;
 }
}

class vs_listbox extends vs_control
{
 public $name;
 public $size;
 public $width;
 public $startvalue;
 public $items;
 public $valuesize;
 public $displaysize;
 
 public function __construct($inputname,$inputwidth,$startvalue,$inputsize=0,$label="123",$accesskey="123")
 {
  parent::__construct();
  $this->name = $inputname;
  $this->size = $inputsize;
  $this->width = $inputwidth;
  $this->startvalue=$startvalue;
  //label hat zunächst den Namen des Controls
  $this->label = ucfirst($inputname);
  $this->valuesize=$this->width;
  $this->displaysize=$this->width;
  //Label zunächst wie der Name,falls nix sonst angegeben
  if ($label=="123")   $this->label = ucfirst($inputname);
  else $this->label=$label;
  $this->accesskey=$accesskey;
  $this->set_label_with_accesskey();
 }
 
 public function add_item($value,$display,$style="")
 {
  $c = count($this->items);
  $this->items[$c]= new vs_listbox_item(substr($value,0,$this->valuesize),
                                        substr($display,0,$this->displaysize),$style);
 }
 
 //setzt den Namen fuer das Label
 public function set_label($inputlabel)
 {
  $this->label = $inputlabel;
 }
 
 //setzt den Namen fuer die Laenge des Wertes
 public function set_valuesize($valuesize)
 {
  $this->valuesize = $valuesize;
 }
 
 //setzt den Namen fuer die Laenge der Anzeige
 public function set_displaysize($displaysize)
 {
  $this->displaysize = $displaysize;
 }
 
	public function write_control()
	{
		$ic=count($this->items)-1;
		if($this->startvalue=="first") $this->startvalue=$this->items[0]->value;
		if($this->startvalue=="last") $this->startvalue=$this->items[$ic]->value;
		if($this->readonly==1) $ro="readonly=\"readonly\" ";	
		echo "<select name=\"$this->name\" id=\"$this->id\" size=\"$this->size\" width=\"$this->width\" " .$this->disabled.$this->readonly.
			$this->onchange.$this->onkeypress.$this->ondblclick.$this->onclick.$this->write_style()." accesskey=\"$this->accesskey\"  >";
		for ($i=0;$i<count($this->items);$i++)
		{
			$item=$this->items[$i];
			$style = "";
			if ($item->style != "")
			$style = " style= \"".$item->style."\" ";
			if ($item->value==$this->startvalue)
			echo"<option selected value=\"$item->value\"> $item->display $style </option>";
			else
			echo"<option value=\"$item->value\"> $item->display $style </option>";
		}
		echo "</select>";
	} 
	
	public function write_label()
	{
		echo"<label>$this->label</label>"; 
	}
	//gibt den htmltext zurueck. Verwendung z.B. fuer Ajax Requests
	public function write_to_buffer()
	{
		$buf ="";
		$ic=count($this->items)-1;
		if($this->startvalue=="first") $this->startvalue=$this->items[0]->value;
		if($this->startvalue=="last") $this->startvalue=$this->items[$ic]->value;
		if($this->readonly==1) $ro="readonly=\"readonly\" ";	
		$buf .= "<select name=\"$this->name\" id=\"$this->id\" size=\"$this->size\" width=\"$this->width\" " .$this->disabled.$this->readonly.
			$this->onchange.$this->onkeypress.$this->ondblclick.$this->onclick.$this->write_style()." accesskey=\"$this->accesskey\"  >";
		for ($i=0;$i<count($this->items);$i++)
		{
			$item=$this->items[$i];
			if ($item->value==$this->startvalue)
			$buf .= "<option selected value=\"$item->value\"> $item->display </option>";
			else
			$buf.= "<option value=\"$item->value\"> $item->display </option>";
		}
		$buf.= "</select>";
		return $buf;
	}	
 
}

//**************************************************************************

class vs_f_listbox extends vs_listbox
//liest die Items aus einer ASCII Datei
{
 public $file;
 public function __construct($inputname,$inputwidth,$inputfile,$startvalue,$inputsize=0,$label="123",$accesskey="123")
 //textdatei : 2 Felder getrennt durch ";",1.Feld Wert 2. Feld Anzeigetext
 {
  parent::__construct($inputname,$inputwidth,$startvalue,$inputsize,$label,$accesskey);
  $this->file = $inputfile;
  //Datensaetze einlesen
  if (file_exists($this->file))
  {
    $file = fopen($this->file,r);
    if ($file)
    {
     while(!feof($file))
     {
      $row=fgets($file,80);
      $a=explode(";",$row);
      $this->add_item($a[0],$a[1]);
     }
    }
  }
 }
}

class vs_db_listbox extends vs_listbox
{
  public $displayfield;
  public $valuefield;
  public $sortfield;
  public $table;
  public $db;

  public function __construct($inputname,$inputwidth,$db,$inputtable,$inputdisplayfield,$inputvaluefield,$startvalue,
                          $inputsize=0,$label="123",$accesskey="123",$filter="",$inputsortfield="")
  {
   //DW: 2013-08-12 Bugfix Default-Werte für Label und Access-Key wg. Parse-Fehler in form-objects
   parent::__construct($inputname,$inputwidth,$startvalue,$inputsize,$label="123",$accesskey="123");
   $this->table = $inputtable;
   $this->displayfield = $inputdisplayfield;
   $this->valuefield = $inputvaluefield;
   if ($inputsortfield != "")
   $this->sortfield = $inputsortfield;
   else
   $this->sortfield = $inputdisplayfield;
   //Daten einlesen
   $this->db = $db;
  
   $sql="SELECT $this->valuefield,$this->displayfield from $this->table $filter ".
   		" order by $this->sortfield";
   $this->db->query($sql);
   while ($zeile=$this->db->fetch_row())
   {
    $value = $zeile[0]; 
    $display = $zeile[1];
    $this->add_item($value,$display);
   }
   $this->db->free_result();
   
  }
}

class vs_lb_field
{
  public $name;
  public $label;
  public $typ;
  public $len;
  public $formatstr;
  public $align;
  public $width;
  
  public function __construct()
  {
  	$this->name="";
  	$this->label="";
  	$this->typ="";
  	$this->len=-1;
  	$this->formatstr="";
  	$this->align="left";
  	$this->width=120;    //standardwert
  	$this->formatstr="";
  }
}  

class vs_db_sql_listbox extends vs_listbox
{
  public $fields;
  public $ql;
  public $startdisplayfield; //erstes  Feld, welches als Displayfeld vorgesehen ist
  public $enddisplayfield;   //letztes Feld, welches als Displayfeld vorgesehen ist 
  public $startvaluefield;   //erstes  Feld, welches als Valuefeld vorgesehen ist
  public $endvaluefield;     //letztes Feld, welches als Valuefeld vorgesehen ist 
  public $db;
  public $sepvalue;
  public $sepdisplay;
  public $target;
   
   
  public function __construct($inputname,$inputwidth,$db,$sql,$startdisplayfield,$enddisplayfield,
                              $startvaluefield,$endvaluefield,$startvalue,$inputsize=0,$label="123",$accesskey="123")
  {
   parent::__construct($inputname,$inputwidth,$startvalue,$inputsize,$label,$accesskey);
   $this->sepvalue=", ";
   $this->sepdisplay=", ";
   $this->sql = $sql;
   $this->startdisplayfield = $startdisplayfield;
   $this->enddisplayfield = $enddisplayfield;
   $this->startvaluefield = $startvaluefield;
   $this->endvaluefield = $endvaluefield;
   //2015-01-27 KM: von "_self" auf "_blank" geaendert
   $this->target="_blank";
   //Daten einlesen
   $this->db = $db;
   $this->db->query($this->sql);
   $this->get_fields(); //holt Feldinformationen
   $this->db->free_result();
   $this->load_values();
  } 
   
   public function load_values()
   {
    $this->db->query($this->sql);
  
   
   while ($zeile=$this->db->fetch_row())
   {
    $value="";
    $display="";
    for ($i=$this->startvaluefield;$i<=$this->endvaluefield ;$i++)
    {
      //-------------value korrigieren------------------
     $f_value=$zeile[$i]; 
     $typ=$this->fields[$i]->typ;
     if ($typ=="date") d_db2dis($f_value);
     if ($typ=="numeric") $f_value=ptc($f_value);
     //-------------		
     $value = $value.$f_value;
     if($i<$this->endvaluefield) $value = $value.$this->sepvalue;
    }
    for ($i=$this->startdisplayfield;$i<=$this->enddisplayfield;$i++)
    {
     //-------------Anzeigen korrigieren------------------
     $f_display=$zeile[$i];
     $typ=$this->fields[$i]->typ;
     if ($typ=="date") d_db2dis($f_display);
     if ($typ=="numeric") $f_display=ptc($f_display);
     if ($typ=="time") t_db2dis($f_display);
     //-------------	
     $display = $display.$f_display; 
     if($i<$this->enddisplayfield) $display = $display.$this->sepdisplay;
    }
    $this->add_item($value,$display);
   }
   $this->db->free_result();
   }
  
  public function refresh_values()
  //Aufruf, nachdem Werte geaendert wurden, die bereits im Konstruktor geladen wurden(Fields, sepvalue)
  {
        //DW: geaendert wg Fehler undefined variable
        // array items einfach geleert
  	// ist eine alternative Moeglichkeit zum Loeschen des 
        // kompletten arrays: unset($this->items);
        $this->items=array();
  	$this->load_values();
  }
  
  public function get_fields()
  //nur zum internen Gebrauch 
  //wird vom Object aufgerufen
  {
   $db=$this->db;
   for ($i=0;$i<$db->num_fields();$i++)
   {
    $f1 = new vs_lb_field;
    $f1->name = $db->field_name($i);
    $f1->len = $db->field_len($i); 
    $f1->typ = $db->field_type($i);
    $f1->label = ucfirst($db->field_name($i));
    $this->fields[$i]=$f1;
   }
  }
  
  
  public function set_sepvalue($sepvalue)
  {
  	$this->sepvalue=$sepvalue;
  }
  
  public function set_sepdisplay($sepdisplay)
  {
  	$this->sepdisplay=$sepdisplay;
  }
  
   public function set_field_typ($n,$typ)
  {
    $this->fields[$n]->typ=$typ;
  }
 
 
} //---------------------end



class vs_db_sql_link_listbox extends vs_db_sql_listbox
//2015-01-23 KM: jetzt mit neuem Tab (1)
	{
	public $link;
	public $new_win;
	
	public function __construct($inputname,$inputwidth,$db,$sql,$startdisplayfield,$enddisplayfield,$startvaluefield,
											$endvaluefield,$startvalue,$link,$inputsize=0,$label="123",$accesskey="123")
		{
		parent::__construct($inputname,$inputwidth,$db,$sql,$startdisplayfield,$enddisplayfield,
											$startvaluefield,$endvaluefield,$startvalue,$inputsize,$label,$accesskey);
		$this->link=$link;
		$this->new_win=0;
		}
		
		
		public function set_new_win($new_win) // kein neues Fenster -> (0), neuen Tab -> (1),
		{
		$this->new_win=$new_win;
		}
		public function write_control()
		{
		if ($this->new_win == 0) // kein neuer Tab
			{
			echo "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " .
					"accesskey=\"$this->accesskey\" ".$this->disabled.$this->write_style().
					"onchange=\"javascript:document.location.href='$this->link' + this[this.selectedIndex].value\">";
			}
		
		else // neuer Tab
			{
			echo "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " .
					"accesskey=\"$this->accesskey\" ".$this->disabled.$this->write_style().
					//2015-01-23 KM: von new Window auf new Tab umgestellt
					//"onchange=\"javascript:{window.open('$this->link' + this[this.selectedIndex].value,'nkk',1020,620,20,20,'no');}\">";
					"onchange=\"javascript:{window.open('$this->link' + this[this.selectedIndex].value,'nkk');}\">";
			}
		
		for ($i=0;$i<count($this->items);$i++)
			{
			$item=$this->items[$i];
			$style = "";
			if ($item->style != "")
			$style = " style= \"".$item->style."\" ";
			if ($item->value==$this->startvalue) echo"<option selected value=\"$item->value\" $style > $item->display </option>";
			else echo"<option value=\"$item->value\" $style > $item->display </option>";
			}
		echo "</select>";
		}

		public function write_to_buffer()
			{
			$buf = "";
			
			if ($this->new_win == 0) // kein neues Fenster
				{
				$buf .= "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " .
					"accesskey=\"$this->accesskey\" ".$this->disabled.$this->write_style().
					"onchange=\"javascript:document.location.href='$this->link' + this[this.selectedIndex].value\">";
				}	
			
			else // neues Fenster
				{
				$buf .= "<select name=\"$this->name\" size=\"$this->size\" width=\"$this->width\" " .
					"accesskey=\"$this->accesskey\" ".$this->disabled.$this->write_style().
					//2015-01-23 KM: von new Window auf new Tab umgestellt
					//"onchange=\"javascript:{window.open('$this->link' + this[this.selectedIndex].value,'nkk',1020,620,20,20,'no');}\">";
					"onchange=\"javascript:{window.open('$this->link' + this[this.selectedIndex].value,'nkk');}\">";
				}
			
			for ($i=0;$i<count($this->items);$i++)
				{
				$item=$this->items[$i];
				if ($item->value==$this->startvalue)
				$buf .= "<option selected value=\"$item->value\"> $item->display </option>";
				else
				$buf .= "<option value=\"$item->value\"> $item->display </option>";
				}
			$buf .= "</select>";
			return $buf;
		}
		
	}



//**********************************************************************************************************************************
class vs_form
{
 public $name;
 public $action;//nach submit
 public $targetaction; // action im Zielskript nach submit
 public $method;
 public $charset;
 public $controls;
 public $labelpos;
 public $numrows;
 public $cssclass;
 public $tablecss;
 public $enctype;
 public $caption;
 public $submit_buttont;
 public $reset_button;
 
 //Konstruktor
 public function __construct($inputname,$inputmethod="POST")
 {
  $this->name = $inputname;
  $this->action = $_SERVER["PHP_SELF"];
  $this->enctype="";
  $this->method = $inputmethod;
  $this->labelpos = "left";
  $this->numrows = 1;
  $this->targetaction="";
  $this->charset=charset; 
  $this->cssclss="vs_form";
  $this->tablecss="vs_form_table";
  $this->caption="";
  $this->submit_button="1";
  $this->reset_button="1";
 }
 //setzt den Position fuer das Label
 public function set_label_pos($inputlabelpos)
 {
   $this->labelpos = $inputlabelpos;
 }
 //setzt die Zahl der Spalten
 public function set_num_rows($inputnumrows)
 {
   $this->numrows = $inputnumrows;
 }
 //Hintergrundfarbe aendern
 public function set_bg_color($inputbgcolor)
 {
   $this->bgcolor = $inputbgcolor;
 }
 
 
 //Zielaktion festlegen
 public function set_target_action($inputtargetaction)
 {
   $this->targetaction = $inputtargetaction;
 }
 
 //Post-Methode festlegen,z.B. fuer den Dateiupload enctype="multipart/form-data"
 public function set_enctype($enctype)
 {
  $this->enctype = $enctype;
 }
 
 //Titel
 public function set_caption($caption)
 {
  $this->caption = $caption;
 }
 
 //Kontrollelemente zufuegen
 public function add_control($control)
 {
  $n = count($this->controls);
  $this->controls[$n]=$control;
 }
 
 public function write()
 {
  
  
   
   //Controls ausgeben echo $this->caption;
   $n = count($this->controls);
     //Begin Form
   echo "<form name=\"$this->name\" enctype=\"$this->enctype\" class=\"$this->cssclass\"  action=\"$this->action\"" .
   		" accept-charset=\"$this->charset\" method=\"$this->method\" >";
   
   echo"<table align=\"top\" class=\"$this->tablecss\" >";
   echo"<tr>";
   $z=1;
   for ($i=0;$i<$n;$i++)
   {
    if ($z>$this->numrows)
    {
     $z=1;
     echo"</tr><tr>";
    }
    //ausgabe der kontrolls
    $c = $this->controls[$i];
    echo"<td valign=\"top\">";
    if ($this->labelpos == "left")
    {
      $c->write_label();
      echo"</td><td valign=\"top\">";
      $c->write_control();
      echo"</td>";
    }
    else  //Labels oben
    {
      $c->write_label();
      echo"<br>";
      $c->write_control();
      echo"</td>";
    }  
    //ende ausgabe der kontrolls
    $z++;
   }
   echo"<tr>";
   //Submit und Reset Button
   echo"<br>";echo"<br>";
   echo"<tr>";
   echo"<td>";
   /*Zielaktion festlegen*/
   if ($this->targetaction != "")
   {echo"<input type=\"hidden\" name=\"action\" value=\"$this->targetaction\">";}
   echo"</td>";
   echo"<td>";
   if ($this->submit_button != "0")
   echo"<button type=\"submit\" accesskey=\"o\"><u> O</u>K </button> ";
   echo"</td>";
   echo"<td>";
   if ($this->reset_button != "0")
   echo"<button type=\"reset\" accesskey=\"a\" ".
   	   "onclick=\"javascript:history.back()\"><u> A</u>bbruch </button>";
   echo"</td>";
   echo"</tr>";
   
   echo"</table>";
  
   
   //Ende Form
   echo "</form>";
 }
 //vs_form
}


//**********************************************************************************************************************************



class vs_form_x
{
 public $name;
 public $action;//nach submit
 public $targetaction; // action im Zielskript nach submit
 public $method;
 public $charset;
 public $controls;
 public $labelpos;
 public $numrows;
 public $cssclass;
 public $tablecss;
 public $enctype;
 public $caption;
 public $t; //interne Tabelle
 public $ok; //ok Button da?
 public $cancel;//Abbruch Button da?
 
 //Konstruktor
 public function __construct($name,$numrows,$method="POST")
 {
  $this->name = $name;
  $this->action = $_SERVER["PHP_SELF"];
  $this->enctype="";
  $this->method = $method;
  $this->labelpos = "left";
  $this->numrows = $numrows;
  $this->targetaction="";
  $this->charset=charset; 
  $this->cssclss="vs_form";
  $this->tablecss="vs_form_table";
  $this->caption="";
  $t=new vs_table($this->name,$this->numrows,1);
  
  $this->t=$t;
  $this->t->set_css_class("vs_table_x");
 }
 //setzt den Position fuer das Label
 public function set_label_pos($labelpos)
 {
   $this->labelpos = $labelpos;
 }
 
 //Hintergrundfarbe aendern
 public function set_bg_color($bgcolor)
 {
   $this->bgcolor = $bgcolor;
 }
 
  public function set_width($width)
 {
  $this->width=$with;	
 }
 
 public function set_cellspacing($cellspacing)
 {
  $this->t->set_cellspacing($cellspacing);	
 }
 
 
 public function set_cellpadding($cellpadding)
 {
  $this->t->set_cellpadding($cellpadding);	
 }
 
 //Zielaktion festlegen
 public function set_target_action($targetaction)
 {
   $this->targetaction = $targetaction;
 }
 
 //Ziel festlegen
 public function set_action($action)
 {
   $this->action = $action;
 }
 
 //Post-Methode festlegen,z.B. fuer den Dateiupload enctype="multipart/form-data"
 public function set_enctype($enctype)
 {
  $this->enctype = $enctype;
 }
 
 //Titel
 public function set_caption($caption)
 {
  $this->caption = $caption;
 }
 
 //Kontrollelemente zufuegen
 public function add_control($row,$control)
 {
  if ($row>$this->numrows) $row=$this->numrows; //notfalls in die letzte Zeile 	
  $this->t->add($row,1,$control);
  //$this->t->add($row,1,new vs_text(" "));
 }
 
 public function write()
 {
   //Begin Form
   echo "<form name=\"$this->name\" enctype=\"$this->enctype\" class=\"$this->cssclass\"  action=\"$this->action\"" .
   		" accept-charset=\"$this->charset\" method=\"$this->method\" >";
  
   if ($this->targetaction != "")
   {
    $this->t->add($this->numrows,1,new vs_hidden("action",$this->targetaction));
   }
  
   $this->t->write();
   //Ende Form
   echo "</form>";
 }
 //vs_row_form
}






//_______________________________________FilterForm----------------------------------------------
class vs_db_filter_form
{
  public $name;	
  public $cssclass;	
  public $action;
  public $method;
  public $targetaction;
  public $charset;
  public $k;
  public $o;
  public $s;
  public $img;
  public $startvalue;
  public function __construct($inputname,$img="search.gif",$method="POST",$action="a_browse",$startvalue="")
  {
  
   $this->name=$inputname;	
   $this->cssclass=get_class($this);	
   $this->target = $_SERVER["PHP_SELF"];
   $this->method = $method;
   $this->action=$action;
   $this->charset=charset; 
   $this->k = new vs_listbox("kriterium",30,"");	
   $this->o = new vs_listbox("operator",15,"");
   $this->o->add_item("like","enth&auml;lt");
   $this->o->add_item("=","gleich");
   $this->o->add_item(">","gr&ouml;&szlig;er");
   $this->o->add_item("<","kleiner");
   $this->o->add_item("!=","ungleich");
   $this->s = new vs_edit("wert",15,20,$startvalue); 
   $this->img=$img;
   $this->startvalue=$startvalue;
  }
  
  public function write()
  {
   echo"<form name=\"$this->name\" class=\"$this->cssclass\" method= \"$this->method\" " .
   		"action=\"$this->target\" accept-charset=\"$this->charset\">";	
   echo"<table class=\"vs_db_filter_form_table\">";
   echo"<tr>";
   echo"<td valign=\"top\">";
   $this->k->write();
   echo"</td><td valign=\"top\">";
   $this->o->write();
   echo"</td><td valign=\"top\">";
   $this->s->write();
   /*Zielaktion festlegen*/
   if ($this->action != "")
       {echo"<input type=\"hidden\" name=\"action\" value=\"$this->action\">";}
   echo"</td><td valign=\"top\">";
   echo"<input type=\"image\" src=\"search.gif\">";
   echo"</td></tr></table></form> ";
  }	
}	



?>
