<?php
/*
 *      vs_visual_objects.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

// 2014-09-11 KM: Fuer PHP 5.5.9 angepasst.

function alert($text)
{
 //bildet die gleichnamige Javascript Funktion nach	 
 $text=str_replace ("\n", "<br>", $text);
 $text=str_replace ("\r", "", $text);
 echo "<script language=\"javascript\">";
 echo "alert('$text')";	
 echo  "</script>";
}

function new_window($url,$width,$height,$left,$top,$menu="no",$name="Fenster1")
{
 //2014-10-17 KM: Aenderung fuer all_tab_v2
 //kapselt die javascript function window.open() und oeffnet ein neues Fenster
 echo"<script type=\"text/javascript\">";
 echo"window.open('$url','$name','width=$width,height=$height,left=$left,top=$top,menubar=$menu');";
 echo"</script>";
}


//2014-12-16 KM: Aenderung fuer all_tab_v2
//NEU: function new_tab
function new_tab($url)
{
 //kapselt die javascript function window.open() und oeffnet einen neuen TAB
 echo"<script type=\"text/javascript\">";
 echo"window.open('$url');";
 echo"</script>";
}


function error_row($text)
{
 //gibt eine  Error-div aus
 $d= new vs_div("","","","","id_error_row");
 $d->set_css_class("vs_error_row");
 $d->add(new vs_img("error","../img/error.gif",""));
 $d->add(new vs_text("<br>".$text."<br><br>"));
 $onclick="document.getElementsByName('id_error_row')[0].style.visibility='hidden';" ;
 $d->add(new vs_click_img("Schliessen","../img/close.gif",$onclick));
 $d->write();   
}

function info_row($text)
{
 //gibt eine  info-div aus
 $d= new vs_div("","","","","id_info_row");
 $d->set_css_class("vs_info_row");
 $d->add(new vs_img("info","../img/info_24.gif",""));
 $d->add(new vs_text($text."<br><br>"));
 $onclick="document.getElementsByName('id_info_row')[0].style.visibility='hidden';" ;
 $d->add(new vs_click_img("Schliessen","../img/close.gif",$onclick));
 $d->write();   
}

function warning_row($text)
{
 //gibt einen gelben Error-Balken aus
 $d= new vs_div();
 $d->set_css_class("vs_warning_row");
 $d->add(new vs_action_img("warning","../img/warning.gif",""));
 $d->add(new vs_text($text));
 $d->write();   
}


class vs_visible
//abstrakte Basisklasse
{
  public $name;
  public $cssclass;
  public $title;
  public $id;
  public $style;
    
  public function add_style($style) 
  {
   $this->style.=$style; 
  } 

  public function set_style($style) 
  {
   $this->style=$style; 
  } 
  
  public function set_title($title) 
  {
   $this->title=$title; 
  } 
  
  public function __construct()
  {
   $this->cssclass=get_class($this);
   $this->title="";
   $this->style="";
  }
  
 
  public function set_css_class($cssclass)
  {
   $this->cssclass=$cssclass ;
  }
  
  public function set_name($name)
  {
   $this->name=$name;
  }
  
   public function set_id($id)
  {
   $this->id=$id;
  }
  
  public function write()
  {
  	//nothing to do
  }
  
  public function write_label()
  {
  	//nothing to do, nur um in vs_form verwendet werden zu koennen
  }
} //vs_visible

//----------------------------------------------------------------------------------------------
class vs_page_begin
{
 public $title;
 public $inc_head;
 public $inc_body;
 public $path;
 public $bgimg;
 public $onload;
 public $cookiename;
 public $cookievalue;
 public $cookietime;
  
 public function __construct($inputtitle,$path="",$inc_head="head.inc",
                        $inc_body="body.inc",$inputcookievalue="")
 {
  $this->title=$inputtitle;
  $this->onload="";
  $this->onbeforeunload="";  
  $this->path=$path; 
  $this->inchead=$inc_head;
  $this->incbody=$inc_body;
  $this->cookiename=$this->title;
  $this->cookievalue=$inputcookievalue;
  $this->cookietime=3600;
 }
 
 public function write()
 {
 	if ($this->cookievalue != "")
  {
   setcookie("$this->cookiename","$this->cookievalue",time()+$this->cookietime);
  }		
  //eigentliche Seite
  //2012-01-10 KM: DOCTYPE eingefuegt
  echo'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
  echo"<html>";
  echo"<head>";
  echo"<title>$this->title </title>";
  

  //2015-01-01 KM TEST: Die Metadaten muessen in die entsprechende head.inc und head_kartei.inc rein!

  
  include($this->inchead);
  echo"</head>";
  echo"<body background=\"$this->bgimg\" onload=\"$this->onload\"  onbeforeunload=\"$this->onbeforeunload\" >";
  include($this->incbody); 
 }
 
 public function set_bg_img($bgimg)
 {
  $this->bgimg=$bgimg;	
 }	
 
}

//******************************************************************



class vs_page_end
{
  public $path;
  public $incfoot;
 public function __construct($path="",$inc_foot="foot.inc")
 {
  $this->path=$path;
  $this->incfoot=$inc_foot;
 }
 
 public function write()
 {
  include($this->incfoot); 
  echo"</body></html>";
 }
}
/*-------------------------------------------------------------------------*/

//Bild mit link mit der Moeglichkeit ein Ziel mit action anzugeben
class vs_action_img extends vs_visible
{
 public $img;
 public $target;
 public $action;
 
 public function __construct($name,$img,$action,$target="")
 {
  parent::__construct();	
  $this->name=$name;
  $this->img=$img;
  $this->cssclass="vs_img";  
  if($target=="")  $this->target=$_SERVER["PHP_SELF"];
  else $this->target=$target;
  $this->action=$action;	
 }	
 
 public function set_target($target)
 {
  $this->target=$target;	
 }
 
 public function write()
 {
   echo"<a href=\"".$this->target."?action=".$this->action."\">"."<img src='".$this->img.
                 "' class='".$this->cssclass."' title='".$this->title.  "'></a> ";	
 }		
}	

/*-------------------------------------------------------------------------*/

//Bild mit link mit der Moeglichkeit beim Klicken ein js auszufuehren
class vs_click_img extends vs_visible
{
 public $img;
 public $onclick;
 public $ondblclick;
 public $onrightclick; 
 
 public function __construct($name,$img,$onclick,$ondblclick="",$onrightclick="",$title="")
 {
	parent::__construct();	
	$this->name=$name;
	$this->img=$img;
	$this->onclick=$onclick;
	$this->ondblclick=$ondblclick;
	$this->onrightclick=$onrightclick;  
	$this->cssclass="vs_img";  
	$this->title=$title;
 }	
 
 public function set_target($target)
 {
  $this->target=$target;	
 }
 
	public function write()
	{
		if ($this->onclick != "") $onclick = "onclick=\"javascript:{ $this->onclick }\" ";
		else $onclick="";
		
		echo"<img src= \"$this->img\" class=\"$this->cssclass\" title=\"$this->title\" $onclick >";	
	}		
}	

//----------------------------------------------------------------------------------------------

//Bild mit Link 
class vs_link_img extends vs_visible
{
 public $img;
 public $linktarget;
 public $typ;
 public $imgwidth;
 
 
 public function __construct($img,$linktarget,$typ="_self",$imgwidth="")
 {
  parent::__construct();	
  $this->img=$img;
  $this->linktarget=$linktarget;
  $this->typ=$typ;	//_self, _blank, _top entspricht dem HTML "target"
  $this->imgwidth=$imgwidth;
  $this->cssclass="vs_img";    
 }	
 
 public function set_linktarget($linktarget)
 {
  $this->linktarget=$linktarget;	
 }
 
 public function write()
 {
   echo"<a href=\"$this->linktarget\" target=\"$this->typ\"  title=\"$this->title\"  style=\"$this->style\" ><img src=\"$this->img\" width=\"$this->imgwidth\"  class=\"$this->cssclass\" ></a>";	
 }		
}	
//----------------------------------------------------------------------------------------------



//einfaches Bild 
class vs_img extends vs_visible
{
 public $img;
 public $target;
 public $onclick;
 public $width;
 public $height;
 
 public function __construct($name,$img,$width="",$height="")
 {
  parent::__construct();	
  $this->name=$name;
  $this->img=$img;
  $this->width=$width;
  $this->height=$height;
  $this->cssclass="vs_img";  
 }	
 public function set_width($width)
 {
   $this->width=$width;
 }
 
 public function write()
 {
   echo"<img style=\"$this->style\" src=\"$this->img\" class=\"$this->cssclass\" width=\"$this->width\" height=\"$this->height\" $this->onclick  title=\"$this->title\">";	
 }		
}	
//------------------------------------------------------------------------------
//  Bild zum Schliessen des Fensters
class vs_close_img extends vs_visible
{
 public $img;
 public $target;
 public $action;
 public $width;
 public $height;
 
 public function __construct($name,$img="../img/close.gif",$width="",$height="")
 {
  parent::__construct();	
  $this->name=$name;
  $this->img=$img;
  $this->width=$width;
  $this->height=$height;
  $this->cssclass="vs_img";    
 }	
 public function set_width($width)
 {
   $this->width=$width;
 }
 
 public function write()
 {
   echo"<img style=\"$this->style\" src=\"$this->img\" class=\"$this->cssclass\" width=\"$this->width\".
				height=\"$this->height\" title=\"$this->title\" onclick=\"javascript:{window.close();} \">";	
 }		
}	
/*-------------------------------------------------------------------------*/	

class vs_new_window_img extends vs_visible
/*Bild mit der Moeglichkeit ein neues Fenster zu oeffnen (popup)*/
{
 public $name;
 public $cssclass;
 public $img;
 public $url;
 public $width;
 public $height;
 public $left;
 public $top;
 public $winwidth;
 public $winheight;
 public $menubar;
 
 
 public function __construct($img,$url,$winwidth,$winheight,$left,$top,$width="",$height="",$menubar=0)
 {
  parent::__construct();		 
  $this->img=$img;
  $this->url=$url;
  $this->winwidth=$winwidth;
  $this->winheight=$winheight;
  $this->left=$left;
  $this->top=$top;
  $this->name="";
  $this->width=$width;	
  $this->height=$height;	
  $this->menubar=$menubar;
  $this->cssclass="vs_img";    
 }	
 public function write()
 {
   if($this->menubar==1) $mb="yes";
   else $mb="no";
   echo"<img style=\"$this->style\" class='".$this->cssclass."' src='".$this->img.
       "' width='".$this->width. "' height='".$this->height."' title='".$this->title.
       "' onclick=\"javascript:window.open('$this->url','$this->name','width=$this->winwidth,height=$this->winheight,".
       "left=$this->left,top=$this->top, menubar=$mb')\">";	
 }
}	




//2014-10-17 KM: Design-Aenderung fuer all_tab_v2
//class vs_new_tab_img
class vs_new_tab_img extends vs_visible
/*Bild mit der Moeglichkeit ein neues Fenster zu oeffnen (TAB)*/
{
 public $name;
 public $cssclass;
 public $img;
 public $url;
 public $width;
 public $height;

 public function __construct($img,$url,$width="",$height="")
 {
  parent::__construct();
  $this->img=$img;
  $this->url=$url;
  $this->name="";
  $this->width=$width;
  $this->height=$height;
  $this->cssclass="vs_img";
 }	
 public function write()
 {
   echo"<img style=\"$this->style\" class='".$this->cssclass."' src='".$this->img.
       "' width='".$this->width. "' height='".$this->height.
       "' onclick=\"javascript:window.open('$this->url','$this->name')\">";	
 }
}



class vs_hover_new_window_img extends vs_visible
/*Bild mit der Moeglichkeit ein neues Fenster zu oeffnen (popup)*/
{
 public $name;
 public $cssclass;
 public $img;
 public $url;
 public $width;
 public $height;
 public $left;
 public $top;
 public $winwidth;
 public $winheight;
 public $menubar;
 
 
 public function __construct($img,$url,$winwidth,$winheight,$left,$top,$width="",$height="",$menubar=0)
 {
  parent::__construct();		 
  $this->img=$img;
  $this->url=$url;
  $this->winwidth=$winwidth;
  $this->winheight=$winheight;
  $this->left=$left;
  $this->top=$top;
  $this->name="";
  $this->width=$width;	
  $this->height=$height;	
  $this->menubar=$menubar;
  $this->cssclass="vs_img";    
 }	
 public function write()
 {
   if($this->menubar==1) $mb="yes";
   else $mb="no";
   echo"<img style=\"$this->style\" class='".$this->cssclass."' src='".$this->img.
       "' width='".$this->width. "' height='".$this->height."' title='".$this->title.
       "' onmouseover=\"javascript:window.open('$this->url','$this->name','width=$this->winwidth,height=$this->winheight,".
       "left=$this->left,top=$this->top, menubar=$mb')\">";	
 }
}	


class vs_new_dyn_window_img extends vs_visible
/*Bild mit der Moeglichkeit ein neues Fenster zu oefnen (popup)*/
{
 public $name;
 public $cssclass;
 public $img;
 public $content;
 public $width;
 public $height;
 public $left;
 public $top;
 public $winwidth;
 public $winheight;
 public function __construct($img,$content,$winwidth,$winheight,$left,$top,$width="",$height="")
 {
  parent::__construct();		 
  $this->img=$img;
  $this->content=$content;
  $this->winwidth=$winwidth;
  $this->winheight=$winheight;
  $this->left=$left;
  $this->top=$top;
  $this->name="";
  $this->width=$width;	
  $this->height=$height;	
  $this->cssclass="vs_img";    
  //Zeilenumbrueche anpassen
  //2016-02-03 DW: Korrektur fehlerhafte Ausgabe vom Content.
  //$this->content=str_replace ("\n", "<br>", $this->content);
  //$this->content=str_replace ("\r", "", $this->content);
   $this->content=htmlentities($this->content,ENT_QUOTES);
 }	
 public function write()
 {
   //fenster.resizeTo($this->winwidth,$this->winheight);
   echo"<img style=\"$this->style\" class='".$this->cssclass."' src='".$this->img.
       "' width='".$this->width. "' height='".$this->height."' title='".$this->title.
       "' onclick=\"javascript:{public fenster=window.open('','neu','width=$this->winwidth,height=$this->winheight,".
       "left=$this->left,top=$this->top, menubar=no');" .
       " fenster.document.open();fenster.document.write('$this->content');" .
       " fenster.document.close();}\"'>";	
 }
}	

//----------------------------------------------------------------------------------------
class vs_hover_new_dyn_window_img extends vs_visible
/*Bild mit der Moeglichkeit ein neues Fenster zu oefnen (popup)*/
{
 public $name;
 public $cssclass;
 public $img;
 public $content;
 public $width;
 public $height;
 public $left;
 public $top;
 public $winwidth;
 public $winheight;
 public function __construct($img,$content,$winwidth,$winheight,$left,$top,$width="",$height="")
 {
  parent::__construct();		 
  $this->img=$img;
  $this->content=$content;
  $this->winwidth=$winwidth;
  $this->winheight=$winheight;
  $this->left=$left;
  $this->top=$top;
  $this->name="";
  $this->width=$width;	
  $this->height=$height;	
  $this->cssclass="vs_img";    
  //Zeilenumbrueche anpassen
  //2016-02-03 DW: Korrektur fehlerhafte Ausgabe vom Content.
  //$this->content=str_replace ("\n", "<br>", $this->content);
  //$this->content=str_replace ("\r", "", $this->content);
   $this->content=htmlentities($this->content,ENT_QUOTES);
 }	
 public function write()
 {
   //fenster.resizeTo($this->winwidth,$this->winheight);
   echo"<img style=\"$this->style\" class='".$this->cssclass."' src='".$this->img.
       "' width='".$this->width. "' height='".$this->height."' title='".$this->title.
       "' onmouseover=\"javascript:{public fenster=window.open('','neu','width=$this->winwidth,height=$this->winheight,".
       "left=$this->left,top=$this->top, menubar=no');" .
       " fenster.document.open();fenster.document.write('$this->content');" .
       " fenster.document.close();}\"'>";	
 }
}	

//----------------------------------------------------------------------------------------

class vs_alert_img extends vs_visible
/*Bild mit der Moeglichkeit ein alert zu  oeffnen */
{
 public $name;
 public $cssclass;
 public $img;
 public $text;
 
 
 
 public function __construct($img,$text,$name="")
 {
  parent::__construct();		 
  $this->img=$img;
  $this->name=$name;
  $this->cssclass="vs_img";     
  //Steuerzeichen entfernen
  $text=str_replace ("\n", " ", $text);
  $text=str_replace ("\r", " ", $text);
  $this->text=$text;
 }	
 public function write()
 {
  echo "<img style=\"$this->style\" class=\"".$this->cssclass."\" src=\"".$this->img.
       "\" onclick=\"javascript:alert('$this->text')\" title=\"$this->title\">";
 }
}	

/*-------------------------------------------------------------------------*/	


 //Hilfsklasse fuer vs_table, nicht zum direkten Gebrauch
 class vs_table_cell extends vs_visible
{

 public $contents;
 public $width;
 public $height;
 public $valign;
 public $align;
 public $overflow;
 public $nowrap;
 
 public function __construct()
 {
  parent::__construct();		
  $this->valign="top";
  $this->halign="left";
  $this->overflow="auto";
  $this->nowrap="0";  //nicht aktiviert
 }	
 public function write()
 {
  if($this->nowrap=="1") $nw="nowrap";
  else $nw="";	
  echo"<td  $nw class=\"$this->cssclass\" valign=\"$this->valign\" align=\"$this->halign\" " .
       "style=\" width:$this->width;height:$this->height;overflow:$this->overflow\" > ";
  	   
  for($i=0;$i<count($this->contents);$i++)
  {
  	$this->contents[$i]->write();
  }
  echo"</td>";	
 }
 public function set_width($width)
 {
  $this->width=$width;	
 }
 
 public function set_height($height)
 {
  $this->height=$height;	
 }
  public function set_nowrap($nowrap)
 {
  $this->nowrap=$nowrap;	
 }
 public function add_content($content)
 {
  $n=count($this->contents);	 
  $this->contents[$n]=$content;	
 }	
 //------------------------------------------------------------------------------------------	
}	

//Hilfsklasse fuer vs_table, nicht zum direkten Gebrauch

class vs_table_row extends vs_visible
{

 public $cells;
 	
 public function __construct()
 {
  parent::__construct();		
 }	
 
 public function write()
 {
  echo"<tr class=\"$this->cssclass\" >";
  for($i=0;$i<count($this->cells);$i++)
  {
  	$this->cells[$i]->write();
  }
  echo"</tr>";	
 }
 
 public function add_cell($cell)
 {
  $n=count($this->cells);	 
  $this->cells[$n]=$cell;	
 }	
 	
 public function set_width($colnum,$width)
 {
  $this->cells[$colnum-1]->set_width($width);	
 }
 
 public function set_nowrap($colnum,$nowrap)
 {
  $this->cells[$colnum-1]->set_nowrap($nowrap);	
 }
 
 public function set_height($colnum,$height)
 {
  $this->cells[$colnum-1]->set_height($height);	
 }
 
 public function add($colnum,$content)
 {
  $this->cells[$colnum-1]->add_content($content);	
 }	
 
 //class
}		
 
//----------------------------------------------------------------------------------------	

class vs_table extends vs_visible
{
 public $width;
 public $numrows;	
 public $numcols;
 public $rows;
 public $valign;
 public $cellspacing;
 public $cellpadding;
 public $height;
 public $align;
 public $bgcolor;
 public $nowrap;
 
 public function __construct($name,$numrows,$numcols,$width="100%")
 {
  parent::__construct();		 
  $this->name=$name;	
  $this->numrows=$numrows;
  $this->numcols=$numcols;
  $this->width=$width;
  $this->border="0";
  $this->valign="top";
  $this->align="left";
  $this->cellspacing="0";
  $this->cellpadding="0";
  $this->bgcolor="";
  $this->nowrap="0";
  //rows und cells dazufuegen
  for($i=0;$i<$numrows;$i++)
  {
  	$row=new vs_table_row();
  	for($j=0;$j<$numcols;$j++)
  	{
  	 $cell=new vs_table_cell();	
  	 $row->add_cell($cell);	
  	}
  	$this->add_row($row);
  }	
 }		
 
 public function set_width($width)
 {
  $this->width=$with;	
 }
 
 public function set_cellspacing($cellspacing)
 {
  $this->cellspacing=$cellspacing;	
 }
 
 public function set_cellpadding($cellpadding)
 {
  $this->cellpadding=$cellspadding;	
 }
 
 public function set_valign($valign)
 {
  $this->valign=$valign;	
 }
 
 
 public function set_align($align)
 {
  $this->align=$align;	
 }
 
 public function set_bgcolor($bgcolor)
 {
  $this->bgcolor=$bgcolor;	
 }
 
 public function add_row($row)
 {
  $n=count($this->rows);	 
  $this->rows[$n]=$row;	
 }
 
 public function add($rownum,$colnum,$content)
 {
  $this->rows[$rownum-1]->add($colnum,$content);
 }	
 	
 public function set_cell_width($rownum,$colnum,$width)
 {
  $this->rows[$rownum-1]->set_width($colnum,$width);
 }	
 
 public function set_cell_height($rownum,$colnum,$height)
 {
  $this->rows[$rownum-1]->set_height($colnum,$height);
 }	
 
 public function set_cell_nowrap($rownum,$colnum,$nowrap)
 {
  $this->rows[$rownum-1]->set_nowrap($colnum,$nowrap);
 }	
 	
 		
 public function write()
 {
  echo"<table style=\"$this->style  table-layout:auto;background-color: $this->bgcolor;\" name=\"$this->name\" border=\"$this->border\" valign=\"$this->valign\" align=\"$this->align\"" .
  	  "class=\"$this->cssclass\" width=\"$this->width\" cellspacing=\"$this->cellspacing\" cellpadding=\"$this->cellpadding\" >";
  for ($i=0;$i<count($this->rows);$i++)
  {
  	$row=$this->rows[$i];
  	$row->write();
  }	  echo"</table>";	
 }		

//-------------------------------vs_table----------------------------------------------	
}


//Textausgabe

class vs_text extends vs_visible
{
  public $text;
  public $link;
   
  public function __construct($text,$link="",$target="_self")	
  {
  	
  	parent::__construct();
  	$this->text =$text;
  	$this->link=$link;
  	$this->target=$target;
   }
   
 
   
  public function write()
  {
  	if($this->link=="")
  	{
  	 echo"$this->text";	
  	}
  	else
  	{
  	 echo"<a class=\"$this->cssclass\" href=\"$this->link\" target=\"$this->target\" >".$this->text."</a>";	
  	}
  } 
  
}
//-----------------------------------Text mit inline Stil-----------------------
class vs_span_text extends vs_visible
{
  public $text;
  public $link;
  
  
  
  public function __construct($text,$class,$link="")	
  {
  	
  	parent::__construct();
  	$this->text =$text;
  	$this->link=$link;
  	$this->cssclass=$class;
   }
   
 
   
  public function write()
  {
  	if($this->link=="")
  	{
  	 echo"<span id=\"$this->id\" style=\"$this->style\" class=\"$this->cssclass\" >$this->text</span>";	
  	}
  	else
  	{
  	 echo"<span id=\"$this->id\"  style=\"$this->style\" class=\"$this->cssclass\"><a class=\"$this->cssclass\" href=\"$this->link\" >".
  	       $this->text."</a></span>";	
  	}
  } 
  
}

//----------------------------label------------------------------------

class vs_label extends vs_visible
{
  public $text;
 
  
  public function __construct($text)	
  {
  	parent::__construct();
  	$this->text =$text;
  }
   
  public function write()
  {
   echo"<label style=\"$this->style\" class=\"$this->cssclass\">" .$this->text." &nbsp;</label>";	
  } 
  
}


//***********************Bereich****************************************

class vs_div extends vs_visible
{
 public $contents;
 public $width;
 public $height;
 public $align;
 public $color;
 public $main_window;
 
 public function __construct($width="",$height="",$align="left",$color="",$name="",$id="")
 {
  parent::__construct();
  $this->width= $width;
  $this->height= $height;
  $this->align= $align;
  $this->color= $color;
  $this->name = $name;
  $this->id = $id;  
  $this->main_window=0;  
 }	
 
 public function add($content)
 {
  $n=count($this->contents);	 
  $this->contents[$n]=$content;	
 }	
 	
 public function write()
 {
  echo "<div style=\" $this->style  width:".$this->width."px;height:".$this->height."px;horizontal-align:".$this->align.
        ";background-color:".$this->color.";overflow:auto;\"" .
  		" name=\"$this->name\" id=\"$this->id\" class=\"$this->cssclass\" align=\"$this->align\" >";	
  for($i=0;$i<count($this->contents);$i++)
  {
  	$this->contents[$i]->write();
  }
  echo"</div>";	
  //Falls Hauptfenster: Fenstergroesse auf div-Groesse reduzieren(expandieren)
  if($this->main_window==1)
  {
	 echo"<script language=\"javascript\" >window.innerWidth=$this->width+8; window.innerHeight= $this->height+10;</script>";
  }	
 }
 
 public function set_width($width)
 {
  $this->width=$with;	
 }
 
  public function set_main_window($main_window)
 {
  $this->main_window=$main_window;	
 }
 
}
//************************************************************

class vs_tab extends vs_visible
//Hilfsklasse fuer vs_tabs
{
 public $caption;
 public $img;
 public $target;
 public $get;

 
 public function __construct($name,$caption="")
 {
   parent::__construct();	
   $this->name=$name;
   if ($caption=="")
   $this->caption=$this->name;
   else $this->caption=ucfirst($caption);
   $this->target=$_SERVER["PHP_SELF"];
 }	
 
 public function set_get($get)
 {
  $this->get=$get;	
 }
 
 public function write_active()
 {
  echo"$this->caption";	
 }
 
 public function write_inactive()
 {
   echo"<a style=\"$this->style\" href=".$this->target.$this->get.">$this->caption</a>";	
 }  
               
}


class vs_tabs extends vs_visible
{
  public $tabs;
  public $activetab;
  public $numtabs;
  public $width;
  public $bg_active;
  public $bg_inactive;
  
  
  public function __construct($width="100%",$bg_active="",$bg_inactive="")
  {
  	parent::__construct();
  	$numtabs=0;
  	$this->width=$width;
  	$this->activetab=1;
  	$this->bg_active=$bg_active;
  	$this->bg_inactive=$bg_inactive;
  }	
  
  public function add($tabnum,$content)
  {
   $this->tabs[$tabnum-1]->add($content);
   
  }	
  public function add_tab($caption,$get)
  {
   $n=count($this->tabs);	 
   $this->tabs[$n]=new vs_tab($caption);	
   $this->tabs[$n]->set_get($get);
   $numtabs=count($this->tabs);
  }
  public function set_active_tab($activetab)
  {
  	$this->activetab=$activetab;
  }
  
  public function set_get($num,$get)
  {
   $this->tabs[$num-1]->set_get($get);
  }
  
  public function write()
  {
   echo"<table class=\"tab\" width=\"$this->width\">";
   echo"<tr>";
   //Ueberschriften
   $n=count($this->tabs);
   $w=round(1/$n*100);
   for($i=0;$i<$n;$i++)
   {
   	
   	if ($i==($this->activetab-1))
  	{
     echo"<td width=\"$w%\" class=\"vs_active_tab\" >";		
  	 $this->tabs[$i]->write_active();
  	 
  	 echo"</td>";
  	}
  	else 
  	{
	//2014-11-20 KM: style=\"border-top: 2px solid ausgebaut, Formattierung ueber css
  	//echo "<td width=\"$w%\" style=\"border-top: 2px solid $this->bg_inactive;\" ".
  	 echo "<td width=\"$w%\"$this->bg_inactive;\" ".
  	 	   "class=\"vs_inactive_tab\" >";	
  	 $this->tabs[$i]->write_inactive();
  	 echo"</td>";
  	}
   }
   echo"</tr>";
   echo"</table>";	
  }
  	
}

class vs_iframe extends vs_visible
{
  public $src;
  public $width;
  public $height;
  public $align;
  public $scrolling;
 
 
  
  public function __construct($name,$src,$width,$height,$align="left",$scrolling="yes")	
  {
  	parent::__construct();
  	$this->name=$name;
  	$this->src =$src;
  	$this->width=$width;
  	$this->height=$height;
  	$this->align=$align;
  	$this->scrolling=$scrolling;
  }
   
  public function write()
  {
   echo"<iframe style=\"$this->style\" class=\"$this->cssclass\" src=\"$this->src\" name=\"$this->name\" width=\"$this->width\"" .
   		"height=\"$this->height\" align=\"$this->align\" scrolling=\"$this->scrolling\">";
   
   echo"</iframe>";
  } 
  
}

//______________________________________________________________________________________________________________________
 
?>
