#!/bin/bash

SQLSCRIPT=/tmp/upd_table.sql.$$

while getopts ":p:u:d:" opt; do
  case $opt in
    u)
      DBA=$OPTARG
      ;;
    p)
      DBAPW=$OPTARG
      ;;
    d)
      DBN=$OPTARG
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
    :)
      echo "Option -$OPTARG requires an argument." >&2
      exit 1
      ;;
  esac
done

if [ "$DBA" == "" ] || [ "$DBAPW" == "" ] || [ "DBN" == "" ] ; then
   echo " Missing argument "
   exit 1
fi

echo " UPDATE pg_attribute SET atttypmod = 80 WHERE attrelid = 'vs_user' ::regclass AND attname = 'pw'; " > $SQLSCRIPT

echo "  Setting pw in vs_user to character length 80"
cd /tmp
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -d $DBN -f $SQLSCRIPT 

rm $SQLSCRIPT
